/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the AArch64 target                         *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 97;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(AArch64InstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(AArch64InstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static AArch64InstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static AArch64InstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(2),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_s8,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_s128,
  GILLT_v2s32,
  GILLT_v2s64,
  GILLT_v4s16,
  GILLT_v4s32,
  GILLT_v8s8,
  GILLT_v8s16,
  GILLT_v16s8,
  GILLT_nxv1s1,
  GILLT_nxv2s1,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv8s1,
  GILLT_nxv8s16,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
};
const static size_t NumTypeObjects = 24;
const static LLT TypeObjects[] = {
  LLT::scalar(8),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::scalar(128),
  LLT::vector(ElementCount::getFixed(2), 32),
  LLT::vector(ElementCount::getFixed(2), 64),
  LLT::vector(ElementCount::getFixed(4), 16),
  LLT::vector(ElementCount::getFixed(4), 32),
  LLT::vector(ElementCount::getFixed(8), 8),
  LLT::vector(ElementCount::getFixed(8), 16),
  LLT::vector(ElementCount::getFixed(16), 8),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasPAuthBit = 6,
  Feature_HasJSBit = 8,
  Feature_HasComplxNumBit = 68,
  Feature_HasRCPC_IMMOBit = 88,
  Feature_HasFPARMv8Bit = 7,
  Feature_HasNEONBit = 5,
  Feature_HasSM4Bit = 67,
  Feature_HasSHA3Bit = 66,
  Feature_HasSHA2Bit = 19,
  Feature_HasAESBit = 18,
  Feature_HasDotProdBit = 2,
  Feature_HasCRCBit = 10,
  Feature_HasCSSCBit = 20,
  Feature_HasNoCSSCBit = 29,
  Feature_HasLSEBit = 30,
  Feature_HasNoLSEBit = 96,
  Feature_HasRDMBit = 16,
  Feature_HasFullFP16Bit = 13,
  Feature_HasNoFullFP16Bit = 85,
  Feature_HasFP16FMLBit = 4,
  Feature_HasFuseAESBit = 79,
  Feature_HasSVEBit = 26,
  Feature_HasSVE2Bit = 27,
  Feature_HasSVE2p1Bit = 45,
  Feature_HasSVEAESBit = 37,
  Feature_HasSVE2SM4Bit = 42,
  Feature_HasSVE2SHA3Bit = 95,
  Feature_HasSVEBitPermBit = 39,
  Feature_HasSMEandIsNonStreamingSafeBit = 58,
  Feature_HasSMEBit = 51,
  Feature_HasSMEF64F64Bit = 53,
  Feature_HasSMEF16F16Bit = 61,
  Feature_HasSMEI16I64Bit = 56,
  Feature_HasSME2andIsNonStreamingSafeBit = 63,
  Feature_HasSME2Bit = 60,
  Feature_HasSME2p1Bit = 65,
  Feature_HasFP8Bit = 21,
  Feature_HasFAMINMAXBit = 22,
  Feature_HasFP8FMABit = 23,
  Feature_HasSSVE_FP8FMABit = 48,
  Feature_HasFP8DOT2Bit = 24,
  Feature_HasSSVE_FP8DOT2Bit = 43,
  Feature_HasFP8DOT4Bit = 25,
  Feature_HasSSVE_FP8DOT4Bit = 49,
  Feature_HasLUTBit = 50,
  Feature_HasSME_LUTv2Bit = 64,
  Feature_HasSMEF8F16Bit = 54,
  Feature_HasSMEF8F32Bit = 52,
  Feature_HasSME_MOP4Bit = 57,
  Feature_HasSME_TMOPBit = 62,
  Feature_HasCMPBRBit = 86,
  Feature_HasFPRCVTBit = 14,
  Feature_HasLSFEBit = 31,
  Feature_HasSVE_or_SMEBit = 0,
  Feature_HasNonStreamingSVE_or_SME2p2Bit = 40,
  Feature_HasSVE2_or_SMEBit = 33,
  Feature_HasSVE2_or_SME2Bit = 47,
  Feature_HasNonStreamingSVE2_or_SSVE_AESBit = 36,
  Feature_HasSVE2p1_or_SMEBit = 59,
  Feature_HasSVE2p1_or_SME2Bit = 28,
  Feature_HasSVE2p1_or_SME2p1Bit = 46,
  Feature_HasSVE2p2_or_SME2p2Bit = 32,
  Feature_HasSMEF16F16_or_SMEF8F16Bit = 55,
  Feature_HasNonStreamingSVE2_or_SSVE_BitPermBit = 38,
  Feature_HasNonStreamingSVE_or_SSVE_FEXPABit = 41,
  Feature_HasNEONandIsStreamingSafeBit = 17,
  Feature_HasNEONandIsSME2p2StreamingSafeBit = 76,
  Feature_HasRCPCBit = 87,
  Feature_HasFRInt3264Bit = 15,
  Feature_HasMTEBit = 11,
  Feature_HasTMEBit = 9,
  Feature_HasMatMulInt8Bit = 3,
  Feature_HasMatMulFP32Bit = 94,
  Feature_HasMatMulFP64Bit = 44,
  Feature_HasLS64Bit = 83,
  Feature_HasHBCBit = 12,
  Feature_HasRCPC3Bit = 84,
  Feature_HasGCSBit = 1,
  Feature_IsLEBit = 74,
  Feature_IsBEBit = 80,
  Feature_UseExperimentalZeroingPseudosBit = 35,
  Feature_UseAlternateSExtLoadCVTF32Bit = 78,
  Feature_UseScalarIncVLBit = 34,
  Feature_NoUseScalarIncVLBit = 91,
  Feature_HasFastIncVLBit = 92,
  Feature_UseSVEFPLD1RBit = 90,
  Feature_UseLDAPURBit = 89,
  Feature_AllowMisalignedMemAccessesBit = 93,
  Feature_NotForCodeSizeBit = 77,
  Feature_UseSTRQroBit = 75,
  Feature_TailCallX16X17Bit = 70,
  Feature_TailCallX17Bit = 81,
  Feature_TailCallNotX16Bit = 82,
  Feature_TailCallAnyBit = 69,
  Feature_SLSBLRMitigationBit = 73,
  Feature_NoSLSBLRMitigationBit = 72,
  Feature_OptimizedGISelOrOtherSelectorBit = 71,
};

PredicateBitset AArch64InstructionSelector::
computeAvailableModuleFeatures(const AArch64Subtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasPAuth())
    Features.set(Feature_HasPAuthBit);
  if (Subtarget->hasJS())
    Features.set(Feature_HasJSBit);
  if (Subtarget->hasComplxNum())
    Features.set(Feature_HasComplxNumBit);
  if (Subtarget->hasRCPC_IMMO())
    Features.set(Feature_HasRCPC_IMMOBit);
  if (Subtarget->hasFPARMv8())
    Features.set(Feature_HasFPARMv8Bit);
  if (Subtarget->isNeonAvailable())
    Features.set(Feature_HasNEONBit);
  if (Subtarget->hasSM4())
    Features.set(Feature_HasSM4Bit);
  if (Subtarget->hasSHA3())
    Features.set(Feature_HasSHA3Bit);
  if (Subtarget->hasSHA2())
    Features.set(Feature_HasSHA2Bit);
  if (Subtarget->hasAES())
    Features.set(Feature_HasAESBit);
  if (Subtarget->hasDotProd())
    Features.set(Feature_HasDotProdBit);
  if (Subtarget->hasCRC())
    Features.set(Feature_HasCRCBit);
  if (Subtarget->hasCSSC())
    Features.set(Feature_HasCSSCBit);
  if (!Subtarget->hasCSSC())
    Features.set(Feature_HasNoCSSCBit);
  if (Subtarget->hasLSE())
    Features.set(Feature_HasLSEBit);
  if (!Subtarget->hasLSE())
    Features.set(Feature_HasNoLSEBit);
  if (Subtarget->hasRDM())
    Features.set(Feature_HasRDMBit);
  if (Subtarget->hasFullFP16())
    Features.set(Feature_HasFullFP16Bit);
  if (!Subtarget->hasFullFP16())
    Features.set(Feature_HasNoFullFP16Bit);
  if (Subtarget->hasFP16FML())
    Features.set(Feature_HasFP16FMLBit);
  if (Subtarget->hasFuseAES())
    Features.set(Feature_HasFuseAESBit);
  if (Subtarget->isSVEAvailable())
    Features.set(Feature_HasSVEBit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2())
    Features.set(Feature_HasSVE2Bit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2p1())
    Features.set(Feature_HasSVE2p1Bit);
  if (Subtarget->hasSVEAES())
    Features.set(Feature_HasSVEAESBit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2SM4())
    Features.set(Feature_HasSVE2SM4Bit);
  if (Subtarget->isSVEAvailable() && Subtarget->hasSVE2SHA3())
    Features.set(Feature_HasSVE2SHA3Bit);
  if (Subtarget->hasSVEBitPerm())
    Features.set(Feature_HasSVEBitPermBit);
  if (Subtarget->hasSME())
    Features.set(Feature_HasSMEandIsNonStreamingSafeBit);
  if (Subtarget->isStreaming() && Subtarget->hasSME())
    Features.set(Feature_HasSMEBit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF64F64())
    Features.set(Feature_HasSMEF64F64Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF16F16())
    Features.set(Feature_HasSMEF16F16Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEI16I64())
    Features.set(Feature_HasSMEI16I64Bit);
  if (Subtarget->hasSME2())
    Features.set(Feature_HasSME2andIsNonStreamingSafeBit);
  if (Subtarget->isStreaming() && Subtarget->hasSME2())
    Features.set(Feature_HasSME2Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSME2p1())
    Features.set(Feature_HasSME2p1Bit);
  if (Subtarget->hasFP8())
    Features.set(Feature_HasFP8Bit);
  if (Subtarget->hasFAMINMAX())
    Features.set(Feature_HasFAMINMAXBit);
  if (Subtarget->hasFP8FMA())
    Features.set(Feature_HasFP8FMABit);
  if (Subtarget->hasSSVE_FP8FMA() || (Subtarget->hasSVE2() && Subtarget->hasFP8FMA()))
    Features.set(Feature_HasSSVE_FP8FMABit);
  if (Subtarget->hasFP8DOT2())
    Features.set(Feature_HasFP8DOT2Bit);
  if (Subtarget->hasSSVE_FP8DOT2() || (Subtarget->hasSVE2() && Subtarget->hasFP8DOT2()))
    Features.set(Feature_HasSSVE_FP8DOT2Bit);
  if (Subtarget->hasFP8DOT4())
    Features.set(Feature_HasFP8DOT4Bit);
  if (Subtarget->hasSSVE_FP8DOT4() || (Subtarget->hasSVE2() && Subtarget->hasFP8DOT4()))
    Features.set(Feature_HasSSVE_FP8DOT4Bit);
  if (Subtarget->hasLUT())
    Features.set(Feature_HasLUTBit);
  if (Subtarget->isStreaming() && Subtarget->hasSME_LUTv2())
    Features.set(Feature_HasSME_LUTv2Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF8F16())
    Features.set(Feature_HasSMEF8F16Bit);
  if (Subtarget->isStreaming() && Subtarget->hasSMEF8F32())
    Features.set(Feature_HasSMEF8F32Bit);
  if ((Subtarget->isStreaming() && Subtarget->hasSME_MOP4()))
    Features.set(Feature_HasSME_MOP4Bit);
  if ((Subtarget->isStreaming() && Subtarget->hasSME_TMOP()))
    Features.set(Feature_HasSME_TMOPBit);
  if (Subtarget->hasCMPBR())
    Features.set(Feature_HasCMPBRBit);
  if (Subtarget->hasFPRCVT())
    Features.set(Feature_HasFPRCVTBit);
  if (Subtarget->hasLSFE())
    Features.set(Feature_HasLSFEBit);
  if (Subtarget->hasSVE() || (Subtarget->isStreaming() && Subtarget->hasSME()))
    Features.set(Feature_HasSVE_or_SMEBit);
  if ((Subtarget->isSVEAvailable() && Subtarget->hasSVE()) ||(Subtarget->isSVEorStreamingSVEAvailable() && Subtarget->hasSME2p2()))
    Features.set(Feature_HasNonStreamingSVE_or_SME2p2Bit);
  if (Subtarget->hasSVE2() || (Subtarget->isStreaming() && Subtarget->hasSME()))
    Features.set(Feature_HasSVE2_or_SMEBit);
  if (Subtarget->hasSVE2() || (Subtarget->isStreaming() && Subtarget->hasSME2()))
    Features.set(Feature_HasSVE2_or_SME2Bit);
  if ((Subtarget->isSVEAvailable() && Subtarget->hasSVE2()) ||(Subtarget->isSVEorStreamingSVEAvailable() && Subtarget->hasSSVE_AES()))
    Features.set(Feature_HasNonStreamingSVE2_or_SSVE_AESBit);
  if (Subtarget->hasSVE2p1() || (Subtarget->isStreaming() && Subtarget->hasSME()))
    Features.set(Feature_HasSVE2p1_or_SMEBit);
  if (Subtarget->hasSVE2p1() || (Subtarget->isStreaming() && Subtarget->hasSME2()))
    Features.set(Feature_HasSVE2p1_or_SME2Bit);
  if (Subtarget->hasSVE2p1() || (Subtarget->isStreaming() && Subtarget->hasSME2p1()))
    Features.set(Feature_HasSVE2p1_or_SME2p1Bit);
  if (Subtarget->isSVEorStreamingSVEAvailable() && (Subtarget->hasSVE2p2() || Subtarget->hasSME2p2()))
    Features.set(Feature_HasSVE2p2_or_SME2p2Bit);
  if (Subtarget->isStreaming() && (Subtarget->hasSMEF16F16() || Subtarget->hasSMEF8F16()))
    Features.set(Feature_HasSMEF16F16_or_SMEF8F16Bit);
  if ((Subtarget->isSVEAvailable() && Subtarget->hasSVE2()) ||(Subtarget->isSVEorStreamingSVEAvailable() && Subtarget->hasSSVE_BitPerm()))
    Features.set(Feature_HasNonStreamingSVE2_or_SSVE_BitPermBit);
  if ((Subtarget->isSVEAvailable() && Subtarget->hasSVE()) ||(Subtarget->isSVEorStreamingSVEAvailable() && Subtarget->hasSSVE_FEXPA()))
    Features.set(Feature_HasNonStreamingSVE_or_SSVE_FEXPABit);
  if (Subtarget->hasNEON())
    Features.set(Feature_HasNEONandIsStreamingSafeBit);
  if (Subtarget->isNeonAvailable() || (Subtarget->hasNEON() && Subtarget->hasSME2p2()))
    Features.set(Feature_HasNEONandIsSME2p2StreamingSafeBit);
  if (Subtarget->hasRCPC())
    Features.set(Feature_HasRCPCBit);
  if (Subtarget->hasFRInt3264())
    Features.set(Feature_HasFRInt3264Bit);
  if (Subtarget->hasMTE())
    Features.set(Feature_HasMTEBit);
  if (Subtarget->hasTME())
    Features.set(Feature_HasTMEBit);
  if (Subtarget->hasMatMulInt8())
    Features.set(Feature_HasMatMulInt8Bit);
  if (Subtarget->hasMatMulFP32())
    Features.set(Feature_HasMatMulFP32Bit);
  if (Subtarget->hasMatMulFP64())
    Features.set(Feature_HasMatMulFP64Bit);
  if (Subtarget->hasLS64())
    Features.set(Feature_HasLS64Bit);
  if (Subtarget->hasHBC())
    Features.set(Feature_HasHBCBit);
  if (Subtarget->hasRCPC3())
    Features.set(Feature_HasRCPC3Bit);
  if (Subtarget->hasGCS())
    Features.set(Feature_HasGCSBit);
  if (Subtarget->isLittleEndian())
    Features.set(Feature_IsLEBit);
  if (!Subtarget->isLittleEndian())
    Features.set(Feature_IsBEBit);
  if (Subtarget->useExperimentalZeroingPseudos())
    Features.set(Feature_UseExperimentalZeroingPseudosBit);
  if (Subtarget->useAlternateSExtLoadCVTF32Pattern())
    Features.set(Feature_UseAlternateSExtLoadCVTF32Bit);
  if (Subtarget->useScalarIncVL())
    Features.set(Feature_UseScalarIncVLBit);
  if (!Subtarget->useScalarIncVL())
    Features.set(Feature_NoUseScalarIncVLBit);
  if (!Subtarget->hasDisableFastIncVL())
    Features.set(Feature_HasFastIncVLBit);
  if (!Subtarget->noSVEFPLD1R())
    Features.set(Feature_UseSVEFPLD1RBit);
  if (!Subtarget->avoidLDAPUR())
    Features.set(Feature_UseLDAPURBit);
  if (!Subtarget->requiresStrictAlign())
    Features.set(Feature_AllowMisalignedMemAccessesBit);
  return Features;
}

void AArch64InstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const AArch64Subtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset AArch64InstructionSelector::
computeAvailableFunctionFeatures(const AArch64Subtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  if (!shouldOptForSize(MF))
    Features.set(Feature_NotForCodeSizeBit);
  if (!Subtarget->isSTRQroSlow() || shouldOptForSize(MF))
    Features.set(Feature_UseSTRQroBit);
  if (  MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && !MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallX16X17Bit);
  if ( MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallX17Bit);
  if ( !MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallNotX16Bit);
  if ( !MF->getInfo<AArch64FunctionInfo>()->branchTargetEnforcement() && !MF->getInfo<AArch64FunctionInfo>()->branchProtectionPAuthLR() )
    Features.set(Feature_TailCallAnyBit);
  if ( MF->getSubtarget<AArch64Subtarget>().hardenSlsBlr() )
    Features.set(Feature_SLSBLRMitigationBit);
  if ( !MF->getSubtarget<AArch64Subtarget>().hardenSlsBlr() )
    Features.set(Feature_NoSLSBLRMitigationBit);
  if (!MF->getFunction().hasOptNone() || MF->getProperties().hasProperty(MachineFunctionProperties::Property::FailedISel) || !MF->getProperties().hasProperty(MachineFunctionProperties::Property::Legalized))
    Features.set(Feature_OptimizedGISelOrOtherSelectorBit);
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HasAES,
  GIFBS_HasCRC,
  GIFBS_HasCSSC,
  GIFBS_HasDotProd,
  GIFBS_HasFP8,
  GIFBS_HasFP8DOT2,
  GIFBS_HasFP8DOT4,
  GIFBS_HasFP8FMA,
  GIFBS_HasFPARMv8,
  GIFBS_HasFRInt3264,
  GIFBS_HasFullFP16,
  GIFBS_HasFuseAES,
  GIFBS_HasGCS,
  GIFBS_HasLSE,
  GIFBS_HasLSFE,
  GIFBS_HasLUT,
  GIFBS_HasMTE,
  GIFBS_HasMatMulInt8,
  GIFBS_HasNEON,
  GIFBS_HasNEONandIsSME2p2StreamingSafe,
  GIFBS_HasNEONandIsStreamingSafe,
  GIFBS_HasNoCSSC,
  GIFBS_HasNoFullFP16,
  GIFBS_HasNoLSE,
  GIFBS_HasNonStreamingSVE_or_SME2p2,
  GIFBS_HasNonStreamingSVE_or_SSVE_FEXPA,
  GIFBS_HasPAuth,
  GIFBS_HasRCPC,
  GIFBS_HasRCPC_IMMO,
  GIFBS_HasRDM,
  GIFBS_HasSHA2,
  GIFBS_HasSHA3,
  GIFBS_HasSM4,
  GIFBS_HasSME,
  GIFBS_HasSME2,
  GIFBS_HasSMEF16F16_or_SMEF8F16,
  GIFBS_HasSMEF64F64,
  GIFBS_HasSMEF8F16,
  GIFBS_HasSMEF8F32,
  GIFBS_HasSMEI16I64,
  GIFBS_HasSME_MOP4,
  GIFBS_HasSMEandIsNonStreamingSafe,
  GIFBS_HasSSVE_FP8DOT2,
  GIFBS_HasSSVE_FP8DOT4,
  GIFBS_HasSSVE_FP8FMA,
  GIFBS_HasSVE,
  GIFBS_HasSVE2,
  GIFBS_HasSVE2SHA3,
  GIFBS_HasSVE2SM4,
  GIFBS_HasSVE2_or_SME,
  GIFBS_HasSVE2p1_or_SME,
  GIFBS_HasSVE2p1_or_SME2,
  GIFBS_HasSVE2p1_or_SME2p1,
  GIFBS_HasSVE_or_SME,
  GIFBS_HasTME,
  GIFBS_IsBE,
  GIFBS_IsLE,
  GIFBS_OptimizedGISelOrOtherSelector,
  GIFBS_UseSTRQro,
  GIFBS_HasComplxNum_HasNEON,
  GIFBS_HasFAMINMAX_HasNEON,
  GIFBS_HasFAMINMAX_HasSVE2_or_SME2,
  GIFBS_HasFP16FML_HasNEON,
  GIFBS_HasFP8_HasSVE2_or_SME2,
  GIFBS_HasFPARMv8_HasJS,
  GIFBS_HasFPRCVT_HasNEON,
  GIFBS_HasFullFP16_HasNEON,
  GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe,
  GIFBS_HasFullFP16_HasNEONandIsStreamingSafe,
  GIFBS_HasLUT_HasSVE2_or_SME2,
  GIFBS_HasMatMulFP32_HasSVE,
  GIFBS_HasMatMulFP64_HasSVE,
  GIFBS_HasMatMulFP64_HasSVE_or_SME,
  GIFBS_HasMatMulInt8_HasSVE,
  GIFBS_HasMatMulInt8_HasSVE_or_SME,
  GIFBS_HasNEON_HasRCPC3,
  GIFBS_HasNEON_HasRDM,
  GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES,
  GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm,
  GIFBS_HasRCPC_IMMO_UseLDAPUR,
  GIFBS_HasSMEF16F16_HasSME_MOP4,
  GIFBS_HasSMEF64F64_HasSME_MOP4,
  GIFBS_HasSMEF8F16_HasSME_MOP4,
  GIFBS_HasSMEF8F32_HasSME_MOP4,
  GIFBS_HasSMEI16I64_HasSME_MOP4,
  GIFBS_HasSVE_or_SME_IsLE,
  GIFBS_HasSVE_or_SME_UseScalarIncVL,
  GIFBS_IsLE_UseSTRQro,
  GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE,
  GIFBS_HasComplxNum_HasFullFP16_HasNEON,
  GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HasAESBit, },
  {Feature_HasCRCBit, },
  {Feature_HasCSSCBit, },
  {Feature_HasDotProdBit, },
  {Feature_HasFP8Bit, },
  {Feature_HasFP8DOT2Bit, },
  {Feature_HasFP8DOT4Bit, },
  {Feature_HasFP8FMABit, },
  {Feature_HasFPARMv8Bit, },
  {Feature_HasFRInt3264Bit, },
  {Feature_HasFullFP16Bit, },
  {Feature_HasFuseAESBit, },
  {Feature_HasGCSBit, },
  {Feature_HasLSEBit, },
  {Feature_HasLSFEBit, },
  {Feature_HasLUTBit, },
  {Feature_HasMTEBit, },
  {Feature_HasMatMulInt8Bit, },
  {Feature_HasNEONBit, },
  {Feature_HasNEONandIsSME2p2StreamingSafeBit, },
  {Feature_HasNEONandIsStreamingSafeBit, },
  {Feature_HasNoCSSCBit, },
  {Feature_HasNoFullFP16Bit, },
  {Feature_HasNoLSEBit, },
  {Feature_HasNonStreamingSVE_or_SME2p2Bit, },
  {Feature_HasNonStreamingSVE_or_SSVE_FEXPABit, },
  {Feature_HasPAuthBit, },
  {Feature_HasRCPCBit, },
  {Feature_HasRCPC_IMMOBit, },
  {Feature_HasRDMBit, },
  {Feature_HasSHA2Bit, },
  {Feature_HasSHA3Bit, },
  {Feature_HasSM4Bit, },
  {Feature_HasSMEBit, },
  {Feature_HasSME2Bit, },
  {Feature_HasSMEF16F16_or_SMEF8F16Bit, },
  {Feature_HasSMEF64F64Bit, },
  {Feature_HasSMEF8F16Bit, },
  {Feature_HasSMEF8F32Bit, },
  {Feature_HasSMEI16I64Bit, },
  {Feature_HasSME_MOP4Bit, },
  {Feature_HasSMEandIsNonStreamingSafeBit, },
  {Feature_HasSSVE_FP8DOT2Bit, },
  {Feature_HasSSVE_FP8DOT4Bit, },
  {Feature_HasSSVE_FP8FMABit, },
  {Feature_HasSVEBit, },
  {Feature_HasSVE2Bit, },
  {Feature_HasSVE2SHA3Bit, },
  {Feature_HasSVE2SM4Bit, },
  {Feature_HasSVE2_or_SMEBit, },
  {Feature_HasSVE2p1_or_SMEBit, },
  {Feature_HasSVE2p1_or_SME2Bit, },
  {Feature_HasSVE2p1_or_SME2p1Bit, },
  {Feature_HasSVE_or_SMEBit, },
  {Feature_HasTMEBit, },
  {Feature_IsBEBit, },
  {Feature_IsLEBit, },
  {Feature_OptimizedGISelOrOtherSelectorBit, },
  {Feature_UseSTRQroBit, },
  {Feature_HasComplxNumBit, Feature_HasNEONBit, },
  {Feature_HasFAMINMAXBit, Feature_HasNEONBit, },
  {Feature_HasFAMINMAXBit, Feature_HasSVE2_or_SME2Bit, },
  {Feature_HasFP16FMLBit, Feature_HasNEONBit, },
  {Feature_HasFP8Bit, Feature_HasSVE2_or_SME2Bit, },
  {Feature_HasFPARMv8Bit, Feature_HasJSBit, },
  {Feature_HasFPRCVTBit, Feature_HasNEONBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONandIsSME2p2StreamingSafeBit, },
  {Feature_HasFullFP16Bit, Feature_HasNEONandIsStreamingSafeBit, },
  {Feature_HasLUTBit, Feature_HasSVE2_or_SME2Bit, },
  {Feature_HasMatMulFP32Bit, Feature_HasSVEBit, },
  {Feature_HasMatMulFP64Bit, Feature_HasSVEBit, },
  {Feature_HasMatMulFP64Bit, Feature_HasSVE_or_SMEBit, },
  {Feature_HasMatMulInt8Bit, Feature_HasSVEBit, },
  {Feature_HasMatMulInt8Bit, Feature_HasSVE_or_SMEBit, },
  {Feature_HasNEONBit, Feature_HasRCPC3Bit, },
  {Feature_HasNEONBit, Feature_HasRDMBit, },
  {Feature_HasNonStreamingSVE2_or_SSVE_AESBit, Feature_HasSVEAESBit, },
  {Feature_HasNonStreamingSVE2_or_SSVE_BitPermBit, Feature_HasSVEBitPermBit, },
  {Feature_HasRCPC_IMMOBit, Feature_UseLDAPURBit, },
  {Feature_HasSMEF16F16Bit, Feature_HasSME_MOP4Bit, },
  {Feature_HasSMEF64F64Bit, Feature_HasSME_MOP4Bit, },
  {Feature_HasSMEF8F16Bit, Feature_HasSME_MOP4Bit, },
  {Feature_HasSMEF8F32Bit, Feature_HasSME_MOP4Bit, },
  {Feature_HasSMEI16I64Bit, Feature_HasSME_MOP4Bit, },
  {Feature_HasSVE_or_SMEBit, Feature_IsLEBit, },
  {Feature_HasSVE_or_SMEBit, Feature_UseScalarIncVLBit, },
  {Feature_IsLEBit, Feature_UseSTRQroBit, },
  {Feature_AllowMisalignedMemAccessesBit, Feature_HasSVE_or_SMEBit, Feature_IsLEBit, },
  {Feature_HasComplxNumBit, Feature_HasFullFP16Bit, Feature_HasNEONBit, },
  {Feature_HasNEONBit, Feature_NotForCodeSizeBit, Feature_UseAlternateSExtLoadCVTF32Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_gi_addsub_shifted_imm32,
  GICP_gi_addsub_shifted_imm64,
  GICP_gi_am_indexed128,
  GICP_gi_am_indexed16,
  GICP_gi_am_indexed32,
  GICP_gi_am_indexed64,
  GICP_gi_am_indexed8,
  GICP_gi_am_unscaled128,
  GICP_gi_am_unscaled16,
  GICP_gi_am_unscaled32,
  GICP_gi_am_unscaled64,
  GICP_gi_am_unscaled8,
  GICP_gi_arith_extended_reg32_i32,
  GICP_gi_arith_extended_reg32_i64,
  GICP_gi_arith_extended_reg32to64_i64,
  GICP_gi_arith_shifted_reg32,
  GICP_gi_arith_shifted_reg64,
  GICP_gi_extract_high_v16i8,
  GICP_gi_extract_high_v4f32,
  GICP_gi_extract_high_v4i32,
  GICP_gi_extract_high_v8f16,
  GICP_gi_extract_high_v8i16,
  GICP_gi_logical_shifted_reg32,
  GICP_gi_logical_shifted_reg64,
  GICP_gi_neg_addsub_shifted_imm32,
  GICP_gi_neg_addsub_shifted_imm64,
  GICP_gi_ro_Windexed128,
  GICP_gi_ro_Windexed16,
  GICP_gi_ro_Windexed32,
  GICP_gi_ro_Windexed64,
  GICP_gi_ro_Windexed8,
  GICP_gi_ro_Xindexed128,
  GICP_gi_ro_Xindexed16,
  GICP_gi_ro_Xindexed32,
  GICP_gi_ro_Xindexed64,
  GICP_gi_ro_Xindexed8,
};
// See constructor for table contents

AArch64InstructionSelector::ComplexMatcherMemFn
AArch64InstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &AArch64InstructionSelector::selectArithImmed, // gi_addsub_shifted_imm32
  &AArch64InstructionSelector::selectArithImmed, // gi_addsub_shifted_imm64
  &AArch64InstructionSelector::selectAddrModeIndexed<128>, // gi_am_indexed128
  &AArch64InstructionSelector::selectAddrModeIndexed<16>, // gi_am_indexed16
  &AArch64InstructionSelector::selectAddrModeIndexed<32>, // gi_am_indexed32
  &AArch64InstructionSelector::selectAddrModeIndexed<64>, // gi_am_indexed64
  &AArch64InstructionSelector::selectAddrModeIndexed<8>, // gi_am_indexed8
  &AArch64InstructionSelector::selectAddrModeUnscaled128, // gi_am_unscaled128
  &AArch64InstructionSelector::selectAddrModeUnscaled16, // gi_am_unscaled16
  &AArch64InstructionSelector::selectAddrModeUnscaled32, // gi_am_unscaled32
  &AArch64InstructionSelector::selectAddrModeUnscaled64, // gi_am_unscaled64
  &AArch64InstructionSelector::selectAddrModeUnscaled8, // gi_am_unscaled8
  &AArch64InstructionSelector::selectArithExtendedRegister, // gi_arith_extended_reg32_i32
  &AArch64InstructionSelector::selectArithExtendedRegister, // gi_arith_extended_reg32_i64
  &AArch64InstructionSelector::selectArithExtendedRegister, // gi_arith_extended_reg32to64_i64
  &AArch64InstructionSelector::selectArithShiftedRegister, // gi_arith_shifted_reg32
  &AArch64InstructionSelector::selectArithShiftedRegister, // gi_arith_shifted_reg64
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v16i8
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v4f32
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v4i32
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v8f16
  &AArch64InstructionSelector::selectExtractHigh, // gi_extract_high_v8i16
  &AArch64InstructionSelector::selectLogicalShiftedRegister, // gi_logical_shifted_reg32
  &AArch64InstructionSelector::selectLogicalShiftedRegister, // gi_logical_shifted_reg64
  &AArch64InstructionSelector::selectNegArithImmed, // gi_neg_addsub_shifted_imm32
  &AArch64InstructionSelector::selectNegArithImmed, // gi_neg_addsub_shifted_imm64
  &AArch64InstructionSelector::selectAddrModeWRO<128>, // gi_ro_Windexed128
  &AArch64InstructionSelector::selectAddrModeWRO<16>, // gi_ro_Windexed16
  &AArch64InstructionSelector::selectAddrModeWRO<32>, // gi_ro_Windexed32
  &AArch64InstructionSelector::selectAddrModeWRO<64>, // gi_ro_Windexed64
  &AArch64InstructionSelector::selectAddrModeWRO<8>, // gi_ro_Windexed8
  &AArch64InstructionSelector::selectAddrModeXRO<128>, // gi_ro_Xindexed128
  &AArch64InstructionSelector::selectAddrModeXRO<16>, // gi_ro_Xindexed16
  &AArch64InstructionSelector::selectAddrModeXRO<32>, // gi_ro_Xindexed32
  &AArch64InstructionSelector::selectAddrModeXRO<64>, // gi_ro_Xindexed64
  &AArch64InstructionSelector::selectAddrModeXRO<8>, // gi_ro_Xindexed8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_and_or_is_add = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_ldaxr_1,
  GICXXPred_MI_Predicate_ldaxr_2,
  GICXXPred_MI_Predicate_ldaxr_4,
  GICXXPred_MI_Predicate_ldaxr_8,
  GICXXPred_MI_Predicate_ldxr_1,
  GICXXPred_MI_Predicate_ldxr_2,
  GICXXPred_MI_Predicate_ldxr_4,
  GICXXPred_MI_Predicate_ldxr_8,
  GICXXPred_MI_Predicate_stlxr_1,
  GICXXPred_MI_Predicate_stlxr_2,
  GICXXPred_MI_Predicate_stlxr_4,
  GICXXPred_MI_Predicate_stlxr_8,
  GICXXPred_MI_Predicate_stxr_1,
  GICXXPred_MI_Predicate_stxr_2,
  GICXXPred_MI_Predicate_stxr_4,
  GICXXPred_MI_Predicate_stxr_8,
};
bool AArch64InstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_and_or_is_add: {
    
         return mi_match(MI, MRI, m_GAddLike(m_Reg(), m_Reg()));
      
  }
  case GICXXPred_MI_Predicate_ldaxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_ldaxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_ldaxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_ldaxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  case GICXXPred_MI_Predicate_ldxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_ldxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_ldxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_ldxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  case GICXXPred_MI_Predicate_stlxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_stlxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_stlxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_stlxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  case GICXXPred_MI_Predicate_stxr_1: {
     return isLoadStoreOfNumBytes(MI, 1); 
  }
  case GICXXPred_MI_Predicate_stxr_2: {
     return isLoadStoreOfNumBytes(MI, 2); 
  }
  case GICXXPred_MI_Predicate_stxr_4: {
     return isLoadStoreOfNumBytes(MI, 4); 
  }
  case GICXXPred_MI_Predicate_stxr_8: {
     return isLoadStoreOfNumBytes(MI, 8); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_VectorIndex0 = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_VectorIndex0_timm,
  GICXXPred_I64_Predicate_VectorIndex1,
  GICXXPred_I64_Predicate_VectorIndex1_timm,
  GICXXPred_I64_Predicate_VectorIndex032b,
  GICXXPred_I64_Predicate_VectorIndex032b_timm,
  GICXXPred_I64_Predicate_VectorIndex132b,
  GICXXPred_I64_Predicate_VectorIndex132b_timm,
  GICXXPred_I64_Predicate_VectorIndexB,
  GICXXPred_I64_Predicate_VectorIndexB32b,
  GICXXPred_I64_Predicate_VectorIndexB32b_timm,
  GICXXPred_I64_Predicate_VectorIndexB_timm,
  GICXXPred_I64_Predicate_VectorIndexD,
  GICXXPred_I64_Predicate_VectorIndexD32b,
  GICXXPred_I64_Predicate_VectorIndexD32b_timm,
  GICXXPred_I64_Predicate_VectorIndexD_timm,
  GICXXPred_I64_Predicate_VectorIndexH,
  GICXXPred_I64_Predicate_VectorIndexH32b,
  GICXXPred_I64_Predicate_VectorIndexH32b_timm,
  GICXXPred_I64_Predicate_VectorIndexH_timm,
  GICXXPred_I64_Predicate_VectorIndexS,
  GICXXPred_I64_Predicate_VectorIndexS32b,
  GICXXPred_I64_Predicate_VectorIndexS32b_timm,
  GICXXPred_I64_Predicate_VectorIndexS_timm,
  GICXXPred_I64_Predicate_complexrotateop,
  GICXXPred_I64_Predicate_complexrotateopodd,
  GICXXPred_I64_Predicate_extq_timm32_0_1m8,
  GICXXPred_I64_Predicate_extq_timm32_0_3m4,
  GICXXPred_I64_Predicate_extq_timm32_0_7m2,
  GICXXPred_I64_Predicate_i64imm_32bit,
  GICXXPred_I64_Predicate_i64imm_32bit_tgt,
  GICXXPred_I64_Predicate_imm0_1,
  GICXXPred_I64_Predicate_imm0_3,
  GICXXPred_I64_Predicate_imm0_7,
  GICXXPred_I64_Predicate_imm0_15,
  GICXXPred_I64_Predicate_imm0_31,
  GICXXPred_I64_Predicate_imm0_63,
  GICXXPred_I64_Predicate_imm0_127,
  GICXXPred_I64_Predicate_imm0_127_64b,
  GICXXPred_I64_Predicate_imm0_255,
  GICXXPred_I64_Predicate_imm32_0_7,
  GICXXPred_I64_Predicate_imm32_0_15,
  GICXXPred_I64_Predicate_imm32_0_31,
  GICXXPred_I64_Predicate_imm64_0_65535,
  GICXXPred_I64_Predicate_maski8_or_more,
  GICXXPred_I64_Predicate_maski16_or_more,
  GICXXPred_I64_Predicate_rprfop,
  GICXXPred_I64_Predicate_s64imm_32bit,
  GICXXPred_I64_Predicate_simm4s1,
  GICXXPred_I64_Predicate_simm4s2,
  GICXXPred_I64_Predicate_simm4s3,
  GICXXPred_I64_Predicate_simm4s4,
  GICXXPred_I64_Predicate_simm4s16,
  GICXXPred_I64_Predicate_simm4s32,
  GICXXPred_I64_Predicate_simm5_8b,
  GICXXPred_I64_Predicate_simm5_8b_tgt,
  GICXXPred_I64_Predicate_simm5_16b,
  GICXXPred_I64_Predicate_simm5_16b_tgt,
  GICXXPred_I64_Predicate_simm5_32b,
  GICXXPred_I64_Predicate_simm5_32b_tgt,
  GICXXPred_I64_Predicate_simm5_64b,
  GICXXPred_I64_Predicate_simm5_64b_tgt,
  GICXXPred_I64_Predicate_simm6_32b,
  GICXXPred_I64_Predicate_simm6s1,
  GICXXPred_I64_Predicate_simm8_32b,
  GICXXPred_I64_Predicate_simm8_64b,
  GICXXPred_I64_Predicate_simm9,
  GICXXPred_I64_Predicate_sme_elm_idx0_0,
  GICXXPred_I64_Predicate_sme_elm_idx0_1,
  GICXXPred_I64_Predicate_sme_elm_idx0_3,
  GICXXPred_I64_Predicate_sme_elm_idx0_7,
  GICXXPred_I64_Predicate_sme_elm_idx0_15,
  GICXXPred_I64_Predicate_svcr_op,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_b,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_b_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_d,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_d_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_h,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_h_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_q,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_q_timm,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_s,
  GICXXPred_I64_Predicate_sve_elm_idx_extdup_s_timm,
  GICXXPred_I64_Predicate_sve_incdec_imm,
  GICXXPred_I64_Predicate_sve_pred_enum,
  GICXXPred_I64_Predicate_sve_prfop,
  GICXXPred_I64_Predicate_sve_vec_len_specifier_enum,
  GICXXPred_I64_Predicate_tbz_imm0_31_diag,
  GICXXPred_I64_Predicate_tbz_imm0_31_nodiag,
  GICXXPred_I64_Predicate_tbz_imm32_63,
  GICXXPred_I64_Predicate_timm0_1,
  GICXXPred_I64_Predicate_timm0_31,
  GICXXPred_I64_Predicate_timm0_63,
  GICXXPred_I64_Predicate_timm32_0_0,
  GICXXPred_I64_Predicate_timm32_0_1,
  GICXXPred_I64_Predicate_timm32_0_3,
  GICXXPred_I64_Predicate_timm32_0_7,
  GICXXPred_I64_Predicate_timm32_0_15,
  GICXXPred_I64_Predicate_timm32_0_31,
  GICXXPred_I64_Predicate_timm32_0_255,
  GICXXPred_I64_Predicate_timm32_0_65535,
  GICXXPred_I64_Predicate_timm32_1_1,
  GICXXPred_I64_Predicate_timm32_1_3,
  GICXXPred_I64_Predicate_timm32_1_7,
  GICXXPred_I64_Predicate_timm64_0_65535,
  GICXXPred_I64_Predicate_tuimm5s2,
  GICXXPred_I64_Predicate_tuimm5s4,
  GICXXPred_I64_Predicate_tuimm5s8,
  GICXXPred_I64_Predicate_tvecshiftL8,
  GICXXPred_I64_Predicate_tvecshiftL16,
  GICXXPred_I64_Predicate_tvecshiftL32,
  GICXXPred_I64_Predicate_tvecshiftL64,
  GICXXPred_I64_Predicate_tvecshiftR8,
  GICXXPred_I64_Predicate_tvecshiftR16,
  GICXXPred_I64_Predicate_tvecshiftR32,
  GICXXPred_I64_Predicate_tvecshiftR64,
  GICXXPred_I64_Predicate_ubsan_trap_imm,
  GICXXPred_I64_Predicate_uimm0s2range,
  GICXXPred_I64_Predicate_uimm0s4range,
  GICXXPred_I64_Predicate_uimm1s2range,
  GICXXPred_I64_Predicate_uimm1s4range,
  GICXXPred_I64_Predicate_uimm2s2range,
  GICXXPred_I64_Predicate_uimm2s4range,
  GICXXPred_I64_Predicate_uimm3s2range,
  GICXXPred_I64_Predicate_uimm3s8,
  GICXXPred_I64_Predicate_uimm5s2,
  GICXXPred_I64_Predicate_uimm5s4,
  GICXXPred_I64_Predicate_uimm5s8,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_32b,
  GICXXPred_I64_Predicate_uimm6_64b,
  GICXXPred_I64_Predicate_uimm6s1,
  GICXXPred_I64_Predicate_uimm6s2,
  GICXXPred_I64_Predicate_uimm6s4,
  GICXXPred_I64_Predicate_uimm6s8,
  GICXXPred_I64_Predicate_uimm6s16,
  GICXXPred_I64_Predicate_uimm8_32b,
  GICXXPred_I64_Predicate_uimm8_64b,
  GICXXPred_I64_Predicate_uimm16,
  GICXXPred_I64_Predicate_vecshiftL8,
  GICXXPred_I64_Predicate_vecshiftL16,
  GICXXPred_I64_Predicate_vecshiftL32,
  GICXXPred_I64_Predicate_vecshiftL64,
  GICXXPred_I64_Predicate_vecshiftR8,
  GICXXPred_I64_Predicate_vecshiftR16,
  GICXXPred_I64_Predicate_vecshiftR16Narrow,
  GICXXPred_I64_Predicate_vecshiftR32,
  GICXXPred_I64_Predicate_vecshiftR32Narrow,
  GICXXPred_I64_Predicate_vecshiftR64,
  GICXXPred_I64_Predicate_vecshiftR64Narrow,
};
bool AArch64InstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_VectorIndex0: {
     return ((uint64_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex0_timm: {
     return ((uint64_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex1: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndex1_timm: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndex032b: {
     return ((uint32_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex032b_timm: {
     return ((uint32_t)Imm) == 0; 
  }
  case GICXXPred_I64_Predicate_VectorIndex132b: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndex132b_timm: {
     return ((uint64_t)Imm) == 1; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB32b: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB32b_timm: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexB_timm: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD32b: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD32b_timm: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexD_timm: {
     return ((uint64_t)Imm) < 2; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH32b: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH32b_timm: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexH_timm: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS32b: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS32b_timm: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_VectorIndexS_timm: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_complexrotateop: {
     return Imm >= 0 && Imm <= 270;  
  }
  case GICXXPred_I64_Predicate_complexrotateopodd: {
     return Imm >= 0 && Imm <= 270;  
  }
  case GICXXPred_I64_Predicate_extq_timm32_0_1m8: {
    
      return ((uint32_t)Imm) < 2;
  }
  case GICXXPred_I64_Predicate_extq_timm32_0_3m4: {
    
      return ((uint32_t)Imm) < 4;
  }
  case GICXXPred_I64_Predicate_extq_timm32_0_7m2: {
    
      return ((uint32_t)Imm) < 8;
  }
  case GICXXPred_I64_Predicate_i64imm_32bit: {
    
      return (Imm & 0xffffffffULL) == static_cast<uint64_t>(Imm);
    
  }
  case GICXXPred_I64_Predicate_i64imm_32bit_tgt: {
    
      return (Imm & 0xffffffffULL) == static_cast<uint64_t>(Imm);
    
  }
  case GICXXPred_I64_Predicate_imm0_1: {
    
      return ((uint64_t)Imm) < 2;
    
  }
  case GICXXPred_I64_Predicate_imm0_3: {
    
      return ((uint64_t)Imm) < 4;
    
  }
  case GICXXPred_I64_Predicate_imm0_7: {
    
      return ((uint64_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_imm0_15: {
    
      return ((uint64_t)Imm) < 16;
    
  }
  case GICXXPred_I64_Predicate_imm0_31: {
    
      return ((uint64_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_imm0_63: {
    
      return ((uint64_t)Imm) < 64;
    
  }
  case GICXXPred_I64_Predicate_imm0_127: {
    
      return ((uint32_t)Imm) < 128;
    
  }
  case GICXXPred_I64_Predicate_imm0_127_64b: {
    
      return ((uint64_t)Imm) < 128;
    
  }
  case GICXXPred_I64_Predicate_imm0_255: {
    
      return ((uint32_t)Imm) < 256;
    
  }
  case GICXXPred_I64_Predicate_imm32_0_7: {
    
      return ((uint32_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_imm32_0_15: {
    
      return ((uint32_t)Imm) < 16;
    
  }
  case GICXXPred_I64_Predicate_imm32_0_31: {
    
      return ((uint64_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_imm64_0_65535: {
    
      return ((uint64_t)Imm) < 65536;
    
  }
  case GICXXPred_I64_Predicate_maski8_or_more: {
     return (Imm & 0xff) == 0xff; 
  }
  case GICXXPred_I64_Predicate_maski16_or_more: {
     return (Imm & 0xffff) == 0xffff; 
  }
  case GICXXPred_I64_Predicate_rprfop: {
    
        return (((uint32_t)Imm) <= 63);
      
  }
  case GICXXPred_I64_Predicate_s64imm_32bit: {
    
      int64_t Imm64 = static_cast<int64_t>(Imm);
      return Imm64 >= std::numeric_limits<int32_t>::min() &&
             Imm64 <= std::numeric_limits<int32_t>::max();
    
    llvm_unreachable("s64imm_32bit should have returned");
  }
  case GICXXPred_I64_Predicate_simm4s1: {
     return Imm >=-8  && Imm <= 7; 
  }
  case GICXXPred_I64_Predicate_simm4s2: {
     return Imm >=-16  && Imm <= 14 && (Imm % 2) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s3: {
     return Imm >=-24  && Imm <= 21 && (Imm % 3) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s4: {
     return Imm >=-32  && Imm <= 28 && (Imm % 4) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s16: {
     return Imm >=-128  && Imm <= 112 && (Imm % 16) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm4s32: {
     return Imm >=-256  && Imm <= 224 && (Imm % 32) == 0x0; 
  }
  case GICXXPred_I64_Predicate_simm5_8b: {
     return (int8_t)Imm >= -16 && (int8_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_8b_tgt: {
     return (int8_t)Imm >= -16 && (int8_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_16b: {
     return (int16_t)Imm >= -16 && (int16_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_16b_tgt: {
     return (int16_t)Imm >= -16 && (int16_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_32b: {
     return Imm >= -16 && Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_32b_tgt: {
     return (int32_t)Imm >= -16 && (int32_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_64b: {
     return Imm >= -16 && Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm5_64b_tgt: {
     return (int64_t)Imm >= -16 && (int64_t)Imm < 16; 
  }
  case GICXXPred_I64_Predicate_simm6_32b: {
     return Imm >= -32 && Imm < 32; 
  }
  case GICXXPred_I64_Predicate_simm6s1: {
     return Imm >= -32 && Imm < 32; 
  }
  case GICXXPred_I64_Predicate_simm8_32b: {
     return Imm >= -128 && Imm < 128; 
  }
  case GICXXPred_I64_Predicate_simm8_64b: {
     return Imm >= -128 && Imm < 128; 
  }
  case GICXXPred_I64_Predicate_simm9: {
     return Imm >= -256 && Imm < 256; 
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_0: {
    
      return ((uint32_t)Imm) == 0;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_1: {
    
      return ((uint32_t)Imm) <= 1;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_3: {
    
      return ((uint32_t)Imm) <= 3;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_7: {
    
      return ((uint32_t)Imm) <= 7;
    
  }
  case GICXXPred_I64_Predicate_sme_elm_idx0_15: {
    
      return ((uint32_t)Imm) <= 15;
    
  }
  case GICXXPred_I64_Predicate_svcr_op: {
    
        return AArch64SVCR::lookupSVCRByEncoding(Imm) != nullptr;
      
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_b: {
     return ((uint64_t)Imm) < 64; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_b_timm: {
     return ((uint64_t)Imm) < 64; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_d: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_d_timm: {
     return ((uint64_t)Imm) < 8; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_h: {
     return ((uint64_t)Imm) < 32; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_h_timm: {
     return ((uint64_t)Imm) < 32; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_q: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_q_timm: {
     return ((uint64_t)Imm) < 4; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_s: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_sve_elm_idx_extdup_s_timm: {
     return ((uint64_t)Imm) < 16; 
  }
  case GICXXPred_I64_Predicate_sve_incdec_imm: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_sve_pred_enum: {
    
      return (((uint32_t)Imm) < 32);
      
  }
  case GICXXPred_I64_Predicate_sve_prfop: {
    
        return (((uint32_t)Imm) <= 15);
      
  }
  case GICXXPred_I64_Predicate_sve_vec_len_specifier_enum: {
    
      return (((uint32_t)Imm) < 2);
      
  }
  case GICXXPred_I64_Predicate_tbz_imm0_31_diag: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_tbz_imm0_31_nodiag: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_tbz_imm32_63: {
    
      return (((uint32_t)Imm) > 31) && (((uint32_t)Imm) < 64);
    
  }
  case GICXXPred_I64_Predicate_timm0_1: {
    
      return ((uint64_t)Imm) < 2;
    
  }
  case GICXXPred_I64_Predicate_timm0_31: {
    
      return ((uint64_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_timm0_63: {
    
      return ((uint64_t)Imm) < 64;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_0: {
    
      return ((uint32_t)Imm) == 0;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_1: {
    
      return ((uint32_t)Imm) < 2;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_3: {
    
      return ((uint32_t)Imm) < 4;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_7: {
    
      return ((uint32_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_15: {
    
      return ((uint32_t)Imm) < 16;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_31: {
    
      return ((uint32_t)Imm) < 32;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_255: {
    
      return ((uint32_t)Imm) < 256;
    
  }
  case GICXXPred_I64_Predicate_timm32_0_65535: {
    
      return ((uint32_t)Imm) < 65536;
    
  }
  case GICXXPred_I64_Predicate_timm32_1_1: {
    
        return ((uint32_t)Imm) == 1;
    
  }
  case GICXXPred_I64_Predicate_timm32_1_3: {
    
      return ((uint32_t)Imm) > 0 && ((uint32_t)Imm) < 4;
    
  }
  case GICXXPred_I64_Predicate_timm32_1_7: {
    
      return ((uint32_t)Imm) > 0 && ((uint32_t)Imm) < 8;
    
  }
  case GICXXPred_I64_Predicate_timm64_0_65535: {
    
      return ((uint64_t)Imm) < 65536;
    
  }
  case GICXXPred_I64_Predicate_tuimm5s2: {
     return Imm >= 0 && Imm < (32*2) && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_tuimm5s4: {
     return Imm >= 0 && Imm < (32*4) && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_tuimm5s8: {
     return Imm >= 0 && Imm < (32*8) && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_tvecshiftL8: {
    
      return (((uint32_t)Imm) < 8);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftL16: {
    
      return (((uint32_t)Imm) < 16);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftL32: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftL64: {
    
      return (((uint32_t)Imm) < 64);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR8: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 9);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR16: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR32: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 33);
    
  }
  case GICXXPred_I64_Predicate_tvecshiftR64: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 65);
    
  }
  case GICXXPred_I64_Predicate_ubsan_trap_imm: {
    
      return isUInt<8>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm0s2range: {
     return Imm == 0; 
  }
  case GICXXPred_I64_Predicate_uimm0s4range: {
     return Imm == 0; 
  }
  case GICXXPred_I64_Predicate_uimm1s2range: {
     return Imm >= 0 && Imm <= 2 && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm1s4range: {
     return Imm >= 0 && Imm <= 4 && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm2s2range: {
     return Imm >= 0 && Imm <= 6 && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm2s4range: {
     return Imm >= 0 && Imm <= 12 && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm3s2range: {
     return Imm >= 0 && Imm <= 14 && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm3s8: {
     return Imm >= 0 && Imm <= 56 && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm5s2: {
     return Imm >= 0 && Imm < (32*2) && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm5s4: {
     return Imm >= 0 && Imm < (32*4) && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm5s8: {
     return Imm >= 0 && Imm < (32*8) && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6_32b: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6_64b: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6s1: {
     return Imm >= 0 && Imm < 64; 
  }
  case GICXXPred_I64_Predicate_uimm6s2: {
     return Imm >= 0 && Imm < (64*2) && ((Imm % 2) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6s4: {
     return Imm >= 0 && Imm < (64*4) && ((Imm % 4) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6s8: {
     return Imm >= 0 && Imm < (64*8) && ((Imm % 8) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm6s16: {
     return Imm >= 0 && Imm < (64*16) && ((Imm % 16) == 0); 
  }
  case GICXXPred_I64_Predicate_uimm8_32b: {
     return Imm >= 0 && Imm < 256; 
  }
  case GICXXPred_I64_Predicate_uimm8_64b: {
     return Imm >= 0 && Imm < 256; 
  }
  case GICXXPred_I64_Predicate_uimm16: {
    return Imm >= 0 && Imm < 65536;
  }
  case GICXXPred_I64_Predicate_vecshiftL8: {
    
      return (((uint32_t)Imm) < 8);
    
  }
  case GICXXPred_I64_Predicate_vecshiftL16: {
    
      return (((uint32_t)Imm) < 16);
    
  }
  case GICXXPred_I64_Predicate_vecshiftL32: {
    
      return (((uint32_t)Imm) < 32);
    
  }
  case GICXXPred_I64_Predicate_vecshiftL64: {
    
      return (((uint32_t)Imm) < 64);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR8: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 9);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR16: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR16Narrow: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 9);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR32: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 33);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR32Narrow: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 17);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR64: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 65);
    
  }
  case GICXXPred_I64_Predicate_vecshiftR64Narrow: {
    
      return (((uint32_t)Imm) > 0) && (((uint32_t)Imm) < 33);
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APFloat_Predicate_fpimm0 = GICXXPred_Invalid + 1,
  GICXXPred_APFloat_Predicate_fpimm16,
  GICXXPred_APFloat_Predicate_fpimm32,
  GICXXPred_APFloat_Predicate_fpimm32SIMDModImmType4,
  GICXXPred_APFloat_Predicate_fpimm64,
  GICXXPred_APFloat_Predicate_fpimm_half,
  GICXXPred_APFloat_Predicate_fpimm_minus0,
  GICXXPred_APFloat_Predicate_fpimm_one,
  GICXXPred_APFloat_Predicate_fpimm_two,
  GICXXPred_APFloat_Predicate_fpimmbf16,
  GICXXPred_APFloat_Predicate_simdimmtype10,
};
bool AArch64InstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APFloat_Predicate_fpimm0: {
    
      return Imm.isExactlyValue(+0.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm16: {
    
          return AArch64_AM::getFP16Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_fpimm32: {
    
          return AArch64_AM::getFP32Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_fpimm32SIMDModImmType4: {
    
          uint64_t Enc = Imm.bitcastToAPInt().getZExtValue();
          return Enc != 0 && AArch64_AM::isAdvSIMDModImmType4(Enc << 32 | Enc);
        
    llvm_unreachable("fpimm32SIMDModImmType4 should have returned");
  }
  case GICXXPred_APFloat_Predicate_fpimm64: {
    
          return AArch64_AM::getFP64Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_fpimm_half: {
    
      return Imm.isExactlyValue(+0.5);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm_minus0: {
    
      return Imm.isExactlyValue(-0.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm_one: {
    
      return Imm.isExactlyValue(+1.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimm_two: {
    
      return Imm.isExactlyValue(+2.0);
    
  }
  case GICXXPred_APFloat_Predicate_fpimmbf16: {
    
          return AArch64_AM::getFP16Imm(Imm) != -1;
        
  }
  case GICXXPred_APFloat_Predicate_simdimmtype10: {
    
          return AArch64_AM::isAdvSIMDModImmType10(
                     Imm.bitcastToAPInt().getZExtValue());
        
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_logical_imm32 = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_logical_imm64,
};
bool AArch64InstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_logical_imm32: {
    
      return AArch64_AM::isLogicalImmediate(Imm.getZExtValue(), 32);
    
  }
  case GICXXPred_APInt_Predicate_logical_imm64: {
    
      return AArch64_AM::isLogicalImmediate(Imm.getZExtValue(), 64);
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool AArch64InstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("AArch64InstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderFPImm16,
  GICR_renderFPImm32,
  GICR_renderFPImm32SIMDModImmType4,
  GICR_renderFPImm64,
  GICR_renderLogicalImm32,
  GICR_renderLogicalImm64,
  GICR_renderTruncImm,
  GICR_renderUbsanTrap,
};
AArch64InstructionSelector::CustomRendererFn
AArch64InstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &AArch64InstructionSelector::renderFPImm16,
  &AArch64InstructionSelector::renderFPImm32,
  &AArch64InstructionSelector::renderFPImm32SIMDModImmType4,
  &AArch64InstructionSelector::renderFPImm64,
  &AArch64InstructionSelector::renderLogicalImm32,
  &AArch64InstructionSelector::renderLogicalImm64,
  &AArch64InstructionSelector::renderTruncImm,
  &AArch64InstructionSelector::renderUbsanTrap,
};

bool AArch64InstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool AArch64InstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("AArch64InstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *AArch64InstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*      0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(899), /*)*//*default:*//*Label 152*/ GIMT_Encode4(417339),
     /*     10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(3394),
     /*     14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(36389),
     /*     18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(50617),
     /*     22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(53138),
     /*     26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(53220), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     46 */ /*TargetOpcode::G_AND*//*Label 5*/ GIMT_Encode4(53302),
     /*     50 */ /*TargetOpcode::G_OR*//*Label 6*/ GIMT_Encode4(61048),
     /*     54 */ /*TargetOpcode::G_XOR*//*Label 7*/ GIMT_Encode4(72827), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    114 */ /*TargetOpcode::G_CONCAT_VECTORS*//*Label 8*/ GIMT_Encode4(80019), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    126 */ /*TargetOpcode::G_BITCAST*//*Label 9*/ GIMT_Encode4(87543), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 10*/ GIMT_Encode4(97487),
     /*    146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 11*/ GIMT_Encode4(97978),
     /*    150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 12*/ GIMT_Encode4(98469),
     /*    154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 13*/ GIMT_Encode4(98737),
     /*    158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 14*/ GIMT_Encode4(98887),
     /*    162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 15*/ GIMT_Encode4(99378), GIMT_Encode4(0),
     /*    170 */ /*TargetOpcode::G_LOAD*//*Label 16*/ GIMT_Encode4(99411),
     /*    174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 17*/ GIMT_Encode4(108277),
     /*    178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 18*/ GIMT_Encode4(109327), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    194 */ /*TargetOpcode::G_STORE*//*Label 19*/ GIMT_Encode4(112296), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 20*/ GIMT_Encode4(125822),
     /*    210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 21*/ GIMT_Encode4(127173),
     /*    214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 22*/ GIMT_Encode4(128165),
     /*    218 */ /*TargetOpcode::G_ATOMICRMW_SUB*//*Label 23*/ GIMT_Encode4(129157),
     /*    222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 24*/ GIMT_Encode4(130649), GIMT_Encode4(0),
     /*    230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 25*/ GIMT_Encode4(132141),
     /*    234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 26*/ GIMT_Encode4(133133),
     /*    238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 27*/ GIMT_Encode4(134125),
     /*    242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 28*/ GIMT_Encode4(135117),
     /*    246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 29*/ GIMT_Encode4(136109),
     /*    250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 30*/ GIMT_Encode4(137101),
     /*    254 */ /*TargetOpcode::G_ATOMICRMW_FADD*//*Label 31*/ GIMT_Encode4(138093), GIMT_Encode4(0),
     /*    262 */ /*TargetOpcode::G_ATOMICRMW_FMAX*//*Label 32*/ GIMT_Encode4(138798),
     /*    266 */ /*TargetOpcode::G_ATOMICRMW_FMIN*//*Label 33*/ GIMT_Encode4(139503), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    286 */ /*TargetOpcode::G_FENCE*//*Label 34*/ GIMT_Encode4(140208), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    306 */ /*TargetOpcode::G_INTRINSIC*//*Label 35*/ GIMT_Encode4(140259),
     /*    310 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 36*/ GIMT_Encode4(249995), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    322 */ /*TargetOpcode::G_ANYEXT*//*Label 37*/ GIMT_Encode4(261511),
     /*    326 */ /*TargetOpcode::G_TRUNC*//*Label 38*/ GIMT_Encode4(261801),
     /*    330 */ /*TargetOpcode::G_CONSTANT*//*Label 39*/ GIMT_Encode4(263238),
     /*    334 */ /*TargetOpcode::G_FCONSTANT*//*Label 40*/ GIMT_Encode4(263358), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    346 */ /*TargetOpcode::G_SEXT*//*Label 41*/ GIMT_Encode4(263599),
     /*    350 */ /*TargetOpcode::G_SEXT_INREG*//*Label 42*/ GIMT_Encode4(265497),
     /*    354 */ /*TargetOpcode::G_ZEXT*//*Label 43*/ GIMT_Encode4(267151),
     /*    358 */ /*TargetOpcode::G_SHL*//*Label 44*/ GIMT_Encode4(269930),
     /*    362 */ /*TargetOpcode::G_LSHR*//*Label 45*/ GIMT_Encode4(270755),
     /*    366 */ /*TargetOpcode::G_ASHR*//*Label 46*/ GIMT_Encode4(271193), GIMT_Encode4(0),
     /*    374 */ /*TargetOpcode::G_FSHR*//*Label 47*/ GIMT_Encode4(272018),
     /*    378 */ /*TargetOpcode::G_ROTR*//*Label 48*/ GIMT_Encode4(272148), GIMT_Encode4(0),
     /*    386 */ /*TargetOpcode::G_ICMP*//*Label 49*/ GIMT_Encode4(272690), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    402 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(280467), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    446 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(281512),
     /*    450 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(281996),
     /*    454 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(282480),
     /*    458 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(282910),
     /*    462 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(283340),
     /*    466 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(283770), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    510 */ /*TargetOpcode::G_FADD*//*Label 57*/ GIMT_Encode4(284200),
     /*    514 */ /*TargetOpcode::G_FSUB*//*Label 58*/ GIMT_Encode4(285998),
     /*    518 */ /*TargetOpcode::G_FMUL*//*Label 59*/ GIMT_Encode4(286736),
     /*    522 */ /*TargetOpcode::G_FMA*//*Label 60*/ GIMT_Encode4(290832), GIMT_Encode4(0),
     /*    530 */ /*TargetOpcode::G_FDIV*//*Label 61*/ GIMT_Encode4(307105), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    578 */ /*TargetOpcode::G_FNEG*//*Label 62*/ GIMT_Encode4(307721),
     /*    582 */ /*TargetOpcode::G_FPEXT*//*Label 63*/ GIMT_Encode4(311228),
     /*    586 */ /*TargetOpcode::G_FPTRUNC*//*Label 64*/ GIMT_Encode4(311476),
     /*    590 */ /*TargetOpcode::G_FPTOSI*//*Label 65*/ GIMT_Encode4(311664),
     /*    594 */ /*TargetOpcode::G_FPTOUI*//*Label 66*/ GIMT_Encode4(312641),
     /*    598 */ /*TargetOpcode::G_SITOFP*//*Label 67*/ GIMT_Encode4(313618),
     /*    602 */ /*TargetOpcode::G_UITOFP*//*Label 68*/ GIMT_Encode4(318246),
     /*    606 */ /*TargetOpcode::G_FPTOSI_SAT*//*Label 69*/ GIMT_Encode4(322252),
     /*    610 */ /*TargetOpcode::G_FPTOUI_SAT*//*Label 70*/ GIMT_Encode4(322572),
     /*    614 */ /*TargetOpcode::G_FABS*//*Label 71*/ GIMT_Encode4(322892), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    626 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 72*/ GIMT_Encode4(323749),
     /*    630 */ /*TargetOpcode::G_FMINNUM*//*Label 73*/ GIMT_Encode4(324031),
     /*    634 */ /*TargetOpcode::G_FMAXNUM*//*Label 74*/ GIMT_Encode4(324409),
     /*    638 */ /*TargetOpcode::G_FMINNUM_IEEE*//*Label 75*/ GIMT_Encode4(324787),
     /*    642 */ /*TargetOpcode::G_FMAXNUM_IEEE*//*Label 76*/ GIMT_Encode4(325137),
     /*    646 */ /*TargetOpcode::G_FMINIMUM*//*Label 77*/ GIMT_Encode4(325487),
     /*    650 */ /*TargetOpcode::G_FMAXIMUM*//*Label 78*/ GIMT_Encode4(326190), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    686 */ /*TargetOpcode::G_SMIN*//*Label 79*/ GIMT_Encode4(326893),
     /*    690 */ /*TargetOpcode::G_SMAX*//*Label 80*/ GIMT_Encode4(327297),
     /*    694 */ /*TargetOpcode::G_UMIN*//*Label 81*/ GIMT_Encode4(327701),
     /*    698 */ /*TargetOpcode::G_UMAX*//*Label 82*/ GIMT_Encode4(328105),
     /*    702 */ /*TargetOpcode::G_ABS*//*Label 83*/ GIMT_Encode4(328509),
     /*    706 */ /*TargetOpcode::G_LROUND*//*Label 84*/ GIMT_Encode4(329324),
     /*    710 */ /*TargetOpcode::G_LLROUND*//*Label 85*/ GIMT_Encode4(329490),
     /*    714 */ /*TargetOpcode::G_BR*//*Label 86*/ GIMT_Encode4(329589), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    730 */ /*TargetOpcode::G_EXTRACT_SUBVECTOR*//*Label 87*/ GIMT_Encode4(329605),
     /*    734 */ /*TargetOpcode::G_INSERT_VECTOR_ELT*//*Label 88*/ GIMT_Encode4(334977),
     /*    738 */ /*TargetOpcode::G_EXTRACT_VECTOR_ELT*//*Label 89*/ GIMT_Encode4(364114), GIMT_Encode4(0),
     /*    746 */ /*TargetOpcode::G_SPLAT_VECTOR*//*Label 90*/ GIMT_Encode4(367032), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    758 */ /*TargetOpcode::G_CTTZ*//*Label 91*/ GIMT_Encode4(369352), GIMT_Encode4(0),
     /*    766 */ /*TargetOpcode::G_CTLZ*//*Label 92*/ GIMT_Encode4(369504), GIMT_Encode4(0),
     /*    774 */ /*TargetOpcode::G_CTPOP*//*Label 93*/ GIMT_Encode4(370178),
     /*    778 */ /*TargetOpcode::G_BSWAP*//*Label 94*/ GIMT_Encode4(370338),
     /*    782 */ /*TargetOpcode::G_BITREVERSE*//*Label 95*/ GIMT_Encode4(370652),
     /*    786 */ /*TargetOpcode::G_FCEIL*//*Label 96*/ GIMT_Encode4(370806), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    834 */ /*TargetOpcode::G_FSQRT*//*Label 97*/ GIMT_Encode4(371297),
     /*    838 */ /*TargetOpcode::G_FFLOOR*//*Label 98*/ GIMT_Encode4(371597),
     /*    842 */ /*TargetOpcode::G_FRINT*//*Label 99*/ GIMT_Encode4(372088),
     /*    846 */ /*TargetOpcode::G_FNEARBYINT*//*Label 100*/ GIMT_Encode4(372579), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    874 */ /*TargetOpcode::G_STRICT_FADD*//*Label 101*/ GIMT_Encode4(373070),
     /*    878 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 102*/ GIMT_Encode4(374196),
     /*    882 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 103*/ GIMT_Encode4(374812),
     /*    886 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 104*/ GIMT_Encode4(378534), GIMT_Encode4(0),
     /*    894 */ /*TargetOpcode::G_STRICT_FMA*//*Label 105*/ GIMT_Encode4(379150),
     /*    898 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 106*/ GIMT_Encode4(394757), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    934 */ /*TargetOpcode::G_TRAP*//*Label 107*/ GIMT_Encode4(395057),
     /*    938 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 108*/ GIMT_Encode4(395071),
     /*    942 */ /*TargetOpcode::G_UBSANTRAP*//*Label 109*/ GIMT_Encode4(395092), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    954 */ /*TargetOpcode::G_VECREDUCE_FADD*//*Label 110*/ GIMT_Encode4(395117), GIMT_Encode4(0),
     /*    962 */ /*TargetOpcode::G_VECREDUCE_FMAX*//*Label 111*/ GIMT_Encode4(395427),
     /*    966 */ /*TargetOpcode::G_VECREDUCE_FMIN*//*Label 112*/ GIMT_Encode4(395598),
     /*    970 */ /*TargetOpcode::G_VECREDUCE_FMAXIMUM*//*Label 113*/ GIMT_Encode4(395769),
     /*    974 */ /*TargetOpcode::G_VECREDUCE_FMINIMUM*//*Label 114*/ GIMT_Encode4(395940),
     /*    978 */ /*TargetOpcode::G_VECREDUCE_ADD*//*Label 115*/ GIMT_Encode4(396111), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    998 */ /*TargetOpcode::G_VECREDUCE_SMAX*//*Label 116*/ GIMT_Encode4(397240),
     /*   1002 */ /*TargetOpcode::G_VECREDUCE_SMIN*//*Label 117*/ GIMT_Encode4(397443),
     /*   1006 */ /*TargetOpcode::G_VECREDUCE_UMAX*//*Label 118*/ GIMT_Encode4(397646),
     /*   1010 */ /*TargetOpcode::G_VECREDUCE_UMIN*//*Label 119*/ GIMT_Encode4(397849), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   3262 */ /*AArch64::G_AARCH64_PREFETCH*//*Label 120*/ GIMT_Encode4(398052), GIMT_Encode4(0),
     /*   3270 */ /*AArch64::G_BSP*//*Label 121*/ GIMT_Encode4(398192),
     /*   3274 */ /*AArch64::G_DUP*//*Label 122*/ GIMT_Encode4(398732),
     /*   3278 */ /*AArch64::G_DUPLANE16*//*Label 123*/ GIMT_Encode4(400555),
     /*   3282 */ /*AArch64::G_DUPLANE32*//*Label 124*/ GIMT_Encode4(400810),
     /*   3286 */ /*AArch64::G_DUPLANE64*//*Label 125*/ GIMT_Encode4(401065),
     /*   3290 */ /*AArch64::G_DUPLANE8*//*Label 126*/ GIMT_Encode4(401211),
     /*   3294 */ /*AArch64::G_EXT*//*Label 127*/ GIMT_Encode4(401390),
     /*   3298 */ /*AArch64::G_FCMEQ*//*Label 128*/ GIMT_Encode4(403040),
     /*   3302 */ /*AArch64::G_FCMGE*//*Label 129*/ GIMT_Encode4(403599),
     /*   3306 */ /*AArch64::G_FCMGT*//*Label 130*/ GIMT_Encode4(404691),
     /*   3310 */ /*AArch64::G_REV16*//*Label 131*/ GIMT_Encode4(405783),
     /*   3314 */ /*AArch64::G_REV32*//*Label 132*/ GIMT_Encode4(405937),
     /*   3318 */ /*AArch64::G_REV64*//*Label 133*/ GIMT_Encode4(406113),
     /*   3322 */ /*AArch64::G_SADDLP*//*Label 134*/ GIMT_Encode4(406387),
     /*   3326 */ /*AArch64::G_SADDLV*//*Label 135*/ GIMT_Encode4(406593),
     /*   3330 */ /*AArch64::G_SDOT*//*Label 136*/ GIMT_Encode4(406992),
     /*   3334 */ /*AArch64::G_SITOF*//*Label 137*/ GIMT_Encode4(407362),
     /*   3338 */ /*AArch64::G_SMULL*//*Label 138*/ GIMT_Encode4(407479),
     /*   3342 */ /*AArch64::G_TRN1*//*Label 139*/ GIMT_Encode4(408712),
     /*   3346 */ /*AArch64::G_TRN2*//*Label 140*/ GIMT_Encode4(409492),
     /*   3350 */ /*AArch64::G_UADDLP*//*Label 141*/ GIMT_Encode4(410272),
     /*   3354 */ /*AArch64::G_UADDLV*//*Label 142*/ GIMT_Encode4(410478),
     /*   3358 */ /*AArch64::G_UDOT*//*Label 143*/ GIMT_Encode4(411345),
     /*   3362 */ /*AArch64::G_UITOF*//*Label 144*/ GIMT_Encode4(411715),
     /*   3366 */ /*AArch64::G_UMULL*//*Label 145*/ GIMT_Encode4(411832),
     /*   3370 */ /*AArch64::G_UZP1*//*Label 146*/ GIMT_Encode4(413065),
     /*   3374 */ /*AArch64::G_UZP2*//*Label 147*/ GIMT_Encode4(413845),
     /*   3378 */ /*AArch64::G_VASHR*//*Label 148*/ GIMT_Encode4(414625),
     /*   3382 */ /*AArch64::G_VLSHR*//*Label 149*/ GIMT_Encode4(415323),
     /*   3386 */ /*AArch64::G_ZIP1*//*Label 150*/ GIMT_Encode4(415779),
     /*   3390 */ /*AArch64::G_ZIP2*//*Label 151*/ GIMT_Encode4(416559),
     /*   3394 */ // Label 0: @3394
     /*   3394 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 166*/ GIMT_Encode4(36388),
     /*   3405 */ /*GILLT_s32*//*Label 153*/ GIMT_Encode4(3493),
     /*   3409 */ /*GILLT_s64*//*Label 154*/ GIMT_Encode4(6272), GIMT_Encode4(0),
     /*   3417 */ /*GILLT_v2s32*//*Label 155*/ GIMT_Encode4(11600),
     /*   3421 */ /*GILLT_v2s64*//*Label 156*/ GIMT_Encode4(15208),
     /*   3425 */ /*GILLT_v4s16*//*Label 157*/ GIMT_Encode4(21110),
     /*   3429 */ /*GILLT_v4s32*//*Label 158*/ GIMT_Encode4(24608),
     /*   3433 */ /*GILLT_v8s8*//*Label 159*/ GIMT_Encode4(30786),
     /*   3437 */ /*GILLT_v8s16*//*Label 160*/ GIMT_Encode4(31636),
     /*   3441 */ /*GILLT_v16s8*//*Label 161*/ GIMT_Encode4(35214), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   3461 */ /*GILLT_nxv2s64*//*Label 162*/ GIMT_Encode4(35938), GIMT_Encode4(0), GIMT_Encode4(0),
     /*   3473 */ /*GILLT_nxv4s32*//*Label 163*/ GIMT_Encode4(36310), GIMT_Encode4(0),
     /*   3481 */ /*GILLT_nxv8s16*//*Label 164*/ GIMT_Encode4(36336), GIMT_Encode4(0),
     /*   3489 */ /*GILLT_nxv16s8*//*Label 165*/ GIMT_Encode4(36362),
     /*   3493 */ // Label 153: @3493
     /*   3493 */ GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(6271),
     /*   3498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   3501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   3504 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(3537), // Rule ID 13183 //
     /*   3509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   3513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   3517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm32),
     /*   3524 */     // (add:{ *:[i32] } addsub_shifted_imm32:{ *:[i32] }:$imm, GPR32sp:{ *:[i32] }:$Rn)  =>  (ADDWri:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   3524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWri),
     /*   3527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   3529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   3531 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   3535 */     GIR_RootConstrainSelectedInstOperands,
     /*   3536 */     // GIR_Coverage, 13183,
     /*   3536 */     GIR_EraseRootFromParent_Done,
     /*   3537 */   // Label 168: @3537
     /*   3537 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(3689), // Rule ID 13610 //
     /*   3542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3569 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3572 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   3577 */     // MIs[2] pattern
     /*   3577 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3580 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   3585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3591 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1332:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCB_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   3591 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   3594 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   3598 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   3605 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   3608 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   3612 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3617 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   3620 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   3624 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   3627 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3632 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3637 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   3645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   3649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3654 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   3657 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   3661 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   3664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   3666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   3669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3671 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   3678 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3683 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   3688 */     // GIR_Coverage, 13610,
     /*   3688 */     GIR_EraseRootFromParent_Done,
     /*   3689 */   // Label 169: @3689
     /*   3689 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(3841), // Rule ID 15464 //
     /*   3694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3721 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3724 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   3729 */     // MIs[2] pattern
     /*   3729 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3732 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   3737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3743 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1334:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCH_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   3743 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   3746 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   3750 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   3757 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   3760 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   3764 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3769 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   3772 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   3776 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   3779 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3784 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3789 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   3797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   3801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3806 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   3809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   3813 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   3816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   3818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   3821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3823 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   3830 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3835 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   3840 */     // GIR_Coverage, 15464,
     /*   3840 */     GIR_EraseRootFromParent_Done,
     /*   3841 */   // Label 170: @3841
     /*   3841 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(3993), // Rule ID 15476 //
     /*   3846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   3849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   3857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   3861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   3865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   3869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   3873 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   3876 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   3881 */     // MIs[2] pattern
     /*   3881 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   3884 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   3889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3893 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   3895 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1340:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCW_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   3895 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   3898 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   3902 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   3909 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   3912 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   3916 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3921 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   3924 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   3928 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   3931 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3936 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   3941 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   3949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   3953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   3958 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   3961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   3965 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   3968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   3970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   3973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   3975 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   3982 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   3987 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   3992 */     // GIR_Coverage, 15476,
     /*   3992 */     GIR_EraseRootFromParent_Done,
     /*   3993 */   // Label 171: @3993
     /*   3993 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(4145), // Rule ID 15488 //
     /*   3998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4025 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4028 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   4033 */     // MIs[2] pattern
     /*   4033 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4036 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4045 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4047 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1333:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)), GPR32:{ *:[i32] }:$Rdn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCD_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4047 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4050 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4054 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4061 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4064 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4068 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4073 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4076 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rdn
     /*   4080 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4083 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4088 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4093 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   4105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4110 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4117 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4127 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4134 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4139 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4144 */     // GIR_Coverage, 15488,
     /*   4144 */     GIR_EraseRootFromParent_Done,
     /*   4145 */   // Label 172: @4145
     /*   4145 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(4178), // Rule ID 91 //
     /*   4150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   4154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   4158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm32),
     /*   4165 */     // (add:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (ADDWri:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   4165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWri),
     /*   4168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   4170 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   4172 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   4176 */     GIR_RootConstrainSelectedInstOperands,
     /*   4177 */     // GIR_Coverage, 91,
     /*   4177 */     GIR_EraseRootFromParent_Done,
     /*   4178 */   // Label 173: @4178
     /*   4178 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(4330), // Rule ID 2656 //
     /*   4183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4214 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4217 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   4222 */     // MIs[2] pattern
     /*   4222 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4225 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4230 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4232 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1332:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCB_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4232 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4235 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4239 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4246 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4249 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4253 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4258 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4261 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4265 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4268 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4273 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4278 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   4290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4295 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4298 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4302 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4312 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4319 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4324 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4329 */     // GIR_Coverage, 2656,
     /*   4329 */     GIR_EraseRootFromParent_Done,
     /*   4330 */   // Label 174: @4330
     /*   4330 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(4482), // Rule ID 9921 //
     /*   4335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4366 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4369 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   4374 */     // MIs[2] pattern
     /*   4374 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4377 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4384 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1334:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCH_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4384 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4387 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4391 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4398 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4401 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4405 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4410 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4413 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4417 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4420 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4425 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4430 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   4442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4447 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4450 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4454 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4464 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4471 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4476 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4481 */     // GIR_Coverage, 9921,
     /*   4481 */     GIR_EraseRootFromParent_Done,
     /*   4482 */   // Label 175: @4482
     /*   4482 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(4634), // Rule ID 9933 //
     /*   4487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4518 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4521 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   4526 */     // MIs[2] pattern
     /*   4526 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4529 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4534 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4536 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1340:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCW_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4536 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4539 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4543 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4550 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4553 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4557 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4562 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4565 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4569 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4572 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4577 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4582 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   4594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4599 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4602 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4606 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4616 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4623 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4628 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4633 */     // GIR_Coverage, 9933,
     /*   4633 */     GIR_EraseRootFromParent_Done,
     /*   4634 */   // Label 176: @4634
     /*   4634 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(4786), // Rule ID 9945 //
     /*   4639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   4642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   4654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4670 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*   4673 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   4678 */     // MIs[2] pattern
     /*   4678 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*   4681 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   4686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4688 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1333:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCD_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*   4688 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4691 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4695 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4702 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4705 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4709 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4714 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4717 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*   4721 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4724 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4729 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4734 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   4746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4751 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4754 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*   4758 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   4761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4768 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4775 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4780 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4785 */     // GIR_Coverage, 9945,
     /*   4785 */     GIR_EraseRootFromParent_Done,
     /*   4786 */   // Label 177: @4786
     /*   4786 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(4943), // Rule ID 15507 //
     /*   4791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   4794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4818 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   4821 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   4826 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   4830 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   4832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   4837 */     // MIs[2] pred
     /*   4837 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   4842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   4848 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>), GPR32:{ *:[i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   4848 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   4851 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   4855 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   4862 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   4865 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   4869 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4874 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   4877 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   4881 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   4884 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4889 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   4894 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   4902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_B),
     /*   4906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   4911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   4915 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   4918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   4920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   4923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   4925 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   4932 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4937 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   4942 */     // GIR_Coverage, 15507,
     /*   4942 */     GIR_EraseRootFromParent_Done,
     /*   4943 */   // Label 178: @4943
     /*   4943 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(5100), // Rule ID 15508 //
     /*   4948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   4951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   4955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   4959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   4963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   4967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   4971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   4975 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   4978 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   4983 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   4987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   4989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   4994 */     // MIs[2] pred
     /*   4994 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   4999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5003 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5005 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>), GPR32:{ *:[i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5005 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5008 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5012 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5019 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5022 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5026 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5031 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5034 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   5038 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5041 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5046 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5051 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_H),
     /*   5063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5068 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5072 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5082 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5089 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5094 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5099 */     // GIR_Coverage, 15508,
     /*   5099 */     GIR_EraseRootFromParent_Done,
     /*   5100 */   // Label 179: @5100
     /*   5100 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(5257), // Rule ID 15509 //
     /*   5105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5132 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5135 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5140 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   5144 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5151 */     // MIs[2] pred
     /*   5151 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5162 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>), GPR32:{ *:[i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5162 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5165 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5169 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5176 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5179 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5183 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5188 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5191 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   5195 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5198 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5203 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5208 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_S),
     /*   5220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5225 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5229 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5239 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5246 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5251 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5256 */     // GIR_Coverage, 15509,
     /*   5256 */     GIR_EraseRootFromParent_Done,
     /*   5257 */   // Label 180: @5257
     /*   5257 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(5414), // Rule ID 15510 //
     /*   5262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   5273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5289 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5292 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5297 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   5301 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5303 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5308 */     // MIs[2] pred
     /*   5308 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5319 */     // (add:{ *:[i32] } (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>), GPR32:{ *:[i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5319 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5322 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5326 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5333 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5336 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5340 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5345 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5348 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   5352 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5355 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5360 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5365 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_D),
     /*   5377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5382 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5386 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5396 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5403 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5408 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5413 */     // GIR_Coverage, 15510,
     /*   5413 */     GIR_EraseRootFromParent_Done,
     /*   5414 */   // Label 181: @5414
     /*   5414 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(5571), // Rule ID 10037 //
     /*   5419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5450 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5453 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5458 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   5462 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5469 */     // MIs[2] pred
     /*   5469 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5476 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5476 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5479 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5483 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5490 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5493 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5497 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5502 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5505 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   5509 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5512 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5517 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5522 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_B),
     /*   5534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5539 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5543 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5553 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5560 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5565 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5570 */     // GIR_Coverage, 10037,
     /*   5570 */     GIR_EraseRootFromParent_Done,
     /*   5571 */   // Label 182: @5571
     /*   5571 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(5728), // Rule ID 10038 //
     /*   5576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5607 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5610 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5615 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   5619 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5626 */     // MIs[2] pred
     /*   5626 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5633 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5633 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5636 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5640 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5647 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5650 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5654 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5659 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5662 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   5666 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5669 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5674 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5679 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_H),
     /*   5691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5696 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5700 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5710 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5717 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5722 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5727 */     // GIR_Coverage, 10038,
     /*   5727 */     GIR_EraseRootFromParent_Done,
     /*   5728 */   // Label 183: @5728
     /*   5728 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(5885), // Rule ID 10039 //
     /*   5733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5764 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5767 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5772 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   5776 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5778 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5783 */     // MIs[2] pred
     /*   5783 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5788 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5790 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5790 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5793 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5797 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5804 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5807 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5811 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5816 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5819 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   5823 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5826 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5831 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5836 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   5844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_S),
     /*   5848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   5857 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   5860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   5862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   5865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   5867 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   5874 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5879 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   5884 */     // GIR_Coverage, 10039,
     /*   5884 */     GIR_EraseRootFromParent_Done,
     /*   5885 */   // Label 184: @5885
     /*   5885 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(6042), // Rule ID 10040 //
     /*   5890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*   5893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   5905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*   5909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   5913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   5917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   5921 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*   5924 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*   5929 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   5933 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   5935 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*   5940 */     // MIs[2] pred
     /*   5940 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*   5945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   5947 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (INCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*   5947 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*   5950 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   5954 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   5961 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   5964 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   5968 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   5973 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   5976 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   5980 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*   5983 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5988 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*   5993 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   5998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   6001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_D),
     /*   6005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*   6014 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   6017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6024 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*   6031 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6036 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   6041 */     // GIR_Coverage, 10040,
     /*   6041 */     GIR_EraseRootFromParent_Done,
     /*   6042 */   // Label 185: @6042
     /*   6042 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(6075), // Rule ID 13187 //
     /*   6047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   6051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   6055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32_i32),
     /*   6062 */     // (add:{ *:[i32] } arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend, GPR32sp:{ *:[i32] }:$Rn)  =>  (ADDWrx:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend)
     /*   6062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrx),
     /*   6065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6067 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   6069 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*   6073 */     GIR_RootConstrainSelectedInstOperands,
     /*   6074 */     // GIR_Coverage, 13187,
     /*   6074 */     GIR_EraseRootFromParent_Done,
     /*   6075 */   // Label 186: @6075
     /*   6075 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(6111), // Rule ID 13750 //
     /*   6080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm32),
     /*   6095 */     // (add:{ *:[i32] } neg_addsub_shifted_imm32:{ *:[i32] }:$imm, GPR32:{ *:[i32] }:$Rn)  =>  (SUBSWri:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   6095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWri),
     /*   6098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6100 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   6102 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   6106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*   6109 */     GIR_RootConstrainSelectedInstOperands,
     /*   6110 */     // GIR_Coverage, 13750,
     /*   6110 */     GIR_EraseRootFromParent_Done,
     /*   6111 */   // Label 187: @6111
     /*   6111 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(6144), // Rule ID 97 //
     /*   6116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   6120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*   6124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32_i32),
     /*   6131 */     // (add:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend)  =>  (ADDWrx:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, arith_extended_reg32_i32:{ *:[i32] }:$Rm_and_extend)
     /*   6131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrx),
     /*   6134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6136 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6138 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*   6142 */     GIR_RootConstrainSelectedInstOperands,
     /*   6143 */     // GIR_Coverage, 97,
     /*   6143 */     GIR_EraseRootFromParent_Done,
     /*   6144 */   // Label 188: @6144
     /*   6144 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(6180), // Rule ID 3921 //
     /*   6149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm32),
     /*   6164 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (SUBSWri:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*   6164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWri),
     /*   6167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6169 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6171 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   6175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*   6178 */     GIR_RootConstrainSelectedInstOperands,
     /*   6179 */     // GIR_Coverage, 3921,
     /*   6179 */     GIR_EraseRootFromParent_Done,
     /*   6180 */   // Label 189: @6180
     /*   6180 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(6213), // Rule ID 13185 //
     /*   6185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg32),
     /*   6200 */     // (add:{ *:[i32] } arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (ADDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*   6200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrs),
     /*   6203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   6207 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*   6211 */     GIR_RootConstrainSelectedInstOperands,
     /*   6212 */     // GIR_Coverage, 13185,
     /*   6212 */     GIR_EraseRootFromParent_Done,
     /*   6213 */   // Label 190: @6213
     /*   6213 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(6246), // Rule ID 95 //
     /*   6218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg32),
     /*   6233 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (ADDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*   6233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWrs),
     /*   6236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   6238 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   6240 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*   6244 */     GIR_RootConstrainSelectedInstOperands,
     /*   6245 */     // GIR_Coverage, 95,
     /*   6245 */     GIR_EraseRootFromParent_Done,
     /*   6246 */   // Label 191: @6246
     /*   6246 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(6270), // Rule ID 93 //
     /*   6251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   6263 */     // (add:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (ADDWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*   6263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDWrr),
     /*   6268 */     GIR_RootConstrainSelectedInstOperands,
     /*   6269 */     // GIR_Coverage, 93,
     /*   6269 */     GIR_Done,
     /*   6270 */   // Label 192: @6270
     /*   6270 */   GIM_Reject,
     /*   6271 */ // Label 167: @6271
     /*   6271 */ GIM_Reject,
     /*   6272 */ // Label 154: @6272
     /*   6272 */ GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(11599),
     /*   6277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   6280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   6283 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(6419), // Rule ID 5377 //
     /*   6288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   6312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6321 */     // MIs[1] Operand 2
     /*   6321 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6332 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6336 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6340 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6344 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6348 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   6352 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6356 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6361 */     // MIs[3] Operand 2
     /*   6361 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6372 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6374 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   6381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6386 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6390 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6401 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6408 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6413 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6418 */     // GIR_Coverage, 5377,
     /*   6418 */     GIR_EraseRootFromParent_Done,
     /*   6419 */   // Label 194: @6419
     /*   6419 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(6555), // Rule ID 5376 //
     /*   6424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   6448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6452 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6457 */     // MIs[1] Operand 2
     /*   6457 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6468 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6472 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6476 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6480 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6484 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6488 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6492 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6497 */     // MIs[3] Operand 2
     /*   6497 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6508 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6510 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   6517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6522 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6526 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6537 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6544 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6549 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6554 */     // GIR_Coverage, 5376,
     /*   6554 */     GIR_EraseRootFromParent_Done,
     /*   6555 */   // Label 195: @6555
     /*   6555 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(6691), // Rule ID 5386 //
     /*   6560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   6584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6593 */     // MIs[1] Operand 2
     /*   6593 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6604 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6608 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6612 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6616 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6620 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   6624 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6628 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6633 */     // MIs[3] Operand 2
     /*   6633 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6644 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6646 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLv2i32_v2i64),
     /*   6653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6658 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6662 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6673 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6680 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6685 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6690 */     // GIR_Coverage, 5386,
     /*   6690 */     GIR_EraseRootFromParent_Done,
     /*   6691 */   // Label 196: @6691
     /*   6691 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(6827), // Rule ID 5375 //
     /*   6696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6729 */     // MIs[1] Operand 2
     /*   6729 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6740 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6744 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6748 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6752 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6756 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   6760 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6764 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6769 */     // MIs[3] Operand 2
     /*   6769 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6780 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6782 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   6789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6794 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6798 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6809 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6816 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6821 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6826 */     // GIR_Coverage, 5375,
     /*   6826 */     GIR_EraseRootFromParent_Done,
     /*   6827 */   // Label 197: @6827
     /*   6827 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(6963), // Rule ID 5374 //
     /*   6832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   6852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6860 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6865 */     // MIs[1] Operand 2
     /*   6865 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   6876 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   6880 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   6884 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6888 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   6892 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   6896 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   6900 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6905 */     // MIs[3] Operand 2
     /*   6905 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*   6916 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*   6918 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   6918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   6921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*   6925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   6930 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   6934 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*   6938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   6940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   6943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   6945 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   6952 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6957 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6962 */     // GIR_Coverage, 5374,
     /*   6962 */     GIR_EraseRootFromParent_Done,
     /*   6963 */   // Label 198: @6963
     /*   6963 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(7031), // Rule ID 6905 //
     /*   6968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   6972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   6976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   6980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   6984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   6988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   6993 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /*   6997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   7001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   7005 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   7009 */     // MIs[2] Rn
     /*   7009 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*   7014 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*   7018 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7020 */     // (add:{ *:[i64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }))  =>  (ADDPv2i64p:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn)
     /*   7020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /*   7023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   7029 */     GIR_RootConstrainSelectedInstOperands,
     /*   7030 */     // GIR_Coverage, 6905,
     /*   7030 */     GIR_EraseRootFromParent_Done,
     /*   7031 */   // Label 199: @7031
     /*   7031 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(7099), // Rule ID 13908 //
     /*   7036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   7040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   7048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   7052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   7061 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   7065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   7069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*   7073 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   7077 */     // MIs[2] Rn
     /*   7077 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*   7082 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /*   7086 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   7088 */     // (add:{ *:[i64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (ADDPv2i64p:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn)
     /*   7088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /*   7091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*   7097 */     GIR_RootConstrainSelectedInstOperands,
     /*   7098 */     // GIR_Coverage, 13908,
     /*   7098 */     GIR_EraseRootFromParent_Done,
     /*   7099 */   // Label 200: @7099
     /*   7099 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(7132), // Rule ID 13184 //
     /*   7104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   7108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   7112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm64),
     /*   7119 */     // (add:{ *:[i64] } addsub_shifted_imm64:{ *:[i64] }:$imm, GPR64sp:{ *:[i64] }:$Rn)  =>  (ADDXri:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*   7119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXri),
     /*   7122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7124 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*   7126 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   7130 */     GIR_RootConstrainSelectedInstOperands,
     /*   7131 */     // GIR_Coverage, 13184,
     /*   7131 */     GIR_EraseRootFromParent_Done,
     /*   7132 */   // Label 201: @7132
     /*   7132 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(7265), // Rule ID 3973 //
     /*   7137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   7165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   7169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7174 */     // MIs[2] Operand 2
     /*   7174 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*   7185 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7189 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7193 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   7197 */     // MIs[3] Operand 1
     /*   7197 */     // No operand predicates
     /*   7197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7201 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7203 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C), GPR64:{ *:[i64] }:$Ra)  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7203 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   7206 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7210 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7215 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   7222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   7229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7234 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*   7240 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7245 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   7261 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7263 */     GIR_RootConstrainSelectedInstOperands,
     /*   7264 */     // GIR_Coverage, 3973,
     /*   7264 */     GIR_EraseRootFromParent_Done,
     /*   7265 */   // Label 202: @7265
     /*   7265 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(7360), // Rule ID 3971 //
     /*   7270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7307 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7311 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7315 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   7319 */     // MIs[3] Operand 1
     /*   7319 */     // No operand predicates
     /*   7319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7323 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7325 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C), GPR64:{ *:[i64] }:$Ra)  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7337 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7358 */     GIR_RootConstrainSelectedInstOperands,
     /*   7359 */     // GIR_Coverage, 3971,
     /*   7359 */     GIR_EraseRootFromParent_Done,
     /*   7360 */   // Label 203: @7360
     /*   7360 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(7455), // Rule ID 3972 //
     /*   7365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7397 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7402 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7406 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7410 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*   7414 */     // MIs[3] Operand 1
     /*   7414 */     // No operand predicates
     /*   7414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7418 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7420 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C), GPR64:{ *:[i64] }:$Ra)  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7432 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   7442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7451 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7453 */     GIR_RootConstrainSelectedInstOperands,
     /*   7454 */     // GIR_Coverage, 3972,
     /*   7454 */     GIR_EraseRootFromParent_Done,
     /*   7455 */   // Label 204: @7455
     /*   7455 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(7488), // Rule ID 92 //
     /*   7460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   7464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*   7468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm64),
     /*   7475 */     // (add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (ADDXri:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*   7475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXri),
     /*   7478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7480 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*   7482 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*   7486 */     GIR_RootConstrainSelectedInstOperands,
     /*   7487 */     // GIR_Coverage, 92,
     /*   7487 */     GIR_EraseRootFromParent_Done,
     /*   7488 */   // Label 205: @7488
     /*   7488 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(7621), // Rule ID 13760 //
     /*   7493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7513 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   7525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   7529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7534 */     // MIs[2] Operand 2
     /*   7534 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*   7545 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7549 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7553 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   7557 */     // MIs[3] Operand 1
     /*   7557 */     // No operand predicates
     /*   7557 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7559 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7559 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   7562 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7566 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7571 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   7578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   7585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7590 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*   7596 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7601 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   7617 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   7619 */     GIR_RootConstrainSelectedInstOperands,
     /*   7620 */     // GIR_Coverage, 13760,
     /*   7620 */     GIR_EraseRootFromParent_Done,
     /*   7621 */   // Label 206: @7621
     /*   7621 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(7716), // Rule ID 13758 //
     /*   7626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7646 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7667 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7671 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7675 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*   7679 */     // MIs[3] Operand 1
     /*   7679 */     // No operand predicates
     /*   7679 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7681 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7693 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7712 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   7714 */     GIR_RootConstrainSelectedInstOperands,
     /*   7715 */     // GIR_Coverage, 13758,
     /*   7715 */     GIR_EraseRootFromParent_Done,
     /*   7716 */   // Label 207: @7716
     /*   7716 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(7811), // Rule ID 13759 //
     /*   7721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7741 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7762 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7766 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   7770 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*   7774 */     // MIs[3] Operand 1
     /*   7774 */     // No operand predicates
     /*   7774 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7776 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C))  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*   7776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   7779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*   7783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   7788 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*   7793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   7795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   7798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   7807 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   7809 */     GIR_RootConstrainSelectedInstOperands,
     /*   7810 */     // GIR_Coverage, 13759,
     /*   7810 */     GIR_EraseRootFromParent_Done,
     /*   7811 */   // Label 208: @7811
     /*   7811 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(7893), // Rule ID 13195 //
     /*   7816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7848 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7853 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7857 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   7861 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   7865 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7874 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7876 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)), GPR64:{ *:[i64] }:$Ra)  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   7876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   7879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   7889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7891 */     GIR_RootConstrainSelectedInstOperands,
     /*   7892 */     // GIR_Coverage, 13195,
     /*   7892 */     GIR_EraseRootFromParent_Done,
     /*   7893 */   // Label 209: @7893
     /*   7893 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(7975), // Rule ID 13196 //
     /*   7898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   7906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   7914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   7918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   7922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   7930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   7939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   7943 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   7947 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   7952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   7958 */     // (add:{ *:[i64] } (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)), GPR64:{ *:[i64] }:$Ra)  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   7958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   7961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   7963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   7967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   7971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ra
     /*   7973 */     GIR_RootConstrainSelectedInstOperands,
     /*   7974 */     // GIR_Coverage, 13196,
     /*   7974 */     GIR_EraseRootFromParent_Done,
     /*   7975 */   // Label 210: @7975
     /*   7975 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(8057), // Rule ID 123 //
     /*   7980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   7988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   7992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   7996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   8000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   8004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   8012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   8016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   8021 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   8025 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   8029 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   8033 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   8038 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   8040 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   8040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*   8043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   8045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   8049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   8053 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   8055 */     GIR_RootConstrainSelectedInstOperands,
     /*   8056 */     // GIR_Coverage, 123,
     /*   8056 */     GIR_EraseRootFromParent_Done,
     /*   8057 */   // Label 211: @8057
     /*   8057 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(8139), // Rule ID 125 //
     /*   8062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   8078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   8082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   8086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   8094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   8098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   8103 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   8107 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   8111 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   8115 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*   8120 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   8122 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*   8122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*   8125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*   8127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   8131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*   8135 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*   8137 */     GIR_RootConstrainSelectedInstOperands,
     /*   8138 */     // GIR_Coverage, 125,
     /*   8138 */     GIR_EraseRootFromParent_Done,
     /*   8139 */   // Label 212: @8139
     /*   8139 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(8197), // Rule ID 13605 //
     /*   8144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8159 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8162 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   8167 */     // MIs[1] pattern
     /*   8167 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8170 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8181 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1332:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCB_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   8184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   8188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8195 */     GIR_RootConstrainSelectedInstOperands,
     /*   8196 */     // GIR_Coverage, 13605,
     /*   8196 */     GIR_EraseRootFromParent_Done,
     /*   8197 */   // Label 213: @8197
     /*   8197 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(8255), // Rule ID 15459 //
     /*   8202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8217 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8220 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   8225 */     // MIs[1] pattern
     /*   8225 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8228 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8239 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1334:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCH_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   8242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   8246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8253 */     GIR_RootConstrainSelectedInstOperands,
     /*   8254 */     // GIR_Coverage, 15459,
     /*   8254 */     GIR_EraseRootFromParent_Done,
     /*   8255 */   // Label 214: @8255
     /*   8255 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(8313), // Rule ID 15471 //
     /*   8260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8275 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8278 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   8283 */     // MIs[1] pattern
     /*   8283 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8286 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8297 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1340:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCW_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   8300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   8304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8311 */     GIR_RootConstrainSelectedInstOperands,
     /*   8312 */     // GIR_Coverage, 15471,
     /*   8312 */     GIR_EraseRootFromParent_Done,
     /*   8313 */   // Label 215: @8313
     /*   8313 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(8371), // Rule ID 15483 //
     /*   8318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8333 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8336 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   8341 */     // MIs[1] pattern
     /*   8341 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8344 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8355 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1333:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern), GPR64:{ *:[i64] }:$Rdn)  =>  (INCD_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   8358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8360 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rdn
     /*   8362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8369 */     GIR_RootConstrainSelectedInstOperands,
     /*   8370 */     // GIR_Coverage, 15483,
     /*   8370 */     GIR_EraseRootFromParent_Done,
     /*   8371 */   // Label 216: @8371
     /*   8371 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(8429), // Rule ID 2653 //
     /*   8376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8395 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8398 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*   8403 */     // MIs[1] pattern
     /*   8403 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8406 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8413 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1332:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCB_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCB_XPiI),
     /*   8416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8418 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   8420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8427 */     GIR_RootConstrainSelectedInstOperands,
     /*   8428 */     // GIR_Coverage, 2653,
     /*   8428 */     GIR_EraseRootFromParent_Done,
     /*   8429 */   // Label 217: @8429
     /*   8429 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(8487), // Rule ID 9918 //
     /*   8434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8453 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8456 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*   8461 */     // MIs[1] pattern
     /*   8461 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8464 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8471 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1334:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCH_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCH_XPiI),
     /*   8474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8476 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   8478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8485 */     GIR_RootConstrainSelectedInstOperands,
     /*   8486 */     // GIR_Coverage, 9918,
     /*   8486 */     GIR_EraseRootFromParent_Done,
     /*   8487 */   // Label 218: @8487
     /*   8487 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(8545), // Rule ID 9930 //
     /*   8492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8511 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8514 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*   8519 */     // MIs[1] pattern
     /*   8519 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8522 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8529 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1340:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCW_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCW_XPiI),
     /*   8532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8534 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   8536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8543 */     GIR_RootConstrainSelectedInstOperands,
     /*   8544 */     // GIR_Coverage, 9930,
     /*   8544 */     GIR_EraseRootFromParent_Done,
     /*   8545 */   // Label 219: @8545
     /*   8545 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(8603), // Rule ID 9942 //
     /*   8550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*   8553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*   8561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   8565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*   8569 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*   8572 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*   8577 */     // MIs[1] pattern
     /*   8577 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*   8580 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*   8585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   8587 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1333:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (INCD_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*   8587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCD_XPiI),
     /*   8590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*   8592 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*   8594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*   8598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   8601 */     GIR_RootConstrainSelectedInstOperands,
     /*   8602 */     // GIR_Coverage, 9942,
     /*   8602 */     GIR_EraseRootFromParent_Done,
     /*   8603 */   // Label 220: @8603
     /*   8603 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(8766), // Rule ID 13880 //
     /*   8608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   8620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*   8632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   8636 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   8640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8650 */     // MIs[1] Operand 2
     /*   8650 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   8661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8667 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   8667 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   8670 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   8674 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   8681 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   8684 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   8688 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8693 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   8696 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*   8700 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   8703 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8708 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8713 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   8721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*   8725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8730 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   8733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   8737 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   8741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   8743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   8746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8748 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   8755 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8760 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8765 */     // GIR_Coverage, 13880,
     /*   8765 */     GIR_EraseRootFromParent_Done,
     /*   8766 */   // Label 221: @8766
     /*   8766 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(8929), // Rule ID 13877 //
     /*   8771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   8783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*   8795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   8799 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   8803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8813 */     // MIs[1] Operand 2
     /*   8813 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   8824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8830 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   8830 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   8833 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   8837 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   8844 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   8847 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   8851 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8856 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   8859 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*   8863 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   8866 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8871 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8876 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   8884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*   8888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8893 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   8896 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   8900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   8904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   8906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   8909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   8911 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   8918 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8923 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   8928 */     // GIR_Coverage, 13877,
     /*   8928 */     GIR_EraseRootFromParent_Done,
     /*   8929 */   // Label 222: @8929
     /*   8929 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(9079), // Rule ID 13886 //
     /*   8934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   8942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   8946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   8950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   8954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   8958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   8962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8967 */     // MIs[1] Operand 2
     /*   8967 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   8978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   8982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   8984 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   8984 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   8987 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   8991 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   8996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   8998 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9001 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9005 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9010 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9013 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   9017 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9020 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9025 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9030 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*   9042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9047 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9061 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9068 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9073 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9078 */     // GIR_Coverage, 13886,
     /*   9078 */     GIR_EraseRootFromParent_Done,
     /*   9079 */   // Label 223: @9079
     /*   9079 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(9229), // Rule ID 13889 //
     /*   9084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9100 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   9108 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9117 */     // MIs[1] Operand 2
     /*   9117 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9134 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9134 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9137 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9141 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9148 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9151 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9155 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9160 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9163 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   9167 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9170 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9175 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9180 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*   9192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9197 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9200 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9211 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9218 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9223 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9228 */     // GIR_Coverage, 13889,
     /*   9228 */     GIR_EraseRootFromParent_Done,
     /*   9229 */   // Label 224: @9229
     /*   9229 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(9379), // Rule ID 13885 //
     /*   9234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   9242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   9258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9262 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9267 */     // MIs[1] Operand 2
     /*   9267 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9284 */     // (add:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v1i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9284 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9287 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9291 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9298 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9301 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9305 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9310 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9313 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*   9317 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9320 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9325 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9330 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*   9342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9347 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9350 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9361 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9368 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9373 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9378 */     // GIR_Coverage, 13885,
     /*   9378 */     GIR_EraseRootFromParent_Done,
     /*   9379 */   // Label 225: @9379
     /*   9379 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(9542), // Rule ID 5359 //
     /*   9384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*   9412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9416 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   9420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9425 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9430 */     // MIs[1] Operand 2
     /*   9430 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9441 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9443 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9443 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9446 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9450 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9457 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9460 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9464 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9469 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9472 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*   9476 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9479 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9484 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9489 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*   9501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9506 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   9513 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   9517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9524 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9531 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9536 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9541 */     // GIR_Coverage, 5359,
     /*   9541 */     GIR_EraseRootFromParent_Done,
     /*   9542 */   // Label 226: @9542
     /*   9542 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(9705), // Rule ID 5356 //
     /*   9547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*   9575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9579 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*   9583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9593 */     // MIs[1] Operand 2
     /*   9593 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9606 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UMLALv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9606 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9609 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9613 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9620 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9623 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9627 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9632 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9635 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*   9639 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9642 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9647 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9652 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*   9664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9669 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9672 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*   9676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*   9680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9687 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9694 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9699 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9704 */     // GIR_Coverage, 5356,
     /*   9704 */     GIR_EraseRootFromParent_Done,
     /*   9705 */   // Label 227: @9705
     /*   9705 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(9855), // Rule ID 5383 //
     /*   9710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   9738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9742 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9747 */     // MIs[1] Operand 2
     /*   9747 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9758 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9760 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9760 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9763 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9767 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9774 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9777 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9781 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9786 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9789 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   9793 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9796 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9801 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9806 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*   9818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9823 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9826 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9837 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9844 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9849 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9854 */     // GIR_Coverage, 5383,
     /*   9854 */     GIR_EraseRootFromParent_Done,
     /*   9855 */   // Label 228: @9855
     /*   9855 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(10005), // Rule ID 5389 //
     /*   9860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   9872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*   9876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*   9880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   9884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   9888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*   9892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9897 */     // MIs[1] Operand 2
     /*   9897 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*   9908 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   9910 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*   9910 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*   9913 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   9917 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*   9924 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*   9927 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   9931 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9936 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*   9939 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*   9943 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*   9946 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9951 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*   9956 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*   9964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*   9968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   9973 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*   9976 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*   9980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   9982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   9985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   9987 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*   9994 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*   9999 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10004 */     // GIR_Coverage, 5389,
     /*  10004 */     GIR_EraseRootFromParent_Done,
     /*  10005 */   // Label 229: @10005
     /*  10005 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(10155), // Rule ID 5382 //
     /*  10010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  10026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  10030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  10034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  10038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  10042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10047 */     // MIs[1] Operand 2
     /*  10047 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  10058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  10060 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UADDWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  10060 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  10063 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  10067 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  10074 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  10077 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  10081 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10086 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  10089 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  10093 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  10096 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10101 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10106 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  10114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  10118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  10123 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  10126 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  10130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  10132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  10135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10137 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  10144 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10149 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  10154 */     // GIR_Coverage, 5382,
     /*  10154 */     GIR_EraseRootFromParent_Done,
     /*  10155 */   // Label 230: @10155
     /*  10155 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(10188), // Rule ID 13188 //
     /*  10160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  10164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  10168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32to64_i64),
     /*  10175 */     // (add:{ *:[i64] } arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend, GPR64sp:{ *:[i64] }:$Rn)  =>  (ADDXrx:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend)
     /*  10175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrx),
     /*  10178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10182 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*  10186 */     GIR_RootConstrainSelectedInstOperands,
     /*  10187 */     // GIR_Coverage, 13188,
     /*  10187 */     GIR_EraseRootFromParent_Done,
     /*  10188 */   // Label 231: @10188
     /*  10188 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(10224), // Rule ID 13751 //
     /*  10193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm64),
     /*  10208 */     // (add:{ *:[i64] } neg_addsub_shifted_imm64:{ *:[i64] }:$imm, GPR64:{ *:[i64] }:$Rn)  =>  (SUBSXri:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*  10208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXri),
     /*  10211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10213 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10215 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  10219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  10222 */     GIR_RootConstrainSelectedInstOperands,
     /*  10223 */     // GIR_Coverage, 13751,
     /*  10223 */     GIR_EraseRootFromParent_Done,
     /*  10224 */   // Label 232: @10224
     /*  10224 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(10257), // Rule ID 98 //
     /*  10229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  10233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  10237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32to64_i64),
     /*  10244 */     // (add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend)  =>  (ADDXrx:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, arith_extended_reg32to64_i64:{ *:[i64] }:$Rm_and_extend)
     /*  10244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrx),
     /*  10247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10249 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10251 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_extend
     /*  10255 */     GIR_RootConstrainSelectedInstOperands,
     /*  10256 */     // GIR_Coverage, 98,
     /*  10256 */     GIR_EraseRootFromParent_Done,
     /*  10257 */   // Label 233: @10257
     /*  10257 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(10293), // Rule ID 3922 //
     /*  10262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm64),
     /*  10277 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (SUBSXri:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*  10277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXri),
     /*  10280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10282 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10284 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  10288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  10291 */     GIR_RootConstrainSelectedInstOperands,
     /*  10292 */     // GIR_Coverage, 3922,
     /*  10292 */     GIR_EraseRootFromParent_Done,
     /*  10293 */   // Label 234: @10293
     /*  10293 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(10326), // Rule ID 13186 //
     /*  10298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg64),
     /*  10313 */     // (add:{ *:[i64] } arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (ADDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  10313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrs),
     /*  10316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10318 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10320 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  10324 */     GIR_RootConstrainSelectedInstOperands,
     /*  10325 */     // GIR_Coverage, 13186,
     /*  10325 */     GIR_EraseRootFromParent_Done,
     /*  10326 */   // Label 235: @10326
     /*  10326 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(10389), // Rule ID 15499 //
     /*  10331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10346 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10349 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  10358 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10365 */     // MIs[1] pred
     /*  10365 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10376 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>, GPR64:{ *:[i64] }:$Rn)  =>  (INCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_B),
     /*  10379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10387 */     GIR_RootConstrainSelectedInstOperands,
     /*  10388 */     // GIR_Coverage, 15499,
     /*  10388 */     GIR_EraseRootFromParent_Done,
     /*  10389 */   // Label 236: @10389
     /*  10389 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(10452), // Rule ID 15500 //
     /*  10394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10409 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10412 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10417 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  10421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10428 */     // MIs[1] pred
     /*  10428 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10439 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>, GPR64:{ *:[i64] }:$Rn)  =>  (INCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_H),
     /*  10442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10448 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10450 */     GIR_RootConstrainSelectedInstOperands,
     /*  10451 */     // GIR_Coverage, 15500,
     /*  10451 */     GIR_EraseRootFromParent_Done,
     /*  10452 */   // Label 237: @10452
     /*  10452 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(10515), // Rule ID 15501 //
     /*  10457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10472 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10475 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  10484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10491 */     // MIs[1] pred
     /*  10491 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10502 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>, GPR64:{ *:[i64] }:$Rn)  =>  (INCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_S),
     /*  10505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10511 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10513 */     GIR_RootConstrainSelectedInstOperands,
     /*  10514 */     // GIR_Coverage, 15501,
     /*  10514 */     GIR_EraseRootFromParent_Done,
     /*  10515 */   // Label 238: @10515
     /*  10515 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(10578), // Rule ID 15502 //
     /*  10520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10535 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10538 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10543 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  10547 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10554 */     // MIs[1] pred
     /*  10554 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10565 */     // (add:{ *:[i64] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>, GPR64:{ *:[i64] }:$Rn)  =>  (INCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_D),
     /*  10568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  10576 */     GIR_RootConstrainSelectedInstOperands,
     /*  10577 */     // GIR_Coverage, 15502,
     /*  10577 */     GIR_EraseRootFromParent_Done,
     /*  10578 */   // Label 239: @10578
     /*  10578 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(10611), // Rule ID 96 //
     /*  10583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg64),
     /*  10598 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (ADDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  10598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXrs),
     /*  10601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  10603 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10605 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  10609 */     GIR_RootConstrainSelectedInstOperands,
     /*  10610 */     // GIR_Coverage, 96,
     /*  10610 */     GIR_EraseRootFromParent_Done,
     /*  10611 */   // Label 240: @10611
     /*  10611 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(10674), // Rule ID 10029 //
     /*  10616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10635 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10638 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  10647 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10654 */     // MIs[1] pred
     /*  10654 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10661 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (INCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_B),
     /*  10664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10670 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10672 */     GIR_RootConstrainSelectedInstOperands,
     /*  10673 */     // GIR_Coverage, 10029,
     /*  10673 */     GIR_EraseRootFromParent_Done,
     /*  10674 */   // Label 241: @10674
     /*  10674 */   GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(10737), // Rule ID 10030 //
     /*  10679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10698 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10701 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  10710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10717 */     // MIs[1] pred
     /*  10717 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10724 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (INCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_H),
     /*  10727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10733 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10735 */     GIR_RootConstrainSelectedInstOperands,
     /*  10736 */     // GIR_Coverage, 10030,
     /*  10736 */     GIR_EraseRootFromParent_Done,
     /*  10737 */   // Label 242: @10737
     /*  10737 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(10800), // Rule ID 10031 //
     /*  10742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10761 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10764 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10769 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  10773 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10780 */     // MIs[1] pred
     /*  10780 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10787 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (INCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_S),
     /*  10790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10796 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10798 */     GIR_RootConstrainSelectedInstOperands,
     /*  10799 */     // GIR_Coverage, 10031,
     /*  10799 */     GIR_EraseRootFromParent_Done,
     /*  10800 */   // Label 243: @10800
     /*  10800 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(10863), // Rule ID 10032 //
     /*  10805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  10808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  10816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  10820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10824 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  10827 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  10832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  10836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  10838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  10843 */     // MIs[1] pred
     /*  10843 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  10848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10850 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (INCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  10850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INCP_XP_D),
     /*  10853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  10855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  10859 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  10861 */     GIR_RootConstrainSelectedInstOperands,
     /*  10862 */     // GIR_Coverage, 10032,
     /*  10862 */     GIR_EraseRootFromParent_Done,
     /*  10863 */   // Label 244: @10863
     /*  10863 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(10919), // Rule ID 13294 //
     /*  10868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  10871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10883 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  10886 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  10891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  10895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10906 */     // (add:{ *:[v1i64] } (intrinsic_wo_chain:{ *:[v1i64] } 660:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  10906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*  10909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10911 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  10913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  10917 */     GIR_RootConstrainSelectedInstOperands,
     /*  10918 */     // GIR_Coverage, 13294,
     /*  10918 */     GIR_EraseRootFromParent_Done,
     /*  10919 */   // Label 245: @10919
     /*  10919 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(10975), // Rule ID 13306 //
     /*  10924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  10927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  10939 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  10942 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  10947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  10951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  10962 */     // (add:{ *:[v1i64] } (intrinsic_wo_chain:{ *:[v1i64] } 725:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  10962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*  10965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  10967 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  10969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  10973 */     GIR_RootConstrainSelectedInstOperands,
     /*  10974 */     // GIR_Coverage, 13306,
     /*  10974 */     GIR_EraseRootFromParent_Done,
     /*  10975 */   // Label 246: @10975
     /*  10975 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(11042), // Rule ID 13512 //
     /*  10980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  10983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  10987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  10991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  10995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  10999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11004 */     // MIs[1] imm
     /*  11004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  11008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11012 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  11016 */     // MIs[2] Operand 1
     /*  11016 */     // No operand predicates
     /*  11016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11020 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  11024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11026 */     // (add:{ *:[v1i64] } (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  11026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  11029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11031 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  11033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  11040 */     GIR_RootConstrainSelectedInstOperands,
     /*  11041 */     // GIR_Coverage, 13512,
     /*  11041 */     GIR_EraseRootFromParent_Done,
     /*  11042 */   // Label 247: @11042
     /*  11042 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(11109), // Rule ID 13515 //
     /*  11047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  11062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  11066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11071 */     // MIs[1] imm
     /*  11071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  11075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11079 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  11083 */     // MIs[2] Operand 1
     /*  11083 */     // No operand predicates
     /*  11083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11087 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  11091 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11093 */     // (add:{ *:[v1i64] } (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  11093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  11096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11098 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  11100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  11107 */     GIR_RootConstrainSelectedInstOperands,
     /*  11108 */     // GIR_Coverage, 13515,
     /*  11108 */     GIR_EraseRootFromParent_Done,
     /*  11109 */   // Label 248: @11109
     /*  11109 */   GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(11165), // Rule ID 997 //
     /*  11114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  11133 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  11136 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  11141 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11152 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (intrinsic_wo_chain:{ *:[v1i64] } 660:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn))  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*  11155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11157 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  11163 */     GIR_RootConstrainSelectedInstOperands,
     /*  11164 */     // GIR_Coverage, 997,
     /*  11164 */     GIR_EraseRootFromParent_Done,
     /*  11165 */   // Label 249: @11165
     /*  11165 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(11221), // Rule ID 1058 //
     /*  11170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  11189 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  11192 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  11197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11208 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (intrinsic_wo_chain:{ *:[v1i64] } 725:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn))  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*  11211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11213 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  11219 */     GIR_RootConstrainSelectedInstOperands,
     /*  11220 */     // GIR_Coverage, 1058,
     /*  11220 */     GIR_EraseRootFromParent_Done,
     /*  11221 */   // Label 250: @11221
     /*  11221 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(11288), // Rule ID 2121 //
     /*  11226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  11245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  11249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11254 */     // MIs[1] imm
     /*  11254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  11258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11262 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  11266 */     // MIs[2] Operand 1
     /*  11266 */     // No operand predicates
     /*  11266 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  11270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11272 */     // (add:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  11272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  11275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11277 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  11286 */     GIR_RootConstrainSelectedInstOperands,
     /*  11287 */     // GIR_Coverage, 2121,
     /*  11287 */     GIR_EraseRootFromParent_Done,
     /*  11288 */   // Label 251: @11288
     /*  11288 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(11355), // Rule ID 2130 //
     /*  11293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  11312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  11316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11321 */     // MIs[1] imm
     /*  11321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  11325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  11329 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  11333 */     // MIs[2] Operand 1
     /*  11333 */     // No operand predicates
     /*  11333 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  11337 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  11339 */     // (add:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  11339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  11342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11344 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  11353 */     GIR_RootConstrainSelectedInstOperands,
     /*  11354 */     // GIR_Coverage, 2130,
     /*  11354 */     GIR_EraseRootFromParent_Done,
     /*  11355 */   // Label 252: @11355
     /*  11355 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(11403), // Rule ID 13293 //
     /*  11360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  11375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11390 */     // (add:{ *:[v1i64] } (AArch64saddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*  11393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11395 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  11397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11401 */     GIR_RootConstrainSelectedInstOperands,
     /*  11402 */     // GIR_Coverage, 13293,
     /*  11402 */     GIR_EraseRootFromParent_Done,
     /*  11403 */   // Label 253: @11403
     /*  11403 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(11451), // Rule ID 13305 //
     /*  11408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  11423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11438 */     // (add:{ *:[v1i64] } (AArch64uaddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn), V64:{ *:[v1i64] }:$Rd)  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*  11441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  11445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11449 */     GIR_RootConstrainSelectedInstOperands,
     /*  11450 */     // GIR_Coverage, 13305,
     /*  11450 */     GIR_EraseRootFromParent_Done,
     /*  11451 */   // Label 254: @11451
     /*  11451 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(11499), // Rule ID 996 //
     /*  11456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  11475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11486 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (AArch64saddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn))  =>  (SADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv2i32_v1i64),
     /*  11489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11491 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11497 */     GIR_RootConstrainSelectedInstOperands,
     /*  11498 */     // GIR_Coverage, 996,
     /*  11498 */     GIR_EraseRootFromParent_Done,
     /*  11499 */   // Label 255: @11499
     /*  11499 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(11547), // Rule ID 1057 //
     /*  11504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  11519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  11523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  11534 */     // (add:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, (AArch64uaddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn))  =>  (UADALPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /*  11534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv2i32_v1i64),
     /*  11537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11539 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  11541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  11545 */     GIR_RootConstrainSelectedInstOperands,
     /*  11546 */     // GIR_Coverage, 1057,
     /*  11546 */     GIR_EraseRootFromParent_Done,
     /*  11547 */   // Label 256: @11547
     /*  11547 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(11571), // Rule ID 94 //
     /*  11552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  11556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  11560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  11564 */     // (add:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ADDXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  11564 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDXrr),
     /*  11569 */     GIR_RootConstrainSelectedInstOperands,
     /*  11570 */     // GIR_Coverage, 94,
     /*  11570 */     GIR_Done,
     /*  11571 */   // Label 257: @11571
     /*  11571 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(11598), // Rule ID 1607 //
     /*  11576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  11579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11591 */     // (add:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (ADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /*  11591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv1i64),
     /*  11596 */     GIR_RootConstrainSelectedInstOperands,
     /*  11597 */     // GIR_Coverage, 1607,
     /*  11597 */     GIR_Done,
     /*  11598 */   // Label 258: @11598
     /*  11598 */   GIM_Reject,
     /*  11599 */ // Label 193: @11599
     /*  11599 */ GIM_Reject,
     /*  11600 */ // Label 155: @11600
     /*  11600 */ GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(15207),
     /*  11605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11611 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(11799), // Rule ID 6926 //
     /*  11616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP1),
     /*  11628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11632 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  11640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  11648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11653 */     // MIs[2] Operand 2
     /*  11653 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  11664 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  11668 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11672 */     // MIs[3] Rn
     /*  11672 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11677 */     // MIs[3] Operand 2
     /*  11677 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(2),
     /*  11688 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  11692 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_ZIP2),
     /*  11696 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11700 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11704 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  11708 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11712 */     // MIs[5] Rn
     /*  11712 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11717 */     // MIs[5] Operand 2
     /*  11717 */     GIM_CheckLiteralInt, /*MI*/5, /*Op*/2, GIMT_Encode8(0),
     /*  11728 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/4, /*OpIdx*/2, // MIs[6]
     /*  11732 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11736 */     // MIs[6] Rn
     /*  11736 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11741 */     // MIs[6] Operand 2
     /*  11741 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(2),
     /*  11752 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /*  11754 */     // (add:{ *:[v2i32] } (AArch64zip1:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })), (AArch64zip2:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (ADDPv4i32:{ *:[f128] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /*  11754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  11757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  11761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11766 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11770 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  11776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  11779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11781 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  11788 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11793 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11798 */     // GIR_Coverage, 6926,
     /*  11798 */     GIR_EraseRootFromParent_Done,
     /*  11799 */   // Label 260: @11799
     /*  11799 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(11987), // Rule ID 13919 //
     /*  11804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  11812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP2),
     /*  11816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  11828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  11836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11841 */     // MIs[2] Operand 2
     /*  11841 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  11852 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  11856 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11860 */     // MIs[3] Rn
     /*  11860 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11865 */     // MIs[3] Operand 2
     /*  11865 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(2),
     /*  11876 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  11880 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_ZIP1),
     /*  11884 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  11888 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  11892 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  11896 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11900 */     // MIs[5] Rn
     /*  11900 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11905 */     // MIs[5] Operand 2
     /*  11905 */     GIM_CheckLiteralInt, /*MI*/5, /*Op*/2, GIMT_Encode8(0),
     /*  11916 */     GIM_RecordInsn, /*DefineMI*/6, /*MI*/4, /*OpIdx*/2, // MIs[6]
     /*  11920 */     GIM_CheckOpcode, /*MI*/6, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  11924 */     // MIs[6] Rn
     /*  11924 */     GIM_CheckIsSameOperand, /*MI*/6, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  11929 */     // MIs[6] Operand 2
     /*  11929 */     GIM_CheckLiteralInt, /*MI*/6, /*Op*/2, GIMT_Encode8(2),
     /*  11940 */     GIM_CheckIsSafeToFold, /*NumInsns*/6,
     /*  11942 */     // (add:{ *:[v2i32] } (AArch64zip2:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })), (AArch64zip1:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (ADDPv4i32:{ *:[f128] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /*  11942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  11945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  11949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  11954 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11958 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  11962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  11964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  11967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  11969 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  11976 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11981 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  11986 */     // GIR_Coverage, 13919,
     /*  11986 */     GIR_EraseRootFromParent_Done,
     /*  11987 */   // Label 261: @11987
     /*  11987 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(12123), // Rule ID 5373 //
     /*  11992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  11996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12008 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12012 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12016 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12025 */     // MIs[1] Operand 2
     /*  12025 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12036 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12040 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12044 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12048 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12052 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12056 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12060 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12065 */     // MIs[3] Operand 2
     /*  12065 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12076 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12078 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  12085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12090 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12094 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12105 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12112 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12117 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12122 */     // GIR_Coverage, 5373,
     /*  12122 */     GIR_EraseRootFromParent_Done,
     /*  12123 */   // Label 262: @12123
     /*  12123 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(12259), // Rule ID 5372 //
     /*  12128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12156 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12161 */     // MIs[1] Operand 2
     /*  12161 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12172 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12176 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12180 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12184 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12188 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12192 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12196 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12201 */     // MIs[3] Operand 2
     /*  12201 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12212 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12214 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  12221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12226 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12241 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12248 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12253 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12258 */     // GIR_Coverage, 5372,
     /*  12258 */     GIR_EraseRootFromParent_Done,
     /*  12259 */   // Label 263: @12259
     /*  12259 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(12395), // Rule ID 5385 //
     /*  12264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  12288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12292 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12297 */     // MIs[1] Operand 2
     /*  12297 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12308 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12312 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12316 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12320 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12324 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  12328 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12332 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12337 */     // MIs[3] Operand 2
     /*  12337 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12348 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12350 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLv4i16_v4i32),
     /*  12357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12362 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12366 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12377 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12384 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12389 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12394 */     // GIR_Coverage, 5385,
     /*  12394 */     GIR_EraseRootFromParent_Done,
     /*  12395 */   // Label 264: @12395
     /*  12395 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(12531), // Rule ID 5371 //
     /*  12400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12424 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12428 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12433 */     // MIs[1] Operand 2
     /*  12433 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12444 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12448 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12452 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12456 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12460 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  12464 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12468 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12473 */     // MIs[3] Operand 2
     /*  12473 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12484 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12486 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  12493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12498 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12502 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12513 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12520 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12525 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12530 */     // GIR_Coverage, 5371,
     /*  12530 */     GIR_EraseRootFromParent_Done,
     /*  12531 */   // Label 265: @12531
     /*  12531 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(12667), // Rule ID 5370 //
     /*  12536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12564 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12569 */     // MIs[1] Operand 2
     /*  12569 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12580 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  12584 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12588 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12592 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  12596 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  12600 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12604 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12609 */     // MIs[3] Operand 2
     /*  12609 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  12620 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  12622 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  12629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12638 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  12642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12649 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12656 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12661 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12666 */     // GIR_Coverage, 5370,
     /*  12666 */     GIR_EraseRootFromParent_Done,
     /*  12667 */   // Label 266: @12667
     /*  12667 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(12830), // Rule ID 13879 //
     /*  12672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  12696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12700 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  12704 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12714 */     // MIs[1] Operand 2
     /*  12714 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12729 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12731 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12731 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  12734 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12738 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  12745 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  12748 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12752 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12757 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  12760 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  12764 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  12767 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12772 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12777 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  12789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12794 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  12797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12801 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  12805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12812 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12819 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12824 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12829 */     // GIR_Coverage, 13879,
     /*  12829 */     GIR_EraseRootFromParent_Done,
     /*  12830 */   // Label 267: @12830
     /*  12830 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(12993), // Rule ID 13876 //
     /*  12835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  12843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  12847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  12851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  12855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  12859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  12863 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  12867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12877 */     // MIs[1] Operand 2
     /*  12877 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  12888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  12894 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  12894 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  12897 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  12901 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  12908 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  12911 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  12915 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12920 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  12923 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  12927 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  12930 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12935 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12940 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  12948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  12952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  12957 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  12960 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  12964 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  12968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  12970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  12973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  12975 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  12982 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  12987 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  12992 */     // GIR_Coverage, 13876,
     /*  12992 */     GIR_EraseRootFromParent_Done,
     /*  12993 */   // Label 268: @12993
     /*  12993 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(13143), // Rule ID 13884 //
     /*  12998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  13022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13031 */     // MIs[1] Operand 2
     /*  13031 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13048 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13048 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13051 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13055 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13062 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13065 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13069 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13074 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13077 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  13081 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13084 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13089 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13094 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  13106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13111 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13114 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13125 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13132 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13137 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13142 */     // GIR_Coverage, 13884,
     /*  13142 */     GIR_EraseRootFromParent_Done,
     /*  13143 */   // Label 269: @13143
     /*  13143 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(13293), // Rule ID 13888 //
     /*  13148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  13172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13176 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13181 */     // MIs[1] Operand 2
     /*  13181 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13198 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13198 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13201 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13205 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13212 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13215 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13219 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13224 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13227 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  13231 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13234 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13239 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13244 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  13256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13261 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13264 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13275 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13282 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13287 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13292 */     // GIR_Coverage, 13888,
     /*  13292 */     GIR_EraseRootFromParent_Done,
     /*  13293 */   // Label 270: @13293
     /*  13293 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(13443), // Rule ID 13883 //
     /*  13298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  13306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  13322 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13326 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13331 */     // MIs[1] Operand 2
     /*  13331 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13348 */     // (add:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13348 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13351 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13355 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13362 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13365 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13369 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13374 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13377 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  13381 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13384 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13389 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13394 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  13406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13411 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13414 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13425 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13432 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13437 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13442 */     // GIR_Coverage, 13883,
     /*  13442 */     GIR_EraseRootFromParent_Done,
     /*  13443 */   // Label 271: @13443
     /*  13443 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(13606), // Rule ID 5358 //
     /*  13448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  13476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13480 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  13484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13494 */     // MIs[1] Operand 2
     /*  13494 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13505 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13507 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13507 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13510 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13514 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13521 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13524 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13528 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13533 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13536 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  13540 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13543 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13548 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13553 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  13565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13570 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  13577 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  13581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13588 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13595 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13600 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13605 */     // GIR_Coverage, 5358,
     /*  13605 */     GIR_EraseRootFromParent_Done,
     /*  13606 */   // Label 272: @13606
     /*  13606 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(13769), // Rule ID 5355 //
     /*  13611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  13639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13643 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  13647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13657 */     // MIs[1] Operand 2
     /*  13657 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13670 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UMLALv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13670 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13673 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13677 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13684 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13687 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13691 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13696 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13699 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  13703 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13706 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13711 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13716 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  13728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13733 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13736 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  13740 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  13744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13751 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13758 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13763 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13768 */     // GIR_Coverage, 5355,
     /*  13768 */     GIR_EraseRootFromParent_Done,
     /*  13769 */   // Label 273: @13769
     /*  13769 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(13919), // Rule ID 5381 //
     /*  13774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  13802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13806 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13811 */     // MIs[1] Operand 2
     /*  13811 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13824 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13824 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13827 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13831 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13838 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13841 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13845 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13850 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  13853 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  13857 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  13860 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13865 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13870 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  13878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  13882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13887 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  13890 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  13894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  13896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  13899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  13901 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  13908 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13913 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  13918 */     // GIR_Coverage, 5381,
     /*  13918 */     GIR_EraseRootFromParent_Done,
     /*  13919 */   // Label 274: @13919
     /*  13919 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(14069), // Rule ID 5388 //
     /*  13924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  13936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  13940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  13944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  13948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  13952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  13956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  13961 */     // MIs[1] Operand 2
     /*  13961 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  13972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  13974 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  13974 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  13977 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  13981 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  13986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  13988 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  13991 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  13995 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14000 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  14003 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  14007 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  14010 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14015 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14020 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  14028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  14032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14037 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  14040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  14044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  14046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14051 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  14058 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14063 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14068 */     // GIR_Coverage, 5388,
     /*  14068 */     GIR_EraseRootFromParent_Done,
     /*  14069 */   // Label 275: @14069
     /*  14069 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(14219), // Rule ID 5380 //
     /*  14074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  14090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  14094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  14098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  14102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  14106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14111 */     // MIs[1] Operand 2
     /*  14111 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  14122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14124 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UADDWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  14124 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  14127 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  14131 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  14138 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  14141 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  14145 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14150 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  14153 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  14157 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  14160 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14165 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14170 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  14178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  14182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  14187 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  14190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  14194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  14196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  14199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14201 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  14208 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14213 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  14218 */     // GIR_Coverage, 5380,
     /*  14218 */     GIR_EraseRootFromParent_Done,
     /*  14219 */   // Label 276: @14219
     /*  14219 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(14288), // Rule ID 13328 //
     /*  14224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14239 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  14242 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  14247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14251 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14271 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V64:{ *:[v2i32] }:$Rd)  =>  (SABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  14271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv2i32),
     /*  14274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  14286 */     GIR_RootConstrainSelectedInstOperands,
     /*  14287 */     // GIR_Coverage, 13328,
     /*  14287 */     GIR_EraseRootFromParent_Done,
     /*  14288 */   // Label 277: @14288
     /*  14288 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(14357), // Rule ID 13340 //
     /*  14293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14308 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  14311 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  14316 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14320 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14340 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V64:{ *:[v2i32] }:$Rd)  =>  (UABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  14340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv2i32),
     /*  14343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  14355 */     GIR_RootConstrainSelectedInstOperands,
     /*  14356 */     // GIR_Coverage, 13340,
     /*  14356 */     GIR_EraseRootFromParent_Done,
     /*  14357 */   // Label 278: @14357
     /*  14357 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(14413), // Rule ID 13290 //
     /*  14362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14377 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  14380 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  14385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  14389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14400 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 660:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  14400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  14403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14411 */     GIR_RootConstrainSelectedInstOperands,
     /*  14412 */     // GIR_Coverage, 13290,
     /*  14412 */     GIR_EraseRootFromParent_Done,
     /*  14413 */   // Label 279: @14413
     /*  14413 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(14469), // Rule ID 13302 //
     /*  14418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14433 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  14436 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  14441 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  14445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14456 */     // (add:{ *:[v2i32] } (intrinsic_wo_chain:{ *:[v2i32] } 725:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  14456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  14459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14467 */     GIR_RootConstrainSelectedInstOperands,
     /*  14468 */     // GIR_Coverage, 13302,
     /*  14468 */     GIR_EraseRootFromParent_Done,
     /*  14469 */   // Label 280: @14469
     /*  14469 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(14536), // Rule ID 13532 //
     /*  14474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  14489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14498 */     // MIs[1] imm
     /*  14498 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14502 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14506 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  14510 */     // MIs[2] Operand 1
     /*  14510 */     // No operand predicates
     /*  14510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14514 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  14518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14520 */     // (add:{ *:[v2i32] } (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  14520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  14523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  14534 */     GIR_RootConstrainSelectedInstOperands,
     /*  14535 */     // GIR_Coverage, 13532,
     /*  14535 */     GIR_EraseRootFromParent_Done,
     /*  14536 */   // Label 281: @14536
     /*  14536 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(14603), // Rule ID 13553 //
     /*  14541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  14552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  14556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14565 */     // MIs[1] imm
     /*  14565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14573 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  14577 */     // MIs[2] Operand 1
     /*  14577 */     // No operand predicates
     /*  14577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  14585 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14587 */     // (add:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  14587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  14590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  14594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  14601 */     GIR_RootConstrainSelectedInstOperands,
     /*  14602 */     // GIR_Coverage, 13553,
     /*  14602 */     GIR_EraseRootFromParent_Done,
     /*  14603 */   // Label 282: @14603
     /*  14603 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(14672), // Rule ID 1365 //
     /*  14608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14627 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  14630 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  14635 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14639 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14655 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  14655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv2i32),
     /*  14658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14660 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  14670 */     GIR_RootConstrainSelectedInstOperands,
     /*  14671 */     // GIR_Coverage, 1365,
     /*  14671 */     GIR_EraseRootFromParent_Done,
     /*  14672 */   // Label 283: @14672
     /*  14672 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(14741), // Rule ID 1488 //
     /*  14677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14696 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  14699 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  14704 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  14708 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  14712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14724 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UABAv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  14724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv2i32),
     /*  14727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14729 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  14739 */     GIR_RootConstrainSelectedInstOperands,
     /*  14740 */     // GIR_Coverage, 1488,
     /*  14740 */     GIR_EraseRootFromParent_Done,
     /*  14741 */   // Label 284: @14741
     /*  14741 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(14797), // Rule ID 993 //
     /*  14746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14765 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  14768 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  14773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  14777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14784 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 660:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  14784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  14787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14789 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14795 */     GIR_RootConstrainSelectedInstOperands,
     /*  14796 */     // GIR_Coverage, 993,
     /*  14796 */     GIR_EraseRootFromParent_Done,
     /*  14797 */   // Label 285: @14797
     /*  14797 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(14853), // Rule ID 1054 //
     /*  14802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  14821 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  14824 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  14829 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  14833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  14840 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 725:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  14840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  14843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14845 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  14851 */     GIR_RootConstrainSelectedInstOperands,
     /*  14852 */     // GIR_Coverage, 1054,
     /*  14852 */     GIR_EraseRootFromParent_Done,
     /*  14853 */   // Label 286: @14853
     /*  14853 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(14920), // Rule ID 2238 //
     /*  14858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  14877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14886 */     // MIs[1] imm
     /*  14886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14894 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  14898 */     // MIs[2] Operand 1
     /*  14898 */     // No operand predicates
     /*  14898 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  14902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14904 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  14904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  14907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14909 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  14918 */     GIR_RootConstrainSelectedInstOperands,
     /*  14919 */     // GIR_Coverage, 2238,
     /*  14919 */     GIR_EraseRootFromParent_Done,
     /*  14920 */   // Label 287: @14920
     /*  14920 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(14987), // Rule ID 2297 //
     /*  14925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  14940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  14944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  14948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14953 */     // MIs[1] imm
     /*  14953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  14957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  14961 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  14965 */     // MIs[2] Operand 1
     /*  14965 */     // No operand predicates
     /*  14965 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  14969 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  14971 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  14971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  14974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  14976 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  14978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  14982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  14985 */     GIR_RootConstrainSelectedInstOperands,
     /*  14986 */     // GIR_Coverage, 2297,
     /*  14986 */     GIR_EraseRootFromParent_Done,
     /*  14987 */   // Label 288: @14987
     /*  14987 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(15035), // Rule ID 13289 //
     /*  14992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  14995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  14999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  15007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  15011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15022 */     // (add:{ *:[v2i32] } (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  15022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  15025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15027 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  15033 */     GIR_RootConstrainSelectedInstOperands,
     /*  15034 */     // GIR_Coverage, 13289,
     /*  15034 */     GIR_EraseRootFromParent_Done,
     /*  15035 */   // Label 289: @15035
     /*  15035 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(15083), // Rule ID 13301 //
     /*  15040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  15055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  15059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15070 */     // (add:{ *:[v2i32] } (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn), V64:{ *:[v2i32] }:$Rd)  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  15070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  15073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15075 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  15081 */     GIR_RootConstrainSelectedInstOperands,
     /*  15082 */     // GIR_Coverage, 13301,
     /*  15082 */     GIR_EraseRootFromParent_Done,
     /*  15083 */   // Label 290: @15083
     /*  15083 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(15131), // Rule ID 992 //
     /*  15088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  15107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  15111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15118 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (SADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  15118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i16_v2i32),
     /*  15121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15123 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  15129 */     GIR_RootConstrainSelectedInstOperands,
     /*  15130 */     // GIR_Coverage, 992,
     /*  15130 */     GIR_EraseRootFromParent_Done,
     /*  15131 */   // Label 291: @15131
     /*  15131 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(15179), // Rule ID 1053 //
     /*  15136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  15155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  15159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  15166 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (UADALPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /*  15166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i16_v2i32),
     /*  15169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15171 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  15177 */     GIR_RootConstrainSelectedInstOperands,
     /*  15178 */     // GIR_Coverage, 1053,
     /*  15178 */     GIR_EraseRootFromParent_Done,
     /*  15179 */   // Label 292: @15179
     /*  15179 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(15206), // Rule ID 1104 //
     /*  15184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  15199 */     // (add:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  15199 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv2i32),
     /*  15204 */     GIR_RootConstrainSelectedInstOperands,
     /*  15205 */     // GIR_Coverage, 1104,
     /*  15205 */     GIR_Done,
     /*  15206 */   // Label 293: @15206
     /*  15206 */   GIM_Reject,
     /*  15207 */ // Label 259: @15207
     /*  15207 */ GIM_Reject,
     /*  15208 */ // Label 156: @15208
     /*  15208 */ GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(21109),
     /*  15213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  15216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  15219 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(15337), // Rule ID 13467 //
     /*  15224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  15239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15259 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15263 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15267 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15271 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15275 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15280 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15284 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15288 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15292 */     // MIs[4] Operand 1
     /*  15292 */     // No operand predicates
     /*  15292 */     // MIs[2] Operand 2
     /*  15292 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15307 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15309 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15316 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  15319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15321 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15335 */     GIR_RootConstrainSelectedInstOperands,
     /*  15336 */     // GIR_Coverage, 13467,
     /*  15336 */     GIR_EraseRootFromParent_Done,
     /*  15337 */   // Label 295: @15337
     /*  15337 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(15455), // Rule ID 13468 //
     /*  15342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  15357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  15369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15373 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15377 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15381 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15385 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15389 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15393 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15398 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15402 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15406 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15410 */     // MIs[4] Operand 1
     /*  15410 */     // No operand predicates
     /*  15410 */     // MIs[2] Operand 2
     /*  15410 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15425 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15427 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15434 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  15437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15439 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15453 */     GIR_RootConstrainSelectedInstOperands,
     /*  15454 */     // GIR_Coverage, 13468,
     /*  15454 */     GIR_EraseRootFromParent_Done,
     /*  15455 */   // Label 296: @15455
     /*  15455 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(15573), // Rule ID 13497 //
     /*  15460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  15475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15495 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15499 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15503 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15507 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15511 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15516 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15520 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15524 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15528 */     // MIs[4] Operand 1
     /*  15528 */     // No operand predicates
     /*  15528 */     // MIs[2] Operand 2
     /*  15528 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15543 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15552 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  15555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15557 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15571 */     GIR_RootConstrainSelectedInstOperands,
     /*  15572 */     // GIR_Coverage, 13497,
     /*  15572 */     GIR_EraseRootFromParent_Done,
     /*  15573 */   // Label 297: @15573
     /*  15573 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(15691), // Rule ID 13498 //
     /*  15578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  15589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  15593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  15605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15613 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15617 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15621 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15625 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15629 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15634 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15638 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15642 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15646 */     // MIs[4] Operand 1
     /*  15646 */     // No operand predicates
     /*  15646 */     // MIs[2] Operand 2
     /*  15646 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15661 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15663 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15670 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  15673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15675 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  15677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15689 */     GIR_RootConstrainSelectedInstOperands,
     /*  15690 */     // GIR_Coverage, 13498,
     /*  15690 */     GIR_EraseRootFromParent_Done,
     /*  15691 */   // Label 298: @15691
     /*  15691 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(15809), // Rule ID 2042 //
     /*  15696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  15715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15735 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15739 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15743 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15747 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15751 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15756 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15760 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15764 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15768 */     // MIs[4] Operand 1
     /*  15768 */     // No operand predicates
     /*  15768 */     // MIs[2] Operand 2
     /*  15768 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15779 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15781 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15788 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  15791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15793 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15807 */     GIR_RootConstrainSelectedInstOperands,
     /*  15808 */     // GIR_Coverage, 2042,
     /*  15808 */     GIR_EraseRootFromParent_Done,
     /*  15809 */   // Label 299: @15809
     /*  15809 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(15927), // Rule ID 13466 //
     /*  15814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  15833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  15845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15853 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15857 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15861 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15865 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15869 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15874 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15878 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  15882 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  15886 */     // MIs[4] Operand 1
     /*  15886 */     // No operand predicates
     /*  15886 */     // MIs[2] Operand 2
     /*  15886 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  15897 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  15899 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  15906 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (SMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  15906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_indexed),
     /*  15909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  15911 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  15913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  15918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  15922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  15925 */     GIR_RootConstrainSelectedInstOperands,
     /*  15926 */     // GIR_Coverage, 13466,
     /*  15926 */     GIR_EraseRootFromParent_Done,
     /*  15927 */   // Label 300: @15927
     /*  15927 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(16045), // Rule ID 2094 //
     /*  15932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  15935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  15947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  15951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  15955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  15959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  15963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  15967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  15975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  15979 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  15983 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  15987 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  15992 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  15996 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16000 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16004 */     // MIs[4] Operand 1
     /*  16004 */     // No operand predicates
     /*  16004 */     // MIs[2] Operand 2
     /*  16004 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  16015 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16017 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16024 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  16027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16029 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16043 */     GIR_RootConstrainSelectedInstOperands,
     /*  16044 */     // GIR_Coverage, 2094,
     /*  16044 */     GIR_EraseRootFromParent_Done,
     /*  16045 */   // Label 301: @16045
     /*  16045 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(16163), // Rule ID 13496 //
     /*  16050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  16069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16089 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16093 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16097 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16101 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16105 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16110 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16114 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16118 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16122 */     // MIs[4] Operand 1
     /*  16122 */     // No operand predicates
     /*  16122 */     // MIs[2] Operand 2
     /*  16122 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  16133 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16135 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16142 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (UMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_indexed),
     /*  16145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16147 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16161 */     GIR_RootConstrainSelectedInstOperands,
     /*  16162 */     // GIR_Coverage, 13496,
     /*  16162 */     GIR_EraseRootFromParent_Done,
     /*  16163 */   // Label 302: @16163
     /*  16163 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(16250), // Rule ID 13372 //
     /*  16168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16195 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16198 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  16203 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16207 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16217 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16224 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16231 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))), V128:{ *:[v2i64] }:$Rd)  =>  (SABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i32_v2i64),
     /*  16234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16248 */     GIR_RootConstrainSelectedInstOperands,
     /*  16249 */     // GIR_Coverage, 13372,
     /*  16249 */     GIR_EraseRootFromParent_Done,
     /*  16250 */   // Label 303: @16250
     /*  16250 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(16337), // Rule ID 13396 //
     /*  16255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16282 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16285 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  16290 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16294 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16304 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16311 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16318 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))), V128:{ *:[v2i64] }:$Rd)  =>  (UABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i32_v2i64),
     /*  16321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16323 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16335 */     GIR_RootConstrainSelectedInstOperands,
     /*  16336 */     // GIR_Coverage, 13396,
     /*  16336 */     GIR_EraseRootFromParent_Done,
     /*  16337 */   // Label 304: @16337
     /*  16337 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(16424), // Rule ID 1699 //
     /*  16342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16373 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16376 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  16381 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16385 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16391 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16398 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16405 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))))  =>  (SABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i32_v2i64),
     /*  16408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16410 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16422 */     GIR_RootConstrainSelectedInstOperands,
     /*  16423 */     // GIR_Coverage, 1699,
     /*  16423 */     GIR_EraseRootFromParent_Done,
     /*  16424 */   // Label 305: @16424
     /*  16424 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(16511), // Rule ID 1777 //
     /*  16429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  16444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  16448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  16460 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  16463 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  16468 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16472 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  16476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  16478 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16485 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  16492 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))))  =>  (UABALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  16492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i32_v2i64),
     /*  16495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16497 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  16499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  16504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  16509 */     GIR_RootConstrainSelectedInstOperands,
     /*  16510 */     // GIR_Coverage, 1777,
     /*  16510 */     GIR_EraseRootFromParent_Done,
     /*  16511 */   // Label 306: @16511
     /*  16511 */   GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(16626), // Rule ID 13462 //
     /*  16516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  16531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16535 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16551 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16555 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16559 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16563 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16567 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16572 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16576 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16580 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16584 */     // MIs[4] Operand 1
     /*  16584 */     // No operand predicates
     /*  16584 */     // MIs[2] Operand 2
     /*  16584 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  16595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16604 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16606 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  16609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  16617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16624 */     GIR_RootConstrainSelectedInstOperands,
     /*  16625 */     // GIR_Coverage, 13462,
     /*  16625 */     GIR_EraseRootFromParent_Done,
     /*  16626 */   // Label 307: @16626
     /*  16626 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(16741), // Rule ID 13461 //
     /*  16631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  16646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  16663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16671 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16675 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16679 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16683 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16687 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16692 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16696 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16700 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16704 */     // MIs[4] Operand 1
     /*  16704 */     // No operand predicates
     /*  16704 */     // MIs[2] Operand 2
     /*  16704 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  16715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16719 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16721 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  16724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  16732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16739 */     GIR_RootConstrainSelectedInstOperands,
     /*  16740 */     // GIR_Coverage, 13461,
     /*  16740 */     GIR_EraseRootFromParent_Done,
     /*  16741 */   // Label 308: @16741
     /*  16741 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(16856), // Rule ID 13492 //
     /*  16746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  16761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  16773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16777 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16781 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16785 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16789 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16793 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16797 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16802 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16806 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16810 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16814 */     // MIs[4] Operand 1
     /*  16814 */     // No operand predicates
     /*  16814 */     // MIs[2] Operand 2
     /*  16814 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  16825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16834 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16836 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  16839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  16847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16854 */     GIR_RootConstrainSelectedInstOperands,
     /*  16855 */     // GIR_Coverage, 13492,
     /*  16855 */     GIR_EraseRootFromParent_Done,
     /*  16856 */   // Label 309: @16856
     /*  16856 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(16971), // Rule ID 13491 //
     /*  16861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  16876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  16884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  16889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  16893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  16897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16901 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  16905 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  16909 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  16913 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  16917 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16922 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  16926 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  16930 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  16934 */     // MIs[4] Operand 1
     /*  16934 */     // No operand predicates
     /*  16934 */     // MIs[2] Operand 2
     /*  16934 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  16945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16949 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  16951 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  16951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  16954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  16956 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  16958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  16962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  16966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  16969 */     GIR_RootConstrainSelectedInstOperands,
     /*  16970 */     // GIR_Coverage, 13491,
     /*  16970 */     GIR_EraseRootFromParent_Done,
     /*  16971 */   // Label 310: @16971
     /*  16971 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(17040), // Rule ID 1801 //
     /*  16976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  16979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  16983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  16987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  16991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  16995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  16999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  17003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17009 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17016 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17023 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  17026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17038 */     GIR_RootConstrainSelectedInstOperands,
     /*  17039 */     // GIR_Coverage, 1801,
     /*  17039 */     GIR_EraseRootFromParent_Done,
     /*  17040 */   // Label 311: @17040
     /*  17040 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(17109), // Rule ID 1800 //
     /*  17045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  17060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  17068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  17072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17078 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17085 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17092 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  17095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17107 */     GIR_RootConstrainSelectedInstOperands,
     /*  17108 */     // GIR_Coverage, 1800,
     /*  17108 */     GIR_EraseRootFromParent_Done,
     /*  17109 */   // Label 312: @17109
     /*  17109 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(17178), // Rule ID 1717 //
     /*  17114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  17129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  17137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  17141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17145 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17147 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17154 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17161 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv4i32_v2i64),
     /*  17164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17176 */     GIR_RootConstrainSelectedInstOperands,
     /*  17177 */     // GIR_Coverage, 1717,
     /*  17177 */     GIR_EraseRootFromParent_Done,
     /*  17178 */   // Label 313: @17178
     /*  17178 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(17247), // Rule ID 1799 //
     /*  17183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  17198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  17206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  17210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17214 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17216 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17223 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17230 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  17233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17245 */     GIR_RootConstrainSelectedInstOperands,
     /*  17246 */     // GIR_Coverage, 1799,
     /*  17246 */     GIR_EraseRootFromParent_Done,
     /*  17247 */   // Label 314: @17247
     /*  17247 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(17316), // Rule ID 1798 //
     /*  17252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  17267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  17275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  17279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  17285 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17292 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17299 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i32_v2i64),
     /*  17302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  17304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17314 */     GIR_RootConstrainSelectedInstOperands,
     /*  17315 */     // GIR_Coverage, 1798,
     /*  17315 */     GIR_EraseRootFromParent_Done,
     /*  17316 */   // Label 315: @17316
     /*  17316 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(17431), // Rule ID 13460 //
     /*  17321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  17340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  17352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  17356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17360 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  17364 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17368 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17372 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  17376 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17381 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  17385 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17389 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17393 */     // MIs[4] Operand 1
     /*  17393 */     // No operand predicates
     /*  17393 */     // MIs[2] Operand 2
     /*  17393 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  17404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17409 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  17411 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  17414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17416 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  17422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  17426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  17429 */     GIR_RootConstrainSelectedInstOperands,
     /*  17430 */     // GIR_Coverage, 13460,
     /*  17430 */     GIR_EraseRootFromParent_Done,
     /*  17431 */   // Label 316: @17431
     /*  17431 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(17546), // Rule ID 2040 //
     /*  17436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  17455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  17472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  17476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17480 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  17484 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17488 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17492 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  17496 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17501 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  17505 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17509 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17513 */     // MIs[4] Operand 1
     /*  17513 */     // No operand predicates
     /*  17513 */     // MIs[2] Operand 2
     /*  17513 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  17524 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  17526 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  17529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17531 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  17537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  17541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  17544 */     GIR_RootConstrainSelectedInstOperands,
     /*  17545 */     // GIR_Coverage, 2040,
     /*  17545 */     GIR_EraseRootFromParent_Done,
     /*  17546 */   // Label 317: @17546
     /*  17546 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(17661), // Rule ID 13490 //
     /*  17551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  17570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  17582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  17586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17590 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  17594 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17598 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17602 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  17606 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17611 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  17615 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17619 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17623 */     // MIs[4] Operand 1
     /*  17623 */     // No operand predicates
     /*  17623 */     // MIs[2] Operand 2
     /*  17623 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  17634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17639 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  17641 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  17644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17646 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  17652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  17656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  17659 */     GIR_RootConstrainSelectedInstOperands,
     /*  17660 */     // GIR_Coverage, 13490,
     /*  17660 */     GIR_EraseRootFromParent_Done,
     /*  17661 */   // Label 318: @17661
     /*  17661 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(17776), // Rule ID 2092 //
     /*  17666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  17685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  17698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  17702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  17706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17710 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  17714 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  17718 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  17722 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  17726 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17731 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  17735 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  17739 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  17743 */     // MIs[4] Operand 1
     /*  17743 */     // No operand predicates
     /*  17743 */     // MIs[2] Operand 2
     /*  17743 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  17754 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  17756 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  17756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  17759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17761 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  17767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  17771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  17774 */     GIR_RootConstrainSelectedInstOperands,
     /*  17775 */     // GIR_Coverage, 2092,
     /*  17775 */     GIR_EraseRootFromParent_Done,
     /*  17776 */   // Label 319: @17776
     /*  17776 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(17843), // Rule ID 13384 //
     /*  17781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  17796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17810 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17817 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17824 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_v2i64),
     /*  17827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17829 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  17831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17841 */     GIR_RootConstrainSelectedInstOperands,
     /*  17842 */     // GIR_Coverage, 13384,
     /*  17842 */     GIR_EraseRootFromParent_Done,
     /*  17843 */   // Label 320: @17843
     /*  17843 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(17910), // Rule ID 13414 //
     /*  17848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  17859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  17863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17877 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17884 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17891 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_v2i64),
     /*  17894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  17898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17908 */     GIR_RootConstrainSelectedInstOperands,
     /*  17909 */     // GIR_Coverage, 13414,
     /*  17909 */     GIR_EraseRootFromParent_Done,
     /*  17910 */   // Label 321: @17910
     /*  17910 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(17977), // Rule ID 1729 //
     /*  17915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  17934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  17938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  17942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  17944 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17951 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  17958 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  17958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i32_v2i64),
     /*  17961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  17963 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  17965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  17970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  17975 */     GIR_RootConstrainSelectedInstOperands,
     /*  17976 */     // GIR_Coverage, 1729,
     /*  17976 */     GIR_EraseRootFromParent_Done,
     /*  17977 */   // Label 322: @17977
     /*  17977 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(18044), // Rule ID 1819 //
     /*  17982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  17985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  17993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  17997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  18001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  18011 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  18018 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  18025 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  18025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i32_v2i64),
     /*  18028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18030 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  18037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  18042 */     GIR_RootConstrainSelectedInstOperands,
     /*  18043 */     // GIR_Coverage, 1819,
     /*  18043 */     GIR_EraseRootFromParent_Done,
     /*  18044 */   // Label 323: @18044
     /*  18044 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(18125), // Rule ID 13370 //
     /*  18049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18076 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  18079 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  18084 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18088 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  18092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18097 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18108 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (SABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv2i32_v2i64),
     /*  18111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  18119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  18123 */     GIR_RootConstrainSelectedInstOperands,
     /*  18124 */     // GIR_Coverage, 13370,
     /*  18124 */     GIR_EraseRootFromParent_Done,
     /*  18125 */   // Label 324: @18125
     /*  18125 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(18206), // Rule ID 13394 //
     /*  18130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18157 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  18160 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  18165 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18169 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  18173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18189 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)), V128:{ *:[v2i64] }:$Rd)  =>  (UABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv2i32_v2i64),
     /*  18192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18194 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  18200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  18204 */     GIR_RootConstrainSelectedInstOperands,
     /*  18205 */     // GIR_Coverage, 13394,
     /*  18205 */     GIR_EraseRootFromParent_Done,
     /*  18206 */   // Label 325: @18206
     /*  18206 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(18287), // Rule ID 1697 //
     /*  18211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18242 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  18245 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  18250 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18254 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  18258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18268 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18270 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)))  =>  (SABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv2i32_v2i64),
     /*  18273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18275 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  18281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  18285 */     GIR_RootConstrainSelectedInstOperands,
     /*  18286 */     // GIR_Coverage, 1697,
     /*  18286 */     GIR_EraseRootFromParent_Done,
     /*  18287 */   // Label 326: @18287
     /*  18287 */   GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(18368), // Rule ID 1775 //
     /*  18292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  18311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  18323 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  18326 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  18331 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18335 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  18339 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18349 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  18351 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)))  =>  (UABALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  18351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv2i32_v2i64),
     /*  18354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18356 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  18362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  18366 */     GIR_RootConstrainSelectedInstOperands,
     /*  18367 */     // GIR_Coverage, 1775,
     /*  18367 */     GIR_EraseRootFromParent_Done,
     /*  18368 */   // Label 327: @18368
     /*  18368 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(18460), // Rule ID 13465 //
     /*  18373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  18388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18408 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18417 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18421 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18425 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18429 */     // MIs[3] Operand 1
     /*  18429 */     // No operand predicates
     /*  18429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18438 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18440 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  18443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18445 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  18451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18458 */     GIR_RootConstrainSelectedInstOperands,
     /*  18459 */     // GIR_Coverage, 13465,
     /*  18459 */     GIR_EraseRootFromParent_Done,
     /*  18460 */   // Label 328: @18460
     /*  18460 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(18552), // Rule ID 13464 //
     /*  18465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  18480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18484 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  18497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18505 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18509 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18514 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18518 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18522 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18526 */     // MIs[3] Operand 1
     /*  18526 */     // No operand predicates
     /*  18526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18530 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18532 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  18535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18550 */     GIR_RootConstrainSelectedInstOperands,
     /*  18551 */     // GIR_Coverage, 13464,
     /*  18551 */     GIR_EraseRootFromParent_Done,
     /*  18552 */   // Label 329: @18552
     /*  18552 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(18644), // Rule ID 13495 //
     /*  18557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  18572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18592 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18596 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18601 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18605 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18609 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18613 */     // MIs[3] Operand 1
     /*  18613 */     // No operand predicates
     /*  18613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18622 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18624 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  18627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  18635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18642 */     GIR_RootConstrainSelectedInstOperands,
     /*  18643 */     // GIR_Coverage, 13495,
     /*  18643 */     GIR_EraseRootFromParent_Done,
     /*  18644 */   // Label 330: @18644
     /*  18644 */   GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(18736), // Rule ID 13494 //
     /*  18649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  18660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  18664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18668 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  18681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18689 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18698 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18702 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18706 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18710 */     // MIs[3] Operand 1
     /*  18710 */     // No operand predicates
     /*  18710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18714 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18716 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  18719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  18723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18734 */     GIR_RootConstrainSelectedInstOperands,
     /*  18735 */     // GIR_Coverage, 13494,
     /*  18735 */     GIR_EraseRootFromParent_Done,
     /*  18736 */   // Label 331: @18736
     /*  18736 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(18828), // Rule ID 13463 //
     /*  18741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  18760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18780 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18789 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18793 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18797 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18801 */     // MIs[3] Operand 1
     /*  18801 */     // No operand predicates
     /*  18801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18806 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18808 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  18811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18813 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  18819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18826 */     GIR_RootConstrainSelectedInstOperands,
     /*  18827 */     // GIR_Coverage, 13463,
     /*  18827 */     GIR_EraseRootFromParent_Done,
     /*  18828 */   // Label 332: @18828
     /*  18828 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(18920), // Rule ID 2041 //
     /*  18833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  18852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18856 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  18869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18877 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18881 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18886 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18890 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18894 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18898 */     // MIs[3] Operand 1
     /*  18898 */     // No operand predicates
     /*  18898 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18900 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_indexed),
     /*  18903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18905 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  18911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  18915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  18918 */     GIR_RootConstrainSelectedInstOperands,
     /*  18919 */     // GIR_Coverage, 2041,
     /*  18919 */     GIR_EraseRootFromParent_Done,
     /*  18920 */   // Label 333: @18920
     /*  18920 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(19012), // Rule ID 13493 //
     /*  18925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  18928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  18940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  18944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  18948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  18952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  18956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  18960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  18964 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  18968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  18973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  18977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  18981 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  18985 */     // MIs[3] Operand 1
     /*  18985 */     // No operand predicates
     /*  18985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  18990 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  18992 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  18992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  18995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  18997 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  18999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  19003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  19007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  19010 */     GIR_RootConstrainSelectedInstOperands,
     /*  19011 */     // GIR_Coverage, 13493,
     /*  19011 */     GIR_EraseRootFromParent_Done,
     /*  19012 */   // Label 334: @19012
     /*  19012 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(19104), // Rule ID 2093 //
     /*  19017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  19036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19040 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  19044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  19049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  19057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  19061 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  19065 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19070 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  19074 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19078 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  19082 */     // MIs[3] Operand 1
     /*  19082 */     // No operand predicates
     /*  19082 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  19084 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  19084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_indexed),
     /*  19087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19089 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  19099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  19102 */     GIR_RootConstrainSelectedInstOperands,
     /*  19103 */     // GIR_Coverage, 2093,
     /*  19103 */     GIR_EraseRootFromParent_Done,
     /*  19104 */   // Label 335: @19104
     /*  19104 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(19155), // Rule ID 13408 //
     /*  19109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  19124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19141 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  19144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  19148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19153 */     GIR_RootConstrainSelectedInstOperands,
     /*  19154 */     // GIR_Coverage, 13408,
     /*  19154 */     GIR_EraseRootFromParent_Done,
     /*  19155 */   // Label 336: @19155
     /*  19155 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(19206), // Rule ID 13378 //
     /*  19160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  19175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19185 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19192 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rn)  =>  (SADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i32_v2i64),
     /*  19195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  19199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19204 */     GIR_RootConstrainSelectedInstOperands,
     /*  19205 */     // GIR_Coverage, 13378,
     /*  19205 */     GIR_EraseRootFromParent_Done,
     /*  19206 */   // Label 337: @19206
     /*  19206 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(19257), // Rule ID 13407 //
     /*  19211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  19226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19236 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19243 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  19246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  19250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19255 */     GIR_RootConstrainSelectedInstOperands,
     /*  19256 */     // GIR_Coverage, 13407,
     /*  19256 */     GIR_EraseRootFromParent_Done,
     /*  19257 */   // Label 338: @19257
     /*  19257 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(19308), // Rule ID 1813 //
     /*  19262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  19281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19287 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19294 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  19297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19299 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  19301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19306 */     GIR_RootConstrainSelectedInstOperands,
     /*  19307 */     // GIR_Coverage, 1813,
     /*  19307 */     GIR_EraseRootFromParent_Done,
     /*  19308 */   // Label 339: @19308
     /*  19308 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(19359), // Rule ID 1723 //
     /*  19313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  19332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19338 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19345 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i32_v2i64),
     /*  19348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19350 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  19352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19357 */     GIR_RootConstrainSelectedInstOperands,
     /*  19358 */     // GIR_Coverage, 1723,
     /*  19358 */     GIR_EraseRootFromParent_Done,
     /*  19359 */   // Label 340: @19359
     /*  19359 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(19410), // Rule ID 1812 //
     /*  19364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  19383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  19387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19389 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  19396 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UADDWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  19396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i32_v2i64),
     /*  19399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19401 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  19403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  19408 */     GIR_RootConstrainSelectedInstOperands,
     /*  19409 */     // GIR_Coverage, 1812,
     /*  19409 */     GIR_EraseRootFromParent_Done,
     /*  19410 */   // Label 341: @19410
     /*  19410 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(19466), // Rule ID 13296 //
     /*  19415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19430 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  19433 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  19438 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  19442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19453 */     // (add:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i64] } 660:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  19453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  19456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  19460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  19464 */     GIR_RootConstrainSelectedInstOperands,
     /*  19465 */     // GIR_Coverage, 13296,
     /*  19465 */     GIR_EraseRootFromParent_Done,
     /*  19466 */   // Label 342: @19466
     /*  19466 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(19522), // Rule ID 13308 //
     /*  19471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19486 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  19489 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  19494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  19498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19509 */     // (add:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i64] } 725:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  19509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  19512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19514 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  19516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  19520 */     GIR_RootConstrainSelectedInstOperands,
     /*  19521 */     // GIR_Coverage, 13308,
     /*  19521 */     GIR_EraseRootFromParent_Done,
     /*  19522 */   // Label 343: @19522
     /*  19522 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(19589), // Rule ID 13536 //
     /*  19527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  19542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19551 */     // MIs[1] imm
     /*  19551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19559 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  19563 */     // MIs[2] Operand 1
     /*  19563 */     // No operand predicates
     /*  19563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19567 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  19571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19573 */     // (add:{ *:[v2i64] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  19573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  19576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  19580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  19587 */     GIR_RootConstrainSelectedInstOperands,
     /*  19588 */     // GIR_Coverage, 13536,
     /*  19588 */     GIR_EraseRootFromParent_Done,
     /*  19589 */   // Label 344: @19589
     /*  19589 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(19656), // Rule ID 13557 //
     /*  19594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  19609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19618 */     // MIs[1] imm
     /*  19618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19626 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  19630 */     // MIs[2] Operand 1
     /*  19630 */     // No operand predicates
     /*  19630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19634 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  19638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19640 */     // (add:{ *:[v2i64] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  19640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  19643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  19647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  19654 */     GIR_RootConstrainSelectedInstOperands,
     /*  19655 */     // GIR_Coverage, 13557,
     /*  19655 */     GIR_EraseRootFromParent_Done,
     /*  19656 */   // Label 345: @19656
     /*  19656 */   GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(19712), // Rule ID 999 //
     /*  19661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19680 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  19683 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  19688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  19692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19699 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 660:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  19699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  19702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19704 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  19710 */     GIR_RootConstrainSelectedInstOperands,
     /*  19711 */     // GIR_Coverage, 999,
     /*  19711 */     GIR_EraseRootFromParent_Done,
     /*  19712 */   // Label 346: @19712
     /*  19712 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(19768), // Rule ID 1060 //
     /*  19717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  19736 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  19739 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  19744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  19748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  19755 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 725:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  19755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  19758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19760 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  19766 */     GIR_RootConstrainSelectedInstOperands,
     /*  19767 */     // GIR_Coverage, 1060,
     /*  19767 */     GIR_EraseRootFromParent_Done,
     /*  19768 */   // Label 347: @19768
     /*  19768 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(19835), // Rule ID 2242 //
     /*  19773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  19792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19801 */     // MIs[1] imm
     /*  19801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19809 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  19813 */     // MIs[2] Operand 1
     /*  19813 */     // No operand predicates
     /*  19813 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  19817 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19819 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  19819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  19822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19824 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  19833 */     GIR_RootConstrainSelectedInstOperands,
     /*  19834 */     // GIR_Coverage, 2242,
     /*  19834 */     GIR_EraseRootFromParent_Done,
     /*  19835 */   // Label 348: @19835
     /*  19835 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(19902), // Rule ID 2301 //
     /*  19840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  19843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  19855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  19859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19868 */     // MIs[1] imm
     /*  19868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  19872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  19876 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  19880 */     // MIs[2] Operand 1
     /*  19880 */     // No operand predicates
     /*  19880 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  19884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19886 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  19886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  19889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  19891 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  19893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  19900 */     GIR_RootConstrainSelectedInstOperands,
     /*  19901 */     // GIR_Coverage, 2301,
     /*  19901 */     GIR_EraseRootFromParent_Done,
     /*  19902 */   // Label 349: @19902
     /*  19902 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(19972), // Rule ID 6922 //
     /*  19907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP1),
     /*  19919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19923 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  19927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  19941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP2),
     /*  19945 */     // MIs[2] Rn
     /*  19945 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  19950 */     // MIs[2] Rm
     /*  19950 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  19955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  19957 */     // (add:{ *:[v2i64] } (AArch64zip1:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm), (AArch64zip2:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm))  =>  (ADDPv2i64:{ *:[v2i64] } ?:{ *:[v2i64] }:$Rn, ?:{ *:[v2i64] }:$Rm)
     /*  19957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64),
     /*  19960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  19962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  19966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  19970 */     GIR_RootConstrainSelectedInstOperands,
     /*  19971 */     // GIR_Coverage, 6922,
     /*  19971 */     GIR_EraseRootFromParent_Done,
     /*  19972 */   // Label 350: @19972
     /*  19972 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(20042), // Rule ID 13915 //
     /*  19977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  19981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  19985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP2),
     /*  19989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  19993 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  19997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP1),
     /*  20015 */     // MIs[2] Rn
     /*  20015 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  20020 */     // MIs[2] Rm
     /*  20020 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  20025 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20027 */     // (add:{ *:[v2i64] } (AArch64zip2:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm), (AArch64zip1:{ *:[v2i64] } FPR128:{ *:[v2i64] }:$Rn, FPR128:{ *:[v2i64] }:$Rm))  =>  (ADDPv2i64:{ *:[v2i64] } ?:{ *:[v2i64] }:$Rn, ?:{ *:[v2i64] }:$Rm)
     /*  20027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64),
     /*  20030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20040 */     GIR_RootConstrainSelectedInstOperands,
     /*  20041 */     // GIR_Coverage, 13915,
     /*  20041 */     GIR_EraseRootFromParent_Done,
     /*  20042 */   // Label 351: @20042
     /*  20042 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(20105), // Rule ID 1797 //
     /*  20047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20090 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  20093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20103 */     GIR_RootConstrainSelectedInstOperands,
     /*  20104 */     // GIR_Coverage, 1797,
     /*  20104 */     GIR_EraseRootFromParent_Done,
     /*  20105 */   // Label 352: @20105
     /*  20105 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(20168), // Rule ID 1796 //
     /*  20110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20142 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20153 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  20156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20166 */     GIR_RootConstrainSelectedInstOperands,
     /*  20167 */     // GIR_Coverage, 1796,
     /*  20167 */     GIR_EraseRootFromParent_Done,
     /*  20168 */   // Label 353: @20168
     /*  20168 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(20231), // Rule ID 1716 //
     /*  20173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  20188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  20205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20209 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20214 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20216 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv2i32_v2i64),
     /*  20219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20229 */     GIR_RootConstrainSelectedInstOperands,
     /*  20230 */     // GIR_Coverage, 1716,
     /*  20230 */     GIR_EraseRootFromParent_Done,
     /*  20231 */   // Label 354: @20231
     /*  20231 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(20294), // Rule ID 1795 //
     /*  20236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20279 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  20282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20292 */     GIR_RootConstrainSelectedInstOperands,
     /*  20293 */     // GIR_Coverage, 1795,
     /*  20293 */     GIR_EraseRootFromParent_Done,
     /*  20294 */   // Label 355: @20294
     /*  20294 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(20357), // Rule ID 1794 //
     /*  20299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  20327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20335 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20340 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  20342 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv2i32_v2i64),
     /*  20345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  20355 */     GIR_RootConstrainSelectedInstOperands,
     /*  20356 */     // GIR_Coverage, 1794,
     /*  20356 */     GIR_EraseRootFromParent_Done,
     /*  20357 */   // Label 356: @20357
     /*  20357 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(20418), // Rule ID 13383 //
     /*  20362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  20377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  20385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20401 */     // (add:{ *:[v2i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rd)  =>  (SMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*  20404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  20408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20416 */     GIR_RootConstrainSelectedInstOperands,
     /*  20417 */     // GIR_Coverage, 13383,
     /*  20417 */     GIR_EraseRootFromParent_Done,
     /*  20418 */   // Label 357: @20418
     /*  20418 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(20479), // Rule ID 13413 //
     /*  20423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  20438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  20446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20462 */     // (add:{ *:[v2i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rd)  =>  (UMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*  20465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20467 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  20469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20477 */     GIR_RootConstrainSelectedInstOperands,
     /*  20478 */     // GIR_Coverage, 13413,
     /*  20478 */     GIR_EraseRootFromParent_Done,
     /*  20479 */   // Label 358: @20479
     /*  20479 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(20527), // Rule ID 13406 //
     /*  20484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20514 */     // (add:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  20517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20519 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  20521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20525 */     GIR_RootConstrainSelectedInstOperands,
     /*  20526 */     // GIR_Coverage, 13406,
     /*  20526 */     GIR_EraseRootFromParent_Done,
     /*  20527 */   // Label 359: @20527
     /*  20527 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(20575), // Rule ID 13295 //
     /*  20532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  20547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  20551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20562 */     // (add:{ *:[v2i64] } (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  20562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  20565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20567 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  20569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20573 */     GIR_RootConstrainSelectedInstOperands,
     /*  20574 */     // GIR_Coverage, 13295,
     /*  20574 */     GIR_EraseRootFromParent_Done,
     /*  20575 */   // Label 360: @20575
     /*  20575 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(20623), // Rule ID 13377 //
     /*  20580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  20595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20610 */     // (add:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rn)  =>  (SADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*  20613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20615 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  20617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20621 */     GIR_RootConstrainSelectedInstOperands,
     /*  20622 */     // GIR_Coverage, 13377,
     /*  20622 */     GIR_EraseRootFromParent_Done,
     /*  20623 */   // Label 361: @20623
     /*  20623 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(20671), // Rule ID 13307 //
     /*  20628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  20643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  20647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20658 */     // (add:{ *:[v2i64] } (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn), V128:{ *:[v2i64] }:$Rd)  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  20658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  20661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20663 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  20665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20669 */     GIR_RootConstrainSelectedInstOperands,
     /*  20670 */     // GIR_Coverage, 13307,
     /*  20670 */     GIR_EraseRootFromParent_Done,
     /*  20671 */   // Label 362: @20671
     /*  20671 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(20719), // Rule ID 13405 //
     /*  20676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  20687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  20691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20706 */     // (add:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), V128:{ *:[v2i64] }:$Rn)  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  20709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20711 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  20713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20717 */     GIR_RootConstrainSelectedInstOperands,
     /*  20718 */     // GIR_Coverage, 13405,
     /*  20718 */     GIR_EraseRootFromParent_Done,
     /*  20719 */   // Label 363: @20719
     /*  20719 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(20780), // Rule ID 1728 //
     /*  20724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  20743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  20751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20763 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv2i32_v2i64),
     /*  20766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20768 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  20770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20778 */     GIR_RootConstrainSelectedInstOperands,
     /*  20779 */     // GIR_Coverage, 1728,
     /*  20779 */     GIR_EraseRootFromParent_Done,
     /*  20780 */   // Label 364: @20780
     /*  20780 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(20841), // Rule ID 1818 //
     /*  20785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  20804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  20812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20824 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv2i32_v2i64),
     /*  20827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20829 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  20831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  20839 */     GIR_RootConstrainSelectedInstOperands,
     /*  20840 */     // GIR_Coverage, 1818,
     /*  20840 */     GIR_EraseRootFromParent_Done,
     /*  20841 */   // Label 365: @20841
     /*  20841 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(20889), // Rule ID 1811 //
     /*  20846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  20865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20876 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  20879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20881 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  20883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20887 */     GIR_RootConstrainSelectedInstOperands,
     /*  20888 */     // GIR_Coverage, 1811,
     /*  20888 */     GIR_EraseRootFromParent_Done,
     /*  20889 */   // Label 366: @20889
     /*  20889 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(20937), // Rule ID 998 //
     /*  20894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  20913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  20917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20924 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (SADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  20924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv4i32_v2i64),
     /*  20927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  20929 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  20931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  20935 */     GIR_RootConstrainSelectedInstOperands,
     /*  20936 */     // GIR_Coverage, 998,
     /*  20936 */     GIR_EraseRootFromParent_Done,
     /*  20937 */   // Label 367: @20937
     /*  20937 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(20985), // Rule ID 1722 //
     /*  20942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  20957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  20961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  20965 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  20970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  20972 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  20972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv2i32_v2i64),
     /*  20975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  20977 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  20979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  20983 */     GIR_RootConstrainSelectedInstOperands,
     /*  20984 */     // GIR_Coverage, 1722,
     /*  20984 */     GIR_EraseRootFromParent_Done,
     /*  20985 */   // Label 368: @20985
     /*  20985 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(21033), // Rule ID 1059 //
     /*  20990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  20993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  20997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  21009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  21013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21020 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (UADALPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /*  21020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv4i32_v2i64),
     /*  21023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21025 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  21027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  21031 */     GIR_RootConstrainSelectedInstOperands,
     /*  21032 */     // GIR_Coverage, 1059,
     /*  21032 */     GIR_EraseRootFromParent_Done,
     /*  21033 */   // Label 369: @21033
     /*  21033 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(21081), // Rule ID 1810 //
     /*  21038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  21041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  21053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  21061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  21068 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (UADDWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  21068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv2i32_v2i64),
     /*  21071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  21073 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  21075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  21079 */     GIR_RootConstrainSelectedInstOperands,
     /*  21080 */     // GIR_Coverage, 1810,
     /*  21080 */     GIR_EraseRootFromParent_Done,
     /*  21081 */   // Label 370: @21081
     /*  21081 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(21108), // Rule ID 1106 //
     /*  21086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  21089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21101 */     // (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  21101 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv2i64),
     /*  21106 */     GIR_RootConstrainSelectedInstOperands,
     /*  21107 */     // GIR_Coverage, 1106,
     /*  21107 */     GIR_Done,
     /*  21108 */   // Label 371: @21108
     /*  21108 */   GIM_Reject,
     /*  21109 */ // Label 294: @21109
     /*  21109 */ GIM_Reject,
     /*  21110 */ // Label 157: @21110
     /*  21110 */ GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(24607),
     /*  21115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  21118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  21121 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(21257), // Rule ID 5369 //
     /*  21126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21142 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21146 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  21150 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21154 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21159 */     // MIs[1] Operand 2
     /*  21159 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21170 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21174 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21178 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21182 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21186 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  21190 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21194 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21199 */     // MIs[3] Operand 2
     /*  21199 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21210 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21212 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  21219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21228 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21239 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21246 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21251 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21256 */     // GIR_Coverage, 5369,
     /*  21256 */     GIR_EraseRootFromParent_Done,
     /*  21257 */   // Label 373: @21257
     /*  21257 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(21393), // Rule ID 5368 //
     /*  21262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  21286 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21290 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21295 */     // MIs[1] Operand 2
     /*  21295 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21306 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21310 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21314 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21318 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21322 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21326 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21330 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21335 */     // MIs[3] Operand 2
     /*  21335 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21346 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21348 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  21355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21360 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21375 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21382 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21387 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21392 */     // GIR_Coverage, 5368,
     /*  21392 */     GIR_EraseRootFromParent_Done,
     /*  21393 */   // Label 374: @21393
     /*  21393 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(21529), // Rule ID 5384 //
     /*  21398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  21422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21431 */     // MIs[1] Operand 2
     /*  21431 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21442 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21446 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21450 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21454 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21458 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  21462 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21466 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21471 */     // MIs[3] Operand 2
     /*  21471 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21482 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21484 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLv8i8_v8i16),
     /*  21491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21496 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21500 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21511 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21518 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21523 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21528 */     // GIR_Coverage, 5384,
     /*  21528 */     GIR_EraseRootFromParent_Done,
     /*  21529 */   // Label 375: @21529
     /*  21529 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(21665), // Rule ID 5367 //
     /*  21534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21558 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21567 */     // MIs[1] Operand 2
     /*  21567 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21578 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21582 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21586 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21590 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21594 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  21598 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21602 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21607 */     // MIs[3] Operand 2
     /*  21607 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21618 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21620 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  21627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21632 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21636 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21647 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21654 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21659 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21664 */     // GIR_Coverage, 5367,
     /*  21664 */     GIR_EraseRootFromParent_Done,
     /*  21665 */   // Label 376: @21665
     /*  21665 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(21801), // Rule ID 5366 //
     /*  21670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21703 */     // MIs[1] Operand 2
     /*  21703 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21714 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21718 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21722 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21726 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21730 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  21734 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  21738 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21743 */     // MIs[3] Operand 2
     /*  21743 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  21754 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  21756 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  21756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  21759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  21763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21768 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21772 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  21776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21783 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21790 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21795 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21800 */     // GIR_Coverage, 5366,
     /*  21800 */     GIR_EraseRootFromParent_Done,
     /*  21801 */   // Label 377: @21801
     /*  21801 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(21934), // Rule ID 13920 //
     /*  21806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  21830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21834 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  21838 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21843 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  21847 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  21851 */     // MIs[1] Operand 2
     /*  21851 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  21862 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  21866 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  21870 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  21874 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  21878 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  21882 */     // MIs[5] Rn
     /*  21882 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  21887 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  21889 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, (undef:{ *:[v8i16] })), 0:{ *:[i64] }), (trunc:{ *:[v4i16] } (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$Rn)))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (ADDPv8i16:{ *:[f128] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rn), dsub:{ *:[i32] })
     /*  21889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  21892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  21896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  21901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  21909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  21911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  21914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  21916 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  21923 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21928 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21933 */     // GIR_Coverage, 13920,
     /*  21933 */     GIR_EraseRootFromParent_Done,
     /*  21934 */   // Label 378: @21934
     /*  21934 */   GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(22067), // Rule ID 6927 //
     /*  21939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  21943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  21947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  21951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  21955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  21959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  21963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  21972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  21976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  21980 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  21984 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  21988 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_UZP2),
     /*  21992 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  21996 */     // MIs[4] Rn
     /*  21996 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  22001 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  22005 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  22009 */     // MIs[3] Operand 2
     /*  22009 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  22020 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  22022 */     // (add:{ *:[v4i16] } (trunc:{ *:[v4i16] } (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$Rn)), (extract_subvector:{ *:[v4i16] } (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, (undef:{ *:[v8i16] })), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (ADDPv8i16:{ *:[f128] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rn), dsub:{ *:[i32] })
     /*  22022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  22025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  22029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22034 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  22038 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  22042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22049 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22056 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22061 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22066 */     // GIR_Coverage, 6927,
     /*  22066 */     GIR_EraseRootFromParent_Done,
     /*  22067 */   // Label 379: @22067
     /*  22067 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(22230), // Rule ID 13878 //
     /*  22072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  22096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22100 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  22104 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22109 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22114 */     // MIs[1] Operand 2
     /*  22114 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22131 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22131 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22134 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22138 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22145 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22148 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22152 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22157 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22160 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  22164 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22167 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22172 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22177 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  22189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22194 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  22201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  22205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22212 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22219 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22224 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22229 */     // GIR_Coverage, 13878,
     /*  22229 */     GIR_EraseRootFromParent_Done,
     /*  22230 */   // Label 380: @22230
     /*  22230 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(22393), // Rule ID 13875 //
     /*  22235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  22259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22263 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  22267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22277 */     // MIs[1] Operand 2
     /*  22277 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22294 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Ra)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22294 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22297 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22301 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22308 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22311 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22315 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22320 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22323 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Ra
     /*  22327 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22330 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22335 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22340 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  22352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22357 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22360 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  22364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  22368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22375 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22382 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22387 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22392 */     // GIR_Coverage, 13875,
     /*  22392 */     GIR_EraseRootFromParent_Done,
     /*  22393 */   // Label 381: @22393
     /*  22393 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(22543), // Rule ID 13882 //
     /*  22398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  22422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22431 */     // MIs[1] Operand 2
     /*  22431 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22446 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22448 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22448 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22451 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22455 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22462 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22465 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22469 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22474 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22477 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  22481 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22484 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22489 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22494 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  22506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22511 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22514 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  22518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22525 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22532 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22537 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22542 */     // GIR_Coverage, 13882,
     /*  22542 */     GIR_EraseRootFromParent_Done,
     /*  22543 */   // Label 382: @22543
     /*  22543 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(22693), // Rule ID 13887 //
     /*  22548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  22572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22581 */     // MIs[1] Operand 2
     /*  22581 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22598 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22598 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22601 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22605 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22612 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22615 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22619 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22624 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22627 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  22631 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22634 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22639 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22644 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  22656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22661 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22664 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  22668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22675 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22682 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22687 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22692 */     // GIR_Coverage, 13887,
     /*  22692 */     GIR_EraseRootFromParent_Done,
     /*  22693 */   // Label 383: @22693
     /*  22693 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(22843), // Rule ID 13881 //
     /*  22698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  22706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  22722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22731 */     // MIs[1] Operand 2
     /*  22731 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22748 */     // (add:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22748 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22751 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22755 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22762 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22765 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22769 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22774 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22777 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  22781 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22784 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22789 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22794 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  22806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22811 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22814 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  22818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22825 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22832 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22837 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22842 */     // GIR_Coverage, 13881,
     /*  22842 */     GIR_EraseRootFromParent_Done,
     /*  22843 */   // Label 384: @22843
     /*  22843 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(23006), // Rule ID 5357 //
     /*  22848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  22860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  22864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  22868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  22872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  22876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  22880 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  22884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22889 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22894 */     // MIs[1] Operand 2
     /*  22894 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  22905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  22907 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  22907 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  22910 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  22914 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  22921 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  22924 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  22928 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22933 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  22936 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  22940 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  22943 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22948 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  22953 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  22958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  22961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  22965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  22970 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  22973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  22977 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  22981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  22983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  22986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  22988 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  22995 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23000 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23005 */     // GIR_Coverage, 5357,
     /*  23005 */     GIR_EraseRootFromParent_Done,
     /*  23006 */   // Label 385: @23006
     /*  23006 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(23169), // Rule ID 5354 //
     /*  23011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  23039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  23043 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  23047 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23052 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23057 */     // MIs[1] Operand 2
     /*  23057 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  23068 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23070 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UMLALv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  23070 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  23073 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  23077 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  23084 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  23087 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  23091 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23096 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  23099 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  23103 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  23106 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23111 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23116 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  23124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  23128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23133 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  23136 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  23140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  23144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  23146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23151 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  23158 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23163 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23168 */     // GIR_Coverage, 5354,
     /*  23168 */     GIR_EraseRootFromParent_Done,
     /*  23169 */   // Label 386: @23169
     /*  23169 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(23319), // Rule ID 5379 //
     /*  23174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  23202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  23206 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23211 */     // MIs[1] Operand 2
     /*  23211 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  23222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23224 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  23224 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  23227 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  23231 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  23238 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  23241 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  23245 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23250 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  23253 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  23257 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  23260 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23265 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23270 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  23278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  23282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23287 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  23290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  23294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  23296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23301 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  23308 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23313 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23318 */     // GIR_Coverage, 5379,
     /*  23318 */     GIR_EraseRootFromParent_Done,
     /*  23319 */   // Label 387: @23319
     /*  23319 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(23469), // Rule ID 5387 //
     /*  23324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  23352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  23356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23361 */     // MIs[1] Operand 2
     /*  23361 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  23372 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23374 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  23374 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  23377 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  23381 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  23388 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  23391 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  23395 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23400 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  23403 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  23407 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  23410 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23415 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23420 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  23428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  23432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23437 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  23440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  23444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  23446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23451 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  23458 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23463 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23468 */     // GIR_Coverage, 5387,
     /*  23468 */     GIR_EraseRootFromParent_Done,
     /*  23469 */   // Label 388: @23469
     /*  23469 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(23619), // Rule ID 5378 //
     /*  23474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  23486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  23490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  23494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  23498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  23502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  23506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23511 */     // MIs[1] Operand 2
     /*  23511 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  23522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23524 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UADDWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  23524 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  23527 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  23531 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  23538 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  23541 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  23545 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23550 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  23553 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  23557 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  23560 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23565 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23570 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  23578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  23582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  23587 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  23590 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  23594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  23596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  23599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23601 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  23608 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23613 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  23618 */     // GIR_Coverage, 5378,
     /*  23618 */     GIR_EraseRootFromParent_Done,
     /*  23619 */   // Label 389: @23619
     /*  23619 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(23688), // Rule ID 13324 //
     /*  23624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23639 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  23642 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  23647 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23651 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  23655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23671 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V64:{ *:[v4i16] }:$Rd)  =>  (SABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  23671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i16),
     /*  23674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  23682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  23686 */     GIR_RootConstrainSelectedInstOperands,
     /*  23687 */     // GIR_Coverage, 13324,
     /*  23687 */     GIR_EraseRootFromParent_Done,
     /*  23688 */   // Label 390: @23688
     /*  23688 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(23757), // Rule ID 13336 //
     /*  23693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23708 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  23711 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  23716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  23720 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  23724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23740 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V64:{ *:[v4i16] }:$Rd)  =>  (UABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  23740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i16),
     /*  23743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  23751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  23755 */     GIR_RootConstrainSelectedInstOperands,
     /*  23756 */     // GIR_Coverage, 13336,
     /*  23756 */     GIR_EraseRootFromParent_Done,
     /*  23757 */   // Label 391: @23757
     /*  23757 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(23813), // Rule ID 13286 //
     /*  23762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23777 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  23780 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  23785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  23789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23800 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 660:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  23800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  23803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23805 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  23811 */     GIR_RootConstrainSelectedInstOperands,
     /*  23812 */     // GIR_Coverage, 13286,
     /*  23812 */     GIR_EraseRootFromParent_Done,
     /*  23813 */   // Label 392: @23813
     /*  23813 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(23869), // Rule ID 13298 //
     /*  23818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  23833 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  23836 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  23841 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  23845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  23856 */     // (add:{ *:[v4i16] } (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  23856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  23859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  23867 */     GIR_RootConstrainSelectedInstOperands,
     /*  23868 */     // GIR_Coverage, 13298,
     /*  23868 */     GIR_EraseRootFromParent_Done,
     /*  23869 */   // Label 393: @23869
     /*  23869 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(23936), // Rule ID 13528 //
     /*  23874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  23889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23898 */     // MIs[1] imm
     /*  23898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  23902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23906 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  23910 */     // MIs[2] Operand 1
     /*  23910 */     // No operand predicates
     /*  23910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23914 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  23918 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23920 */     // (add:{ *:[v4i16] } (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  23920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  23923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  23931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  23934 */     GIR_RootConstrainSelectedInstOperands,
     /*  23935 */     // GIR_Coverage, 13528,
     /*  23935 */     GIR_EraseRootFromParent_Done,
     /*  23936 */   // Label 394: @23936
     /*  23936 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(24003), // Rule ID 13549 //
     /*  23941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  23944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  23952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  23956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  23960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23965 */     // MIs[1] imm
     /*  23965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  23969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  23973 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  23977 */     // MIs[2] Operand 1
     /*  23977 */     // No operand predicates
     /*  23977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  23981 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  23985 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  23987 */     // (add:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  23987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  23990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  23992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  23994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  23998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  24001 */     GIR_RootConstrainSelectedInstOperands,
     /*  24002 */     // GIR_Coverage, 13549,
     /*  24002 */     GIR_EraseRootFromParent_Done,
     /*  24003 */   // Label 395: @24003
     /*  24003 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(24072), // Rule ID 1361 //
     /*  24008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24027 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  24030 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  24035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24039 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  24043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24055 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  24055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i16),
     /*  24058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24060 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  24066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  24070 */     GIR_RootConstrainSelectedInstOperands,
     /*  24071 */     // GIR_Coverage, 1361,
     /*  24071 */     GIR_EraseRootFromParent_Done,
     /*  24072 */   // Label 396: @24072
     /*  24072 */   GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(24141), // Rule ID 1484 //
     /*  24077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24096 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  24099 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  24104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24108 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  24112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24124 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UABAv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  24124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i16),
     /*  24127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24129 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  24135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  24139 */     GIR_RootConstrainSelectedInstOperands,
     /*  24140 */     // GIR_Coverage, 1484,
     /*  24140 */     GIR_EraseRootFromParent_Done,
     /*  24141 */   // Label 397: @24141
     /*  24141 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(24197), // Rule ID 989 //
     /*  24146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24165 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  24168 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  24173 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  24177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24184 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 660:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  24187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24189 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  24195 */     GIR_RootConstrainSelectedInstOperands,
     /*  24196 */     // GIR_Coverage, 989,
     /*  24196 */     GIR_EraseRootFromParent_Done,
     /*  24197 */   // Label 398: @24197
     /*  24197 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(24253), // Rule ID 1050 //
     /*  24202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  24221 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  24224 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  24229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  24233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24240 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  24243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24245 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  24251 */     GIR_RootConstrainSelectedInstOperands,
     /*  24252 */     // GIR_Coverage, 1050,
     /*  24252 */     GIR_EraseRootFromParent_Done,
     /*  24253 */   // Label 399: @24253
     /*  24253 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(24320), // Rule ID 2234 //
     /*  24258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  24277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24286 */     // MIs[1] imm
     /*  24286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24294 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  24298 */     // MIs[2] Operand 1
     /*  24298 */     // No operand predicates
     /*  24298 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  24302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24304 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  24304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  24307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24309 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  24318 */     GIR_RootConstrainSelectedInstOperands,
     /*  24319 */     // GIR_Coverage, 2234,
     /*  24319 */     GIR_EraseRootFromParent_Done,
     /*  24320 */   // Label 400: @24320
     /*  24320 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(24387), // Rule ID 2293 //
     /*  24325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  24344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24353 */     // MIs[1] imm
     /*  24353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24361 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  24365 */     // MIs[2] Operand 1
     /*  24365 */     // No operand predicates
     /*  24365 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  24369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  24371 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  24371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  24374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24376 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  24385 */     GIR_RootConstrainSelectedInstOperands,
     /*  24386 */     // GIR_Coverage, 2293,
     /*  24386 */     GIR_EraseRootFromParent_Done,
     /*  24387 */   // Label 401: @24387
     /*  24387 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(24435), // Rule ID 13285 //
     /*  24392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  24407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  24411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24422 */     // (add:{ *:[v4i16] } (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  24425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24427 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24433 */     GIR_RootConstrainSelectedInstOperands,
     /*  24434 */     // GIR_Coverage, 13285,
     /*  24434 */     GIR_EraseRootFromParent_Done,
     /*  24435 */   // Label 402: @24435
     /*  24435 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(24483), // Rule ID 13297 //
     /*  24440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  24455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  24459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24470 */     // (add:{ *:[v4i16] } (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn), V64:{ *:[v4i16] }:$Rd)  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  24473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24475 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24481 */     GIR_RootConstrainSelectedInstOperands,
     /*  24482 */     // GIR_Coverage, 13297,
     /*  24482 */     GIR_EraseRootFromParent_Done,
     /*  24483 */   // Label 403: @24483
     /*  24483 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(24531), // Rule ID 988 //
     /*  24488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  24507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  24511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24518 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (SADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i8_v4i16),
     /*  24521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24523 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24529 */     GIR_RootConstrainSelectedInstOperands,
     /*  24530 */     // GIR_Coverage, 988,
     /*  24530 */     GIR_EraseRootFromParent_Done,
     /*  24531 */   // Label 404: @24531
     /*  24531 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(24579), // Rule ID 1049 //
     /*  24536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  24551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  24555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  24559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  24566 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (UADALPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /*  24566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i8_v4i16),
     /*  24569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24571 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  24573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  24577 */     GIR_RootConstrainSelectedInstOperands,
     /*  24578 */     // GIR_Coverage, 1049,
     /*  24578 */     GIR_EraseRootFromParent_Done,
     /*  24579 */   // Label 405: @24579
     /*  24579 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(24606), // Rule ID 1102 //
     /*  24584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  24599 */     // (add:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  24599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv4i16),
     /*  24604 */     GIR_RootConstrainSelectedInstOperands,
     /*  24605 */     // GIR_Coverage, 1102,
     /*  24605 */     GIR_Done,
     /*  24606 */   // Label 406: @24606
     /*  24606 */   GIM_Reject,
     /*  24607 */ // Label 372: @24607
     /*  24607 */ GIM_Reject,
     /*  24608 */ // Label 158: @24608
     /*  24608 */ GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(30785),
     /*  24613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  24616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  24619 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(24737), // Rule ID 13458 //
     /*  24624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  24639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  24655 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24659 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  24663 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  24667 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24671 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  24675 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  24680 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  24684 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24688 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  24692 */     // MIs[4] Operand 1
     /*  24692 */     // No operand predicates
     /*  24692 */     // MIs[2] Operand 2
     /*  24692 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  24703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24707 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  24709 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24716 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  24716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  24719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  24732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  24735 */     GIR_RootConstrainSelectedInstOperands,
     /*  24736 */     // GIR_Coverage, 13458,
     /*  24736 */     GIR_EraseRootFromParent_Done,
     /*  24737 */   // Label 408: @24737
     /*  24737 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(24855), // Rule ID 13459 //
     /*  24742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  24757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  24769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  24773 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24777 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  24781 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  24785 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24789 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  24793 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  24798 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  24802 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24806 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  24810 */     // MIs[4] Operand 1
     /*  24810 */     // No operand predicates
     /*  24810 */     // MIs[2] Operand 2
     /*  24810 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  24821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24825 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  24827 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24834 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  24834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  24837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24839 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  24850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  24853 */     GIR_RootConstrainSelectedInstOperands,
     /*  24854 */     // GIR_Coverage, 13459,
     /*  24854 */     GIR_EraseRootFromParent_Done,
     /*  24855 */   // Label 409: @24855
     /*  24855 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(24973), // Rule ID 13488 //
     /*  24860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  24875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  24883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  24887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  24891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24895 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  24899 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  24903 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  24907 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  24911 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  24916 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  24920 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  24924 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  24928 */     // MIs[4] Operand 1
     /*  24928 */     // No operand predicates
     /*  24928 */     // MIs[2] Operand 2
     /*  24928 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  24939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24943 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  24945 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  24952 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  24952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  24955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  24957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  24959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  24964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  24968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  24971 */     GIR_RootConstrainSelectedInstOperands,
     /*  24972 */     // GIR_Coverage, 13488,
     /*  24972 */     GIR_EraseRootFromParent_Done,
     /*  24973 */   // Label 410: @24973
     /*  24973 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(25091), // Rule ID 13489 //
     /*  24978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  24981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  24985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  24989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  24993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  24997 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25013 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25017 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25021 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25025 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25029 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25034 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25038 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25042 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25046 */     // MIs[4] Operand 1
     /*  25046 */     // No operand predicates
     /*  25046 */     // MIs[2] Operand 2
     /*  25046 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25061 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25063 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25070 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  25073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25075 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  25077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25089 */     GIR_RootConstrainSelectedInstOperands,
     /*  25090 */     // GIR_Coverage, 13489,
     /*  25090 */     GIR_EraseRootFromParent_Done,
     /*  25091 */   // Label 411: @25091
     /*  25091 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(25209), // Rule ID 2039 //
     /*  25096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  25115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  25127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25143 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25147 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25151 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25156 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25160 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25164 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25168 */     // MIs[4] Operand 1
     /*  25168 */     // No operand predicates
     /*  25168 */     // MIs[2] Operand 2
     /*  25168 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25179 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25181 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25188 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  25191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25193 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25207 */     GIR_RootConstrainSelectedInstOperands,
     /*  25208 */     // GIR_Coverage, 2039,
     /*  25208 */     GIR_EraseRootFromParent_Done,
     /*  25209 */   // Label 412: @25209
     /*  25209 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(25327), // Rule ID 13457 //
     /*  25214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  25233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25257 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25261 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25265 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25269 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25274 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25278 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25282 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25286 */     // MIs[4] Operand 1
     /*  25286 */     // No operand predicates
     /*  25286 */     // MIs[2] Operand 2
     /*  25286 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25297 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25299 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25306 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (SMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_indexed),
     /*  25309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25311 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25325 */     GIR_RootConstrainSelectedInstOperands,
     /*  25326 */     // GIR_Coverage, 13457,
     /*  25326 */     GIR_EraseRootFromParent_Done,
     /*  25327 */   // Label 413: @25327
     /*  25327 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(25445), // Rule ID 2091 //
     /*  25332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  25351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  25363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25371 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25375 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25379 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25383 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25387 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25392 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25396 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25400 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25404 */     // MIs[4] Operand 1
     /*  25404 */     // No operand predicates
     /*  25404 */     // MIs[2] Operand 2
     /*  25404 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25415 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25424 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  25427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25429 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25443 */     GIR_RootConstrainSelectedInstOperands,
     /*  25444 */     // GIR_Coverage, 2091,
     /*  25444 */     GIR_EraseRootFromParent_Done,
     /*  25445 */   // Label 414: @25445
     /*  25445 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(25563), // Rule ID 13487 //
     /*  25450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  25469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25473 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25489 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25493 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25497 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25501 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25505 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25510 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25514 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25518 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25522 */     // MIs[4] Operand 1
     /*  25522 */     // No operand predicates
     /*  25522 */     // MIs[2] Operand 2
     /*  25522 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  25533 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  25535 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25542 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (UMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  25542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_indexed),
     /*  25545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25547 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  25558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  25561 */     GIR_RootConstrainSelectedInstOperands,
     /*  25562 */     // GIR_Coverage, 13487,
     /*  25562 */     GIR_EraseRootFromParent_Done,
     /*  25563 */   // Label 415: @25563
     /*  25563 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(25650), // Rule ID 13368 //
     /*  25568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25595 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25598 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  25603 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25607 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25615 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25617 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25624 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25631 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))), V128:{ *:[v4i32] }:$Rd)  =>  (SABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i16_v4i32),
     /*  25634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  25638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25648 */     GIR_RootConstrainSelectedInstOperands,
     /*  25649 */     // GIR_Coverage, 13368,
     /*  25649 */     GIR_EraseRootFromParent_Done,
     /*  25650 */   // Label 416: @25650
     /*  25650 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(25737), // Rule ID 13392 //
     /*  25655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25682 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25685 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  25690 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25694 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25704 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25711 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25718 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))), V128:{ *:[v4i32] }:$Rd)  =>  (UABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i16_v4i32),
     /*  25721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25723 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  25725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25735 */     GIR_RootConstrainSelectedInstOperands,
     /*  25736 */     // GIR_Coverage, 13392,
     /*  25736 */     GIR_EraseRootFromParent_Done,
     /*  25737 */   // Label 417: @25737
     /*  25737 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(25824), // Rule ID 1695 //
     /*  25742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25773 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25776 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  25781 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25785 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25791 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25798 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25805 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))))  =>  (SABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i16_v4i32),
     /*  25808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25810 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25822 */     GIR_RootConstrainSelectedInstOperands,
     /*  25823 */     // GIR_Coverage, 1695,
     /*  25823 */     GIR_EraseRootFromParent_Done,
     /*  25824 */   // Label 418: @25824
     /*  25824 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(25911), // Rule ID 1773 //
     /*  25829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  25844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  25848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  25860 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  25863 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  25868 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25872 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  25876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  25878 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25885 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  25892 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))))  =>  (UABALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  25892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i16_v4i32),
     /*  25895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  25897 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  25899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  25904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  25909 */     GIR_RootConstrainSelectedInstOperands,
     /*  25910 */     // GIR_Coverage, 1773,
     /*  25910 */     GIR_EraseRootFromParent_Done,
     /*  25911 */   // Label 419: @25911
     /*  25911 */   GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(26026), // Rule ID 13453 //
     /*  25916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  25919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  25923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  25927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  25931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  25935 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  25939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  25943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  25947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25951 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  25955 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  25959 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  25963 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  25967 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  25972 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  25976 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  25980 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  25984 */     // MIs[4] Operand 1
     /*  25984 */     // No operand predicates
     /*  25984 */     // MIs[2] Operand 2
     /*  25984 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  25995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26004 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26006 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26011 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  26017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26024 */     GIR_RootConstrainSelectedInstOperands,
     /*  26025 */     // GIR_Coverage, 13453,
     /*  26025 */     GIR_EraseRootFromParent_Done,
     /*  26026 */   // Label 420: @26026
     /*  26026 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(26141), // Rule ID 13452 //
     /*  26031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  26046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26071 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26075 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26079 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26083 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26087 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26092 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26096 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26100 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26104 */     // MIs[4] Operand 1
     /*  26104 */     // No operand predicates
     /*  26104 */     // MIs[2] Operand 2
     /*  26104 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26119 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26121 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  26132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26139 */     GIR_RootConstrainSelectedInstOperands,
     /*  26140 */     // GIR_Coverage, 13452,
     /*  26140 */     GIR_EraseRootFromParent_Done,
     /*  26141 */   // Label 421: @26141
     /*  26141 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(26256), // Rule ID 13483 //
     /*  26146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  26161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26181 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26185 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26189 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26193 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26197 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26202 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26206 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26210 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26214 */     // MIs[4] Operand 1
     /*  26214 */     // No operand predicates
     /*  26214 */     // MIs[2] Operand 2
     /*  26214 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26234 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26236 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  26239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  26247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26254 */     GIR_RootConstrainSelectedInstOperands,
     /*  26255 */     // GIR_Coverage, 13483,
     /*  26255 */     GIR_EraseRootFromParent_Done,
     /*  26256 */   // Label 422: @26256
     /*  26256 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(26371), // Rule ID 13482 //
     /*  26261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  26276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26301 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26305 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26309 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26313 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26317 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26322 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26326 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26330 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26334 */     // MIs[4] Operand 1
     /*  26334 */     // No operand predicates
     /*  26334 */     // MIs[2] Operand 2
     /*  26334 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26349 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26351 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  26354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  26358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  26362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26369 */     GIR_RootConstrainSelectedInstOperands,
     /*  26370 */     // GIR_Coverage, 13482,
     /*  26370 */     GIR_EraseRootFromParent_Done,
     /*  26371 */   // Label 423: @26371
     /*  26371 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(26440), // Rule ID 1793 //
     /*  26376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  26391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  26403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26409 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26416 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26423 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  26426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26438 */     GIR_RootConstrainSelectedInstOperands,
     /*  26439 */     // GIR_Coverage, 1793,
     /*  26439 */     GIR_EraseRootFromParent_Done,
     /*  26440 */   // Label 424: @26440
     /*  26440 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(26509), // Rule ID 1792 //
     /*  26445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  26460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  26472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26478 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26485 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26492 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  26495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26507 */     GIR_RootConstrainSelectedInstOperands,
     /*  26508 */     // GIR_Coverage, 1792,
     /*  26508 */     GIR_EraseRootFromParent_Done,
     /*  26509 */   // Label 425: @26509
     /*  26509 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(26578), // Rule ID 1715 //
     /*  26514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  26529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  26541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26547 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26554 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26561 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv8i16_v4i32),
     /*  26564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26576 */     GIR_RootConstrainSelectedInstOperands,
     /*  26577 */     // GIR_Coverage, 1715,
     /*  26577 */     GIR_EraseRootFromParent_Done,
     /*  26578 */   // Label 426: @26578
     /*  26578 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(26647), // Rule ID 1791 //
     /*  26583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  26598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  26610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26616 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26623 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26630 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  26633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26645 */     GIR_RootConstrainSelectedInstOperands,
     /*  26646 */     // GIR_Coverage, 1791,
     /*  26646 */     GIR_EraseRootFromParent_Done,
     /*  26647 */   // Label 427: @26647
     /*  26647 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(26716), // Rule ID 1790 //
     /*  26652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  26663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  26667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  26675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  26679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26683 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  26685 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26692 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  26699 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  26699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i16_v4i32),
     /*  26702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  26704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  26709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  26714 */     GIR_RootConstrainSelectedInstOperands,
     /*  26715 */     // GIR_Coverage, 1790,
     /*  26715 */     GIR_EraseRootFromParent_Done,
     /*  26716 */   // Label 428: @26716
     /*  26716 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(26831), // Rule ID 13451 //
     /*  26721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  26740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26760 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26764 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26768 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26772 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26776 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26781 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26785 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26789 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26793 */     // MIs[4] Operand 1
     /*  26793 */     // No operand predicates
     /*  26793 */     // MIs[2] Operand 2
     /*  26793 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26809 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26811 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26816 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  26818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  26822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26829 */     GIR_RootConstrainSelectedInstOperands,
     /*  26830 */     // GIR_Coverage, 13451,
     /*  26830 */     GIR_EraseRootFromParent_Done,
     /*  26831 */   // Label 429: @26831
     /*  26831 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(26946), // Rule ID 2037 //
     /*  26836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  26855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  26868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  26872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26880 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26884 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26888 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26892 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  26896 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  26901 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  26905 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  26909 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  26913 */     // MIs[4] Operand 1
     /*  26913 */     // No operand predicates
     /*  26913 */     // MIs[2] Operand 2
     /*  26913 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  26924 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  26926 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  26926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  26929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  26931 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  26933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  26937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  26941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  26944 */     GIR_RootConstrainSelectedInstOperands,
     /*  26945 */     // GIR_Coverage, 2037,
     /*  26945 */     GIR_EraseRootFromParent_Done,
     /*  26946 */   // Label 430: @26946
     /*  26946 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(27061), // Rule ID 13481 //
     /*  26951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  26954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  26962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  26966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  26970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  26974 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  26978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  26982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  26986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  26990 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  26994 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  26998 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27002 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  27006 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  27011 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  27015 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27019 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  27023 */     // MIs[4] Operand 1
     /*  27023 */     // No operand predicates
     /*  27023 */     // MIs[2] Operand 2
     /*  27023 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  27034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27039 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  27041 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  27041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  27044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27046 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  27056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  27059 */     GIR_RootConstrainSelectedInstOperands,
     /*  27060 */     // GIR_Coverage, 13481,
     /*  27060 */     GIR_EraseRootFromParent_Done,
     /*  27061 */   // Label 431: @27061
     /*  27061 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(27176), // Rule ID 2089 //
     /*  27066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  27085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27089 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  27102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  27106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27110 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  27114 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  27118 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27122 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  27126 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  27131 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  27135 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27139 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  27143 */     // MIs[4] Operand 1
     /*  27143 */     // No operand predicates
     /*  27143 */     // MIs[2] Operand 2
     /*  27143 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  27154 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  27156 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  27156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  27159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27161 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  27167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  27171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  27174 */     GIR_RootConstrainSelectedInstOperands,
     /*  27175 */     // GIR_Coverage, 2089,
     /*  27175 */     GIR_EraseRootFromParent_Done,
     /*  27176 */   // Label 432: @27176
     /*  27176 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(27243), // Rule ID 13382 //
     /*  27181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  27196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27210 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27217 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27224 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  27224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_v4i32),
     /*  27227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  27236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  27241 */     GIR_RootConstrainSelectedInstOperands,
     /*  27242 */     // GIR_Coverage, 13382,
     /*  27242 */     GIR_EraseRootFromParent_Done,
     /*  27243 */   // Label 433: @27243
     /*  27243 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(27310), // Rule ID 13412 //
     /*  27248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  27263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27267 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27277 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27284 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27291 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  27291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_v4i32),
     /*  27294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  27303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  27308 */     GIR_RootConstrainSelectedInstOperands,
     /*  27309 */     // GIR_Coverage, 13412,
     /*  27309 */     GIR_EraseRootFromParent_Done,
     /*  27310 */   // Label 434: @27310
     /*  27310 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(27377), // Rule ID 1727 //
     /*  27315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  27334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27338 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27344 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27351 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27358 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  27358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i16_v4i32),
     /*  27361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27363 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  27370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  27375 */     GIR_RootConstrainSelectedInstOperands,
     /*  27376 */     // GIR_Coverage, 1727,
     /*  27376 */     GIR_EraseRootFromParent_Done,
     /*  27377 */   // Label 435: @27377
     /*  27377 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(27444), // Rule ID 1817 //
     /*  27382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  27401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27405 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  27411 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27418 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  27425 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  27425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i16_v4i32),
     /*  27428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27430 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  27437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  27442 */     GIR_RootConstrainSelectedInstOperands,
     /*  27443 */     // GIR_Coverage, 1817,
     /*  27443 */     GIR_EraseRootFromParent_Done,
     /*  27444 */   // Label 436: @27444
     /*  27444 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(27525), // Rule ID 13366 //
     /*  27449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  27464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27476 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  27479 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  27484 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27488 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  27492 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27508 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (SABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  27508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i16_v4i32),
     /*  27511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27513 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  27519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  27523 */     GIR_RootConstrainSelectedInstOperands,
     /*  27524 */     // GIR_Coverage, 13366,
     /*  27524 */     GIR_EraseRootFromParent_Done,
     /*  27525 */   // Label 437: @27525
     /*  27525 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(27606), // Rule ID 13390 //
     /*  27530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  27545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27557 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  27560 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  27565 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27569 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  27573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27578 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27587 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27589 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)), V128:{ *:[v4i32] }:$Rd)  =>  (UABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  27589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i16_v4i32),
     /*  27592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27594 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  27600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  27604 */     GIR_RootConstrainSelectedInstOperands,
     /*  27605 */     // GIR_Coverage, 13390,
     /*  27605 */     GIR_EraseRootFromParent_Done,
     /*  27606 */   // Label 438: @27606
     /*  27606 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(27687), // Rule ID 1693 //
     /*  27611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  27630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27642 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  27645 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  27650 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27654 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  27658 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27663 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27670 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)))  =>  (SABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  27670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv4i16_v4i32),
     /*  27673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27675 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  27681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  27685 */     GIR_RootConstrainSelectedInstOperands,
     /*  27686 */     // GIR_Coverage, 1693,
     /*  27686 */     GIR_EraseRootFromParent_Done,
     /*  27687 */   // Label 439: @27687
     /*  27687 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(27768), // Rule ID 1771 //
     /*  27692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  27707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  27711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  27723 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  27726 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  27731 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27735 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  27739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27744 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27749 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  27751 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)))  =>  (UABALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  27751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv4i16_v4i32),
     /*  27754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27756 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  27758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  27762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  27766 */     GIR_RootConstrainSelectedInstOperands,
     /*  27767 */     // GIR_Coverage, 1771,
     /*  27767 */     GIR_EraseRootFromParent_Done,
     /*  27768 */   // Label 440: @27768
     /*  27768 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(27860), // Rule ID 13456 //
     /*  27773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  27788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  27804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27808 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  27812 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  27817 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  27821 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27825 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  27829 */     // MIs[3] Operand 1
     /*  27829 */     // No operand predicates
     /*  27829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27838 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  27840 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  27840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  27843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  27851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  27855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  27858 */     GIR_RootConstrainSelectedInstOperands,
     /*  27859 */     // GIR_Coverage, 13456,
     /*  27859 */     GIR_EraseRootFromParent_Done,
     /*  27860 */   // Label 441: @27860
     /*  27860 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(27952), // Rule ID 13455 //
     /*  27865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  27880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  27893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  27897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  27901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27905 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  27909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  27914 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  27918 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  27922 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  27926 */     // MIs[3] Operand 1
     /*  27926 */     // No operand predicates
     /*  27926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27930 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  27932 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  27932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  27935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  27937 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  27939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  27943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  27947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  27950 */     GIR_RootConstrainSelectedInstOperands,
     /*  27951 */     // GIR_Coverage, 13455,
     /*  27951 */     GIR_EraseRootFromParent_Done,
     /*  27952 */   // Label 442: @27952
     /*  27952 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(28044), // Rule ID 13486 //
     /*  27957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  27960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  27964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  27968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  27972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  27976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  27980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  27984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  27988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  27992 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  27996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28001 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28005 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28009 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28013 */     // MIs[3] Operand 1
     /*  28013 */     // No operand predicates
     /*  28013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28024 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  28027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28042 */     GIR_RootConstrainSelectedInstOperands,
     /*  28043 */     // GIR_Coverage, 13486,
     /*  28043 */     GIR_EraseRootFromParent_Done,
     /*  28044 */   // Label 443: @28044
     /*  28044 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(28136), // Rule ID 13485 //
     /*  28049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  28064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28068 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  28081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28089 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28098 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28102 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28106 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28110 */     // MIs[3] Operand 1
     /*  28110 */     // No operand predicates
     /*  28110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28114 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28116 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  28119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28134 */     GIR_RootConstrainSelectedInstOperands,
     /*  28135 */     // GIR_Coverage, 13485,
     /*  28135 */     GIR_EraseRootFromParent_Done,
     /*  28136 */   // Label 444: @28136
     /*  28136 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(28228), // Rule ID 13454 //
     /*  28141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  28160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28164 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  28172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28180 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28189 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28193 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28197 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28201 */     // MIs[3] Operand 1
     /*  28201 */     // No operand predicates
     /*  28201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28208 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  28211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28213 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28226 */     GIR_RootConstrainSelectedInstOperands,
     /*  28227 */     // GIR_Coverage, 13454,
     /*  28227 */     GIR_EraseRootFromParent_Done,
     /*  28228 */   // Label 445: @28228
     /*  28228 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(28320), // Rule ID 2038 //
     /*  28233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  28252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  28269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28277 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28281 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28286 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28290 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28294 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28298 */     // MIs[3] Operand 1
     /*  28298 */     // No operand predicates
     /*  28298 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28300 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_indexed),
     /*  28303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28305 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28318 */     GIR_RootConstrainSelectedInstOperands,
     /*  28319 */     // GIR_Coverage, 2038,
     /*  28319 */     GIR_EraseRootFromParent_Done,
     /*  28320 */   // Label 446: @28320
     /*  28320 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(28412), // Rule ID 13484 //
     /*  28325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  28344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  28356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28364 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28368 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28373 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28377 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28381 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28385 */     // MIs[3] Operand 1
     /*  28385 */     // No operand predicates
     /*  28385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28390 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28392 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  28395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28397 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28410 */     GIR_RootConstrainSelectedInstOperands,
     /*  28411 */     // GIR_Coverage, 13484,
     /*  28411 */     GIR_EraseRootFromParent_Done,
     /*  28412 */   // Label 447: @28412
     /*  28412 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(28504), // Rule ID 2090 //
     /*  28417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  28436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  28444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  28449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  28453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  28457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  28461 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  28465 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  28470 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  28474 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  28478 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  28482 */     // MIs[3] Operand 1
     /*  28482 */     // No operand predicates
     /*  28482 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  28484 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (UMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  28484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_indexed),
     /*  28487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28489 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  28491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  28495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  28499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  28502 */     GIR_RootConstrainSelectedInstOperands,
     /*  28503 */     // GIR_Coverage, 2090,
     /*  28503 */     GIR_EraseRootFromParent_Done,
     /*  28504 */   // Label 448: @28504
     /*  28504 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(28555), // Rule ID 13404 //
     /*  28509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  28524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28534 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28541 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  28544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  28548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28553 */     GIR_RootConstrainSelectedInstOperands,
     /*  28554 */     // GIR_Coverage, 13404,
     /*  28554 */     GIR_EraseRootFromParent_Done,
     /*  28555 */   // Label 449: @28555
     /*  28555 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(28606), // Rule ID 13376 //
     /*  28560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  28575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28585 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28592 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rn)  =>  (SADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i16_v4i32),
     /*  28595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28597 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  28599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28604 */     GIR_RootConstrainSelectedInstOperands,
     /*  28605 */     // GIR_Coverage, 13376,
     /*  28605 */     GIR_EraseRootFromParent_Done,
     /*  28606 */   // Label 450: @28606
     /*  28606 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(28657), // Rule ID 13403 //
     /*  28611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  28626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28636 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28643 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  28646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  28650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28655 */     GIR_RootConstrainSelectedInstOperands,
     /*  28656 */     // GIR_Coverage, 13403,
     /*  28656 */     GIR_EraseRootFromParent_Done,
     /*  28657 */   // Label 451: @28657
     /*  28657 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(28708), // Rule ID 1809 //
     /*  28662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  28681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28687 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28694 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  28697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28699 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  28701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28706 */     GIR_RootConstrainSelectedInstOperands,
     /*  28707 */     // GIR_Coverage, 1809,
     /*  28707 */     GIR_EraseRootFromParent_Done,
     /*  28708 */   // Label 452: @28708
     /*  28708 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(28759), // Rule ID 1721 //
     /*  28713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  28732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28738 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28745 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i16_v4i32),
     /*  28748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28750 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  28752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28757 */     GIR_RootConstrainSelectedInstOperands,
     /*  28758 */     // GIR_Coverage, 1721,
     /*  28758 */     GIR_EraseRootFromParent_Done,
     /*  28759 */   // Label 453: @28759
     /*  28759 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(28810), // Rule ID 1808 //
     /*  28764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  28779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  28783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  28787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28789 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  28796 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UADDWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  28796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i16_v4i32),
     /*  28799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  28801 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  28803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  28808 */     GIR_RootConstrainSelectedInstOperands,
     /*  28809 */     // GIR_Coverage, 1808,
     /*  28809 */     GIR_EraseRootFromParent_Done,
     /*  28810 */   // Label 454: @28810
     /*  28810 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(28879), // Rule ID 13330 //
     /*  28815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28830 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  28833 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  28838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  28842 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  28846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28862 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 659:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (SABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  28862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i32),
     /*  28865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28867 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  28877 */     GIR_RootConstrainSelectedInstOperands,
     /*  28878 */     // GIR_Coverage, 13330,
     /*  28878 */     GIR_EraseRootFromParent_Done,
     /*  28879 */   // Label 455: @28879
     /*  28879 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(28948), // Rule ID 13342 //
     /*  28884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28899 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  28902 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  28907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  28911 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  28915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28931 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 724:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (UABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  28931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i32),
     /*  28934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  28942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  28946 */     GIR_RootConstrainSelectedInstOperands,
     /*  28947 */     // GIR_Coverage, 13342,
     /*  28947 */     GIR_EraseRootFromParent_Done,
     /*  28948 */   // Label 456: @28948
     /*  28948 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(29004), // Rule ID 13292 //
     /*  28953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  28956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  28964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  28968 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  28971 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  28976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  28980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  28989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  28991 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 660:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  28991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  28994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  28996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  28998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29002 */     GIR_RootConstrainSelectedInstOperands,
     /*  29003 */     // GIR_Coverage, 13292,
     /*  29003 */     GIR_EraseRootFromParent_Done,
     /*  29004 */   // Label 457: @29004
     /*  29004 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(29060), // Rule ID 13304 //
     /*  29009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29024 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  29027 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  29032 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  29036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29047 */     // (add:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  29047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  29050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29052 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  29054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29058 */     GIR_RootConstrainSelectedInstOperands,
     /*  29059 */     // GIR_Coverage, 13304,
     /*  29059 */     GIR_EraseRootFromParent_Done,
     /*  29060 */   // Label 458: @29060
     /*  29060 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(29127), // Rule ID 13534 //
     /*  29065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  29080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29089 */     // MIs[1] imm
     /*  29089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29097 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  29101 */     // MIs[2] Operand 1
     /*  29101 */     // No operand predicates
     /*  29101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29105 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29109 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29111 */     // (add:{ *:[v4i32] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  29114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29116 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  29118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29125 */     GIR_RootConstrainSelectedInstOperands,
     /*  29126 */     // GIR_Coverage, 13534,
     /*  29126 */     GIR_EraseRootFromParent_Done,
     /*  29127 */   // Label 459: @29127
     /*  29127 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(29194), // Rule ID 13555 //
     /*  29132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  29147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29156 */     // MIs[1] imm
     /*  29156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29164 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  29168 */     // MIs[2] Operand 1
     /*  29168 */     // No operand predicates
     /*  29168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29172 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29178 */     // (add:{ *:[v4i32] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  29181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29183 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  29185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29192 */     GIR_RootConstrainSelectedInstOperands,
     /*  29193 */     // GIR_Coverage, 13555,
     /*  29193 */     GIR_EraseRootFromParent_Done,
     /*  29194 */   // Label 460: @29194
     /*  29194 */   GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(29263), // Rule ID 1367 //
     /*  29199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29218 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  29221 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  29226 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  29230 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  29234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29246 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 659:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (SABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  29246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv4i32),
     /*  29249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29251 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  29261 */     GIR_RootConstrainSelectedInstOperands,
     /*  29262 */     // GIR_Coverage, 1367,
     /*  29262 */     GIR_EraseRootFromParent_Done,
     /*  29263 */   // Label 461: @29263
     /*  29263 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(29332), // Rule ID 1490 //
     /*  29268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29287 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  29290 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  29295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  29299 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  29303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29315 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 724:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (UABAv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  29315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv4i32),
     /*  29318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29320 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  29330 */     GIR_RootConstrainSelectedInstOperands,
     /*  29331 */     // GIR_Coverage, 1490,
     /*  29331 */     GIR_EraseRootFromParent_Done,
     /*  29332 */   // Label 462: @29332
     /*  29332 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(29388), // Rule ID 995 //
     /*  29337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29356 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  29359 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  29364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  29368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29375 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 660:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  29375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  29378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29380 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29386 */     GIR_RootConstrainSelectedInstOperands,
     /*  29387 */     // GIR_Coverage, 995,
     /*  29387 */     GIR_EraseRootFromParent_Done,
     /*  29388 */   // Label 463: @29388
     /*  29388 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(29444), // Rule ID 1056 //
     /*  29393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  29412 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  29415 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  29420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  29424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  29431 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  29431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  29434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29436 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  29442 */     GIR_RootConstrainSelectedInstOperands,
     /*  29443 */     // GIR_Coverage, 1056,
     /*  29443 */     GIR_EraseRootFromParent_Done,
     /*  29444 */   // Label 464: @29444
     /*  29444 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(29511), // Rule ID 2240 //
     /*  29449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  29468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29477 */     // MIs[1] imm
     /*  29477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29485 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  29489 */     // MIs[2] Operand 1
     /*  29489 */     // No operand predicates
     /*  29489 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29493 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29495 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  29498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29500 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29509 */     GIR_RootConstrainSelectedInstOperands,
     /*  29510 */     // GIR_Coverage, 2240,
     /*  29510 */     GIR_EraseRootFromParent_Done,
     /*  29511 */   // Label 465: @29511
     /*  29511 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(29578), // Rule ID 2299 //
     /*  29516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  29531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  29535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29544 */     // MIs[1] imm
     /*  29544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  29548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  29552 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  29556 */     // MIs[2] Operand 1
     /*  29556 */     // No operand predicates
     /*  29556 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  29560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29562 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  29562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  29565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  29567 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  29569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  29576 */     GIR_RootConstrainSelectedInstOperands,
     /*  29577 */     // GIR_Coverage, 2299,
     /*  29577 */     GIR_EraseRootFromParent_Done,
     /*  29578 */   // Label 466: @29578
     /*  29578 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(29648), // Rule ID 6923 //
     /*  29583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /*  29595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29599 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  29603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  29621 */     // MIs[2] Rn
     /*  29621 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  29626 */     // MIs[2] Rm
     /*  29626 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  29631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29633 */     // (add:{ *:[v4i32] } (AArch64uzp1:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm), (AArch64uzp2:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm))  =>  (ADDPv4i32:{ *:[v4i32] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rm)
     /*  29633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  29636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  29646 */     GIR_RootConstrainSelectedInstOperands,
     /*  29647 */     // GIR_Coverage, 6923,
     /*  29647 */     GIR_EraseRootFromParent_Done,
     /*  29648 */   // Label 467: @29648
     /*  29648 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(29718), // Rule ID 13916 //
     /*  29653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /*  29665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  29669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  29673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /*  29691 */     // MIs[2] Rn
     /*  29691 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  29696 */     // MIs[2] Rm
     /*  29696 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  29701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29703 */     // (add:{ *:[v4i32] } (AArch64uzp2:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm), (AArch64uzp1:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rn, FPR128:{ *:[v4i32] }:$Rm))  =>  (ADDPv4i32:{ *:[v4i32] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rm)
     /*  29703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /*  29706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  29716 */     GIR_RootConstrainSelectedInstOperands,
     /*  29717 */     // GIR_Coverage, 13916,
     /*  29717 */     GIR_EraseRootFromParent_Done,
     /*  29718 */   // Label 468: @29718
     /*  29718 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(29781), // Rule ID 1789 //
     /*  29723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  29738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  29755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29766 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  29766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  29769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  29779 */     GIR_RootConstrainSelectedInstOperands,
     /*  29780 */     // GIR_Coverage, 1789,
     /*  29780 */     GIR_EraseRootFromParent_Done,
     /*  29781 */   // Label 469: @29781
     /*  29781 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(29844), // Rule ID 1788 //
     /*  29786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  29801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  29818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29829 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  29829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  29832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  29842 */     GIR_RootConstrainSelectedInstOperands,
     /*  29843 */     // GIR_Coverage, 1788,
     /*  29843 */     GIR_EraseRootFromParent_Done,
     /*  29844 */   // Label 470: @29844
     /*  29844 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(29907), // Rule ID 1714 //
     /*  29849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  29864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  29881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29885 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29892 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  29892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv4i16_v4i32),
     /*  29895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  29905 */     GIR_RootConstrainSelectedInstOperands,
     /*  29906 */     // GIR_Coverage, 1714,
     /*  29906 */     GIR_EraseRootFromParent_Done,
     /*  29907 */   // Label 471: @29907
     /*  29907 */   GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(29970), // Rule ID 1787 //
     /*  29912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  29927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  29940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  29944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  29955 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  29955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  29958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  29960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  29964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  29968 */     GIR_RootConstrainSelectedInstOperands,
     /*  29969 */     // GIR_Coverage, 1787,
     /*  29969 */     GIR_EraseRootFromParent_Done,
     /*  29970 */   // Label 472: @29970
     /*  29970 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(30033), // Rule ID 1786 //
     /*  29975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  29978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  29982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  29986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  29990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  29994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  29999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  30003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30011 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30016 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  30018 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv4i16_v4i32),
     /*  30021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  30031 */     GIR_RootConstrainSelectedInstOperands,
     /*  30032 */     // GIR_Coverage, 1786,
     /*  30032 */     GIR_EraseRootFromParent_Done,
     /*  30033 */   // Label 473: @30033
     /*  30033 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(30094), // Rule ID 13381 //
     /*  30038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  30053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  30061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30077 */     // (add:{ *:[v4i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (SMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  30080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30082 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  30092 */     GIR_RootConstrainSelectedInstOperands,
     /*  30093 */     // GIR_Coverage, 13381,
     /*  30093 */     GIR_EraseRootFromParent_Done,
     /*  30094 */   // Label 474: @30094
     /*  30094 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(30155), // Rule ID 13411 //
     /*  30099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  30114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30118 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  30122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30138 */     // (add:{ *:[v4i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rd)  =>  (UMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  30141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30143 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  30153 */     GIR_RootConstrainSelectedInstOperands,
     /*  30154 */     // GIR_Coverage, 13411,
     /*  30154 */     GIR_EraseRootFromParent_Done,
     /*  30155 */   // Label 475: @30155
     /*  30155 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(30203), // Rule ID 13402 //
     /*  30160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  30175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30190 */     // (add:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  30193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30195 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  30197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30201 */     GIR_RootConstrainSelectedInstOperands,
     /*  30202 */     // GIR_Coverage, 13402,
     /*  30202 */     GIR_EraseRootFromParent_Done,
     /*  30203 */   // Label 476: @30203
     /*  30203 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(30251), // Rule ID 13291 //
     /*  30208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  30223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30238 */     // (add:{ *:[v4i32] } (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  30238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  30241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30243 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30249 */     GIR_RootConstrainSelectedInstOperands,
     /*  30250 */     // GIR_Coverage, 13291,
     /*  30250 */     GIR_EraseRootFromParent_Done,
     /*  30251 */   // Label 477: @30251
     /*  30251 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(30299), // Rule ID 13375 //
     /*  30256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  30271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30286 */     // (add:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rn)  =>  (SADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  30289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30291 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  30293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30297 */     GIR_RootConstrainSelectedInstOperands,
     /*  30298 */     // GIR_Coverage, 13375,
     /*  30298 */     GIR_EraseRootFromParent_Done,
     /*  30299 */   // Label 478: @30299
     /*  30299 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(30347), // Rule ID 13303 //
     /*  30304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  30319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30334 */     // (add:{ *:[v4i32] } (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn), V128:{ *:[v4i32] }:$Rd)  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  30334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  30337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30339 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  30341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30345 */     GIR_RootConstrainSelectedInstOperands,
     /*  30346 */     // GIR_Coverage, 13303,
     /*  30346 */     GIR_EraseRootFromParent_Done,
     /*  30347 */   // Label 479: @30347
     /*  30347 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(30395), // Rule ID 13401 //
     /*  30352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30382 */     // (add:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), V128:{ *:[v4i32] }:$Rn)  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  30385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30387 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  30389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30393 */     GIR_RootConstrainSelectedInstOperands,
     /*  30394 */     // GIR_Coverage, 13401,
     /*  30394 */     GIR_EraseRootFromParent_Done,
     /*  30395 */   // Label 480: @30395
     /*  30395 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(30456), // Rule ID 1726 //
     /*  30400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  30419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  30427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30439 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv4i16_v4i32),
     /*  30442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30444 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  30454 */     GIR_RootConstrainSelectedInstOperands,
     /*  30455 */     // GIR_Coverage, 1726,
     /*  30455 */     GIR_EraseRootFromParent_Done,
     /*  30456 */   // Label 481: @30456
     /*  30456 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(30517), // Rule ID 1816 //
     /*  30461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  30480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30484 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  30488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30500 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv4i16_v4i32),
     /*  30503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30505 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  30515 */     GIR_RootConstrainSelectedInstOperands,
     /*  30516 */     // GIR_Coverage, 1816,
     /*  30516 */     GIR_EraseRootFromParent_Done,
     /*  30517 */   // Label 482: @30517
     /*  30517 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(30565), // Rule ID 1807 //
     /*  30522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  30541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30552 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  30555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30557 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  30559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30563 */     GIR_RootConstrainSelectedInstOperands,
     /*  30564 */     // GIR_Coverage, 1807,
     /*  30564 */     GIR_EraseRootFromParent_Done,
     /*  30565 */   // Label 483: @30565
     /*  30565 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(30613), // Rule ID 994 //
     /*  30570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  30589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30600 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (SADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  30600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv8i16_v4i32),
     /*  30603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30605 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30611 */     GIR_RootConstrainSelectedInstOperands,
     /*  30612 */     // GIR_Coverage, 994,
     /*  30612 */     GIR_EraseRootFromParent_Done,
     /*  30613 */   // Label 484: @30613
     /*  30613 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(30661), // Rule ID 1720 //
     /*  30618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  30637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30648 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv4i16_v4i32),
     /*  30651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30653 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  30655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30659 */     GIR_RootConstrainSelectedInstOperands,
     /*  30660 */     // GIR_Coverage, 1720,
     /*  30660 */     GIR_EraseRootFromParent_Done,
     /*  30661 */   // Label 485: @30661
     /*  30661 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(30709), // Rule ID 1055 //
     /*  30666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  30685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30696 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (UADALPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /*  30696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv8i16_v4i32),
     /*  30699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30701 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  30703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  30707 */     GIR_RootConstrainSelectedInstOperands,
     /*  30708 */     // GIR_Coverage, 1055,
     /*  30708 */     GIR_EraseRootFromParent_Done,
     /*  30709 */   // Label 486: @30709
     /*  30709 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(30757), // Rule ID 1806 //
     /*  30714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  30729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  30733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  30737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  30744 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (UADDWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  30744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv4i16_v4i32),
     /*  30747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  30749 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  30751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  30755 */     GIR_RootConstrainSelectedInstOperands,
     /*  30756 */     // GIR_Coverage, 1806,
     /*  30756 */     GIR_EraseRootFromParent_Done,
     /*  30757 */   // Label 487: @30757
     /*  30757 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(30784), // Rule ID 1105 //
     /*  30762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  30765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30777 */     // (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  30777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv4i32),
     /*  30782 */     GIR_RootConstrainSelectedInstOperands,
     /*  30783 */     // GIR_Coverage, 1105,
     /*  30783 */     GIR_Done,
     /*  30784 */   // Label 488: @30784
     /*  30784 */   GIM_Reject,
     /*  30785 */ // Label 407: @30785
     /*  30785 */ GIM_Reject,
     /*  30786 */ // Label 159: @30786
     /*  30786 */ GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(31635),
     /*  30791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  30794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  30797 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(30930), // Rule ID 13921 //
     /*  30802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  30814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  30818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  30822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  30826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  30830 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  30834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  30843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  30847 */     // MIs[1] Operand 2
     /*  30847 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  30858 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  30862 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  30866 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30870 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  30874 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  30878 */     // MIs[5] Rn
     /*  30878 */     GIM_CheckIsSameOperand, /*MI*/5, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  30883 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  30885 */     // (add:{ *:[v8i8] } (extract_subvector:{ *:[v8i8] } (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, (undef:{ *:[v16i8] })), 0:{ *:[i64] }), (trunc:{ *:[v8i8] } (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$Rn)))  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (ADDPv16i8:{ *:[f128] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rn), dsub:{ *:[i32] })
     /*  30885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  30888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  30892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  30897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  30901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  30905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  30907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  30910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  30912 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  30919 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30924 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30929 */     // GIR_Coverage, 13921,
     /*  30929 */     GIR_EraseRootFromParent_Done,
     /*  30930 */   // Label 490: @30930
     /*  30930 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(31063), // Rule ID 6928 //
     /*  30935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  30939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  30943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  30947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  30951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  30955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /*  30959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  30963 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  30968 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  30972 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  30976 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  30980 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  30984 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_UZP2),
     /*  30988 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  30992 */     // MIs[4] Rn
     /*  30992 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  30997 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  31001 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  31005 */     // MIs[3] Operand 2
     /*  31005 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  31016 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  31018 */     // (add:{ *:[v8i8] } (trunc:{ *:[v8i8] } (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$Rn)), (extract_subvector:{ *:[v8i8] } (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, (undef:{ *:[v16i8] })), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (ADDPv16i8:{ *:[f128] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rn), dsub:{ *:[i32] })
     /*  31018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  31021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  31025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  31030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  31034 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  31038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  31040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  31043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31045 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  31052 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31057 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31062 */     // GIR_Coverage, 6928,
     /*  31062 */     GIR_EraseRootFromParent_Done,
     /*  31063 */   // Label 491: @31063
     /*  31063 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(31132), // Rule ID 13320 //
     /*  31068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31083 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31086 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31091 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31095 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31115 */     // (add:{ *:[v8i8] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V64:{ *:[v8i8] }:$Rd)  =>  (SABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i8),
     /*  31118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31130 */     GIR_RootConstrainSelectedInstOperands,
     /*  31131 */     // GIR_Coverage, 13320,
     /*  31131 */     GIR_EraseRootFromParent_Done,
     /*  31132 */   // Label 492: @31132
     /*  31132 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(31201), // Rule ID 13332 //
     /*  31137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31152 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31155 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31160 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31164 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31184 */     // (add:{ *:[v8i8] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V64:{ *:[v8i8] }:$Rd)  =>  (UABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i8),
     /*  31187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31199 */     GIR_RootConstrainSelectedInstOperands,
     /*  31200 */     // GIR_Coverage, 13332,
     /*  31200 */     GIR_EraseRootFromParent_Done,
     /*  31201 */   // Label 493: @31201
     /*  31201 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(31268), // Rule ID 13524 //
     /*  31206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  31221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31230 */     // MIs[1] imm
     /*  31230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  31238 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  31242 */     // MIs[2] Operand 1
     /*  31242 */     // No operand predicates
     /*  31242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31246 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  31250 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31252 */     // (add:{ *:[v8i8] } (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  31252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  31255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31257 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  31263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  31266 */     GIR_RootConstrainSelectedInstOperands,
     /*  31267 */     // GIR_Coverage, 13524,
     /*  31267 */     GIR_EraseRootFromParent_Done,
     /*  31268 */   // Label 494: @31268
     /*  31268 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(31335), // Rule ID 13545 //
     /*  31273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  31288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31297 */     // MIs[1] imm
     /*  31297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  31305 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  31309 */     // MIs[2] Operand 1
     /*  31309 */     // No operand predicates
     /*  31309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31313 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  31317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31319 */     // (add:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  31319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  31322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  31330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  31333 */     GIR_RootConstrainSelectedInstOperands,
     /*  31334 */     // GIR_Coverage, 13545,
     /*  31334 */     GIR_EraseRootFromParent_Done,
     /*  31335 */   // Label 495: @31335
     /*  31335 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(31404), // Rule ID 1357 //
     /*  31340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31359 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31362 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31367 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31371 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31387 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i8),
     /*  31390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31392 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31402 */     GIR_RootConstrainSelectedInstOperands,
     /*  31403 */     // GIR_Coverage, 1357,
     /*  31403 */     GIR_EraseRootFromParent_Done,
     /*  31404 */   // Label 496: @31404
     /*  31404 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(31473), // Rule ID 1480 //
     /*  31409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31428 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  31431 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31440 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  31456 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UABAv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i8),
     /*  31459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31461 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  31467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  31471 */     GIR_RootConstrainSelectedInstOperands,
     /*  31472 */     // GIR_Coverage, 1480,
     /*  31472 */     GIR_EraseRootFromParent_Done,
     /*  31473 */   // Label 497: @31473
     /*  31473 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(31540), // Rule ID 2230 //
     /*  31478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  31497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31506 */     // MIs[1] imm
     /*  31506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  31514 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  31518 */     // MIs[2] Operand 1
     /*  31518 */     // No operand predicates
     /*  31518 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  31522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31524 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  31524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  31527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31529 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  31535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  31538 */     GIR_RootConstrainSelectedInstOperands,
     /*  31539 */     // GIR_Coverage, 2230,
     /*  31539 */     GIR_EraseRootFromParent_Done,
     /*  31540 */   // Label 498: @31540
     /*  31540 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(31607), // Rule ID 2289 //
     /*  31545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  31564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31573 */     // MIs[1] imm
     /*  31573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  31577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  31581 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  31585 */     // MIs[2] Operand 1
     /*  31585 */     // No operand predicates
     /*  31585 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  31589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31591 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  31591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  31594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31596 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  31602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  31605 */     GIR_RootConstrainSelectedInstOperands,
     /*  31606 */     // GIR_Coverage, 2289,
     /*  31606 */     GIR_EraseRootFromParent_Done,
     /*  31607 */   // Label 499: @31607
     /*  31607 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(31634), // Rule ID 1100 //
     /*  31612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  31627 */     // (add:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  31627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv8i8),
     /*  31632 */     GIR_RootConstrainSelectedInstOperands,
     /*  31633 */     // GIR_Coverage, 1100,
     /*  31633 */     GIR_Done,
     /*  31634 */   // Label 500: @31634
     /*  31634 */   GIM_Reject,
     /*  31635 */ // Label 489: @31635
     /*  31635 */ GIM_Reject,
     /*  31636 */ // Label 160: @31636
     /*  31636 */ GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(35213),
     /*  31641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  31644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  31647 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(31734), // Rule ID 13364 //
     /*  31652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31679 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31682 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31687 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31691 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31701 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31708 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31715 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))), V128:{ *:[v8i16] }:$Rd)  =>  (SABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv16i8_v8i16),
     /*  31718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  31727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  31732 */     GIR_RootConstrainSelectedInstOperands,
     /*  31733 */     // GIR_Coverage, 13364,
     /*  31733 */     GIR_EraseRootFromParent_Done,
     /*  31734 */   // Label 502: @31734
     /*  31734 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(31821), // Rule ID 13388 //
     /*  31739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  31750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31766 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31769 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31774 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31778 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31786 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31788 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31795 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31802 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))), V128:{ *:[v8i16] }:$Rd)  =>  (UABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv16i8_v8i16),
     /*  31805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31807 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  31809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  31814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  31819 */     GIR_RootConstrainSelectedInstOperands,
     /*  31820 */     // GIR_Coverage, 13388,
     /*  31820 */     GIR_EraseRootFromParent_Done,
     /*  31821 */   // Label 503: @31821
     /*  31821 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(31908), // Rule ID 1691 //
     /*  31826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31857 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31860 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  31865 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31869 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31875 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31882 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31889 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))))  =>  (SABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv16i8_v8i16),
     /*  31892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31894 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  31901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  31906 */     GIR_RootConstrainSelectedInstOperands,
     /*  31907 */     // GIR_Coverage, 1691,
     /*  31907 */     GIR_EraseRootFromParent_Done,
     /*  31908 */   // Label 504: @31908
     /*  31908 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(31995), // Rule ID 1769 //
     /*  31913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  31916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  31924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  31928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  31932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  31936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  31940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  31944 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  31947 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  31952 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  31956 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  31960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  31962 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31969 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  31976 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))))  =>  (UABALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  31976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv16i8_v8i16),
     /*  31979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  31981 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  31983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  31988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  31993 */     GIR_RootConstrainSelectedInstOperands,
     /*  31994 */     // GIR_Coverage, 1769,
     /*  31994 */     GIR_EraseRootFromParent_Done,
     /*  31995 */   // Label 505: @31995
     /*  31995 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(32064), // Rule ID 1785 //
     /*  32000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32031 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32033 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32040 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32047 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  32050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32062 */     GIR_RootConstrainSelectedInstOperands,
     /*  32063 */     // GIR_Coverage, 1785,
     /*  32063 */     GIR_EraseRootFromParent_Done,
     /*  32064 */   // Label 506: @32064
     /*  32064 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(32133), // Rule ID 1784 //
     /*  32069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32102 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32109 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32116 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  32119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32131 */     GIR_RootConstrainSelectedInstOperands,
     /*  32132 */     // GIR_Coverage, 1784,
     /*  32132 */     GIR_EraseRootFromParent_Done,
     /*  32133 */   // Label 507: @32133
     /*  32133 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(32202), // Rule ID 1713 //
     /*  32138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  32153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  32165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32169 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32171 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32178 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32185 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv16i8_v8i16),
     /*  32188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32200 */     GIR_RootConstrainSelectedInstOperands,
     /*  32201 */     // GIR_Coverage, 1713,
     /*  32201 */     GIR_EraseRootFromParent_Done,
     /*  32202 */   // Label 508: @32202
     /*  32202 */   GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(32271), // Rule ID 1783 //
     /*  32207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32234 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32238 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32240 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32247 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32254 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  32257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32269 */     GIR_RootConstrainSelectedInstOperands,
     /*  32270 */     // GIR_Coverage, 1783,
     /*  32270 */     GIR_EraseRootFromParent_Done,
     /*  32271 */   // Label 509: @32271
     /*  32271 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(32340), // Rule ID 1782 //
     /*  32276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32295 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  32299 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32303 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32309 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32316 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32323 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv16i8_v8i16),
     /*  32326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32338 */     GIR_RootConstrainSelectedInstOperands,
     /*  32339 */     // GIR_Coverage, 1782,
     /*  32339 */     GIR_EraseRootFromParent_Done,
     /*  32340 */   // Label 510: @32340
     /*  32340 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(32407), // Rule ID 13380 //
     /*  32345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  32360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32374 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32381 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32388 */     // (add:{ *:[v8i16] } (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (SMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv16i8_v8i16),
     /*  32391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32393 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32405 */     GIR_RootConstrainSelectedInstOperands,
     /*  32406 */     // GIR_Coverage, 13380,
     /*  32406 */     GIR_EraseRootFromParent_Done,
     /*  32407 */   // Label 511: @32407
     /*  32407 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(32474), // Rule ID 13410 //
     /*  32412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  32427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32441 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32448 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32455 */     // (add:{ *:[v8i16] } (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (UMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv16i8_v8i16),
     /*  32458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32460 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32472 */     GIR_RootConstrainSelectedInstOperands,
     /*  32473 */     // GIR_Coverage, 13410,
     /*  32473 */     GIR_EraseRootFromParent_Done,
     /*  32474 */   // Label 512: @32474
     /*  32474 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(32541), // Rule ID 1725 //
     /*  32479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  32498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32502 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32508 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32515 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32522 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv16i8_v8i16),
     /*  32525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32527 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32539 */     GIR_RootConstrainSelectedInstOperands,
     /*  32540 */     // GIR_Coverage, 1725,
     /*  32540 */     GIR_EraseRootFromParent_Done,
     /*  32541 */   // Label 513: @32541
     /*  32541 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(32608), // Rule ID 1815 //
     /*  32546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  32565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32575 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32582 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32589 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UMLALv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv16i8_v8i16),
     /*  32592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32594 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  32601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  32606 */     GIR_RootConstrainSelectedInstOperands,
     /*  32607 */     // GIR_Coverage, 1815,
     /*  32607 */     GIR_EraseRootFromParent_Done,
     /*  32608 */   // Label 514: @32608
     /*  32608 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(32689), // Rule ID 13362 //
     /*  32613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32632 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  32636 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32640 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32643 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  32648 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32652 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  32656 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32661 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32672 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (SABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i8_v8i16),
     /*  32675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  32683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  32687 */     GIR_RootConstrainSelectedInstOperands,
     /*  32688 */     // GIR_Coverage, 13362,
     /*  32688 */     GIR_EraseRootFromParent_Done,
     /*  32689 */   // Label 515: @32689
     /*  32689 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(32770), // Rule ID 13386 //
     /*  32694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  32717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32721 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32724 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  32729 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32733 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  32737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32742 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32751 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32753 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)), V128:{ *:[v8i16] }:$Rd)  =>  (UABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i8_v8i16),
     /*  32756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  32760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  32764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  32768 */     GIR_RootConstrainSelectedInstOperands,
     /*  32769 */     // GIR_Coverage, 13386,
     /*  32769 */     GIR_EraseRootFromParent_Done,
     /*  32770 */   // Label 516: @32770
     /*  32770 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(32851), // Rule ID 1689 //
     /*  32775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  32802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32806 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32809 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  32814 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32818 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  32822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32832 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32834 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)))  =>  (SABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALv8i8_v8i16),
     /*  32837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32839 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  32845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  32849 */     GIR_RootConstrainSelectedInstOperands,
     /*  32850 */     // GIR_Coverage, 1689,
     /*  32850 */     GIR_EraseRootFromParent_Done,
     /*  32851 */   // Label 517: @32851
     /*  32851 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(32932), // Rule ID 1767 //
     /*  32856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  32871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  32875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  32883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  32887 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  32890 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  32895 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  32899 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  32903 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  32913 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  32915 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)))  =>  (UABALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  32915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALv8i8_v8i16),
     /*  32918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  32920 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  32922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rn
     /*  32926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /*  32930 */     GIR_RootConstrainSelectedInstOperands,
     /*  32931 */     // GIR_Coverage, 1767,
     /*  32931 */     GIR_EraseRootFromParent_Done,
     /*  32932 */   // Label 518: @32932
     /*  32932 */   GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(32983), // Rule ID 13400 //
     /*  32937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  32952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  32956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  32962 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  32969 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  32969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  32972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  32974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  32976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  32981 */     GIR_RootConstrainSelectedInstOperands,
     /*  32982 */     // GIR_Coverage, 13400,
     /*  32982 */     GIR_EraseRootFromParent_Done,
     /*  32983 */   // Label 519: @32983
     /*  32983 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(33034), // Rule ID 13374 //
     /*  32988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  32991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  32995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  32999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  33003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33013 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  33020 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rn)  =>  (SADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv16i8_v8i16),
     /*  33023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33025 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  33027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  33032 */     GIR_RootConstrainSelectedInstOperands,
     /*  33033 */     // GIR_Coverage, 13374,
     /*  33033 */     GIR_EraseRootFromParent_Done,
     /*  33034 */   // Label 520: @33034
     /*  33034 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(33085), // Rule ID 13399 //
     /*  33039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  33054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33064 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  33071 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  33074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  33078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  33083 */     GIR_RootConstrainSelectedInstOperands,
     /*  33084 */     // GIR_Coverage, 13399,
     /*  33084 */     GIR_EraseRootFromParent_Done,
     /*  33085 */   // Label 521: @33085
     /*  33085 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(33136), // Rule ID 1805 //
     /*  33090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  33109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33115 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  33122 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  33125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33127 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  33129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  33134 */     GIR_RootConstrainSelectedInstOperands,
     /*  33135 */     // GIR_Coverage, 1805,
     /*  33135 */     GIR_EraseRootFromParent_Done,
     /*  33136 */   // Label 522: @33136
     /*  33136 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(33187), // Rule ID 1719 //
     /*  33141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  33160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33166 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  33173 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv16i8_v8i16),
     /*  33176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33178 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  33180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  33185 */     GIR_RootConstrainSelectedInstOperands,
     /*  33186 */     // GIR_Coverage, 1719,
     /*  33186 */     GIR_EraseRootFromParent_Done,
     /*  33187 */   // Label 523: @33187
     /*  33187 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(33238), // Rule ID 1804 //
     /*  33192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  33211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  33215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33217 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  33224 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UADDWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  33224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv16i8_v8i16),
     /*  33227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  33229 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  33231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  33236 */     GIR_RootConstrainSelectedInstOperands,
     /*  33237 */     // GIR_Coverage, 1804,
     /*  33237 */     GIR_EraseRootFromParent_Done,
     /*  33238 */   // Label 524: @33238
     /*  33238 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(33307), // Rule ID 13326 //
     /*  33243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33258 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33261 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  33266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  33270 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  33274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33290 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 659:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (SABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  33290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i16),
     /*  33293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33305 */     GIR_RootConstrainSelectedInstOperands,
     /*  33306 */     // GIR_Coverage, 13326,
     /*  33306 */     GIR_EraseRootFromParent_Done,
     /*  33307 */   // Label 525: @33307
     /*  33307 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(33376), // Rule ID 13338 //
     /*  33312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33327 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33330 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  33335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  33339 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  33343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33359 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 724:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (UABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  33359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i16),
     /*  33362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33374 */     GIR_RootConstrainSelectedInstOperands,
     /*  33375 */     // GIR_Coverage, 13338,
     /*  33375 */     GIR_EraseRootFromParent_Done,
     /*  33376 */   // Label 526: @33376
     /*  33376 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(33432), // Rule ID 13288 //
     /*  33381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33396 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  33399 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  33404 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33419 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 660:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  33422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33430 */     GIR_RootConstrainSelectedInstOperands,
     /*  33431 */     // GIR_Coverage, 13288,
     /*  33431 */     GIR_EraseRootFromParent_Done,
     /*  33432 */   // Label 527: @33432
     /*  33432 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(33488), // Rule ID 13300 //
     /*  33437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33452 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  33455 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  33460 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33475 */     // (add:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  33478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33480 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33486 */     GIR_RootConstrainSelectedInstOperands,
     /*  33487 */     // GIR_Coverage, 13300,
     /*  33487 */     GIR_EraseRootFromParent_Done,
     /*  33488 */   // Label 528: @33488
     /*  33488 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(33555), // Rule ID 13530 //
     /*  33493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  33508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33517 */     // MIs[1] imm
     /*  33517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33525 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  33529 */     // MIs[2] Operand 1
     /*  33529 */     // No operand predicates
     /*  33529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33533 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33539 */     // (add:{ *:[v8i16] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  33542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33544 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  33553 */     GIR_RootConstrainSelectedInstOperands,
     /*  33554 */     // GIR_Coverage, 13530,
     /*  33554 */     GIR_EraseRootFromParent_Done,
     /*  33555 */   // Label 529: @33555
     /*  33555 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(33622), // Rule ID 13551 //
     /*  33560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  33571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  33575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33584 */     // MIs[1] imm
     /*  33584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33592 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  33596 */     // MIs[2] Operand 1
     /*  33596 */     // No operand predicates
     /*  33596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33600 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33606 */     // (add:{ *:[v8i16] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  33609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  33613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  33620 */     GIR_RootConstrainSelectedInstOperands,
     /*  33621 */     // GIR_Coverage, 13551,
     /*  33621 */     GIR_EraseRootFromParent_Done,
     /*  33622 */   // Label 530: @33622
     /*  33622 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(33691), // Rule ID 1363 //
     /*  33627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33646 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33649 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  33654 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  33658 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  33662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33674 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 659:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (SABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  33674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv8i16),
     /*  33677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33679 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33689 */     GIR_RootConstrainSelectedInstOperands,
     /*  33690 */     // GIR_Coverage, 1363,
     /*  33690 */     GIR_EraseRootFromParent_Done,
     /*  33691 */   // Label 531: @33691
     /*  33691 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(33760), // Rule ID 1486 //
     /*  33696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33715 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  33718 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  33723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  33727 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  33731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33743 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 724:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (UABAv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  33743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv8i16),
     /*  33746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33748 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  33758 */     GIR_RootConstrainSelectedInstOperands,
     /*  33759 */     // GIR_Coverage, 1486,
     /*  33759 */     GIR_EraseRootFromParent_Done,
     /*  33760 */   // Label 532: @33760
     /*  33760 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(33816), // Rule ID 991 //
     /*  33765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33784 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  33787 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /*  33792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33803 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 660:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  33806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33808 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33814 */     GIR_RootConstrainSelectedInstOperands,
     /*  33815 */     // GIR_Coverage, 991,
     /*  33815 */     GIR_EraseRootFromParent_Done,
     /*  33816 */   // Label 533: @33816
     /*  33816 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(33872), // Rule ID 1052 //
     /*  33821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  33840 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  33843 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /*  33848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  33852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  33859 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  33859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  33862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33864 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  33870 */     GIR_RootConstrainSelectedInstOperands,
     /*  33871 */     // GIR_Coverage, 1052,
     /*  33871 */     GIR_EraseRootFromParent_Done,
     /*  33872 */   // Label 534: @33872
     /*  33872 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(33939), // Rule ID 2236 //
     /*  33877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  33896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33905 */     // MIs[1] imm
     /*  33905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33913 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  33917 */     // MIs[2] Operand 1
     /*  33917 */     // No operand predicates
     /*  33917 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33923 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  33926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33928 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  33934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  33937 */     GIR_RootConstrainSelectedInstOperands,
     /*  33938 */     // GIR_Coverage, 2236,
     /*  33938 */     GIR_EraseRootFromParent_Done,
     /*  33939 */   // Label 535: @33939
     /*  33939 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(34006), // Rule ID 2295 //
     /*  33944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  33947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  33959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  33963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  33967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  33972 */     // MIs[1] imm
     /*  33972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  33976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  33980 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  33984 */     // MIs[2] Operand 1
     /*  33984 */     // No operand predicates
     /*  33984 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  33988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  33990 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  33990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  33993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  33995 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  33997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  34004 */     GIR_RootConstrainSelectedInstOperands,
     /*  34005 */     // GIR_Coverage, 2295,
     /*  34005 */     GIR_EraseRootFromParent_Done,
     /*  34006 */   // Label 536: @34006
     /*  34006 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(34076), // Rule ID 6924 //
     /*  34011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /*  34023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  34027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  34031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  34049 */     // MIs[2] Rn
     /*  34049 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  34054 */     // MIs[2] Rm
     /*  34054 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  34059 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34061 */     // (add:{ *:[v8i16] } (AArch64uzp1:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm), (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm))  =>  (ADDPv8i16:{ *:[v8i16] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rm)
     /*  34061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  34064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34074 */     GIR_RootConstrainSelectedInstOperands,
     /*  34075 */     // GIR_Coverage, 6924,
     /*  34075 */     GIR_EraseRootFromParent_Done,
     /*  34076 */   // Label 537: @34076
     /*  34076 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(34146), // Rule ID 13917 //
     /*  34081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /*  34093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  34097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  34101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34111 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34115 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /*  34119 */     // MIs[2] Rn
     /*  34119 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  34124 */     // MIs[2] Rm
     /*  34124 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  34129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34131 */     // (add:{ *:[v8i16] } (AArch64uzp2:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm), (AArch64uzp1:{ *:[v8i16] } FPR128:{ *:[v8i16] }:$Rn, FPR128:{ *:[v8i16] }:$Rm))  =>  (ADDPv8i16:{ *:[v8i16] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rm)
     /*  34131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /*  34134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34144 */     GIR_RootConstrainSelectedInstOperands,
     /*  34145 */     // GIR_Coverage, 13917,
     /*  34145 */     GIR_EraseRootFromParent_Done,
     /*  34146 */   // Label 538: @34146
     /*  34146 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(34209), // Rule ID 1781 //
     /*  34151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34175 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34179 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34183 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34194 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  34197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34207 */     GIR_RootConstrainSelectedInstOperands,
     /*  34208 */     // GIR_Coverage, 1781,
     /*  34208 */     GIR_EraseRootFromParent_Done,
     /*  34209 */   // Label 539: @34209
     /*  34209 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(34272), // Rule ID 1780 //
     /*  34214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34255 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34257 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  34260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34270 */     GIR_RootConstrainSelectedInstOperands,
     /*  34271 */     // GIR_Coverage, 1780,
     /*  34271 */     GIR_EraseRootFromParent_Done,
     /*  34272 */   // Label 540: @34272
     /*  34272 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(34335), // Rule ID 1712 //
     /*  34277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  34292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  34309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34320 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLv8i8_v8i16),
     /*  34323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34333 */     GIR_RootConstrainSelectedInstOperands,
     /*  34334 */     // GIR_Coverage, 1712,
     /*  34334 */     GIR_EraseRootFromParent_Done,
     /*  34335 */   // Label 541: @34335
     /*  34335 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(34398), // Rule ID 1779 //
     /*  34340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34383 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  34386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34396 */     GIR_RootConstrainSelectedInstOperands,
     /*  34397 */     // GIR_Coverage, 1779,
     /*  34397 */     GIR_EraseRootFromParent_Done,
     /*  34398 */   // Label 542: @34398
     /*  34398 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(34461), // Rule ID 1778 //
     /*  34403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  34431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  34446 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLv8i8_v8i16),
     /*  34449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  34459 */     GIR_RootConstrainSelectedInstOperands,
     /*  34460 */     // GIR_Coverage, 1778,
     /*  34460 */     GIR_EraseRootFromParent_Done,
     /*  34461 */   // Label 543: @34461
     /*  34461 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(34522), // Rule ID 13379 //
     /*  34466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  34481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34485 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  34489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34505 */     // (add:{ *:[v8i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (SMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  34508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  34512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34520 */     GIR_RootConstrainSelectedInstOperands,
     /*  34521 */     // GIR_Coverage, 13379,
     /*  34521 */     GIR_EraseRootFromParent_Done,
     /*  34522 */   // Label 544: @34522
     /*  34522 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(34583), // Rule ID 13409 //
     /*  34527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  34542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  34550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34566 */     // (add:{ *:[v8i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rd)  =>  (UMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  34569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34571 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  34573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34581 */     GIR_RootConstrainSelectedInstOperands,
     /*  34582 */     // GIR_Coverage, 13409,
     /*  34582 */     GIR_EraseRootFromParent_Done,
     /*  34583 */   // Label 545: @34583
     /*  34583 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(34631), // Rule ID 13398 //
     /*  34588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34618 */     // (add:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  34621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34623 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  34625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  34629 */     GIR_RootConstrainSelectedInstOperands,
     /*  34630 */     // GIR_Coverage, 13398,
     /*  34630 */     GIR_EraseRootFromParent_Done,
     /*  34631 */   // Label 546: @34631
     /*  34631 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(34679), // Rule ID 13287 //
     /*  34636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  34651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  34655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34666 */     // (add:{ *:[v8i16] } (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  34666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  34669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34671 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  34673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34677 */     GIR_RootConstrainSelectedInstOperands,
     /*  34678 */     // GIR_Coverage, 13287,
     /*  34678 */     GIR_EraseRootFromParent_Done,
     /*  34679 */   // Label 547: @34679
     /*  34679 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(34727), // Rule ID 13373 //
     /*  34684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  34699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34714 */     // (add:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rn)  =>  (SADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  34717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34719 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  34721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  34725 */     GIR_RootConstrainSelectedInstOperands,
     /*  34726 */     // GIR_Coverage, 13373,
     /*  34726 */     GIR_EraseRootFromParent_Done,
     /*  34727 */   // Label 548: @34727
     /*  34727 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(34775), // Rule ID 13299 //
     /*  34732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  34747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  34751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34762 */     // (add:{ *:[v8i16] } (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn), V128:{ *:[v8i16] }:$Rd)  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  34762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  34765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34767 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  34769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34773 */     GIR_RootConstrainSelectedInstOperands,
     /*  34774 */     // GIR_Coverage, 13299,
     /*  34774 */     GIR_EraseRootFromParent_Done,
     /*  34775 */   // Label 549: @34775
     /*  34775 */   GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(34823), // Rule ID 13397 //
     /*  34780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  34791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  34795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34810 */     // (add:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), V128:{ *:[v8i16] }:$Rn)  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  34813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34815 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  34817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  34821 */     GIR_RootConstrainSelectedInstOperands,
     /*  34822 */     // GIR_Coverage, 13397,
     /*  34822 */     GIR_EraseRootFromParent_Done,
     /*  34823 */   // Label 550: @34823
     /*  34823 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(34884), // Rule ID 1724 //
     /*  34828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  34847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  34855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34867 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALv8i8_v8i16),
     /*  34870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34872 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  34874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34882 */     GIR_RootConstrainSelectedInstOperands,
     /*  34883 */     // GIR_Coverage, 1724,
     /*  34883 */     GIR_EraseRootFromParent_Done,
     /*  34884 */   // Label 551: @34884
     /*  34884 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(34945), // Rule ID 1814 //
     /*  34889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  34908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34912 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  34916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34928 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UMLALv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALv8i8_v8i16),
     /*  34931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  34933 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  34935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  34939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  34943 */     GIR_RootConstrainSelectedInstOperands,
     /*  34944 */     // GIR_Coverage, 1814,
     /*  34944 */     GIR_EraseRootFromParent_Done,
     /*  34945 */   // Label 552: @34945
     /*  34945 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(34993), // Rule ID 1803 //
     /*  34950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  34953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  34961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  34965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  34969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  34973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  34978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  34980 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  34980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  34983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  34985 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  34987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  34991 */     GIR_RootConstrainSelectedInstOperands,
     /*  34992 */     // GIR_Coverage, 1803,
     /*  34992 */     GIR_EraseRootFromParent_Done,
     /*  34993 */   // Label 553: @34993
     /*  34993 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(35041), // Rule ID 990 //
     /*  34998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /*  35017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35028 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (SADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  35028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALPv16i8_v8i16),
     /*  35031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35033 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35039 */     GIR_RootConstrainSelectedInstOperands,
     /*  35040 */     // GIR_Coverage, 990,
     /*  35040 */     GIR_EraseRootFromParent_Done,
     /*  35041 */   // Label 554: @35041
     /*  35041 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(35089), // Rule ID 1718 //
     /*  35046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  35065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  35069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35076 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  35076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDWv8i8_v8i16),
     /*  35079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35081 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  35083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  35087 */     GIR_RootConstrainSelectedInstOperands,
     /*  35088 */     // GIR_Coverage, 1718,
     /*  35088 */     GIR_EraseRootFromParent_Done,
     /*  35089 */   // Label 555: @35089
     /*  35089 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(35137), // Rule ID 1051 //
     /*  35094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /*  35113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35124 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (UADALPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /*  35124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALPv16i8_v8i16),
     /*  35127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35129 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35135 */     GIR_RootConstrainSelectedInstOperands,
     /*  35136 */     // GIR_Coverage, 1051,
     /*  35136 */     GIR_EraseRootFromParent_Done,
     /*  35137 */   // Label 556: @35137
     /*  35137 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(35185), // Rule ID 1802 //
     /*  35142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  35161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  35165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  35170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35172 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (UADDWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  35172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDWv8i8_v8i16),
     /*  35175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35177 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  35179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  35183 */     GIR_RootConstrainSelectedInstOperands,
     /*  35184 */     // GIR_Coverage, 1802,
     /*  35184 */     GIR_EraseRootFromParent_Done,
     /*  35185 */   // Label 557: @35185
     /*  35185 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(35212), // Rule ID 1103 //
     /*  35190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35205 */     // (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  35205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv8i16),
     /*  35210 */     GIR_RootConstrainSelectedInstOperands,
     /*  35211 */     // GIR_Coverage, 1103,
     /*  35211 */     GIR_Done,
     /*  35212 */   // Label 558: @35212
     /*  35212 */   GIM_Reject,
     /*  35213 */ // Label 501: @35213
     /*  35213 */ GIM_Reject,
     /*  35214 */ // Label 161: @35214
     /*  35214 */ GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(35937),
     /*  35219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35225 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(35294), // Rule ID 13322 //
     /*  35230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  35245 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  35248 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  35253 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35257 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  35261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35277 */     // (add:{ *:[v16i8] } (intrinsic_wo_chain:{ *:[v16i8] } 659:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm), V128:{ *:[v16i8] }:$Rd)  =>  (SABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv16i8),
     /*  35280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35282 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  35284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  35288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  35292 */     GIR_RootConstrainSelectedInstOperands,
     /*  35293 */     // GIR_Coverage, 13322,
     /*  35293 */     GIR_EraseRootFromParent_Done,
     /*  35294 */   // Label 560: @35294
     /*  35294 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(35363), // Rule ID 13334 //
     /*  35299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  35314 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  35317 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  35322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35326 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  35330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35346 */     // (add:{ *:[v16i8] } (intrinsic_wo_chain:{ *:[v16i8] } 724:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm), V128:{ *:[v16i8] }:$Rd)  =>  (UABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv16i8),
     /*  35349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35351 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  35353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  35357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  35361 */     GIR_RootConstrainSelectedInstOperands,
     /*  35362 */     // GIR_Coverage, 13334,
     /*  35362 */     GIR_EraseRootFromParent_Done,
     /*  35363 */   // Label 561: @35363
     /*  35363 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(35430), // Rule ID 13526 //
     /*  35368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  35383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35392 */     // MIs[1] imm
     /*  35392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  35396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35400 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  35404 */     // MIs[2] Operand 1
     /*  35404 */     // No operand predicates
     /*  35404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35408 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  35412 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35414 */     // (add:{ *:[v16i8] } (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  35414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  35417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35419 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  35421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  35428 */     GIR_RootConstrainSelectedInstOperands,
     /*  35429 */     // GIR_Coverage, 13526,
     /*  35429 */     GIR_EraseRootFromParent_Done,
     /*  35430 */   // Label 562: @35430
     /*  35430 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(35497), // Rule ID 13547 //
     /*  35435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  35450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35459 */     // MIs[1] imm
     /*  35459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  35463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35467 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  35471 */     // MIs[2] Operand 1
     /*  35471 */     // No operand predicates
     /*  35471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35475 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  35479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35481 */     // (add:{ *:[v16i8] } (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  35481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  35484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35486 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  35488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  35495 */     GIR_RootConstrainSelectedInstOperands,
     /*  35496 */     // GIR_Coverage, 13547,
     /*  35496 */     GIR_EraseRootFromParent_Done,
     /*  35497 */   // Label 563: @35497
     /*  35497 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(35566), // Rule ID 1359 //
     /*  35502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  35521 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  35524 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /*  35529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35533 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  35537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35549 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (intrinsic_wo_chain:{ *:[v16i8] } 659:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))  =>  (SABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABAv16i8),
     /*  35552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35554 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  35560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  35564 */     GIR_RootConstrainSelectedInstOperands,
     /*  35565 */     // GIR_Coverage, 1359,
     /*  35565 */     GIR_EraseRootFromParent_Done,
     /*  35566 */   // Label 564: @35566
     /*  35566 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(35635), // Rule ID 1482 //
     /*  35571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  35590 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  35593 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /*  35598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35602 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  35606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  35618 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (intrinsic_wo_chain:{ *:[v16i8] } 724:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))  =>  (UABAv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABAv16i8),
     /*  35621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35623 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  35629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  35633 */     GIR_RootConstrainSelectedInstOperands,
     /*  35634 */     // GIR_Coverage, 1482,
     /*  35634 */     GIR_EraseRootFromParent_Done,
     /*  35635 */   // Label 565: @35635
     /*  35635 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(35702), // Rule ID 2232 //
     /*  35640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  35659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35668 */     // MIs[1] imm
     /*  35668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  35672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35676 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  35680 */     // MIs[2] Operand 1
     /*  35680 */     // No operand predicates
     /*  35680 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  35684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35686 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  35686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  35689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35691 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  35700 */     GIR_RootConstrainSelectedInstOperands,
     /*  35701 */     // GIR_Coverage, 2232,
     /*  35701 */     GIR_EraseRootFromParent_Done,
     /*  35702 */   // Label 566: @35702
     /*  35702 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(35769), // Rule ID 2291 //
     /*  35707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  35722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  35726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35735 */     // MIs[1] imm
     /*  35735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  35739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  35743 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  35747 */     // MIs[2] Operand 1
     /*  35747 */     // No operand predicates
     /*  35747 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  35751 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35753 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  35753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  35756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  35758 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  35760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  35767 */     GIR_RootConstrainSelectedInstOperands,
     /*  35768 */     // GIR_Coverage, 2291,
     /*  35768 */     GIR_EraseRootFromParent_Done,
     /*  35769 */   // Label 567: @35769
     /*  35769 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(35839), // Rule ID 6925 //
     /*  35774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /*  35786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  35808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /*  35812 */     // MIs[2] Rn
     /*  35812 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  35817 */     // MIs[2] Rm
     /*  35817 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  35822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35824 */     // (add:{ *:[v16i8] } (AArch64uzp1:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm), (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm))  =>  (ADDPv16i8:{ *:[v16i8] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm)
     /*  35824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  35827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  35837 */     GIR_RootConstrainSelectedInstOperands,
     /*  35838 */     // GIR_Coverage, 6925,
     /*  35838 */     GIR_EraseRootFromParent_Done,
     /*  35839 */   // Label 568: @35839
     /*  35839 */   GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(35909), // Rule ID 13918 //
     /*  35844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /*  35856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  35860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  35864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  35878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /*  35882 */     // MIs[2] Rn
     /*  35882 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  35887 */     // MIs[2] Rm
     /*  35887 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  35892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  35894 */     // (add:{ *:[v16i8] } (AArch64uzp2:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm), (AArch64uzp1:{ *:[v16i8] } FPR128:{ *:[v16i8] }:$Rn, FPR128:{ *:[v16i8] }:$Rm))  =>  (ADDPv16i8:{ *:[v16i8] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm)
     /*  35894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /*  35897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  35899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  35903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  35907 */     GIR_RootConstrainSelectedInstOperands,
     /*  35908 */     // GIR_Coverage, 13918,
     /*  35908 */     GIR_EraseRootFromParent_Done,
     /*  35909 */   // Label 569: @35909
     /*  35909 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(35936), // Rule ID 1101 //
     /*  35914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  35917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  35929 */     // (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  35929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDv16i8),
     /*  35934 */     GIR_RootConstrainSelectedInstOperands,
     /*  35935 */     // GIR_Coverage, 1101,
     /*  35935 */     GIR_Done,
     /*  35936 */   // Label 570: @35936
     /*  35936 */   GIM_Reject,
     /*  35937 */ // Label 559: @35937
     /*  35937 */ GIM_Reject,
     /*  35938 */ // Label 162: @35938
     /*  35938 */ GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(36309),
     /*  35943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  35946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  35949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  35953 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(36015), // Rule ID 15102 //
     /*  35958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  35961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  35965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  35969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  35973 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  35977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  35981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  35985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  35989 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  36000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36002 */     // (add:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  36005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  36009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  36013 */     GIR_RootConstrainSelectedInstOperands,
     /*  36014 */     // GIR_Coverage, 15102,
     /*  36014 */     GIR_EraseRootFromParent_Done,
     /*  36015 */   // Label 572: @36015
     /*  36015 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(36077), // Rule ID 15101 //
     /*  36020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  36023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  36031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  36035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  36039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  36043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  36047 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  36051 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  36062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36064 */     // (add:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  36067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  36071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  36075 */     GIR_RootConstrainSelectedInstOperands,
     /*  36076 */     // GIR_Coverage, 15101,
     /*  36076 */     GIR_EraseRootFromParent_Done,
     /*  36077 */   // Label 573: @36077
     /*  36077 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(36139), // Rule ID 15100 //
     /*  36082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  36085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  36093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  36097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  36101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  36109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  36113 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  36124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36126 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  36129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36131 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  36133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  36137 */     GIR_RootConstrainSelectedInstOperands,
     /*  36138 */     // GIR_Coverage, 15100,
     /*  36138 */     GIR_EraseRootFromParent_Done,
     /*  36139 */   // Label 574: @36139
     /*  36139 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(36201), // Rule ID 8868 //
     /*  36144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  36147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  36155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  36159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  36163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  36167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  36171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  36175 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/1, GIMT_Encode8(4294967295),
     /*  36186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36188 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } 4294967295:{ *:[i64] })))  =>  (ADR_UXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_UXTW_ZZZ_D_0),
     /*  36191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36193 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  36195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  36199 */     GIR_RootConstrainSelectedInstOperands,
     /*  36200 */     // GIR_Coverage, 8868,
     /*  36200 */     GIR_EraseRootFromParent_Done,
     /*  36201 */   // Label 575: @36201
     /*  36201 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(36247), // Rule ID 15103 //
     /*  36206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  36209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  36213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  36217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  36221 */     // MIs[1] Operand 2
     /*  36221 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  36232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36234 */     // (add:{ *:[nxv2i64] } (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i32:{ *:[Other] }), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (ADR_SXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_SXTW_ZZZ_D_0),
     /*  36237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  36241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  36245 */     GIR_RootConstrainSelectedInstOperands,
     /*  36246 */     // GIR_Coverage, 15103,
     /*  36246 */     GIR_EraseRootFromParent_Done,
     /*  36247 */   // Label 576: @36247
     /*  36247 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(36293), // Rule ID 8869 //
     /*  36252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /*  36255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  36263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  36267 */     // MIs[1] Operand 2
     /*  36267 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  36278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  36280 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i32:{ *:[Other] }))  =>  (ADR_SXTW_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_SXTW_ZZZ_D_0),
     /*  36283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  36285 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  36287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  36291 */     GIR_RootConstrainSelectedInstOperands,
     /*  36292 */     // GIR_Coverage, 8869,
     /*  36292 */     GIR_EraseRootFromParent_Done,
     /*  36293 */   // Label 577: @36293
     /*  36293 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(36308), // Rule ID 2780 //
     /*  36298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  36301 */     // (add:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADD_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  36301 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_D),
     /*  36306 */     GIR_RootConstrainSelectedInstOperands,
     /*  36307 */     // GIR_Coverage, 2780,
     /*  36307 */     GIR_Done,
     /*  36308 */   // Label 578: @36308
     /*  36308 */   GIM_Reject,
     /*  36309 */ // Label 571: @36309
     /*  36309 */ GIM_Reject,
     /*  36310 */ // Label 163: @36310
     /*  36310 */ GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(36335), // Rule ID 2779 //
     /*  36315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  36318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  36321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  36324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  36328 */   // (add:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADD_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  36328 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_S),
     /*  36333 */   GIR_RootConstrainSelectedInstOperands,
     /*  36334 */   // GIR_Coverage, 2779,
     /*  36334 */   GIR_Done,
     /*  36335 */ // Label 579: @36335
     /*  36335 */ GIM_Reject,
     /*  36336 */ // Label 164: @36336
     /*  36336 */ GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(36361), // Rule ID 2778 //
     /*  36341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  36344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  36347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  36350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  36354 */   // (add:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ADD_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  36354 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_H),
     /*  36359 */   GIR_RootConstrainSelectedInstOperands,
     /*  36360 */   // GIR_Coverage, 2778,
     /*  36360 */   GIR_Done,
     /*  36361 */ // Label 580: @36361
     /*  36361 */ GIM_Reject,
     /*  36362 */ // Label 165: @36362
     /*  36362 */ GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(36387), // Rule ID 2777 //
     /*  36367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  36370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  36373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  36376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  36380 */   // (add:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ADD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  36380 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADD_ZZZ_B),
     /*  36385 */   GIR_RootConstrainSelectedInstOperands,
     /*  36386 */   // GIR_Coverage, 2777,
     /*  36386 */   GIR_Done,
     /*  36387 */ // Label 581: @36387
     /*  36387 */ GIM_Reject,
     /*  36388 */ // Label 166: @36388
     /*  36388 */ GIM_Reject,
     /*  36389 */ // Label 1: @36389
     /*  36389 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 595*/ GIMT_Encode4(50616),
     /*  36400 */ /*GILLT_s32*//*Label 582*/ GIMT_Encode4(36488),
     /*  36404 */ /*GILLT_s64*//*Label 583*/ GIMT_Encode4(37970), GIMT_Encode4(0),
     /*  36412 */ /*GILLT_v2s32*//*Label 584*/ GIMT_Encode4(41252),
     /*  36416 */ /*GILLT_v2s64*//*Label 585*/ GIMT_Encode4(42743),
     /*  36420 */ /*GILLT_v4s16*//*Label 586*/ GIMT_Encode4(45203),
     /*  36424 */ /*GILLT_v4s32*//*Label 587*/ GIMT_Encode4(46694),
     /*  36428 */ /*GILLT_v8s8*//*Label 588*/ GIMT_Encode4(49154),
     /*  36432 */ /*GILLT_v8s16*//*Label 589*/ GIMT_Encode4(49229),
     /*  36436 */ /*GILLT_v16s8*//*Label 590*/ GIMT_Encode4(50437), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  36456 */ /*GILLT_nxv2s64*//*Label 591*/ GIMT_Encode4(50512), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  36468 */ /*GILLT_nxv4s32*//*Label 592*/ GIMT_Encode4(50538), GIMT_Encode4(0),
     /*  36476 */ /*GILLT_nxv8s16*//*Label 593*/ GIMT_Encode4(50564), GIMT_Encode4(0),
     /*  36484 */ /*GILLT_nxv16s8*//*Label 594*/ GIMT_Encode4(50590),
     /*  36488 */ // Label 582: @36488
     /*  36488 */ GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(37969),
     /*  36493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  36496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  36499 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(36651), // Rule ID 9915 //
     /*  36504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  36507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  36523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  36535 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  36538 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*  36543 */     // MIs[2] pattern
     /*  36543 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  36546 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  36551 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36553 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1332:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECB_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  36553 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  36556 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36560 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  36567 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  36570 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  36574 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36579 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  36582 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  36586 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  36589 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36594 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36599 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  36607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECB_XPiI),
     /*  36611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36616 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  36619 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  36623 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  36626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36633 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  36640 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36645 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36650 */     // GIR_Coverage, 9915,
     /*  36650 */     GIR_EraseRootFromParent_Done,
     /*  36651 */   // Label 597: @36651
     /*  36651 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(36803), // Rule ID 9927 //
     /*  36656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  36659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  36675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  36687 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  36690 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*  36695 */     // MIs[2] pattern
     /*  36695 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  36698 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  36703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36705 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1334:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECH_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  36705 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  36708 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36712 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  36719 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  36722 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  36726 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36731 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  36734 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  36738 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  36741 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36746 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36751 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  36759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECH_XPiI),
     /*  36763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36768 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  36771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  36775 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  36778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36785 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  36792 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36797 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36802 */     // GIR_Coverage, 9927,
     /*  36802 */     GIR_EraseRootFromParent_Done,
     /*  36803 */   // Label 598: @36803
     /*  36803 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(36955), // Rule ID 9939 //
     /*  36808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  36811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  36827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  36839 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  36842 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*  36847 */     // MIs[2] pattern
     /*  36847 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  36850 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  36855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  36857 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1340:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECW_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  36857 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  36860 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  36864 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  36871 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  36874 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  36878 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36883 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  36886 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  36890 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  36893 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36898 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  36903 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  36911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECW_XPiI),
     /*  36915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  36920 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  36923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  36927 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  36930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  36932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  36935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  36937 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  36944 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36949 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  36954 */     // GIR_Coverage, 9939,
     /*  36954 */     GIR_EraseRootFromParent_Done,
     /*  36955 */   // Label 599: @36955
     /*  36955 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(37107), // Rule ID 9951 //
     /*  36960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  36963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  36971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  36975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  36979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  36983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  36987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  36991 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/3,
     /*  36994 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*  36999 */     // MIs[2] pattern
     /*  36999 */     GIM_CheckIsImm, /*MI*/2, /*Op*/2,
     /*  37002 */     GIM_CheckImmOperandPredicate, /*MI*/2, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  37007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37009 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rdn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1333:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECD_XPiI:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rdn, sub_32:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] }), sub_32:{ *:[i32] })
     /*  37009 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  37012 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37016 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37023 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  37026 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37030 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37035 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37038 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rdn
     /*  37042 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37045 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37050 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37055 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECD_XPiI),
     /*  37067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37072 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37075 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pattern
     /*  37079 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*  37082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37089 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37096 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37101 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37106 */     // GIR_Coverage, 9951,
     /*  37106 */     GIR_EraseRootFromParent_Done,
     /*  37107 */   // Label 600: @37107
     /*  37107 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(37169), // Rule ID 3953 //
     /*  37112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37116 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  37120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  37128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  37132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  37136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  37148 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (mul:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm))  =>  (MSUBWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  37148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBWrrr),
     /*  37151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  37157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  37161 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  37167 */     GIR_RootConstrainSelectedInstOperands,
     /*  37168 */     // GIR_Coverage, 3953,
     /*  37168 */     GIR_EraseRootFromParent_Done,
     /*  37169 */   // Label 601: @37169
     /*  37169 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(37326), // Rule ID 10053 //
     /*  37174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  37177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  37193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37205 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  37208 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  37213 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  37217 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  37219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  37224 */     // MIs[2] pred
     /*  37224 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  37229 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37231 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  37231 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  37234 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37238 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37245 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  37248 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37252 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37257 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37260 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  37264 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37267 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37272 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37277 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_B),
     /*  37289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37294 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*  37298 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37308 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37315 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37320 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37325 */     // GIR_Coverage, 10053,
     /*  37325 */     GIR_EraseRootFromParent_Done,
     /*  37326 */   // Label 602: @37326
     /*  37326 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(37483), // Rule ID 10054 //
     /*  37331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  37334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  37350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37362 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  37365 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  37370 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  37374 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  37376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  37381 */     // MIs[2] pred
     /*  37381 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  37386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37388 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  37388 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  37391 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37395 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37402 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  37405 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37409 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37414 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37417 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  37421 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37424 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37429 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37434 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_H),
     /*  37446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37451 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*  37455 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37465 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37472 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37477 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37482 */     // GIR_Coverage, 10054,
     /*  37482 */     GIR_EraseRootFromParent_Done,
     /*  37483 */   // Label 603: @37483
     /*  37483 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(37640), // Rule ID 10055 //
     /*  37488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  37491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  37507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37519 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  37522 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  37527 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  37531 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  37533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  37538 */     // MIs[2] pred
     /*  37538 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  37543 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37545 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  37545 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  37548 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37552 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37559 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  37562 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37566 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37571 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37574 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  37578 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37581 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37586 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37591 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_S),
     /*  37603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37608 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*  37612 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37622 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37629 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37634 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37639 */     // GIR_Coverage, 10055,
     /*  37639 */     GIR_EraseRootFromParent_Done,
     /*  37640 */   // Label 604: @37640
     /*  37640 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(37797), // Rule ID 10056 //
     /*  37645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  37648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  37660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  37664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  37668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  37672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  37676 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /*  37679 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  37684 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  37688 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  37690 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  37695 */     // MIs[2] pred
     /*  37695 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/3, /*OtherMI*/2, /*OtherOpIdx*/2,
     /*  37700 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  37702 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (trunc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>))  =>  (EXTRACT_SUBREG:{ *:[i32] } (DECP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  37702 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /*  37705 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  37709 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  37716 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  37719 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  37723 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37728 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  37731 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  37735 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/20,
     /*  37738 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37743 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  37748 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  37756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_D),
     /*  37760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  37765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // pred
     /*  37769 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  37772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  37774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  37777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  37779 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /*  37786 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37791 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  37796 */     // GIR_Coverage, 10056,
     /*  37796 */     GIR_EraseRootFromParent_Done,
     /*  37797 */   // Label 605: @37797
     /*  37797 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(37833), // Rule ID 3918 //
     /*  37802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  37810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32_i32),
     /*  37817 */     // (sub:{ *:[i32] } GPR32sp:{ *:[i32] }:$R2, arith_extended_reg32_i32:{ *:[i32] }:$R3)  =>  (SUBSWrx:{ *:[i32] }:{ *:[i32] } GPR32sp:{ *:[i32] }:$R2, arith_extended_reg32_i32:{ *:[i32] }:$R3)
     /*  37817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWrx),
     /*  37820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37822 */     GIR_RootToRootCopy, /*OpIdx*/1, // R2
     /*  37824 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // R3
     /*  37828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  37831 */     GIR_RootConstrainSelectedInstOperands,
     /*  37832 */     // GIR_Coverage, 3918,
     /*  37832 */     GIR_EraseRootFromParent_Done,
     /*  37833 */   // Label 606: @37833
     /*  37833 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(37866), // Rule ID 3923 //
     /*  37838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  37842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm32),
     /*  37853 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (ADDWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, neg_addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*  37853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDWri),
     /*  37856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37858 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  37860 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  37864 */     GIR_RootConstrainSelectedInstOperands,
     /*  37865 */     // GIR_Coverage, 3923,
     /*  37865 */     GIR_EraseRootFromParent_Done,
     /*  37866 */   // Label 607: @37866
     /*  37866 */   GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(37902), // Rule ID 3912 //
     /*  37871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  37879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm32),
     /*  37886 */     // (sub:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)  =>  (SUBSWri:{ *:[i32] }:{ *:[i32] } GPR32sp:{ *:[i32] }:$Rn, addsub_shifted_imm32:{ *:[i32] }:$imm)
     /*  37886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWri),
     /*  37889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37891 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  37893 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  37897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  37900 */     GIR_RootConstrainSelectedInstOperands,
     /*  37901 */     // GIR_Coverage, 3912,
     /*  37901 */     GIR_EraseRootFromParent_Done,
     /*  37902 */   // Label 608: @37902
     /*  37902 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(37938), // Rule ID 3916 //
     /*  37907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg32),
     /*  37922 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm)  =>  (SUBSWrs:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, arith_shifted_reg32:{ *:[i32] }:$Rm)
     /*  37922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSWrs),
     /*  37925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  37927 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  37929 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm
     /*  37933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  37936 */     GIR_RootConstrainSelectedInstOperands,
     /*  37937 */     // GIR_Coverage, 3916,
     /*  37937 */     GIR_EraseRootFromParent_Done,
     /*  37938 */   // Label 609: @37938
     /*  37938 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(37968), // Rule ID 3914 //
     /*  37943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  37955 */     // (sub:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SUBSWrr:{ *:[i32] }:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  37955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBSWrr),
     /*  37960 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AArch64::NZCV), GIMT_Encode2(RegState::Dead),
     /*  37966 */     GIR_RootConstrainSelectedInstOperands,
     /*  37967 */     // GIR_Coverage, 3914,
     /*  37967 */     GIR_Done,
     /*  37968 */   // Label 610: @37968
     /*  37968 */   GIM_Reject,
     /*  37969 */ // Label 596: @37969
     /*  37969 */ GIM_Reject,
     /*  37970 */ // Label 583: @37970
     /*  37970 */ GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(41251),
     /*  37975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  37978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  37981 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(38117), // Rule ID 5401 //
     /*  37986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  37990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  37994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  37998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  38010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38014 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38019 */     // MIs[1] Operand 2
     /*  38019 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38030 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38034 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38038 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38042 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38046 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  38050 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38054 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38059 */     // MIs[3] Operand 2
     /*  38059 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38070 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38072 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  38079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38084 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38088 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38099 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38106 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38111 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38116 */     // GIR_Coverage, 5401,
     /*  38116 */     GIR_EraseRootFromParent_Done,
     /*  38117 */   // Label 612: @38117
     /*  38117 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(38253), // Rule ID 5400 //
     /*  38122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  38146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38155 */     // MIs[1] Operand 2
     /*  38155 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38166 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38170 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38174 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38178 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38182 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38186 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38190 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38195 */     // MIs[3] Operand 2
     /*  38195 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38206 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38208 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  38215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38235 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38242 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38247 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38252 */     // GIR_Coverage, 5400,
     /*  38252 */     GIR_EraseRootFromParent_Done,
     /*  38253 */   // Label 613: @38253
     /*  38253 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(38389), // Rule ID 5410 //
     /*  38258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  38282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38291 */     // MIs[1] Operand 2
     /*  38291 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38302 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38306 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38310 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38314 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38318 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  38322 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38326 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38331 */     // MIs[3] Operand 2
     /*  38331 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38342 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38344 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SSUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv2i32_v2i64),
     /*  38351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38356 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38360 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38371 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38378 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38383 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38388 */     // GIR_Coverage, 5410,
     /*  38388 */     GIR_EraseRootFromParent_Done,
     /*  38389 */   // Label 614: @38389
     /*  38389 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(38525), // Rule ID 5399 //
     /*  38394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38418 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38427 */     // MIs[1] Operand 2
     /*  38427 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38438 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38442 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38446 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38450 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38454 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  38458 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38462 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38467 */     // MIs[3] Operand 2
     /*  38467 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38478 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38480 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  38487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38492 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38496 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38507 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38514 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38519 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38524 */     // GIR_Coverage, 5399,
     /*  38524 */     GIR_EraseRootFromParent_Done,
     /*  38525 */   // Label 615: @38525
     /*  38525 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(38661), // Rule ID 5398 //
     /*  38530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  38538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38554 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38563 */     // MIs[1] Operand 2
     /*  38563 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  38574 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  38578 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  38582 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  38586 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  38590 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38594 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  38598 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38603 */     // MIs[3] Operand 2
     /*  38603 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  38614 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  38616 */     // (sub:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  38616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  38619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  38623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38632 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  38636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  38643 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  38650 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  38655 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  38660 */     // GIR_Coverage, 5398,
     /*  38660 */     GIR_EraseRootFromParent_Done,
     /*  38661 */   // Label 616: @38661
     /*  38661 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(38798), // Rule ID 3970 //
     /*  38666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38670 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  38674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  38682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  38686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  38690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  38698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  38702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38707 */     // MIs[2] Operand 2
     /*  38707 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  38718 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  38722 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  38726 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  38730 */     // MIs[3] Operand 1
     /*  38730 */     // No operand predicates
     /*  38730 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  38732 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  38732 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  38735 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  38739 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38744 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  38749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  38751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  38754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  38758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38763 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  38769 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  38774 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  38782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  38790 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38796 */     GIR_RootConstrainSelectedInstOperands,
     /*  38797 */     // GIR_Coverage, 3970,
     /*  38797 */     GIR_EraseRootFromParent_Done,
     /*  38798 */   // Label 617: @38798
     /*  38798 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(38897), // Rule ID 3968 //
     /*  38803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38807 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  38811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  38819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  38823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  38827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  38835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  38839 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  38844 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  38848 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  38852 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  38856 */     // MIs[3] Operand 1
     /*  38856 */     // No operand predicates
     /*  38856 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  38858 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  38858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  38861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  38865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38870 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  38875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  38880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38895 */     GIR_RootConstrainSelectedInstOperands,
     /*  38896 */     // GIR_Coverage, 3968,
     /*  38896 */     GIR_EraseRootFromParent_Done,
     /*  38897 */   // Label 618: @38897
     /*  38897 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(38996), // Rule ID 3969 //
     /*  38902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  38906 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  38910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  38914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  38918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  38922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  38926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  38930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  38934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  38938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  38943 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  38947 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  38951 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*  38955 */     // MIs[3] Operand 1
     /*  38955 */     // No operand predicates
     /*  38955 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  38957 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  38957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  38960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  38964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  38969 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  38974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  38976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  38979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  38981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  38985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  38988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  38994 */     GIR_RootConstrainSelectedInstOperands,
     /*  38995 */     // GIR_Coverage, 3969,
     /*  38995 */     GIR_EraseRootFromParent_Done,
     /*  38996 */   // Label 619: @38996
     /*  38996 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(39082), // Rule ID 3963 //
     /*  39001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39005 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  39009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39042 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39046 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39050 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  39054 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39059 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39061 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  39061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  39064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  39074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39080 */     GIR_RootConstrainSelectedInstOperands,
     /*  39081 */     // GIR_Coverage, 3963,
     /*  39081 */     GIR_EraseRootFromParent_Done,
     /*  39082 */   // Label 620: @39082
     /*  39082 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(39168), // Rule ID 3964 //
     /*  39087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39091 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  39095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39111 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39115 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39119 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39123 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39128 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39132 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39136 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  39140 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39145 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39147 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  39147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  39150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  39160 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39166 */     GIR_RootConstrainSelectedInstOperands,
     /*  39167 */     // GIR_Coverage, 3964,
     /*  39167 */     GIR_EraseRootFromParent_Done,
     /*  39168 */   // Label 621: @39168
     /*  39168 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(39301), // Rule ID 3976 //
     /*  39173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  39205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  39209 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39214 */     // MIs[2] Operand 2
     /*  39214 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  39225 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39229 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  39233 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  39237 */     // MIs[3] Operand 1
     /*  39237 */     // No operand predicates
     /*  39237 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39239 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*  39239 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  39242 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  39246 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39251 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  39256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  39258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  39261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  39265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39270 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  39276 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39281 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  39289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  39294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  39297 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39299 */     GIR_RootConstrainSelectedInstOperands,
     /*  39300 */     // GIR_Coverage, 3976,
     /*  39300 */     GIR_EraseRootFromParent_Done,
     /*  39301 */   // Label 622: @39301
     /*  39301 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(39396), // Rule ID 3974 //
     /*  39306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39326 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39342 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39347 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39351 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  39355 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  39359 */     // MIs[3] Operand 1
     /*  39359 */     // No operand predicates
     /*  39359 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39361 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*  39361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  39364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  39368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39373 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  39378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  39383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  39392 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39394 */     GIR_RootConstrainSelectedInstOperands,
     /*  39395 */     // GIR_Coverage, 3974,
     /*  39395 */     GIR_EraseRootFromParent_Done,
     /*  39396 */   // Label 623: @39396
     /*  39396 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(39491), // Rule ID 3975 //
     /*  39401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39437 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39442 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39446 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  39450 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*  39454 */     // MIs[3] Operand 1
     /*  39454 */     // No operand predicates
     /*  39454 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39456 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), GPR64:{ *:[i64] }:$Ra)
     /*  39456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  39459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  39463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  39468 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  39473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  39475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  39478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  39487 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39489 */     GIR_RootConstrainSelectedInstOperands,
     /*  39490 */     // GIR_Coverage, 3975,
     /*  39490 */     GIR_EraseRootFromParent_Done,
     /*  39491 */   // Label 624: @39491
     /*  39491 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(39573), // Rule ID 124 //
     /*  39496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39537 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39541 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  39545 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  39549 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39554 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39556 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (SMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*  39556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMSUBLrrr),
     /*  39559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  39569 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39571 */     GIR_RootConstrainSelectedInstOperands,
     /*  39572 */     // GIR_Coverage, 124,
     /*  39572 */     GIR_EraseRootFromParent_Done,
     /*  39573 */   // Label 625: @39573
     /*  39573 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(39655), // Rule ID 126 //
     /*  39578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  39614 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  39623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  39627 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  39631 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  39636 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  39638 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Ra, (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm)))  =>  (UMSUBLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, GPR64:{ *:[i64] }:$Ra)
     /*  39638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMSUBLrrr),
     /*  39641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  39647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  39651 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ra
     /*  39653 */     GIR_RootConstrainSelectedInstOperands,
     /*  39654 */     // GIR_Coverage, 126,
     /*  39654 */     GIR_EraseRootFromParent_Done,
     /*  39655 */   // Label 626: @39655
     /*  39655 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(39717), // Rule ID 3954 //
     /*  39660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39664 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*  39668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*  39676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  39680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  39684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39696 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (mul:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm))  =>  (MSUBXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  39696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBXrrr),
     /*  39699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  39701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  39705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  39709 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  39715 */     GIR_RootConstrainSelectedInstOperands,
     /*  39716 */     // GIR_Coverage, 3954,
     /*  39716 */     GIR_EraseRootFromParent_Done,
     /*  39717 */   // Label 627: @39717
     /*  39717 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(39775), // Rule ID 9912 //
     /*  39722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  39725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  39741 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  39744 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /*  39749 */     // MIs[1] pattern
     /*  39749 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  39752 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  39757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39759 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1332:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECB_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  39759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECB_XPiI),
     /*  39762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  39764 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  39766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  39770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  39773 */     GIR_RootConstrainSelectedInstOperands,
     /*  39774 */     // GIR_Coverage, 9912,
     /*  39774 */     GIR_EraseRootFromParent_Done,
     /*  39775 */   // Label 628: @39775
     /*  39775 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(39833), // Rule ID 9924 //
     /*  39780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  39783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  39799 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  39802 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /*  39807 */     // MIs[1] pattern
     /*  39807 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  39810 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  39815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39817 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1334:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECH_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  39817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECH_XPiI),
     /*  39820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  39822 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  39824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  39828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  39831 */     GIR_RootConstrainSelectedInstOperands,
     /*  39832 */     // GIR_Coverage, 9924,
     /*  39832 */     GIR_EraseRootFromParent_Done,
     /*  39833 */   // Label 629: @39833
     /*  39833 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(39891), // Rule ID 9936 //
     /*  39838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  39841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  39857 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  39860 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /*  39865 */     // MIs[1] pattern
     /*  39865 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  39868 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  39873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39875 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1340:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECW_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  39875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECW_XPiI),
     /*  39878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  39880 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  39882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  39886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  39889 */     GIR_RootConstrainSelectedInstOperands,
     /*  39890 */     // GIR_Coverage, 9936,
     /*  39890 */     GIR_EraseRootFromParent_Done,
     /*  39891 */   // Label 630: @39891
     /*  39891 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(39949), // Rule ID 9948 //
     /*  39896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_UseScalarIncVL),
     /*  39899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  39907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  39915 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  39918 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /*  39923 */     // MIs[1] pattern
     /*  39923 */     GIM_CheckIsImm, /*MI*/1, /*Op*/2,
     /*  39926 */     GIM_CheckImmOperandPredicate, /*MI*/1, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /*  39931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  39933 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (intrinsic_wo_chain:{ *:[i64] } 1333:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern))  =>  (DECD_XPiI:{ *:[i64] } GPR64:{ *:[i64] }:$Rdn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /*  39933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECD_XPiI),
     /*  39936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  39938 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rdn
     /*  39940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pattern
     /*  39944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  39947 */     GIR_RootConstrainSelectedInstOperands,
     /*  39948 */     // GIR_Coverage, 9948,
     /*  39948 */     GIR_EraseRootFromParent_Done,
     /*  39949 */   // Label 631: @39949
     /*  39949 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(40112), // Rule ID 5365 //
     /*  39954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  39966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  39970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  39974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  39978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  39982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  39986 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  39990 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  39995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40000 */     // MIs[1] Operand 2
     /*  40000 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  40011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40013 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SMLSLv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  40013 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  40016 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40020 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40027 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  40030 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40034 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40039 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40042 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  40046 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40049 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40054 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40059 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_v2i64),
     /*  40071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40076 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  40083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  40087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40094 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40101 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40106 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40111 */     // GIR_Coverage, 5365,
     /*  40111 */     GIR_EraseRootFromParent_Done,
     /*  40112 */   // Label 632: @40112
     /*  40112 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(40275), // Rule ID 5362 //
     /*  40117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  40137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  40145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40149 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  40153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40163 */     // MIs[1] Operand 2
     /*  40163 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  40174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40176 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Ra, (extract_subvector:{ *:[v1i64] } (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (UMLSLv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  40176 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  40179 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40183 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40190 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  40193 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40197 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40202 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40205 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  40209 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40212 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40217 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40222 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_v2i64),
     /*  40234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40239 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40242 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  40246 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  40250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40257 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40264 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40269 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40274 */     // GIR_Coverage, 5362,
     /*  40274 */     GIR_EraseRootFromParent_Done,
     /*  40275 */   // Label 633: @40275
     /*  40275 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(40425), // Rule ID 5407 //
     /*  40280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  40300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  40308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40317 */     // MIs[1] Operand 2
     /*  40317 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  40328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40330 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  40330 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  40333 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40337 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40344 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  40347 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40351 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40356 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40359 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  40363 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40366 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40371 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40376 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  40388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40393 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  40400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40407 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40414 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40419 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40424 */     // GIR_Coverage, 5407,
     /*  40424 */     GIR_EraseRootFromParent_Done,
     /*  40425 */   // Label 634: @40425
     /*  40425 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(40575), // Rule ID 5413 //
     /*  40430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  40450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  40458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40467 */     // MIs[1] Operand 2
     /*  40467 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  40478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40480 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (SSUBWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  40480 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  40483 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40487 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40494 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  40497 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40501 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40506 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40509 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  40513 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40516 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40521 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40526 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv2i32_v2i64),
     /*  40538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40543 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40546 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  40550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40557 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40564 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40569 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40574 */     // GIR_Coverage, 5413,
     /*  40574 */     GIR_EraseRootFromParent_Done,
     /*  40575 */   // Label 635: @40575
     /*  40575 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(40725), // Rule ID 5406 //
     /*  40580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  40596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  40600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  40604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  40608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  40612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40617 */     // MIs[1] Operand 2
     /*  40617 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  40628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  40630 */     // (sub:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, (extract_subvector:{ *:[v1i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (USUBWv2i32_v2i64:{ *:[v2i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v2i32] }:$Rm), dsub:{ *:[i32] })
     /*  40630 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  40633 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  40637 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  40644 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /*  40647 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  40651 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40656 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  40659 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  40663 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  40666 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40671 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40676 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  40684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  40688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  40693 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  40696 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  40700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  40702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  40705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  40707 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  40714 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  40719 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  40724 */     // GIR_Coverage, 5406,
     /*  40724 */     GIR_EraseRootFromParent_Done,
     /*  40725 */   // Label 636: @40725
     /*  40725 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(40761), // Rule ID 3919 //
     /*  40730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  40738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_extended_reg32to64_i64),
     /*  40745 */     // (sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$R2, arith_extended_reg32to64_i64:{ *:[i64] }:$R3)  =>  (SUBSXrx:{ *:[i64] }:{ *:[i32] } GPR64sp:{ *:[i64] }:$R2, arith_extended_reg32to64_i64:{ *:[i64] }:$R3)
     /*  40745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXrx),
     /*  40748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40750 */     GIR_RootToRootCopy, /*OpIdx*/1, // R2
     /*  40752 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // R3
     /*  40756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  40759 */     GIR_RootConstrainSelectedInstOperands,
     /*  40760 */     // GIR_Coverage, 3919,
     /*  40760 */     GIR_EraseRootFromParent_Done,
     /*  40761 */   // Label 637: @40761
     /*  40761 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(40794), // Rule ID 3924 //
     /*  40766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  40770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_neg_addsub_shifted_imm64),
     /*  40781 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (ADDXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, neg_addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*  40781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDXri),
     /*  40784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40786 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40788 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  40792 */     GIR_RootConstrainSelectedInstOperands,
     /*  40793 */     // GIR_Coverage, 3924,
     /*  40793 */     GIR_EraseRootFromParent_Done,
     /*  40794 */   // Label 638: @40794
     /*  40794 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(40830), // Rule ID 3913 //
     /*  40799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  40807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_addsub_shifted_imm64),
     /*  40814 */     // (sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)  =>  (SUBSXri:{ *:[i64] }:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, addsub_shifted_imm64:{ *:[i64] }:$imm)
     /*  40814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXri),
     /*  40817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40819 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40821 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // imm
     /*  40825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  40828 */     GIR_RootConstrainSelectedInstOperands,
     /*  40829 */     // GIR_Coverage, 3913,
     /*  40829 */     GIR_EraseRootFromParent_Done,
     /*  40830 */   // Label 639: @40830
     /*  40830 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(40866), // Rule ID 3917 //
     /*  40835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_arith_shifted_reg64),
     /*  40850 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm)  =>  (SUBSXrs:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, arith_shifted_reg64:{ *:[i64] }:$Rm)
     /*  40850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBSXrs),
     /*  40853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  40855 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40857 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm
     /*  40861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  40864 */     GIR_RootConstrainSelectedInstOperands,
     /*  40865 */     // GIR_Coverage, 3917,
     /*  40865 */     GIR_EraseRootFromParent_Done,
     /*  40866 */   // Label 640: @40866
     /*  40866 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(40929), // Rule ID 10045 //
     /*  40871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  40874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  40890 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  40893 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  40898 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  40902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  40904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  40909 */     // MIs[1] pred
     /*  40909 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  40914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40916 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$pred, PPRAny:{ *:[nxv16i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (DECP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  40916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_B),
     /*  40919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  40921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  40925 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40927 */     GIR_RootConstrainSelectedInstOperands,
     /*  40928 */     // GIR_Coverage, 10045,
     /*  40928 */     GIR_EraseRootFromParent_Done,
     /*  40929 */   // Label 641: @40929
     /*  40929 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(40992), // Rule ID 10046 //
     /*  40934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  40937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  40945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  40949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  40953 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  40956 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  40961 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  40965 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  40967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  40972 */     // MIs[1] pred
     /*  40972 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  40977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  40979 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv8i1] }:$pred, PPRAny:{ *:[nxv8i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (DECP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  40979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_H),
     /*  40982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  40984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  40988 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  40990 */     GIR_RootConstrainSelectedInstOperands,
     /*  40991 */     // GIR_Coverage, 10046,
     /*  40991 */     GIR_EraseRootFromParent_Done,
     /*  40992 */   // Label 642: @40992
     /*  40992 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(41055), // Rule ID 10047 //
     /*  40997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  41000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  41016 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  41019 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  41024 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  41028 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  41030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  41035 */     // MIs[1] pred
     /*  41035 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  41040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41042 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv4i1] }:$pred, PPRAny:{ *:[nxv4i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (DECP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  41042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_S),
     /*  41045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  41047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  41051 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  41053 */     GIR_RootConstrainSelectedInstOperands,
     /*  41054 */     // GIR_Coverage, 10047,
     /*  41054 */     GIR_EraseRootFromParent_Done,
     /*  41055 */   // Label 643: @41055
     /*  41055 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(41118), // Rule ID 10048 //
     /*  41060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  41063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  41079 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  41082 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /*  41087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  41091 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  41093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  41098 */     // MIs[1] pred
     /*  41098 */     GIM_CheckIsSameOperand, /*MI*/1, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  41103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41105 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, PPRAny:{ *:[nxv2i1] }:$pred, PPRAny:{ *:[nxv2i1] }:$pred)<<P:Predicate_int_aarch64_sve_cntp_oneuse>>)  =>  (DECP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$pred, ?:{ *:[i64] }:$Rn)
     /*  41105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DECP_XP_D),
     /*  41108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /*  41110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // pred
     /*  41114 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  41116 */     GIR_RootConstrainSelectedInstOperands,
     /*  41117 */     // GIR_Coverage, 10048,
     /*  41117 */     GIR_EraseRootFromParent_Done,
     /*  41118 */   // Label 644: @41118
     /*  41118 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(41157), // Rule ID 1655 //
     /*  41123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41134 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  41140 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  41142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41148 */     // (sub:{ *:[v1i64] } immAllZerosV:{ *:[v1i64] }, FPR64:{ *:[v1i64] }:$Rn)  =>  (NEGv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /*  41148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv1i64),
     /*  41151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  41153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41155 */     GIR_RootConstrainSelectedInstOperands,
     /*  41156 */     // GIR_Coverage, 1655,
     /*  41156 */     GIR_EraseRootFromParent_Done,
     /*  41157 */   // Label 645: @41157
     /*  41157 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(41193), // Rule ID 5248 //
     /*  41162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41170 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  41176 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  41178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  41184 */     // (sub:{ *:[i64] } immAllZerosV:{ *:[i64] }, FPR64:{ *:[i64] }:$Rn)  =>  (NEGv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /*  41184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv1i64),
     /*  41187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  41189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  41191 */     GIR_RootConstrainSelectedInstOperands,
     /*  41192 */     // GIR_Coverage, 5248,
     /*  41192 */     GIR_EraseRootFromParent_Done,
     /*  41193 */   // Label 646: @41193
     /*  41193 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(41220), // Rule ID 1644 //
     /*  41198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  41201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41213 */     // (sub:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SUBv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /*  41213 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv1i64),
     /*  41218 */     GIR_RootConstrainSelectedInstOperands,
     /*  41219 */     // GIR_Coverage, 1644,
     /*  41219 */     GIR_Done,
     /*  41220 */   // Label 647: @41220
     /*  41220 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(41250), // Rule ID 3915 //
     /*  41225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  41237 */     // (sub:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SUBSXrr:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  41237 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBSXrr),
     /*  41242 */     GIR_AddImplicitDef, /*InsnID*/0, GIMT_Encode2(AArch64::NZCV), GIMT_Encode2(RegState::Dead),
     /*  41248 */     GIR_RootConstrainSelectedInstOperands,
     /*  41249 */     // GIR_Coverage, 3915,
     /*  41249 */     GIR_Done,
     /*  41250 */   // Label 648: @41250
     /*  41250 */   GIM_Reject,
     /*  41251 */ // Label 611: @41251
     /*  41251 */ GIM_Reject,
     /*  41252 */ // Label 584: @41252
     /*  41252 */ GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(42742),
     /*  41257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  41260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  41263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41267 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(41399), // Rule ID 5397 //
     /*  41272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  41292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41301 */     // MIs[1] Operand 2
     /*  41301 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41312 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41316 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41320 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41324 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41328 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  41332 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41336 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41341 */     // MIs[3] Operand 2
     /*  41341 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41352 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41354 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  41361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41366 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41370 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41381 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41388 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41393 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41398 */     // GIR_Coverage, 5397,
     /*  41398 */     GIR_EraseRootFromParent_Done,
     /*  41399 */   // Label 650: @41399
     /*  41399 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(41531), // Rule ID 5396 //
     /*  41404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  41424 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41428 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41433 */     // MIs[1] Operand 2
     /*  41433 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41444 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41448 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41452 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41456 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41460 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  41464 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41468 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41473 */     // MIs[3] Operand 2
     /*  41473 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41484 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41486 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  41493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41498 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41502 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41513 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41520 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41525 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41530 */     // GIR_Coverage, 5396,
     /*  41530 */     GIR_EraseRootFromParent_Done,
     /*  41531 */   // Label 651: @41531
     /*  41531 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(41663), // Rule ID 5409 //
     /*  41536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  41556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41560 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41565 */     // MIs[1] Operand 2
     /*  41565 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41576 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41580 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41584 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41588 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41592 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  41596 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41600 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41605 */     // MIs[3] Operand 2
     /*  41605 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41616 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41618 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SSUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv4i16_v4i32),
     /*  41625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41630 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41645 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41652 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41657 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41662 */     // GIR_Coverage, 5409,
     /*  41662 */     GIR_EraseRootFromParent_Done,
     /*  41663 */   // Label 652: @41663
     /*  41663 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(41795), // Rule ID 5395 //
     /*  41668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41680 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41684 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  41688 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41697 */     // MIs[1] Operand 2
     /*  41697 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41708 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41712 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41716 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41720 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41724 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  41728 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41732 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41737 */     // MIs[3] Operand 2
     /*  41737 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41748 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41750 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  41757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41762 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41766 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41777 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41784 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41789 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41794 */     // GIR_Coverage, 5395,
     /*  41794 */     GIR_EraseRootFromParent_Done,
     /*  41795 */   // Label 653: @41795
     /*  41795 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(41927), // Rule ID 5394 //
     /*  41800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  41804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  41820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41829 */     // MIs[1] Operand 2
     /*  41829 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41840 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  41844 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41848 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41852 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  41856 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  41860 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41864 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41869 */     // MIs[3] Operand 2
     /*  41869 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  41880 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  41882 */     // (sub:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  41885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  41889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  41898 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  41902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  41904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  41907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  41909 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  41916 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41921 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  41926 */     // GIR_Coverage, 5394,
     /*  41926 */     GIR_EraseRootFromParent_Done,
     /*  41927 */   // Label 654: @41927
     /*  41927 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(42086), // Rule ID 5364 //
     /*  41932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  41940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  41944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  41948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  41952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  41956 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  41960 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  41964 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  41974 */     // MIs[1] Operand 2
     /*  41974 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  41985 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  41987 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SMLSLv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  41987 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  41990 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  41994 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  41999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42001 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  42004 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42008 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42013 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42016 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  42020 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  42023 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42028 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42033 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_v4i32),
     /*  42045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42050 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  42057 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  42061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42068 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42075 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42080 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42085 */     // GIR_Coverage, 5364,
     /*  42085 */     GIR_EraseRootFromParent_Done,
     /*  42086 */   // Label 655: @42086
     /*  42086 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(42245), // Rule ID 5361 //
     /*  42091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  42115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  42119 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  42123 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42128 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42133 */     // MIs[1] Operand 2
     /*  42133 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42146 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Ra, (extract_subvector:{ *:[v2i32] } (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (UMLSLv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  42146 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  42149 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42153 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42160 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  42163 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42167 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42172 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42175 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  42179 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  42182 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42187 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42192 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_v4i32),
     /*  42204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42209 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42212 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  42216 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  42220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42227 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42234 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42239 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42244 */     // GIR_Coverage, 5361,
     /*  42244 */     GIR_EraseRootFromParent_Done,
     /*  42245 */   // Label 656: @42245
     /*  42245 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(42391), // Rule ID 5405 //
     /*  42250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  42274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  42278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42283 */     // MIs[1] Operand 2
     /*  42283 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42294 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42296 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  42296 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  42299 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42303 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42310 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  42313 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42317 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42322 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42325 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  42329 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  42332 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42337 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42342 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  42354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42359 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42362 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  42366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42373 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42380 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42385 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42390 */     // GIR_Coverage, 5405,
     /*  42390 */     GIR_EraseRootFromParent_Done,
     /*  42391 */   // Label 657: @42391
     /*  42391 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(42537), // Rule ID 5412 //
     /*  42396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  42420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  42424 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42429 */     // MIs[1] Operand 2
     /*  42429 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42440 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42442 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (SSUBWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  42442 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  42445 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42449 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42456 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  42459 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42463 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42468 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42471 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  42475 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  42478 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42483 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42488 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv4i16_v4i32),
     /*  42500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42505 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42508 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  42512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42519 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42526 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42531 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42536 */     // GIR_Coverage, 5412,
     /*  42536 */     GIR_EraseRootFromParent_Done,
     /*  42537 */   // Label 658: @42537
     /*  42537 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(42683), // Rule ID 5404 //
     /*  42542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  42566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  42570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42575 */     // MIs[1] Operand 2
     /*  42575 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  42586 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  42588 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (USUBWv4i16_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v4i16] }:$Rm), dsub:{ *:[i32] })
     /*  42588 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  42591 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  42595 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  42602 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /*  42605 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  42609 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42614 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  42617 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  42621 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  42624 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42629 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42634 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  42642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  42646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  42651 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  42654 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  42658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  42660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  42663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42665 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  42672 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42677 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42682 */     // GIR_Coverage, 5404,
     /*  42682 */     GIR_EraseRootFromParent_Done,
     /*  42683 */   // Label 659: @42683
     /*  42683 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(42718), // Rule ID 969 //
     /*  42688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  42695 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  42701 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  42703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  42709 */     // (sub:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn)  =>  (NEGv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /*  42709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv2i32),
     /*  42712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  42714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  42716 */     GIR_RootConstrainSelectedInstOperands,
     /*  42717 */     // GIR_Coverage, 969,
     /*  42717 */     GIR_EraseRootFromParent_Done,
     /*  42718 */   // Label 660: @42718
     /*  42718 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(42741), // Rule ID 1476 //
     /*  42723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  42734 */     // (sub:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  42734 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv2i32),
     /*  42739 */     GIR_RootConstrainSelectedInstOperands,
     /*  42740 */     // GIR_Coverage, 1476,
     /*  42740 */     GIR_Done,
     /*  42741 */   // Label 661: @42741
     /*  42741 */   GIM_Reject,
     /*  42742 */ // Label 649: @42742
     /*  42742 */ GIM_Reject,
     /*  42743 */ // Label 585: @42743
     /*  42743 */ GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(45202),
     /*  42748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  42751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  42754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42758 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(42872), // Rule ID 2048 //
     /*  42763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  42778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  42786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  42790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42798 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  42802 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  42806 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42810 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  42814 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42819 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  42823 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  42827 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  42831 */     // MIs[4] Operand 1
     /*  42831 */     // No operand predicates
     /*  42831 */     // MIs[2] Operand 2
     /*  42831 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  42842 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  42844 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  42851 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  42851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i32_indexed),
     /*  42854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42856 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  42858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  42863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  42867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  42870 */     GIR_RootConstrainSelectedInstOperands,
     /*  42871 */     // GIR_Coverage, 2048,
     /*  42871 */     GIR_EraseRootFromParent_Done,
     /*  42872 */   // Label 663: @42872
     /*  42872 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(42986), // Rule ID 13474 //
     /*  42877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  42888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  42892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  42896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  42900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  42904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  42908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42912 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  42916 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  42920 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  42924 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  42928 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42933 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  42937 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  42941 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  42945 */     // MIs[4] Operand 1
     /*  42945 */     // No operand predicates
     /*  42945 */     // MIs[2] Operand 2
     /*  42945 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  42956 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  42958 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  42965 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (SMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  42965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i32_indexed),
     /*  42968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  42970 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  42972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  42977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  42981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  42984 */     GIR_RootConstrainSelectedInstOperands,
     /*  42985 */     // GIR_Coverage, 13474,
     /*  42985 */     GIR_EraseRootFromParent_Done,
     /*  42986 */   // Label 664: @42986
     /*  42986 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(43100), // Rule ID 2100 //
     /*  42991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  42994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  42998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  43006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  43018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43026 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43030 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43034 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43038 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43042 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43047 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43051 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43055 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43059 */     // MIs[4] Operand 1
     /*  43059 */     // No operand predicates
     /*  43059 */     // MIs[2] Operand 2
     /*  43059 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  43070 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43072 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43079 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (UMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i32_indexed),
     /*  43082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43084 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43098 */     GIR_RootConstrainSelectedInstOperands,
     /*  43099 */     // GIR_Coverage, 2100,
     /*  43099 */     GIR_EraseRootFromParent_Done,
     /*  43100 */   // Label 665: @43100
     /*  43100 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(43214), // Rule ID 13504 //
     /*  43105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  43120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43140 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43144 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43148 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43152 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43156 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43161 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43165 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43169 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43173 */     // MIs[4] Operand 1
     /*  43173 */     // No operand predicates
     /*  43173 */     // MIs[2] Operand 2
     /*  43173 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /*  43184 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43186 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43193 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)))  =>  (UMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i32_indexed),
     /*  43196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43198 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43212 */     GIR_RootConstrainSelectedInstOperands,
     /*  43213 */     // GIR_Coverage, 13504,
     /*  43213 */     GIR_EraseRootFromParent_Done,
     /*  43214 */   // Label 666: @43214
     /*  43214 */   GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(43279), // Rule ID 1855 //
     /*  43219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  43230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  43242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43246 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43248 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43255 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43262 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  43265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43277 */     GIR_RootConstrainSelectedInstOperands,
     /*  43278 */     // GIR_Coverage, 1855,
     /*  43278 */     GIR_EraseRootFromParent_Done,
     /*  43279 */   // Label 667: @43279
     /*  43279 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(43344), // Rule ID 1854 //
     /*  43284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  43295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43311 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43313 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43320 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43327 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  43330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43342 */     GIR_RootConstrainSelectedInstOperands,
     /*  43343 */     // GIR_Coverage, 1854,
     /*  43343 */     GIR_EraseRootFromParent_Done,
     /*  43344 */   // Label 668: @43344
     /*  43344 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(43409), // Rule ID 1759 //
     /*  43349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  43360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  43372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43378 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43385 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43392 */     // (sub:{ *:[v2i64] } (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SSUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv4i32_v2i64),
     /*  43395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43407 */     GIR_RootConstrainSelectedInstOperands,
     /*  43408 */     // GIR_Coverage, 1759,
     /*  43408 */     GIR_EraseRootFromParent_Done,
     /*  43409 */   // Label 669: @43409
     /*  43409 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(43474), // Rule ID 1853 //
     /*  43414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  43437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43441 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43443 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43450 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43457 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  43460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43472 */     GIR_RootConstrainSelectedInstOperands,
     /*  43473 */     // GIR_Coverage, 1853,
     /*  43473 */     GIR_EraseRootFromParent_Done,
     /*  43474 */   // Label 670: @43474
     /*  43474 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(43539), // Rule ID 1852 //
     /*  43479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  43486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  43498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  43502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  43508 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43515 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  43522 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  43522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i32_v2i64),
     /*  43525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  43527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  43532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  43537 */     GIR_RootConstrainSelectedInstOperands,
     /*  43538 */     // GIR_Coverage, 1852,
     /*  43538 */     GIR_EraseRootFromParent_Done,
     /*  43539 */   // Label 671: @43539
     /*  43539 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(43650), // Rule ID 13472 //
     /*  43544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  43559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43587 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43591 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43595 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43600 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43604 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43608 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43612 */     // MIs[4] Operand 1
     /*  43612 */     // No operand predicates
     /*  43612 */     // MIs[2] Operand 2
     /*  43612 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  43623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43628 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43630 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  43633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43635 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  43641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43648 */     GIR_RootConstrainSelectedInstOperands,
     /*  43649 */     // GIR_Coverage, 13472,
     /*  43649 */     GIR_EraseRootFromParent_Done,
     /*  43650 */   // Label 672: @43650
     /*  43650 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(43761), // Rule ID 2046 //
     /*  43655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  43670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43674 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  43687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43695 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43699 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43703 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43707 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43711 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43716 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43720 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43724 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43728 */     // MIs[4] Operand 1
     /*  43728 */     // No operand predicates
     /*  43728 */     // MIs[2] Operand 2
     /*  43728 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  43739 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43741 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  43744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43746 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  43752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43759 */     GIR_RootConstrainSelectedInstOperands,
     /*  43760 */     // GIR_Coverage, 2046,
     /*  43760 */     GIR_EraseRootFromParent_Done,
     /*  43761 */   // Label 673: @43761
     /*  43761 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(43872), // Rule ID 13502 //
     /*  43766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  43781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  43793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43801 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43805 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43809 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43813 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43817 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43822 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43826 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43830 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43834 */     // MIs[4] Operand 1
     /*  43834 */     // No operand predicates
     /*  43834 */     // MIs[2] Operand 2
     /*  43834 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  43845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43850 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43852 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  43855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43857 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  43863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43870 */     GIR_RootConstrainSelectedInstOperands,
     /*  43871 */     // GIR_Coverage, 13502,
     /*  43871 */     GIR_EraseRootFromParent_Done,
     /*  43872 */   // Label 674: @43872
     /*  43872 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(43983), // Rule ID 2098 //
     /*  43877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  43892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  43896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  43900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  43905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  43909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  43913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43917 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  43921 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  43925 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  43929 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  43933 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43938 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  43942 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  43946 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  43950 */     // MIs[4] Operand 1
     /*  43950 */     // No operand predicates
     /*  43950 */     // MIs[2] Operand 2
     /*  43950 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  43961 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  43963 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  43963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  43966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  43968 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  43970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  43974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  43978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  43981 */     GIR_RootConstrainSelectedInstOperands,
     /*  43982 */     // GIR_Coverage, 2098,
     /*  43982 */     GIR_EraseRootFromParent_Done,
     /*  43983 */   // Label 675: @43983
     /*  43983 */   GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(44046), // Rule ID 1735 //
     /*  43988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  43991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  43995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  43999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  44003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44013 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44020 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44027 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SMLSLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  44027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i32_v2i64),
     /*  44030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44032 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  44039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  44044 */     GIR_RootConstrainSelectedInstOperands,
     /*  44045 */     // GIR_Coverage, 1735,
     /*  44045 */     GIR_EraseRootFromParent_Done,
     /*  44046 */   // Label 676: @44046
     /*  44046 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(44109), // Rule ID 1825 //
     /*  44051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  44066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44070 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44076 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44083 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44090 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UMLSLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  44090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i32_v2i64),
     /*  44093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44095 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  44102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  44107 */     GIR_RootConstrainSelectedInstOperands,
     /*  44108 */     // GIR_Coverage, 1825,
     /*  44108 */     GIR_EraseRootFromParent_Done,
     /*  44109 */   // Label 677: @44109
     /*  44109 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(44197), // Rule ID 13473 //
     /*  44114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  44129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  44141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  44145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  44149 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  44153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44158 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  44162 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44166 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  44170 */     // MIs[3] Operand 1
     /*  44170 */     // No operand predicates
     /*  44170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44175 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44177 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  44180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44182 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  44188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  44195 */     GIR_RootConstrainSelectedInstOperands,
     /*  44196 */     // GIR_Coverage, 13473,
     /*  44196 */     GIR_EraseRootFromParent_Done,
     /*  44197 */   // Label 678: @44197
     /*  44197 */   GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(44285), // Rule ID 2047 //
     /*  44202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  44217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44221 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  44234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  44238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  44242 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  44246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44251 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  44255 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44259 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  44263 */     // MIs[3] Operand 1
     /*  44263 */     // No operand predicates
     /*  44263 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44265 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_indexed),
     /*  44268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44270 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  44283 */     GIR_RootConstrainSelectedInstOperands,
     /*  44284 */     // GIR_Coverage, 2047,
     /*  44284 */     GIR_EraseRootFromParent_Done,
     /*  44285 */   // Label 679: @44285
     /*  44285 */   GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(44373), // Rule ID 13503 //
     /*  44290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  44305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  44317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  44321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  44325 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  44329 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44334 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  44338 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44342 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  44346 */     // MIs[3] Operand 1
     /*  44346 */     // No operand predicates
     /*  44346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44351 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44353 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  44356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44358 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  44364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  44371 */     GIR_RootConstrainSelectedInstOperands,
     /*  44372 */     // GIR_Coverage, 13503,
     /*  44372 */     GIR_EraseRootFromParent_Done,
     /*  44373 */   // Label 680: @44373
     /*  44373 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(44461), // Rule ID 2099 //
     /*  44378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  44393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  44410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  44414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  44418 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  44422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44427 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  44431 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  44435 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  44439 */     // MIs[3] Operand 1
     /*  44439 */     // No operand predicates
     /*  44439 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  44441 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  44441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_indexed),
     /*  44444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44446 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  44459 */     GIR_RootConstrainSelectedInstOperands,
     /*  44460 */     // GIR_Coverage, 2099,
     /*  44460 */     GIR_EraseRootFromParent_Done,
     /*  44461 */   // Label 681: @44461
     /*  44461 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(44508), // Rule ID 1867 //
     /*  44466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44487 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44494 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  44494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i32_v2i64),
     /*  44497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44499 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  44501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  44506 */     GIR_RootConstrainSelectedInstOperands,
     /*  44507 */     // GIR_Coverage, 1867,
     /*  44507 */     GIR_EraseRootFromParent_Done,
     /*  44508 */   // Label 682: @44508
     /*  44508 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(44555), // Rule ID 1765 //
     /*  44513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  44528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44534 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44541 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SSUBWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  44541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv4i32_v2i64),
     /*  44544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44546 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  44548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  44553 */     GIR_RootConstrainSelectedInstOperands,
     /*  44554 */     // GIR_Coverage, 1765,
     /*  44554 */     GIR_EraseRootFromParent_Done,
     /*  44555 */   // Label 683: @44555
     /*  44555 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(44602), // Rule ID 1866 //
     /*  44560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44581 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  44588 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (USUBWv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  44588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i32_v2i64),
     /*  44591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44593 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  44595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  44600 */     GIR_RootConstrainSelectedInstOperands,
     /*  44601 */     // GIR_Coverage, 1866,
     /*  44601 */     GIR_EraseRootFromParent_Done,
     /*  44602 */   // Label 684: @44602
     /*  44602 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(44661), // Rule ID 1851 //
     /*  44607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44639 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44644 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44646 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  44649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44659 */     GIR_RootConstrainSelectedInstOperands,
     /*  44660 */     // GIR_Coverage, 1851,
     /*  44660 */     GIR_EraseRootFromParent_Done,
     /*  44661 */   // Label 685: @44661
     /*  44661 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(44720), // Rule ID 1850 //
     /*  44666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44705 */     // (sub:{ *:[v2i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  44708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44718 */     GIR_RootConstrainSelectedInstOperands,
     /*  44719 */     // GIR_Coverage, 1850,
     /*  44719 */     GIR_EraseRootFromParent_Done,
     /*  44720 */   // Label 686: @44720
     /*  44720 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(44779), // Rule ID 1758 //
     /*  44725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  44736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  44753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44764 */     // (sub:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SSUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv2i32_v2i64),
     /*  44767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44777 */     GIR_RootConstrainSelectedInstOperands,
     /*  44778 */     // GIR_Coverage, 1758,
     /*  44778 */     GIR_EraseRootFromParent_Done,
     /*  44779 */   // Label 687: @44779
     /*  44779 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(44838), // Rule ID 1849 //
     /*  44784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  44812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44823 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  44826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44836 */     GIR_RootConstrainSelectedInstOperands,
     /*  44837 */     // GIR_Coverage, 1849,
     /*  44837 */     GIR_EraseRootFromParent_Done,
     /*  44838 */   // Label 688: @44838
     /*  44838 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(44897), // Rule ID 1848 //
     /*  44843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  44867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  44871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44875 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  44882 */     // (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv2i32_v2i64),
     /*  44885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  44895 */     GIR_RootConstrainSelectedInstOperands,
     /*  44896 */     // GIR_Coverage, 1848,
     /*  44896 */     GIR_EraseRootFromParent_Done,
     /*  44897 */   // Label 689: @44897
     /*  44897 */   GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(44932), // Rule ID 971 //
     /*  44902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  44909 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  44915 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  44917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44923 */     // (sub:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn)  =>  (NEGv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /*  44923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv2i64),
     /*  44926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  44928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  44930 */     GIR_RootConstrainSelectedInstOperands,
     /*  44931 */     // GIR_Coverage, 971,
     /*  44931 */     GIR_EraseRootFromParent_Done,
     /*  44932 */   // Label 690: @44932
     /*  44932 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(44989), // Rule ID 1734 //
     /*  44937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  44944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  44948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  44952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  44956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  44960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44965 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  44970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  44972 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SMLSLv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  44972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv2i32_v2i64),
     /*  44975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  44977 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  44979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  44983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  44987 */     GIR_RootConstrainSelectedInstOperands,
     /*  44988 */     // GIR_Coverage, 1734,
     /*  44988 */     GIR_EraseRootFromParent_Done,
     /*  44989 */   // Label 691: @44989
     /*  44989 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(45046), // Rule ID 1824 //
     /*  44994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  44997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  45009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  45013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  45017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45029 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UMLSLv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  45029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv2i32_v2i64),
     /*  45032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45034 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  45036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  45040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  45044 */     GIR_RootConstrainSelectedInstOperands,
     /*  45045 */     // GIR_Coverage, 1824,
     /*  45045 */     GIR_EraseRootFromParent_Done,
     /*  45046 */   // Label 692: @45046
     /*  45046 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(45090), // Rule ID 1865 //
     /*  45051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  45070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45077 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  45077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  45080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45082 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  45084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  45088 */     GIR_RootConstrainSelectedInstOperands,
     /*  45089 */     // GIR_Coverage, 1865,
     /*  45089 */     GIR_EraseRootFromParent_Done,
     /*  45090 */   // Label 693: @45090
     /*  45090 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(45134), // Rule ID 1764 //
     /*  45095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  45110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  45114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45121 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (SSUBWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  45121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv2i32_v2i64),
     /*  45124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45126 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  45128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  45132 */     GIR_RootConstrainSelectedInstOperands,
     /*  45133 */     // GIR_Coverage, 1764,
     /*  45133 */     GIR_EraseRootFromParent_Done,
     /*  45134 */   // Label 694: @45134
     /*  45134 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(45178), // Rule ID 1864 //
     /*  45139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  45158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  45165 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm))  =>  (USUBWv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  45165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv2i32_v2i64),
     /*  45168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  45170 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  45172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  45176 */     GIR_RootConstrainSelectedInstOperands,
     /*  45177 */     // GIR_Coverage, 1864,
     /*  45177 */     GIR_EraseRootFromParent_Done,
     /*  45178 */   // Label 695: @45178
     /*  45178 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(45201), // Rule ID 1478 //
     /*  45183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  45186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45194 */     // (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  45194 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv2i64),
     /*  45199 */     GIR_RootConstrainSelectedInstOperands,
     /*  45200 */     // GIR_Coverage, 1478,
     /*  45200 */     GIR_Done,
     /*  45201 */   // Label 696: @45201
     /*  45201 */   GIM_Reject,
     /*  45202 */ // Label 662: @45202
     /*  45202 */ GIM_Reject,
     /*  45203 */ // Label 586: @45203
     /*  45203 */ GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(46693),
     /*  45208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  45211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  45214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45218 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(45350), // Rule ID 5393 //
     /*  45223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45243 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45247 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45252 */     // MIs[1] Operand 2
     /*  45252 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45263 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45267 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45271 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45275 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45279 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45283 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45287 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45292 */     // MIs[3] Operand 2
     /*  45292 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45303 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45305 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  45312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45321 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45332 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45339 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45344 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45349 */     // GIR_Coverage, 5393,
     /*  45349 */     GIR_EraseRootFromParent_Done,
     /*  45350 */   // Label 698: @45350
     /*  45350 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(45482), // Rule ID 5392 //
     /*  45355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45379 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45384 */     // MIs[1] Operand 2
     /*  45384 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45395 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45399 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45403 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45407 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45411 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45415 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45419 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45424 */     // MIs[3] Operand 2
     /*  45424 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45435 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45437 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  45444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45449 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45464 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45471 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45476 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45481 */     // GIR_Coverage, 5392,
     /*  45481 */     GIR_EraseRootFromParent_Done,
     /*  45482 */   // Label 699: @45482
     /*  45482 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(45614), // Rule ID 5408 //
     /*  45487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  45507 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45516 */     // MIs[1] Operand 2
     /*  45516 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45527 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45531 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45535 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45539 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45543 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  45547 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45551 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45556 */     // MIs[3] Operand 2
     /*  45556 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45567 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45569 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SSUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv8i8_v8i16),
     /*  45576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45585 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45596 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45603 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45608 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45613 */     // GIR_Coverage, 5408,
     /*  45613 */     GIR_EraseRootFromParent_Done,
     /*  45614 */   // Label 700: @45614
     /*  45614 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(45746), // Rule ID 5391 //
     /*  45619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45643 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45648 */     // MIs[1] Operand 2
     /*  45648 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45659 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45663 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45667 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45671 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45675 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  45679 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45683 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45688 */     // MIs[3] Operand 2
     /*  45688 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45699 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45701 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  45708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45728 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45735 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45740 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45745 */     // GIR_Coverage, 5391,
     /*  45745 */     GIR_EraseRootFromParent_Done,
     /*  45746 */   // Label 701: @45746
     /*  45746 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(45878), // Rule ID 5390 //
     /*  45751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  45755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45775 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45780 */     // MIs[1] Operand 2
     /*  45780 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45791 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  45795 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45799 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45803 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  45807 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  45811 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45815 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45820 */     // MIs[3] Operand 2
     /*  45820 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /*  45831 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  45833 */     // (sub:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  45840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  45849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /*  45853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  45855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  45858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  45860 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  45867 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45872 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45877 */     // GIR_Coverage, 5390,
     /*  45877 */     GIR_EraseRootFromParent_Done,
     /*  45878 */   // Label 702: @45878
     /*  45878 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(46037), // Rule ID 5363 //
     /*  45883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  45891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  45895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  45899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  45903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_SMULL),
     /*  45907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  45911 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  45915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45925 */     // MIs[1] Operand 2
     /*  45925 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  45936 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  45938 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SMLSLv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  45938 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  45941 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  45945 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  45952 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  45955 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  45959 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  45964 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  45967 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  45971 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  45974 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45979 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  45984 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  45989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  45992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i8_v8i16),
     /*  45996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46001 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46004 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  46008 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  46012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46019 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  46026 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46031 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46036 */     // GIR_Coverage, 5363,
     /*  46036 */     GIR_EraseRootFromParent_Done,
     /*  46037 */   // Label 703: @46037
     /*  46037 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(46196), // Rule ID 5360 //
     /*  46042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UMULL),
     /*  46066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46070 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  46074 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46079 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46084 */     // MIs[1] Operand 2
     /*  46084 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  46095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46097 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Ra, (extract_subvector:{ *:[v4i16] } (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (UMLSLv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Ra, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  46097 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  46100 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46104 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  46111 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46114 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46118 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46123 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  46126 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ra
     /*  46130 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  46133 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46138 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46143 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  46151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i8_v8i16),
     /*  46155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46160 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46163 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  46167 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  46171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46178 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  46185 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46190 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46195 */     // GIR_Coverage, 5360,
     /*  46195 */     GIR_EraseRootFromParent_Done,
     /*  46196 */   // Label 704: @46196
     /*  46196 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(46342), // Rule ID 5403 //
     /*  46201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  46225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46229 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46234 */     // MIs[1] Operand 2
     /*  46234 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  46245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46247 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  46247 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  46250 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46254 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  46261 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46264 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46268 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46273 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  46276 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  46280 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  46283 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46288 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46293 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  46301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  46305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46310 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46313 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  46317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46324 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  46331 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46336 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46341 */     // GIR_Coverage, 5403,
     /*  46341 */     GIR_EraseRootFromParent_Done,
     /*  46342 */   // Label 705: @46342
     /*  46342 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(46488), // Rule ID 5411 //
     /*  46347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  46371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46380 */     // MIs[1] Operand 2
     /*  46380 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  46391 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46393 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (SSUBWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  46393 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  46396 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46400 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  46407 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46410 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46414 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46419 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  46422 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  46426 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  46429 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46434 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46439 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  46447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv8i8_v8i16),
     /*  46451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46456 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  46463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46470 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  46477 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46482 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46487 */     // GIR_Coverage, 5411,
     /*  46487 */     GIR_EraseRootFromParent_Done,
     /*  46488 */   // Label 706: @46488
     /*  46488 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(46634), // Rule ID 5402 //
     /*  46493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  46517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  46521 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46526 */     // MIs[1] Operand 2
     /*  46526 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  46537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  46539 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (USUBWv8i8_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V64:{ *:[v8i8] }:$Rm), dsub:{ *:[i32] })
     /*  46539 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  46542 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  46546 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  46553 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /*  46556 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  46560 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46565 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /*  46568 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  46572 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /*  46575 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46580 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46585 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  46593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  46597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  46602 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  46605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  46609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  46611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  46614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46616 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /*  46623 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46628 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46633 */     // GIR_Coverage, 5402,
     /*  46633 */     GIR_EraseRootFromParent_Done,
     /*  46634 */   // Label 707: @46634
     /*  46634 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(46669), // Rule ID 967 //
     /*  46639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  46646 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  46652 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  46654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  46660 */     // (sub:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn)  =>  (NEGv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /*  46660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv4i16),
     /*  46663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  46665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  46667 */     GIR_RootConstrainSelectedInstOperands,
     /*  46668 */     // GIR_Coverage, 967,
     /*  46668 */     GIR_EraseRootFromParent_Done,
     /*  46669 */   // Label 708: @46669
     /*  46669 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(46692), // Rule ID 1474 //
     /*  46674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  46685 */     // (sub:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  46685 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv4i16),
     /*  46690 */     GIR_RootConstrainSelectedInstOperands,
     /*  46691 */     // GIR_Coverage, 1474,
     /*  46691 */     GIR_Done,
     /*  46692 */   // Label 709: @46692
     /*  46692 */   GIM_Reject,
     /*  46693 */ // Label 697: @46693
     /*  46693 */ GIM_Reject,
     /*  46694 */ // Label 587: @46694
     /*  46694 */ GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(49153),
     /*  46699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  46702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  46705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46709 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(46823), // Rule ID 2045 //
     /*  46714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  46729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  46737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  46741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46749 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  46753 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  46757 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46761 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  46765 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  46770 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  46774 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  46778 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  46782 */     // MIs[4] Operand 1
     /*  46782 */     // No operand predicates
     /*  46782 */     // MIs[2] Operand 2
     /*  46782 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  46793 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  46795 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  46802 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  46802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i16_indexed),
     /*  46805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46807 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  46809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  46814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  46818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  46821 */     GIR_RootConstrainSelectedInstOperands,
     /*  46822 */     // GIR_Coverage, 2045,
     /*  46822 */     GIR_EraseRootFromParent_Done,
     /*  46823 */   // Label 711: @46823
     /*  46823 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(46937), // Rule ID 13471 //
     /*  46828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  46843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46847 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  46851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  46855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46863 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  46867 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  46871 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46875 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  46879 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  46884 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  46888 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  46892 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  46896 */     // MIs[4] Operand 1
     /*  46896 */     // No operand predicates
     /*  46896 */     // MIs[2] Operand 2
     /*  46896 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  46907 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  46909 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  46916 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (SMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  46916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i16_indexed),
     /*  46919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  46921 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  46923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  46928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  46932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  46935 */     GIR_RootConstrainSelectedInstOperands,
     /*  46936 */     // GIR_Coverage, 13471,
     /*  46936 */     GIR_EraseRootFromParent_Done,
     /*  46937 */   // Label 712: @46937
     /*  46937 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(47051), // Rule ID 2097 //
     /*  46942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  46945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  46949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  46953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  46957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  46961 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  46965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  46969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  46973 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46977 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  46981 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  46985 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  46989 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  46993 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  46998 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47002 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47006 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47010 */     // MIs[4] Operand 1
     /*  47010 */     // No operand predicates
     /*  47010 */     // MIs[2] Operand 2
     /*  47010 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  47021 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47023 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47030 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (UMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i16_indexed),
     /*  47033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47035 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47049 */     GIR_RootConstrainSelectedInstOperands,
     /*  47050 */     // GIR_Coverage, 2097,
     /*  47050 */     GIR_EraseRootFromParent_Done,
     /*  47051 */   // Label 713: @47051
     /*  47051 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(47165), // Rule ID 13501 //
     /*  47056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  47071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47075 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  47083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47091 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47095 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47099 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47103 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47107 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47112 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47116 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47120 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47124 */     // MIs[4] Operand 1
     /*  47124 */     // No operand predicates
     /*  47124 */     // MIs[2] Operand 2
     /*  47124 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /*  47135 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47137 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47144 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)))  =>  (UMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i16_indexed),
     /*  47147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47149 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47163 */     GIR_RootConstrainSelectedInstOperands,
     /*  47164 */     // GIR_Coverage, 13501,
     /*  47164 */     GIR_EraseRootFromParent_Done,
     /*  47165 */   // Label 714: @47165
     /*  47165 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(47230), // Rule ID 1847 //
     /*  47170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47199 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47206 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47213 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  47216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47228 */     GIR_RootConstrainSelectedInstOperands,
     /*  47229 */     // GIR_Coverage, 1847,
     /*  47229 */     GIR_EraseRootFromParent_Done,
     /*  47230 */   // Label 715: @47230
     /*  47230 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(47295), // Rule ID 1846 //
     /*  47235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47264 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47271 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47278 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  47281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47293 */     GIR_RootConstrainSelectedInstOperands,
     /*  47294 */     // GIR_Coverage, 1846,
     /*  47294 */     GIR_EraseRootFromParent_Done,
     /*  47295 */   // Label 716: @47295
     /*  47295 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(47360), // Rule ID 1757 //
     /*  47300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  47311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  47323 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47329 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47336 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47343 */     // (sub:{ *:[v4i32] } (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SSUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv8i16_v4i32),
     /*  47346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47358 */     GIR_RootConstrainSelectedInstOperands,
     /*  47359 */     // GIR_Coverage, 1757,
     /*  47359 */     GIR_EraseRootFromParent_Done,
     /*  47360 */   // Label 717: @47360
     /*  47360 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(47425), // Rule ID 1845 //
     /*  47365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47380 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47384 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  47388 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47394 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47401 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47408 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  47411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47423 */     GIR_RootConstrainSelectedInstOperands,
     /*  47424 */     // GIR_Coverage, 1845,
     /*  47424 */     GIR_EraseRootFromParent_Done,
     /*  47425 */   // Label 718: @47425
     /*  47425 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(47490), // Rule ID 1844 //
     /*  47430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  47437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  47449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  47453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  47459 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47466 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47473 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i16_v4i32),
     /*  47476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  47478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47488 */     GIR_RootConstrainSelectedInstOperands,
     /*  47489 */     // GIR_Coverage, 1844,
     /*  47489 */     GIR_EraseRootFromParent_Done,
     /*  47490 */   // Label 719: @47490
     /*  47490 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(47601), // Rule ID 13469 //
     /*  47495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  47510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47514 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  47522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47530 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47534 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47538 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47542 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47546 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47551 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47555 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47559 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47563 */     // MIs[4] Operand 1
     /*  47563 */     // No operand predicates
     /*  47563 */     // MIs[2] Operand 2
     /*  47563 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  47574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47579 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47581 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  47584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47586 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  47592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47599 */     GIR_RootConstrainSelectedInstOperands,
     /*  47600 */     // GIR_Coverage, 13469,
     /*  47600 */     GIR_EraseRootFromParent_Done,
     /*  47601 */   // Label 720: @47601
     /*  47601 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(47712), // Rule ID 2043 //
     /*  47606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  47621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  47638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47646 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47650 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47654 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47658 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47662 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47667 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47671 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47675 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47679 */     // MIs[4] Operand 1
     /*  47679 */     // No operand predicates
     /*  47679 */     // MIs[2] Operand 2
     /*  47679 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  47690 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47692 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  47695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47697 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  47703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47710 */     GIR_RootConstrainSelectedInstOperands,
     /*  47711 */     // GIR_Coverage, 2043,
     /*  47711 */     GIR_EraseRootFromParent_Done,
     /*  47712 */   // Label 721: @47712
     /*  47712 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(47823), // Rule ID 13499 //
     /*  47717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  47732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  47744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47752 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47756 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47760 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47764 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47768 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47773 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47777 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47781 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47785 */     // MIs[4] Operand 1
     /*  47785 */     // No operand predicates
     /*  47785 */     // MIs[2] Operand 2
     /*  47785 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  47796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47801 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47803 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  47806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47808 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  47814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47821 */     GIR_RootConstrainSelectedInstOperands,
     /*  47822 */     // GIR_Coverage, 13499,
     /*  47822 */     GIR_EraseRootFromParent_Done,
     /*  47823 */   // Label 722: @47823
     /*  47823 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(47934), // Rule ID 2095 //
     /*  47828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  47843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47847 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  47856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  47860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  47864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47868 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  47872 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  47876 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  47880 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  47884 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  47889 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  47893 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  47897 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  47901 */     // MIs[4] Operand 1
     /*  47901 */     // No operand predicates
     /*  47901 */     // MIs[2] Operand 2
     /*  47901 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /*  47912 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  47914 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  47914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  47917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47919 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  47925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /*  47929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /*  47932 */     GIR_RootConstrainSelectedInstOperands,
     /*  47933 */     // GIR_Coverage, 2095,
     /*  47933 */     GIR_EraseRootFromParent_Done,
     /*  47934 */   // Label 723: @47934
     /*  47934 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(47997), // Rule ID 1733 //
     /*  47939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  47942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  47946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  47950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  47954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  47958 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  47962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  47964 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47971 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  47978 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SMLSLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  47978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i16_v4i32),
     /*  47981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  47983 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  47985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  47990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  47995 */     GIR_RootConstrainSelectedInstOperands,
     /*  47996 */     // GIR_Coverage, 1733,
     /*  47996 */     GIR_EraseRootFromParent_Done,
     /*  47997 */   // Label 724: @47997
     /*  47997 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(48060), // Rule ID 1823 //
     /*  48002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  48017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48027 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  48034 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  48041 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UMLSLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  48041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i16_v4i32),
     /*  48044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48046 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  48053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  48058 */     GIR_RootConstrainSelectedInstOperands,
     /*  48059 */     // GIR_Coverage, 1823,
     /*  48059 */     GIR_EraseRootFromParent_Done,
     /*  48060 */   // Label 725: @48060
     /*  48060 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(48148), // Rule ID 13470 //
     /*  48065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  48080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48084 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  48092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  48096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  48100 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48104 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  48109 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48113 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48117 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  48121 */     // MIs[3] Operand 1
     /*  48121 */     // No operand predicates
     /*  48121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48126 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48128 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  48131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48133 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  48139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  48146 */     GIR_RootConstrainSelectedInstOperands,
     /*  48147 */     // GIR_Coverage, 13470,
     /*  48147 */     GIR_EraseRootFromParent_Done,
     /*  48148 */   // Label 726: @48148
     /*  48148 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(48236), // Rule ID 2044 //
     /*  48153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  48168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48172 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  48185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  48189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  48193 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48197 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  48202 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48206 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48210 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  48214 */     // MIs[3] Operand 1
     /*  48214 */     // No operand predicates
     /*  48214 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48216 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_indexed),
     /*  48219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48221 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  48234 */     GIR_RootConstrainSelectedInstOperands,
     /*  48235 */     // GIR_Coverage, 2044,
     /*  48235 */     GIR_EraseRootFromParent_Done,
     /*  48236 */   // Label 727: @48236
     /*  48236 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(48324), // Rule ID 13500 //
     /*  48241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  48256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48260 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  48268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  48272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  48276 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48280 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  48285 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48289 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48293 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  48297 */     // MIs[3] Operand 1
     /*  48297 */     // No operand predicates
     /*  48297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48302 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48304 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  48307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48309 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  48315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  48322 */     GIR_RootConstrainSelectedInstOperands,
     /*  48323 */     // GIR_Coverage, 13500,
     /*  48323 */     GIR_EraseRootFromParent_Done,
     /*  48324 */   // Label 728: @48324
     /*  48324 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(48412), // Rule ID 2096 //
     /*  48329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  48344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  48361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  48365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  48369 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  48373 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  48378 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  48382 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  48386 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  48390 */     // MIs[3] Operand 1
     /*  48390 */     // No operand predicates
     /*  48390 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  48392 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (UMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  48392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_indexed),
     /*  48395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48397 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  48410 */     GIR_RootConstrainSelectedInstOperands,
     /*  48411 */     // GIR_Coverage, 2096,
     /*  48411 */     GIR_EraseRootFromParent_Done,
     /*  48412 */   // Label 729: @48412
     /*  48412 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(48459), // Rule ID 1863 //
     /*  48417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48438 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  48445 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  48445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i16_v4i32),
     /*  48448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48450 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  48452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  48457 */     GIR_RootConstrainSelectedInstOperands,
     /*  48458 */     // GIR_Coverage, 1863,
     /*  48458 */     GIR_EraseRootFromParent_Done,
     /*  48459 */   // Label 730: @48459
     /*  48459 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(48506), // Rule ID 1763 //
     /*  48464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  48479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48485 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  48492 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SSUBWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  48492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv8i16_v4i32),
     /*  48495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48497 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  48499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  48504 */     GIR_RootConstrainSelectedInstOperands,
     /*  48505 */     // GIR_Coverage, 1763,
     /*  48505 */     GIR_EraseRootFromParent_Done,
     /*  48506 */   // Label 731: @48506
     /*  48506 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(48553), // Rule ID 1862 //
     /*  48511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48532 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  48539 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (USUBWv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  48539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i16_v4i32),
     /*  48542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48544 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  48546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  48551 */     GIR_RootConstrainSelectedInstOperands,
     /*  48552 */     // GIR_Coverage, 1862,
     /*  48552 */     GIR_EraseRootFromParent_Done,
     /*  48553 */   // Label 732: @48553
     /*  48553 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(48612), // Rule ID 1843 //
     /*  48558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48590 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48597 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  48600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48610 */     GIR_RootConstrainSelectedInstOperands,
     /*  48611 */     // GIR_Coverage, 1843,
     /*  48611 */     GIR_EraseRootFromParent_Done,
     /*  48612 */   // Label 733: @48612
     /*  48612 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(48671), // Rule ID 1842 //
     /*  48617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48654 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48656 */     // (sub:{ *:[v4i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  48659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48669 */     GIR_RootConstrainSelectedInstOperands,
     /*  48670 */     // GIR_Coverage, 1842,
     /*  48670 */     GIR_EraseRootFromParent_Done,
     /*  48671 */   // Label 734: @48671
     /*  48671 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(48730), // Rule ID 1756 //
     /*  48676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  48687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  48704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48708 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48715 */     // (sub:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SSUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv4i16_v4i32),
     /*  48718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48728 */     GIR_RootConstrainSelectedInstOperands,
     /*  48729 */     // GIR_Coverage, 1756,
     /*  48729 */     GIR_EraseRootFromParent_Done,
     /*  48730 */   // Label 735: @48730
     /*  48730 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(48789), // Rule ID 1841 //
     /*  48735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48750 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48755 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48759 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  48763 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48772 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48774 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  48777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48787 */     GIR_RootConstrainSelectedInstOperands,
     /*  48788 */     // GIR_Coverage, 1841,
     /*  48788 */     GIR_EraseRootFromParent_Done,
     /*  48789 */   // Label 736: @48789
     /*  48789 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(48848), // Rule ID 1840 //
     /*  48794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  48818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  48822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  48833 */     // (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv4i16_v4i32),
     /*  48836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  48846 */     GIR_RootConstrainSelectedInstOperands,
     /*  48847 */     // GIR_Coverage, 1840,
     /*  48847 */     GIR_EraseRootFromParent_Done,
     /*  48848 */   // Label 737: @48848
     /*  48848 */   GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(48883), // Rule ID 970 //
     /*  48853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  48860 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  48866 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  48868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48874 */     // (sub:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn)  =>  (NEGv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /*  48874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv4i32),
     /*  48877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  48879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  48881 */     GIR_RootConstrainSelectedInstOperands,
     /*  48882 */     // GIR_Coverage, 970,
     /*  48882 */     GIR_EraseRootFromParent_Done,
     /*  48883 */   // Label 738: @48883
     /*  48883 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(48940), // Rule ID 1732 //
     /*  48888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  48903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48923 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SMLSLv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv4i16_v4i32),
     /*  48926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48928 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  48938 */     GIR_RootConstrainSelectedInstOperands,
     /*  48939 */     // GIR_Coverage, 1732,
     /*  48939 */     GIR_EraseRootFromParent_Done,
     /*  48940 */   // Label 739: @48940
     /*  48940 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(48997), // Rule ID 1822 //
     /*  48945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  48948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  48952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  48956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  48960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  48964 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  48968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  48978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  48980 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UMLSLv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  48980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv4i16_v4i32),
     /*  48983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  48985 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  48987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  48991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  48995 */     GIR_RootConstrainSelectedInstOperands,
     /*  48996 */     // GIR_Coverage, 1822,
     /*  48996 */     GIR_EraseRootFromParent_Done,
     /*  48997 */   // Label 740: @48997
     /*  48997 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(49041), // Rule ID 1861 //
     /*  49002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  49021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49028 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  49028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  49031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49033 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49039 */     GIR_RootConstrainSelectedInstOperands,
     /*  49040 */     // GIR_Coverage, 1861,
     /*  49040 */     GIR_EraseRootFromParent_Done,
     /*  49041 */   // Label 741: @49041
     /*  49041 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(49085), // Rule ID 1762 //
     /*  49046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  49065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49072 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (SSUBWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  49072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv4i16_v4i32),
     /*  49075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49077 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49083 */     GIR_RootConstrainSelectedInstOperands,
     /*  49084 */     // GIR_Coverage, 1762,
     /*  49084 */     GIR_EraseRootFromParent_Done,
     /*  49085 */   // Label 742: @49085
     /*  49085 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(49129), // Rule ID 1860 //
     /*  49090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  49109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49116 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm))  =>  (USUBWv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  49116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv4i16_v4i32),
     /*  49119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49121 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  49127 */     GIR_RootConstrainSelectedInstOperands,
     /*  49128 */     // GIR_Coverage, 1860,
     /*  49128 */     GIR_EraseRootFromParent_Done,
     /*  49129 */   // Label 743: @49129
     /*  49129 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(49152), // Rule ID 1477 //
     /*  49134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49145 */     // (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  49145 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv4i32),
     /*  49150 */     GIR_RootConstrainSelectedInstOperands,
     /*  49151 */     // GIR_Coverage, 1477,
     /*  49151 */     GIR_Done,
     /*  49152 */   // Label 744: @49152
     /*  49152 */   GIM_Reject,
     /*  49153 */ // Label 710: @49153
     /*  49153 */ GIM_Reject,
     /*  49154 */ // Label 588: @49154
     /*  49154 */ GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(49228),
     /*  49159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  49165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49169 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(49204), // Rule ID 965 //
     /*  49174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49181 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  49187 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  49189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49195 */     // (sub:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn)  =>  (NEGv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /*  49195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv8i8),
     /*  49198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  49202 */     GIR_RootConstrainSelectedInstOperands,
     /*  49203 */     // GIR_Coverage, 965,
     /*  49203 */     GIR_EraseRootFromParent_Done,
     /*  49204 */   // Label 746: @49204
     /*  49204 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(49227), // Rule ID 1472 //
     /*  49209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49220 */     // (sub:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  49220 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv8i8),
     /*  49225 */     GIR_RootConstrainSelectedInstOperands,
     /*  49226 */     // GIR_Coverage, 1472,
     /*  49226 */     GIR_Done,
     /*  49227 */   // Label 747: @49227
     /*  49227 */   GIM_Reject,
     /*  49228 */ // Label 745: @49228
     /*  49228 */ GIM_Reject,
     /*  49229 */ // Label 589: @49229
     /*  49229 */ GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(50436),
     /*  49234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  49237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  49240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49244 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(49309), // Rule ID 1839 //
     /*  49249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49278 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49285 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49292 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  49295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49307 */     GIR_RootConstrainSelectedInstOperands,
     /*  49308 */     // GIR_Coverage, 1839,
     /*  49308 */     GIR_EraseRootFromParent_Done,
     /*  49309 */   // Label 749: @49309
     /*  49309 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(49374), // Rule ID 1838 //
     /*  49314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49343 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49350 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49357 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  49360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49372 */     GIR_RootConstrainSelectedInstOperands,
     /*  49373 */     // GIR_Coverage, 1838,
     /*  49373 */     GIR_EraseRootFromParent_Done,
     /*  49374 */   // Label 750: @49374
     /*  49374 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(49439), // Rule ID 1755 //
     /*  49379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49408 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49415 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49422 */     // (sub:{ *:[v8i16] } (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SSUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv16i8_v8i16),
     /*  49425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49437 */     GIR_RootConstrainSelectedInstOperands,
     /*  49438 */     // GIR_Coverage, 1755,
     /*  49438 */     GIR_EraseRootFromParent_Done,
     /*  49439 */   // Label 751: @49439
     /*  49439 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(49504), // Rule ID 1837 //
     /*  49444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49473 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49480 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49487 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  49490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49502 */     GIR_RootConstrainSelectedInstOperands,
     /*  49503 */     // GIR_Coverage, 1837,
     /*  49503 */     GIR_EraseRootFromParent_Done,
     /*  49504 */   // Label 752: @49504
     /*  49504 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(49569), // Rule ID 1836 //
     /*  49509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49536 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49538 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49545 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49552 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv16i8_v8i16),
     /*  49555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49567 */     GIR_RootConstrainSelectedInstOperands,
     /*  49568 */     // GIR_Coverage, 1836,
     /*  49568 */     GIR_EraseRootFromParent_Done,
     /*  49569 */   // Label 753: @49569
     /*  49569 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(49632), // Rule ID 1731 //
     /*  49574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  49589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  49597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49599 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49606 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49613 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SMLSLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv16i8_v8i16),
     /*  49616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49618 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  49620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49630 */     GIR_RootConstrainSelectedInstOperands,
     /*  49631 */     // GIR_Coverage, 1731,
     /*  49631 */     GIR_EraseRootFromParent_Done,
     /*  49632 */   // Label 754: @49632
     /*  49632 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(49695), // Rule ID 1821 //
     /*  49637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  49652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49656 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  49660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49662 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49669 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49676 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UMLSLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv16i8_v8i16),
     /*  49679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  49681 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  49683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  49688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  49693 */     GIR_RootConstrainSelectedInstOperands,
     /*  49694 */     // GIR_Coverage, 1821,
     /*  49694 */     GIR_EraseRootFromParent_Done,
     /*  49695 */   // Label 755: @49695
     /*  49695 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(49742), // Rule ID 1859 //
     /*  49700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49721 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49728 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv16i8_v8i16),
     /*  49731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49733 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  49740 */     GIR_RootConstrainSelectedInstOperands,
     /*  49741 */     // GIR_Coverage, 1859,
     /*  49741 */     GIR_EraseRootFromParent_Done,
     /*  49742 */   // Label 756: @49742
     /*  49742 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(49789), // Rule ID 1761 //
     /*  49747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49768 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49775 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SSUBWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv16i8_v8i16),
     /*  49778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49780 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  49787 */     GIR_RootConstrainSelectedInstOperands,
     /*  49788 */     // GIR_Coverage, 1761,
     /*  49788 */     GIR_EraseRootFromParent_Done,
     /*  49789 */   // Label 757: @49789
     /*  49789 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(49836), // Rule ID 1858 //
     /*  49794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  49801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  49805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  49815 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  49822 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (USUBWv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  49822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv16i8_v8i16),
     /*  49825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49827 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  49829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rm
     /*  49834 */     GIR_RootConstrainSelectedInstOperands,
     /*  49835 */     // GIR_Coverage, 1858,
     /*  49835 */     GIR_EraseRootFromParent_Done,
     /*  49836 */   // Label 758: @49836
     /*  49836 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(49895), // Rule ID 1835 //
     /*  49841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49880 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  49880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  49883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  49889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  49893 */     GIR_RootConstrainSelectedInstOperands,
     /*  49894 */     // GIR_Coverage, 1835,
     /*  49894 */     GIR_EraseRootFromParent_Done,
     /*  49895 */   // Label 759: @49895
     /*  49895 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(49954), // Rule ID 1834 //
     /*  49900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  49911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  49928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49939 */     // (sub:{ *:[v8i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  49939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  49942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  49944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  49948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  49952 */     GIR_RootConstrainSelectedInstOperands,
     /*  49953 */     // GIR_Coverage, 1834,
     /*  49953 */     GIR_EraseRootFromParent_Done,
     /*  49954 */   // Label 760: @49954
     /*  49954 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(50013), // Rule ID 1754 //
     /*  49959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  49962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  49966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  49983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  49987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  49991 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  49996 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  49998 */     // (sub:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SSUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  49998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLv8i8_v8i16),
     /*  50001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  50011 */     GIR_RootConstrainSelectedInstOperands,
     /*  50012 */     // GIR_Coverage, 1754,
     /*  50012 */     GIR_EraseRootFromParent_Done,
     /*  50013 */   // Label 761: @50013
     /*  50013 */   GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(50072), // Rule ID 1833 //
     /*  50018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  50029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  50042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  50046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50050 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50055 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  50057 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  50060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  50070 */     GIR_RootConstrainSelectedInstOperands,
     /*  50071 */     // GIR_Coverage, 1833,
     /*  50071 */     GIR_EraseRootFromParent_Done,
     /*  50072 */   // Label 762: @50072
     /*  50072 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(50131), // Rule ID 1832 //
     /*  50077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  50088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  50101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  50105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50109 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  50116 */     // (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLv8i8_v8i16),
     /*  50119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  50129 */     GIR_RootConstrainSelectedInstOperands,
     /*  50130 */     // GIR_Coverage, 1832,
     /*  50130 */     GIR_EraseRootFromParent_Done,
     /*  50131 */   // Label 763: @50131
     /*  50131 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(50166), // Rule ID 968 //
     /*  50136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50143 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  50149 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  50151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50157 */     // (sub:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn)  =>  (NEGv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /*  50157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv8i16),
     /*  50160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  50164 */     GIR_RootConstrainSelectedInstOperands,
     /*  50165 */     // GIR_Coverage, 968,
     /*  50165 */     GIR_EraseRootFromParent_Done,
     /*  50166 */   // Label 764: @50166
     /*  50166 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(50223), // Rule ID 1730 //
     /*  50171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SMULL),
     /*  50186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  50194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50206 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SMLSLv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLv8i8_v8i16),
     /*  50209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50211 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  50213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  50221 */     GIR_RootConstrainSelectedInstOperands,
     /*  50222 */     // GIR_Coverage, 1730,
     /*  50222 */     GIR_EraseRootFromParent_Done,
     /*  50223 */   // Label 765: @50223
     /*  50223 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(50280), // Rule ID 1820 //
     /*  50228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UMULL),
     /*  50243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  50251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50263 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UMLSLv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLv8i8_v8i16),
     /*  50266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  50268 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  50270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  50274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  50278 */     GIR_RootConstrainSelectedInstOperands,
     /*  50279 */     // GIR_Coverage, 1820,
     /*  50279 */     GIR_EraseRootFromParent_Done,
     /*  50280 */   // Label 766: @50280
     /*  50280 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(50324), // Rule ID 1857 //
     /*  50285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  50300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50311 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  50314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50316 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  50322 */     GIR_RootConstrainSelectedInstOperands,
     /*  50323 */     // GIR_Coverage, 1857,
     /*  50323 */     GIR_EraseRootFromParent_Done,
     /*  50324 */   // Label 767: @50324
     /*  50324 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(50368), // Rule ID 1760 //
     /*  50329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  50344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50355 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (SSUBWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWv8i8_v8i16),
     /*  50358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50360 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  50366 */     GIR_RootConstrainSelectedInstOperands,
     /*  50367 */     // GIR_Coverage, 1760,
     /*  50367 */     GIR_EraseRootFromParent_Done,
     /*  50368 */   // Label 768: @50368
     /*  50368 */   GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(50412), // Rule ID 1856 //
     /*  50373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  50388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  50392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  50397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50399 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm))  =>  (USUBWv8i8_v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  50399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWv8i8_v8i16),
     /*  50402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50404 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  50410 */     GIR_RootConstrainSelectedInstOperands,
     /*  50411 */     // GIR_Coverage, 1856,
     /*  50411 */     GIR_EraseRootFromParent_Done,
     /*  50412 */   // Label 769: @50412
     /*  50412 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(50435), // Rule ID 1475 //
     /*  50417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50428 */     // (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  50428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv8i16),
     /*  50433 */     GIR_RootConstrainSelectedInstOperands,
     /*  50434 */     // GIR_Coverage, 1475,
     /*  50434 */     GIR_Done,
     /*  50435 */   // Label 770: @50435
     /*  50435 */   GIM_Reject,
     /*  50436 */ // Label 748: @50436
     /*  50436 */ GIM_Reject,
     /*  50437 */ // Label 590: @50437
     /*  50437 */ GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(50511),
     /*  50442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  50445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  50448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50452 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(50487), // Rule ID 966 //
     /*  50457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50464 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  50470 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  50472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50478 */     // (sub:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn)  =>  (NEGv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /*  50478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NEGv16i8),
     /*  50481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50483 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  50485 */     GIR_RootConstrainSelectedInstOperands,
     /*  50486 */     // GIR_Coverage, 966,
     /*  50486 */     GIR_EraseRootFromParent_Done,
     /*  50487 */   // Label 772: @50487
     /*  50487 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(50510), // Rule ID 1473 //
     /*  50492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  50495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  50503 */     // (sub:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  50503 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUBv16i8),
     /*  50508 */     GIR_RootConstrainSelectedInstOperands,
     /*  50509 */     // GIR_Coverage, 1473,
     /*  50509 */     GIR_Done,
     /*  50510 */   // Label 773: @50510
     /*  50510 */   GIM_Reject,
     /*  50511 */ // Label 771: @50511
     /*  50511 */ GIM_Reject,
     /*  50512 */ // Label 591: @50512
     /*  50512 */ GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(50537), // Rule ID 7415 //
     /*  50517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  50520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  50523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  50526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  50530 */   // (sub:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SUB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  50530 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_D),
     /*  50535 */   GIR_RootConstrainSelectedInstOperands,
     /*  50536 */   // GIR_Coverage, 7415,
     /*  50536 */   GIR_Done,
     /*  50537 */ // Label 774: @50537
     /*  50537 */ GIM_Reject,
     /*  50538 */ // Label 592: @50538
     /*  50538 */ GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(50563), // Rule ID 7414 //
     /*  50543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  50546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  50549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  50552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  50556 */   // (sub:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SUB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  50556 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_S),
     /*  50561 */   GIR_RootConstrainSelectedInstOperands,
     /*  50562 */   // GIR_Coverage, 7414,
     /*  50562 */   GIR_Done,
     /*  50563 */ // Label 775: @50563
     /*  50563 */ GIM_Reject,
     /*  50564 */ // Label 593: @50564
     /*  50564 */ GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(50589), // Rule ID 7413 //
     /*  50569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  50572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  50575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  50578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  50582 */   // (sub:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SUB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  50582 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_H),
     /*  50587 */   GIR_RootConstrainSelectedInstOperands,
     /*  50588 */   // GIR_Coverage, 7413,
     /*  50588 */   GIR_Done,
     /*  50589 */ // Label 776: @50589
     /*  50589 */ GIM_Reject,
     /*  50590 */ // Label 594: @50590
     /*  50590 */ GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(50615), // Rule ID 7412 //
     /*  50595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  50598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  50601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  50604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  50608 */   // (sub:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SUB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  50608 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SUB_ZZZ_B),
     /*  50613 */   GIR_RootConstrainSelectedInstOperands,
     /*  50614 */   // GIR_Coverage, 7412,
     /*  50614 */   GIR_Done,
     /*  50615 */ // Label 777: @50615
     /*  50615 */ GIM_Reject,
     /*  50616 */ // Label 595: @50616
     /*  50616 */ GIM_Reject,
     /*  50617 */ // Label 2: @50617
     /*  50617 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 786*/ GIMT_Encode4(53137),
     /*  50628 */ /*GILLT_s32*//*Label 778*/ GIMT_Encode4(50668),
     /*  50632 */ /*GILLT_s64*//*Label 779*/ GIMT_Encode4(50825), GIMT_Encode4(0),
     /*  50640 */ /*GILLT_v2s32*//*Label 780*/ GIMT_Encode4(52061), GIMT_Encode4(0),
     /*  50648 */ /*GILLT_v4s16*//*Label 781*/ GIMT_Encode4(52399),
     /*  50652 */ /*GILLT_v4s32*//*Label 782*/ GIMT_Encode4(52737),
     /*  50656 */ /*GILLT_v8s8*//*Label 783*/ GIMT_Encode4(52903),
     /*  50660 */ /*GILLT_v8s16*//*Label 784*/ GIMT_Encode4(52937),
     /*  50664 */ /*GILLT_v16s8*//*Label 785*/ GIMT_Encode4(53103),
     /*  50668 */ // Label 778: @50668
     /*  50668 */ GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(50824),
     /*  50673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  50676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  50679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50683 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(50738), // Rule ID 3955 //
     /*  50688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  50696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  50700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  50704 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  50708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50719 */     // (mul:{ *:[i32] } (sub:{ *:[i32] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rn), GPR32:{ *:[i32] }:$Rm)  =>  (MSUBWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  50719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBWrrr),
     /*  50722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  50728 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  50730 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50736 */     GIR_RootConstrainSelectedInstOperands,
     /*  50737 */     // GIR_Coverage, 3955,
     /*  50737 */     GIR_EraseRootFromParent_Done,
     /*  50738 */   // Label 788: @50738
     /*  50738 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(50793), // Rule ID 13754 //
     /*  50743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  50751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  50755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  50759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  50763 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  50767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  50774 */     // (mul:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, (sub:{ *:[i32] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rn))  =>  (MSUBWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  50774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBWrrr),
     /*  50777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  50783 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  50785 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50791 */     GIR_RootConstrainSelectedInstOperands,
     /*  50792 */     // GIR_Coverage, 13754,
     /*  50792 */     GIR_EraseRootFromParent_Done,
     /*  50793 */   // Label 789: @50793
     /*  50793 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(50823), // Rule ID 3951 //
     /*  50798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50806 */     // (mul:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (MADDWrrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, WZR:{ *:[i32] })
     /*  50806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MADDWrrr),
     /*  50809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50811 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  50813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  50815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50821 */     GIR_RootConstrainSelectedInstOperands,
     /*  50822 */     // GIR_Coverage, 3951,
     /*  50822 */     GIR_EraseRootFromParent_Done,
     /*  50823 */   // Label 790: @50823
     /*  50823 */   GIM_Reject,
     /*  50824 */ // Label 787: @50824
     /*  50824 */ GIM_Reject,
     /*  50825 */ // Label 779: @50825
     /*  50825 */ GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(52060),
     /*  50830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  50833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  50836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50840 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(50986), // Rule ID 3960 //
     /*  50845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  50853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  50857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  50861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50866 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*  50877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  50881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  50885 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  50889 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  50893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50898 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*  50909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  50911 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 4294967295:{ *:[i64] }), (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, 4294967295:{ *:[i64] }))  =>  (UMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rm, sub_32:{ *:[i32] }), XZR:{ *:[i64] })
     /*  50911 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  50914 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50918 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50923 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rm
     /*  50929 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50934 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  50942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  50946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  50951 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  50957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  50962 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  50967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*  50970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  50972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  50975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  50978 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  50984 */     GIR_RootConstrainSelectedInstOperands,
     /*  50985 */     // GIR_Coverage, 3960,
     /*  50985 */     GIR_EraseRootFromParent_Done,
     /*  50986 */   // Label 792: @50986
     /*  50986 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(51090), // Rule ID 3961 //
     /*  50991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  50995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  50999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51012 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*  51023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  51031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  51035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51042 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 4294967295:{ *:[i64] }), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (UMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), ?:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  51042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51054 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  51060 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51065 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*  51073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  51082 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51088 */     GIR_RootConstrainSelectedInstOperands,
     /*  51089 */     // GIR_Coverage, 3961,
     /*  51089 */     GIR_EraseRootFromParent_Done,
     /*  51090 */   // Label 793: @51090
     /*  51090 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(51194), // Rule ID 13757 //
     /*  51095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  51103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  51120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  51124 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  51128 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51133 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*  51144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51146 */     // (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm), (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 4294967295:{ *:[i64] }))  =>  (UMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), ?:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  51146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51158 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  51164 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51169 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*  51177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  51186 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51192 */     GIR_RootConstrainSelectedInstOperands,
     /*  51193 */     // GIR_Coverage, 13757,
     /*  51193 */     GIR_EraseRootFromParent_Done,
     /*  51194 */   // Label 794: @51194
     /*  51194 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(51249), // Rule ID 3956 //
     /*  51199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  51207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51215 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  51219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51230 */     // (mul:{ *:[i64] } (sub:{ *:[i64] } 0:{ *:[i64] }, GPR64:{ *:[i64] }:$Rn), GPR64:{ *:[i64] }:$Rm)  =>  (MSUBXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  51230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBXrrr),
     /*  51233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  51239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  51241 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51247 */     GIR_RootConstrainSelectedInstOperands,
     /*  51248 */     // GIR_Coverage, 3956,
     /*  51248 */     GIR_EraseRootFromParent_Done,
     /*  51249 */   // Label 795: @51249
     /*  51249 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(51304), // Rule ID 13755 //
     /*  51254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  51262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  51266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51270 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  51274 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 0,
     /*  51278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  51285 */     // (mul:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, (sub:{ *:[i64] } 0:{ *:[i64] }, GPR64:{ *:[i64] }:$Rn))  =>  (MSUBXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  51285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSUBXrrr),
     /*  51288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  51294 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  51296 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51302 */     GIR_RootConstrainSelectedInstOperands,
     /*  51303 */     // GIR_Coverage, 13755,
     /*  51303 */     GIR_EraseRootFromParent_Done,
     /*  51304 */   // Label 796: @51304
     /*  51304 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(51417), // Rule ID 3967 //
     /*  51309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  51317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51326 */     // MIs[1] Operand 2
     /*  51326 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  51337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51345 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  51349 */     // MIs[2] Operand 1
     /*  51349 */     // No operand predicates
     /*  51349 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51351 */     // (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C)  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  51351 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  51354 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  51358 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51363 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  51368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  51370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51382 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  51388 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51393 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  51409 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51415 */     GIR_RootConstrainSelectedInstOperands,
     /*  51416 */     // GIR_Coverage, 3967,
     /*  51416 */     GIR_EraseRootFromParent_Done,
     /*  51417 */   // Label 797: @51417
     /*  51417 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(51492), // Rule ID 3965 //
     /*  51422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  51430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51447 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_s64imm_32bit),
     /*  51451 */     // MIs[2] Operand 1
     /*  51451 */     // No operand predicates
     /*  51451 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51453 */     // (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_s64imm_32bit>>:$C)  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  51453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  51460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51465 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  51470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  51481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51490 */     GIR_RootConstrainSelectedInstOperands,
     /*  51491 */     // GIR_Coverage, 3965,
     /*  51491 */     GIR_EraseRootFromParent_Done,
     /*  51492 */   // Label 798: @51492
     /*  51492 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(51567), // Rule ID 3966 //
     /*  51497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  51505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  51522 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /*  51526 */     // MIs[2] Operand 1
     /*  51526 */     // No operand predicates
     /*  51526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51528 */     // (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$C)  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$C)), XZR:{ *:[i64] })
     /*  51528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /*  51535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51540 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // C
     /*  51545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  51547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*  51550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  51556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51559 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51565 */     GIR_RootConstrainSelectedInstOperands,
     /*  51566 */     // GIR_Coverage, 3966,
     /*  51566 */     GIR_EraseRootFromParent_Done,
     /*  51567 */   // Label 799: @51567
     /*  51567 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(51705), // Rule ID 3957 //
     /*  51572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  51580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51589 */     // MIs[1] Operand 2
     /*  51589 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  51600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  51608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  51612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51617 */     // MIs[2] Operand 2
     /*  51617 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  51628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51630 */     // (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, i32:{ *:[Other] }))  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rm, sub_32:{ *:[i32] }), XZR:{ *:[i64] })
     /*  51630 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  51633 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51637 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51642 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rm
     /*  51648 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51653 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51670 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  51676 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51681 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  51697 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51703 */     GIR_RootConstrainSelectedInstOperands,
     /*  51704 */     // GIR_Coverage, 3957,
     /*  51704 */     GIR_EraseRootFromParent_Done,
     /*  51705 */   // Label 800: @51705
     /*  51705 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(51805), // Rule ID 3958 //
     /*  51710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  51718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  51722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51727 */     // MIs[1] Operand 2
     /*  51727 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  51738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  51746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  51750 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51757 */     // (mul:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), ?:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  51757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51769 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  51775 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51780 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  51797 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51803 */     GIR_RootConstrainSelectedInstOperands,
     /*  51804 */     // GIR_Coverage, 3958,
     /*  51804 */     GIR_EraseRootFromParent_Done,
     /*  51805 */   // Label 801: @51805
     /*  51805 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(51905), // Rule ID 13756 //
     /*  51810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  51818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  51835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  51839 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51844 */     // MIs[2] Operand 2
     /*  51844 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  51855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51857 */     // (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm), (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i32:{ *:[Other] }))  =>  (SMADDLrrr:{ *:[i64] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] }), ?:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  51857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  51860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  51864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  51869 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  51875 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51880 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  51885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  51893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  51897 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51903 */     GIR_RootConstrainSelectedInstOperands,
     /*  51904 */     // GIR_Coverage, 13756,
     /*  51904 */     GIR_EraseRootFromParent_Done,
     /*  51905 */   // Label 802: @51905
     /*  51905 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(51967), // Rule ID 3959 //
     /*  51910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  51918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  51935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  51939 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  51946 */     // (mul:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (SMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  51946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMADDLrrr),
     /*  51949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  51951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  51955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  51959 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  51965 */     GIR_RootConstrainSelectedInstOperands,
     /*  51966 */     // GIR_Coverage, 3959,
     /*  51966 */     GIR_EraseRootFromParent_Done,
     /*  51967 */   // Label 803: @51967
     /*  51967 */   GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(52029), // Rule ID 3962 //
     /*  51972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  51976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  51980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  51984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  51989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  51993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  51997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  52001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  52006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52008 */     // (mul:{ *:[i64] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (UMADDLrrr:{ *:[i64] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, XZR:{ *:[i64] })
     /*  52008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMADDLrrr),
     /*  52011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  52017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  52021 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52027 */     GIR_RootConstrainSelectedInstOperands,
     /*  52028 */     // GIR_Coverage, 3962,
     /*  52028 */     GIR_EraseRootFromParent_Done,
     /*  52029 */   // Label 804: @52029
     /*  52029 */   GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(52059), // Rule ID 3952 //
     /*  52034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  52038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  52042 */     // (mul:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (MADDXrrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, XZR:{ *:[i64] })
     /*  52042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MADDXrrr),
     /*  52045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52047 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52049 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  52051 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  52057 */     GIR_RootConstrainSelectedInstOperands,
     /*  52058 */     // GIR_Coverage, 3952,
     /*  52058 */     GIR_EraseRootFromParent_Done,
     /*  52059 */   // Label 805: @52059
     /*  52059 */   GIM_Reject,
     /*  52060 */ // Label 791: @52060
     /*  52060 */ GIM_Reject,
     /*  52061 */ // Label 780: @52061
     /*  52061 */ GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(52398),
     /*  52066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  52069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  52072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52076 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(52162), // Rule ID 13448 //
     /*  52081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  52092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  52100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  52104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52108 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  52112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  52121 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52125 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  52129 */     // MIs[3] Operand 1
     /*  52129 */     // No operand predicates
     /*  52129 */     // MIs[1] Operand 2
     /*  52129 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  52140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52144 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  52146 */     // (mul:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  52149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52151 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  52157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  52160 */     GIR_RootConstrainSelectedInstOperands,
     /*  52161 */     // GIR_Coverage, 13448,
     /*  52161 */     GIR_EraseRootFromParent_Done,
     /*  52162 */   // Label 807: @52162
     /*  52162 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(52248), // Rule ID 2034 //
     /*  52167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  52182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  52190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  52194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52198 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  52202 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52207 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  52211 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52215 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  52219 */     // MIs[3] Operand 1
     /*  52219 */     // No operand predicates
     /*  52219 */     // MIs[1] Operand 2
     /*  52219 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  52230 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  52232 */     // (mul:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  52235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52237 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  52243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  52246 */     GIR_RootConstrainSelectedInstOperands,
     /*  52247 */     // GIR_Coverage, 2034,
     /*  52247 */     GIR_EraseRootFromParent_Done,
     /*  52248 */   // Label 808: @52248
     /*  52248 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(52311), // Rule ID 13449 //
     /*  52253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  52264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52268 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52285 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  52289 */     // MIs[2] Operand 1
     /*  52289 */     // No operand predicates
     /*  52289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52293 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52295 */     // (mul:{ *:[v2i32] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn)  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  52298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52300 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52309 */     GIR_RootConstrainSelectedInstOperands,
     /*  52310 */     // GIR_Coverage, 13449,
     /*  52310 */     GIR_EraseRootFromParent_Done,
     /*  52311 */   // Label 809: @52311
     /*  52311 */   GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(52374), // Rule ID 2035 //
     /*  52316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  52331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52352 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  52356 */     // MIs[2] Operand 1
     /*  52356 */     // No operand predicates
     /*  52356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52358 */     // (mul:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (MULv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32_indexed),
     /*  52361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52363 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52372 */     GIR_RootConstrainSelectedInstOperands,
     /*  52373 */     // GIR_Coverage, 2035,
     /*  52373 */     GIR_EraseRootFromParent_Done,
     /*  52374 */   // Label 810: @52374
     /*  52374 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(52397), // Rule ID 1352 //
     /*  52379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52390 */     // (mul:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (MULv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  52390 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv2i32),
     /*  52395 */     GIR_RootConstrainSelectedInstOperands,
     /*  52396 */     // GIR_Coverage, 1352,
     /*  52396 */     GIR_Done,
     /*  52397 */   // Label 811: @52397
     /*  52397 */   GIM_Reject,
     /*  52398 */ // Label 806: @52398
     /*  52398 */ GIM_Reject,
     /*  52399 */ // Label 781: @52399
     /*  52399 */ GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(52736),
     /*  52404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  52407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  52410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52414 */   GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(52500), // Rule ID 13445 //
     /*  52419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  52430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  52438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  52442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52446 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  52450 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  52455 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  52459 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52463 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  52467 */     // MIs[3] Operand 1
     /*  52467 */     // No operand predicates
     /*  52467 */     // MIs[1] Operand 2
     /*  52467 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  52478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52482 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  52484 */     // (mul:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  52487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  52495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  52498 */     GIR_RootConstrainSelectedInstOperands,
     /*  52499 */     // GIR_Coverage, 13445,
     /*  52499 */     GIR_EraseRootFromParent_Done,
     /*  52500 */   // Label 813: @52500
     /*  52500 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(52586), // Rule ID 2031 //
     /*  52505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /*  52520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  52528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  52532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52536 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  52540 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  52545 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  52549 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52553 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  52557 */     // MIs[3] Operand 1
     /*  52557 */     // No operand predicates
     /*  52557 */     // MIs[1] Operand 2
     /*  52557 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /*  52568 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  52570 */     // (mul:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  52573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52575 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  52581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /*  52584 */     GIR_RootConstrainSelectedInstOperands,
     /*  52585 */     // GIR_Coverage, 2031,
     /*  52585 */     GIR_EraseRootFromParent_Done,
     /*  52586 */   // Label 814: @52586
     /*  52586 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(52649), // Rule ID 13446 //
     /*  52591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  52602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52606 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  52615 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52619 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52623 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  52627 */     // MIs[2] Operand 1
     /*  52627 */     // No operand predicates
     /*  52627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52633 */     // (mul:{ *:[v4i16] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn)  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  52636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52647 */     GIR_RootConstrainSelectedInstOperands,
     /*  52648 */     // GIR_Coverage, 13446,
     /*  52648 */     GIR_EraseRootFromParent_Done,
     /*  52649 */   // Label 815: @52649
     /*  52649 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(52712), // Rule ID 2032 //
     /*  52654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  52669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  52682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52690 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  52694 */     // MIs[2] Operand 1
     /*  52694 */     // No operand predicates
     /*  52694 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52696 */     // (mul:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (MULv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16_indexed),
     /*  52699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52701 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52710 */     GIR_RootConstrainSelectedInstOperands,
     /*  52711 */     // GIR_Coverage, 2032,
     /*  52711 */     GIR_EraseRootFromParent_Done,
     /*  52712 */   // Label 816: @52712
     /*  52712 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(52735), // Rule ID 1350 //
     /*  52717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52728 */     // (mul:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (MULv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  52728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv4i16),
     /*  52733 */     GIR_RootConstrainSelectedInstOperands,
     /*  52734 */     // GIR_Coverage, 1350,
     /*  52734 */     GIR_Done,
     /*  52735 */   // Label 817: @52735
     /*  52735 */   GIM_Reject,
     /*  52736 */ // Label 812: @52736
     /*  52736 */ GIM_Reject,
     /*  52737 */ // Label 782: @52737
     /*  52737 */ GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(52902),
     /*  52742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  52748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52752 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(52815), // Rule ID 13450 //
     /*  52757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  52768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52772 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52789 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  52793 */     // MIs[2] Operand 1
     /*  52793 */     // No operand predicates
     /*  52793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52797 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52799 */     // (mul:{ *:[v4i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4i32] }:$Rn)  =>  (MULv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i32_indexed),
     /*  52802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  52806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52813 */     GIR_RootConstrainSelectedInstOperands,
     /*  52814 */     // GIR_Coverage, 13450,
     /*  52814 */     GIR_EraseRootFromParent_Done,
     /*  52815 */   // Label 819: @52815
     /*  52815 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(52878), // Rule ID 2036 //
     /*  52820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  52831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /*  52835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  52839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52856 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /*  52860 */     // MIs[2] Operand 1
     /*  52860 */     // No operand predicates
     /*  52860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52862 */     // (mul:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (MULv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv4i32_indexed),
     /*  52865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  52867 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  52869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  52873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  52876 */     GIR_RootConstrainSelectedInstOperands,
     /*  52877 */     // GIR_Coverage, 2036,
     /*  52877 */     GIR_EraseRootFromParent_Done,
     /*  52878 */   // Label 820: @52878
     /*  52878 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(52901), // Rule ID 1353 //
     /*  52883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52894 */     // (mul:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (MULv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  52894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv4i32),
     /*  52899 */     GIR_RootConstrainSelectedInstOperands,
     /*  52900 */     // GIR_Coverage, 1353,
     /*  52900 */     GIR_Done,
     /*  52901 */   // Label 821: @52901
     /*  52901 */   GIM_Reject,
     /*  52902 */ // Label 818: @52902
     /*  52902 */ GIM_Reject,
     /*  52903 */ // Label 783: @52903
     /*  52903 */ GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(52936), // Rule ID 1348 //
     /*  52908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  52914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  52917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  52929 */   // (mul:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (MULv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  52929 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv8i8),
     /*  52934 */   GIR_RootConstrainSelectedInstOperands,
     /*  52935 */   // GIR_Coverage, 1348,
     /*  52935 */   GIR_Done,
     /*  52936 */ // Label 822: @52936
     /*  52936 */ GIM_Reject,
     /*  52937 */ // Label 784: @52937
     /*  52937 */ GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(53102),
     /*  52942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  52948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52952 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(53015), // Rule ID 13447 //
     /*  52957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  52960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  52964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  52968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  52972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  52976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  52981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  52985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  52989 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  52993 */     // MIs[2] Operand 1
     /*  52993 */     // No operand predicates
     /*  52993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  52997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  52999 */     // (mul:{ *:[v8i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8i16] }:$Rn)  =>  (MULv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  52999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv8i16_indexed),
     /*  53002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53004 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  53006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  53010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  53013 */     GIR_RootConstrainSelectedInstOperands,
     /*  53014 */     // GIR_Coverage, 13447,
     /*  53014 */     GIR_EraseRootFromParent_Done,
     /*  53015 */   // Label 824: @53015
     /*  53015 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(53078), // Rule ID 2033 //
     /*  53020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /*  53035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  53039 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /*  53048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  53052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  53056 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  53060 */     // MIs[2] Operand 1
     /*  53060 */     // No operand predicates
     /*  53060 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53062 */     // (mul:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (MULv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /*  53062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MULv8i16_indexed),
     /*  53065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53067 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  53073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  53076 */     GIR_RootConstrainSelectedInstOperands,
     /*  53077 */     // GIR_Coverage, 2033,
     /*  53077 */     GIR_EraseRootFromParent_Done,
     /*  53078 */   // Label 825: @53078
     /*  53078 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(53101), // Rule ID 1351 //
     /*  53083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53094 */     // (mul:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (MULv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  53094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv8i16),
     /*  53099 */     GIR_RootConstrainSelectedInstOperands,
     /*  53100 */     // GIR_Coverage, 1351,
     /*  53100 */     GIR_Done,
     /*  53101 */   // Label 826: @53101
     /*  53101 */   GIM_Reject,
     /*  53102 */ // Label 823: @53102
     /*  53102 */ GIM_Reject,
     /*  53103 */ // Label 785: @53103
     /*  53103 */ GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(53136), // Rule ID 1349 //
     /*  53108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  53111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  53114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  53117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53129 */   // (mul:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (MULv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  53129 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::MULv16i8),
     /*  53134 */   GIR_RootConstrainSelectedInstOperands,
     /*  53135 */   // GIR_Coverage, 1349,
     /*  53135 */   GIR_Done,
     /*  53136 */ // Label 827: @53136
     /*  53136 */ GIM_Reject,
     /*  53137 */ // Label 786: @53137
     /*  53137 */ GIM_Reject,
     /*  53138 */ // Label 3: @53138
     /*  53138 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 830*/ GIMT_Encode4(53219),
     /*  53149 */ /*GILLT_s32*//*Label 828*/ GIMT_Encode4(53157),
     /*  53153 */ /*GILLT_s64*//*Label 829*/ GIMT_Encode4(53188),
     /*  53157 */ // Label 828: @53157
     /*  53157 */ GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(53187), // Rule ID 117 //
     /*  53162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  53165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  53168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53180 */   // (sdiv:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  53180 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDIVWr),
     /*  53185 */   GIR_RootConstrainSelectedInstOperands,
     /*  53186 */   // GIR_Coverage, 117,
     /*  53186 */   GIR_Done,
     /*  53187 */ // Label 831: @53187
     /*  53187 */ GIM_Reject,
     /*  53188 */ // Label 829: @53188
     /*  53188 */ GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(53218), // Rule ID 118 //
     /*  53193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  53196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  53199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53211 */   // (sdiv:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  53211 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDIVXr),
     /*  53216 */   GIR_RootConstrainSelectedInstOperands,
     /*  53217 */   // GIR_Coverage, 118,
     /*  53217 */   GIR_Done,
     /*  53218 */ // Label 832: @53218
     /*  53218 */ GIM_Reject,
     /*  53219 */ // Label 830: @53219
     /*  53219 */ GIM_Reject,
     /*  53220 */ // Label 4: @53220
     /*  53220 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 835*/ GIMT_Encode4(53301),
     /*  53231 */ /*GILLT_s32*//*Label 833*/ GIMT_Encode4(53239),
     /*  53235 */ /*GILLT_s64*//*Label 834*/ GIMT_Encode4(53270),
     /*  53239 */ // Label 833: @53239
     /*  53239 */ GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(53269), // Rule ID 115 //
     /*  53244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  53247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  53250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53262 */   // (udiv:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  53262 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDIVWr),
     /*  53267 */   GIR_RootConstrainSelectedInstOperands,
     /*  53268 */   // GIR_Coverage, 115,
     /*  53268 */   GIR_Done,
     /*  53269 */ // Label 836: @53269
     /*  53269 */ GIM_Reject,
     /*  53270 */ // Label 834: @53270
     /*  53270 */ GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(53300), // Rule ID 116 //
     /*  53275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  53278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  53281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53293 */   // (udiv:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  53293 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDIVXr),
     /*  53298 */   GIR_RootConstrainSelectedInstOperands,
     /*  53299 */   // GIR_Coverage, 116,
     /*  53299 */   GIR_Done,
     /*  53300 */ // Label 837: @53300
     /*  53300 */ GIM_Reject,
     /*  53301 */ // Label 835: @53301
     /*  53301 */ GIM_Reject,
     /*  53302 */ // Label 5: @53302
     /*  53302 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 856*/ GIMT_Encode4(61047),
     /*  53313 */ /*GILLT_s32*//*Label 838*/ GIMT_Encode4(53401),
     /*  53317 */ /*GILLT_s64*//*Label 839*/ GIMT_Encode4(53899), GIMT_Encode4(0),
     /*  53325 */ /*GILLT_v2s32*//*Label 840*/ GIMT_Encode4(55334),
     /*  53329 */ /*GILLT_v2s64*//*Label 841*/ GIMT_Encode4(55494),
     /*  53333 */ /*GILLT_v4s16*//*Label 842*/ GIMT_Encode4(55654),
     /*  53337 */ /*GILLT_v4s32*//*Label 843*/ GIMT_Encode4(55814),
     /*  53341 */ /*GILLT_v8s8*//*Label 844*/ GIMT_Encode4(55974),
     /*  53345 */ /*GILLT_v8s16*//*Label 845*/ GIMT_Encode4(56134),
     /*  53349 */ /*GILLT_v16s8*//*Label 846*/ GIMT_Encode4(56294),
     /*  53353 */ /*GILLT_nxv1s1*//*Label 847*/ GIMT_Encode4(56454),
     /*  53357 */ /*GILLT_nxv2s1*//*Label 848*/ GIMT_Encode4(56995), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  53369 */ /*GILLT_nxv2s64*//*Label 849*/ GIMT_Encode4(57536),
     /*  53373 */ /*GILLT_nxv4s1*//*Label 850*/ GIMT_Encode4(58008), GIMT_Encode4(0),
     /*  53381 */ /*GILLT_nxv4s32*//*Label 851*/ GIMT_Encode4(58549),
     /*  53385 */ /*GILLT_nxv8s1*//*Label 852*/ GIMT_Encode4(59021),
     /*  53389 */ /*GILLT_nxv8s16*//*Label 853*/ GIMT_Encode4(59562),
     /*  53393 */ /*GILLT_nxv16s1*//*Label 854*/ GIMT_Encode4(60034),
     /*  53397 */ /*GILLT_nxv16s8*//*Label 855*/ GIMT_Encode4(60575),
     /*  53401 */ // Label 838: @53401
     /*  53401 */ GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(53898),
     /*  53406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  53409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  53412 */   GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(53467), // Rule ID 13207 //
     /*  53417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  53433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  53437 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53447 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  53454 */     // (and:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (BICWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  53454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrs),
     /*  53457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53459 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  53461 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  53465 */     GIR_RootConstrainSelectedInstOperands,
     /*  53466 */     // GIR_Coverage, 13207,
     /*  53466 */     GIR_EraseRootFromParent_Done,
     /*  53467 */   // Label 858: @53467
     /*  53467 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(53522), // Rule ID 162 //
     /*  53472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  53492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  53496 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53502 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  53509 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }))  =>  (BICWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  53509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrs),
     /*  53512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53514 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53516 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  53520 */     GIR_RootConstrainSelectedInstOperands,
     /*  53521 */     // GIR_Coverage, 162,
     /*  53521 */     GIR_EraseRootFromParent_Done,
     /*  53522 */   // Label 859: @53522
     /*  53522 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(53591), // Rule ID 5660 //
     /*  53527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  53539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  53543 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  53556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  53560 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /*  53564 */     // MIs[2] Operand 1
     /*  53564 */     // No operand predicates
     /*  53564 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  53575 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53577 */     // (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), 255:{ *:[i32] })  =>  (UMOVvi8:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /*  53577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /*  53580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  53586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  53589 */     GIR_RootConstrainSelectedInstOperands,
     /*  53590 */     // GIR_Coverage, 5660,
     /*  53590 */     GIR_EraseRootFromParent_Done,
     /*  53591 */   // Label 860: @53591
     /*  53591 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(53660), // Rule ID 5661 //
     /*  53596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  53608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  53612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  53621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  53625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  53629 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  53633 */     // MIs[2] Operand 1
     /*  53633 */     // No operand predicates
     /*  53633 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  53644 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  53646 */     // (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 65535:{ *:[i32] })  =>  (UMOVvi16:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /*  53646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /*  53649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  53655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /*  53658 */     GIR_RootConstrainSelectedInstOperands,
     /*  53659 */     // GIR_Coverage, 5661,
     /*  53659 */     GIR_EraseRootFromParent_Done,
     /*  53660 */   // Label 861: @53660
     /*  53660 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(53713), // Rule ID 13205 //
     /*  53665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  53681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  53685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53690 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53700 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (BICWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  53700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrr),
     /*  53703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  53707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  53711 */     GIR_RootConstrainSelectedInstOperands,
     /*  53712 */     // GIR_Coverage, 13205,
     /*  53712 */     GIR_EraseRootFromParent_Done,
     /*  53713 */   // Label 862: @53713
     /*  53713 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(53766), // Rule ID 160 //
     /*  53718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  53738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  53742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53747 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53753 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }))  =>  (BICWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  53753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICWrr),
     /*  53756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53758 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  53764 */     GIR_RootConstrainSelectedInstOperands,
     /*  53765 */     // GIR_Coverage, 160,
     /*  53765 */     GIR_EraseRootFromParent_Done,
     /*  53766 */   // Label 863: @53766
     /*  53766 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(53807), // Rule ID 142 //
     /*  53771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  53775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  53787 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm32),
     /*  53791 */     // MIs[1] Operand 1
     /*  53791 */     // No operand predicates
     /*  53791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53793 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_logical_imm32>><<X:logical_imm32_XFORM>>:$imm)  =>  (ANDWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (logical_imm32_XFORM:{ *:[i32] } (imm:{ *:[i32] }):$imm))
     /*  53793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDWri),
     /*  53796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53798 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53800 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // imm
     /*  53805 */     GIR_RootConstrainSelectedInstOperands,
     /*  53806 */     // GIR_Coverage, 142,
     /*  53806 */     GIR_EraseRootFromParent_Done,
     /*  53807 */   // Label 864: @53807
     /*  53807 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(53840), // Rule ID 13203 //
     /*  53812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  53827 */     // (and:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (ANDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  53827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDWrs),
     /*  53830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  53834 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  53838 */     GIR_RootConstrainSelectedInstOperands,
     /*  53839 */     // GIR_Coverage, 13203,
     /*  53839 */     GIR_EraseRootFromParent_Done,
     /*  53840 */   // Label 865: @53840
     /*  53840 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(53873), // Rule ID 158 //
     /*  53845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  53860 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (ANDWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  53860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDWrs),
     /*  53863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53865 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  53867 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  53871 */     GIR_RootConstrainSelectedInstOperands,
     /*  53872 */     // GIR_Coverage, 158,
     /*  53872 */     GIR_EraseRootFromParent_Done,
     /*  53873 */   // Label 866: @53873
     /*  53873 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(53897), // Rule ID 156 //
     /*  53878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  53890 */     // (and:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (ANDWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  53890 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDWrr),
     /*  53895 */     GIR_RootConstrainSelectedInstOperands,
     /*  53896 */     // GIR_Coverage, 156,
     /*  53896 */     GIR_Done,
     /*  53897 */   // Label 867: @53897
     /*  53897 */   GIM_Reject,
     /*  53898 */ // Label 857: @53898
     /*  53898 */ GIM_Reject,
     /*  53899 */ // Label 839: @53899
     /*  53899 */ GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(55333),
     /*  53904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  53907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  53910 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(53965), // Rule ID 13208 //
     /*  53915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  53923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  53931 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53935 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  53945 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  53952 */     // (and:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (BICXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  53952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrs),
     /*  53955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  53957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  53959 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  53963 */     GIR_RootConstrainSelectedInstOperands,
     /*  53964 */     // GIR_Coverage, 13208,
     /*  53964 */     GIR_EraseRootFromParent_Done,
     /*  53965 */   // Label 869: @53965
     /*  53965 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(54020), // Rule ID 163 //
     /*  53970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  53978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  53982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  53986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  53990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  53994 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  53998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54000 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  54007 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }))  =>  (BICXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  54007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrs),
     /*  54010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54012 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  54014 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  54018 */     GIR_RootConstrainSelectedInstOperands,
     /*  54019 */     // GIR_Coverage, 163,
     /*  54019 */     GIR_EraseRootFromParent_Done,
     /*  54020 */   // Label 870: @54020
     /*  54020 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(54133), // Rule ID 5662 //
     /*  54025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  54037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  54041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  54045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  54049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  54053 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  54057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  54062 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  54066 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  54070 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /*  54074 */     // MIs[3] Operand 1
     /*  54074 */     // No operand predicates
     /*  54074 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  54085 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  54087 */     // (and:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)), 255:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (UMOVvi8:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), sub_32:{ *:[i32] })
     /*  54087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /*  54094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  54103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // idx
     /*  54106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54122 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54127 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54132 */     // GIR_Coverage, 5662,
     /*  54132 */     GIR_EraseRootFromParent_Done,
     /*  54133 */   // Label 871: @54133
     /*  54133 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(54246), // Rule ID 5663 //
     /*  54138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  54150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  54154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  54158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  54162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  54166 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  54170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  54175 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  54179 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  54183 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /*  54187 */     // MIs[3] Operand 1
     /*  54187 */     // No operand predicates
     /*  54187 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  54198 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  54200 */     // (and:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), 65535:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (UMOVvi16:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), sub_32:{ *:[i32] })
     /*  54200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /*  54207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54212 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  54216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // idx
     /*  54219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54235 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54240 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54245 */     // GIR_Coverage, 5663,
     /*  54245 */     GIR_EraseRootFromParent_Done,
     /*  54246 */   // Label 872: @54246
     /*  54246 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(54345), // Rule ID 7094 //
     /*  54251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  54263 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  54266 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /*  54271 */     // MIs[1] addr
     /*  54271 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  54275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  54280 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_1),
     /*  54284 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  54295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54297 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_1>>, 255:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  54297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRB),
     /*  54304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  54313 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  54318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54334 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54339 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54344 */     // GIR_Coverage, 7094,
     /*  54344 */     GIR_EraseRootFromParent_Done,
     /*  54345 */   // Label 873: @54345
     /*  54345 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(54444), // Rule ID 7095 //
     /*  54350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  54362 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  54365 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /*  54370 */     // MIs[1] addr
     /*  54370 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  54374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  54379 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_2),
     /*  54383 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  54394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54396 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_2>>, 65535:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  54396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRH),
     /*  54403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54408 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  54412 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  54417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54433 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54438 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54443 */     // GIR_Coverage, 7095,
     /*  54443 */     GIR_EraseRootFromParent_Done,
     /*  54444 */   // Label 874: @54444
     /*  54444 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(54543), // Rule ID 7096 //
     /*  54449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  54461 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  54464 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /*  54469 */     // MIs[1] addr
     /*  54469 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  54473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  54478 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_4),
     /*  54482 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  54493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54495 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_4>>, 4294967295:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  54495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRW),
     /*  54502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54507 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  54511 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  54516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54532 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54537 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54542 */     // GIR_Coverage, 7096,
     /*  54542 */     GIR_EraseRootFromParent_Done,
     /*  54543 */   // Label 875: @54543
     /*  54543 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(54642), // Rule ID 7101 //
     /*  54548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  54560 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  54563 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /*  54568 */     // MIs[1] addr
     /*  54568 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  54572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  54577 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_1),
     /*  54581 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  54592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54594 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_1>>, 255:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  54594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRB),
     /*  54601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54606 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  54610 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  54615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54631 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54636 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54641 */     // GIR_Coverage, 7101,
     /*  54641 */     GIR_EraseRootFromParent_Done,
     /*  54642 */   // Label 876: @54642
     /*  54642 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(54741), // Rule ID 7102 //
     /*  54647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  54659 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  54662 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /*  54667 */     // MIs[1] addr
     /*  54667 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  54671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  54676 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_2),
     /*  54680 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  54691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54693 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_2>>, 65535:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  54693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRH),
     /*  54700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54705 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  54709 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  54714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54730 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54735 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54740 */     // GIR_Coverage, 7102,
     /*  54740 */     GIR_EraseRootFromParent_Done,
     /*  54741 */   // Label 877: @54741
     /*  54741 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(54840), // Rule ID 7103 //
     /*  54746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS),
     /*  54758 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  54761 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /*  54766 */     // MIs[1] addr
     /*  54766 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/2, /*SizeInBits*/64,
     /*  54770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  54775 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_4),
     /*  54779 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  54790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54792 */     // (and:{ *:[i64] } (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_4>>, 4294967295:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /*  54792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  54795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRW),
     /*  54799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54804 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // addr
     /*  54808 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  54813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  54815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  54818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  54820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  54823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  54826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  54829 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54834 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54839 */     // GIR_Coverage, 7103,
     /*  54839 */     GIR_EraseRootFromParent_Done,
     /*  54840 */   // Label 878: @54840
     /*  54840 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(54893), // Rule ID 13206 //
     /*  54845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  54853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  54861 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  54865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54870 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  54874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54880 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (BICXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  54880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrr),
     /*  54883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  54887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  54891 */     GIR_RootConstrainSelectedInstOperands,
     /*  54892 */     // GIR_Coverage, 13206,
     /*  54892 */     GIR_EraseRootFromParent_Done,
     /*  54893 */   // Label 879: @54893
     /*  54893 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(54946), // Rule ID 161 //
     /*  54898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  54910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  54914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  54918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  54922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54927 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  54931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  54933 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }))  =>  (BICXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  54933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICXrr),
     /*  54936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  54938 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  54940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  54944 */     GIR_RootConstrainSelectedInstOperands,
     /*  54945 */     // GIR_Coverage, 161,
     /*  54945 */     GIR_EraseRootFromParent_Done,
     /*  54946 */   // Label 880: @54946
     /*  54946 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(55046), // Rule ID 4004 //
     /*  54951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  54955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54959 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  54970 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 4294967295:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (ORRWrr:{ *:[i32] } WZR:{ *:[i32] }, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rn, sub_32:{ *:[i32] })), sub_32:{ *:[i32] })
     /*  54970 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  54973 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  54977 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  54982 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // Rn
     /*  54988 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  54993 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  54998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  55001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORRWrr),
     /*  55005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  55010 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  55016 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  55019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  55021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  55024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  55026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  55029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  55032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /*  55035 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /*  55040 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  55045 */     // GIR_Coverage, 4004,
     /*  55045 */     GIR_EraseRootFromParent_Done,
     /*  55046 */   // Label 881: @55046
     /*  55046 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(55087), // Rule ID 143 //
     /*  55051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  55055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  55067 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm64),
     /*  55071 */     // MIs[1] Operand 1
     /*  55071 */     // No operand predicates
     /*  55071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  55073 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_logical_imm64>><<X:logical_imm64_XFORM>>:$imm)  =>  (ANDXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (logical_imm64_XFORM:{ *:[i64] } (imm:{ *:[i64] }):$imm))
     /*  55073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDXri),
     /*  55076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55078 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  55080 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm64), // imm
     /*  55085 */     GIR_RootConstrainSelectedInstOperands,
     /*  55086 */     // GIR_Coverage, 143,
     /*  55086 */     GIR_EraseRootFromParent_Done,
     /*  55087 */   // Label 882: @55087
     /*  55087 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(55120), // Rule ID 13204 //
     /*  55092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  55107 */     // (and:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (ANDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  55107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDXrs),
     /*  55110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  55114 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  55118 */     GIR_RootConstrainSelectedInstOperands,
     /*  55119 */     // GIR_Coverage, 13204,
     /*  55119 */     GIR_EraseRootFromParent_Done,
     /*  55120 */   // Label 883: @55120
     /*  55120 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(55153), // Rule ID 159 //
     /*  55125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  55140 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (ANDXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  55140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDXrs),
     /*  55143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55145 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  55147 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  55151 */     GIR_RootConstrainSelectedInstOperands,
     /*  55152 */     // GIR_Coverage, 159,
     /*  55152 */     GIR_EraseRootFromParent_Done,
     /*  55153 */   // Label 884: @55153
     /*  55153 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(55217), // Rule ID 13862 //
     /*  55158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  55177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  55181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55190 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55196 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55204 */     // (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$LHS)  =>  (BICv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  55204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55209 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  55211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55215 */     GIR_RootConstrainSelectedInstOperands,
     /*  55216 */     // GIR_Coverage, 13862,
     /*  55216 */     GIR_EraseRootFromParent_Done,
     /*  55217 */   // Label 885: @55217
     /*  55217 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(55281), // Rule ID 5044 //
     /*  55222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  55245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  55249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55258 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55264 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55268 */     // (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }))  =>  (BICv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  55268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55273 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  55275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55279 */     GIR_RootConstrainSelectedInstOperands,
     /*  55280 */     // GIR_Coverage, 5044,
     /*  55280 */     GIR_EraseRootFromParent_Done,
     /*  55281 */   // Label 886: @55281
     /*  55281 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(55305), // Rule ID 157 //
     /*  55286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  55298 */     // (and:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ANDXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  55298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDXrr),
     /*  55303 */     GIR_RootConstrainSelectedInstOperands,
     /*  55304 */     // GIR_Coverage, 157,
     /*  55304 */     GIR_Done,
     /*  55305 */   // Label 887: @55305
     /*  55305 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(55332), // Rule ID 2484 //
     /*  55310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55325 */     // (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)  =>  (ANDv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  55325 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  55330 */     GIR_RootConstrainSelectedInstOperands,
     /*  55331 */     // GIR_Coverage, 2484,
     /*  55331 */     GIR_Done,
     /*  55332 */   // Label 888: @55332
     /*  55332 */   GIM_Reject,
     /*  55333 */ // Label 868: @55333
     /*  55333 */ GIM_Reject,
     /*  55334 */ // Label 840: @55334
     /*  55334 */ GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(55493),
     /*  55339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  55342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  55345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55349 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(55409), // Rule ID 13861 //
     /*  55354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  55369 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  55373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55382 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55388 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55396 */     // (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$LHS)  =>  (BICv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  55396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55401 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  55403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55407 */     GIR_RootConstrainSelectedInstOperands,
     /*  55408 */     // GIR_Coverage, 13861,
     /*  55408 */     GIR_EraseRootFromParent_Done,
     /*  55409 */   // Label 890: @55409
     /*  55409 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(55469), // Rule ID 5043 //
     /*  55414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  55433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  55437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55446 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55452 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55456 */     // (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }))  =>  (BICv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  55456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55461 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  55463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55467 */     GIR_RootConstrainSelectedInstOperands,
     /*  55468 */     // GIR_Coverage, 5043,
     /*  55468 */     GIR_EraseRootFromParent_Done,
     /*  55469 */   // Label 891: @55469
     /*  55469 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(55492), // Rule ID 2483 //
     /*  55474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55485 */     // (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (ANDv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  55485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  55490 */     GIR_RootConstrainSelectedInstOperands,
     /*  55491 */     // GIR_Coverage, 2483,
     /*  55491 */     GIR_Done,
     /*  55492 */   // Label 892: @55492
     /*  55492 */   GIM_Reject,
     /*  55493 */ // Label 889: @55493
     /*  55493 */ GIM_Reject,
     /*  55494 */ // Label 841: @55494
     /*  55494 */ GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(55653),
     /*  55499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  55502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  55505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55509 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(55569), // Rule ID 13865 //
     /*  55514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  55529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  55533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55542 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55548 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55556 */     // (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$LHS)  =>  (BICv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  55556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  55559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55561 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  55563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55567 */     GIR_RootConstrainSelectedInstOperands,
     /*  55568 */     // GIR_Coverage, 13865,
     /*  55568 */     GIR_EraseRootFromParent_Done,
     /*  55569 */   // Label 894: @55569
     /*  55569 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(55629), // Rule ID 5047 //
     /*  55574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  55593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  55597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55606 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55612 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55616 */     // (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }))  =>  (BICv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  55616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  55619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55621 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  55623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55627 */     GIR_RootConstrainSelectedInstOperands,
     /*  55628 */     // GIR_Coverage, 5047,
     /*  55628 */     GIR_EraseRootFromParent_Done,
     /*  55629 */   // Label 895: @55629
     /*  55629 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(55652), // Rule ID 2487 //
     /*  55634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55645 */     // (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (ANDv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  55645 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  55650 */     GIR_RootConstrainSelectedInstOperands,
     /*  55651 */     // GIR_Coverage, 2487,
     /*  55651 */     GIR_Done,
     /*  55652 */   // Label 896: @55652
     /*  55652 */   GIM_Reject,
     /*  55653 */ // Label 893: @55653
     /*  55653 */ GIM_Reject,
     /*  55654 */ // Label 842: @55654
     /*  55654 */ GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(55813),
     /*  55659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  55662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  55665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55669 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(55729), // Rule ID 13860 //
     /*  55674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  55689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  55693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55702 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55708 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55716 */     // (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$LHS)  =>  (BICv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  55716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55721 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  55723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55727 */     GIR_RootConstrainSelectedInstOperands,
     /*  55728 */     // GIR_Coverage, 13860,
     /*  55728 */     GIR_EraseRootFromParent_Done,
     /*  55729 */   // Label 898: @55729
     /*  55729 */   GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(55789), // Rule ID 5042 //
     /*  55734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  55753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  55757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55766 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55772 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55776 */     // (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }))  =>  (BICv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  55776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  55779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55781 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  55783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55787 */     GIR_RootConstrainSelectedInstOperands,
     /*  55788 */     // GIR_Coverage, 5042,
     /*  55788 */     GIR_EraseRootFromParent_Done,
     /*  55789 */   // Label 899: @55789
     /*  55789 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(55812), // Rule ID 2482 //
     /*  55794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55805 */     // (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (ANDv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  55805 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  55810 */     GIR_RootConstrainSelectedInstOperands,
     /*  55811 */     // GIR_Coverage, 2482,
     /*  55811 */     GIR_Done,
     /*  55812 */   // Label 900: @55812
     /*  55812 */   GIM_Reject,
     /*  55813 */ // Label 897: @55813
     /*  55813 */ GIM_Reject,
     /*  55814 */ // Label 843: @55814
     /*  55814 */ GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(55973),
     /*  55819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  55822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  55825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55829 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(55889), // Rule ID 13864 //
     /*  55834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  55841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  55849 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  55853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55862 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55868 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55876 */     // (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$LHS)  =>  (BICv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  55876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  55879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55881 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  55883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55887 */     GIR_RootConstrainSelectedInstOperands,
     /*  55888 */     // GIR_Coverage, 13864,
     /*  55888 */     GIR_EraseRootFromParent_Done,
     /*  55889 */   // Label 902: @55889
     /*  55889 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(55949), // Rule ID 5046 //
     /*  55894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  55905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  55909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  55913 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  55917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  55926 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  55932 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  55934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  55936 */     // (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }))  =>  (BICv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  55936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  55939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  55941 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  55943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  55947 */     GIR_RootConstrainSelectedInstOperands,
     /*  55948 */     // GIR_Coverage, 5046,
     /*  55948 */     GIR_EraseRootFromParent_Done,
     /*  55949 */   // Label 903: @55949
     /*  55949 */   GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(55972), // Rule ID 2486 //
     /*  55954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  55965 */     // (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (ANDv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  55965 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  55970 */     GIR_RootConstrainSelectedInstOperands,
     /*  55971 */     // GIR_Coverage, 2486,
     /*  55971 */     GIR_Done,
     /*  55972 */   // Label 904: @55972
     /*  55972 */   GIM_Reject,
     /*  55973 */ // Label 901: @55973
     /*  55973 */ GIM_Reject,
     /*  55974 */ // Label 844: @55974
     /*  55974 */ GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(56133),
     /*  55979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  55982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  55985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  55989 */   GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(56049), // Rule ID 13343 //
     /*  55994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  55997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  56009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  56013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  56018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56022 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  56028 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  56030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  56034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56036 */     // (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rn)  =>  (BICv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  56036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  56039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  56041 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  56043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  56047 */     GIR_RootConstrainSelectedInstOperands,
     /*  56048 */     // GIR_Coverage, 13343,
     /*  56048 */     GIR_EraseRootFromParent_Done,
     /*  56049 */   // Label 906: @56049
     /*  56049 */   GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(56109), // Rule ID 1597 //
     /*  56054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  56061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  56073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  56077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  56082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56086 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  56092 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  56094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56096 */     // (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }))  =>  (BICv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  56096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i8),
     /*  56099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  56101 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  56103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  56107 */     GIR_RootConstrainSelectedInstOperands,
     /*  56108 */     // GIR_Coverage, 1597,
     /*  56108 */     GIR_EraseRootFromParent_Done,
     /*  56109 */   // Label 907: @56109
     /*  56109 */   GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(56132), // Rule ID 1595 //
     /*  56114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  56121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  56125 */     // (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ANDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  56125 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv8i8),
     /*  56130 */     GIR_RootConstrainSelectedInstOperands,
     /*  56131 */     // GIR_Coverage, 1595,
     /*  56131 */     GIR_Done,
     /*  56132 */   // Label 908: @56132
     /*  56132 */   GIM_Reject,
     /*  56133 */ // Label 905: @56133
     /*  56133 */ GIM_Reject,
     /*  56134 */ // Label 845: @56134
     /*  56134 */ GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(56293),
     /*  56139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  56142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  56145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56149 */   GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(56209), // Rule ID 13863 //
     /*  56154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  56169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  56173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56182 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  56188 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  56190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56194 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56196 */     // (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$LHS)  =>  (BICv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  56196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  56199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  56201 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  56203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  56207 */     GIR_RootConstrainSelectedInstOperands,
     /*  56208 */     // GIR_Coverage, 13863,
     /*  56208 */     GIR_EraseRootFromParent_Done,
     /*  56209 */   // Label 910: @56209
     /*  56209 */   GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(56269), // Rule ID 5045 //
     /*  56214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  56233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  56237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56246 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  56252 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  56254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56256 */     // (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }))  =>  (BICv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  56256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  56259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  56261 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  56263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  56267 */     GIR_RootConstrainSelectedInstOperands,
     /*  56268 */     // GIR_Coverage, 5045,
     /*  56268 */     GIR_EraseRootFromParent_Done,
     /*  56269 */   // Label 911: @56269
     /*  56269 */   GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(56292), // Rule ID 2485 //
     /*  56274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56285 */     // (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (ANDv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  56285 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  56290 */     GIR_RootConstrainSelectedInstOperands,
     /*  56291 */     // GIR_Coverage, 2485,
     /*  56291 */     GIR_Done,
     /*  56292 */   // Label 912: @56292
     /*  56292 */   GIM_Reject,
     /*  56293 */ // Label 909: @56293
     /*  56293 */ GIM_Reject,
     /*  56294 */ // Label 846: @56294
     /*  56294 */ GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(56453),
     /*  56299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  56302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  56305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56309 */   GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(56369), // Rule ID 13344 //
     /*  56314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  56329 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  56333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56342 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  56348 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  56350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56354 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56356 */     // (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rn)  =>  (BICv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  56356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  56359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  56361 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  56363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  56367 */     GIR_RootConstrainSelectedInstOperands,
     /*  56368 */     // GIR_Coverage, 13344,
     /*  56368 */     GIR_EraseRootFromParent_Done,
     /*  56369 */   // Label 914: @56369
     /*  56369 */   GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(56429), // Rule ID 1598 //
     /*  56374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  56393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  56397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56406 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  56412 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  56414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56416 */     // (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }))  =>  (BICv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  56416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv16i8),
     /*  56419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  56421 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  56423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  56427 */     GIR_RootConstrainSelectedInstOperands,
     /*  56428 */     // GIR_Coverage, 1598,
     /*  56428 */     GIR_EraseRootFromParent_Done,
     /*  56429 */   // Label 915: @56429
     /*  56429 */   GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(56452), // Rule ID 1596 //
     /*  56434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  56437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  56445 */     // (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ANDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  56445 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ANDv16i8),
     /*  56450 */     GIR_RootConstrainSelectedInstOperands,
     /*  56451 */     // GIR_Coverage, 1596,
     /*  56451 */     GIR_Done,
     /*  56452 */   // Label 916: @56452
     /*  56452 */   GIM_Reject,
     /*  56453 */ // Label 913: @56453
     /*  56453 */ GIM_Reject,
     /*  56454 */ // Label 847: @56454
     /*  56454 */ GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(56994),
     /*  56459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  56469 */   GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(56526), // Rule ID 15057 //
     /*  56474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56489 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56505 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56509 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56511 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] }), nxv1i1:{ *:[nxv1i1] }:$Op2), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56524 */     GIR_RootConstrainSelectedInstOperands,
     /*  56525 */     // GIR_Coverage, 15057,
     /*  56525 */     GIR_EraseRootFromParent_Done,
     /*  56526 */   // Label 918: @56526
     /*  56526 */   GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(56583), // Rule ID 15060 //
     /*  56531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56558 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56562 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56568 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] }), nxv1i1:{ *:[nxv1i1] }:$Op2), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56581 */     GIR_RootConstrainSelectedInstOperands,
     /*  56582 */     // GIR_Coverage, 15060,
     /*  56582 */     GIR_EraseRootFromParent_Done,
     /*  56583 */   // Label 919: @56583
     /*  56583 */   GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(56640), // Rule ID 15056 //
     /*  56588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56603 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56619 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56623 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56625 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] })), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56632 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56638 */     GIR_RootConstrainSelectedInstOperands,
     /*  56639 */     // GIR_Coverage, 15056,
     /*  56639 */     GIR_EraseRootFromParent_Done,
     /*  56640 */   // Label 920: @56640
     /*  56640 */   GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(56697), // Rule ID 15059 //
     /*  56645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  56652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56676 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56682 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] })), nxv1i1:{ *:[nxv1i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56687 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  56691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56695 */     GIR_RootConstrainSelectedInstOperands,
     /*  56696 */     // GIR_Coverage, 15059,
     /*  56696 */     GIR_EraseRootFromParent_Done,
     /*  56697 */   // Label 921: @56697
     /*  56697 */   GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(56754), // Rule ID 15055 //
     /*  56702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56733 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56739 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] }), nxv1i1:{ *:[nxv1i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56744 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56746 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56752 */     GIR_RootConstrainSelectedInstOperands,
     /*  56753 */     // GIR_Coverage, 15055,
     /*  56753 */     GIR_EraseRootFromParent_Done,
     /*  56754 */   // Label 922: @56754
     /*  56754 */   GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(56811), // Rule ID 15058 //
     /*  56759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56774 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  56782 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56786 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56790 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56796 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] }), nxv1i1:{ *:[nxv1i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56801 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56803 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  56809 */     GIR_RootConstrainSelectedInstOperands,
     /*  56810 */     // GIR_Coverage, 15058,
     /*  56810 */     GIR_EraseRootFromParent_Done,
     /*  56811 */   // Label 923: @56811
     /*  56811 */   GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(56868), // Rule ID 8407 //
     /*  56816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56831 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56843 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  56847 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56851 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56853 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56858 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56860 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56866 */     GIR_RootConstrainSelectedInstOperands,
     /*  56867 */     // GIR_Coverage, 8407,
     /*  56867 */     GIR_EraseRootFromParent_Done,
     /*  56868 */   // Label 924: @56868
     /*  56868 */   GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(56925), // Rule ID 8408 //
     /*  56873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  56880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  56884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  56888 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  56892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  56896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  56900 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  56904 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  56908 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  56910 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op2, (splat_vector:{ *:[nxv1i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  56913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56915 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56917 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  56923 */     GIR_RootConstrainSelectedInstOperands,
     /*  56924 */     // GIR_Coverage, 8408,
     /*  56924 */     GIR_EraseRootFromParent_Done,
     /*  56925 */   // Label 925: @56925
     /*  56925 */   GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(56972), // Rule ID 10671 //
     /*  56930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  56937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  56941 */     // (and:{ *:[nxv1i1] } PPR:{ *:[nxv1i1] }:$Ps1, PPR:{ *:[nxv1i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv1i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv1i1] }:$Ps1, PPR:{ *:[nxv1i1] }:$Ps2)
     /*  56941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  56944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  56948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  56953 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  56956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  56958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  56961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  56966 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  56968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  56970 */     GIR_RootConstrainSelectedInstOperands,
     /*  56971 */     // GIR_Coverage, 10671,
     /*  56971 */     GIR_EraseRootFromParent_Done,
     /*  56972 */   // Label 926: @56972
     /*  56972 */   GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(56993), // Rule ID 2753 //
     /*  56977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  56980 */     // (and:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  56980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  56983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  56985 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56987 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  56989 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  56991 */     GIR_RootConstrainSelectedInstOperands,
     /*  56992 */     // GIR_Coverage, 2753,
     /*  56992 */     GIR_EraseRootFromParent_Done,
     /*  56993 */   // Label 927: @56993
     /*  56993 */   GIM_Reject,
     /*  56994 */ // Label 917: @56994
     /*  56994 */ GIM_Reject,
     /*  56995 */ // Label 848: @56995
     /*  56995 */ GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(57535),
     /*  57000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  57010 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(57067), // Rule ID 15048 //
     /*  57015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57030 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57038 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57042 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57046 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57052 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] }), nxv2i1:{ *:[nxv2i1] }:$Op2), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57057 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57059 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57065 */     GIR_RootConstrainSelectedInstOperands,
     /*  57066 */     // GIR_Coverage, 15048,
     /*  57066 */     GIR_EraseRootFromParent_Done,
     /*  57067 */   // Label 929: @57067
     /*  57067 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(57124), // Rule ID 15051 //
     /*  57072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57103 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57109 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] }), nxv2i1:{ *:[nxv2i1] }:$Op2), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57114 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57116 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57122 */     GIR_RootConstrainSelectedInstOperands,
     /*  57123 */     // GIR_Coverage, 15051,
     /*  57123 */     GIR_EraseRootFromParent_Done,
     /*  57124 */   // Label 930: @57124
     /*  57124 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(57181), // Rule ID 15047 //
     /*  57129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57144 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57160 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57166 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] })), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57171 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57179 */     GIR_RootConstrainSelectedInstOperands,
     /*  57180 */     // GIR_Coverage, 15047,
     /*  57180 */     GIR_EraseRootFromParent_Done,
     /*  57181 */   // Label 931: @57181
     /*  57181 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(57238), // Rule ID 15050 //
     /*  57186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57201 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57217 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57221 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57223 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] })), nxv2i1:{ *:[nxv2i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57236 */     GIR_RootConstrainSelectedInstOperands,
     /*  57237 */     // GIR_Coverage, 15050,
     /*  57237 */     GIR_EraseRootFromParent_Done,
     /*  57238 */   // Label 932: @57238
     /*  57238 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(57295), // Rule ID 15046 //
     /*  57243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57274 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57278 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57280 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] }), nxv2i1:{ *:[nxv2i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57285 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57287 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57293 */     GIR_RootConstrainSelectedInstOperands,
     /*  57294 */     // GIR_Coverage, 15046,
     /*  57294 */     GIR_EraseRootFromParent_Done,
     /*  57295 */   // Label 933: @57295
     /*  57295 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(57352), // Rule ID 15049 //
     /*  57300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57315 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57331 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57337 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] }), nxv2i1:{ *:[nxv2i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57342 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57344 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57350 */     GIR_RootConstrainSelectedInstOperands,
     /*  57351 */     // GIR_Coverage, 15049,
     /*  57351 */     GIR_EraseRootFromParent_Done,
     /*  57352 */   // Label 934: @57352
     /*  57352 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(57409), // Rule ID 8403 //
     /*  57357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57388 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57394 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57399 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57401 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57407 */     GIR_RootConstrainSelectedInstOperands,
     /*  57408 */     // GIR_Coverage, 8403,
     /*  57408 */     GIR_EraseRootFromParent_Done,
     /*  57409 */   // Label 935: @57409
     /*  57409 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(57466), // Rule ID 8404 //
     /*  57414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  57429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  57433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57445 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57449 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57451 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op2, (splat_vector:{ *:[nxv2i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  57454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57456 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57458 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57464 */     GIR_RootConstrainSelectedInstOperands,
     /*  57465 */     // GIR_Coverage, 8404,
     /*  57465 */     GIR_EraseRootFromParent_Done,
     /*  57466 */   // Label 936: @57466
     /*  57466 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(57513), // Rule ID 10670 //
     /*  57471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  57478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  57482 */     // (and:{ *:[nxv2i1] } PPR:{ *:[nxv2i1] }:$Ps1, PPR:{ *:[nxv2i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv2i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv2i1] }:$Ps1, PPR:{ *:[nxv2i1] }:$Ps2)
     /*  57482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  57485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  57489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  57494 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  57497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  57499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  57502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  57507 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  57509 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  57511 */     GIR_RootConstrainSelectedInstOperands,
     /*  57512 */     // GIR_Coverage, 10670,
     /*  57512 */     GIR_EraseRootFromParent_Done,
     /*  57513 */   // Label 937: @57513
     /*  57513 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(57534), // Rule ID 2752 //
     /*  57518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57521 */     // (and:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  57521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  57524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  57526 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57528 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  57532 */     GIR_RootConstrainSelectedInstOperands,
     /*  57533 */     // GIR_Coverage, 2752,
     /*  57533 */     GIR_EraseRootFromParent_Done,
     /*  57534 */   // Label 938: @57534
     /*  57534 */   GIM_Reject,
     /*  57535 */ // Label 928: @57535
     /*  57535 */ GIM_Reject,
     /*  57536 */ // Label 849: @57536
     /*  57536 */ GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(58007),
     /*  57541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  57551 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(57606), // Rule ID 14988 //
     /*  57556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57575 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57579 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57583 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57587 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57593 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57598 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57604 */     GIR_RootConstrainSelectedInstOperands,
     /*  57605 */     // GIR_Coverage, 14988,
     /*  57605 */     GIR_EraseRootFromParent_Done,
     /*  57606 */   // Label 940: @57606
     /*  57606 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(57661), // Rule ID 14991 //
     /*  57611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57626 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57642 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57648 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57659 */     GIR_RootConstrainSelectedInstOperands,
     /*  57660 */     // GIR_Coverage, 14991,
     /*  57660 */     GIR_EraseRootFromParent_Done,
     /*  57661 */   // Label 941: @57661
     /*  57661 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(57716), // Rule ID 14987 //
     /*  57666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57697 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57703 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57714 */     GIR_RootConstrainSelectedInstOperands,
     /*  57715 */     // GIR_Coverage, 14987,
     /*  57715 */     GIR_EraseRootFromParent_Done,
     /*  57716 */   // Label 942: @57716
     /*  57716 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(57771), // Rule ID 14990 //
     /*  57721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  57728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57752 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57758 */     // (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57763 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  57765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57769 */     GIR_RootConstrainSelectedInstOperands,
     /*  57770 */     // GIR_Coverage, 14990,
     /*  57770 */     GIR_EraseRootFromParent_Done,
     /*  57771 */   // Label 943: @57771
     /*  57771 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(57826), // Rule ID 14986 //
     /*  57776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57791 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57803 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57807 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57813 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57818 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57824 */     GIR_RootConstrainSelectedInstOperands,
     /*  57825 */     // GIR_Coverage, 14986,
     /*  57825 */     GIR_EraseRootFromParent_Done,
     /*  57826 */   // Label 944: @57826
     /*  57826 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(57881), // Rule ID 14989 //
     /*  57831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57846 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  57854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57862 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57868 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57873 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  57879 */     GIR_RootConstrainSelectedInstOperands,
     /*  57880 */     // GIR_Coverage, 14989,
     /*  57880 */     GIR_EraseRootFromParent_Done,
     /*  57881 */   // Label 945: @57881
     /*  57881 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(57936), // Rule ID 7452 //
     /*  57886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  57917 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57923 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57928 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57934 */     GIR_RootConstrainSelectedInstOperands,
     /*  57935 */     // GIR_Coverage, 7452,
     /*  57935 */     GIR_EraseRootFromParent_Done,
     /*  57936 */   // Label 946: @57936
     /*  57936 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(57991), // Rule ID 7453 //
     /*  57941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  57948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  57952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  57956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  57960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  57964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  57968 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  57972 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  57976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  57978 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (splat_vector:{ *:[nxv2i64] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  57981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  57983 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  57985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  57989 */     GIR_RootConstrainSelectedInstOperands,
     /*  57990 */     // GIR_Coverage, 7453,
     /*  57990 */     GIR_EraseRootFromParent_Done,
     /*  57991 */   // Label 947: @57991
     /*  57991 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(58006), // Rule ID 3146 //
     /*  57996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  57999 */     // (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  57999 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  58004 */     GIR_RootConstrainSelectedInstOperands,
     /*  58005 */     // GIR_Coverage, 3146,
     /*  58005 */     GIR_Done,
     /*  58006 */   // Label 948: @58006
     /*  58006 */   GIM_Reject,
     /*  58007 */ // Label 939: @58007
     /*  58007 */ GIM_Reject,
     /*  58008 */ // Label 850: @58008
     /*  58008 */ GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(58548),
     /*  58013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  58023 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(58080), // Rule ID 15039 //
     /*  58028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58059 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58065 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] }), nxv4i1:{ *:[nxv4i1] }:$Op2), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58078 */     GIR_RootConstrainSelectedInstOperands,
     /*  58079 */     // GIR_Coverage, 15039,
     /*  58079 */     GIR_EraseRootFromParent_Done,
     /*  58080 */   // Label 950: @58080
     /*  58080 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(58137), // Rule ID 15042 //
     /*  58085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58100 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58116 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58122 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] }), nxv4i1:{ *:[nxv4i1] }:$Op2), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58135 */     GIR_RootConstrainSelectedInstOperands,
     /*  58136 */     // GIR_Coverage, 15042,
     /*  58136 */     GIR_EraseRootFromParent_Done,
     /*  58137 */   // Label 951: @58137
     /*  58137 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(58194), // Rule ID 15038 //
     /*  58142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58157 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58173 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58179 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] })), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58184 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58192 */     GIR_RootConstrainSelectedInstOperands,
     /*  58193 */     // GIR_Coverage, 15038,
     /*  58193 */     GIR_EraseRootFromParent_Done,
     /*  58194 */   // Label 952: @58194
     /*  58194 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(58251), // Rule ID 15041 //
     /*  58199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58214 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58230 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58234 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58236 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] })), nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58243 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58249 */     GIR_RootConstrainSelectedInstOperands,
     /*  58250 */     // GIR_Coverage, 15041,
     /*  58250 */     GIR_EraseRootFromParent_Done,
     /*  58251 */   // Label 953: @58251
     /*  58251 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(58308), // Rule ID 15037 //
     /*  58256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58271 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58287 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58293 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] }), nxv4i1:{ *:[nxv4i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58298 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58300 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58306 */     GIR_RootConstrainSelectedInstOperands,
     /*  58307 */     // GIR_Coverage, 15037,
     /*  58307 */     GIR_EraseRootFromParent_Done,
     /*  58308 */   // Label 954: @58308
     /*  58308 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(58365), // Rule ID 15040 //
     /*  58313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58344 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58348 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58350 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] }), nxv4i1:{ *:[nxv4i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58355 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58357 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58363 */     GIR_RootConstrainSelectedInstOperands,
     /*  58364 */     // GIR_Coverage, 15040,
     /*  58364 */     GIR_EraseRootFromParent_Done,
     /*  58365 */   // Label 955: @58365
     /*  58365 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(58422), // Rule ID 8399 //
     /*  58370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58401 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58407 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58412 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58414 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58420 */     GIR_RootConstrainSelectedInstOperands,
     /*  58421 */     // GIR_Coverage, 8399,
     /*  58421 */     GIR_EraseRootFromParent_Done,
     /*  58422 */   // Label 956: @58422
     /*  58422 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(58479), // Rule ID 8400 //
     /*  58427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  58442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  58446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58458 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58464 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op2, (splat_vector:{ *:[nxv4i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  58467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58469 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58471 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58477 */     GIR_RootConstrainSelectedInstOperands,
     /*  58478 */     // GIR_Coverage, 8400,
     /*  58478 */     GIR_EraseRootFromParent_Done,
     /*  58479 */   // Label 957: @58479
     /*  58479 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(58526), // Rule ID 10669 //
     /*  58484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  58491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  58495 */     // (and:{ *:[nxv4i1] } PPR:{ *:[nxv4i1] }:$Ps1, PPR:{ *:[nxv4i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv4i1] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv4i1] }:$Ps1, PPR:{ *:[nxv4i1] }:$Ps2)
     /*  58495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  58498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /*  58502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  58507 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  58510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  58512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  58515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  58520 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  58522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  58524 */     GIR_RootConstrainSelectedInstOperands,
     /*  58525 */     // GIR_Coverage, 10669,
     /*  58525 */     GIR_EraseRootFromParent_Done,
     /*  58526 */   // Label 958: @58526
     /*  58526 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(58547), // Rule ID 2751 //
     /*  58531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58534 */     // (and:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  58534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  58537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  58539 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58541 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58543 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  58545 */     GIR_RootConstrainSelectedInstOperands,
     /*  58546 */     // GIR_Coverage, 2751,
     /*  58546 */     GIR_EraseRootFromParent_Done,
     /*  58547 */   // Label 959: @58547
     /*  58547 */   GIM_Reject,
     /*  58548 */ // Label 949: @58548
     /*  58548 */ GIM_Reject,
     /*  58549 */ // Label 851: @58549
     /*  58549 */ GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(59020),
     /*  58554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  58564 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(58619), // Rule ID 14979 //
     /*  58569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58600 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58606 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58617 */     GIR_RootConstrainSelectedInstOperands,
     /*  58618 */     // GIR_Coverage, 14979,
     /*  58618 */     GIR_EraseRootFromParent_Done,
     /*  58619 */   // Label 961: @58619
     /*  58619 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(58674), // Rule ID 14982 //
     /*  58624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58655 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58661 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] }), nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58672 */     GIR_RootConstrainSelectedInstOperands,
     /*  58673 */     // GIR_Coverage, 14982,
     /*  58673 */     GIR_EraseRootFromParent_Done,
     /*  58674 */   // Label 962: @58674
     /*  58674 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(58729), // Rule ID 14978 //
     /*  58679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58710 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58716 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] })), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58727 */     GIR_RootConstrainSelectedInstOperands,
     /*  58728 */     // GIR_Coverage, 14978,
     /*  58728 */     GIR_EraseRootFromParent_Done,
     /*  58729 */   // Label 963: @58729
     /*  58729 */   GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(58784), // Rule ID 14981 //
     /*  58734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  58741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58749 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58765 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58771 */     // (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] })), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  58778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58782 */     GIR_RootConstrainSelectedInstOperands,
     /*  58783 */     // GIR_Coverage, 14981,
     /*  58783 */     GIR_EraseRootFromParent_Done,
     /*  58784 */   // Label 964: @58784
     /*  58784 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(58839), // Rule ID 14977 //
     /*  58789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58820 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58826 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58831 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58837 */     GIR_RootConstrainSelectedInstOperands,
     /*  58838 */     // GIR_Coverage, 14977,
     /*  58838 */     GIR_EraseRootFromParent_Done,
     /*  58839 */   // Label 965: @58839
     /*  58839 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(58894), // Rule ID 14980 //
     /*  58844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  58867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58875 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58881 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] }), nxv4i32:{ *:[nxv4i32] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58886 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  58892 */     GIR_RootConstrainSelectedInstOperands,
     /*  58893 */     // GIR_Coverage, 14980,
     /*  58893 */     GIR_EraseRootFromParent_Done,
     /*  58894 */   // Label 966: @58894
     /*  58894 */   GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(58949), // Rule ID 7448 //
     /*  58899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  58930 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58936 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58941 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  58947 */     GIR_RootConstrainSelectedInstOperands,
     /*  58948 */     // GIR_Coverage, 7448,
     /*  58948 */     GIR_EraseRootFromParent_Done,
     /*  58949 */   // Label 967: @58949
     /*  58949 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(59004), // Rule ID 7449 //
     /*  58954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  58957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  58961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  58965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  58969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  58973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  58977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  58981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  58985 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  58989 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  58991 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (splat_vector:{ *:[nxv4i32] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  58991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  58994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  58996 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  58998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59002 */     GIR_RootConstrainSelectedInstOperands,
     /*  59003 */     // GIR_Coverage, 7449,
     /*  59003 */     GIR_EraseRootFromParent_Done,
     /*  59004 */   // Label 968: @59004
     /*  59004 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(59019), // Rule ID 3145 //
     /*  59009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59012 */     // (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  59012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  59017 */     GIR_RootConstrainSelectedInstOperands,
     /*  59018 */     // GIR_Coverage, 3145,
     /*  59018 */     GIR_Done,
     /*  59019 */   // Label 969: @59019
     /*  59019 */   GIM_Reject,
     /*  59020 */ // Label 960: @59020
     /*  59020 */ GIM_Reject,
     /*  59021 */ // Label 852: @59021
     /*  59021 */ GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(59561),
     /*  59026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  59036 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(59093), // Rule ID 15030 //
     /*  59041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59072 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59078 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] }), nxv8i1:{ *:[nxv8i1] }:$Op2), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59083 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59085 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59091 */     GIR_RootConstrainSelectedInstOperands,
     /*  59092 */     // GIR_Coverage, 15030,
     /*  59092 */     GIR_EraseRootFromParent_Done,
     /*  59093 */   // Label 971: @59093
     /*  59093 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(59150), // Rule ID 15033 //
     /*  59098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59129 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59135 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] }), nxv8i1:{ *:[nxv8i1] }:$Op2), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59148 */     GIR_RootConstrainSelectedInstOperands,
     /*  59149 */     // GIR_Coverage, 15033,
     /*  59149 */     GIR_EraseRootFromParent_Done,
     /*  59150 */   // Label 972: @59150
     /*  59150 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(59207), // Rule ID 15029 //
     /*  59155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59186 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59190 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59192 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] })), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59199 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59205 */     GIR_RootConstrainSelectedInstOperands,
     /*  59206 */     // GIR_Coverage, 15029,
     /*  59206 */     GIR_EraseRootFromParent_Done,
     /*  59207 */   // Label 973: @59207
     /*  59207 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(59264), // Rule ID 15032 //
     /*  59212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59243 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59249 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] })), nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59254 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59262 */     GIR_RootConstrainSelectedInstOperands,
     /*  59263 */     // GIR_Coverage, 15032,
     /*  59263 */     GIR_EraseRootFromParent_Done,
     /*  59264 */   // Label 974: @59264
     /*  59264 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(59321), // Rule ID 15028 //
     /*  59269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59300 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59304 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59306 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] }), nxv8i1:{ *:[nxv8i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59311 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59313 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59319 */     GIR_RootConstrainSelectedInstOperands,
     /*  59320 */     // GIR_Coverage, 15028,
     /*  59320 */     GIR_EraseRootFromParent_Done,
     /*  59321 */   // Label 975: @59321
     /*  59321 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(59378), // Rule ID 15031 //
     /*  59326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59341 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59357 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59363 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] }), nxv8i1:{ *:[nxv8i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59368 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59370 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59376 */     GIR_RootConstrainSelectedInstOperands,
     /*  59377 */     // GIR_Coverage, 15031,
     /*  59377 */     GIR_EraseRootFromParent_Done,
     /*  59378 */   // Label 976: @59378
     /*  59378 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(59435), // Rule ID 8395 //
     /*  59383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59414 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59420 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59425 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59427 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59433 */     GIR_RootConstrainSelectedInstOperands,
     /*  59434 */     // GIR_Coverage, 8395,
     /*  59434 */     GIR_EraseRootFromParent_Done,
     /*  59435 */   // Label 977: @59435
     /*  59435 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(59492), // Rule ID 8396 //
     /*  59440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  59455 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  59459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59471 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59475 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59477 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op2, (splat_vector:{ *:[nxv8i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  59480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59482 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59484 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59490 */     GIR_RootConstrainSelectedInstOperands,
     /*  59491 */     // GIR_Coverage, 8396,
     /*  59491 */     GIR_EraseRootFromParent_Done,
     /*  59492 */   // Label 978: @59492
     /*  59492 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(59539), // Rule ID 10668 //
     /*  59497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  59504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  59508 */     // (and:{ *:[nxv8i1] } PPR:{ *:[nxv8i1] }:$Ps1, PPR:{ *:[nxv8i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv8i1] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv8i1] }:$Ps1, PPR:{ *:[nxv8i1] }:$Ps2)
     /*  59508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  59511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /*  59515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  59520 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  59523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  59525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  59528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  59533 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  59535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  59537 */     GIR_RootConstrainSelectedInstOperands,
     /*  59538 */     // GIR_Coverage, 10668,
     /*  59538 */     GIR_EraseRootFromParent_Done,
     /*  59539 */   // Label 979: @59539
     /*  59539 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(59560), // Rule ID 2750 //
     /*  59544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59547 */     // (and:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  59547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  59550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  59552 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59554 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  59558 */     GIR_RootConstrainSelectedInstOperands,
     /*  59559 */     // GIR_Coverage, 2750,
     /*  59559 */     GIR_EraseRootFromParent_Done,
     /*  59560 */   // Label 980: @59560
     /*  59560 */   GIM_Reject,
     /*  59561 */ // Label 970: @59561
     /*  59561 */ GIM_Reject,
     /*  59562 */ // Label 853: @59562
     /*  59562 */ GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(60033),
     /*  59567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  59577 */   GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(59632), // Rule ID 14970 //
     /*  59582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59613 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59617 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59619 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] }), nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59630 */     GIR_RootConstrainSelectedInstOperands,
     /*  59631 */     // GIR_Coverage, 14970,
     /*  59631 */     GIR_EraseRootFromParent_Done,
     /*  59632 */   // Label 982: @59632
     /*  59632 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(59687), // Rule ID 14973 //
     /*  59637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59668 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59674 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] }), nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59679 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59685 */     GIR_RootConstrainSelectedInstOperands,
     /*  59686 */     // GIR_Coverage, 14973,
     /*  59686 */     GIR_EraseRootFromParent_Done,
     /*  59687 */   // Label 983: @59687
     /*  59687 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(59742), // Rule ID 14969 //
     /*  59692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59707 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59711 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59715 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59719 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59723 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59729 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] })), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59740 */     GIR_RootConstrainSelectedInstOperands,
     /*  59741 */     // GIR_Coverage, 14969,
     /*  59741 */     GIR_EraseRootFromParent_Done,
     /*  59742 */   // Label 984: @59742
     /*  59742 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(59797), // Rule ID 14972 //
     /*  59747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  59754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59778 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59784 */     // (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] })), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59789 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  59791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59795 */     GIR_RootConstrainSelectedInstOperands,
     /*  59796 */     // GIR_Coverage, 14972,
     /*  59796 */     GIR_EraseRootFromParent_Done,
     /*  59797 */   // Label 985: @59797
     /*  59797 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(59852), // Rule ID 14968 //
     /*  59802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59817 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59833 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59839 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] }), nxv8i16:{ *:[nxv8i16] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59844 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59850 */     GIR_RootConstrainSelectedInstOperands,
     /*  59851 */     // GIR_Coverage, 14968,
     /*  59851 */     GIR_EraseRootFromParent_Done,
     /*  59852 */   // Label 986: @59852
     /*  59852 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(59907), // Rule ID 14971 //
     /*  59857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  59880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59888 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59894 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] }), nxv8i16:{ *:[nxv8i16] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59899 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  59905 */     GIR_RootConstrainSelectedInstOperands,
     /*  59906 */     // GIR_Coverage, 14971,
     /*  59906 */     GIR_EraseRootFromParent_Done,
     /*  59907 */   // Label 987: @59907
     /*  59907 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(59962), // Rule ID 7444 //
     /*  59912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59939 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  59943 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  59947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  59949 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  59949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  59952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  59954 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  59956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  59960 */     GIR_RootConstrainSelectedInstOperands,
     /*  59961 */     // GIR_Coverage, 7444,
     /*  59961 */     GIR_EraseRootFromParent_Done,
     /*  59962 */   // Label 988: @59962
     /*  59962 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(60017), // Rule ID 7445 //
     /*  59967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  59970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  59974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  59978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  59982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  59986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  59990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  59994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  59998 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60004 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (splat_vector:{ *:[nxv8i16] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  60004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60009 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60015 */     GIR_RootConstrainSelectedInstOperands,
     /*  60016 */     // GIR_Coverage, 7445,
     /*  60016 */     GIR_EraseRootFromParent_Done,
     /*  60017 */   // Label 989: @60017
     /*  60017 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(60032), // Rule ID 3144 //
     /*  60022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60025 */     // (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  60025 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  60030 */     GIR_RootConstrainSelectedInstOperands,
     /*  60031 */     // GIR_Coverage, 3144,
     /*  60031 */     GIR_Done,
     /*  60032 */   // Label 990: @60032
     /*  60032 */   GIM_Reject,
     /*  60033 */ // Label 981: @60033
     /*  60033 */ GIM_Reject,
     /*  60034 */ // Label 854: @60034
     /*  60034 */ GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(60574),
     /*  60039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  60049 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(60106), // Rule ID 15021 //
     /*  60054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60085 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60091 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] }), nxv16i1:{ *:[nxv16i1] }:$Op2), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60098 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60104 */     GIR_RootConstrainSelectedInstOperands,
     /*  60105 */     // GIR_Coverage, 15021,
     /*  60105 */     GIR_EraseRootFromParent_Done,
     /*  60106 */   // Label 992: @60106
     /*  60106 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(60163), // Rule ID 15024 //
     /*  60111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60142 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60148 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] }), nxv16i1:{ *:[nxv16i1] }:$Op2), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60155 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60161 */     GIR_RootConstrainSelectedInstOperands,
     /*  60162 */     // GIR_Coverage, 15024,
     /*  60162 */     GIR_EraseRootFromParent_Done,
     /*  60163 */   // Label 993: @60163
     /*  60163 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(60220), // Rule ID 15020 //
     /*  60168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60199 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60205 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] })), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60218 */     GIR_RootConstrainSelectedInstOperands,
     /*  60219 */     // GIR_Coverage, 15020,
     /*  60219 */     GIR_EraseRootFromParent_Done,
     /*  60220 */   // Label 994: @60220
     /*  60220 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(60277), // Rule ID 15023 //
     /*  60225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60256 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60260 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60262 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] })), nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60267 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60269 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60275 */     GIR_RootConstrainSelectedInstOperands,
     /*  60276 */     // GIR_Coverage, 15023,
     /*  60276 */     GIR_EraseRootFromParent_Done,
     /*  60277 */   // Label 995: @60277
     /*  60277 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(60334), // Rule ID 15019 //
     /*  60282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60297 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60313 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60319 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] }), nxv16i1:{ *:[nxv16i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60324 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60326 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60332 */     GIR_RootConstrainSelectedInstOperands,
     /*  60333 */     // GIR_Coverage, 15019,
     /*  60333 */     GIR_EraseRootFromParent_Done,
     /*  60334 */   // Label 996: @60334
     /*  60334 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(60391), // Rule ID 15022 //
     /*  60339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60370 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60374 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60376 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] }), nxv16i1:{ *:[nxv16i1] }:$Op2))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60381 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60383 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60389 */     GIR_RootConstrainSelectedInstOperands,
     /*  60390 */     // GIR_Coverage, 15022,
     /*  60390 */     GIR_EraseRootFromParent_Done,
     /*  60391 */   // Label 997: @60391
     /*  60391 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(60448), // Rule ID 8391 //
     /*  60396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60411 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60415 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60419 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60423 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60427 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60433 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i32] })))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60438 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60440 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60446 */     GIR_RootConstrainSelectedInstOperands,
     /*  60447 */     // GIR_Coverage, 8391,
     /*  60447 */     GIR_EraseRootFromParent_Done,
     /*  60448 */   // Label 998: @60448
     /*  60448 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(60505), // Rule ID 8392 //
     /*  60453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  60468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  60472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60484 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60488 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60490 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op2, (splat_vector:{ *:[nxv16i1] } -1:{ *:[i64] })))  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /*  60493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60495 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60497 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60503 */     GIR_RootConstrainSelectedInstOperands,
     /*  60504 */     // GIR_Coverage, 8392,
     /*  60504 */     GIR_EraseRootFromParent_Done,
     /*  60505 */   // Label 999: @60505
     /*  60505 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(60552), // Rule ID 10667 //
     /*  60510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  60517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  60521 */     // (and:{ *:[nxv16i1] } PPR:{ *:[nxv16i1] }:$Ps1, PPR:{ *:[nxv16i1] }:$Ps2)  =>  (AND_PPzPP:{ *:[nxv16i1] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), PPR:{ *:[nxv16i1] }:$Ps1, PPR:{ *:[nxv16i1] }:$Ps2)
     /*  60521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  60524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /*  60528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  60533 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  60536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  60538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  60541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  60546 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps1
     /*  60548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ps2
     /*  60550 */     GIR_RootConstrainSelectedInstOperands,
     /*  60551 */     // GIR_Coverage, 10667,
     /*  60551 */     GIR_EraseRootFromParent_Done,
     /*  60552 */   // Label 1000: @60552
     /*  60552 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(60573), // Rule ID 2749 //
     /*  60557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60560 */     // (and:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (AND_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  60560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /*  60563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  60565 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60567 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  60571 */     GIR_RootConstrainSelectedInstOperands,
     /*  60572 */     // GIR_Coverage, 2749,
     /*  60572 */     GIR_EraseRootFromParent_Done,
     /*  60573 */   // Label 1001: @60573
     /*  60573 */   GIM_Reject,
     /*  60574 */ // Label 991: @60574
     /*  60574 */ GIM_Reject,
     /*  60575 */ // Label 855: @60575
     /*  60575 */ GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(61046),
     /*  60580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  60590 */   GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(60645), // Rule ID 14961 //
     /*  60595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60610 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60626 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60632 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] }), nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60637 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60643 */     GIR_RootConstrainSelectedInstOperands,
     /*  60644 */     // GIR_Coverage, 14961,
     /*  60644 */     GIR_EraseRootFromParent_Done,
     /*  60645 */   // Label 1003: @60645
     /*  60645 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(60700), // Rule ID 14964 //
     /*  60650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60665 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60681 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60685 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60687 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] }), nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60698 */     GIR_RootConstrainSelectedInstOperands,
     /*  60699 */     // GIR_Coverage, 14964,
     /*  60699 */     GIR_EraseRootFromParent_Done,
     /*  60700 */   // Label 1004: @60700
     /*  60700 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(60755), // Rule ID 14960 //
     /*  60705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60736 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60742 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] })), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60747 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60753 */     GIR_RootConstrainSelectedInstOperands,
     /*  60754 */     // GIR_Coverage, 14960,
     /*  60754 */     GIR_EraseRootFromParent_Done,
     /*  60755 */   // Label 1005: @60755
     /*  60755 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(60810), // Rule ID 14963 //
     /*  60760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  60767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60791 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60797 */     // (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] })), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60802 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  60804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60808 */     GIR_RootConstrainSelectedInstOperands,
     /*  60809 */     // GIR_Coverage, 14963,
     /*  60809 */     GIR_EraseRootFromParent_Done,
     /*  60810 */   // Label 1006: @60810
     /*  60810 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(60865), // Rule ID 14959 //
     /*  60815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60846 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60852 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] }), nxv16i8:{ *:[nxv16i8] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60857 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60863 */     GIR_RootConstrainSelectedInstOperands,
     /*  60864 */     // GIR_Coverage, 14959,
     /*  60864 */     GIR_EraseRootFromParent_Done,
     /*  60865 */   // Label 1007: @60865
     /*  60865 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(60920), // Rule ID 14962 //
     /*  60870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60885 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  60893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  60901 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60907 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] }), nxv16i8:{ *:[nxv16i8] }:$Op2))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60912 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  60918 */     GIR_RootConstrainSelectedInstOperands,
     /*  60919 */     // GIR_Coverage, 14962,
     /*  60919 */     GIR_EraseRootFromParent_Done,
     /*  60920 */   // Label 1008: @60920
     /*  60920 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(60975), // Rule ID 7440 //
     /*  60925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  60948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  60952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  60956 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  60960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  60962 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i32] })))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  60962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  60965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  60967 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  60969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  60973 */     GIR_RootConstrainSelectedInstOperands,
     /*  60974 */     // GIR_Coverage, 7440,
     /*  60974 */     GIR_EraseRootFromParent_Done,
     /*  60975 */   // Label 1009: @60975
     /*  60975 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(61030), // Rule ID 7441 //
     /*  60980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  60983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  60987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  60991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  60995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  60999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  61003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /*  61007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61011 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, uint8_t(-1),
     /*  61015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  61017 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (splat_vector:{ *:[nxv16i8] } -1:{ *:[i64] })))  =>  (BIC_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  61017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZZZ),
     /*  61020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /*  61022 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  61024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  61028 */     GIR_RootConstrainSelectedInstOperands,
     /*  61029 */     // GIR_Coverage, 7441,
     /*  61029 */     GIR_EraseRootFromParent_Done,
     /*  61030 */   // Label 1010: @61030
     /*  61030 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(61045), // Rule ID 3143 //
     /*  61035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  61038 */     // (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (AND_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  61038 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::AND_ZZZ),
     /*  61043 */     GIR_RootConstrainSelectedInstOperands,
     /*  61044 */     // GIR_Coverage, 3143,
     /*  61044 */     GIR_Done,
     /*  61045 */   // Label 1011: @61045
     /*  61045 */   GIM_Reject,
     /*  61046 */ // Label 1002: @61046
     /*  61046 */ GIM_Reject,
     /*  61047 */ // Label 856: @61047
     /*  61047 */ GIM_Reject,
     /*  61048 */ // Label 6: @61048
     /*  61048 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 1030*/ GIMT_Encode4(72826),
     /*  61059 */ /*GILLT_s32*//*Label 1012*/ GIMT_Encode4(61147),
     /*  61063 */ /*GILLT_s64*//*Label 1013*/ GIMT_Encode4(61507), GIMT_Encode4(0),
     /*  61071 */ /*GILLT_v2s32*//*Label 1014*/ GIMT_Encode4(63406),
     /*  61075 */ /*GILLT_v2s64*//*Label 1015*/ GIMT_Encode4(64714),
     /*  61079 */ /*GILLT_v4s16*//*Label 1016*/ GIMT_Encode4(66022),
     /*  61083 */ /*GILLT_v4s32*//*Label 1017*/ GIMT_Encode4(67330),
     /*  61087 */ /*GILLT_v8s8*//*Label 1018*/ GIMT_Encode4(68638),
     /*  61091 */ /*GILLT_v8s16*//*Label 1019*/ GIMT_Encode4(69946),
     /*  61095 */ /*GILLT_v16s8*//*Label 1020*/ GIMT_Encode4(71254),
     /*  61099 */ /*GILLT_nxv1s1*//*Label 1021*/ GIMT_Encode4(72562),
     /*  61103 */ /*GILLT_nxv2s1*//*Label 1022*/ GIMT_Encode4(72594), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  61115 */ /*GILLT_nxv2s64*//*Label 1023*/ GIMT_Encode4(72626),
     /*  61119 */ /*GILLT_nxv4s1*//*Label 1024*/ GIMT_Encode4(72652), GIMT_Encode4(0),
     /*  61127 */ /*GILLT_nxv4s32*//*Label 1025*/ GIMT_Encode4(72684),
     /*  61131 */ /*GILLT_nxv8s1*//*Label 1026*/ GIMT_Encode4(72710),
     /*  61135 */ /*GILLT_nxv8s16*//*Label 1027*/ GIMT_Encode4(72742),
     /*  61139 */ /*GILLT_nxv16s1*//*Label 1028*/ GIMT_Encode4(72768),
     /*  61143 */ /*GILLT_nxv16s8*//*Label 1029*/ GIMT_Encode4(72800),
     /*  61147 */ // Label 1012: @61147
     /*  61147 */ GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(61506),
     /*  61152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  61155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  61158 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(61213), // Rule ID 13227 //
     /*  61163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  61179 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  61183 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61193 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  61200 */     // (or:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (ORNWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  61200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrs),
     /*  61203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  61207 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  61211 */     GIR_RootConstrainSelectedInstOperands,
     /*  61212 */     // GIR_Coverage, 13227,
     /*  61212 */     GIR_EraseRootFromParent_Done,
     /*  61213 */   // Label 1032: @61213
     /*  61213 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(61268), // Rule ID 174 //
     /*  61218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  61238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  61242 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61248 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  61255 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }))  =>  (ORNWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  61255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrs),
     /*  61258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61260 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  61262 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  61266 */     GIR_RootConstrainSelectedInstOperands,
     /*  61267 */     // GIR_Coverage, 174,
     /*  61267 */     GIR_EraseRootFromParent_Done,
     /*  61268 */   // Label 1033: @61268
     /*  61268 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(61309), // Rule ID 146 //
     /*  61273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  61277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  61289 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm32),
     /*  61293 */     // MIs[1] Operand 1
     /*  61293 */     // No operand predicates
     /*  61293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61295 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_logical_imm32>><<X:logical_imm32_XFORM>>:$imm)  =>  (ORRWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (logical_imm32_XFORM:{ *:[i32] } (imm:{ *:[i32] }):$imm))
     /*  61295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRWri),
     /*  61298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61300 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  61302 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // imm
     /*  61307 */     GIR_RootConstrainSelectedInstOperands,
     /*  61308 */     // GIR_Coverage, 146,
     /*  61308 */     GIR_EraseRootFromParent_Done,
     /*  61309 */   // Label 1034: @61309
     /*  61309 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(61342), // Rule ID 13229 //
     /*  61314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  61329 */     // (or:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (ORRWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  61329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRWrs),
     /*  61332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61334 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  61336 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  61340 */     GIR_RootConstrainSelectedInstOperands,
     /*  61341 */     // GIR_Coverage, 13229,
     /*  61341 */     GIR_EraseRootFromParent_Done,
     /*  61342 */   // Label 1035: @61342
     /*  61342 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(61375), // Rule ID 178 //
     /*  61347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  61362 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (ORRWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  61362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRWrs),
     /*  61365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61367 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  61369 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  61373 */     GIR_RootConstrainSelectedInstOperands,
     /*  61374 */     // GIR_Coverage, 178,
     /*  61374 */     GIR_EraseRootFromParent_Done,
     /*  61375 */   // Label 1036: @61375
     /*  61375 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(61428), // Rule ID 13225 //
     /*  61380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  61396 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  61400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61405 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61415 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (ORNWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  61415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /*  61418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  61422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  61426 */     GIR_RootConstrainSelectedInstOperands,
     /*  61427 */     // GIR_Coverage, 13225,
     /*  61427 */     GIR_EraseRootFromParent_Done,
     /*  61428 */   // Label 1037: @61428
     /*  61428 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(61481), // Rule ID 172 //
     /*  61433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  61453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  61457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61462 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61468 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, -1:{ *:[i32] }))  =>  (ORNWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  61468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /*  61471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61473 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  61475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  61479 */     GIR_RootConstrainSelectedInstOperands,
     /*  61480 */     // GIR_Coverage, 172,
     /*  61480 */     GIR_EraseRootFromParent_Done,
     /*  61481 */   // Label 1038: @61481
     /*  61481 */   GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(61505), // Rule ID 176 //
     /*  61486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  61498 */     // (or:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (ORRWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  61498 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRWrr),
     /*  61503 */     GIR_RootConstrainSelectedInstOperands,
     /*  61504 */     // GIR_Coverage, 176,
     /*  61504 */     GIR_Done,
     /*  61505 */   // Label 1039: @61505
     /*  61505 */   GIM_Reject,
     /*  61506 */ // Label 1031: @61506
     /*  61506 */ GIM_Reject,
     /*  61507 */ // Label 1013: @61507
     /*  61507 */ GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(63405),
     /*  61512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  61515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  61518 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(61640), // Rule ID 4017 //
     /*  61523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61539 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61543 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61547 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  61551 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61555 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  61559 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61564 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  61568 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(71777214294589695),
     /*  61579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  61583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61587 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  61591 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  61595 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  61599 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  61603 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  61607 */     // MIs[4] Rn
     /*  61607 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61612 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 8,
     /*  61616 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(-71777214294589696),
     /*  61627 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61629 */     // (or:{ *:[i64] } (and:{ *:[i64] } (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), 71777214294589695:{ *:[i64] }), (and:{ *:[i64] } (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), -71777214294589696:{ *:[i64] }))  =>  (REV16Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /*  61629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Xr),
     /*  61632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  61638 */     GIR_RootConstrainSelectedInstOperands,
     /*  61639 */     // GIR_Coverage, 4017,
     /*  61639 */     GIR_EraseRootFromParent_Done,
     /*  61640 */   // Label 1041: @61640
     /*  61640 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(61762), // Rule ID 13777 //
     /*  61645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  61673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61677 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  61681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61686 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  61690 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(-71777214294589696),
     /*  61701 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  61705 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61709 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  61713 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  61717 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  61721 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  61725 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  61729 */     // MIs[4] Rn
     /*  61729 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61734 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 8,
     /*  61738 */     GIM_CheckConstantInt, /*MI*/3, /*Op*/2, GIMT_Encode8(71777214294589695),
     /*  61749 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61751 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), -71777214294589696:{ *:[i64] }), (and:{ *:[i64] } (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 8:{ *:[i64] }), 71777214294589695:{ *:[i64] }))  =>  (REV16Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /*  61751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Xr),
     /*  61754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  61760 */     GIR_RootConstrainSelectedInstOperands,
     /*  61761 */     // GIR_Coverage, 13777,
     /*  61761 */     GIR_EraseRootFromParent_Done,
     /*  61762 */   // Label 1042: @61762
     /*  61762 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(61817), // Rule ID 13228 //
     /*  61767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61787 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61797 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  61804 */     // (or:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (ORNXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  61804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrs),
     /*  61807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61809 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  61811 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  61815 */     GIR_RootConstrainSelectedInstOperands,
     /*  61816 */     // GIR_Coverage, 13228,
     /*  61816 */     GIR_EraseRootFromParent_Done,
     /*  61817 */   // Label 1043: @61817
     /*  61817 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(61872), // Rule ID 175 //
     /*  61822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  61830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  61834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61846 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  61850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  61852 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  61859 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }))  =>  (ORNXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  61859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrs),
     /*  61862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  61864 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  61866 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  61870 */     GIR_RootConstrainSelectedInstOperands,
     /*  61871 */     // GIR_Coverage, 175,
     /*  61871 */     GIR_EraseRootFromParent_Done,
     /*  61872 */   // Label 1044: @61872
     /*  61872 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(61981), // Rule ID 13577 //
     /*  61877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  61896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  61900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  61904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  61908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  61912 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  61916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61921 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  61925 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  61931 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  61933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61938 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  61942 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  61946 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  61950 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61955 */     // MIs[4] LHS
     /*  61955 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  61960 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  61962 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  61962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  61965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  61967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  61971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  61975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  61979 */     GIR_RootConstrainSelectedInstOperands,
     /*  61980 */     // GIR_Coverage, 13577,
     /*  61980 */     GIR_EraseRootFromParent_Done,
     /*  61981 */   // Label 1045: @61981
     /*  61981 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(62090), // Rule ID 13576 //
     /*  61986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  61989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  61993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  61997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  62013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  62021 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  62025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62030 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62034 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62040 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  62042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62047 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  62051 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62055 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  62059 */     // MIs[4] LHS
     /*  62059 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62064 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62069 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62071 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  62071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  62080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  62084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  62088 */     GIR_RootConstrainSelectedInstOperands,
     /*  62089 */     // GIR_Coverage, 13576,
     /*  62089 */     GIR_EraseRootFromParent_Done,
     /*  62090 */   // Label 1046: @62090
     /*  62090 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(62199), // Rule ID 13579 //
     /*  62095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  62135 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  62139 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62144 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62148 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62154 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  62156 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  62160 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62164 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  62168 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62173 */     // MIs[4] LHS
     /*  62173 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62178 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62180 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  62180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  62189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  62193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  62197 */     GIR_RootConstrainSelectedInstOperands,
     /*  62198 */     // GIR_Coverage, 13579,
     /*  62198 */     GIR_EraseRootFromParent_Done,
     /*  62199 */   // Label 1047: @62199
     /*  62199 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(62308), // Rule ID 13578 //
     /*  62204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  62244 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  62248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62257 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62263 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  62265 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  62269 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62273 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  62277 */     // MIs[4] LHS
     /*  62277 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  62282 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62287 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62289 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  62289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  62298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  62302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  62306 */     GIR_RootConstrainSelectedInstOperands,
     /*  62307 */     // GIR_Coverage, 13578,
     /*  62307 */     GIR_EraseRootFromParent_Done,
     /*  62308 */   // Label 1048: @62308
     /*  62308 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(62417), // Rule ID 2471 //
     /*  62313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  62350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  62358 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  62362 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  62366 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62370 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  62374 */     // MIs[3] LHS
     /*  62374 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  62379 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  62383 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62389 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  62391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62396 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62398 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS), (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  62398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  62407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  62411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  62415 */     GIR_RootConstrainSelectedInstOperands,
     /*  62416 */     // GIR_Coverage, 2471,
     /*  62416 */     GIR_EraseRootFromParent_Done,
     /*  62417 */   // Label 1049: @62417
     /*  62417 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(62526), // Rule ID 13574 //
     /*  62422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62441 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  62459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  62467 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  62471 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  62475 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62479 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  62483 */     // MIs[3] LHS
     /*  62483 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  62488 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  62492 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62498 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  62500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62505 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62507 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS), (and:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$RHS))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  62507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  62516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  62520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  62524 */     GIR_RootConstrainSelectedInstOperands,
     /*  62525 */     // GIR_Coverage, 13574,
     /*  62525 */     GIR_EraseRootFromParent_Done,
     /*  62526 */   // Label 1050: @62526
     /*  62526 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(62635), // Rule ID 13573 //
     /*  62531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  62568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  62576 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  62580 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62585 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62589 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62593 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  62597 */     // MIs[3] LHS
     /*  62597 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  62602 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  62606 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62612 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  62614 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62616 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  62616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  62625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  62629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  62633 */     GIR_RootConstrainSelectedInstOperands,
     /*  62634 */     // GIR_Coverage, 13573,
     /*  62634 */     GIR_EraseRootFromParent_Done,
     /*  62635 */   // Label 1051: @62635
     /*  62635 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(62744), // Rule ID 13575 //
     /*  62640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  62663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  62677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  62681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  62685 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  62689 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62694 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  62698 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  62702 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  62706 */     // MIs[3] LHS
     /*  62706 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  62711 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  62715 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  62721 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  62723 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  62725 */     // (or:{ *:[v1i64] } (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$LHS), (and:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, immAllOnesV:{ *:[v1i64] })))  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$MHS, V64:{ *:[v1i64] }:$RHS)
     /*  62725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  62728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  62734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  62738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  62742 */     GIR_RootConstrainSelectedInstOperands,
     /*  62743 */     // GIR_Coverage, 13575,
     /*  62743 */     GIR_EraseRootFromParent_Done,
     /*  62744 */   // Label 1052: @62744
     /*  62744 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(62785), // Rule ID 147 //
     /*  62749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  62753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  62761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62765 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm64),
     /*  62769 */     // MIs[1] Operand 1
     /*  62769 */     // No operand predicates
     /*  62769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  62771 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_logical_imm64>><<X:logical_imm64_XFORM>>:$imm)  =>  (ORRXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (logical_imm64_XFORM:{ *:[i64] } (imm:{ *:[i64] }):$imm))
     /*  62771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRXri),
     /*  62774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62776 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  62778 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm64), // imm
     /*  62783 */     GIR_RootConstrainSelectedInstOperands,
     /*  62784 */     // GIR_Coverage, 147,
     /*  62784 */     GIR_EraseRootFromParent_Done,
     /*  62785 */   // Label 1053: @62785
     /*  62785 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(62818), // Rule ID 13230 //
     /*  62790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  62805 */     // (or:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (ORRXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  62805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRXrs),
     /*  62808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  62812 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  62816 */     GIR_RootConstrainSelectedInstOperands,
     /*  62817 */     // GIR_Coverage, 13230,
     /*  62817 */     GIR_EraseRootFromParent_Done,
     /*  62818 */   // Label 1054: @62818
     /*  62818 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(62851), // Rule ID 179 //
     /*  62823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  62838 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (ORRXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  62838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORRXrs),
     /*  62841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  62843 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  62845 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  62849 */     GIR_RootConstrainSelectedInstOperands,
     /*  62850 */     // GIR_Coverage, 179,
     /*  62850 */     GIR_EraseRootFromParent_Done,
     /*  62851 */   // Label 1055: @62851
     /*  62851 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(62918), // Rule ID 13513 //
     /*  62856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  62871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62880 */     // MIs[1] imm
     /*  62880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62888 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  62892 */     // MIs[2] Operand 1
     /*  62892 */     // No operand predicates
     /*  62892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62896 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  62900 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62902 */     // (or:{ *:[v1i64] } (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  62902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  62905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62907 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  62909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  62913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  62916 */     GIR_RootConstrainSelectedInstOperands,
     /*  62917 */     // GIR_Coverage, 13513,
     /*  62917 */     GIR_EraseRootFromParent_Done,
     /*  62918 */   // Label 1056: @62918
     /*  62918 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(62985), // Rule ID 13516 //
     /*  62923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  62926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  62938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  62942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62947 */     // MIs[1] imm
     /*  62947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  62951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  62955 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  62959 */     // MIs[2] Operand 1
     /*  62959 */     // No operand predicates
     /*  62959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  62963 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  62967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  62969 */     // (or:{ *:[v1i64] } (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), FPR64:{ *:[v1i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  62969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  62972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  62974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  62976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  62980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  62983 */     GIR_RootConstrainSelectedInstOperands,
     /*  62984 */     // GIR_Coverage, 13516,
     /*  62984 */     GIR_EraseRootFromParent_Done,
     /*  62985 */   // Label 1057: @62985
     /*  62985 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(63038), // Rule ID 13226 //
     /*  62990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  62994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  62998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  63006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  63010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63015 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  63019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63025 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (ORNXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  63025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /*  63028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  63030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  63032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  63036 */     GIR_RootConstrainSelectedInstOperands,
     /*  63037 */     // GIR_Coverage, 13226,
     /*  63037 */     GIR_EraseRootFromParent_Done,
     /*  63038 */   // Label 1058: @63038
     /*  63038 */   GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(63105), // Rule ID 2122 //
     /*  63043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  63058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  63062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  63066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63071 */     // MIs[1] imm
     /*  63071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63079 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  63083 */     // MIs[2] Operand 1
     /*  63083 */     // No operand predicates
     /*  63083 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  63087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63089 */     // (or:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  63089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAd),
     /*  63092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63094 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  63096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  63100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  63103 */     GIR_RootConstrainSelectedInstOperands,
     /*  63104 */     // GIR_Coverage, 2122,
     /*  63104 */     GIR_EraseRootFromParent_Done,
     /*  63105 */   // Label 1059: @63105
     /*  63105 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(63172), // Rule ID 2131 //
     /*  63110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  63125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  63129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  63133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63138 */     // MIs[1] imm
     /*  63138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  63146 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  63150 */     // MIs[2] Operand 1
     /*  63150 */     // No operand predicates
     /*  63150 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  63154 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63156 */     // (or:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  63156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAd),
     /*  63159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63161 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  63163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  63167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  63170 */     GIR_RootConstrainSelectedInstOperands,
     /*  63171 */     // GIR_Coverage, 2131,
     /*  63171 */     GIR_EraseRootFromParent_Done,
     /*  63172 */   // Label 1060: @63172
     /*  63172 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(63225), // Rule ID 173 //
     /*  63177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  63189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  63197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  63201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63206 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  63210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  63212 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, -1:{ *:[i64] }))  =>  (ORNXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  63212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /*  63215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  63217 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  63219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  63223 */     GIR_RootConstrainSelectedInstOperands,
     /*  63224 */     // GIR_Coverage, 173,
     /*  63224 */     GIR_EraseRootFromParent_Done,
     /*  63225 */   // Label 1061: @63225
     /*  63225 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(63289), // Rule ID 13868 //
     /*  63230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  63249 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  63253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63262 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63268 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  63270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63276 */     // (or:{ *:[v1i64] } (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }), V64:{ *:[v1i64] }:$LHS)  =>  (ORNv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  63276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  63279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  63281 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  63283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  63287 */     GIR_RootConstrainSelectedInstOperands,
     /*  63288 */     // GIR_Coverage, 13868,
     /*  63288 */     GIR_EraseRootFromParent_Done,
     /*  63289 */   // Label 1062: @63289
     /*  63289 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(63353), // Rule ID 5056 //
     /*  63294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  63309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  63317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  63321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63326 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63330 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63336 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  63338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  63340 */     // (or:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$RHS, immAllOnesV:{ *:[v1i64] }))  =>  (ORNv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  63340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  63343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  63345 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  63347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  63351 */     GIR_RootConstrainSelectedInstOperands,
     /*  63352 */     // GIR_Coverage, 5056,
     /*  63352 */     GIR_EraseRootFromParent_Done,
     /*  63353 */   // Label 1063: @63353
     /*  63353 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(63377), // Rule ID 177 //
     /*  63358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  63370 */     // (or:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ORRXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  63370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRXrr),
     /*  63375 */     GIR_RootConstrainSelectedInstOperands,
     /*  63376 */     // GIR_Coverage, 177,
     /*  63376 */     GIR_Done,
     /*  63377 */   // Label 1064: @63377
     /*  63377 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(63404), // Rule ID 5062 //
     /*  63382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63397 */     // (or:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)  =>  (ORRv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  63397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  63402 */     GIR_RootConstrainSelectedInstOperands,
     /*  63403 */     // GIR_Coverage, 5062,
     /*  63403 */     GIR_Done,
     /*  63404 */   // Label 1065: @63404
     /*  63404 */   GIM_Reject,
     /*  63405 */ // Label 1040: @63405
     /*  63405 */ GIM_Reject,
     /*  63406 */ // Label 1014: @63406
     /*  63406 */ GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(64713),
     /*  63411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63417 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(63526), // Rule ID 13570 //
     /*  63422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63441 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63457 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63461 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63466 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63470 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63476 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  63478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63483 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  63487 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63491 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63495 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63500 */     // MIs[4] LHS
     /*  63500 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63505 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63507 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  63516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  63520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  63524 */     GIR_RootConstrainSelectedInstOperands,
     /*  63525 */     // GIR_Coverage, 13570,
     /*  63525 */     GIR_EraseRootFromParent_Done,
     /*  63526 */   // Label 1067: @63526
     /*  63526 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(63635), // Rule ID 13569 //
     /*  63531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  63558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63566 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63575 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63579 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63585 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  63587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63592 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  63596 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63600 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63604 */     // MIs[4] LHS
     /*  63604 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63609 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63614 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63616 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  63625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  63629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  63633 */     GIR_RootConstrainSelectedInstOperands,
     /*  63634 */     // GIR_Coverage, 13569,
     /*  63634 */     GIR_EraseRootFromParent_Done,
     /*  63635 */   // Label 1068: @63635
     /*  63635 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(63744), // Rule ID 13572 //
     /*  63640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63680 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63689 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63693 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63699 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  63701 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  63705 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63709 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63713 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63718 */     // MIs[4] LHS
     /*  63718 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63723 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63725 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  63734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  63738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  63742 */     GIR_RootConstrainSelectedInstOperands,
     /*  63743 */     // GIR_Coverage, 13572,
     /*  63743 */     GIR_EraseRootFromParent_Done,
     /*  63744 */   // Label 1069: @63744
     /*  63744 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(63853), // Rule ID 13571 //
     /*  63749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  63781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63789 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63798 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  63802 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63808 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  63810 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  63814 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63818 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63822 */     // MIs[4] LHS
     /*  63822 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  63827 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63832 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63834 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  63843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  63847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  63851 */     GIR_RootConstrainSelectedInstOperands,
     /*  63852 */     // GIR_Coverage, 13571,
     /*  63852 */     GIR_EraseRootFromParent_Done,
     /*  63853 */   // Label 1070: @63853
     /*  63853 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(63962), // Rule ID 2470 //
     /*  63858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  63895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63903 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  63911 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  63915 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63919 */     // MIs[3] LHS
     /*  63919 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  63924 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  63928 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  63934 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  63936 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63941 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  63943 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS), (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  63943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  63946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  63948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  63952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  63956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  63960 */     GIR_RootConstrainSelectedInstOperands,
     /*  63961 */     // GIR_Coverage, 2470,
     /*  63961 */     GIR_EraseRootFromParent_Done,
     /*  63962 */   // Label 1071: @63962
     /*  63962 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(64071), // Rule ID 13567 //
     /*  63967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  63970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  63978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  63982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  63986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  63990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  63995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  64004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64008 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64012 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64016 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  64020 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64024 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64028 */     // MIs[3] LHS
     /*  64028 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  64033 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  64037 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64043 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  64045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64050 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64052 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS), (and:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$RHS))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  64052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  64055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  64061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  64065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  64069 */     GIR_RootConstrainSelectedInstOperands,
     /*  64070 */     // GIR_Coverage, 13567,
     /*  64070 */     GIR_EraseRootFromParent_Done,
     /*  64071 */   // Label 1072: @64071
     /*  64071 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(64180), // Rule ID 13566 //
     /*  64076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  64113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64121 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64125 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64130 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64134 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64138 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64142 */     // MIs[3] LHS
     /*  64142 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  64147 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  64151 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64157 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  64159 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64161 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  64161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  64164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  64170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  64174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  64178 */     GIR_RootConstrainSelectedInstOperands,
     /*  64179 */     // GIR_Coverage, 13566,
     /*  64179 */     GIR_EraseRootFromParent_Done,
     /*  64180 */   // Label 1073: @64180
     /*  64180 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(64289), // Rule ID 13568 //
     /*  64185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  64222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64230 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64234 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64239 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64243 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64247 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64251 */     // MIs[3] LHS
     /*  64251 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  64256 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  64260 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64266 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  64268 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64270 */     // (or:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$LHS), (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, immAllOnesV:{ *:[v2i32] })))  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$MHS, V64:{ *:[v2i32] }:$RHS)
     /*  64270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  64273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  64279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  64283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  64287 */     GIR_RootConstrainSelectedInstOperands,
     /*  64288 */     // GIR_Coverage, 13568,
     /*  64288 */     GIR_EraseRootFromParent_Done,
     /*  64289 */   // Label 1074: @64289
     /*  64289 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(64356), // Rule ID 13533 //
     /*  64294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  64309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64318 */     // MIs[1] imm
     /*  64318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64326 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  64330 */     // MIs[2] Operand 1
     /*  64330 */     // No operand predicates
     /*  64330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64334 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  64338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64340 */     // (or:{ *:[v2i32] } (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  64340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  64343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  64347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  64351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  64354 */     GIR_RootConstrainSelectedInstOperands,
     /*  64355 */     // GIR_Coverage, 13533,
     /*  64355 */     GIR_EraseRootFromParent_Done,
     /*  64356 */   // Label 1075: @64356
     /*  64356 */   GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(64423), // Rule ID 13554 //
     /*  64361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  64376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64385 */     // MIs[1] imm
     /*  64385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64393 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  64397 */     // MIs[2] Operand 1
     /*  64397 */     // No operand predicates
     /*  64397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64401 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  64405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64407 */     // (or:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V64:{ *:[v2i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  64407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  64410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  64414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  64418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  64421 */     GIR_RootConstrainSelectedInstOperands,
     /*  64422 */     // GIR_Coverage, 13554,
     /*  64422 */     GIR_EraseRootFromParent_Done,
     /*  64423 */   // Label 1076: @64423
     /*  64423 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(64490), // Rule ID 2239 //
     /*  64428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  64443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  64447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64456 */     // MIs[1] imm
     /*  64456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64464 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  64468 */     // MIs[2] Operand 1
     /*  64468 */     // No operand predicates
     /*  64468 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  64472 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64474 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  64474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i32_shift),
     /*  64477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64479 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  64481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  64485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  64488 */     GIR_RootConstrainSelectedInstOperands,
     /*  64489 */     // GIR_Coverage, 2239,
     /*  64489 */     GIR_EraseRootFromParent_Done,
     /*  64490 */   // Label 1077: @64490
     /*  64490 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(64557), // Rule ID 2298 //
     /*  64495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  64510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  64514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64523 */     // MIs[1] imm
     /*  64523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  64531 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  64535 */     // MIs[2] Operand 1
     /*  64535 */     // No operand predicates
     /*  64535 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  64539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64541 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  64541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i32_shift),
     /*  64544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64546 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  64548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  64552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  64555 */     GIR_RootConstrainSelectedInstOperands,
     /*  64556 */     // GIR_Coverage, 2298,
     /*  64556 */     GIR_EraseRootFromParent_Done,
     /*  64557 */   // Label 1078: @64557
     /*  64557 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(64621), // Rule ID 13867 //
     /*  64562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64581 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64594 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64600 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  64602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64608 */     // (or:{ *:[v2i32] } (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }), V64:{ *:[v2i32] }:$LHS)  =>  (ORNv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  64608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  64611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  64613 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  64615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  64619 */     GIR_RootConstrainSelectedInstOperands,
     /*  64620 */     // GIR_Coverage, 13867,
     /*  64620 */     GIR_EraseRootFromParent_Done,
     /*  64621 */   // Label 1079: @64621
     /*  64621 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(64685), // Rule ID 5055 //
     /*  64626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  64641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  64649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  64653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64662 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64668 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  64670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  64672 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$RHS, immAllOnesV:{ *:[v2i32] }))  =>  (ORNv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  64672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  64675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  64677 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  64679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  64683 */     GIR_RootConstrainSelectedInstOperands,
     /*  64684 */     // GIR_Coverage, 5055,
     /*  64684 */     GIR_EraseRootFromParent_Done,
     /*  64685 */   // Label 1080: @64685
     /*  64685 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(64712), // Rule ID 5061 //
     /*  64690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  64705 */     // (or:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (ORRv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  64705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  64710 */     GIR_RootConstrainSelectedInstOperands,
     /*  64711 */     // GIR_Coverage, 5061,
     /*  64711 */     GIR_Done,
     /*  64712 */   // Label 1081: @64712
     /*  64712 */   GIM_Reject,
     /*  64713 */ // Label 1066: @64713
     /*  64713 */ GIM_Reject,
     /*  64714 */ // Label 1015: @64714
     /*  64714 */ GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(66021),
     /*  64719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64725 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(64834), // Rule ID 13598 //
     /*  64730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64749 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64765 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64769 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64774 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64778 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64784 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  64786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64791 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  64795 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64799 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64803 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64808 */     // MIs[4] LHS
     /*  64808 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64813 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64815 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  64815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  64824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  64828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  64832 */     GIR_RootConstrainSelectedInstOperands,
     /*  64833 */     // GIR_Coverage, 13598,
     /*  64833 */     GIR_EraseRootFromParent_Done,
     /*  64834 */   // Label 1083: @64834
     /*  64834 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(64943), // Rule ID 13597 //
     /*  64839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  64866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64874 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64883 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  64887 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  64893 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  64895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64900 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  64904 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64908 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64912 */     // MIs[4] LHS
     /*  64912 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  64917 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64922 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  64924 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  64924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  64927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  64929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  64933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  64937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  64941 */     GIR_RootConstrainSelectedInstOperands,
     /*  64942 */     // GIR_Coverage, 13597,
     /*  64942 */     GIR_EraseRootFromParent_Done,
     /*  64943 */   // Label 1084: @64943
     /*  64943 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(65052), // Rule ID 13600 //
     /*  64948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  64951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  64959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  64963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  64980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  64984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  64988 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  64992 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  64997 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65001 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65007 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  65009 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  65013 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65017 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65021 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65026 */     // MIs[4] LHS
     /*  65026 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65031 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65033 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  65033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  65036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  65042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  65046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  65050 */     GIR_RootConstrainSelectedInstOperands,
     /*  65051 */     // GIR_Coverage, 13600,
     /*  65051 */     GIR_EraseRootFromParent_Done,
     /*  65052 */   // Label 1085: @65052
     /*  65052 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(65161), // Rule ID 13599 //
     /*  65057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65076 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65093 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65097 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65106 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65110 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65116 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  65118 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  65122 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65126 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65130 */     // MIs[4] LHS
     /*  65130 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  65135 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65140 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65142 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  65142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  65145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  65151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  65155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  65159 */     GIR_RootConstrainSelectedInstOperands,
     /*  65160 */     // GIR_Coverage, 13599,
     /*  65160 */     GIR_EraseRootFromParent_Done,
     /*  65161 */   // Label 1086: @65161
     /*  65161 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(65270), // Rule ID 2474 //
     /*  65166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65185 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  65203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65211 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65215 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  65219 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65223 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65227 */     // MIs[3] LHS
     /*  65227 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  65232 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  65236 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65242 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  65244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65249 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65251 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  65251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  65254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  65260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  65264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  65268 */     GIR_RootConstrainSelectedInstOperands,
     /*  65269 */     // GIR_Coverage, 2474,
     /*  65269 */     GIR_EraseRootFromParent_Done,
     /*  65270 */   // Label 1087: @65270
     /*  65270 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(65379), // Rule ID 13595 //
     /*  65275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  65312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65320 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65324 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  65328 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65332 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65336 */     // MIs[3] LHS
     /*  65336 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  65341 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  65345 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65351 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  65353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65358 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65360 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$RHS))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  65360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  65363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  65369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  65373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  65377 */     GIR_RootConstrainSelectedInstOperands,
     /*  65378 */     // GIR_Coverage, 13595,
     /*  65378 */     GIR_EraseRootFromParent_Done,
     /*  65379 */   // Label 1088: @65379
     /*  65379 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(65488), // Rule ID 13594 //
     /*  65384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  65421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65429 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65433 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65438 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65442 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65446 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65450 */     // MIs[3] LHS
     /*  65450 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  65455 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  65459 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65465 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  65467 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65469 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  65469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  65472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  65478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  65482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  65486 */     GIR_RootConstrainSelectedInstOperands,
     /*  65487 */     // GIR_Coverage, 13594,
     /*  65487 */     GIR_EraseRootFromParent_Done,
     /*  65488 */   // Label 1089: @65488
     /*  65488 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(65597), // Rule ID 13596 //
     /*  65493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65512 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  65530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  65534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65538 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65547 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  65551 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65555 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65559 */     // MIs[3] LHS
     /*  65559 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  65564 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  65568 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65574 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  65576 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  65578 */     // (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$LHS), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, immAllOnesV:{ *:[v2i64] })))  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$MHS, V128:{ *:[v2i64] }:$RHS)
     /*  65578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  65581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  65587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  65591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  65595 */     GIR_RootConstrainSelectedInstOperands,
     /*  65596 */     // GIR_Coverage, 13596,
     /*  65596 */     GIR_EraseRootFromParent_Done,
     /*  65597 */   // Label 1090: @65597
     /*  65597 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(65664), // Rule ID 13537 //
     /*  65602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  65617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65626 */     // MIs[1] imm
     /*  65626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65634 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  65638 */     // MIs[2] Operand 1
     /*  65638 */     // No operand predicates
     /*  65638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65642 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  65646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65648 */     // (or:{ *:[v2i64] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  65648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  65651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  65655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  65659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  65662 */     GIR_RootConstrainSelectedInstOperands,
     /*  65663 */     // GIR_Coverage, 13537,
     /*  65663 */     GIR_EraseRootFromParent_Done,
     /*  65664 */   // Label 1091: @65664
     /*  65664 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(65731), // Rule ID 13558 //
     /*  65669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  65684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65693 */     // MIs[1] imm
     /*  65693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65701 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  65705 */     // MIs[2] Operand 1
     /*  65705 */     // No operand predicates
     /*  65705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65709 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  65713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65715 */     // (or:{ *:[v2i64] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), V128:{ *:[v2i64] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  65715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  65718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  65722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  65726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  65729 */     GIR_RootConstrainSelectedInstOperands,
     /*  65730 */     // GIR_Coverage, 13558,
     /*  65730 */     GIR_EraseRootFromParent_Done,
     /*  65731 */   // Label 1092: @65731
     /*  65731 */   GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(65798), // Rule ID 2243 //
     /*  65736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  65755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65764 */     // MIs[1] imm
     /*  65764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65772 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  65776 */     // MIs[2] Operand 1
     /*  65776 */     // No operand predicates
     /*  65776 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  65780 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65782 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  65782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv2i64_shift),
     /*  65785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65787 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  65789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  65793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  65796 */     GIR_RootConstrainSelectedInstOperands,
     /*  65797 */     // GIR_Coverage, 2243,
     /*  65797 */     GIR_EraseRootFromParent_Done,
     /*  65798 */   // Label 1093: @65798
     /*  65798 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(65865), // Rule ID 2302 //
     /*  65803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  65822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65831 */     // MIs[1] imm
     /*  65831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  65839 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /*  65843 */     // MIs[2] Operand 1
     /*  65843 */     // No operand predicates
     /*  65843 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  65847 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65849 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  65849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv2i64_shift),
     /*  65852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  65854 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  65856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  65860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  65863 */     GIR_RootConstrainSelectedInstOperands,
     /*  65864 */     // GIR_Coverage, 2302,
     /*  65864 */     GIR_EraseRootFromParent_Done,
     /*  65865 */   // Label 1094: @65865
     /*  65865 */   GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(65929), // Rule ID 13871 //
     /*  65870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  65881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65889 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65902 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65908 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  65910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65916 */     // (or:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$LHS)  =>  (ORNv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  65916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  65919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  65921 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  65923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  65927 */     GIR_RootConstrainSelectedInstOperands,
     /*  65928 */     // GIR_Coverage, 13871,
     /*  65928 */     GIR_EraseRootFromParent_Done,
     /*  65929 */   // Label 1095: @65929
     /*  65929 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(65993), // Rule ID 5059 //
     /*  65934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  65937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  65949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  65953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  65957 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  65961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  65966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  65970 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  65976 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  65978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  65980 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$RHS, immAllOnesV:{ *:[v2i64] }))  =>  (ORNv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  65980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  65983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  65985 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  65987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  65991 */     GIR_RootConstrainSelectedInstOperands,
     /*  65992 */     // GIR_Coverage, 5059,
     /*  65992 */     GIR_EraseRootFromParent_Done,
     /*  65993 */   // Label 1096: @65993
     /*  65993 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(66020), // Rule ID 5065 //
     /*  65998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  66013 */     // (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (ORRv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  66013 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  66018 */     GIR_RootConstrainSelectedInstOperands,
     /*  66019 */     // GIR_Coverage, 5065,
     /*  66019 */     GIR_Done,
     /*  66020 */   // Label 1097: @66020
     /*  66020 */   GIM_Reject,
     /*  66021 */ // Label 1082: @66021
     /*  66021 */ GIM_Reject,
     /*  66022 */ // Label 1016: @66022
     /*  66022 */ GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(67329),
     /*  66027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66033 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(66142), // Rule ID 13563 //
     /*  66038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66073 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66077 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66082 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66086 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66092 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  66094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66099 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  66103 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66107 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66111 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66116 */     // MIs[4] LHS
     /*  66116 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66121 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66123 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  66132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  66136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  66140 */     GIR_RootConstrainSelectedInstOperands,
     /*  66141 */     // GIR_Coverage, 13563,
     /*  66141 */     GIR_EraseRootFromParent_Done,
     /*  66142 */   // Label 1099: @66142
     /*  66142 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(66251), // Rule ID 13562 //
     /*  66147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66166 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  66174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66178 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66182 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66191 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66195 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66201 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  66203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66208 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  66212 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66216 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66220 */     // MIs[4] LHS
     /*  66220 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66225 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66230 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66232 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  66241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  66245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  66249 */     GIR_RootConstrainSelectedInstOperands,
     /*  66250 */     // GIR_Coverage, 13562,
     /*  66250 */     GIR_EraseRootFromParent_Done,
     /*  66251 */   // Label 1100: @66251
     /*  66251 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(66360), // Rule ID 13565 //
     /*  66256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66275 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66296 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66300 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66305 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66309 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66315 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  66317 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  66321 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66325 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66329 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66334 */     // MIs[4] LHS
     /*  66334 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66339 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66341 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  66350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  66354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  66358 */     GIR_RootConstrainSelectedInstOperands,
     /*  66359 */     // GIR_Coverage, 13565,
     /*  66359 */     GIR_EraseRootFromParent_Done,
     /*  66360 */   // Label 1101: @66360
     /*  66360 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(66469), // Rule ID 13564 //
     /*  66365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66405 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66414 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66418 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66424 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  66426 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  66430 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66434 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66438 */     // MIs[4] LHS
     /*  66438 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  66443 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66448 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66450 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  66459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  66463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  66467 */     GIR_RootConstrainSelectedInstOperands,
     /*  66468 */     // GIR_Coverage, 13564,
     /*  66468 */     GIR_EraseRootFromParent_Done,
     /*  66469 */   // Label 1102: @66469
     /*  66469 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(66578), // Rule ID 2469 //
     /*  66474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  66511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66519 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66523 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  66527 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66531 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66535 */     // MIs[3] LHS
     /*  66535 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  66540 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  66544 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66550 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  66552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66557 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66559 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS), (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  66568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  66572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  66576 */     GIR_RootConstrainSelectedInstOperands,
     /*  66577 */     // GIR_Coverage, 2469,
     /*  66577 */     GIR_EraseRootFromParent_Done,
     /*  66578 */   // Label 1103: @66578
     /*  66578 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(66687), // Rule ID 13560 //
     /*  66583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  66620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66628 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66632 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  66636 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66640 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66644 */     // MIs[3] LHS
     /*  66644 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  66649 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  66653 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66659 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  66661 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66666 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66668 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS), (and:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$RHS))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  66677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  66681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  66685 */     GIR_RootConstrainSelectedInstOperands,
     /*  66686 */     // GIR_Coverage, 13560,
     /*  66686 */     GIR_EraseRootFromParent_Done,
     /*  66687 */   // Label 1104: @66687
     /*  66687 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(66796), // Rule ID 13559 //
     /*  66692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  66729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66737 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66741 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66746 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66750 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66754 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66758 */     // MIs[3] LHS
     /*  66758 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  66763 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  66767 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66773 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  66775 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66777 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  66786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  66790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  66794 */     GIR_RootConstrainSelectedInstOperands,
     /*  66795 */     // GIR_Coverage, 13559,
     /*  66795 */     GIR_EraseRootFromParent_Done,
     /*  66796 */   // Label 1105: @66796
     /*  66796 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(66905), // Rule ID 13561 //
     /*  66801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  66838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  66842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66846 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66850 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66855 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  66859 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  66863 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  66867 */     // MIs[3] LHS
     /*  66867 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  66872 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  66876 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  66882 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  66884 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  66886 */     // (or:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$LHS), (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, immAllOnesV:{ *:[v4i16] })))  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$MHS, V64:{ *:[v4i16] }:$RHS)
     /*  66886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  66889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  66895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  66899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  66903 */     GIR_RootConstrainSelectedInstOperands,
     /*  66904 */     // GIR_Coverage, 13561,
     /*  66904 */     GIR_EraseRootFromParent_Done,
     /*  66905 */   // Label 1106: @66905
     /*  66905 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(66972), // Rule ID 13529 //
     /*  66910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  66925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66934 */     // MIs[1] imm
     /*  66934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  66938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  66942 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  66946 */     // MIs[2] Operand 1
     /*  66946 */     // No operand predicates
     /*  66946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66950 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  66954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  66956 */     // (or:{ *:[v4i16] } (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  66956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  66959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  66961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  66963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  66967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  66970 */     GIR_RootConstrainSelectedInstOperands,
     /*  66971 */     // GIR_Coverage, 13529,
     /*  66971 */     GIR_EraseRootFromParent_Done,
     /*  66972 */   // Label 1107: @66972
     /*  66972 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(67039), // Rule ID 13550 //
     /*  66977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  66980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  66984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  66988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  66992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  66996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67001 */     // MIs[1] imm
     /*  67001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67009 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  67013 */     // MIs[2] Operand 1
     /*  67013 */     // No operand predicates
     /*  67013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67017 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  67021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67023 */     // (or:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V64:{ *:[v4i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  67023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  67026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  67030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  67034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  67037 */     GIR_RootConstrainSelectedInstOperands,
     /*  67038 */     // GIR_Coverage, 13550,
     /*  67038 */     GIR_EraseRootFromParent_Done,
     /*  67039 */   // Label 1108: @67039
     /*  67039 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(67106), // Rule ID 2235 //
     /*  67044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  67059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  67063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  67067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67072 */     // MIs[1] imm
     /*  67072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67080 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  67084 */     // MIs[2] Operand 1
     /*  67084 */     // No operand predicates
     /*  67084 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  67088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67090 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  67090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i16_shift),
     /*  67093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67095 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  67097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  67101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  67104 */     GIR_RootConstrainSelectedInstOperands,
     /*  67105 */     // GIR_Coverage, 2235,
     /*  67105 */     GIR_EraseRootFromParent_Done,
     /*  67106 */   // Label 1109: @67106
     /*  67106 */   GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(67173), // Rule ID 2294 //
     /*  67111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  67126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  67130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  67134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67139 */     // MIs[1] imm
     /*  67139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  67147 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  67151 */     // MIs[2] Operand 1
     /*  67151 */     // No operand predicates
     /*  67151 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  67155 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67157 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  67157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i16_shift),
     /*  67160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67162 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  67164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  67168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  67171 */     GIR_RootConstrainSelectedInstOperands,
     /*  67172 */     // GIR_Coverage, 2294,
     /*  67172 */     GIR_EraseRootFromParent_Done,
     /*  67173 */   // Label 1110: @67173
     /*  67173 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(67237), // Rule ID 13866 //
     /*  67178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  67197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  67201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67210 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67216 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  67218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67224 */     // (or:{ *:[v4i16] } (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }), V64:{ *:[v4i16] }:$LHS)  =>  (ORNv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  67224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  67227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  67229 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  67231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  67235 */     GIR_RootConstrainSelectedInstOperands,
     /*  67236 */     // GIR_Coverage, 13866,
     /*  67236 */     GIR_EraseRootFromParent_Done,
     /*  67237 */   // Label 1111: @67237
     /*  67237 */   GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(67301), // Rule ID 5054 //
     /*  67242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  67257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  67265 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  67269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67278 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67284 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  67286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  67288 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$RHS, immAllOnesV:{ *:[v4i16] }))  =>  (ORNv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  67288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  67291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  67293 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  67295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  67299 */     GIR_RootConstrainSelectedInstOperands,
     /*  67300 */     // GIR_Coverage, 5054,
     /*  67300 */     GIR_EraseRootFromParent_Done,
     /*  67301 */   // Label 1112: @67301
     /*  67301 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(67328), // Rule ID 5060 //
     /*  67306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  67321 */     // (or:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (ORRv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  67321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  67326 */     GIR_RootConstrainSelectedInstOperands,
     /*  67327 */     // GIR_Coverage, 5060,
     /*  67327 */     GIR_Done,
     /*  67328 */   // Label 1113: @67328
     /*  67328 */   GIM_Reject,
     /*  67329 */ // Label 1098: @67329
     /*  67329 */ GIM_Reject,
     /*  67330 */ // Label 1017: @67330
     /*  67330 */ GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(68637),
     /*  67335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67341 */   GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(67450), // Rule ID 13591 //
     /*  67346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67381 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67390 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67394 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67400 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  67402 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67407 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  67411 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67415 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67419 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67424 */     // MIs[4] LHS
     /*  67424 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67429 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67431 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  67440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  67444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  67448 */     GIR_RootConstrainSelectedInstOperands,
     /*  67449 */     // GIR_Coverage, 13591,
     /*  67449 */     GIR_EraseRootFromParent_Done,
     /*  67450 */   // Label 1115: @67450
     /*  67450 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(67559), // Rule ID 13590 //
     /*  67455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67474 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67478 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  67482 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67486 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67490 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67499 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67503 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67509 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  67511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67516 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  67520 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67524 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67528 */     // MIs[4] LHS
     /*  67528 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67533 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67538 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67540 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  67549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  67553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  67557 */     GIR_RootConstrainSelectedInstOperands,
     /*  67558 */     // GIR_Coverage, 13590,
     /*  67558 */     GIR_EraseRootFromParent_Done,
     /*  67559 */   // Label 1116: @67559
     /*  67559 */   GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(67668), // Rule ID 13593 //
     /*  67564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67604 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67608 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67613 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67617 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67623 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  67625 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  67629 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67633 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67637 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67642 */     // MIs[4] LHS
     /*  67642 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67647 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67649 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  67658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  67662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  67666 */     GIR_RootConstrainSelectedInstOperands,
     /*  67667 */     // GIR_Coverage, 13593,
     /*  67667 */     GIR_EraseRootFromParent_Done,
     /*  67668 */   // Label 1117: @67668
     /*  67668 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(67777), // Rule ID 13592 //
     /*  67673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  67705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67713 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67717 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67722 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  67726 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67732 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  67734 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  67738 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67742 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67746 */     // MIs[4] LHS
     /*  67746 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  67751 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67756 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67758 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  67767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  67771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  67775 */     GIR_RootConstrainSelectedInstOperands,
     /*  67776 */     // GIR_Coverage, 13592,
     /*  67776 */     GIR_EraseRootFromParent_Done,
     /*  67777 */   // Label 1118: @67777
     /*  67777 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(67886), // Rule ID 2473 //
     /*  67782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67801 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  67819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67827 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67831 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  67835 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67839 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67843 */     // MIs[3] LHS
     /*  67843 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  67848 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  67852 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67858 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  67860 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67865 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67867 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  67876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  67880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  67884 */     GIR_RootConstrainSelectedInstOperands,
     /*  67885 */     // GIR_Coverage, 2473,
     /*  67885 */     GIR_EraseRootFromParent_Done,
     /*  67886 */   // Label 1119: @67886
     /*  67886 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(67995), // Rule ID 13588 //
     /*  67891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  67894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  67902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  67928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  67932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  67936 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67940 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  67944 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  67948 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  67952 */     // MIs[3] LHS
     /*  67952 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  67957 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  67961 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  67967 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  67969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  67974 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  67976 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$RHS))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  67976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  67979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  67981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  67985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  67989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  67993 */     GIR_RootConstrainSelectedInstOperands,
     /*  67994 */     // GIR_Coverage, 13588,
     /*  67994 */     GIR_EraseRootFromParent_Done,
     /*  67995 */   // Label 1120: @67995
     /*  67995 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(68104), // Rule ID 13587 //
     /*  68000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  68037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68045 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68049 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68054 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68058 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68062 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68066 */     // MIs[3] LHS
     /*  68066 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  68071 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  68075 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68081 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  68083 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68085 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  68085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  68088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  68094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  68098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  68102 */     GIR_RootConstrainSelectedInstOperands,
     /*  68103 */     // GIR_Coverage, 13587,
     /*  68103 */     GIR_EraseRootFromParent_Done,
     /*  68104 */   // Label 1121: @68104
     /*  68104 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(68213), // Rule ID 13589 //
     /*  68109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68128 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68142 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  68146 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68150 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68154 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68163 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68167 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68171 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68175 */     // MIs[3] LHS
     /*  68175 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  68180 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  68184 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68190 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  68192 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68194 */     // (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$LHS), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, immAllOnesV:{ *:[v4i32] })))  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$MHS, V128:{ *:[v4i32] }:$RHS)
     /*  68194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  68197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  68203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  68207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  68211 */     GIR_RootConstrainSelectedInstOperands,
     /*  68212 */     // GIR_Coverage, 13589,
     /*  68212 */     GIR_EraseRootFromParent_Done,
     /*  68213 */   // Label 1122: @68213
     /*  68213 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(68280), // Rule ID 13535 //
     /*  68218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  68233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68242 */     // MIs[1] imm
     /*  68242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68250 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  68254 */     // MIs[2] Operand 1
     /*  68254 */     // No operand predicates
     /*  68254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68258 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  68262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68264 */     // (or:{ *:[v4i32] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  68264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  68267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68269 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  68271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  68278 */     GIR_RootConstrainSelectedInstOperands,
     /*  68279 */     // GIR_Coverage, 13535,
     /*  68279 */     GIR_EraseRootFromParent_Done,
     /*  68280 */   // Label 1123: @68280
     /*  68280 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(68347), // Rule ID 13556 //
     /*  68285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  68300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68309 */     // MIs[1] imm
     /*  68309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68317 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  68321 */     // MIs[2] Operand 1
     /*  68321 */     // No operand predicates
     /*  68321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68325 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  68329 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68331 */     // (or:{ *:[v4i32] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), V128:{ *:[v4i32] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  68331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  68334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  68338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  68345 */     GIR_RootConstrainSelectedInstOperands,
     /*  68346 */     // GIR_Coverage, 13556,
     /*  68346 */     GIR_EraseRootFromParent_Done,
     /*  68347 */   // Label 1124: @68347
     /*  68347 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(68414), // Rule ID 2241 //
     /*  68352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  68367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  68371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68380 */     // MIs[1] imm
     /*  68380 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68384 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68388 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  68392 */     // MIs[2] Operand 1
     /*  68392 */     // No operand predicates
     /*  68392 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  68396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68398 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  68398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv4i32_shift),
     /*  68401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68403 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  68405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  68412 */     GIR_RootConstrainSelectedInstOperands,
     /*  68413 */     // GIR_Coverage, 2241,
     /*  68413 */     GIR_EraseRootFromParent_Done,
     /*  68414 */   // Label 1125: @68414
     /*  68414 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(68481), // Rule ID 2300 //
     /*  68419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  68434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  68438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68447 */     // MIs[1] imm
     /*  68447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  68455 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /*  68459 */     // MIs[2] Operand 1
     /*  68459 */     // No operand predicates
     /*  68459 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  68463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68465 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  68465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv4i32_shift),
     /*  68468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68470 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  68472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  68476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  68479 */     GIR_RootConstrainSelectedInstOperands,
     /*  68480 */     // GIR_Coverage, 2300,
     /*  68480 */     GIR_EraseRootFromParent_Done,
     /*  68481 */   // Label 1126: @68481
     /*  68481 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(68545), // Rule ID 13870 //
     /*  68486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68518 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68524 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  68526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68532 */     // (or:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$LHS)  =>  (ORNv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  68532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  68535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  68537 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  68539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  68543 */     GIR_RootConstrainSelectedInstOperands,
     /*  68544 */     // GIR_Coverage, 13870,
     /*  68544 */     GIR_EraseRootFromParent_Done,
     /*  68545 */   // Label 1127: @68545
     /*  68545 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(68609), // Rule ID 5058 //
     /*  68550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  68565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  68573 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  68577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68586 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68592 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  68594 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  68596 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$RHS, immAllOnesV:{ *:[v4i32] }))  =>  (ORNv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  68596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  68599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  68601 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  68603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  68607 */     GIR_RootConstrainSelectedInstOperands,
     /*  68608 */     // GIR_Coverage, 5058,
     /*  68608 */     GIR_EraseRootFromParent_Done,
     /*  68609 */   // Label 1128: @68609
     /*  68609 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(68636), // Rule ID 5064 //
     /*  68614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  68629 */     // (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (ORRv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  68629 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  68634 */     GIR_RootConstrainSelectedInstOperands,
     /*  68635 */     // GIR_Coverage, 5064,
     /*  68635 */     GIR_Done,
     /*  68636 */   // Label 1129: @68636
     /*  68636 */   GIM_Reject,
     /*  68637 */ // Label 1114: @68637
     /*  68637 */ GIM_Reject,
     /*  68638 */ // Label 1018: @68638
     /*  68638 */ GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(69945),
     /*  68643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68649 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(68758), // Rule ID 13351 //
     /*  68654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68689 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68698 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68702 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68708 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  68710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68715 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  68719 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68723 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68727 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68732 */     // MIs[4] Rd
     /*  68732 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68737 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68739 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  68739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  68742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  68748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  68752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  68756 */     GIR_RootConstrainSelectedInstOperands,
     /*  68757 */     // GIR_Coverage, 13351,
     /*  68757 */     GIR_EraseRootFromParent_Done,
     /*  68758 */   // Label 1131: @68758
     /*  68758 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(68867), // Rule ID 13350 //
     /*  68763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  68790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68798 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68807 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68811 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68817 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  68819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68824 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  68828 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68832 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68836 */     // MIs[4] Rd
     /*  68836 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68841 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68846 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68848 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  68848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  68851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  68857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  68861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  68865 */     GIR_RootConstrainSelectedInstOperands,
     /*  68866 */     // GIR_Coverage, 13350,
     /*  68866 */     GIR_EraseRootFromParent_Done,
     /*  68867 */   // Label 1132: @68867
     /*  68867 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(68976), // Rule ID 13353 //
     /*  68872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  68904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  68908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68912 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  68916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68921 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  68925 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  68931 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  68933 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  68937 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68941 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  68945 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68950 */     // MIs[4] Rd
     /*  68950 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  68955 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  68957 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  68957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  68960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  68962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  68966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  68970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  68974 */     GIR_RootConstrainSelectedInstOperands,
     /*  68975 */     // GIR_Coverage, 13353,
     /*  68975 */     GIR_EraseRootFromParent_Done,
     /*  68976 */   // Label 1133: @68976
     /*  68976 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(69085), // Rule ID 13352 //
     /*  68981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  68984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  68988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  68992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  68996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69021 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69030 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  69034 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69040 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  69042 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  69046 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69050 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69054 */     // MIs[4] Rd
     /*  69054 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  69059 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69064 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69066 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  69069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  69075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  69079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  69083 */     GIR_RootConstrainSelectedInstOperands,
     /*  69084 */     // GIR_Coverage, 13352,
     /*  69084 */     GIR_EraseRootFromParent_Done,
     /*  69085 */   // Label 1134: @69085
     /*  69085 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(69194), // Rule ID 1605 //
     /*  69090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  69127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69135 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69139 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  69143 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69147 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69151 */     // MIs[3] Rd
     /*  69151 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  69156 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  69160 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69166 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  69168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69173 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69175 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn), (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  69178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  69184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  69188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  69192 */     GIR_RootConstrainSelectedInstOperands,
     /*  69193 */     // GIR_Coverage, 1605,
     /*  69193 */     GIR_EraseRootFromParent_Done,
     /*  69194 */   // Label 1135: @69194
     /*  69194 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(69303), // Rule ID 13348 //
     /*  69199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69218 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69222 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  69236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69244 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69248 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  69252 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69256 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69260 */     // MIs[3] Rd
     /*  69260 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  69265 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  69269 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69275 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  69277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69282 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69284 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd), (and:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rm))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  69287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  69293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  69301 */     GIR_RootConstrainSelectedInstOperands,
     /*  69302 */     // GIR_Coverage, 13348,
     /*  69302 */     GIR_EraseRootFromParent_Done,
     /*  69303 */   // Label 1136: @69303
     /*  69303 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(69412), // Rule ID 13347 //
     /*  69308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  69345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69353 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69362 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  69366 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69370 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69374 */     // MIs[3] Rd
     /*  69374 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  69379 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  69383 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69389 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  69391 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69393 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  69396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  69402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  69406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  69410 */     GIR_RootConstrainSelectedInstOperands,
     /*  69411 */     // GIR_Coverage, 13347,
     /*  69411 */     GIR_EraseRootFromParent_Done,
     /*  69412 */   // Label 1137: @69412
     /*  69412 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(69521), // Rule ID 13349 //
     /*  69417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  69454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69462 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69471 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  69475 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69479 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69483 */     // MIs[3] Rd
     /*  69483 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  69488 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  69492 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69498 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  69500 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  69502 */     // (or:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rd), (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, immAllOnesV:{ *:[v8i8] })))  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /*  69505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  69511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  69519 */     GIR_RootConstrainSelectedInstOperands,
     /*  69520 */     // GIR_Coverage, 13349,
     /*  69520 */     GIR_EraseRootFromParent_Done,
     /*  69521 */   // Label 1138: @69521
     /*  69521 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(69588), // Rule ID 13525 //
     /*  69526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  69541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69550 */     // MIs[1] imm
     /*  69550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69558 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  69562 */     // MIs[2] Operand 1
     /*  69562 */     // No operand predicates
     /*  69562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69566 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  69570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69572 */     // (or:{ *:[v8i8] } (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  69572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  69575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69577 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  69579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  69586 */     GIR_RootConstrainSelectedInstOperands,
     /*  69587 */     // GIR_Coverage, 13525,
     /*  69587 */     GIR_EraseRootFromParent_Done,
     /*  69588 */   // Label 1139: @69588
     /*  69588 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(69655), // Rule ID 13546 //
     /*  69593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  69608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69617 */     // MIs[1] imm
     /*  69617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69625 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  69629 */     // MIs[2] Operand 1
     /*  69629 */     // No operand predicates
     /*  69629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69633 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  69637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69639 */     // (or:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V64:{ *:[v8i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  69639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  69642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  69646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  69653 */     GIR_RootConstrainSelectedInstOperands,
     /*  69654 */     // GIR_Coverage, 13546,
     /*  69654 */     GIR_EraseRootFromParent_Done,
     /*  69655 */   // Label 1140: @69655
     /*  69655 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(69722), // Rule ID 2231 //
     /*  69660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  69675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  69679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69688 */     // MIs[1] imm
     /*  69688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69696 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  69700 */     // MIs[2] Operand 1
     /*  69700 */     // No operand predicates
     /*  69700 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  69704 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69706 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  69706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i8_shift),
     /*  69709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69711 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  69713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  69720 */     GIR_RootConstrainSelectedInstOperands,
     /*  69721 */     // GIR_Coverage, 2231,
     /*  69721 */     GIR_EraseRootFromParent_Done,
     /*  69722 */   // Label 1141: @69722
     /*  69722 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(69789), // Rule ID 2290 //
     /*  69727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  69742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  69746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69750 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69755 */     // MIs[1] imm
     /*  69755 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69759 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  69763 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  69767 */     // MIs[2] Operand 1
     /*  69767 */     // No operand predicates
     /*  69767 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  69771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69773 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  69773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i8_shift),
     /*  69776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  69778 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  69780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  69784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  69787 */     GIR_RootConstrainSelectedInstOperands,
     /*  69788 */     // GIR_Coverage, 2290,
     /*  69788 */     GIR_EraseRootFromParent_Done,
     /*  69789 */   // Label 1142: @69789
     /*  69789 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(69853), // Rule ID 13345 //
     /*  69794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69826 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69832 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  69834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69838 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69840 */     // (or:{ *:[v8i8] } (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }), V64:{ *:[v8i8] }:$Rn)  =>  (ORNv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  69843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  69847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  69851 */     GIR_RootConstrainSelectedInstOperands,
     /*  69852 */     // GIR_Coverage, 13345,
     /*  69852 */     GIR_EraseRootFromParent_Done,
     /*  69853 */   // Label 1143: @69853
     /*  69853 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(69917), // Rule ID 1601 //
     /*  69858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  69873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  69881 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  69885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69890 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  69894 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  69900 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  69902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  69904 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, immAllOnesV:{ *:[v8i8] }))  =>  (ORNv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv8i8),
     /*  69907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  69909 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  69911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  69915 */     GIR_RootConstrainSelectedInstOperands,
     /*  69916 */     // GIR_Coverage, 1601,
     /*  69916 */     GIR_EraseRootFromParent_Done,
     /*  69917 */   // Label 1144: @69917
     /*  69917 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(69944), // Rule ID 1603 //
     /*  69922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  69937 */     // (or:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ORRv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  69937 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv8i8),
     /*  69942 */     GIR_RootConstrainSelectedInstOperands,
     /*  69943 */     // GIR_Coverage, 1603,
     /*  69943 */     GIR_Done,
     /*  69944 */   // Label 1145: @69944
     /*  69944 */   GIM_Reject,
     /*  69945 */ // Label 1130: @69945
     /*  69945 */ GIM_Reject,
     /*  69946 */ // Label 1019: @69946
     /*  69946 */ GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(71253),
     /*  69951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69957 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(70066), // Rule ID 13584 //
     /*  69962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  69965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  69969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  69973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  69977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69981 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  69985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  69989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  69993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  69997 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70006 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70010 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70016 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  70018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70023 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  70027 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70031 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70035 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70040 */     // MIs[4] LHS
     /*  70040 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70045 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70047 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  70056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  70060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  70064 */     GIR_RootConstrainSelectedInstOperands,
     /*  70065 */     // GIR_Coverage, 13584,
     /*  70065 */     GIR_EraseRootFromParent_Done,
     /*  70066 */   // Label 1147: @70066
     /*  70066 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(70175), // Rule ID 13583 //
     /*  70071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70090 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  70098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70106 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70115 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70119 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70125 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  70127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70132 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  70136 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70140 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70144 */     // MIs[4] LHS
     /*  70144 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70149 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70154 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70156 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  70165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  70169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // RHS
     /*  70173 */     GIR_RootConstrainSelectedInstOperands,
     /*  70174 */     // GIR_Coverage, 13583,
     /*  70174 */     GIR_EraseRootFromParent_Done,
     /*  70175 */   // Label 1148: @70175
     /*  70175 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(70284), // Rule ID 13586 //
     /*  70180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70220 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70224 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70229 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70233 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70239 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  70241 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  70245 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70249 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70253 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70258 */     // MIs[4] LHS
     /*  70258 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70263 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70265 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  70274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // MHS
     /*  70278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  70282 */     GIR_RootConstrainSelectedInstOperands,
     /*  70283 */     // GIR_Coverage, 13586,
     /*  70283 */     GIR_EraseRootFromParent_Done,
     /*  70284 */   // Label 1149: @70284
     /*  70284 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(70393), // Rule ID 13585 //
     /*  70289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70329 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70338 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70342 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70348 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  70350 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  70354 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70358 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70362 */     // MIs[4] LHS
     /*  70362 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  70367 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70372 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70374 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // LHS
     /*  70383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // MHS
     /*  70387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  70391 */     GIR_RootConstrainSelectedInstOperands,
     /*  70392 */     // GIR_Coverage, 13585,
     /*  70392 */     GIR_EraseRootFromParent_Done,
     /*  70393 */   // Label 1150: @70393
     /*  70393 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(70502), // Rule ID 2472 //
     /*  70398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70417 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  70435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70443 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70447 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  70451 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70455 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70459 */     // MIs[3] LHS
     /*  70459 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  70464 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  70468 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70474 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  70476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70481 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70483 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  70492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  70496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  70500 */     GIR_RootConstrainSelectedInstOperands,
     /*  70501 */     // GIR_Coverage, 2472,
     /*  70501 */     GIR_EraseRootFromParent_Done,
     /*  70502 */   // Label 1151: @70502
     /*  70502 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(70611), // Rule ID 13581 //
     /*  70507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  70544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70552 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70556 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  70560 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70564 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70568 */     // MIs[3] LHS
     /*  70568 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  70573 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  70577 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70583 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  70585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70590 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70592 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$RHS))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  70601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  70605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // RHS
     /*  70609 */     GIR_RootConstrainSelectedInstOperands,
     /*  70610 */     // GIR_Coverage, 13581,
     /*  70610 */     GIR_EraseRootFromParent_Done,
     /*  70611 */   // Label 1152: @70611
     /*  70611 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(70720), // Rule ID 13580 //
     /*  70616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70635 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  70653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70661 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70670 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70674 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70678 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70682 */     // MIs[3] LHS
     /*  70682 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  70687 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  70691 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70697 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  70699 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70701 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // LHS
     /*  70710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // MHS
     /*  70714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  70718 */     GIR_RootConstrainSelectedInstOperands,
     /*  70719 */     // GIR_Coverage, 13580,
     /*  70719 */     GIR_EraseRootFromParent_Done,
     /*  70720 */   // Label 1153: @70720
     /*  70720 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(70829), // Rule ID 13582 //
     /*  70725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  70762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  70766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70770 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  70783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  70787 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  70791 */     // MIs[3] LHS
     /*  70791 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  70796 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  70800 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  70806 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  70808 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  70810 */     // (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$LHS), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, immAllOnesV:{ *:[v8i16] })))  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$MHS, V128:{ *:[v8i16] }:$RHS)
     /*  70810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  70813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // LHS
     /*  70819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // MHS
     /*  70823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // RHS
     /*  70827 */     GIR_RootConstrainSelectedInstOperands,
     /*  70828 */     // GIR_Coverage, 13582,
     /*  70828 */     GIR_EraseRootFromParent_Done,
     /*  70829 */   // Label 1154: @70829
     /*  70829 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(70896), // Rule ID 13531 //
     /*  70834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  70849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70858 */     // MIs[1] imm
     /*  70858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  70866 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  70870 */     // MIs[2] Operand 1
     /*  70870 */     // No operand predicates
     /*  70870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70874 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  70878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70880 */     // (or:{ *:[v8i16] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  70880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  70883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  70887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  70894 */     GIR_RootConstrainSelectedInstOperands,
     /*  70895 */     // GIR_Coverage, 13531,
     /*  70895 */     GIR_EraseRootFromParent_Done,
     /*  70896 */   // Label 1155: @70896
     /*  70896 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(70963), // Rule ID 13552 //
     /*  70901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  70912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  70916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70925 */     // MIs[1] imm
     /*  70925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  70929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  70933 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  70937 */     // MIs[2] Operand 1
     /*  70937 */     // No operand predicates
     /*  70937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70941 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  70945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  70947 */     // (or:{ *:[v8i16] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm), V128:{ *:[v8i16] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  70947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  70950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  70952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  70954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  70958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  70961 */     GIR_RootConstrainSelectedInstOperands,
     /*  70962 */     // GIR_Coverage, 13552,
     /*  70962 */     GIR_EraseRootFromParent_Done,
     /*  70963 */   // Label 1156: @70963
     /*  70963 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(71030), // Rule ID 2237 //
     /*  70968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  70971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  70983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  70987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  70991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  70996 */     // MIs[1] imm
     /*  70996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71004 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  71008 */     // MIs[2] Operand 1
     /*  71008 */     // No operand predicates
     /*  71008 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  71012 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71014 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  71014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv8i16_shift),
     /*  71017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71019 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  71021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  71028 */     GIR_RootConstrainSelectedInstOperands,
     /*  71029 */     // GIR_Coverage, 2237,
     /*  71029 */     GIR_EraseRootFromParent_Done,
     /*  71030 */   // Label 1157: @71030
     /*  71030 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(71097), // Rule ID 2296 //
     /*  71035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  71054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  71058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71063 */     // MIs[1] imm
     /*  71063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  71071 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /*  71075 */     // MIs[2] Operand 1
     /*  71075 */     // No operand predicates
     /*  71075 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  71079 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71081 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  71081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv8i16_shift),
     /*  71084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71086 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  71088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  71095 */     GIR_RootConstrainSelectedInstOperands,
     /*  71096 */     // GIR_Coverage, 2296,
     /*  71096 */     GIR_EraseRootFromParent_Done,
     /*  71097 */   // Label 1158: @71097
     /*  71097 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(71161), // Rule ID 13869 //
     /*  71102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  71121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  71125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71134 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71140 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  71142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71148 */     // (or:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$LHS)  =>  (ORNv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  71148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  71151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71153 */     GIR_RootToRootCopy, /*OpIdx*/2, // LHS
     /*  71155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  71159 */     GIR_RootConstrainSelectedInstOperands,
     /*  71160 */     // GIR_Coverage, 13869,
     /*  71160 */     GIR_EraseRootFromParent_Done,
     /*  71161 */   // Label 1159: @71161
     /*  71161 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(71225), // Rule ID 5057 //
     /*  71166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  71181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  71189 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  71193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71202 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71208 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  71210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  71212 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$RHS, immAllOnesV:{ *:[v8i16] }))  =>  (ORNv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  71212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  71215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  71217 */     GIR_RootToRootCopy, /*OpIdx*/1, // LHS
     /*  71219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // RHS
     /*  71223 */     GIR_RootConstrainSelectedInstOperands,
     /*  71224 */     // GIR_Coverage, 5057,
     /*  71224 */     GIR_EraseRootFromParent_Done,
     /*  71225 */   // Label 1160: @71225
     /*  71225 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(71252), // Rule ID 5063 //
     /*  71230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71245 */     // (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (ORRv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  71245 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  71250 */     GIR_RootConstrainSelectedInstOperands,
     /*  71251 */     // GIR_Coverage, 5063,
     /*  71251 */     GIR_Done,
     /*  71252 */   // Label 1161: @71252
     /*  71252 */   GIM_Reject,
     /*  71253 */ // Label 1146: @71253
     /*  71253 */ GIM_Reject,
     /*  71254 */ // Label 1020: @71254
     /*  71254 */ GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(72561),
     /*  71259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71265 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(71374), // Rule ID 13358 //
     /*  71270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71289 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71305 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71309 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71314 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71318 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71324 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  71326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71331 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  71335 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71339 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71343 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71348 */     // MIs[4] Rd
     /*  71348 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71353 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71355 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  71364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  71368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  71372 */     GIR_RootConstrainSelectedInstOperands,
     /*  71373 */     // GIR_Coverage, 13358,
     /*  71373 */     GIR_EraseRootFromParent_Done,
     /*  71374 */   // Label 1163: @71374
     /*  71374 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(71483), // Rule ID 13357 //
     /*  71379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  71406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71414 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71423 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71427 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71433 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  71435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71440 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  71444 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71448 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71452 */     // MIs[4] Rd
     /*  71452 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71457 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71462 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71464 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  71473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  71477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  71481 */     GIR_RootConstrainSelectedInstOperands,
     /*  71482 */     // GIR_Coverage, 13357,
     /*  71482 */     GIR_EraseRootFromParent_Done,
     /*  71483 */   // Label 1164: @71483
     /*  71483 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(71592), // Rule ID 13360 //
     /*  71488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71528 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71537 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71541 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71547 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  71549 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  71553 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71557 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71561 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71566 */     // MIs[4] Rd
     /*  71566 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/2, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71571 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71573 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  71582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /*  71586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  71590 */     GIR_RootConstrainSelectedInstOperands,
     /*  71591 */     // GIR_Coverage, 13360,
     /*  71591 */     GIR_EraseRootFromParent_Done,
     /*  71592 */   // Label 1165: @71592
     /*  71592 */   GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(71701), // Rule ID 13359 //
     /*  71597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71616 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71625 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  71629 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71633 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71637 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71646 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71650 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71656 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  71658 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  71662 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71666 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71670 */     // MIs[4] Rd
     /*  71670 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/2, /*OtherOpIdx*/1,
     /*  71675 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71680 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71682 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rd
     /*  71691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/2, // Rn
     /*  71695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  71699 */     GIR_RootConstrainSelectedInstOperands,
     /*  71700 */     // GIR_Coverage, 13359,
     /*  71700 */     GIR_EraseRootFromParent_Done,
     /*  71701 */   // Label 1166: @71701
     /*  71701 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(71810), // Rule ID 1606 //
     /*  71706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  71743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71751 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71755 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  71759 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71763 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71767 */     // MIs[3] Rd
     /*  71767 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  71772 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  71776 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71782 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  71784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71789 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71791 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  71800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  71804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  71808 */     GIR_RootConstrainSelectedInstOperands,
     /*  71809 */     // GIR_Coverage, 1606,
     /*  71809 */     GIR_EraseRootFromParent_Done,
     /*  71810 */   // Label 1167: @71810
     /*  71810 */   GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(71919), // Rule ID 13355 //
     /*  71815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  71852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71860 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71864 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  71868 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71872 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71876 */     // MIs[3] Rd
     /*  71876 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  71881 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  71885 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  71891 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  71893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71898 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  71900 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rm))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  71900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  71903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  71905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  71909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  71913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  71917 */     GIR_RootConstrainSelectedInstOperands,
     /*  71918 */     // GIR_Coverage, 13355,
     /*  71918 */     GIR_EraseRootFromParent_Done,
     /*  71919 */   // Label 1168: @71919
     /*  71919 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(72028), // Rule ID 13354 //
     /*  71924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  71927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  71935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  71961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  71965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  71969 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71973 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  71978 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  71982 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  71986 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  71990 */     // MIs[3] Rd
     /*  71990 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /*  71995 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  71999 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72005 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  72007 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  72009 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  72009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  72012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  72014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rd
     /*  72018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  72022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  72026 */     GIR_RootConstrainSelectedInstOperands,
     /*  72027 */     // GIR_Coverage, 13354,
     /*  72027 */     GIR_EraseRootFromParent_Done,
     /*  72028 */   // Label 1169: @72028
     /*  72028 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(72137), // Rule ID 13356 //
     /*  72033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  72048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  72056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  72070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  72074 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72078 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  72082 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72087 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  72091 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72095 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  72099 */     // MIs[3] Rd
     /*  72099 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/2,
     /*  72104 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  72108 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72114 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  72116 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  72118 */     // (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rd), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, immAllOnesV:{ *:[v16i8] })))  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  72118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /*  72121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  72123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rd
     /*  72127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /*  72135 */     GIR_RootConstrainSelectedInstOperands,
     /*  72136 */     // GIR_Coverage, 13356,
     /*  72136 */     GIR_EraseRootFromParent_Done,
     /*  72137 */   // Label 1170: @72137
     /*  72137 */   GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(72204), // Rule ID 13527 //
     /*  72142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  72157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72166 */     // MIs[1] imm
     /*  72166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72170 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72174 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  72178 */     // MIs[2] Operand 1
     /*  72178 */     // No operand predicates
     /*  72178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72182 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  72186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72188 */     // (or:{ *:[v16i8] } (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  72188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  72191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  72193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  72195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  72202 */     GIR_RootConstrainSelectedInstOperands,
     /*  72203 */     // GIR_Coverage, 13527,
     /*  72203 */     GIR_EraseRootFromParent_Done,
     /*  72204 */   // Label 1171: @72204
     /*  72204 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(72271), // Rule ID 13548 //
     /*  72209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  72224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72233 */     // MIs[1] imm
     /*  72233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72241 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  72245 */     // MIs[2] Operand 1
     /*  72245 */     // No operand predicates
     /*  72245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72249 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  72253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72255 */     // (or:{ *:[v16i8] } (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm), V128:{ *:[v16i8] }:$Rd)<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  72255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  72258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  72260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /*  72262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  72269 */     GIR_RootConstrainSelectedInstOperands,
     /*  72270 */     // GIR_Coverage, 13548,
     /*  72270 */     GIR_EraseRootFromParent_Done,
     /*  72271 */   // Label 1172: @72271
     /*  72271 */   GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(72338), // Rule ID 2233 //
     /*  72276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /*  72295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72304 */     // MIs[1] imm
     /*  72304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72312 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  72316 */     // MIs[2] Operand 1
     /*  72316 */     // No operand predicates
     /*  72316 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  72320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72322 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (SSRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  72322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRAv16i8_shift),
     /*  72325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  72327 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  72329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  72336 */     GIR_RootConstrainSelectedInstOperands,
     /*  72337 */     // GIR_Coverage, 2233,
     /*  72337 */     GIR_EraseRootFromParent_Done,
     /*  72338 */   // Label 1173: @72338
     /*  72338 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(72405), // Rule ID 2292 //
     /*  72343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /*  72362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72371 */     // MIs[1] imm
     /*  72371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  72379 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /*  72383 */     // MIs[2] Operand 1
     /*  72383 */     // No operand predicates
     /*  72383 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_and_or_is_add),
     /*  72387 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72389 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm))<<P:Predicate_add_and_or_is_add>>  =>  (USRAv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /*  72389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRAv16i8_shift),
     /*  72392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  72394 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /*  72396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  72403 */     GIR_RootConstrainSelectedInstOperands,
     /*  72404 */     // GIR_Coverage, 2292,
     /*  72404 */     GIR_EraseRootFromParent_Done,
     /*  72405 */   // Label 1174: @72405
     /*  72405 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(72469), // Rule ID 13346 //
     /*  72410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  72421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  72433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72442 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72448 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  72450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72456 */     // (or:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Rn)  =>  (ORNv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  72456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  72459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  72463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  72467 */     GIR_RootConstrainSelectedInstOperands,
     /*  72468 */     // GIR_Coverage, 13346,
     /*  72468 */     GIR_EraseRootFromParent_Done,
     /*  72469 */   // Label 1175: @72469
     /*  72469 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(72533), // Rule ID 1602 //
     /*  72474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  72497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  72501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  72510 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  72516 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  72518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  72520 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, immAllOnesV:{ *:[v16i8] }))  =>  (ORNv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  72520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNv16i8),
     /*  72523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72525 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  72527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /*  72531 */     GIR_RootConstrainSelectedInstOperands,
     /*  72532 */     // GIR_Coverage, 1602,
     /*  72532 */     GIR_EraseRootFromParent_Done,
     /*  72533 */   // Label 1176: @72533
     /*  72533 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(72560), // Rule ID 1604 //
     /*  72538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  72541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  72553 */     // (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ORRv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  72553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORRv16i8),
     /*  72558 */     GIR_RootConstrainSelectedInstOperands,
     /*  72559 */     // GIR_Coverage, 1604,
     /*  72559 */     GIR_Done,
     /*  72560 */   // Label 1177: @72560
     /*  72560 */   GIM_Reject,
     /*  72561 */ // Label 1162: @72561
     /*  72561 */ GIM_Reject,
     /*  72562 */ // Label 1021: @72562
     /*  72562 */ GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(72593), // Rule ID 8430 //
     /*  72567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  72573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  72576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  72580 */   // (or:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  72580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  72583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  72585 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72587 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72589 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  72591 */   GIR_RootConstrainSelectedInstOperands,
     /*  72592 */   // GIR_Coverage, 8430,
     /*  72592 */   GIR_EraseRootFromParent_Done,
     /*  72593 */ // Label 1178: @72593
     /*  72593 */ GIM_Reject,
     /*  72594 */ // Label 1022: @72594
     /*  72594 */ GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(72625), // Rule ID 8429 //
     /*  72599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  72605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  72608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  72612 */   // (or:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  72612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  72615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  72617 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72619 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72621 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  72623 */   GIR_RootConstrainSelectedInstOperands,
     /*  72624 */   // GIR_Coverage, 8429,
     /*  72624 */   GIR_EraseRootFromParent_Done,
     /*  72625 */ // Label 1179: @72625
     /*  72625 */ GIM_Reject,
     /*  72626 */ // Label 1023: @72626
     /*  72626 */ GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(72651), // Rule ID 7435 //
     /*  72631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  72637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  72640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  72644 */   // (or:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  72644 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  72649 */   GIR_RootConstrainSelectedInstOperands,
     /*  72650 */   // GIR_Coverage, 7435,
     /*  72650 */   GIR_Done,
     /*  72651 */ // Label 1180: @72651
     /*  72651 */ GIM_Reject,
     /*  72652 */ // Label 1024: @72652
     /*  72652 */ GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(72683), // Rule ID 8428 //
     /*  72657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  72663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  72666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  72670 */   // (or:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  72670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  72673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  72675 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72677 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72679 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  72681 */   GIR_RootConstrainSelectedInstOperands,
     /*  72682 */   // GIR_Coverage, 8428,
     /*  72682 */   GIR_EraseRootFromParent_Done,
     /*  72683 */ // Label 1181: @72683
     /*  72683 */ GIM_Reject,
     /*  72684 */ // Label 1025: @72684
     /*  72684 */ GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(72709), // Rule ID 7434 //
     /*  72689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  72695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  72698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  72702 */   // (or:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  72702 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  72707 */   GIR_RootConstrainSelectedInstOperands,
     /*  72708 */   // GIR_Coverage, 7434,
     /*  72708 */   GIR_Done,
     /*  72709 */ // Label 1182: @72709
     /*  72709 */ GIM_Reject,
     /*  72710 */ // Label 1026: @72710
     /*  72710 */ GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(72741), // Rule ID 8427 //
     /*  72715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  72721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  72724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  72728 */   // (or:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  72728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  72731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  72733 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72735 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72737 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  72739 */   GIR_RootConstrainSelectedInstOperands,
     /*  72740 */   // GIR_Coverage, 8427,
     /*  72740 */   GIR_EraseRootFromParent_Done,
     /*  72741 */ // Label 1183: @72741
     /*  72741 */ GIM_Reject,
     /*  72742 */ // Label 1027: @72742
     /*  72742 */ GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(72767), // Rule ID 7433 //
     /*  72747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  72753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  72756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  72760 */   // (or:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  72760 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  72765 */   GIR_RootConstrainSelectedInstOperands,
     /*  72766 */   // GIR_Coverage, 7433,
     /*  72766 */   GIR_Done,
     /*  72767 */ // Label 1184: @72767
     /*  72767 */ GIM_Reject,
     /*  72768 */ // Label 1028: @72768
     /*  72768 */ GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(72799), // Rule ID 8426 //
     /*  72773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  72779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  72782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  72786 */   // (or:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (SEL_PPPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  72786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /*  72789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  72791 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72793 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  72795 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  72797 */   GIR_RootConstrainSelectedInstOperands,
     /*  72798 */   // GIR_Coverage, 8426,
     /*  72798 */   GIR_EraseRootFromParent_Done,
     /*  72799 */ // Label 1185: @72799
     /*  72799 */ GIM_Reject,
     /*  72800 */ // Label 1029: @72800
     /*  72800 */ GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(72825), // Rule ID 7432 //
     /*  72805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  72808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  72811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  72814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  72818 */   // (or:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ORR_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  72818 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ORR_ZZZ),
     /*  72823 */   GIR_RootConstrainSelectedInstOperands,
     /*  72824 */   // GIR_Coverage, 7432,
     /*  72824 */   GIR_Done,
     /*  72825 */ // Label 1186: @72825
     /*  72825 */ GIM_Reject,
     /*  72826 */ // Label 1030: @72826
     /*  72826 */ GIM_Reject,
     /*  72827 */ // Label 7: @72827
     /*  72827 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 1205*/ GIMT_Encode4(80018),
     /*  72838 */ /*GILLT_s32*//*Label 1187*/ GIMT_Encode4(72926),
     /*  72842 */ /*GILLT_s64*//*Label 1188*/ GIMT_Encode4(73606), GIMT_Encode4(0),
     /*  72850 */ /*GILLT_v2s32*//*Label 1189*/ GIMT_Encode4(74449),
     /*  72854 */ /*GILLT_v2s64*//*Label 1190*/ GIMT_Encode4(74684),
     /*  72858 */ /*GILLT_v4s16*//*Label 1191*/ GIMT_Encode4(75373),
     /*  72862 */ /*GILLT_v4s32*//*Label 1192*/ GIMT_Encode4(75608),
     /*  72866 */ /*GILLT_v8s8*//*Label 1193*/ GIMT_Encode4(76297),
     /*  72870 */ /*GILLT_v8s16*//*Label 1194*/ GIMT_Encode4(76535),
     /*  72874 */ /*GILLT_v16s8*//*Label 1195*/ GIMT_Encode4(77224),
     /*  72878 */ /*GILLT_nxv1s1*//*Label 1196*/ GIMT_Encode4(77916),
     /*  72882 */ /*GILLT_nxv2s1*//*Label 1197*/ GIMT_Encode4(77966), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  72894 */ /*GILLT_nxv2s64*//*Label 1198*/ GIMT_Encode4(78016),
     /*  72898 */ /*GILLT_nxv4s1*//*Label 1199*/ GIMT_Encode4(78479), GIMT_Encode4(0),
     /*  72906 */ /*GILLT_nxv4s32*//*Label 1200*/ GIMT_Encode4(78529),
     /*  72910 */ /*GILLT_nxv8s1*//*Label 1201*/ GIMT_Encode4(78992),
     /*  72914 */ /*GILLT_nxv8s16*//*Label 1202*/ GIMT_Encode4(79042),
     /*  72918 */ /*GILLT_nxv16s1*//*Label 1203*/ GIMT_Encode4(79505),
     /*  72922 */ /*GILLT_nxv16s8*//*Label 1204*/ GIMT_Encode4(79555),
     /*  72926 */ // Label 1187: @72926
     /*  72926 */ GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(73605),
     /*  72931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  72934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  72937 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(72995), // Rule ID 13216 //
     /*  72942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  72950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  72954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  72958 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  72962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  72967 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  72971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  72973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  72980 */     // (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }))  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  72980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  72983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  72985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  72989 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  72993 */     GIR_RootConstrainSelectedInstOperands,
     /*  72994 */     // GIR_Coverage, 13216,
     /*  72994 */     GIR_EraseRootFromParent_Done,
     /*  72995 */   // Label 1207: @72995
     /*  72995 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(73050), // Rule ID 13215 //
     /*  73000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73016 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73020 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73030 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  73037 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rn)  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  73037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  73040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  73044 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73048 */     GIR_RootConstrainSelectedInstOperands,
     /*  73049 */     // GIR_Coverage, 13215,
     /*  73049 */     GIR_EraseRootFromParent_Done,
     /*  73050 */   // Label 1208: @73050
     /*  73050 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(73108), // Rule ID 13213 //
     /*  73055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73080 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73086 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  73093 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn), -1:{ *:[i32] })  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  73093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  73096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  73102 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73106 */     GIR_RootConstrainSelectedInstOperands,
     /*  73107 */     // GIR_Coverage, 13213,
     /*  73107 */     GIR_EraseRootFromParent_Done,
     /*  73108 */   // Label 1209: @73108
     /*  73108 */   GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(73166), // Rule ID 166 //
     /*  73113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73129 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73138 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73144 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  73151 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift), -1:{ *:[i32] })  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  73151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  73154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73160 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73164 */     GIR_RootConstrainSelectedInstOperands,
     /*  73165 */     // GIR_Coverage, 166,
     /*  73165 */     GIR_EraseRootFromParent_Done,
     /*  73166 */   // Label 1210: @73166
     /*  73166 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(73224), // Rule ID 13214 //
     /*  73171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73196 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  73209 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }), logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  73209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  73212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73218 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73222 */     GIR_RootConstrainSelectedInstOperands,
     /*  73223 */     // GIR_Coverage, 13214,
     /*  73223 */     GIR_EraseRootFromParent_Done,
     /*  73224 */   // Label 1211: @73224
     /*  73224 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(73279), // Rule ID 13217 //
     /*  73229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73249 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73253 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73259 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  73266 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, -1:{ *:[i32] }))  =>  (EONWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  73266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrs),
     /*  73269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73271 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  73273 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73277 */     GIR_RootConstrainSelectedInstOperands,
     /*  73278 */     // GIR_Coverage, 13217,
     /*  73278 */     GIR_EraseRootFromParent_Done,
     /*  73279 */   // Label 1212: @73279
     /*  73279 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(73320), // Rule ID 144 //
     /*  73284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /*  73288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  73300 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm32),
     /*  73304 */     // MIs[1] Operand 1
     /*  73304 */     // No operand predicates
     /*  73304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73306 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_logical_imm32>><<X:logical_imm32_XFORM>>:$imm)  =>  (EORWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (logical_imm32_XFORM:{ *:[i32] } (imm:{ *:[i32] }):$imm))
     /*  73306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORWri),
     /*  73309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73311 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  73313 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // imm
     /*  73318 */     GIR_RootConstrainSelectedInstOperands,
     /*  73319 */     // GIR_Coverage, 144,
     /*  73319 */     GIR_EraseRootFromParent_Done,
     /*  73320 */   // Label 1213: @73320
     /*  73320 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(73353), // Rule ID 13223 //
     /*  73325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  73340 */     // (xor:{ *:[i32] } logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift, GPR32:{ *:[i32] }:$Rn)  =>  (EORWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  73340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORWrs),
     /*  73343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  73347 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73351 */     GIR_RootConstrainSelectedInstOperands,
     /*  73352 */     // GIR_Coverage, 13223,
     /*  73352 */     GIR_EraseRootFromParent_Done,
     /*  73353 */   // Label 1214: @73353
     /*  73353 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(73386), // Rule ID 170 //
     /*  73358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg32),
     /*  73373 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)  =>  (EORWrs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, logical_shifted_reg32:{ *:[i32] }:$Rm_and_shift)
     /*  73373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORWrs),
     /*  73376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73378 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  73380 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73384 */     GIR_RootConstrainSelectedInstOperands,
     /*  73385 */     // GIR_Coverage, 170,
     /*  73385 */     GIR_EraseRootFromParent_Done,
     /*  73386 */   // Label 1215: @73386
     /*  73386 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(73439), // Rule ID 13209 //
     /*  73391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73416 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73426 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }), GPR32:{ *:[i32] }:$Rm)  =>  (EONWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  73426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrr),
     /*  73429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  73437 */     GIR_RootConstrainSelectedInstOperands,
     /*  73438 */     // GIR_Coverage, 13209,
     /*  73438 */     GIR_EraseRootFromParent_Done,
     /*  73439 */   // Label 1216: @73439
     /*  73439 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(73495), // Rule ID 164 //
     /*  73444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73460 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73474 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73480 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm), -1:{ *:[i32] })  =>  (EONWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  73480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrr),
     /*  73483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  73493 */     GIR_RootConstrainSelectedInstOperands,
     /*  73494 */     // GIR_Coverage, 164,
     /*  73494 */     GIR_EraseRootFromParent_Done,
     /*  73495 */   // Label 1217: @73495
     /*  73495 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(73548), // Rule ID 13210 //
     /*  73500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  73520 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  73524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73529 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73535 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, -1:{ *:[i32] }))  =>  (EONWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  73535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONWrr),
     /*  73538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73544 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  73546 */     GIR_RootConstrainSelectedInstOperands,
     /*  73547 */     // GIR_Coverage, 13210,
     /*  73547 */     GIR_EraseRootFromParent_Done,
     /*  73548 */   // Label 1218: @73548
     /*  73548 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(73580), // Rule ID 4002 //
     /*  73553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73561 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73565 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Wm, -1:{ *:[i32] })  =>  (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Wm)
     /*  73565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /*  73568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73570 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  73576 */     GIR_RootToRootCopy, /*OpIdx*/1, // Wm
     /*  73578 */     GIR_RootConstrainSelectedInstOperands,
     /*  73579 */     // GIR_Coverage, 4002,
     /*  73579 */     GIR_EraseRootFromParent_Done,
     /*  73580 */   // Label 1219: @73580
     /*  73580 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(73604), // Rule ID 168 //
     /*  73585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  73597 */     // (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (EORWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /*  73597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORWrr),
     /*  73602 */     GIR_RootConstrainSelectedInstOperands,
     /*  73603 */     // GIR_Coverage, 168,
     /*  73603 */     GIR_Done,
     /*  73604 */   // Label 1220: @73604
     /*  73604 */   GIM_Reject,
     /*  73605 */ // Label 1206: @73605
     /*  73605 */ GIM_Reject,
     /*  73606 */ // Label 1188: @73606
     /*  73606 */ GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(74448),
     /*  73611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  73614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  73617 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(73675), // Rule ID 13221 //
     /*  73622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73638 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73647 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73660 */     // (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }))  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73669 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73673 */     GIR_RootConstrainSelectedInstOperands,
     /*  73674 */     // GIR_Coverage, 13221,
     /*  73674 */     GIR_EraseRootFromParent_Done,
     /*  73675 */   // Label 1222: @73675
     /*  73675 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(73730), // Rule ID 13220 //
     /*  73680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73700 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73710 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73717 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn)  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  73724 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73728 */     GIR_RootConstrainSelectedInstOperands,
     /*  73729 */     // GIR_Coverage, 13220,
     /*  73729 */     GIR_EraseRootFromParent_Done,
     /*  73730 */   // Label 1223: @73730
     /*  73730 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(73788), // Rule ID 13218 //
     /*  73735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73751 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73755 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73760 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73766 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73773 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn), -1:{ *:[i64] })  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  73782 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73786 */     GIR_RootConstrainSelectedInstOperands,
     /*  73787 */     // GIR_Coverage, 13218,
     /*  73787 */     GIR_EraseRootFromParent_Done,
     /*  73788 */   // Label 1224: @73788
     /*  73788 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(73846), // Rule ID 167 //
     /*  73793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73809 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73818 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  73822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73824 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73831 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift), -1:{ *:[i64] })  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73840 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73844 */     GIR_RootConstrainSelectedInstOperands,
     /*  73845 */     // GIR_Coverage, 167,
     /*  73845 */     GIR_EraseRootFromParent_Done,
     /*  73846 */   // Label 1225: @73846
     /*  73846 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(73904), // Rule ID 13219 //
     /*  73851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73876 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73889 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }), logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  73898 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73902 */     GIR_RootConstrainSelectedInstOperands,
     /*  73903 */     // GIR_Coverage, 13219,
     /*  73903 */     GIR_EraseRootFromParent_Done,
     /*  73904 */   // Label 1226: @73904
     /*  73904 */   GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(73959), // Rule ID 13222 //
     /*  73909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  73917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  73921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  73925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  73929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73933 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  73937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  73939 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  73946 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, -1:{ *:[i64] }))  =>  (EONXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  73946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrs),
     /*  73949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  73951 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  73953 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  73957 */     GIR_RootConstrainSelectedInstOperands,
     /*  73958 */     // GIR_Coverage, 13222,
     /*  73958 */     GIR_EraseRootFromParent_Done,
     /*  73959 */   // Label 1227: @73959
     /*  73959 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(74059), // Rule ID 1613 //
     /*  73964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  73967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  73971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  73975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  73979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  73983 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /*  73987 */     // MIs[1] Operand 1
     /*  73987 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  73992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  73996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  74004 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  74008 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74013 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74018 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  74022 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74028 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  74030 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  74034 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74040 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  74042 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  74044 */     // (xor:{ *:[v1i64] } (setcc:{ *:[v1i64] } (and:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm), immAllZerosV:{ *:[v1i64] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v1i64] })  =>  (CMTSTv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /*  74044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv1i64),
     /*  74047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  74053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  74057 */     GIR_RootConstrainSelectedInstOperands,
     /*  74058 */     // GIR_Coverage, 1613,
     /*  74058 */     GIR_EraseRootFromParent_Done,
     /*  74059 */   // Label 1228: @74059
     /*  74059 */   GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(74100), // Rule ID 145 //
     /*  74064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /*  74068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  74080 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_logical_imm64),
     /*  74084 */     // MIs[1] Operand 1
     /*  74084 */     // No operand predicates
     /*  74084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74086 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_logical_imm64>><<X:logical_imm64_XFORM>>:$imm)  =>  (EORXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (logical_imm64_XFORM:{ *:[i64] } (imm:{ *:[i64] }):$imm))
     /*  74086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORXri),
     /*  74089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74091 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  74093 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm64), // imm
     /*  74098 */     GIR_RootConstrainSelectedInstOperands,
     /*  74099 */     // GIR_Coverage, 145,
     /*  74099 */     GIR_EraseRootFromParent_Done,
     /*  74100 */   // Label 1229: @74100
     /*  74100 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(74133), // Rule ID 13224 //
     /*  74105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  74120 */     // (xor:{ *:[i64] } logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift, GPR64:{ *:[i64] }:$Rn)  =>  (EORXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  74120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORXrs),
     /*  74123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /*  74127 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  74131 */     GIR_RootConstrainSelectedInstOperands,
     /*  74132 */     // GIR_Coverage, 13224,
     /*  74132 */     GIR_EraseRootFromParent_Done,
     /*  74133 */   // Label 1230: @74133
     /*  74133 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(74166), // Rule ID 171 //
     /*  74138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_logical_shifted_reg64),
     /*  74153 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)  =>  (EORXrs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, logical_shifted_reg64:{ *:[i64] }:$Rm_and_shift)
     /*  74153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORXrs),
     /*  74156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74158 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  74160 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // Rm_and_shift
     /*  74164 */     GIR_RootConstrainSelectedInstOperands,
     /*  74165 */     // GIR_Coverage, 171,
     /*  74165 */     GIR_EraseRootFromParent_Done,
     /*  74166 */   // Label 1231: @74166
     /*  74166 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(74219), // Rule ID 13211 //
     /*  74171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  74187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  74191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74196 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  74200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74206 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }), GPR64:{ *:[i64] }:$Rm)  =>  (EONXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  74206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrr),
     /*  74209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  74215 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /*  74217 */     GIR_RootConstrainSelectedInstOperands,
     /*  74218 */     // GIR_Coverage, 13211,
     /*  74218 */     GIR_EraseRootFromParent_Done,
     /*  74219 */   // Label 1232: @74219
     /*  74219 */   GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(74275), // Rule ID 165 //
     /*  74224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  74240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  74244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74254 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  74258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74260 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm), -1:{ *:[i64] })  =>  (EONXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  74260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrr),
     /*  74263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  74269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /*  74273 */     GIR_RootConstrainSelectedInstOperands,
     /*  74274 */     // GIR_Coverage, 165,
     /*  74274 */     GIR_EraseRootFromParent_Done,
     /*  74275 */   // Label 1233: @74275
     /*  74275 */   GIM_Try, /*On fail goto*//*Label 1234*/ GIMT_Encode4(74328), // Rule ID 13212 //
     /*  74280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  74300 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  74304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74309 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  74313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74315 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, -1:{ *:[i64] }))  =>  (EONXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  74315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EONXrr),
     /*  74318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  74324 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /*  74326 */     GIR_RootConstrainSelectedInstOperands,
     /*  74327 */     // GIR_Coverage, 13212,
     /*  74327 */     GIR_EraseRootFromParent_Done,
     /*  74328 */   // Label 1234: @74328
     /*  74328 */   GIM_Try, /*On fail goto*//*Label 1235*/ GIMT_Encode4(74360), // Rule ID 4003 //
     /*  74333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74341 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  74345 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Xm, -1:{ *:[i64] })  =>  (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Xm)
     /*  74345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /*  74348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74350 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  74356 */     GIR_RootToRootCopy, /*OpIdx*/1, // Xm
     /*  74358 */     GIR_RootConstrainSelectedInstOperands,
     /*  74359 */     // GIR_Coverage, 4003,
     /*  74359 */     GIR_EraseRootFromParent_Done,
     /*  74360 */   // Label 1235: @74360
     /*  74360 */   GIM_Try, /*On fail goto*//*Label 1236*/ GIMT_Encode4(74396), // Rule ID 4951 //
     /*  74365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74377 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74383 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  74385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74387 */     // (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, immAllOnesV:{ *:[v1i64] })  =>  (NOTv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn)
     /*  74387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  74390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74392 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  74394 */     GIR_RootConstrainSelectedInstOperands,
     /*  74395 */     // GIR_Coverage, 4951,
     /*  74395 */     GIR_EraseRootFromParent_Done,
     /*  74396 */   // Label 1236: @74396
     /*  74396 */   GIM_Try, /*On fail goto*//*Label 1237*/ GIMT_Encode4(74420), // Rule ID 169 //
     /*  74401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  74413 */     // (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (EORXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /*  74413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORXrr),
     /*  74418 */     GIR_RootConstrainSelectedInstOperands,
     /*  74419 */     // GIR_Coverage, 169,
     /*  74419 */     GIR_Done,
     /*  74420 */   // Label 1237: @74420
     /*  74420 */   GIM_Try, /*On fail goto*//*Label 1238*/ GIMT_Encode4(74447), // Rule ID 5050 //
     /*  74425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  74428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74440 */     // (xor:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)  =>  (EORv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$LHS, V64:{ *:[v1i64] }:$RHS)
     /*  74440 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  74445 */     GIR_RootConstrainSelectedInstOperands,
     /*  74446 */     // GIR_Coverage, 5050,
     /*  74446 */     GIR_Done,
     /*  74447 */   // Label 1238: @74447
     /*  74447 */   GIM_Reject,
     /*  74448 */ // Label 1221: @74448
     /*  74448 */ GIM_Reject,
     /*  74449 */ // Label 1189: @74449
     /*  74449 */ GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(74683),
     /*  74454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  74457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  74460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74464 */   GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(74560), // Rule ID 1160 //
     /*  74469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  74472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  74480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  74484 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  74488 */     // MIs[1] Operand 1
     /*  74488 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  74493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  74505 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  74509 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74519 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  74523 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74529 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  74531 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  74535 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74541 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  74543 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  74545 */     // (xor:{ *:[v2i32] } (setcc:{ *:[v2i32] } (and:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm), immAllZerosV:{ *:[v2i32] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v2i32] })  =>  (CMTSTv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /*  74545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv2i32),
     /*  74548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  74554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  74558 */     GIR_RootConstrainSelectedInstOperands,
     /*  74559 */     // GIR_Coverage, 1160,
     /*  74559 */     GIR_EraseRootFromParent_Done,
     /*  74560 */   // Label 1240: @74560
     /*  74560 */   GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(74627), // Rule ID 4998 //
     /*  74565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  74573 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  74577 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /*  74581 */     // MIs[1] Operand 1
     /*  74581 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  74586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  74590 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74596 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  74598 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  74602 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74608 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74610 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74612 */     // (xor:{ *:[v2i32] } (setcc:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v2i32] })  =>  (CMTSTv2i32:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$Rn, v2i32:{ *:[v2i32] }:$Rn)
     /*  74612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv2i32),
     /*  74615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  74621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  74625 */     GIR_RootConstrainSelectedInstOperands,
     /*  74626 */     // GIR_Coverage, 4998,
     /*  74626 */     GIR_EraseRootFromParent_Done,
     /*  74627 */   // Label 1241: @74627
     /*  74627 */   GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(74659), // Rule ID 4949 //
     /*  74632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  74640 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74646 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  74648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  74650 */     // (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllOnesV:{ *:[v2i32] })  =>  (NOTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /*  74650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  74653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74655 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  74657 */     GIR_RootConstrainSelectedInstOperands,
     /*  74658 */     // GIR_Coverage, 4949,
     /*  74658 */     GIR_EraseRootFromParent_Done,
     /*  74659 */   // Label 1242: @74659
     /*  74659 */   GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(74682), // Rule ID 5049 //
     /*  74664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  74667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  74675 */     // (xor:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (EORv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /*  74675 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  74680 */     GIR_RootConstrainSelectedInstOperands,
     /*  74681 */     // GIR_Coverage, 5049,
     /*  74681 */     GIR_Done,
     /*  74682 */   // Label 1243: @74682
     /*  74682 */   GIM_Reject,
     /*  74683 */ // Label 1239: @74683
     /*  74683 */ GIM_Reject,
     /*  74684 */ // Label 1190: @74684
     /*  74684 */ GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(75372),
     /*  74689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74699 */   GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(74795), // Rule ID 1162 //
     /*  74704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  74707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  74715 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74719 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  74723 */     // MIs[1] Operand 1
     /*  74723 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  74728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74740 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74744 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74754 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  74758 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74764 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  74766 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  74770 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74776 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  74778 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  74780 */     // (xor:{ *:[v2i64] } (setcc:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), immAllZerosV:{ *:[v2i64] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v2i64] })  =>  (CMTSTv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  74780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv2i64),
     /*  74783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  74789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  74793 */     GIR_RootConstrainSelectedInstOperands,
     /*  74794 */     // GIR_Coverage, 1162,
     /*  74794 */     GIR_EraseRootFromParent_Done,
     /*  74795 */   // Label 1245: @74795
     /*  74795 */   GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(74862), // Rule ID 5000 //
     /*  74800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  74808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74812 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  74816 */     // MIs[1] Operand 1
     /*  74816 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  74821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  74825 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74831 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  74833 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  74837 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74843 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74845 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74847 */     // (xor:{ *:[v2i64] } (setcc:{ *:[v2i64] } v2i64:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v2i64] })  =>  (CMTSTv2i64:{ *:[v2i64] } v2i64:{ *:[v2i64] }:$Rn, v2i64:{ *:[v2i64] }:$Rn)
     /*  74847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv2i64),
     /*  74850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  74852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  74856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  74860 */     GIR_RootConstrainSelectedInstOperands,
     /*  74861 */     // GIR_Coverage, 5000,
     /*  74861 */     GIR_EraseRootFromParent_Done,
     /*  74862 */   // Label 1246: @74862
     /*  74862 */   GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(74947), // Rule ID 13746 //
     /*  74867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  74870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  74890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74898 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  74911 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  74917 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  74919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74928 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  74930 */     // (xor:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$Vm), V128:{ *:[v2i64] }:$Vn)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  74930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  74933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  74935 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  74937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  74941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  74945 */     GIR_RootConstrainSelectedInstOperands,
     /*  74946 */     // GIR_Coverage, 13746,
     /*  74946 */     GIR_EraseRootFromParent_Done,
     /*  74947 */   // Label 1247: @74947
     /*  74947 */   GIM_Try, /*On fail goto*//*Label 1248*/ GIMT_Encode4(75032), // Rule ID 13745 //
     /*  74952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  74955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  74959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  74963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  74980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  74984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  74988 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  74992 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  74997 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75001 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75007 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75013 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75015 */     // (xor:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vm, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] })), V128:{ *:[v2i64] }:$Vn)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  75015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  75018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  75022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  75026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  75030 */     GIR_RootConstrainSelectedInstOperands,
     /*  75031 */     // GIR_Coverage, 13745,
     /*  75031 */     GIR_EraseRootFromParent_Done,
     /*  75032 */   // Label 1248: @75032
     /*  75032 */   GIM_Try, /*On fail goto*//*Label 1249*/ GIMT_Encode4(75117), // Rule ID 13744 //
     /*  75037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  75056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  75060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  75064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  75072 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  75076 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75081 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75085 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75091 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75098 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75100 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$Vm))  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  75100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  75103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75105 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  75107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  75111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  75115 */     GIR_RootConstrainSelectedInstOperands,
     /*  75116 */     // GIR_Coverage, 13744,
     /*  75116 */     GIR_EraseRootFromParent_Done,
     /*  75117 */   // Label 1249: @75117
     /*  75117 */   GIM_Try, /*On fail goto*//*Label 1250*/ GIMT_Encode4(75202), // Rule ID 3830 //
     /*  75122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  75141 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  75145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75150 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75154 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75158 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  75162 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  75166 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75171 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75175 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75181 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75183 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75185 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vm, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, immAllOnesV:{ *:[v2i64] })))  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  75185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  75188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75190 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  75192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  75196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  75200 */     GIR_RootConstrainSelectedInstOperands,
     /*  75201 */     // GIR_Coverage, 3830,
     /*  75201 */     GIR_EraseRootFromParent_Done,
     /*  75202 */   // Label 1250: @75202
     /*  75202 */   GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(75234), // Rule ID 4952 //
     /*  75207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75215 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75221 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  75223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75225 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllOnesV:{ *:[v2i64] })  =>  (NOTv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /*  75225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  75228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75230 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  75232 */     GIR_RootConstrainSelectedInstOperands,
     /*  75233 */     // GIR_Coverage, 4952,
     /*  75233 */     GIR_EraseRootFromParent_Done,
     /*  75234 */   // Label 1251: @75234
     /*  75234 */   GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(75291), // Rule ID 3826 //
     /*  75239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  75254 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  75258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75274 */     // (xor:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm), V128:{ *:[v2i64] }:$Va)  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  75274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  75277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  75283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  75287 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  75289 */     GIR_RootConstrainSelectedInstOperands,
     /*  75290 */     // GIR_Coverage, 3826,
     /*  75290 */     GIR_EraseRootFromParent_Done,
     /*  75291 */   // Label 1252: @75291
     /*  75291 */   GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(75348), // Rule ID 13734 //
     /*  75296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  75315 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  75319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75331 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Va, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm))  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, V128:{ *:[v2i64] }:$Va)
     /*  75331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  75334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  75340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  75344 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  75346 */     GIR_RootConstrainSelectedInstOperands,
     /*  75347 */     // GIR_Coverage, 13734,
     /*  75347 */     GIR_EraseRootFromParent_Done,
     /*  75348 */   // Label 1253: @75348
     /*  75348 */   GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(75371), // Rule ID 5053 //
     /*  75353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  75356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75364 */     // (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (EORv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /*  75364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  75369 */     GIR_RootConstrainSelectedInstOperands,
     /*  75370 */     // GIR_Coverage, 5053,
     /*  75370 */     GIR_Done,
     /*  75371 */   // Label 1254: @75371
     /*  75371 */   GIM_Reject,
     /*  75372 */ // Label 1244: @75372
     /*  75372 */ GIM_Reject,
     /*  75373 */ // Label 1191: @75373
     /*  75373 */ GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(75607),
     /*  75378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  75381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  75384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75388 */   GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(75484), // Rule ID 1158 //
     /*  75393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  75396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  75404 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  75408 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  75412 */     // MIs[1] Operand 1
     /*  75412 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  75417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  75429 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  75433 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75443 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  75447 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75453 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  75455 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  75459 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75465 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  75467 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  75469 */     // (xor:{ *:[v4i16] } (setcc:{ *:[v4i16] } (and:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), immAllZerosV:{ *:[v4i16] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v4i16] })  =>  (CMTSTv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /*  75469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv4i16),
     /*  75472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  75478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  75482 */     GIR_RootConstrainSelectedInstOperands,
     /*  75483 */     // GIR_Coverage, 1158,
     /*  75483 */     GIR_EraseRootFromParent_Done,
     /*  75484 */   // Label 1256: @75484
     /*  75484 */   GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(75551), // Rule ID 4996 //
     /*  75489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  75497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  75501 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /*  75505 */     // MIs[1] Operand 1
     /*  75505 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  75510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  75514 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75520 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  75522 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  75526 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75532 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75536 */     // (xor:{ *:[v4i16] } (setcc:{ *:[v4i16] } v4i16:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v4i16] })  =>  (CMTSTv4i16:{ *:[v4i16] } v4i16:{ *:[v4i16] }:$Rn, v4i16:{ *:[v4i16] }:$Rn)
     /*  75536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv4i16),
     /*  75539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  75545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  75549 */     GIR_RootConstrainSelectedInstOperands,
     /*  75550 */     // GIR_Coverage, 4996,
     /*  75550 */     GIR_EraseRootFromParent_Done,
     /*  75551 */   // Label 1257: @75551
     /*  75551 */   GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(75583), // Rule ID 4947 //
     /*  75556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75564 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75570 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  75572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  75574 */     // (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllOnesV:{ *:[v4i16] })  =>  (NOTv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /*  75574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  75577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75579 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  75581 */     GIR_RootConstrainSelectedInstOperands,
     /*  75582 */     // GIR_Coverage, 4947,
     /*  75582 */     GIR_EraseRootFromParent_Done,
     /*  75583 */   // Label 1258: @75583
     /*  75583 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(75606), // Rule ID 5048 //
     /*  75588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  75591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  75599 */     // (xor:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (EORv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /*  75599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  75604 */     GIR_RootConstrainSelectedInstOperands,
     /*  75605 */     // GIR_Coverage, 5048,
     /*  75605 */     GIR_Done,
     /*  75606 */   // Label 1259: @75606
     /*  75606 */   GIM_Reject,
     /*  75607 */ // Label 1255: @75607
     /*  75607 */ GIM_Reject,
     /*  75608 */ // Label 1192: @75608
     /*  75608 */ GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(76296),
     /*  75613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75623 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(75719), // Rule ID 1161 //
     /*  75628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  75631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  75639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75643 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  75647 */     // MIs[1] Operand 1
     /*  75647 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  75652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75664 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75668 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75673 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75678 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  75682 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75688 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  75690 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  75694 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75700 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  75702 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  75704 */     // (xor:{ *:[v4i32] } (setcc:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), immAllZerosV:{ *:[v4i32] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v4i32] })  =>  (CMTSTv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  75704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv4i32),
     /*  75707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  75713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  75717 */     GIR_RootConstrainSelectedInstOperands,
     /*  75718 */     // GIR_Coverage, 1161,
     /*  75718 */     GIR_EraseRootFromParent_Done,
     /*  75719 */   // Label 1261: @75719
     /*  75719 */   GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(75786), // Rule ID 4999 //
     /*  75724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  75732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75736 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  75740 */     // MIs[1] Operand 1
     /*  75740 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  75745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  75749 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75755 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  75757 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  75761 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75767 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75769 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75771 */     // (xor:{ *:[v4i32] } (setcc:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v4i32] })  =>  (CMTSTv4i32:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$Rn, v4i32:{ *:[v4i32] }:$Rn)
     /*  75771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv4i32),
     /*  75774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  75776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  75780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  75784 */     GIR_RootConstrainSelectedInstOperands,
     /*  75785 */     // GIR_Coverage, 4999,
     /*  75785 */     GIR_EraseRootFromParent_Done,
     /*  75786 */   // Label 1262: @75786
     /*  75786 */   GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(75871), // Rule ID 13743 //
     /*  75791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  75814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75822 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75831 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75835 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75841 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75852 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75854 */     // (xor:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$Vm), V128:{ *:[v4i32] }:$Vn)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  75854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  75857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75859 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  75861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  75865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  75869 */     GIR_RootConstrainSelectedInstOperands,
     /*  75870 */     // GIR_Coverage, 13743,
     /*  75870 */     GIR_EraseRootFromParent_Done,
     /*  75871 */   // Label 1263: @75871
     /*  75871 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(75956), // Rule ID 13742 //
     /*  75876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  75883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  75904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75912 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75921 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  75925 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  75931 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  75933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75937 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  75939 */     // (xor:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vm, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] })), V128:{ *:[v4i32] }:$Vn)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  75939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  75942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  75944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  75946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  75950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  75954 */     GIR_RootConstrainSelectedInstOperands,
     /*  75955 */     // GIR_Coverage, 13742,
     /*  75955 */     GIR_EraseRootFromParent_Done,
     /*  75956 */   // Label 1264: @75956
     /*  75956 */   GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(76041), // Rule ID 13741 //
     /*  75961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  75964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  75968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  75972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  75976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  75984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  75988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  75992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  75996 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  76000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76005 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76009 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76015 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76024 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$Vm))  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  76024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76029 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  76031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76039 */     GIR_RootConstrainSelectedInstOperands,
     /*  76040 */     // GIR_Coverage, 13741,
     /*  76040 */     GIR_EraseRootFromParent_Done,
     /*  76041 */   // Label 1265: @76041
     /*  76041 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(76126), // Rule ID 3829 //
     /*  76046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  76065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  76069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  76086 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  76090 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76095 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76099 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76105 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76107 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76109 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vm, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, immAllOnesV:{ *:[v4i32] })))  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  76109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76114 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  76116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  76120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76124 */     GIR_RootConstrainSelectedInstOperands,
     /*  76125 */     // GIR_Coverage, 3829,
     /*  76125 */     GIR_EraseRootFromParent_Done,
     /*  76126 */   // Label 1266: @76126
     /*  76126 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(76158), // Rule ID 4950 //
     /*  76131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76139 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76145 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  76147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76149 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllOnesV:{ *:[v4i32] })  =>  (NOTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /*  76149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  76152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76154 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  76156 */     GIR_RootConstrainSelectedInstOperands,
     /*  76157 */     // GIR_Coverage, 4950,
     /*  76157 */     GIR_EraseRootFromParent_Done,
     /*  76158 */   // Label 1267: @76158
     /*  76158 */   GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(76215), // Rule ID 3825 //
     /*  76163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  76178 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  76182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76198 */     // (xor:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm), V128:{ *:[v4i32] }:$Va)  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  76198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  76201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  76207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76211 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  76213 */     GIR_RootConstrainSelectedInstOperands,
     /*  76214 */     // GIR_Coverage, 3825,
     /*  76214 */     GIR_EraseRootFromParent_Done,
     /*  76215 */   // Label 1268: @76215
     /*  76215 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(76272), // Rule ID 13733 //
     /*  76220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  76239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  76243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76255 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Va, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm))  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /*  76255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  76258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  76264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76268 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  76270 */     GIR_RootConstrainSelectedInstOperands,
     /*  76271 */     // GIR_Coverage, 13733,
     /*  76271 */     GIR_EraseRootFromParent_Done,
     /*  76272 */   // Label 1269: @76272
     /*  76272 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(76295), // Rule ID 5052 //
     /*  76277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76288 */     // (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (EORv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /*  76288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  76293 */     GIR_RootConstrainSelectedInstOperands,
     /*  76294 */     // GIR_Coverage, 5052,
     /*  76294 */     GIR_Done,
     /*  76295 */   // Label 1270: @76295
     /*  76295 */   GIM_Reject,
     /*  76296 */ // Label 1260: @76296
     /*  76296 */ GIM_Reject,
     /*  76297 */ // Label 1193: @76297
     /*  76297 */ GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(76534),
     /*  76302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  76305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  76308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76312 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(76408), // Rule ID 1156 //
     /*  76317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  76328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  76332 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  76336 */     // MIs[1] Operand 1
     /*  76336 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  76341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  76353 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  76357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76367 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  76371 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76377 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  76379 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  76383 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76389 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  76391 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  76393 */     // (xor:{ *:[v8i8] } (setcc:{ *:[v8i8] } (and:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm), immAllZerosV:{ *:[v8i8] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v8i8] })  =>  (CMTSTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  76393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv8i8),
     /*  76396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  76402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  76406 */     GIR_RootConstrainSelectedInstOperands,
     /*  76407 */     // GIR_Coverage, 1156,
     /*  76407 */     GIR_EraseRootFromParent_Done,
     /*  76408 */   // Label 1272: @76408
     /*  76408 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(76475), // Rule ID 4994 //
     /*  76413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  76421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  76425 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /*  76429 */     // MIs[1] Operand 1
     /*  76429 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  76434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  76438 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76444 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  76446 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  76450 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76456 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76458 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76460 */     // (xor:{ *:[v8i8] } (setcc:{ *:[v8i8] } v8i8:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v8i8] })  =>  (CMTSTv8i8:{ *:[v8i8] } v8i8:{ *:[v8i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rn)
     /*  76460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv8i8),
     /*  76463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  76469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  76473 */     GIR_RootConstrainSelectedInstOperands,
     /*  76474 */     // GIR_Coverage, 4994,
     /*  76474 */     GIR_EraseRootFromParent_Done,
     /*  76475 */   // Label 1273: @76475
     /*  76475 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(76510), // Rule ID 972 //
     /*  76480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76491 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76497 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  76499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  76501 */     // (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllOnesV:{ *:[v8i8] })  =>  (NOTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /*  76501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv8i8),
     /*  76504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76506 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  76508 */     GIR_RootConstrainSelectedInstOperands,
     /*  76509 */     // GIR_Coverage, 972,
     /*  76509 */     GIR_EraseRootFromParent_Done,
     /*  76510 */   // Label 1274: @76510
     /*  76510 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(76533), // Rule ID 1599 //
     /*  76515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  76526 */     // (xor:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (EORv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /*  76526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /*  76531 */     GIR_RootConstrainSelectedInstOperands,
     /*  76532 */     // GIR_Coverage, 1599,
     /*  76532 */     GIR_Done,
     /*  76533 */   // Label 1275: @76533
     /*  76533 */   GIM_Reject,
     /*  76534 */ // Label 1271: @76534
     /*  76534 */ GIM_Reject,
     /*  76535 */ // Label 1194: @76535
     /*  76535 */ GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(77223),
     /*  76540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76550 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(76646), // Rule ID 1159 //
     /*  76555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  76558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  76566 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76570 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  76574 */     // MIs[1] Operand 1
     /*  76574 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  76579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76591 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76605 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  76609 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76615 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  76617 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  76621 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76627 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  76629 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  76631 */     // (xor:{ *:[v8i16] } (setcc:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), immAllZerosV:{ *:[v8i16] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v8i16] })  =>  (CMTSTv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  76631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv8i16),
     /*  76634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  76640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  76644 */     GIR_RootConstrainSelectedInstOperands,
     /*  76645 */     // GIR_Coverage, 1159,
     /*  76645 */     GIR_EraseRootFromParent_Done,
     /*  76646 */   // Label 1277: @76646
     /*  76646 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(76713), // Rule ID 4997 //
     /*  76651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  76659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76663 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  76667 */     // MIs[1] Operand 1
     /*  76667 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  76672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  76676 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76682 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  76684 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  76688 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76694 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76696 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76698 */     // (xor:{ *:[v8i16] } (setcc:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v8i16] })  =>  (CMTSTv8i16:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$Rn, v8i16:{ *:[v8i16] }:$Rn)
     /*  76698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv8i16),
     /*  76701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  76703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  76707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  76711 */     GIR_RootConstrainSelectedInstOperands,
     /*  76712 */     // GIR_Coverage, 4997,
     /*  76712 */     GIR_EraseRootFromParent_Done,
     /*  76713 */   // Label 1278: @76713
     /*  76713 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(76798), // Rule ID 13740 //
     /*  76718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76749 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76753 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76758 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76762 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76768 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76779 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76781 */     // (xor:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$Vm), V128:{ *:[v8i16] }:$Vn)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  76781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  76788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76796 */     GIR_RootConstrainSelectedInstOperands,
     /*  76797 */     // GIR_Coverage, 13740,
     /*  76797 */     GIR_EraseRootFromParent_Done,
     /*  76798 */   // Label 1279: @76798
     /*  76798 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(76883), // Rule ID 13739 //
     /*  76803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  76810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76818 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  76831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76839 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76848 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76852 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76858 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76864 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76866 */     // (xor:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vm, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] })), V128:{ *:[v8i16] }:$Vn)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  76866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  76873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  76877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76881 */     GIR_RootConstrainSelectedInstOperands,
     /*  76882 */     // GIR_Coverage, 13739,
     /*  76882 */     GIR_EraseRootFromParent_Done,
     /*  76883 */   // Label 1280: @76883
     /*  76883 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(76968), // Rule ID 13738 //
     /*  76888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  76915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  76919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76923 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76932 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  76936 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  76942 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  76944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76949 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  76951 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$Vm))  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  76951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  76954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  76956 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  76958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  76962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  76966 */     GIR_RootConstrainSelectedInstOperands,
     /*  76967 */     // GIR_Coverage, 13738,
     /*  76967 */     GIR_EraseRootFromParent_Done,
     /*  76968 */   // Label 1281: @76968
     /*  76968 */   GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(77053), // Rule ID 3828 //
     /*  76973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  76976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  76980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  76984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  76988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  76992 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  76996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  77005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  77013 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  77017 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77022 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77026 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77032 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77034 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77036 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vm, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, immAllOnesV:{ *:[v8i16] })))  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  77036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  77039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77041 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  77043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  77047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  77051 */     GIR_RootConstrainSelectedInstOperands,
     /*  77052 */     // GIR_Coverage, 3828,
     /*  77052 */     GIR_EraseRootFromParent_Done,
     /*  77053 */   // Label 1282: @77053
     /*  77053 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(77085), // Rule ID 4948 //
     /*  77058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77066 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77072 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  77074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77076 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllOnesV:{ *:[v8i16] })  =>  (NOTv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /*  77076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  77079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  77081 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  77083 */     GIR_RootConstrainSelectedInstOperands,
     /*  77084 */     // GIR_Coverage, 4948,
     /*  77084 */     GIR_EraseRootFromParent_Done,
     /*  77085 */   // Label 1283: @77085
     /*  77085 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(77142), // Rule ID 3824 //
     /*  77090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  77105 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  77109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77125 */     // (xor:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm), V128:{ *:[v8i16] }:$Va)  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  77125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  77128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  77134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  77138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  77140 */     GIR_RootConstrainSelectedInstOperands,
     /*  77141 */     // GIR_Coverage, 3824,
     /*  77141 */     GIR_EraseRootFromParent_Done,
     /*  77142 */   // Label 1284: @77142
     /*  77142 */   GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(77199), // Rule ID 13732 //
     /*  77147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  77166 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  77170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77182 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Va, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm))  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm, V128:{ *:[v8i16] }:$Va)
     /*  77182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  77185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  77191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  77195 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  77197 */     GIR_RootConstrainSelectedInstOperands,
     /*  77198 */     // GIR_Coverage, 13732,
     /*  77198 */     GIR_EraseRootFromParent_Done,
     /*  77199 */   // Label 1285: @77199
     /*  77199 */   GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(77222), // Rule ID 5051 //
     /*  77204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77215 */     // (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (EORv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /*  77215 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  77220 */     GIR_RootConstrainSelectedInstOperands,
     /*  77221 */     // GIR_Coverage, 5051,
     /*  77221 */     GIR_Done,
     /*  77222 */   // Label 1286: @77222
     /*  77222 */   GIM_Reject,
     /*  77223 */ // Label 1276: @77223
     /*  77223 */ GIM_Reject,
     /*  77224 */ // Label 1195: @77224
     /*  77224 */ GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(77915),
     /*  77229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77239 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(77335), // Rule ID 1157 //
     /*  77244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  77255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77259 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  77263 */     // MIs[1] Operand 1
     /*  77263 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  77268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  77272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77289 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77294 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/3, // MIs[3]
     /*  77298 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77304 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/3,
     /*  77306 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  77310 */     GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77316 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  77318 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  77320 */     // (xor:{ *:[v16i8] } (setcc:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm), immAllZerosV:{ *:[v16i8] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v16i8] })  =>  (CMTSTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  77320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv16i8),
     /*  77323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  77325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  77329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /*  77333 */     GIR_RootConstrainSelectedInstOperands,
     /*  77334 */     // GIR_Coverage, 1157,
     /*  77334 */     GIR_EraseRootFromParent_Done,
     /*  77335 */   // Label 1288: @77335
     /*  77335 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(77402), // Rule ID 4995 //
     /*  77340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ICMP),
     /*  77348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77352 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /*  77356 */     // MIs[1] Operand 1
     /*  77356 */     GIM_CheckCmpPredicate, /*MI*/1, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /*  77361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  77365 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77371 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/2,
     /*  77373 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  77377 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77383 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77385 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77387 */     // (xor:{ *:[v16i8] } (setcc:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETEQ:{ *:[Other] }), immAllOnesV:{ *:[v16i8] })  =>  (CMTSTv16i8:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rn)
     /*  77387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMTSTv16i8),
     /*  77390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  77392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  77396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  77400 */     GIR_RootConstrainSelectedInstOperands,
     /*  77401 */     // GIR_Coverage, 4995,
     /*  77401 */     GIR_EraseRootFromParent_Done,
     /*  77402 */   // Label 1289: @77402
     /*  77402 */   GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(77487), // Rule ID 13737 //
     /*  77407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77438 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77447 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77451 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77457 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77468 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77470 */     // (xor:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Vm), V128:{ *:[v16i8] }:$Vn)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  77470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  77473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77475 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  77477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  77481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  77485 */     GIR_RootConstrainSelectedInstOperands,
     /*  77486 */     // GIR_Coverage, 13737,
     /*  77486 */     GIR_EraseRootFromParent_Done,
     /*  77487 */   // Label 1290: @77487
     /*  77487 */   GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(77572), // Rule ID 13736 //
     /*  77492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  77520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77528 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77537 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77541 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77547 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77553 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77555 */     // (xor:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] })), V128:{ *:[v16i8] }:$Vn)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  77555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  77558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /*  77562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  77566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  77570 */     GIR_RootConstrainSelectedInstOperands,
     /*  77571 */     // GIR_Coverage, 13736,
     /*  77571 */     GIR_EraseRootFromParent_Done,
     /*  77572 */   // Label 1291: @77572
     /*  77572 */   GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(77657), // Rule ID 13735 //
     /*  77577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77596 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  77604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77612 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77616 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77621 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77625 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77631 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77638 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77640 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$Vm))  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  77640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  77643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77645 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  77647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  77651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  77655 */     GIR_RootConstrainSelectedInstOperands,
     /*  77656 */     // GIR_Coverage, 13735,
     /*  77656 */     GIR_EraseRootFromParent_Done,
     /*  77657 */   // Label 1292: @77657
     /*  77657 */   GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(77742), // Rule ID 3827 //
     /*  77662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  77677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  77694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77702 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77711 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  77715 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77721 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  77723 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  77725 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vm, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, immAllOnesV:{ *:[v16i8] })))  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  77725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /*  77728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77730 */     GIR_RootToRootCopy, /*OpIdx*/1, // Vn
     /*  77732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /*  77736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Va
     /*  77740 */     GIR_RootConstrainSelectedInstOperands,
     /*  77741 */     // GIR_Coverage, 3827,
     /*  77741 */     GIR_EraseRootFromParent_Done,
     /*  77742 */   // Label 1293: @77742
     /*  77742 */   GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(77777), // Rule ID 973 //
     /*  77747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77758 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  77764 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /*  77766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77768 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllOnesV:{ *:[v16i8] })  =>  (NOTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /*  77768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOTv16i8),
     /*  77771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  77773 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  77775 */     GIR_RootConstrainSelectedInstOperands,
     /*  77776 */     // GIR_Coverage, 973,
     /*  77776 */     GIR_EraseRootFromParent_Done,
     /*  77777 */   // Label 1294: @77777
     /*  77777 */   GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(77834), // Rule ID 3823 //
     /*  77782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  77789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77797 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77817 */     // (xor:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm), V128:{ *:[v16i8] }:$Va)  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  77817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  77820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  77826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  77830 */     GIR_RootToRootCopy, /*OpIdx*/2, // Va
     /*  77832 */     GIR_RootConstrainSelectedInstOperands,
     /*  77833 */     // GIR_Coverage, 3823,
     /*  77833 */     GIR_EraseRootFromParent_Done,
     /*  77834 */   // Label 1295: @77834
     /*  77834 */   GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(77891), // Rule ID 13731 //
     /*  77839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /*  77842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  77850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  77854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  77858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /*  77862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  77874 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Va, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm))  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm, V128:{ *:[v16i8] }:$Va)
     /*  77874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /*  77877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /*  77879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  77883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /*  77887 */     GIR_RootToRootCopy, /*OpIdx*/1, // Va
     /*  77889 */     GIR_RootConstrainSelectedInstOperands,
     /*  77890 */     // GIR_Coverage, 13731,
     /*  77890 */     GIR_EraseRootFromParent_Done,
     /*  77891 */   // Label 1296: @77891
     /*  77891 */   GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(77914), // Rule ID 1600 //
     /*  77896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  77899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  77907 */     // (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (EORv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /*  77907 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /*  77912 */     GIR_RootConstrainSelectedInstOperands,
     /*  77913 */     // GIR_Coverage, 1600,
     /*  77913 */     GIR_Done,
     /*  77914 */   // Label 1297: @77914
     /*  77914 */   GIM_Reject,
     /*  77915 */ // Label 1287: @77915
     /*  77915 */ GIM_Reject,
     /*  77916 */ // Label 1196: @77916
     /*  77916 */ GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(77965), // Rule ID 8420 //
     /*  77921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  77924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  77927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  77930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  77934 */   // (xor:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv1i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2)
     /*  77934 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  77937 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  77941 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77946 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  77949 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  77951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  77954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  77956 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  77959 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  77961 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  77963 */   GIR_RootConstrainSelectedInstOperands,
     /*  77964 */   // GIR_Coverage, 8420,
     /*  77964 */   GIR_EraseRootFromParent_Done,
     /*  77965 */ // Label 1298: @77965
     /*  77965 */ GIM_Reject,
     /*  77966 */ // Label 1197: @77966
     /*  77966 */ GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(78015), // Rule ID 8419 //
     /*  77971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  77974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  77977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  77980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  77984 */   // (xor:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv2i1] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /*  77984 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  77987 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /*  77991 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  77996 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  77999 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  78001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  78004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  78006 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78009 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78011 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  78013 */   GIR_RootConstrainSelectedInstOperands,
     /*  78014 */   // GIR_Coverage, 8419,
     /*  78014 */   GIR_EraseRootFromParent_Done,
     /*  78015 */ // Label 1299: @78015
     /*  78015 */ GIM_Reject,
     /*  78016 */ // Label 1198: @78016
     /*  78016 */ GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(78478),
     /*  78021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  78031 */   GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(78102), // Rule ID 15598 //
     /*  78036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78055 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78059 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78063 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78067 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78071 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78075 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78081 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78083 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78085 */     // (xor:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  78085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  78092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78100 */     GIR_RootConstrainSelectedInstOperands,
     /*  78101 */     // GIR_Coverage, 15598,
     /*  78101 */     GIR_EraseRootFromParent_Done,
     /*  78102 */   // Label 1301: @78102
     /*  78102 */   GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(78173), // Rule ID 15597 //
     /*  78107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78138 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78142 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78146 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78152 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78154 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78156 */     // (xor:{ *:[nxv2i64] } (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] })), nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  78156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  78163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78171 */     GIR_RootConstrainSelectedInstOperands,
     /*  78172 */     // GIR_Coverage, 15597,
     /*  78172 */     GIR_EraseRootFromParent_Done,
     /*  78173 */   // Label 1302: @78173
     /*  78173 */   GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(78244), // Rule ID 15596 //
     /*  78178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78209 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78213 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78217 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78223 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78225 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78227 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] }), nxv2i64:{ *:[nxv2i64] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  78227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78232 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78242 */     GIR_RootConstrainSelectedInstOperands,
     /*  78243 */     // GIR_Coverage, 15596,
     /*  78243 */     GIR_EraseRootFromParent_Done,
     /*  78244 */   // Label 1303: @78244
     /*  78244 */   GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(78315), // Rule ID 11850 //
     /*  78249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78264 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78284 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78288 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78294 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78296 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78298 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (and:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, immAllOnesV:{ *:[nxv2i64] })))  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  78298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78303 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78313 */     GIR_RootConstrainSelectedInstOperands,
     /*  78314 */     // GIR_Coverage, 11850,
     /*  78314 */     GIR_EraseRootFromParent_Done,
     /*  78315 */   // Label 1304: @78315
     /*  78315 */   GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(78376), // Rule ID 11874 //
     /*  78320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  78331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78339 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  78343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  78347 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78353 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  78355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78357 */     // (xor:{ *:[nxv2i64] } (AArch64bsp:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2), immAllOnesV:{ *:[nxv2i64] })  =>  (NBSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  78357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  78360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  78366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  78370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  78374 */     GIR_RootConstrainSelectedInstOperands,
     /*  78375 */     // GIR_Coverage, 11874,
     /*  78375 */     GIR_EraseRootFromParent_Done,
     /*  78376 */   // Label 1305: @78376
     /*  78376 */   GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(78419), // Rule ID 13698 //
     /*  78381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78396 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78402 */     // (xor:{ *:[nxv2i64] } (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  78402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  78405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  78411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  78417 */     GIR_RootConstrainSelectedInstOperands,
     /*  78418 */     // GIR_Coverage, 13698,
     /*  78418 */     GIR_EraseRootFromParent_Done,
     /*  78419 */   // Label 1306: @78419
     /*  78419 */   GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(78462), // Rule ID 3154 //
     /*  78424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  78439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  78443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78445 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /*  78445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  78448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78450 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  78460 */     GIR_RootConstrainSelectedInstOperands,
     /*  78461 */     // GIR_Coverage, 3154,
     /*  78461 */     GIR_EraseRootFromParent_Done,
     /*  78462 */   // Label 1307: @78462
     /*  78462 */   GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(78477), // Rule ID 7439 //
     /*  78467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  78470 */     // (xor:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /*  78470 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  78475 */     GIR_RootConstrainSelectedInstOperands,
     /*  78476 */     // GIR_Coverage, 7439,
     /*  78476 */     GIR_Done,
     /*  78477 */   // Label 1308: @78477
     /*  78477 */   GIM_Reject,
     /*  78478 */ // Label 1300: @78478
     /*  78478 */ GIM_Reject,
     /*  78479 */ // Label 1199: @78479
     /*  78479 */ GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(78528), // Rule ID 8418 //
     /*  78484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  78487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  78490 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  78493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  78497 */   // (xor:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv4i1] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /*  78497 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  78500 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /*  78504 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  78509 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  78512 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  78514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  78517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  78519 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  78522 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78524 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  78526 */   GIR_RootConstrainSelectedInstOperands,
     /*  78527 */   // GIR_Coverage, 8418,
     /*  78527 */   GIR_EraseRootFromParent_Done,
     /*  78528 */ // Label 1309: @78528
     /*  78528 */ GIM_Reject,
     /*  78529 */ // Label 1200: @78529
     /*  78529 */ GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(78991),
     /*  78534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  78544 */   GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(78615), // Rule ID 15595 //
     /*  78549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78580 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78584 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78588 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78594 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78596 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78598 */     // (xor:{ *:[nxv4i32] } (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78603 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  78605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78613 */     GIR_RootConstrainSelectedInstOperands,
     /*  78614 */     // GIR_Coverage, 15595,
     /*  78614 */     GIR_EraseRootFromParent_Done,
     /*  78615 */   // Label 1311: @78615
     /*  78615 */   GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(78686), // Rule ID 15594 //
     /*  78620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78635 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78651 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78659 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78665 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78667 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78669 */     // (xor:{ *:[nxv4i32] } (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] })), nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  78676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78684 */     GIR_RootConstrainSelectedInstOperands,
     /*  78685 */     // GIR_Coverage, 15594,
     /*  78685 */     GIR_EraseRootFromParent_Done,
     /*  78686 */   // Label 1312: @78686
     /*  78686 */   GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(78757), // Rule ID 15593 //
     /*  78691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  78714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78722 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78726 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78730 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78736 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78738 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78740 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (and:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] }), nxv4i32:{ *:[nxv4i32] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78745 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78755 */     GIR_RootConstrainSelectedInstOperands,
     /*  78756 */     // GIR_Coverage, 15593,
     /*  78756 */     GIR_EraseRootFromParent_Done,
     /*  78757 */   // Label 1313: @78757
     /*  78757 */   GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(78828), // Rule ID 11848 //
     /*  78762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  78773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  78785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78793 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78797 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  78801 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78807 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  78809 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  78811 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (and:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, immAllOnesV:{ *:[nxv4i32] })))  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  78814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78816 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  78826 */     GIR_RootConstrainSelectedInstOperands,
     /*  78827 */     // GIR_Coverage, 11848,
     /*  78827 */     GIR_EraseRootFromParent_Done,
     /*  78828 */   // Label 1314: @78828
     /*  78828 */   GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(78889), // Rule ID 11872 //
     /*  78833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  78844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78852 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  78856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  78860 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  78866 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  78868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  78870 */     // (xor:{ *:[nxv4i32] } (AArch64bsp:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2), immAllOnesV:{ *:[nxv4i32] })  =>  (NBSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  78873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  78879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  78883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  78887 */     GIR_RootConstrainSelectedInstOperands,
     /*  78888 */     // GIR_Coverage, 11872,
     /*  78888 */     GIR_EraseRootFromParent_Done,
     /*  78889 */   // Label 1315: @78889
     /*  78889 */   GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(78932), // Rule ID 13697 //
     /*  78894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  78901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78915 */     // (xor:{ *:[nxv4i32] } (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  78918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  78924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  78928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  78930 */     GIR_RootConstrainSelectedInstOperands,
     /*  78931 */     // GIR_Coverage, 13697,
     /*  78931 */     GIR_EraseRootFromParent_Done,
     /*  78932 */   // Label 1316: @78932
     /*  78932 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(78975), // Rule ID 3152 //
     /*  78937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  78940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  78944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  78948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  78952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  78956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  78958 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /*  78958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  78961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  78963 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  78965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  78969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  78973 */     GIR_RootConstrainSelectedInstOperands,
     /*  78974 */     // GIR_Coverage, 3152,
     /*  78974 */     GIR_EraseRootFromParent_Done,
     /*  78975 */   // Label 1317: @78975
     /*  78975 */   GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(78990), // Rule ID 7438 //
     /*  78980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  78983 */     // (xor:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /*  78983 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  78988 */     GIR_RootConstrainSelectedInstOperands,
     /*  78989 */     // GIR_Coverage, 7438,
     /*  78989 */     GIR_Done,
     /*  78990 */   // Label 1318: @78990
     /*  78990 */   GIM_Reject,
     /*  78991 */ // Label 1310: @78991
     /*  78991 */ GIM_Reject,
     /*  78992 */ // Label 1201: @78992
     /*  78992 */ GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(79041), // Rule ID 8417 //
     /*  78997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  79000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  79003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  79006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  79010 */   // (xor:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv8i1] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /*  79010 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  79013 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /*  79017 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79022 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  79025 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  79027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  79030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  79032 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79035 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79037 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  79039 */   GIR_RootConstrainSelectedInstOperands,
     /*  79040 */   // GIR_Coverage, 8417,
     /*  79040 */   GIR_EraseRootFromParent_Done,
     /*  79041 */ // Label 1319: @79041
     /*  79041 */ GIM_Reject,
     /*  79042 */ // Label 1202: @79042
     /*  79042 */ GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(79504),
     /*  79047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  79057 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(79128), // Rule ID 15592 //
     /*  79062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79093 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79101 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79107 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79109 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79111 */     // (xor:{ *:[nxv8i16] } (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] }), nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  79111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79116 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  79118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  79122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79126 */     GIR_RootConstrainSelectedInstOperands,
     /*  79127 */     // GIR_Coverage, 15592,
     /*  79127 */     GIR_EraseRootFromParent_Done,
     /*  79128 */   // Label 1321: @79128
     /*  79128 */   GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(79199), // Rule ID 15591 //
     /*  79133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79160 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79164 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79168 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79172 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79178 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79180 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79182 */     // (xor:{ *:[nxv8i16] } (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] })), nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  79182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  79189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  79193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79197 */     GIR_RootConstrainSelectedInstOperands,
     /*  79198 */     // GIR_Coverage, 15591,
     /*  79198 */     GIR_EraseRootFromParent_Done,
     /*  79199 */   // Label 1322: @79199
     /*  79199 */   GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(79270), // Rule ID 15590 //
     /*  79204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79219 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79223 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79227 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79231 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79235 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79239 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79243 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79249 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79251 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79253 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (and:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] }), nxv8i16:{ *:[nxv8i16] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  79253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79258 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  79264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79268 */     GIR_RootConstrainSelectedInstOperands,
     /*  79269 */     // GIR_Coverage, 15590,
     /*  79269 */     GIR_EraseRootFromParent_Done,
     /*  79270 */   // Label 1323: @79270
     /*  79270 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(79341), // Rule ID 11846 //
     /*  79275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79306 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79310 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79314 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79320 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79322 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79324 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (and:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, immAllOnesV:{ *:[nxv8i16] })))  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  79324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79329 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  79335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79339 */     GIR_RootConstrainSelectedInstOperands,
     /*  79340 */     // GIR_Coverage, 11846,
     /*  79340 */     GIR_EraseRootFromParent_Done,
     /*  79341 */   // Label 1324: @79341
     /*  79341 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(79402), // Rule ID 11870 //
     /*  79346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  79357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79365 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  79369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  79373 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79379 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  79381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79383 */     // (xor:{ *:[nxv8i16] } (AArch64bsp:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2), immAllOnesV:{ *:[nxv8i16] })  =>  (NBSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  79383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  79386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  79392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  79396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  79400 */     GIR_RootConstrainSelectedInstOperands,
     /*  79401 */     // GIR_Coverage, 11870,
     /*  79401 */     GIR_EraseRootFromParent_Done,
     /*  79402 */   // Label 1325: @79402
     /*  79402 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(79445), // Rule ID 13696 //
     /*  79407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79428 */     // (xor:{ *:[nxv8i16] } (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  79428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  79431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  79437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  79441 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  79443 */     GIR_RootConstrainSelectedInstOperands,
     /*  79444 */     // GIR_Coverage, 13696,
     /*  79444 */     GIR_EraseRootFromParent_Done,
     /*  79445 */   // Label 1326: @79445
     /*  79445 */   GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(79488), // Rule ID 3150 //
     /*  79450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  79465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  79469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79471 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /*  79471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  79474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79476 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  79482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  79486 */     GIR_RootConstrainSelectedInstOperands,
     /*  79487 */     // GIR_Coverage, 3150,
     /*  79487 */     GIR_EraseRootFromParent_Done,
     /*  79488 */   // Label 1327: @79488
     /*  79488 */   GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(79503), // Rule ID 7437 //
     /*  79493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  79496 */     // (xor:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /*  79496 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  79501 */     GIR_RootConstrainSelectedInstOperands,
     /*  79502 */     // GIR_Coverage, 7437,
     /*  79502 */     GIR_Done,
     /*  79503 */   // Label 1328: @79503
     /*  79503 */   GIM_Reject,
     /*  79504 */ // Label 1320: @79504
     /*  79504 */ GIM_Reject,
     /*  79505 */ // Label 1203: @79505
     /*  79505 */ GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(79554), // Rule ID 8416 //
     /*  79510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  79513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  79516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  79519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /*  79523 */   // (xor:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (EOR_PPzPP:{ *:[nxv16i1] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /*  79523 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  79526 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /*  79530 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  79535 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*  79538 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  79540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /*  79543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /*  79545 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  79548 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79550 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /*  79552 */   GIR_RootConstrainSelectedInstOperands,
     /*  79553 */   // GIR_Coverage, 8416,
     /*  79553 */   GIR_EraseRootFromParent_Done,
     /*  79554 */ // Label 1329: @79554
     /*  79554 */ GIM_Reject,
     /*  79555 */ // Label 1204: @79555
     /*  79555 */ GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(80017),
     /*  79560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  79570 */   GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(79641), // Rule ID 15589 //
     /*  79575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79606 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79610 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79614 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79620 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79622 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79624 */     // (xor:{ *:[nxv16i8] } (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] }), nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  79631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  79635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79639 */     GIR_RootConstrainSelectedInstOperands,
     /*  79640 */     // GIR_Coverage, 15589,
     /*  79640 */     GIR_EraseRootFromParent_Done,
     /*  79641 */   // Label 1331: @79641
     /*  79641 */   GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(79712), // Rule ID 15588 //
     /*  79646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79677 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79681 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79685 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79691 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79693 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79695 */     // (xor:{ *:[nxv16i8] } (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] })), nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /*  79702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  79706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79710 */     GIR_RootConstrainSelectedInstOperands,
     /*  79711 */     // GIR_Coverage, 15588,
     /*  79711 */     GIR_EraseRootFromParent_Done,
     /*  79712 */   // Label 1332: @79712
     /*  79712 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(79783), // Rule ID 15587 //
     /*  79717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  79740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79748 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79752 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79756 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79762 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79766 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (and:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] }), nxv16i8:{ *:[nxv16i8] }:$Op2))  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79771 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  79777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79781 */     GIR_RootConstrainSelectedInstOperands,
     /*  79782 */     // GIR_Coverage, 15587,
     /*  79782 */     GIR_EraseRootFromParent_Done,
     /*  79783 */   // Label 1333: @79783
     /*  79783 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(79854), // Rule ID 11844 //
     /*  79788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  79799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  79811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79819 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79823 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  79827 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79833 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /*  79835 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  79837 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (and:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, immAllOnesV:{ *:[nxv16i8] })))  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /*  79840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79842 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  79848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Op3
     /*  79852 */     GIR_RootConstrainSelectedInstOperands,
     /*  79853 */     // GIR_Coverage, 11844,
     /*  79853 */     GIR_EraseRootFromParent_Done,
     /*  79854 */   // Label 1334: @79854
     /*  79854 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(79915), // Rule ID 11868 //
     /*  79859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_BSP),
     /*  79870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79878 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  79882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  79886 */     GIM_CheckOpcodeIsEither, /*MI*/2, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  79892 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/2,
     /*  79894 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  79896 */     // (xor:{ *:[nxv16i8] } (AArch64bsp:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2), immAllOnesV:{ *:[nxv16i8] })  =>  (NBSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /*  79899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op1
     /*  79905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Op2
     /*  79909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /*  79913 */     GIR_RootConstrainSelectedInstOperands,
     /*  79914 */     // GIR_Coverage, 11868,
     /*  79914 */     GIR_EraseRootFromParent_Done,
     /*  79915 */   // Label 1335: @79915
     /*  79915 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(79958), // Rule ID 13695 //
     /*  79920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  79927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79935 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79941 */     // (xor:{ *:[nxv16i8] } (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  79944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op1
     /*  79950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /*  79954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /*  79956 */     GIR_RootConstrainSelectedInstOperands,
     /*  79957 */     // GIR_Coverage, 13695,
     /*  79957 */     GIR_EraseRootFromParent_Done,
     /*  79958 */   // Label 1336: @79958
     /*  79958 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(80001), // Rule ID 3148 //
     /*  79963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /*  79966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  79970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  79974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  79978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  79982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  79984 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3))  =>  (EOR3_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /*  79984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /*  79987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /*  79989 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /*  79991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op2
     /*  79995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op3
     /*  79999 */     GIR_RootConstrainSelectedInstOperands,
     /*  80000 */     // GIR_Coverage, 3148,
     /*  80000 */     GIR_EraseRootFromParent_Done,
     /*  80001 */   // Label 1337: @80001
     /*  80001 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(80016), // Rule ID 7436 //
     /*  80006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  80009 */     // (xor:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (EOR_ZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /*  80009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::EOR_ZZZ),
     /*  80014 */     GIR_RootConstrainSelectedInstOperands,
     /*  80015 */     // GIR_Coverage, 7436,
     /*  80015 */     GIR_Done,
     /*  80016 */   // Label 1338: @80016
     /*  80016 */   GIM_Reject,
     /*  80017 */ // Label 1330: @80017
     /*  80017 */ GIM_Reject,
     /*  80018 */ // Label 1205: @80018
     /*  80018 */ GIM_Reject,
     /*  80019 */ // Label 8: @80019
     /*  80019 */ GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(87542),
     /*  80024 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  80027 */   GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(23), /*)*//*default:*//*Label 1351*/ GIMT_Encode4(87541),
     /*  80038 */   /*GILLT_v2s64*//*Label 1340*/ GIMT_Encode4(80106), GIMT_Encode4(0),
     /*  80046 */   /*GILLT_v4s32*//*Label 1341*/ GIMT_Encode4(80627), GIMT_Encode4(0),
     /*  80054 */   /*GILLT_v8s16*//*Label 1342*/ GIMT_Encode4(83039),
     /*  80058 */   /*GILLT_v16s8*//*Label 1343*/ GIMT_Encode4(85448), GIMT_Encode4(0),
     /*  80066 */   /*GILLT_nxv2s1*//*Label 1344*/ GIMT_Encode4(87359), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  80082 */   /*GILLT_nxv4s1*//*Label 1345*/ GIMT_Encode4(87385),
     /*  80086 */   /*GILLT_nxv4s16*//*Label 1346*/ GIMT_Encode4(87411),
     /*  80090 */   /*GILLT_nxv4s32*//*Label 1347*/ GIMT_Encode4(87437),
     /*  80094 */   /*GILLT_nxv8s1*//*Label 1348*/ GIMT_Encode4(87463),
     /*  80098 */   /*GILLT_nxv8s16*//*Label 1349*/ GIMT_Encode4(87489),
     /*  80102 */   /*GILLT_nxv16s1*//*Label 1350*/ GIMT_Encode4(87515),
     /*  80106 */   // Label 1340: @80106
     /*  80106 */   GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(80626),
     /*  80111 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  80114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  80117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80125 */     GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(80187), // Rule ID 5782 //
     /*  80130 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80134 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  80140 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  80142 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80144 */       // (concat_vectors:{ *:[v2i64] } V64:{ *:[v1i64] }:$Rn, immAllZerosV:{ *:[v1i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v1i64] }:$Rn), dsub:{ *:[i32] })
     /*  80144 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  80147 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  80151 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80156 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  80160 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  80162 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80165 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80167 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80170 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80173 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  80176 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80181 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80186 */       // GIR_Coverage, 5782,
     /*  80186 */       GIR_EraseRootFromParent_Done,
     /*  80187 */     // Label 1353: @80187
     /*  80187 */     GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(80249), // Rule ID 5786 //
     /*  80192 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80196 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  80202 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  80204 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80206 */       // (concat_vectors:{ *:[v2f64] } V64:{ *:[v1f64] }:$Rn, immAllZerosV:{ *:[v1f64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v1f64] }:$Rn), dsub:{ *:[i32] })
     /*  80206 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  80209 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  80213 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80218 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  80222 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  80224 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80227 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80229 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80232 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80235 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  80238 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80243 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80248 */       // GIR_Coverage, 5786,
     /*  80248 */       GIR_EraseRootFromParent_Done,
     /*  80249 */     // Label 1354: @80249
     /*  80249 */     GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(80307), // Rule ID 5783 //
     /*  80254 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80258 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  80262 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80264 */       // (concat_vectors:{ *:[v2i64] } V64:{ *:[v1i64] }:$Rn, (undef:{ *:[v1i64] }))  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] })
     /*  80264 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  80267 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80271 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80276 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  80278 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80281 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80283 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80286 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  80288 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  80291 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80296 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80301 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80306 */       // GIR_Coverage, 5783,
     /*  80306 */       GIR_EraseRootFromParent_Done,
     /*  80307 */     // Label 1355: @80307
     /*  80307 */     GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(80365), // Rule ID 5787 //
     /*  80312 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80316 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  80320 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  80322 */       // (concat_vectors:{ *:[v2f64] } V64:{ *:[v1f64] }:$Rn, (undef:{ *:[v1f64] }))  =>  (INSERT_SUBREG:{ *:[v2f64] } (IMPLICIT_DEF:{ *:[v2f64] }), V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] })
     /*  80322 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /*  80325 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80329 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80334 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  80336 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80339 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80341 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80344 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  80346 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  80349 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80354 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80359 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80364 */       // GIR_Coverage, 5787,
     /*  80364 */       GIR_EraseRootFromParent_Done,
     /*  80365 */     // Label 1356: @80365
     /*  80365 */     GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(80495), // Rule ID 5781 //
     /*  80370 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80374 */       // (concat_vectors:{ *:[v2i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v1i64] }:$Rn)  =>  (INSvi64lane:{ *:[v2i64] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1i64] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  80374 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  80377 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80381 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80386 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  80388 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  80391 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80395 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80400 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  80403 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  80407 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  80410 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80415 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80420 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80425 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  80428 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80432 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80437 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  80439 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80442 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80446 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80451 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  80454 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80458 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80461 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80466 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80471 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80476 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  80479 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80481 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80484 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  80487 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  80490 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80493 */       GIR_RootConstrainSelectedInstOperands,
     /*  80494 */       // GIR_Coverage, 5781,
     /*  80494 */       GIR_EraseRootFromParent_Done,
     /*  80495 */     // Label 1357: @80495
     /*  80495 */     GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(80625), // Rule ID 5785 //
     /*  80500 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80504 */       // (concat_vectors:{ *:[v2f64] } V64:{ *:[v1f64] }:$Rd, V64:{ *:[v1f64] }:$Rn)  =>  (INSvi64lane:{ *:[v2f64] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1f64] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  80504 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  80507 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80511 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80516 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  80518 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  80521 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80525 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80530 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  80533 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  80537 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  80540 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80545 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80550 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80555 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  80558 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  80562 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80567 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  80569 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80572 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  80576 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80581 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  80584 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80588 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80591 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80596 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80601 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80606 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  80609 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80611 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80614 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  80617 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  80620 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  80623 */       GIR_RootConstrainSelectedInstOperands,
     /*  80624 */       // GIR_Coverage, 5785,
     /*  80624 */       GIR_EraseRootFromParent_Done,
     /*  80625 */     // Label 1358: @80625
     /*  80625 */     GIM_Reject,
     /*  80626 */   // Label 1352: @80626
     /*  80626 */   GIM_Reject,
     /*  80627 */   // Label 1341: @80627
     /*  80627 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(83038),
     /*  80632 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  80635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /*  80638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80642 */     GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(80771), // Rule ID 5431 //
     /*  80647 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80651 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80655 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80659 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80663 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80667 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  80671 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80675 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  80679 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  80683 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80687 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  80691 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80696 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  80700 */       GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  80706 */       GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  80708 */       // MIs[2] Operand 2
     /*  80708 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  80719 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  80721 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllOnesV:{ *:[v2i64] }:$Rm), 32:{ *:[i32] })))  =>  (SUBHNv2i64_v4i32:{ *:[v4i32] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /*  80721 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80724 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80728 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80733 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  80736 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80740 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80743 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80748 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80753 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v4i32),
     /*  80756 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80758 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80761 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  80765 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  80769 */       GIR_RootConstrainSelectedInstOperands,
     /*  80770 */       // GIR_Coverage, 5431,
     /*  80770 */       GIR_EraseRootFromParent_Done,
     /*  80771 */     // Label 1360: @80771
     /*  80771 */     GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(80893), // Rule ID 5427 //
     /*  80776 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80780 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80784 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80788 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80792 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80796 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  80800 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80804 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  80808 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  80812 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80816 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  80820 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80825 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80830 */       // MIs[2] Operand 2
     /*  80830 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  80841 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  80843 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] })))  =>  (ADDHNv2i64_v4i32:{ *:[v4i32] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  80843 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80846 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80850 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80855 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  80858 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80862 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80865 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80870 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80875 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v4i32),
     /*  80878 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  80880 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  80883 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  80887 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  80891 */       GIR_RootConstrainSelectedInstOperands,
     /*  80892 */       // GIR_Coverage, 5427,
     /*  80892 */       GIR_EraseRootFromParent_Done,
     /*  80893 */     // Label 1361: @80893
     /*  80893 */     GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(81015), // Rule ID 5429 //
     /*  80898 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80902 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  80906 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  80910 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80914 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  80918 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  80922 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80926 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  80930 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  80934 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  80938 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  80942 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80947 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80952 */       // MIs[2] Operand 2
     /*  80952 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  80963 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  80965 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] })))  =>  (SUBHNv2i64_v4i32:{ *:[v4i32] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  80965 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  80968 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  80972 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  80977 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  80980 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  80984 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  80987 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  80992 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  80997 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v4i32),
     /*  81000 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81002 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81005 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  81009 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  81013 */       GIR_RootConstrainSelectedInstOperands,
     /*  81014 */       // GIR_Coverage, 5429,
     /*  81014 */       GIR_EraseRootFromParent_Done,
     /*  81015 */     // Label 1362: @81015
     /*  81015 */     GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(81117), // Rule ID 5577 //
     /*  81020 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  81024 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81028 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81032 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  81036 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  81040 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81044 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81049 */       // MIs[2] Operand 2
     /*  81049 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(32),
     /*  81060 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  81064 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81068 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81072 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  81076 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_VLSHR),
     /*  81080 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81084 */       GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81089 */       // MIs[4] Operand 2
     /*  81089 */       GIM_CheckLiteralInt, /*MI*/4, /*Op*/2, GIMT_Encode8(32),
     /*  81100 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  81102 */       // (concat_vectors:{ *:[v4i32] } (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, 32:{ *:[i32] })), (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vm, 32:{ *:[i32] })))  =>  (UZP2v4i32:{ *:[v4i32] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /*  81102 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /*  81105 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  81107 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /*  81111 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Vm
     /*  81115 */       GIR_RootConstrainSelectedInstOperands,
     /*  81116 */       // GIR_Coverage, 5577,
     /*  81116 */       GIR_EraseRootFromParent_Done,
     /*  81117 */     // Label 1363: @81117
     /*  81117 */     GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(81246), // Rule ID 6337 //
     /*  81122 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81126 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81130 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81134 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81137 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  81142 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  81146 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  81150 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81155 */       GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 32,
     /*  81159 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81161 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Vd, (intrinsic_wo_chain:{ *:[v2i32] } 657:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, 32:{ *:[i32] }))  =>  (RADDHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Vd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Vn, (MOVIv2d_ns:{ *:[v2i64] } 0:{ *:[i32] }))
     /*  81161 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v2s64,
     /*  81164 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /*  81168 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81173 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /*  81176 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  81178 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81181 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81185 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81190 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81192 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81195 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81199 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81204 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81207 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vd
     /*  81211 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81214 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81219 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81224 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81229 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v4i32),
     /*  81232 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81234 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81237 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /*  81241 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  81244 */       GIR_RootConstrainSelectedInstOperands,
     /*  81245 */       // GIR_Coverage, 6337,
     /*  81245 */       GIR_EraseRootFromParent_Done,
     /*  81246 */     // Label 1364: @81246
     /*  81246 */     GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(81288), // Rule ID 5792 //
     /*  81251 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  81258 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /*  81265 */       // (concat_vectors:{ *:[v4i32] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (INSvi64lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v4i32] }:$Rn, 1:{ *:[i64] })
     /*  81265 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  81268 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81270 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  81275 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81278 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  81283 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  81286 */       GIR_RootConstrainSelectedInstOperands,
     /*  81287 */       // GIR_Coverage, 5792,
     /*  81287 */       GIR_EraseRootFromParent_Done,
     /*  81288 */     // Label 1365: @81288
     /*  81288 */     GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(81330), // Rule ID 5796 //
     /*  81293 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4f32),
     /*  81300 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4f32),
     /*  81307 */       // (concat_vectors:{ *:[v4f32] } (extract_high_v4f32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn), (extract_high_v4f32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm))  =>  (INSvi64lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] })
     /*  81307 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  81310 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81312 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  81317 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  81320 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  81325 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  81328 */       GIR_RootConstrainSelectedInstOperands,
     /*  81329 */       // GIR_Coverage, 5796,
     /*  81329 */       GIR_EraseRootFromParent_Done,
     /*  81330 */     // Label 1366: @81330
     /*  81330 */     GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(81453), // Rule ID 2578 //
     /*  81335 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81338 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81342 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81346 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81350 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81353 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  81358 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  81362 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  81366 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81371 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  81375 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  81379 */       GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /*  81383 */       // MIs[2] Operand 1
     /*  81383 */       // No operand predicates
     /*  81383 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  81385 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 657:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm))  =>  (RSHRNv4i32_shift:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)
     /*  81385 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81388 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81392 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81397 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81399 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81402 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81406 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81411 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81414 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81418 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81421 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81426 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81431 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81436 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv4i32_shift),
     /*  81439 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81441 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81444 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  81448 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  81451 */       GIR_RootConstrainSelectedInstOperands,
     /*  81452 */       // GIR_Coverage, 2578,
     /*  81452 */       GIR_EraseRootFromParent_Done,
     /*  81453 */     // Label 1367: @81453
     /*  81453 */     GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(81576), // Rule ID 6307 //
     /*  81458 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81461 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81465 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81469 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81473 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81477 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  81481 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VASHR),
     /*  81485 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81489 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81494 */       // MIs[2] imm
     /*  81494 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  81498 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  81502 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /*  81506 */       // MIs[3] Operand 1
     /*  81506 */       // No operand predicates
     /*  81506 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  81508 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)))  =>  (SHRNv4i32_shift:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)
     /*  81508 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81511 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81515 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81520 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81522 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81525 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81529 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81534 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81537 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81541 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81544 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81549 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81554 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81559 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i32_shift),
     /*  81562 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81564 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81567 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  81571 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  81574 */       GIR_RootConstrainSelectedInstOperands,
     /*  81575 */       // GIR_Coverage, 6307,
     /*  81575 */       GIR_EraseRootFromParent_Done,
     /*  81576 */     // Label 1368: @81576
     /*  81576 */     GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(81696), // Rule ID 6343 //
     /*  81581 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81585 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81589 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  81593 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81597 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  81601 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  81605 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  81609 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81614 */       // MIs[2] imm
     /*  81614 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  81618 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  81622 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /*  81626 */       // MIs[3] Operand 1
     /*  81626 */       // No operand predicates
     /*  81626 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  81628 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)))  =>  (SHRNv4i32_shift:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  81628 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81631 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81635 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81640 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81642 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81645 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81649 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81654 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81657 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81661 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81664 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81669 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81674 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81679 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i32_shift),
     /*  81682 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81684 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81687 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  81691 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  81694 */       GIR_RootConstrainSelectedInstOperands,
     /*  81695 */       // GIR_Coverage, 6343,
     /*  81695 */       GIR_EraseRootFromParent_Done,
     /*  81696 */     // Label 1369: @81696
     /*  81696 */     GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(81813), // Rule ID 2501 //
     /*  81701 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81704 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81708 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81712 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81716 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81719 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /*  81724 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  81728 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  81732 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81737 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81742 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81744 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 569:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (ADDHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  81744 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81747 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81751 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81756 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81758 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81761 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81765 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81770 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81773 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81777 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81780 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81785 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81790 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81795 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v4i32),
     /*  81798 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81800 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81803 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  81807 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  81811 */       GIR_RootConstrainSelectedInstOperands,
     /*  81812 */       // GIR_Coverage, 2501,
     /*  81812 */       GIR_EraseRootFromParent_Done,
     /*  81813 */     // Label 1370: @81813
     /*  81813 */     GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(81930), // Rule ID 5347 //
     /*  81818 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81821 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81825 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81829 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81833 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81836 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /*  81841 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  81845 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  81849 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81854 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81859 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81861 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 714:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (SUBHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  81861 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81864 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81868 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81873 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81875 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81878 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81882 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81887 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  81890 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  81894 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  81897 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81902 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81907 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81912 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v4i32),
     /*  81915 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  81917 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  81920 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  81924 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  81928 */       GIR_RootConstrainSelectedInstOperands,
     /*  81929 */       // GIR_Coverage, 5347,
     /*  81929 */       GIR_EraseRootFromParent_Done,
     /*  81930 */     // Label 1371: @81930
     /*  81930 */     GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(82047), // Rule ID 5350 //
     /*  81935 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  81938 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  81942 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  81946 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  81950 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  81953 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /*  81958 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  81962 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  81966 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81971 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  81976 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  81978 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 656:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (RADDHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  81978 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  81981 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  81985 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  81990 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  81992 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  81995 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  81999 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82004 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82007 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82011 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82014 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82019 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82024 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82029 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v4i32),
     /*  82032 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82034 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82037 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  82041 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  82045 */       GIR_RootConstrainSelectedInstOperands,
     /*  82046 */       // GIR_Coverage, 5350,
     /*  82046 */       GIR_EraseRootFromParent_Done,
     /*  82047 */     // Label 1372: @82047
     /*  82047 */     GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(82164), // Rule ID 5353 //
     /*  82052 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  82055 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82059 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82063 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  82067 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  82070 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /*  82075 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  82079 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s64,
     /*  82083 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82088 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82093 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82095 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm))  =>  (RSUBHNv2i64_v4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /*  82095 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82098 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82102 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82107 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82109 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82112 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82116 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82121 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82124 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82128 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82131 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82136 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82141 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82146 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv2i64_v4i32),
     /*  82149 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82151 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82154 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  82158 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  82162 */       GIR_RootConstrainSelectedInstOperands,
     /*  82163 */       // GIR_Coverage, 5353,
     /*  82163 */       GIR_EraseRootFromParent_Done,
     /*  82164 */     // Label 1373: @82164
     /*  82164 */     GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(82268), // Rule ID 2497 //
     /*  82169 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  82172 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82176 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82180 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  82184 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  82187 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtxn),
     /*  82192 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /*  82196 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82201 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82203 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rd, (intrinsic_wo_chain:{ *:[v2f32] } 591:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn))  =>  (FCVTXNv4f32:{ *:[v4f32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rn)
     /*  82203 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82206 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82210 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82215 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82217 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82220 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82224 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82229 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82232 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82236 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82239 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82244 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82249 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82254 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNv4f32),
     /*  82257 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82259 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82262 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  82266 */       GIR_RootConstrainSelectedInstOperands,
     /*  82267 */       // GIR_Coverage, 2497,
     /*  82267 */       GIR_EraseRootFromParent_Done,
     /*  82268 */     // Label 1374: @82268
     /*  82268 */     GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(82324), // Rule ID 5510 //
     /*  82273 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  82277 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  82281 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  82285 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82290 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  82294 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  82298 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  82302 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82307 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  82309 */       // (concat_vectors:{ *:[v4i32] } (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vn), (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vm))  =>  (UZP1v4i32:{ *:[v4i32] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /*  82309 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /*  82312 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  82314 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  82318 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  82322 */       GIR_RootConstrainSelectedInstOperands,
     /*  82323 */       // GIR_Coverage, 5510,
     /*  82323 */       GIR_EraseRootFromParent_Done,
     /*  82324 */     // Label 1375: @82324
     /*  82324 */     GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(82390), // Rule ID 5790 //
     /*  82329 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82333 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82337 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  82343 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  82345 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82347 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] })
     /*  82347 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  82350 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  82354 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82359 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  82363 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  82365 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  82368 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82370 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82373 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82376 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  82379 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82384 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82389 */       // GIR_Coverage, 5790,
     /*  82389 */       GIR_EraseRootFromParent_Done,
     /*  82390 */     // Label 1376: @82390
     /*  82390 */     GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(82456), // Rule ID 5794 //
     /*  82395 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82399 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82403 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  82409 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  82411 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82413 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rn, immAllZerosV:{ *:[v2f32] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v2f32] }:$Rn), dsub:{ *:[i32] })
     /*  82413 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  82416 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  82420 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82425 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  82429 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  82431 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  82434 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82436 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82439 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82442 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  82445 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82450 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82455 */       // GIR_Coverage, 5794,
     /*  82455 */       GIR_EraseRootFromParent_Done,
     /*  82456 */     // Label 1377: @82456
     /*  82456 */     GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(82549), // Rule ID 4914 //
     /*  82461 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82465 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82469 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  82473 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  82477 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82482 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82484 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rd, (fpround:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn))  =>  (FCVTNv4i32:{ *:[v4f32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rn)
     /*  82484 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82487 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82491 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82496 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82498 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82501 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82505 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82510 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82513 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82517 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82520 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82525 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82530 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82535 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i32),
     /*  82538 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82540 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82543 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  82547 */       GIR_RootConstrainSelectedInstOperands,
     /*  82548 */       // GIR_Coverage, 4914,
     /*  82548 */       GIR_EraseRootFromParent_Done,
     /*  82549 */     // Label 1378: @82549
     /*  82549 */     GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(82645), // Rule ID 4961 //
     /*  82554 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  82557 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82561 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82565 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  82569 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  82573 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82578 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82580 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn))  =>  (XTNv4i32:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v2i64] }:$Rn)
     /*  82580 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82583 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82587 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82592 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82594 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82597 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82601 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82606 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82609 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82613 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82616 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82621 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82626 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82631 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv4i32),
     /*  82634 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82636 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82639 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  82643 */       GIR_RootConstrainSelectedInstOperands,
     /*  82644 */       // GIR_Coverage, 4961,
     /*  82644 */       GIR_EraseRootFromParent_Done,
     /*  82645 */     // Label 1379: @82645
     /*  82645 */     GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(82707), // Rule ID 5791 //
     /*  82650 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82654 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82658 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  82662 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82664 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rn, (undef:{ *:[v2i32] }))  =>  (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] })
     /*  82664 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  82667 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82671 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82676 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  82678 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82681 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82683 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82686 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  82688 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  82691 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82696 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82701 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82706 */       // GIR_Coverage, 5791,
     /*  82706 */       GIR_EraseRootFromParent_Done,
     /*  82707 */     // Label 1380: @82707
     /*  82707 */     GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(82769), // Rule ID 5795 //
     /*  82712 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82716 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  82720 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  82724 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  82726 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rn, (undef:{ *:[v2f32] }))  =>  (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] })
     /*  82726 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /*  82729 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82733 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82738 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  82740 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82743 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82745 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82748 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  82750 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  82753 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82758 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82763 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82768 */       // GIR_Coverage, 5795,
     /*  82768 */       GIR_EraseRootFromParent_Done,
     /*  82769 */     // Label 1381: @82769
     /*  82769 */     GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(82903), // Rule ID 5789 //
     /*  82774 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82778 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82782 */       // (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)  =>  (INSvi64lane:{ *:[v4i32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  82782 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  82785 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82789 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82794 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  82796 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  82799 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82803 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82808 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  82811 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  82815 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  82818 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82823 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82828 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82833 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82836 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82840 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82845 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82847 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82850 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82854 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82859 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82862 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  82866 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  82869 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82874 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82879 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82884 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  82887 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  82889 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  82892 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  82895 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  82898 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  82901 */       GIR_RootConstrainSelectedInstOperands,
     /*  82902 */       // GIR_Coverage, 5789,
     /*  82902 */       GIR_EraseRootFromParent_Done,
     /*  82903 */     // Label 1382: @82903
     /*  82903 */     GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(83037), // Rule ID 5793 //
     /*  82908 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82912 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82916 */       // (concat_vectors:{ *:[v4f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn)  =>  (INSvi64lane:{ *:[v4f32] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  82916 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  82919 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82923 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82928 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  82930 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  82933 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82937 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82942 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  82945 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  82949 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  82952 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82957 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  82962 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  82967 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  82970 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  82974 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82979 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  82981 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  82984 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  82988 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  82993 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  82996 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83000 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83003 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83008 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83013 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83018 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  83021 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83023 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83026 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  83029 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  83032 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83035 */       GIR_RootConstrainSelectedInstOperands,
     /*  83036 */       // GIR_Coverage, 5793,
     /*  83036 */       GIR_EraseRootFromParent_Done,
     /*  83037 */     // Label 1383: @83037
     /*  83037 */     GIM_Reject,
     /*  83038 */   // Label 1359: @83038
     /*  83038 */   GIM_Reject,
     /*  83039 */   // Label 1342: @83039
     /*  83039 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(85447),
     /*  83044 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  83047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /*  83050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83054 */     GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(83183), // Rule ID 5425 //
     /*  83059 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83063 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83067 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83071 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83075 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  83079 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  83083 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83087 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  83091 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  83095 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83099 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83103 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83108 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  83112 */       GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  83118 */       GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  83120 */       // MIs[2] Operand 2
     /*  83120 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  83131 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  83133 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllOnesV:{ *:[v4i32] }:$Rm), 16:{ *:[i32] })))  =>  (SUBHNv4i32_v8i16:{ *:[v8i16] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /*  83133 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83136 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  83140 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83145 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  83148 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83152 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83155 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83160 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83165 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v8i16),
     /*  83168 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83170 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83173 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  83177 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  83181 */       GIR_RootConstrainSelectedInstOperands,
     /*  83182 */       // GIR_Coverage, 5425,
     /*  83182 */       GIR_EraseRootFromParent_Done,
     /*  83183 */     // Label 1385: @83183
     /*  83183 */     GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(83305), // Rule ID 5421 //
     /*  83188 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83192 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83196 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83200 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83204 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  83208 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  83212 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83216 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  83220 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  83224 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83228 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83232 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83237 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83242 */       // MIs[2] Operand 2
     /*  83242 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  83253 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  83255 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] })))  =>  (ADDHNv4i32_v8i16:{ *:[v8i16] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  83255 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83258 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  83262 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83267 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  83270 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83274 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83277 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83282 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83287 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v8i16),
     /*  83290 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83292 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83295 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  83299 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  83303 */       GIR_RootConstrainSelectedInstOperands,
     /*  83304 */       // GIR_Coverage, 5421,
     /*  83304 */       GIR_EraseRootFromParent_Done,
     /*  83305 */     // Label 1386: @83305
     /*  83305 */     GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(83427), // Rule ID 5423 //
     /*  83310 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83314 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83318 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83322 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83326 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  83330 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  83334 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83338 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  83342 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  83346 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83350 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83354 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83359 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83364 */       // MIs[2] Operand 2
     /*  83364 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  83375 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  83377 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] })))  =>  (SUBHNv4i32_v8i16:{ *:[v8i16] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  83377 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83380 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  83384 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83389 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  83392 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83396 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83399 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83404 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83409 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v8i16),
     /*  83412 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83414 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83417 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  83421 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  83425 */       GIR_RootConstrainSelectedInstOperands,
     /*  83426 */       // GIR_Coverage, 5423,
     /*  83426 */       GIR_EraseRootFromParent_Done,
     /*  83427 */     // Label 1387: @83427
     /*  83427 */     GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(83529), // Rule ID 5576 //
     /*  83432 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  83436 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83440 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83444 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  83448 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  83452 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83456 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83461 */       // MIs[2] Operand 2
     /*  83461 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(16),
     /*  83472 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  83476 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83480 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83484 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  83488 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_VLSHR),
     /*  83492 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83496 */       GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83501 */       // MIs[4] Operand 2
     /*  83501 */       GIM_CheckLiteralInt, /*MI*/4, /*Op*/2, GIMT_Encode8(16),
     /*  83512 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  83514 */       // (concat_vectors:{ *:[v8i16] } (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, 16:{ *:[i32] })), (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vm, 16:{ *:[i32] })))  =>  (UZP2v8i16:{ *:[v8i16] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /*  83514 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /*  83517 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  83519 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /*  83523 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Vm
     /*  83527 */       GIR_RootConstrainSelectedInstOperands,
     /*  83528 */       // GIR_Coverage, 5576,
     /*  83528 */       GIR_EraseRootFromParent_Done,
     /*  83529 */     // Label 1388: @83529
     /*  83529 */     GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(83658), // Rule ID 6336 //
     /*  83534 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83538 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83542 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  83546 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  83549 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  83554 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83558 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  83562 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83567 */       GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 16,
     /*  83571 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  83573 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Vd, (intrinsic_wo_chain:{ *:[v4i16] } 657:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, 16:{ *:[i32] }))  =>  (RADDHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Vd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Vn, (MOVIv2d_ns:{ *:[v4i32] } 0:{ *:[i32] }))
     /*  83573 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /*  83576 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /*  83580 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83585 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /*  83588 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  83590 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  83593 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  83597 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83602 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  83604 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83607 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  83611 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83616 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  83619 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vd
     /*  83623 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83626 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83631 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83636 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83641 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v8i16),
     /*  83644 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83646 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83649 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /*  83653 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  83656 */       GIR_RootConstrainSelectedInstOperands,
     /*  83657 */       // GIR_Coverage, 6336,
     /*  83657 */       GIR_EraseRootFromParent_Done,
     /*  83658 */     // Label 1389: @83658
     /*  83658 */     GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(83700), // Rule ID 5800 //
     /*  83663 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  83670 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /*  83677 */       // (concat_vectors:{ *:[v8i16] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (INSvi64lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v8i16] }:$Rn, 1:{ *:[i64] })
     /*  83677 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  83680 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83682 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  83687 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83690 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  83695 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  83698 */       GIR_RootConstrainSelectedInstOperands,
     /*  83699 */       // GIR_Coverage, 5800,
     /*  83699 */       GIR_EraseRootFromParent_Done,
     /*  83700 */     // Label 1390: @83700
     /*  83700 */     GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(83742), // Rule ID 5804 //
     /*  83705 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8f16),
     /*  83712 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8f16),
     /*  83719 */       // (concat_vectors:{ *:[v8f16] } (extract_high_v8f16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn), (extract_high_v8f16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rm))  =>  (INSvi64lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] })
     /*  83719 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  83722 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83724 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  83729 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  83732 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  83737 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  83740 */       GIR_RootConstrainSelectedInstOperands,
     /*  83741 */       // GIR_Coverage, 5804,
     /*  83741 */       GIR_EraseRootFromParent_Done,
     /*  83742 */     // Label 1391: @83742
     /*  83742 */     GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(83865), // Rule ID 2576 //
     /*  83747 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  83750 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83754 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83758 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  83762 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  83765 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  83770 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  83774 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  83778 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83783 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  83787 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  83791 */       GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /*  83795 */       // MIs[2] Operand 1
     /*  83795 */       // No operand predicates
     /*  83795 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  83797 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 657:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm))  =>  (RSHRNv8i16_shift:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  83797 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  83800 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  83804 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83809 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  83811 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83814 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  83818 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83823 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  83826 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83830 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83833 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83838 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83843 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83848 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv8i16_shift),
     /*  83851 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83853 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83856 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  83860 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  83863 */       GIR_RootConstrainSelectedInstOperands,
     /*  83864 */       // GIR_Coverage, 2576,
     /*  83864 */       GIR_EraseRootFromParent_Done,
     /*  83865 */     // Label 1392: @83865
     /*  83865 */     GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(83988), // Rule ID 6306 //
     /*  83870 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  83873 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83877 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  83881 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  83885 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83889 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  83893 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VASHR),
     /*  83897 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  83901 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83906 */       // MIs[2] imm
     /*  83906 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  83910 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  83914 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /*  83918 */       // MIs[3] Operand 1
     /*  83918 */       // No operand predicates
     /*  83918 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  83920 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)))  =>  (SHRNv8i16_shift:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  83920 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  83923 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  83927 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83932 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  83934 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  83937 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  83941 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  83946 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  83949 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  83953 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  83956 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83961 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  83966 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83971 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i16_shift),
     /*  83974 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  83976 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  83979 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  83983 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  83986 */       GIR_RootConstrainSelectedInstOperands,
     /*  83987 */       // GIR_Coverage, 6306,
     /*  83987 */       GIR_EraseRootFromParent_Done,
     /*  83988 */     // Label 1393: @83988
     /*  83988 */     GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(84108), // Rule ID 6342 //
     /*  83993 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  83997 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84001 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  84005 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  84009 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  84013 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  84017 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  84021 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84026 */       // MIs[2] imm
     /*  84026 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  84030 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  84034 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /*  84038 */       // MIs[3] Operand 1
     /*  84038 */       // No operand predicates
     /*  84038 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  84040 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)))  =>  (SHRNv8i16_shift:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /*  84040 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84043 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84047 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84052 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84054 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84057 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84061 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84066 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84069 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84073 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84076 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84081 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84086 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84091 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i16_shift),
     /*  84094 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84096 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84099 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  84103 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  84106 */       GIR_RootConstrainSelectedInstOperands,
     /*  84107 */       // GIR_Coverage, 6342,
     /*  84107 */       GIR_EraseRootFromParent_Done,
     /*  84108 */     // Label 1394: @84108
     /*  84108 */     GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(84225), // Rule ID 2500 //
     /*  84113 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  84116 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84120 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84124 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  84128 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  84131 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /*  84136 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  84140 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  84144 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84149 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84154 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84156 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 569:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (ADDHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  84156 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84159 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84163 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84168 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84170 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84173 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84177 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84182 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84185 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84189 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84192 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84197 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84202 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84207 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v8i16),
     /*  84210 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84212 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84215 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  84219 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  84223 */       GIR_RootConstrainSelectedInstOperands,
     /*  84224 */       // GIR_Coverage, 2500,
     /*  84224 */       GIR_EraseRootFromParent_Done,
     /*  84225 */     // Label 1395: @84225
     /*  84225 */     GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(84342), // Rule ID 5346 //
     /*  84230 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  84233 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84237 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84241 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  84245 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  84248 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /*  84253 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  84257 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  84261 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84266 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84271 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84273 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 714:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (SUBHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  84273 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84276 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84280 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84285 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84287 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84290 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84294 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84299 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84302 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84306 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84309 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84314 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84319 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84324 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v8i16),
     /*  84327 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84329 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84332 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  84336 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  84340 */       GIR_RootConstrainSelectedInstOperands,
     /*  84341 */       // GIR_Coverage, 5346,
     /*  84341 */       GIR_EraseRootFromParent_Done,
     /*  84342 */     // Label 1396: @84342
     /*  84342 */     GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(84459), // Rule ID 5349 //
     /*  84347 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  84350 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84354 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84358 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  84362 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  84365 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /*  84370 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  84374 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  84378 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84383 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84388 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84390 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 656:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (RADDHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  84390 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84393 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84397 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84402 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84404 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84407 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84411 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84416 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84419 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84423 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84426 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84431 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84436 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84441 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v8i16),
     /*  84444 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84446 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84449 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  84453 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  84457 */       GIR_RootConstrainSelectedInstOperands,
     /*  84458 */       // GIR_Coverage, 5349,
     /*  84458 */       GIR_EraseRootFromParent_Done,
     /*  84459 */     // Label 1397: @84459
     /*  84459 */     GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(84576), // Rule ID 5352 //
     /*  84464 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  84467 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84471 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84475 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  84479 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  84482 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /*  84487 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  84491 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s32,
     /*  84495 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84500 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84505 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84507 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))  =>  (RSUBHNv4i32_v8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /*  84507 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84510 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84514 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84519 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84521 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84524 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84528 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84533 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84536 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84540 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84543 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84548 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84553 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84558 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv4i32_v8i16),
     /*  84561 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84563 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84566 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  84570 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  84574 */       GIR_RootConstrainSelectedInstOperands,
     /*  84575 */       // GIR_Coverage, 5352,
     /*  84575 */       GIR_EraseRootFromParent_Done,
     /*  84576 */     // Label 1398: @84576
     /*  84576 */     GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(84677), // Rule ID 4908 //
     /*  84581 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84585 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84589 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  84593 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /*  84596 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2hf),
     /*  84601 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /*  84605 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84610 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84612 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (intrinsic_wo_chain:{ *:[v4i16] } 764:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn))  =>  (FCVTNv8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rn)
     /*  84612 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84615 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84619 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84624 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84626 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84629 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84633 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84638 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84641 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84645 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84648 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84653 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84658 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84663 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  84666 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84668 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84671 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  84675 */       GIR_RootConstrainSelectedInstOperands,
     /*  84676 */       // GIR_Coverage, 4908,
     /*  84676 */       GIR_EraseRootFromParent_Done,
     /*  84677 */     // Label 1399: @84677
     /*  84677 */     GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(84733), // Rule ID 5501 //
     /*  84682 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  84686 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  84690 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  84694 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84699 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  84703 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  84707 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  84711 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84716 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  84718 */       // (concat_vectors:{ *:[v8i16] } (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vn), (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vm))  =>  (UZP1v8i16:{ *:[v8i16] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /*  84718 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /*  84721 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  84723 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  84727 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  84731 */       GIR_RootConstrainSelectedInstOperands,
     /*  84732 */       // GIR_Coverage, 5501,
     /*  84732 */       GIR_EraseRootFromParent_Done,
     /*  84733 */     // Label 1400: @84733
     /*  84733 */     GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(84799), // Rule ID 5798 //
     /*  84738 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84742 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84746 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  84752 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  84754 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84756 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v4i16] }:$Rn), dsub:{ *:[i32] })
     /*  84756 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  84759 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  84763 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84768 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  84772 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  84774 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  84777 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84779 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84782 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84785 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  84788 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84793 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84798 */       // GIR_Coverage, 5798,
     /*  84798 */       GIR_EraseRootFromParent_Done,
     /*  84799 */     // Label 1401: @84799
     /*  84799 */     GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(84865), // Rule ID 5802 //
     /*  84804 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84808 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84812 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  84818 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  84820 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84822 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rn, immAllZerosV:{ *:[v4f16] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v4f16] }:$Rn), dsub:{ *:[i32] })
     /*  84822 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  84825 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  84829 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84834 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  84838 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  84840 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  84843 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84845 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  84848 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84851 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  84854 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84859 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84864 */       // GIR_Coverage, 5802,
     /*  84864 */       GIR_EraseRootFromParent_Done,
     /*  84865 */     // Label 1402: @84865
     /*  84865 */     GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(84958), // Rule ID 4916 //
     /*  84870 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84874 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84878 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTRUNC),
     /*  84882 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  84886 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84891 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84893 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rd, (fpround:{ *:[v4f16] } V128:{ *:[v4f32] }:$Rn))  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rn)
     /*  84893 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84896 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84900 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84905 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  84907 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  84910 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  84914 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  84919 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  84922 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  84926 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  84929 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84934 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84939 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84944 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  84947 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  84949 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  84952 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  84956 */       GIR_RootConstrainSelectedInstOperands,
     /*  84957 */       // GIR_Coverage, 4916,
     /*  84957 */       GIR_EraseRootFromParent_Done,
     /*  84958 */     // Label 1403: @84958
     /*  84958 */     GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(85054), // Rule ID 4960 //
     /*  84963 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  84966 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  84970 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  84974 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  84978 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  84982 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  84987 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  84989 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn))  =>  (XTNv8i16:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v4i32] }:$Rn)
     /*  84989 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  84992 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  84996 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85001 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85003 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85006 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85010 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85015 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  85018 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85022 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85025 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85030 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85035 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85040 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv8i16),
     /*  85043 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85045 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85048 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  85052 */       GIR_RootConstrainSelectedInstOperands,
     /*  85053 */       // GIR_Coverage, 4960,
     /*  85053 */       GIR_EraseRootFromParent_Done,
     /*  85054 */     // Label 1404: @85054
     /*  85054 */     GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(85116), // Rule ID 5799 //
     /*  85059 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85063 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85067 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  85071 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  85073 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rn, (undef:{ *:[v4i16] }))  =>  (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] })
     /*  85073 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  85076 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85080 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85085 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  85087 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85090 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85092 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85095 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  85097 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  85100 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85105 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85110 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85115 */       // GIR_Coverage, 5799,
     /*  85115 */       GIR_EraseRootFromParent_Done,
     /*  85116 */     // Label 1405: @85116
     /*  85116 */     GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(85178), // Rule ID 5803 //
     /*  85121 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85125 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85129 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  85133 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  85135 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rn, (undef:{ *:[v4f16] }))  =>  (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] })
     /*  85135 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /*  85138 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85142 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85147 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  85149 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85152 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85154 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85157 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  85159 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  85162 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85167 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85172 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85177 */       // GIR_Coverage, 5803,
     /*  85177 */       GIR_EraseRootFromParent_Done,
     /*  85178 */     // Label 1406: @85178
     /*  85178 */     GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(85312), // Rule ID 5797 //
     /*  85183 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85187 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85191 */       // (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)  =>  (INSvi64lane:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  85191 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  85194 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85198 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85203 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  85205 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  85208 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85212 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85217 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  85220 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  85224 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  85227 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85232 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85237 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85242 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85245 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85249 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85254 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85256 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85259 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85263 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85268 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  85271 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85275 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85278 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85283 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85288 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85293 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  85296 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85298 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85301 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  85304 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  85307 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85310 */       GIR_RootConstrainSelectedInstOperands,
     /*  85311 */       // GIR_Coverage, 5797,
     /*  85311 */       GIR_EraseRootFromParent_Done,
     /*  85312 */     // Label 1407: @85312
     /*  85312 */     GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(85446), // Rule ID 5801 //
     /*  85317 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85321 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85325 */       // (concat_vectors:{ *:[v8f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn)  =>  (INSvi64lane:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  85325 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  85328 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85332 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85337 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  85339 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  85342 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85346 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85351 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  85354 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  85358 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  85361 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85366 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85371 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85376 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  85379 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  85383 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85388 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  85390 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85393 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  85397 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85402 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  85405 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85409 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85412 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85417 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85422 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85427 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  85430 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85432 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85435 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  85438 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  85441 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  85444 */       GIR_RootConstrainSelectedInstOperands,
     /*  85445 */       // GIR_Coverage, 5801,
     /*  85445 */       GIR_EraseRootFromParent_Done,
     /*  85446 */     // Label 1408: @85446
     /*  85446 */     GIM_Reject,
     /*  85447 */   // Label 1384: @85447
     /*  85447 */   GIM_Reject,
     /*  85448 */   // Label 1343: @85448
     /*  85448 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(87358),
     /*  85453 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  85456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /*  85459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85463 */     GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(85592), // Rule ID 5419 //
     /*  85468 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85472 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85476 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  85480 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85484 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  85488 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  85492 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85496 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  85500 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  85504 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85508 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85512 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85517 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /*  85521 */       GIM_CheckOpcodeIsEither, /*MI*/4, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  85527 */       GIM_CheckIsBuildVectorAllOnes, /*MI*/4,
     /*  85529 */       // MIs[2] Operand 2
     /*  85529 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  85540 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  85542 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllOnesV:{ *:[v8i16] }:$Rm), 8:{ *:[i32] })))  =>  (SUBHNv8i16_v16i8:{ *:[v16i8] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /*  85542 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85545 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  85549 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85554 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  85557 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85561 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85564 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85569 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85574 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v16i8),
     /*  85577 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85579 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85582 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  85586 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  85590 */       GIR_RootConstrainSelectedInstOperands,
     /*  85591 */       // GIR_Coverage, 5419,
     /*  85591 */       GIR_EraseRootFromParent_Done,
     /*  85592 */     // Label 1410: @85592
     /*  85592 */     GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(85714), // Rule ID 5415 //
     /*  85597 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85601 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85605 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  85609 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85613 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  85617 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  85621 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85625 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  85629 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  85633 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85637 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85641 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85646 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85651 */       // MIs[2] Operand 2
     /*  85651 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  85662 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  85664 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] })))  =>  (ADDHNv8i16_v16i8:{ *:[v16i8] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  85664 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85667 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  85671 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85676 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  85679 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85683 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85686 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85691 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85696 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v16i8),
     /*  85699 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85701 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85704 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  85708 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  85712 */       GIR_RootConstrainSelectedInstOperands,
     /*  85713 */       // GIR_Coverage, 5415,
     /*  85713 */       GIR_EraseRootFromParent_Done,
     /*  85714 */     // Label 1411: @85714
     /*  85714 */     GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(85836), // Rule ID 5417 //
     /*  85719 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85723 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85727 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  85731 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85735 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  85739 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  85743 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85747 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /*  85751 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SUB),
     /*  85755 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85759 */       GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85763 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85768 */       GIM_CheckRegBankForClass, /*MI*/3, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85773 */       // MIs[2] Operand 2
     /*  85773 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  85784 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  85786 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] })))  =>  (SUBHNv8i16_v16i8:{ *:[v16i8] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  85786 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  85789 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  85793 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85798 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /*  85801 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  85805 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  85808 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85813 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85818 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v16i8),
     /*  85821 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  85823 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  85826 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /*  85830 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/2, // Rm
     /*  85834 */       GIR_RootConstrainSelectedInstOperands,
     /*  85835 */       // GIR_Coverage, 5417,
     /*  85835 */       GIR_EraseRootFromParent_Done,
     /*  85836 */     // Label 1412: @85836
     /*  85836 */     GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(85938), // Rule ID 5575 //
     /*  85841 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  85845 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  85849 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85853 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  85857 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  85861 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85865 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85870 */       // MIs[2] Operand 2
     /*  85870 */       GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /*  85881 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  85885 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  85889 */       GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85893 */       GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  85897 */       GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_VLSHR),
     /*  85901 */       GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  85905 */       GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85910 */       // MIs[4] Operand 2
     /*  85910 */       GIM_CheckLiteralInt, /*MI*/4, /*Op*/2, GIMT_Encode8(8),
     /*  85921 */       GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /*  85923 */       // (concat_vectors:{ *:[v16i8] } (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vn, 8:{ *:[i32] })), (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vm, 8:{ *:[i32] })))  =>  (UZP2v16i8:{ *:[v16i8] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /*  85923 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /*  85926 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  85928 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /*  85932 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Vm
     /*  85936 */       GIR_RootConstrainSelectedInstOperands,
     /*  85937 */       // GIR_Coverage, 5575,
     /*  85937 */       GIR_EraseRootFromParent_Done,
     /*  85938 */     // Label 1413: @85938
     /*  85938 */     GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(86067), // Rule ID 6335 //
     /*  85943 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  85947 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  85951 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  85955 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  85958 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  85963 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  85967 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  85971 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  85976 */       GIM_CheckConstantInt8, /*MI*/1, /*Op*/3, 8,
     /*  85980 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  85982 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Vd, (intrinsic_wo_chain:{ *:[v8i8] } 657:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vn, 8:{ *:[i32] }))  =>  (RADDHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Vd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Vn, (MOVIv2d_ns:{ *:[v8i16] } 0:{ *:[i32] }))
     /*  85982 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /*  85985 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /*  85989 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  85994 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /*  85997 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  85999 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86002 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86006 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86011 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86013 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86016 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86020 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86025 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86028 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vd
     /*  86032 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86035 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86040 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86045 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86050 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v16i8),
     /*  86053 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86055 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86058 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vn
     /*  86062 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  86065 */       GIR_RootConstrainSelectedInstOperands,
     /*  86066 */       // GIR_Coverage, 6335,
     /*  86066 */       GIR_EraseRootFromParent_Done,
     /*  86067 */     // Label 1414: @86067
     /*  86067 */     GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(86109), // Rule ID 5808 //
     /*  86072 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  86079 */       GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /*  86086 */       // (concat_vectors:{ *:[v16i8] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))  =>  (INSvi64lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, 0:{ *:[i64] }, V128:{ *:[v16i8] }:$Rn, 1:{ *:[i64] })
     /*  86086 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  86089 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86091 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /*  86096 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  86099 */       GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  86104 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  86107 */       GIR_RootConstrainSelectedInstOperands,
     /*  86108 */       // GIR_Coverage, 5808,
     /*  86108 */       GIR_EraseRootFromParent_Done,
     /*  86109 */     // Label 1415: @86109
     /*  86109 */     GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(86232), // Rule ID 2574 //
     /*  86114 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86117 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86121 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86125 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  86129 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  86132 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /*  86137 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86141 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /*  86145 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86150 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /*  86154 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  86158 */       GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /*  86162 */       // MIs[2] Operand 1
     /*  86162 */       // No operand predicates
     /*  86162 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  86164 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 657:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm))  =>  (RSHRNv16i8_shift:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /*  86164 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86167 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86171 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86176 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86178 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86181 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86185 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86190 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86193 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86197 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86200 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86205 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86210 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86215 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv16i8_shift),
     /*  86218 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86220 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86223 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  86227 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /*  86230 */       GIR_RootConstrainSelectedInstOperands,
     /*  86231 */       // GIR_Coverage, 2574,
     /*  86231 */       GIR_EraseRootFromParent_Done,
     /*  86232 */     // Label 1416: @86232
     /*  86232 */     GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(86355), // Rule ID 6305 //
     /*  86237 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86240 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86244 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86248 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  86252 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86256 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  86260 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VASHR),
     /*  86264 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86268 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86273 */       // MIs[2] imm
     /*  86273 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  86277 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  86281 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /*  86285 */       // MIs[3] Operand 1
     /*  86285 */       // No operand predicates
     /*  86285 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  86287 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)))  =>  (SHRNv16i8_shift:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /*  86287 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86290 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86294 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86299 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86301 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86304 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86308 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86313 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86316 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86320 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86323 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86328 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86333 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86338 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv16i8_shift),
     /*  86341 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86343 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86346 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  86350 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  86353 */       GIR_RootConstrainSelectedInstOperands,
     /*  86354 */       // GIR_Coverage, 6305,
     /*  86354 */       GIR_EraseRootFromParent_Done,
     /*  86355 */     // Label 1417: @86355
     /*  86355 */     GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(86475), // Rule ID 6341 //
     /*  86360 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86364 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86368 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  86372 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86376 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  86380 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_VLSHR),
     /*  86384 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86388 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86393 */       // MIs[2] imm
     /*  86393 */       GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  86397 */       GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  86401 */       GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /*  86405 */       // MIs[3] Operand 1
     /*  86405 */       // No operand predicates
     /*  86405 */       GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  86407 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)))  =>  (SHRNv16i8_shift:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /*  86407 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86410 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86414 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86419 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86421 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86424 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86428 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86433 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86436 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86440 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86443 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86448 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86453 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86458 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv16i8_shift),
     /*  86461 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86463 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86466 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /*  86470 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // imm
     /*  86473 */       GIR_RootConstrainSelectedInstOperands,
     /*  86474 */       // GIR_Coverage, 6341,
     /*  86474 */       GIR_EraseRootFromParent_Done,
     /*  86475 */     // Label 1418: @86475
     /*  86475 */     GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(86592), // Rule ID 2499 //
     /*  86480 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86483 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86487 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86491 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  86495 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  86498 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /*  86503 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86507 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  86511 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86516 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86521 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86523 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 569:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (ADDHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  86523 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86526 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86530 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86535 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86537 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86540 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86544 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86549 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86552 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86556 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86559 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86564 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86569 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86574 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v16i8),
     /*  86577 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86579 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86582 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  86586 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  86590 */       GIR_RootConstrainSelectedInstOperands,
     /*  86591 */       // GIR_Coverage, 2499,
     /*  86591 */       GIR_EraseRootFromParent_Done,
     /*  86592 */     // Label 1419: @86592
     /*  86592 */     GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(86709), // Rule ID 5345 //
     /*  86597 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86600 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86604 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86608 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  86612 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  86615 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /*  86620 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86624 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  86628 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86633 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86638 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86640 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 714:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (SUBHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  86640 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86643 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86647 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86652 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86654 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86657 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86661 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86666 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86669 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86673 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86676 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86681 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86686 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86691 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v16i8),
     /*  86694 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86696 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86699 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  86703 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  86707 */       GIR_RootConstrainSelectedInstOperands,
     /*  86708 */       // GIR_Coverage, 5345,
     /*  86708 */       GIR_EraseRootFromParent_Done,
     /*  86709 */     // Label 1420: @86709
     /*  86709 */     GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(86826), // Rule ID 5348 //
     /*  86714 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86717 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86721 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86725 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  86729 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  86732 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /*  86737 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86741 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  86745 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86750 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86755 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86757 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 656:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (RADDHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  86757 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86760 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86764 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86769 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86771 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86774 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86778 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86783 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86786 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86790 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86793 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86798 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86803 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86808 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v16i8),
     /*  86811 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86813 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86816 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  86820 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  86824 */       GIR_RootConstrainSelectedInstOperands,
     /*  86825 */       // GIR_Coverage, 5348,
     /*  86825 */       GIR_EraseRootFromParent_Done,
     /*  86826 */     // Label 1421: @86826
     /*  86826 */     GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(86943), // Rule ID 5351 //
     /*  86831 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  86834 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86838 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  86842 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /*  86846 */       GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /*  86849 */       GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /*  86854 */       GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /*  86858 */       GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s16,
     /*  86862 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86867 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86872 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  86874 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))  =>  (RSUBHNv8i16_v16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /*  86874 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  86877 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  86881 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86886 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  86888 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  86891 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  86895 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  86900 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  86903 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  86907 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  86910 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86915 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86920 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  86925 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv8i16_v16i8),
     /*  86928 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  86930 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  86933 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /*  86937 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /*  86941 */       GIR_RootConstrainSelectedInstOperands,
     /*  86942 */       // GIR_Coverage, 5351,
     /*  86942 */       GIR_EraseRootFromParent_Done,
     /*  86943 */     // Label 1422: @86943
     /*  86943 */     GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(86999), // Rule ID 5492 //
     /*  86948 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  86952 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  86956 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86960 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86965 */       GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  86969 */       GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  86973 */       GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  86977 */       GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  86982 */       GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  86984 */       // (concat_vectors:{ *:[v16i8] } (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Vn), (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Vm))  =>  (UZP1v16i8:{ *:[v16i8] } V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /*  86984 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v16i8),
     /*  86987 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  86989 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /*  86993 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vm
     /*  86997 */       GIR_RootConstrainSelectedInstOperands,
     /*  86998 */       // GIR_Coverage, 5492,
     /*  86998 */       GIR_EraseRootFromParent_Done,
     /*  86999 */     // Label 1423: @86999
     /*  86999 */     GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(87065), // Rule ID 5806 //
     /*  87004 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87008 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87012 */       GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /*  87018 */       GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /*  87020 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87022 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (FMOVDr:{ *:[i64] } V64:{ *:[v8i8] }:$Rn), dsub:{ *:[i32] })
     /*  87022 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  87025 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVDr),
     /*  87029 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87034 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  87038 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  87040 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  87043 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87045 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87048 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  87051 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  87054 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87059 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87064 */       // GIR_Coverage, 5806,
     /*  87064 */       GIR_EraseRootFromParent_Done,
     /*  87065 */     // Label 1424: @87065
     /*  87065 */     GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(87161), // Rule ID 4959 //
     /*  87070 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  87073 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87077 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87081 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /*  87085 */       GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  87089 */       GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87094 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87096 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn))  =>  (XTNv16i8:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), V128:{ *:[v8i16] }:$Rn)
     /*  87096 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  87099 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  87103 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87108 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  87110 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  87113 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  87117 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87122 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  87125 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  87129 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  87132 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87137 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87142 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87147 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv16i8),
     /*  87150 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87152 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  87155 */       GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  87159 */       GIR_RootConstrainSelectedInstOperands,
     /*  87160 */       // GIR_Coverage, 4959,
     /*  87160 */       GIR_EraseRootFromParent_Done,
     /*  87161 */     // Label 1425: @87161
     /*  87161 */     GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(87223), // Rule ID 5807 //
     /*  87166 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87170 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  87174 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  87178 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87180 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rn, (undef:{ *:[v8i8] }))  =>  (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] })
     /*  87180 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /*  87183 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  87187 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87192 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  87194 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  87197 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87199 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  87202 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /*  87204 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  87207 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87212 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87217 */       GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87222 */       // GIR_Coverage, 5807,
     /*  87222 */       GIR_EraseRootFromParent_Done,
     /*  87223 */     // Label 1426: @87223
     /*  87223 */     GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(87357), // Rule ID 5805 //
     /*  87228 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87232 */       GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87236 */       // (concat_vectors:{ *:[v16i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)  =>  (INSvi64lane:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), 1:{ *:[i64] }, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /*  87236 */       GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /*  87239 */       GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  87243 */       GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87248 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  87250 */       GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /*  87253 */       GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  87257 */       GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87262 */       GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  87265 */       GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /*  87269 */       GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /*  87272 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87277 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87282 */       GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87287 */       GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  87290 */       GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  87294 */       GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87299 */       GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  87301 */       GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  87304 */       GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  87308 */       GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  87313 */       GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  87316 */       GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /*  87320 */       GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  87323 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87328 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87333 */       GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  87338 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /*  87341 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87343 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  87346 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  87349 */       GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /*  87352 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  87355 */       GIR_RootConstrainSelectedInstOperands,
     /*  87356 */       // GIR_Coverage, 5805,
     /*  87356 */       GIR_EraseRootFromParent_Done,
     /*  87357 */     // Label 1427: @87357
     /*  87357 */     GIM_Reject,
     /*  87358 */   // Label 1409: @87358
     /*  87358 */   GIM_Reject,
     /*  87359 */   // Label 1344: @87359
     /*  87359 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(87384), // Rule ID 9047 //
     /*  87364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  87367 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  87370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  87373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  87377 */     // (concat_vectors:{ *:[nxv2i1] } nxv1i1:{ *:[nxv1i1] }:$p1, nxv1i1:{ *:[nxv1i1] }:$p2)  =>  (UZP1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv1i1] }:$p1, ?:{ *:[nxv1i1] }:$p2)
     /*  87377 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_D),
     /*  87382 */     GIR_RootConstrainSelectedInstOperands,
     /*  87383 */     // GIR_Coverage, 9047,
     /*  87383 */     GIR_Done,
     /*  87384 */   // Label 1428: @87384
     /*  87384 */   GIM_Reject,
     /*  87385 */   // Label 1345: @87385
     /*  87385 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(87410), // Rule ID 9048 //
     /*  87390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  87393 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  87396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  87399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  87403 */     // (concat_vectors:{ *:[nxv4i1] } nxv2i1:{ *:[nxv2i1] }:$p1, nxv2i1:{ *:[nxv2i1] }:$p2)  =>  (UZP1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv2i1] }:$p1, ?:{ *:[nxv2i1] }:$p2)
     /*  87403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_S),
     /*  87408 */     GIR_RootConstrainSelectedInstOperands,
     /*  87409 */     // GIR_Coverage, 9048,
     /*  87409 */     GIR_Done,
     /*  87410 */   // Label 1429: @87410
     /*  87410 */   GIM_Reject,
     /*  87411 */   // Label 1346: @87411
     /*  87411 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(87436), // Rule ID 9051 //
     /*  87416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  87419 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  87422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  87425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  87429 */     // (concat_vectors:{ *:[nxv4f16] } nxv2f16:{ *:[nxv2f16] }:$v1, nxv2f16:{ *:[nxv2f16] }:$v2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv2f16] }:$v1, ?:{ *:[nxv2f16] }:$v2)
     /*  87429 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /*  87434 */     GIR_RootConstrainSelectedInstOperands,
     /*  87435 */     // GIR_Coverage, 9051,
     /*  87435 */     GIR_Done,
     /*  87436 */   // Label 1430: @87436
     /*  87436 */   GIM_Reject,
     /*  87437 */   // Label 1347: @87437
     /*  87437 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(87462), // Rule ID 9053 //
     /*  87442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  87445 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  87448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  87451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  87455 */     // (concat_vectors:{ *:[nxv4f32] } nxv2f32:{ *:[nxv2f32] }:$v1, nxv2f32:{ *:[nxv2f32] }:$v2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv2f32] }:$v1, ?:{ *:[nxv2f32] }:$v2)
     /*  87455 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /*  87460 */     GIR_RootConstrainSelectedInstOperands,
     /*  87461 */     // GIR_Coverage, 9053,
     /*  87461 */     GIR_Done,
     /*  87462 */   // Label 1431: @87462
     /*  87462 */   GIM_Reject,
     /*  87463 */   // Label 1348: @87463
     /*  87463 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(87488), // Rule ID 9049 //
     /*  87468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  87471 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  87474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  87477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  87481 */     // (concat_vectors:{ *:[nxv8i1] } nxv4i1:{ *:[nxv4i1] }:$p1, nxv4i1:{ *:[nxv4i1] }:$p2)  =>  (UZP1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv4i1] }:$p1, ?:{ *:[nxv4i1] }:$p2)
     /*  87481 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_H),
     /*  87486 */     GIR_RootConstrainSelectedInstOperands,
     /*  87487 */     // GIR_Coverage, 9049,
     /*  87487 */     GIR_Done,
     /*  87488 */   // Label 1432: @87488
     /*  87488 */   GIM_Reject,
     /*  87489 */   // Label 1349: @87489
     /*  87489 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(87514), // Rule ID 9052 //
     /*  87494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  87497 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  87500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  87503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  87507 */     // (concat_vectors:{ *:[nxv8f16] } nxv4f16:{ *:[nxv4f16] }:$v1, nxv4f16:{ *:[nxv4f16] }:$v2)  =>  (UZP1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv4f16] }:$v1, ?:{ *:[nxv4f16] }:$v2)
     /*  87507 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_H),
     /*  87512 */     GIR_RootConstrainSelectedInstOperands,
     /*  87513 */     // GIR_Coverage, 9052,
     /*  87513 */     GIR_Done,
     /*  87514 */   // Label 1433: @87514
     /*  87514 */   GIM_Reject,
     /*  87515 */   // Label 1350: @87515
     /*  87515 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(87540), // Rule ID 9050 //
     /*  87520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  87523 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  87526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  87529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /*  87533 */     // (concat_vectors:{ *:[nxv16i1] } nxv8i1:{ *:[nxv8i1] }:$p1, nxv8i1:{ *:[nxv8i1] }:$p2)  =>  (UZP1_PPP_B:{ *:[nxv16i1] } ?:{ *:[nxv8i1] }:$p1, ?:{ *:[nxv8i1] }:$p2)
     /*  87533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_B),
     /*  87538 */     GIR_RootConstrainSelectedInstOperands,
     /*  87539 */     // GIR_Coverage, 9050,
     /*  87539 */     GIR_Done,
     /*  87540 */   // Label 1434: @87540
     /*  87540 */   GIM_Reject,
     /*  87541 */   // Label 1351: @87541
     /*  87541 */   GIM_Reject,
     /*  87542 */ // Label 1339: @87542
     /*  87542 */ GIM_Reject,
     /*  87543 */ // Label 9: @87543
     /*  87543 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(24), /*)*//*default:*//*Label 1449*/ GIMT_Encode4(97486),
     /*  87554 */ /*GILLT_s32*//*Label 1435*/ GIMT_Encode4(87642),
     /*  87558 */ /*GILLT_s64*//*Label 1436*/ GIMT_Encode4(88023),
     /*  87562 */ /*GILLT_s128*//*Label 1437*/ GIMT_Encode4(89998),
     /*  87566 */ /*GILLT_v2s32*//*Label 1438*/ GIMT_Encode4(90644),
     /*  87570 */ /*GILLT_v2s64*//*Label 1439*/ GIMT_Encode4(91559),
     /*  87574 */ /*GILLT_v4s16*//*Label 1440*/ GIMT_Encode4(92328),
     /*  87578 */ /*GILLT_v4s32*//*Label 1441*/ GIMT_Encode4(93243),
     /*  87582 */ /*GILLT_v8s8*//*Label 1442*/ GIMT_Encode4(94088),
     /*  87586 */ /*GILLT_v8s16*//*Label 1443*/ GIMT_Encode4(94649),
     /*  87590 */ /*GILLT_v16s8*//*Label 1444*/ GIMT_Encode4(95494), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  87610 */ /*GILLT_nxv2s64*//*Label 1445*/ GIMT_Encode4(95946), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  87622 */ /*GILLT_nxv4s32*//*Label 1446*/ GIMT_Encode4(96395), GIMT_Encode4(0),
     /*  87630 */ /*GILLT_nxv8s16*//*Label 1447*/ GIMT_Encode4(96844), GIMT_Encode4(0),
     /*  87638 */ /*GILLT_nxv16s8*//*Label 1448*/ GIMT_Encode4(97293),
     /*  87642 */ // Label 1435: @87642
     /*  87642 */ GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(88022),
     /*  87647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  87650 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(87720), // Rule ID 7054 //
     /*  87655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87667 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87670 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  87677 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87680 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87686 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /*  87693 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15861>>)  =>  (LDRSroW:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /*  87693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /*  87696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  87708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  87713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87718 */     GIR_RootConstrainSelectedInstOperands,
     /*  87719 */     // GIR_Coverage, 7054,
     /*  87719 */     GIR_EraseRootFromParent_Done,
     /*  87720 */   // Label 1451: @87720
     /*  87720 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(87790), // Rule ID 7055 //
     /*  87725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87737 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87740 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  87747 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87750 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87756 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /*  87763 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15861>>)  =>  (LDRSroX:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /*  87763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /*  87766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  87778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  87783 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87788 */     GIR_RootConstrainSelectedInstOperands,
     /*  87789 */     // GIR_Coverage, 7055,
     /*  87789 */     GIR_EraseRootFromParent_Done,
     /*  87790 */   // Label 1452: @87790
     /*  87790 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(87855), // Rule ID 7056 //
     /*  87795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87807 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87810 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  87817 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87820 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87826 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /*  87833 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15861>>)  =>  (LDRSui:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /*  87833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /*  87836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  87848 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87853 */     GIR_RootConstrainSelectedInstOperands,
     /*  87854 */     // GIR_Coverage, 7056,
     /*  87854 */     GIR_EraseRootFromParent_Done,
     /*  87855 */   // Label 1453: @87855
     /*  87855 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(87920), // Rule ID 7057 //
     /*  87860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  87872 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  87875 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  87882 */     GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  87885 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  87889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87891 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /*  87898 */     // (bitconvert:{ *:[f32] } (atomic_load:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15861>>)  =>  (LDURSi:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  87898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /*  87901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  87903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  87908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  87913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  87918 */     GIR_RootConstrainSelectedInstOperands,
     /*  87919 */     // GIR_Coverage, 7057,
     /*  87919 */     GIR_EraseRootFromParent_Done,
     /*  87920 */   // Label 1454: @87920
     /*  87920 */   GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(87973), // Rule ID 5772 //
     /*  87925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  87933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  87937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  87941 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  87945 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /*  87949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  87951 */     // (bitconvert:{ *:[f32] } (vector_extract:{ *:[i32] } v4i32:{ *:[v4i32] }:$src, 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4i32] }:$src, ssub:{ *:[i32] })
     /*  87951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  87956 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // src
     /*  87962 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87967 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  87972 */     // GIR_Coverage, 5772,
     /*  87972 */     GIR_EraseRootFromParent_Done,
     /*  87973 */   // Label 1455: @87973
     /*  87973 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(87997), // Rule ID 6667 //
     /*  87978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  87986 */     // (bitconvert:{ *:[f32] } GPR32:{ *:[i32] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Xn, FPR32:{ *:[i32] })
     /*  87986 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  87991 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  87996 */     // GIR_Coverage, 6667,
     /*  87996 */     GIR_Done,
     /*  87997 */   // Label 1456: @87997
     /*  87997 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(88021), // Rule ID 6668 //
     /*  88002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  88006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  88010 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[i32] } FPR32:{ *:[f32] }:$Xn, GPR32:{ *:[i32] })
     /*  88010 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88015 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  88020 */     // GIR_Coverage, 6668,
     /*  88020 */     GIR_Done,
     /*  88021 */   // Label 1457: @88021
     /*  88021 */   GIM_Reject,
     /*  88022 */ // Label 1450: @88022
     /*  88022 */ GIM_Reject,
     /*  88023 */ // Label 1436: @88023
     /*  88023 */ GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(88096), // Rule ID 7058 //
     /*  88028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88035 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  88039 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88043 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  88046 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  88053 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  88056 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88060 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88062 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /*  88069 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15869>>)  =>  (LDRDroW:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /*  88069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /*  88072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  88074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  88079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  88084 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  88089 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88094 */   GIR_RootConstrainSelectedInstOperands,
     /*  88095 */   // GIR_Coverage, 7058,
     /*  88095 */   GIR_EraseRootFromParent_Done,
     /*  88096 */ // Label 1458: @88096
     /*  88096 */ GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(88169), // Rule ID 7059 //
     /*  88101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88108 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  88112 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88116 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  88119 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  88126 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  88129 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88133 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88135 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /*  88142 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15869>>)  =>  (LDRDroX:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /*  88142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /*  88145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  88147 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  88152 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  88157 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  88162 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88167 */   GIR_RootConstrainSelectedInstOperands,
     /*  88168 */   // GIR_Coverage, 7059,
     /*  88168 */   GIR_EraseRootFromParent_Done,
     /*  88169 */ // Label 1459: @88169
     /*  88169 */ GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(88237), // Rule ID 7060 //
     /*  88174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88181 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  88185 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88189 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  88192 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  88199 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  88202 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88206 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88208 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /*  88215 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15869>>)  =>  (LDRDui:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /*  88215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /*  88218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  88220 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  88225 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  88230 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88235 */   GIR_RootConstrainSelectedInstOperands,
     /*  88236 */   // GIR_Coverage, 7060,
     /*  88236 */   GIR_EraseRootFromParent_Done,
     /*  88237 */ // Label 1460: @88237
     /*  88237 */ GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(88305), // Rule ID 7061 //
     /*  88242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88249 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  88253 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /*  88257 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  88260 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  88267 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  88270 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /*  88274 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88276 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /*  88283 */   // (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15869>>)  =>  (LDURDi:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /*  88283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /*  88286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  88288 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  88293 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  88298 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /*  88303 */   GIR_RootConstrainSelectedInstOperands,
     /*  88304 */   // GIR_Coverage, 7061,
     /*  88304 */   GIR_EraseRootFromParent_Done,
     /*  88305 */ // Label 1461: @88305
     /*  88305 */ GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(88361), // Rule ID 5774 //
     /*  88310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88317 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  88321 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /*  88325 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  88329 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  88333 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /*  88337 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  88339 */   // (bitconvert:{ *:[f64] } (vector_extract:{ *:[i64] } v2i64:{ *:[v2i64] }:$src, 0:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2i64] }:$src, dsub:{ *:[i32] })
     /*  88339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  88344 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // src
     /*  88350 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88355 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  88360 */   // GIR_Coverage, 5774,
     /*  88360 */   GIR_EraseRootFromParent_Done,
     /*  88361 */ // Label 1462: @88361
     /*  88361 */ GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(88391), // Rule ID 6642 //
     /*  88366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  88372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88380 */   // (bitconvert:{ *:[i64] } V64:{ *:[v8i8] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v8i8] }:$Vn, GPR64:{ *:[i32] })
     /*  88380 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88385 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88390 */   // GIR_Coverage, 6642,
     /*  88390 */   GIR_Done,
     /*  88391 */ // Label 1463: @88391
     /*  88391 */ GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(88421), // Rule ID 6643 //
     /*  88396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88410 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4i16] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4i16] }:$Vn, GPR64:{ *:[i32] })
     /*  88410 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88415 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88420 */   // GIR_Coverage, 6643,
     /*  88420 */   GIR_Done,
     /*  88421 */ // Label 1464: @88421
     /*  88421 */ GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(88451), // Rule ID 6644 //
     /*  88426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88440 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2i32] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2i32] }:$Vn, GPR64:{ *:[i32] })
     /*  88440 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88445 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88450 */   // GIR_Coverage, 6644,
     /*  88450 */   GIR_Done,
     /*  88451 */ // Label 1465: @88451
     /*  88451 */ GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(88481), // Rule ID 6645 //
     /*  88456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88470 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4f16] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4f16] }:$Vn, GPR64:{ *:[i32] })
     /*  88470 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88475 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88480 */   // GIR_Coverage, 6645,
     /*  88480 */   GIR_Done,
     /*  88481 */ // Label 1466: @88481
     /*  88481 */ GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(88511), // Rule ID 6646 //
     /*  88486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88500 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2f32] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2f32] }:$Vn, GPR64:{ *:[i32] })
     /*  88500 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88505 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88510 */   // GIR_Coverage, 6646,
     /*  88510 */   GIR_Done,
     /*  88511 */ // Label 1467: @88511
     /*  88511 */ GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(88541), // Rule ID 6647 //
     /*  88516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88530 */   // (bitconvert:{ *:[i64] } V64:{ *:[v1f64] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v1f64] }:$Vn, GPR64:{ *:[i32] })
     /*  88530 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88535 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88540 */   // GIR_Coverage, 6647,
     /*  88540 */   GIR_Done,
     /*  88541 */ // Label 1468: @88541
     /*  88541 */ GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(88591), // Rule ID 6653 //
     /*  88546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  88552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88560 */   // (bitconvert:{ *:[i64] } V64:{ *:[v8i8] }:$Vn)  =>  (REV64v8i8:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v8i8] }:$Vn, GPR64:{ *:[i32] }))
     /*  88560 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  88563 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88567 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  88572 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  88576 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  88584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  88586 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  88589 */   GIR_RootConstrainSelectedInstOperands,
     /*  88590 */   // GIR_Coverage, 6653,
     /*  88590 */   GIR_EraseRootFromParent_Done,
     /*  88591 */ // Label 1469: @88591
     /*  88591 */ GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(88641), // Rule ID 6654 //
     /*  88596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88610 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4i16] }:$Vn)  =>  (REV64v4i16:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4i16] }:$Vn, GPR64:{ *:[i32] }))
     /*  88610 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  88613 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88617 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  88622 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  88626 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  88636 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  88639 */   GIR_RootConstrainSelectedInstOperands,
     /*  88640 */   // GIR_Coverage, 6654,
     /*  88640 */   GIR_EraseRootFromParent_Done,
     /*  88641 */ // Label 1470: @88641
     /*  88641 */ GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(88691), // Rule ID 6655 //
     /*  88646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88660 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2i32] }:$Vn)  =>  (REV64v2i32:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2i32] }:$Vn, GPR64:{ *:[i32] }))
     /*  88660 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  88663 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88667 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  88672 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  88676 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  88684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  88686 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  88689 */   GIR_RootConstrainSelectedInstOperands,
     /*  88690 */   // GIR_Coverage, 6655,
     /*  88690 */   GIR_EraseRootFromParent_Done,
     /*  88691 */ // Label 1471: @88691
     /*  88691 */ GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(88741), // Rule ID 6656 //
     /*  88696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88710 */   // (bitconvert:{ *:[i64] } V64:{ *:[v4f16] }:$Vn)  =>  (REV64v4i16:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v4f16] }:$Vn, GPR64:{ *:[i32] }))
     /*  88710 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  88713 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88717 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  88722 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  88726 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  88734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  88736 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  88739 */   GIR_RootConstrainSelectedInstOperands,
     /*  88740 */   // GIR_Coverage, 6656,
     /*  88740 */   GIR_EraseRootFromParent_Done,
     /*  88741 */ // Label 1472: @88741
     /*  88741 */ GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(88791), // Rule ID 6657 //
     /*  88746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  88749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88760 */   // (bitconvert:{ *:[i64] } V64:{ *:[v2f32] }:$Vn)  =>  (REV64v2i32:{ *:[i64] } (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v2f32] }:$Vn, GPR64:{ *:[i32] }))
     /*  88760 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  88763 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88767 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  88772 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Vn
     /*  88776 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  88784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  88786 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  88789 */   GIR_RootConstrainSelectedInstOperands,
     /*  88790 */   // GIR_Coverage, 6657,
     /*  88790 */   GIR_EraseRootFromParent_Done,
     /*  88791 */ // Label 1473: @88791
     /*  88791 */ GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(88818), // Rule ID 6658 //
     /*  88796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88807 */   // (bitconvert:{ *:[v1i64] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v1i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  88807 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88812 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88817 */   // GIR_Coverage, 6658,
     /*  88817 */   GIR_Done,
     /*  88818 */ // Label 1474: @88818
     /*  88818 */ GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(88845), // Rule ID 6659 //
     /*  88823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88834 */   // (bitconvert:{ *:[v1f64] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v1f64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  88834 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88839 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88844 */   // GIR_Coverage, 6659,
     /*  88844 */   GIR_Done,
     /*  88845 */ // Label 1475: @88845
     /*  88845 */ GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(88872), // Rule ID 6660 //
     /*  88850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88861 */   // (bitconvert:{ *:[i64] } V64:{ *:[v1i64] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v1i64] }:$Vn, GPR64:{ *:[i32] })
     /*  88861 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88866 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88871 */   // GIR_Coverage, 6660,
     /*  88871 */   GIR_Done,
     /*  88872 */ // Label 1476: @88872
     /*  88872 */ GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(88899), // Rule ID 6669 //
     /*  88877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88888 */   // (bitconvert:{ *:[f64] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  88888 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88893 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88898 */   // GIR_Coverage, 6669,
     /*  88898 */   GIR_Done,
     /*  88899 */ // Label 1477: @88899
     /*  88899 */ GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(88926), // Rule ID 6670 //
     /*  88904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88915 */   // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } FPR64:{ *:[f64] }:$Xn, GPR64:{ *:[i32] })
     /*  88915 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88920 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88925 */   // GIR_Coverage, 6670,
     /*  88925 */   GIR_Done,
     /*  88926 */ // Label 1478: @88926
     /*  88926 */ GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(88953), // Rule ID 6671 //
     /*  88931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  88934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88942 */   // (bitconvert:{ *:[i64] } V64:{ *:[v1f64] }:$Vn)  =>  (COPY_TO_REGCLASS:{ *:[i64] } V64:{ *:[v1f64] }:$Vn, GPR64:{ *:[i32] })
     /*  88942 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88947 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  88952 */   // GIR_Coverage, 6671,
     /*  88952 */   GIR_Done,
     /*  88953 */ // Label 1479: @88953
     /*  88953 */ GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(88985), // Rule ID 6672 //
     /*  88958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  88964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88972 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  88972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  88975 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  88977 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  88979 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  88984 */   // GIR_Coverage, 6672,
     /*  88984 */   GIR_EraseRootFromParent_Done,
     /*  88985 */ // Label 1480: @88985
     /*  88985 */ GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(89017), // Rule ID 6673 //
     /*  88990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  88993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  88996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89004 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  89004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89007 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89009 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89011 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89016 */   // GIR_Coverage, 6673,
     /*  89016 */   GIR_EraseRootFromParent_Done,
     /*  89017 */ // Label 1481: @89017
     /*  89017 */ GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(89049), // Rule ID 6674 //
     /*  89022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  89028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89036 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  89036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89039 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89041 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89043 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89048 */   // GIR_Coverage, 6674,
     /*  89048 */   GIR_EraseRootFromParent_Done,
     /*  89049 */ // Label 1482: @89049
     /*  89049 */ GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(89081), // Rule ID 6675 //
     /*  89054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89068 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  89068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89071 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89073 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89075 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89080 */   // GIR_Coverage, 6675,
     /*  89080 */   GIR_EraseRootFromParent_Done,
     /*  89081 */ // Label 1483: @89081
     /*  89081 */ GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(89113), // Rule ID 6676 //
     /*  89086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89100 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  89100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89103 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89105 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89107 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89112 */   // GIR_Coverage, 6676,
     /*  89112 */   GIR_EraseRootFromParent_Done,
     /*  89113 */ // Label 1484: @89113
     /*  89113 */ GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(89139), // Rule ID 6677 //
     /*  89118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89132 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2i32] }:$src)  =>  (REV64v2i32:{ *:[v1i64] } FPR64:{ *:[v2i32] }:$src)
     /*  89132 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  89137 */   GIR_RootConstrainSelectedInstOperands,
     /*  89138 */   // GIR_Coverage, 6677,
     /*  89138 */   GIR_Done,
     /*  89139 */ // Label 1485: @89139
     /*  89139 */ GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(89165), // Rule ID 6678 //
     /*  89144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89158 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4i16] }:$src)  =>  (REV64v4i16:{ *:[v1i64] } FPR64:{ *:[v4i16] }:$src)
     /*  89158 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  89163 */   GIR_RootConstrainSelectedInstOperands,
     /*  89164 */   // GIR_Coverage, 6678,
     /*  89164 */   GIR_Done,
     /*  89165 */ // Label 1486: @89165
     /*  89165 */ GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(89191), // Rule ID 6679 //
     /*  89170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  89176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89184 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v8i8] }:$src)  =>  (REV64v8i8:{ *:[v1i64] } FPR64:{ *:[v8i8] }:$src)
     /*  89184 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  89189 */   GIR_RootConstrainSelectedInstOperands,
     /*  89190 */   // GIR_Coverage, 6679,
     /*  89190 */   GIR_Done,
     /*  89191 */ // Label 1487: @89191
     /*  89191 */ GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(89217), // Rule ID 6680 //
     /*  89196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89210 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v4f16] }:$src)  =>  (REV64v4i16:{ *:[v1i64] } FPR64:{ *:[v4f16] }:$src)
     /*  89210 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  89215 */   GIR_RootConstrainSelectedInstOperands,
     /*  89216 */   // GIR_Coverage, 6680,
     /*  89216 */   GIR_Done,
     /*  89217 */ // Label 1488: @89217
     /*  89217 */ GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(89243), // Rule ID 6681 //
     /*  89222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89236 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v2f32] }:$src)  =>  (REV64v2i32:{ *:[v1i64] } FPR64:{ *:[v2f32] }:$src)
     /*  89236 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  89241 */   GIR_RootConstrainSelectedInstOperands,
     /*  89242 */   // GIR_Coverage, 6681,
     /*  89242 */   GIR_Done,
     /*  89243 */ // Label 1489: @89243
     /*  89243 */ GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(89272), // Rule ID 6682 //
     /*  89248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89259 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  89259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89262 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89264 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89266 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89271 */   // GIR_Coverage, 6682,
     /*  89271 */   GIR_EraseRootFromParent_Done,
     /*  89272 */ // Label 1490: @89272
     /*  89272 */ GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(89301), // Rule ID 6683 //
     /*  89277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89288 */   // (bitconvert:{ *:[v1i64] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v1i64] }:$src
     /*  89288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89291 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89293 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89295 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89300 */   // GIR_Coverage, 6683,
     /*  89300 */   GIR_EraseRootFromParent_Done,
     /*  89301 */ // Label 1491: @89301
     /*  89301 */ GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(89333), // Rule ID 6737 //
     /*  89306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89320 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  89320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89323 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89325 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89327 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89332 */   // GIR_Coverage, 6737,
     /*  89332 */   GIR_EraseRootFromParent_Done,
     /*  89333 */ // Label 1492: @89333
     /*  89333 */ GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(89365), // Rule ID 6738 //
     /*  89338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89352 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  89352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89355 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89357 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89359 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89364 */   // GIR_Coverage, 6738,
     /*  89364 */   GIR_EraseRootFromParent_Done,
     /*  89365 */ // Label 1493: @89365
     /*  89365 */ GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(89397), // Rule ID 6739 //
     /*  89370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89384 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  89384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89387 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89389 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89391 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89396 */   // GIR_Coverage, 6739,
     /*  89396 */   GIR_EraseRootFromParent_Done,
     /*  89397 */ // Label 1494: @89397
     /*  89397 */ GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(89429), // Rule ID 6740 //
     /*  89402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  89408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89416 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  89416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89419 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89421 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89423 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89428 */   // GIR_Coverage, 6740,
     /*  89428 */   GIR_EraseRootFromParent_Done,
     /*  89429 */ // Label 1495: @89429
     /*  89429 */ GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(89461), // Rule ID 6741 //
     /*  89434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89448 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  89448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89451 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89453 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89455 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89460 */   // GIR_Coverage, 6741,
     /*  89460 */   GIR_EraseRootFromParent_Done,
     /*  89461 */ // Label 1496: @89461
     /*  89461 */ GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(89487), // Rule ID 6742 //
     /*  89466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89480 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2i32] }:$src)  =>  (REV64v2i32:{ *:[f64] } FPR64:{ *:[v2i32] }:$src)
     /*  89480 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  89485 */   GIR_RootConstrainSelectedInstOperands,
     /*  89486 */   // GIR_Coverage, 6742,
     /*  89486 */   GIR_Done,
     /*  89487 */ // Label 1497: @89487
     /*  89487 */ GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(89513), // Rule ID 6743 //
     /*  89492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89506 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4i16] }:$src)  =>  (REV64v4i16:{ *:[f64] } FPR64:{ *:[v4i16] }:$src)
     /*  89506 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  89511 */   GIR_RootConstrainSelectedInstOperands,
     /*  89512 */   // GIR_Coverage, 6743,
     /*  89512 */   GIR_Done,
     /*  89513 */ // Label 1498: @89513
     /*  89513 */ GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(89539), // Rule ID 6744 //
     /*  89518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89532 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v2f32] }:$src)  =>  (REV64v2i32:{ *:[f64] } FPR64:{ *:[v2f32] }:$src)
     /*  89532 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  89537 */   GIR_RootConstrainSelectedInstOperands,
     /*  89538 */   // GIR_Coverage, 6744,
     /*  89538 */   GIR_Done,
     /*  89539 */ // Label 1499: @89539
     /*  89539 */ GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(89565), // Rule ID 6745 //
     /*  89544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  89550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89558 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v8i8] }:$src)  =>  (REV64v8i8:{ *:[f64] } FPR64:{ *:[v8i8] }:$src)
     /*  89558 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  89563 */   GIR_RootConstrainSelectedInstOperands,
     /*  89564 */   // GIR_Coverage, 6745,
     /*  89564 */   GIR_Done,
     /*  89565 */ // Label 1500: @89565
     /*  89565 */ GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(89591), // Rule ID 6746 //
     /*  89570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89584 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v4f16] }:$src)  =>  (REV64v4i16:{ *:[f64] } FPR64:{ *:[v4f16] }:$src)
     /*  89584 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  89589 */   GIR_RootConstrainSelectedInstOperands,
     /*  89590 */   // GIR_Coverage, 6746,
     /*  89590 */   GIR_Done,
     /*  89591 */ // Label 1501: @89591
     /*  89591 */ GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(89620), // Rule ID 6747 //
     /*  89596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89607 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  89607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89610 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89612 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89614 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89619 */   // GIR_Coverage, 6747,
     /*  89619 */   GIR_EraseRootFromParent_Done,
     /*  89620 */ // Label 1502: @89620
     /*  89620 */ GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(89649), // Rule ID 6748 //
     /*  89625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89636 */   // (bitconvert:{ *:[f64] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[f64] }:$src
     /*  89636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89639 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89641 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89643 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89648 */   // GIR_Coverage, 6748,
     /*  89648 */   GIR_EraseRootFromParent_Done,
     /*  89649 */ // Label 1503: @89649
     /*  89649 */ GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(89681), // Rule ID 6749 //
     /*  89654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89668 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89671 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89673 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89675 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89680 */   // GIR_Coverage, 6749,
     /*  89680 */   GIR_EraseRootFromParent_Done,
     /*  89681 */ // Label 1504: @89681
     /*  89681 */ GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(89713), // Rule ID 6750 //
     /*  89686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89700 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89703 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89705 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89707 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89712 */   // GIR_Coverage, 6750,
     /*  89712 */   GIR_EraseRootFromParent_Done,
     /*  89713 */ // Label 1505: @89713
     /*  89713 */ GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(89745), // Rule ID 6751 //
     /*  89718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  89724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89732 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89735 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89737 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89739 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89744 */   // GIR_Coverage, 6751,
     /*  89744 */   GIR_EraseRootFromParent_Done,
     /*  89745 */ // Label 1506: @89745
     /*  89745 */ GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(89777), // Rule ID 6752 //
     /*  89750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89764 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89767 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89769 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89771 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89776 */   // GIR_Coverage, 6752,
     /*  89776 */   GIR_EraseRootFromParent_Done,
     /*  89777 */ // Label 1507: @89777
     /*  89777 */ GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(89809), // Rule ID 6753 //
     /*  89782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  89785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89796 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89799 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89801 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89803 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89808 */   // GIR_Coverage, 6753,
     /*  89808 */   GIR_EraseRootFromParent_Done,
     /*  89809 */ // Label 1508: @89809
     /*  89809 */ GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(89835), // Rule ID 6754 //
     /*  89814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89828 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2i32] }:$src)  =>  (REV64v2i32:{ *:[v1f64] } FPR64:{ *:[v2i32] }:$src)
     /*  89828 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  89833 */   GIR_RootConstrainSelectedInstOperands,
     /*  89834 */   // GIR_Coverage, 6754,
     /*  89834 */   GIR_Done,
     /*  89835 */ // Label 1509: @89835
     /*  89835 */ GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(89861), // Rule ID 6755 //
     /*  89840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89854 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4i16] }:$src)  =>  (REV64v4i16:{ *:[v1f64] } FPR64:{ *:[v4i16] }:$src)
     /*  89854 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  89859 */   GIR_RootConstrainSelectedInstOperands,
     /*  89860 */   // GIR_Coverage, 6755,
     /*  89860 */   GIR_Done,
     /*  89861 */ // Label 1510: @89861
     /*  89861 */ GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(89887), // Rule ID 6756 //
     /*  89866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  89872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89880 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v8i8] }:$src)  =>  (REV64v8i8:{ *:[v1f64] } FPR64:{ *:[v8i8] }:$src)
     /*  89880 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  89885 */   GIR_RootConstrainSelectedInstOperands,
     /*  89886 */   // GIR_Coverage, 6756,
     /*  89886 */   GIR_Done,
     /*  89887 */ // Label 1511: @89887
     /*  89887 */ GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(89913), // Rule ID 6757 //
     /*  89892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  89898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89906 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v2f32] }:$src)  =>  (REV64v2i32:{ *:[v1f64] } FPR64:{ *:[v2f32] }:$src)
     /*  89906 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  89911 */   GIR_RootConstrainSelectedInstOperands,
     /*  89912 */   // GIR_Coverage, 6757,
     /*  89912 */   GIR_Done,
     /*  89913 */ // Label 1512: @89913
     /*  89913 */ GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(89939), // Rule ID 6758 //
     /*  89918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  89921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  89924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89932 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v4f16] }:$src)  =>  (REV64v4i16:{ *:[v1f64] } FPR64:{ *:[v4f16] }:$src)
     /*  89932 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  89937 */   GIR_RootConstrainSelectedInstOperands,
     /*  89938 */   // GIR_Coverage, 6758,
     /*  89938 */   GIR_Done,
     /*  89939 */ // Label 1513: @89939
     /*  89939 */ GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(89968), // Rule ID 6759 //
     /*  89944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89955 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89958 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89960 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89962 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89967 */   // GIR_Coverage, 6759,
     /*  89967 */   GIR_EraseRootFromParent_Done,
     /*  89968 */ // Label 1514: @89968
     /*  89968 */ GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(89997), // Rule ID 6760 //
     /*  89973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  89976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89984 */   // (bitconvert:{ *:[v1f64] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v1f64] }:$src
     /*  89984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  89987 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  89989 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  89991 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  89996 */   // GIR_Coverage, 6760,
     /*  89996 */   GIR_EraseRootFromParent_Done,
     /*  89997 */ // Label 1515: @89997
     /*  89997 */ GIM_Reject,
     /*  89998 */ // Label 1437: @89998
     /*  89998 */ GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(90030), // Rule ID 6774 //
     /*  90003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90017 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  90017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90020 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90022 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90024 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90029 */   // GIR_Coverage, 6774,
     /*  90029 */   GIR_EraseRootFromParent_Done,
     /*  90030 */ // Label 1516: @90030
     /*  90030 */ GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(90062), // Rule ID 6775 //
     /*  90035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90049 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  90049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90052 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90054 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90056 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90061 */   // GIR_Coverage, 6775,
     /*  90061 */   GIR_EraseRootFromParent_Done,
     /*  90062 */ // Label 1517: @90062
     /*  90062 */ GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(90094), // Rule ID 6776 //
     /*  90067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  90073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90081 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  90081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90084 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90086 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90088 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90093 */   // GIR_Coverage, 6776,
     /*  90093 */   GIR_EraseRootFromParent_Done,
     /*  90094 */ // Label 1518: @90094
     /*  90094 */ GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(90126), // Rule ID 6777 //
     /*  90099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90113 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  90113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90116 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90118 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90120 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90125 */   // GIR_Coverage, 6777,
     /*  90125 */   GIR_EraseRootFromParent_Done,
     /*  90126 */ // Label 1519: @90126
     /*  90126 */ GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(90158), // Rule ID 6778 //
     /*  90131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90145 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  90145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90148 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90150 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90152 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90157 */   // GIR_Coverage, 6778,
     /*  90157 */   GIR_EraseRootFromParent_Done,
     /*  90158 */ // Label 1520: @90158
     /*  90158 */ GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(90190), // Rule ID 6779 //
     /*  90163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  90169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90177 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  90177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90180 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90182 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90184 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90189 */   // GIR_Coverage, 6779,
     /*  90189 */   GIR_EraseRootFromParent_Done,
     /*  90190 */ // Label 1521: @90190
     /*  90190 */ GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(90222), // Rule ID 6780 //
     /*  90195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  90201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90209 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[f128] }:$src
     /*  90209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90212 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90214 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90216 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90221 */   // GIR_Coverage, 6780,
     /*  90221 */   GIR_EraseRootFromParent_Done,
     /*  90222 */ // Label 1522: @90222
     /*  90222 */ GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(90255), // Rule ID 6781 //
     /*  90227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90241 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2i64] }:$src)  =>  (EXTv16i8:{ *:[f128] } FPR128:{ *:[v2i64] }:$src, FPR128:{ *:[v2i64] }:$src, 8:{ *:[i32] })
     /*  90241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90246 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90248 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90253 */   GIR_RootConstrainSelectedInstOperands,
     /*  90254 */   // GIR_Coverage, 6781,
     /*  90254 */   GIR_EraseRootFromParent_Done,
     /*  90255 */ // Label 1523: @90255
     /*  90255 */ GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(90326), // Rule ID 6782 //
     /*  90260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90274 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4i32] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4i32] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4i32] }:$src), 8:{ *:[i32] })
     /*  90274 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  90277 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  90281 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90286 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90290 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  90292 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  90295 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  90299 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90304 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90308 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  90310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90315 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90318 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  90321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90324 */   GIR_RootConstrainSelectedInstOperands,
     /*  90325 */   // GIR_Coverage, 6782,
     /*  90325 */   GIR_EraseRootFromParent_Done,
     /*  90326 */ // Label 1524: @90326
     /*  90326 */ GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(90397), // Rule ID 6783 //
     /*  90331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  90337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90345 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8i16] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8i16] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8i16] }:$src), 8:{ *:[i32] })
     /*  90345 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  90348 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90352 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90357 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90361 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  90363 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  90366 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90370 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90375 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90379 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  90381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90386 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90389 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  90392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90395 */   GIR_RootConstrainSelectedInstOperands,
     /*  90396 */   // GIR_Coverage, 6783,
     /*  90396 */   GIR_EraseRootFromParent_Done,
     /*  90397 */ // Label 1525: @90397
     /*  90397 */ GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(90468), // Rule ID 6784 //
     /*  90402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  90408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90416 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v8f16] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8f16] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[v8f16] }:$src), 8:{ *:[i32] })
     /*  90416 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  90419 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90423 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90428 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90432 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  90434 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  90437 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  90441 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90446 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90450 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  90452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90457 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  90463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90466 */   GIR_RootConstrainSelectedInstOperands,
     /*  90467 */   // GIR_Coverage, 6784,
     /*  90467 */   GIR_EraseRootFromParent_Done,
     /*  90468 */ // Label 1526: @90468
     /*  90468 */ GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(90501), // Rule ID 6785 //
     /*  90473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  90479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90487 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v2f64] }:$src)  =>  (EXTv16i8:{ *:[f128] } FPR128:{ *:[v2f64] }:$src, FPR128:{ *:[v2f64] }:$src, 8:{ *:[i32] })
     /*  90487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90492 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90494 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90499 */   GIR_RootConstrainSelectedInstOperands,
     /*  90500 */   // GIR_Coverage, 6785,
     /*  90500 */   GIR_EraseRootFromParent_Done,
     /*  90501 */ // Label 1527: @90501
     /*  90501 */ GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(90572), // Rule ID 6786 //
     /*  90506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  90512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90520 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v4f32] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4f32] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[v4f32] }:$src), 8:{ *:[i32] })
     /*  90520 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  90523 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  90527 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90532 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90536 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  90538 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  90541 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  90545 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90550 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90554 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  90556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90561 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90564 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  90567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90570 */   GIR_RootConstrainSelectedInstOperands,
     /*  90571 */   // GIR_Coverage, 6786,
     /*  90571 */   GIR_EraseRootFromParent_Done,
     /*  90572 */ // Label 1528: @90572
     /*  90572 */ GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(90643), // Rule ID 6787 //
     /*  90577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  90583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  90591 */   // (bitconvert:{ *:[f128] } FPR128:{ *:[v16i8] }:$src)  =>  (EXTv16i8:{ *:[f128] } (REV64v16i8:{ *:[f128] } FPR128:{ *:[v16i8] }:$src), (REV64v16i8:{ *:[f128] } FPR128:{ *:[v16i8] }:$src), 8:{ *:[i32] })
     /*  90591 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  90594 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  90598 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90603 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90607 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  90609 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  90612 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  90616 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90621 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  90625 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  90627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  90630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90632 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90635 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  90638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  90641 */   GIR_RootConstrainSelectedInstOperands,
     /*  90642 */   // GIR_Coverage, 6787,
     /*  90642 */   GIR_EraseRootFromParent_Done,
     /*  90643 */ // Label 1529: @90643
     /*  90643 */ GIM_Reject,
     /*  90644 */ // Label 1438: @90644
     /*  90644 */ GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(90674), // Rule ID 6639 //
     /*  90649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  90663 */   // (bitconvert:{ *:[v2i32] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v2i32] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  90663 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90668 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90673 */   // GIR_Coverage, 6639,
     /*  90673 */   GIR_Done,
     /*  90674 */ // Label 1530: @90674
     /*  90674 */ GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(90704), // Rule ID 6641 //
     /*  90679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  90693 */   // (bitconvert:{ *:[v2f32] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v2f32] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  90693 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90698 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90703 */   // GIR_Coverage, 6641,
     /*  90703 */   GIR_Done,
     /*  90704 */ // Label 1531: @90704
     /*  90704 */ GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(90754), // Rule ID 6650 //
     /*  90709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  90723 */   // (bitconvert:{ *:[v2i32] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v2i32:{ *:[v2i32] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  90723 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  90726 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90730 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90735 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  90739 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  90747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90749 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90752 */   GIR_RootConstrainSelectedInstOperands,
     /*  90753 */   // GIR_Coverage, 6650,
     /*  90753 */   GIR_EraseRootFromParent_Done,
     /*  90754 */ // Label 1532: @90754
     /*  90754 */ GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(90804), // Rule ID 6652 //
     /*  90759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  90762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  90773 */   // (bitconvert:{ *:[v2f32] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v2i32:{ *:[v2f32] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  90773 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  90776 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90780 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  90785 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  90789 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  90797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  90799 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  90802 */   GIR_RootConstrainSelectedInstOperands,
     /*  90803 */   // GIR_Coverage, 6652,
     /*  90803 */   GIR_EraseRootFromParent_Done,
     /*  90804 */ // Label 1533: @90804
     /*  90804 */ GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(90836), // Rule ID 6684 //
     /*  90809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90823 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90826 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90828 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90830 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90835 */   // GIR_Coverage, 6684,
     /*  90835 */   GIR_EraseRootFromParent_Done,
     /*  90836 */ // Label 1534: @90836
     /*  90836 */ GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(90868), // Rule ID 6685 //
     /*  90841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  90847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90855 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90858 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90860 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90862 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90867 */   // GIR_Coverage, 6685,
     /*  90867 */   GIR_EraseRootFromParent_Done,
     /*  90868 */ // Label 1535: @90868
     /*  90868 */ GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(90900), // Rule ID 6686 //
     /*  90873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  90879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90887 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90890 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90892 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90894 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90899 */   // GIR_Coverage, 6686,
     /*  90899 */   GIR_EraseRootFromParent_Done,
     /*  90900 */ // Label 1536: @90900
     /*  90900 */ GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(90932), // Rule ID 6687 //
     /*  90905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90919 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90922 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90924 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90926 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90931 */   // GIR_Coverage, 6687,
     /*  90931 */   GIR_EraseRootFromParent_Done,
     /*  90932 */ // Label 1537: @90932
     /*  90932 */ GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(90964), // Rule ID 6688 //
     /*  90937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  90943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90951 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90954 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90956 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90958 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90963 */   // GIR_Coverage, 6688,
     /*  90963 */   GIR_EraseRootFromParent_Done,
     /*  90964 */ // Label 1538: @90964
     /*  90964 */ GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(90996), // Rule ID 6689 //
     /*  90969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  90972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  90975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90983 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  90983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  90986 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  90988 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  90990 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  90995 */   // GIR_Coverage, 6689,
     /*  90995 */   GIR_EraseRootFromParent_Done,
     /*  90996 */ // Label 1539: @90996
     /*  90996 */ GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(91022), // Rule ID 6690 //
     /*  91001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91015 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v2i32:{ *:[v2i32] } FPR64:{ *:[v1i64] }:$src)
     /*  91015 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  91020 */   GIR_RootConstrainSelectedInstOperands,
     /*  91021 */   // GIR_Coverage, 6690,
     /*  91021 */   GIR_Done,
     /*  91022 */ // Label 1540: @91022
     /*  91022 */ GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(91048), // Rule ID 6691 //
     /*  91027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  91033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91041 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4i16] }:$src)  =>  (REV32v4i16:{ *:[v2i32] } FPR64:{ *:[v4i16] }:$src)
     /*  91041 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  91046 */   GIR_RootConstrainSelectedInstOperands,
     /*  91047 */   // GIR_Coverage, 6691,
     /*  91047 */   GIR_Done,
     /*  91048 */ // Label 1541: @91048
     /*  91048 */ GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(91074), // Rule ID 6692 //
     /*  91053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  91059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91067 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v8i8] }:$src)  =>  (REV32v8i8:{ *:[v2i32] } FPR64:{ *:[v8i8] }:$src)
     /*  91067 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  91072 */   GIR_RootConstrainSelectedInstOperands,
     /*  91073 */   // GIR_Coverage, 6692,
     /*  91073 */   GIR_Done,
     /*  91074 */ // Label 1542: @91074
     /*  91074 */ GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(91100), // Rule ID 6693 //
     /*  91079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91093 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[f64] }:$src)  =>  (REV64v2i32:{ *:[v2i32] } FPR64:{ *:[f64] }:$src)
     /*  91093 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  91098 */   GIR_RootConstrainSelectedInstOperands,
     /*  91099 */   // GIR_Coverage, 6693,
     /*  91099 */   GIR_Done,
     /*  91100 */ // Label 1543: @91100
     /*  91100 */ GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(91126), // Rule ID 6694 //
     /*  91105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91119 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v2i32:{ *:[v2i32] } FPR64:{ *:[v1f64] }:$src)
     /*  91119 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  91124 */   GIR_RootConstrainSelectedInstOperands,
     /*  91125 */   // GIR_Coverage, 6694,
     /*  91125 */   GIR_Done,
     /*  91126 */ // Label 1544: @91126
     /*  91126 */ GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(91152), // Rule ID 6695 //
     /*  91131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  91137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91145 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v4f16] }:$src)  =>  (REV32v4i16:{ *:[v2i32] } FPR64:{ *:[v4f16] }:$src)
     /*  91145 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  91150 */   GIR_RootConstrainSelectedInstOperands,
     /*  91151 */   // GIR_Coverage, 6695,
     /*  91151 */   GIR_Done,
     /*  91152 */ // Label 1545: @91152
     /*  91152 */ GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(91181), // Rule ID 6696 //
     /*  91157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  91160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91168 */   // (bitconvert:{ *:[v2i32] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v2i32] }:$src
     /*  91168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91171 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91173 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91175 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91180 */   // GIR_Coverage, 6696,
     /*  91180 */   GIR_EraseRootFromParent_Done,
     /*  91181 */ // Label 1546: @91181
     /*  91181 */ GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(91213), // Rule ID 6761 //
     /*  91186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91200 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  91200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91203 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91205 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91207 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91212 */   // GIR_Coverage, 6761,
     /*  91212 */   GIR_EraseRootFromParent_Done,
     /*  91213 */ // Label 1547: @91213
     /*  91213 */ GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(91245), // Rule ID 6762 //
     /*  91218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  91224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91232 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  91232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91235 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91237 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91239 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91244 */   // GIR_Coverage, 6762,
     /*  91244 */   GIR_EraseRootFromParent_Done,
     /*  91245 */ // Label 1548: @91245
     /*  91245 */ GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(91277), // Rule ID 6763 //
     /*  91250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  91256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91264 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  91264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91267 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91269 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91271 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91276 */   // GIR_Coverage, 6763,
     /*  91276 */   GIR_EraseRootFromParent_Done,
     /*  91277 */ // Label 1549: @91277
     /*  91277 */ GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(91309), // Rule ID 6764 //
     /*  91282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91296 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  91296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91299 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91301 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91303 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91308 */   // GIR_Coverage, 6764,
     /*  91308 */   GIR_EraseRootFromParent_Done,
     /*  91309 */ // Label 1550: @91309
     /*  91309 */ GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(91341), // Rule ID 6765 //
     /*  91314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91328 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  91328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91331 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91333 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91335 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91340 */   // GIR_Coverage, 6765,
     /*  91340 */   GIR_EraseRootFromParent_Done,
     /*  91341 */ // Label 1551: @91341
     /*  91341 */ GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(91373), // Rule ID 6766 //
     /*  91346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  91352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91360 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  91360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91363 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91365 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91367 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91372 */   // GIR_Coverage, 6766,
     /*  91372 */   GIR_EraseRootFromParent_Done,
     /*  91373 */ // Label 1552: @91373
     /*  91373 */ GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(91399), // Rule ID 6767 //
     /*  91378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91392 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v2i32:{ *:[v2f32] } FPR64:{ *:[v1i64] }:$src)
     /*  91392 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  91397 */   GIR_RootConstrainSelectedInstOperands,
     /*  91398 */   // GIR_Coverage, 6767,
     /*  91398 */   GIR_Done,
     /*  91399 */ // Label 1553: @91399
     /*  91399 */ GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(91425), // Rule ID 6768 //
     /*  91404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  91410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91418 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4i16] }:$src)  =>  (REV32v4i16:{ *:[v2f32] } FPR64:{ *:[v4i16] }:$src)
     /*  91418 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  91423 */   GIR_RootConstrainSelectedInstOperands,
     /*  91424 */   // GIR_Coverage, 6768,
     /*  91424 */   GIR_Done,
     /*  91425 */ // Label 1554: @91425
     /*  91425 */ GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(91451), // Rule ID 6769 //
     /*  91430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  91436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91444 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v8i8] }:$src)  =>  (REV32v8i8:{ *:[v2f32] } FPR64:{ *:[v8i8] }:$src)
     /*  91444 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  91449 */   GIR_RootConstrainSelectedInstOperands,
     /*  91450 */   // GIR_Coverage, 6769,
     /*  91450 */   GIR_Done,
     /*  91451 */ // Label 1555: @91451
     /*  91451 */ GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(91477), // Rule ID 6770 //
     /*  91456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91470 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v2i32:{ *:[v2f32] } FPR64:{ *:[v1f64] }:$src)
     /*  91470 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  91475 */   GIR_RootConstrainSelectedInstOperands,
     /*  91476 */   // GIR_Coverage, 6770,
     /*  91476 */   GIR_Done,
     /*  91477 */ // Label 1556: @91477
     /*  91477 */ GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(91503), // Rule ID 6771 //
     /*  91482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  91488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91496 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[f64] }:$src)  =>  (REV64v2i32:{ *:[v2f32] } FPR64:{ *:[f64] }:$src)
     /*  91496 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /*  91501 */   GIR_RootConstrainSelectedInstOperands,
     /*  91502 */   // GIR_Coverage, 6771,
     /*  91502 */   GIR_Done,
     /*  91503 */ // Label 1557: @91503
     /*  91503 */ GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(91529), // Rule ID 6772 //
     /*  91508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  91514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91522 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v4f16] }:$src)  =>  (REV32v4i16:{ *:[v2f32] } FPR64:{ *:[v4f16] }:$src)
     /*  91522 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  91527 */   GIR_RootConstrainSelectedInstOperands,
     /*  91528 */   // GIR_Coverage, 6772,
     /*  91528 */   GIR_Done,
     /*  91529 */ // Label 1558: @91529
     /*  91529 */ GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(91558), // Rule ID 6773 //
     /*  91534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  91537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91545 */   // (bitconvert:{ *:[v2f32] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v2f32] }:$src
     /*  91545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91548 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91550 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91552 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  91557 */   // GIR_Coverage, 6773,
     /*  91557 */   GIR_EraseRootFromParent_Done,
     /*  91558 */ // Label 1559: @91558
     /*  91558 */ GIM_Reject,
     /*  91559 */ // Label 1439: @91559
     /*  91559 */ GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(91591), // Rule ID 6788 //
     /*  91564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  91570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91578 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91581 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91583 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91585 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91590 */   // GIR_Coverage, 6788,
     /*  91590 */   GIR_EraseRootFromParent_Done,
     /*  91591 */ // Label 1560: @91591
     /*  91591 */ GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(91623), // Rule ID 6789 //
     /*  91596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91610 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91613 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91615 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91617 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91622 */   // GIR_Coverage, 6789,
     /*  91622 */   GIR_EraseRootFromParent_Done,
     /*  91623 */ // Label 1561: @91623
     /*  91623 */ GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(91655), // Rule ID 6790 //
     /*  91628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91642 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91645 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91647 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91649 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91654 */   // GIR_Coverage, 6790,
     /*  91654 */   GIR_EraseRootFromParent_Done,
     /*  91655 */ // Label 1562: @91655
     /*  91655 */ GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(91687), // Rule ID 6791 //
     /*  91660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91674 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91677 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91679 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91681 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91686 */   // GIR_Coverage, 6791,
     /*  91686 */   GIR_EraseRootFromParent_Done,
     /*  91687 */ // Label 1563: @91687
     /*  91687 */ GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(91719), // Rule ID 6792 //
     /*  91692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  91698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91706 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91709 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91711 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91713 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91718 */   // GIR_Coverage, 6792,
     /*  91718 */   GIR_EraseRootFromParent_Done,
     /*  91719 */ // Label 1564: @91719
     /*  91719 */ GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(91751), // Rule ID 6793 //
     /*  91724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91738 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91741 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91743 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91745 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91750 */   // GIR_Coverage, 6793,
     /*  91750 */   GIR_EraseRootFromParent_Done,
     /*  91751 */ // Label 1565: @91751
     /*  91751 */ GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(91784), // Rule ID 6794 //
     /*  91756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  91762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91770 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v2f64] } FPR128:{ *:[f128] }:$src, FPR128:{ *:[f128] }:$src, 8:{ *:[i32] })
     /*  91770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  91773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  91775 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91777 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  91782 */   GIR_RootConstrainSelectedInstOperands,
     /*  91783 */   // GIR_Coverage, 6794,
     /*  91783 */   GIR_EraseRootFromParent_Done,
     /*  91784 */ // Label 1566: @91784
     /*  91784 */ GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(91810), // Rule ID 6795 //
     /*  91789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91803 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4i32] }:$src)  =>  (REV64v4i32:{ *:[v2f64] } FPR128:{ *:[v4i32] }:$src)
     /*  91803 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  91808 */   GIR_RootConstrainSelectedInstOperands,
     /*  91809 */   // GIR_Coverage, 6795,
     /*  91809 */   GIR_Done,
     /*  91810 */ // Label 1567: @91810
     /*  91810 */ GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(91836), // Rule ID 6796 //
     /*  91815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91829 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8i16] }:$src)  =>  (REV64v8i16:{ *:[v2f64] } FPR128:{ *:[v8i16] }:$src)
     /*  91829 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  91834 */   GIR_RootConstrainSelectedInstOperands,
     /*  91835 */   // GIR_Coverage, 6796,
     /*  91835 */   GIR_Done,
     /*  91836 */ // Label 1568: @91836
     /*  91836 */ GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(91862), // Rule ID 6797 //
     /*  91841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  91847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91855 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v8f16] }:$src)  =>  (REV64v8i16:{ *:[v2f64] } FPR128:{ *:[v8f16] }:$src)
     /*  91855 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  91860 */   GIR_RootConstrainSelectedInstOperands,
     /*  91861 */   // GIR_Coverage, 6797,
     /*  91861 */   GIR_Done,
     /*  91862 */ // Label 1569: @91862
     /*  91862 */ GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(91888), // Rule ID 6798 //
     /*  91867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  91873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91881 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v16i8] }:$src)  =>  (REV64v16i8:{ *:[v2f64] } FPR128:{ *:[v16i8] }:$src)
     /*  91881 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  91886 */   GIR_RootConstrainSelectedInstOperands,
     /*  91887 */   // GIR_Coverage, 6798,
     /*  91887 */   GIR_Done,
     /*  91888 */ // Label 1570: @91888
     /*  91888 */ GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(91914), // Rule ID 6799 //
     /*  91893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  91896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91907 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v4f32] }:$src)  =>  (REV64v4i32:{ *:[v2f64] } FPR128:{ *:[v4f32] }:$src)
     /*  91907 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  91912 */   GIR_RootConstrainSelectedInstOperands,
     /*  91913 */   // GIR_Coverage, 6799,
     /*  91913 */   GIR_Done,
     /*  91914 */ // Label 1571: @91914
     /*  91914 */ GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(91943), // Rule ID 6800 //
     /*  91919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  91922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91930 */   // (bitconvert:{ *:[v2f64] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v2f64] }:$src
     /*  91930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91933 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91935 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91937 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91942 */   // GIR_Coverage, 6800,
     /*  91942 */   GIR_EraseRootFromParent_Done,
     /*  91943 */ // Label 1572: @91943
     /*  91943 */ GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(91975), // Rule ID 6814 //
     /*  91948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  91954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91962 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  91962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91965 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91967 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  91969 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91974 */   // GIR_Coverage, 6814,
     /*  91974 */   GIR_EraseRootFromParent_Done,
     /*  91975 */ // Label 1573: @91975
     /*  91975 */ GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(92007), // Rule ID 6815 //
     /*  91980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  91983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  91986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  91994 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  91994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  91997 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  91999 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92001 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92006 */   // GIR_Coverage, 6815,
     /*  92006 */   GIR_EraseRootFromParent_Done,
     /*  92007 */ // Label 1574: @92007
     /*  92007 */ GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(92039), // Rule ID 6816 //
     /*  92012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  92018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92026 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  92026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92029 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92031 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92033 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92038 */   // GIR_Coverage, 6816,
     /*  92038 */   GIR_EraseRootFromParent_Done,
     /*  92039 */ // Label 1575: @92039
     /*  92039 */ GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(92071), // Rule ID 6817 //
     /*  92044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  92050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92058 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  92058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92061 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92063 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92065 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92070 */   // GIR_Coverage, 6817,
     /*  92070 */   GIR_EraseRootFromParent_Done,
     /*  92071 */ // Label 1576: @92071
     /*  92071 */ GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(92103), // Rule ID 6818 //
     /*  92076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  92082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92090 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  92090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92093 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92095 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92097 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92102 */   // GIR_Coverage, 6818,
     /*  92102 */   GIR_EraseRootFromParent_Done,
     /*  92103 */ // Label 1577: @92103
     /*  92103 */ GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(92135), // Rule ID 6819 //
     /*  92108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  92114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92122 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  92122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92125 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92127 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92129 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92134 */   // GIR_Coverage, 6819,
     /*  92134 */   GIR_EraseRootFromParent_Done,
     /*  92135 */ // Label 1578: @92135
     /*  92135 */ GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(92168), // Rule ID 6820 //
     /*  92140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  92146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92154 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v2i64] } FPR128:{ *:[f128] }:$src, FPR128:{ *:[f128] }:$src, 8:{ *:[i32] })
     /*  92154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  92157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92159 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92161 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  92166 */   GIR_RootConstrainSelectedInstOperands,
     /*  92167 */   // GIR_Coverage, 6820,
     /*  92167 */   GIR_EraseRootFromParent_Done,
     /*  92168 */ // Label 1579: @92168
     /*  92168 */ GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(92194), // Rule ID 6821 //
     /*  92173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  92179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92187 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4i32] }:$src)  =>  (REV64v4i32:{ *:[v2i64] } FPR128:{ *:[v4i32] }:$src)
     /*  92187 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  92192 */   GIR_RootConstrainSelectedInstOperands,
     /*  92193 */   // GIR_Coverage, 6821,
     /*  92193 */   GIR_Done,
     /*  92194 */ // Label 1580: @92194
     /*  92194 */ GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(92220), // Rule ID 6822 //
     /*  92199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  92205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92213 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8i16] }:$src)  =>  (REV64v8i16:{ *:[v2i64] } FPR128:{ *:[v8i16] }:$src)
     /*  92213 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  92218 */   GIR_RootConstrainSelectedInstOperands,
     /*  92219 */   // GIR_Coverage, 6822,
     /*  92219 */   GIR_Done,
     /*  92220 */ // Label 1581: @92220
     /*  92220 */ GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(92246), // Rule ID 6823 //
     /*  92225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  92231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92239 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v16i8] }:$src)  =>  (REV64v16i8:{ *:[v2i64] } FPR128:{ *:[v16i8] }:$src)
     /*  92239 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  92244 */   GIR_RootConstrainSelectedInstOperands,
     /*  92245 */   // GIR_Coverage, 6823,
     /*  92245 */   GIR_Done,
     /*  92246 */ // Label 1582: @92246
     /*  92246 */ GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(92272), // Rule ID 6824 //
     /*  92251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  92257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92265 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v4f32] }:$src)  =>  (REV64v4i32:{ *:[v2i64] } FPR128:{ *:[v4f32] }:$src)
     /*  92265 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  92270 */   GIR_RootConstrainSelectedInstOperands,
     /*  92271 */   // GIR_Coverage, 6824,
     /*  92271 */   GIR_Done,
     /*  92272 */ // Label 1583: @92272
     /*  92272 */ GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(92298), // Rule ID 6825 //
     /*  92277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  92283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92291 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v8f16] }:$src)  =>  (REV64v8i16:{ *:[v2i64] } FPR128:{ *:[v8f16] }:$src)
     /*  92291 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  92296 */   GIR_RootConstrainSelectedInstOperands,
     /*  92297 */   // GIR_Coverage, 6825,
     /*  92297 */   GIR_Done,
     /*  92298 */ // Label 1584: @92298
     /*  92298 */ GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(92327), // Rule ID 6826 //
     /*  92303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  92306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92314 */   // (bitconvert:{ *:[v2i64] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v2i64] }:$src
     /*  92314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92317 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92319 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92321 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  92326 */   // GIR_Coverage, 6826,
     /*  92326 */   GIR_EraseRootFromParent_Done,
     /*  92327 */ // Label 1585: @92327
     /*  92327 */ GIM_Reject,
     /*  92328 */ // Label 1440: @92328
     /*  92328 */ GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(92358), // Rule ID 6638 //
     /*  92333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  92347 */   // (bitconvert:{ *:[v4i16] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v4i16] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  92347 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92352 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92357 */   // GIR_Coverage, 6638,
     /*  92357 */   GIR_Done,
     /*  92358 */ // Label 1586: @92358
     /*  92358 */ GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(92388), // Rule ID 6640 //
     /*  92363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  92377 */   // (bitconvert:{ *:[v4f16] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v4f16] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  92377 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92382 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92387 */   // GIR_Coverage, 6640,
     /*  92387 */   GIR_Done,
     /*  92388 */ // Label 1587: @92388
     /*  92388 */ GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(92438), // Rule ID 6649 //
     /*  92393 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  92407 */   // (bitconvert:{ *:[v4i16] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v4i16:{ *:[v4i16] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  92407 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  92410 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92414 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  92419 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  92423 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92433 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  92436 */   GIR_RootConstrainSelectedInstOperands,
     /*  92437 */   // GIR_Coverage, 6649,
     /*  92437 */   GIR_EraseRootFromParent_Done,
     /*  92438 */ // Label 1588: @92438
     /*  92438 */ GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(92488), // Rule ID 6651 //
     /*  92443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  92457 */   // (bitconvert:{ *:[v4f16] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v4i16:{ *:[v4f16] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  92457 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  92460 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92464 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  92469 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  92473 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  92483 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  92486 */   GIR_RootConstrainSelectedInstOperands,
     /*  92487 */   // GIR_Coverage, 6651,
     /*  92487 */   GIR_EraseRootFromParent_Done,
     /*  92488 */ // Label 1589: @92488
     /*  92488 */ GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(92520), // Rule ID 6697 //
     /*  92493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92507 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92510 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92512 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92514 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92519 */   // GIR_Coverage, 6697,
     /*  92519 */   GIR_EraseRootFromParent_Done,
     /*  92520 */ // Label 1590: @92520
     /*  92520 */ GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(92552), // Rule ID 6698 //
     /*  92525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92539 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92542 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92544 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92546 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92551 */   // GIR_Coverage, 6698,
     /*  92551 */   GIR_EraseRootFromParent_Done,
     /*  92552 */ // Label 1591: @92552
     /*  92552 */ GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(92584), // Rule ID 6699 //
     /*  92557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  92563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92571 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92574 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92576 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92578 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92583 */   // GIR_Coverage, 6699,
     /*  92583 */   GIR_EraseRootFromParent_Done,
     /*  92584 */ // Label 1592: @92584
     /*  92584 */ GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(92616), // Rule ID 6700 //
     /*  92589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92603 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92606 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92608 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92610 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92615 */   // GIR_Coverage, 6700,
     /*  92615 */   GIR_EraseRootFromParent_Done,
     /*  92616 */ // Label 1593: @92616
     /*  92616 */ GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(92648), // Rule ID 6701 //
     /*  92621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92635 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92638 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92640 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92642 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92647 */   // GIR_Coverage, 6701,
     /*  92647 */   GIR_EraseRootFromParent_Done,
     /*  92648 */ // Label 1594: @92648
     /*  92648 */ GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(92680), // Rule ID 6702 //
     /*  92653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92667 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92670 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92672 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92674 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92679 */   // GIR_Coverage, 6702,
     /*  92679 */   GIR_EraseRootFromParent_Done,
     /*  92680 */ // Label 1595: @92680
     /*  92680 */ GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(92706), // Rule ID 6703 //
     /*  92685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92699 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v4i16:{ *:[v4i16] } FPR64:{ *:[v1i64] }:$src)
     /*  92699 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92704 */   GIR_RootConstrainSelectedInstOperands,
     /*  92705 */   // GIR_Coverage, 6703,
     /*  92705 */   GIR_Done,
     /*  92706 */ // Label 1596: @92706
     /*  92706 */ GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(92732), // Rule ID 6704 //
     /*  92711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92725 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2i32] }:$src)  =>  (REV32v4i16:{ *:[v4i16] } FPR64:{ *:[v2i32] }:$src)
     /*  92725 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  92730 */   GIR_RootConstrainSelectedInstOperands,
     /*  92731 */   // GIR_Coverage, 6704,
     /*  92731 */   GIR_Done,
     /*  92732 */ // Label 1597: @92732
     /*  92732 */ GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(92758), // Rule ID 6705 //
     /*  92737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  92743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92751 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v8i8] }:$src)  =>  (REV16v8i8:{ *:[v4i16] } FPR64:{ *:[v8i8] }:$src)
     /*  92751 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  92756 */   GIR_RootConstrainSelectedInstOperands,
     /*  92757 */   // GIR_Coverage, 6705,
     /*  92757 */   GIR_Done,
     /*  92758 */ // Label 1598: @92758
     /*  92758 */ GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(92784), // Rule ID 6706 //
     /*  92763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92777 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[f64] }:$src)  =>  (REV64v4i16:{ *:[v4i16] } FPR64:{ *:[f64] }:$src)
     /*  92777 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92782 */   GIR_RootConstrainSelectedInstOperands,
     /*  92783 */   // GIR_Coverage, 6706,
     /*  92783 */   GIR_Done,
     /*  92784 */ // Label 1599: @92784
     /*  92784 */ GIM_Try, /*On fail goto*//*Label 1600*/ GIMT_Encode4(92810), // Rule ID 6707 //
     /*  92789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92803 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v2f32] }:$src)  =>  (REV32v4i16:{ *:[v4i16] } FPR64:{ *:[v2f32] }:$src)
     /*  92803 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  92808 */   GIR_RootConstrainSelectedInstOperands,
     /*  92809 */   // GIR_Coverage, 6707,
     /*  92809 */   GIR_Done,
     /*  92810 */ // Label 1600: @92810
     /*  92810 */ GIM_Try, /*On fail goto*//*Label 1601*/ GIMT_Encode4(92836), // Rule ID 6708 //
     /*  92815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  92818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92829 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v4i16:{ *:[v4i16] } FPR64:{ *:[v1f64] }:$src)
     /*  92829 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  92834 */   GIR_RootConstrainSelectedInstOperands,
     /*  92835 */   // GIR_Coverage, 6708,
     /*  92835 */   GIR_Done,
     /*  92836 */ // Label 1601: @92836
     /*  92836 */ GIM_Try, /*On fail goto*//*Label 1602*/ GIMT_Encode4(92865), // Rule ID 6709 //
     /*  92841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  92844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92852 */   // (bitconvert:{ *:[v4i16] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v4i16] }:$src
     /*  92852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92855 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92857 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92859 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92864 */   // GIR_Coverage, 6709,
     /*  92864 */   GIR_EraseRootFromParent_Done,
     /*  92865 */ // Label 1602: @92865
     /*  92865 */ GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(92897), // Rule ID 6710 //
     /*  92870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92884 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  92884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92887 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92889 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92891 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92896 */   // GIR_Coverage, 6710,
     /*  92896 */   GIR_EraseRootFromParent_Done,
     /*  92897 */ // Label 1603: @92897
     /*  92897 */ GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(92929), // Rule ID 6711 //
     /*  92902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  92908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92916 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  92916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92919 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92921 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92923 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92928 */   // GIR_Coverage, 6711,
     /*  92928 */   GIR_EraseRootFromParent_Done,
     /*  92929 */ // Label 1604: @92929
     /*  92929 */ GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(92961), // Rule ID 6712 //
     /*  92934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  92940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92948 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v8i8] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  92948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92951 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92953 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92955 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92960 */   // GIR_Coverage, 6712,
     /*  92960 */   GIR_EraseRootFromParent_Done,
     /*  92961 */ // Label 1605: @92961
     /*  92961 */ GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(92993), // Rule ID 6713 //
     /*  92966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  92969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  92972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92980 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  92980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  92983 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  92985 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  92987 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  92992 */   // GIR_Coverage, 6713,
     /*  92992 */   GIR_EraseRootFromParent_Done,
     /*  92993 */ // Label 1606: @92993
     /*  92993 */ GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(93025), // Rule ID 6714 //
     /*  92998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  93004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93012 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  93012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93015 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93017 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93019 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93024 */   // GIR_Coverage, 6714,
     /*  93024 */   GIR_EraseRootFromParent_Done,
     /*  93025 */ // Label 1607: @93025
     /*  93025 */ GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(93057), // Rule ID 6715 //
     /*  93030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93044 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  93044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93047 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93049 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93051 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93056 */   // GIR_Coverage, 6715,
     /*  93056 */   GIR_EraseRootFromParent_Done,
     /*  93057 */ // Label 1608: @93057
     /*  93057 */ GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(93083), // Rule ID 6716 //
     /*  93062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93076 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v4i16:{ *:[v4f16] } FPR64:{ *:[v1i64] }:$src)
     /*  93076 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  93081 */   GIR_RootConstrainSelectedInstOperands,
     /*  93082 */   // GIR_Coverage, 6716,
     /*  93082 */   GIR_Done,
     /*  93083 */ // Label 1609: @93083
     /*  93083 */ GIM_Try, /*On fail goto*//*Label 1610*/ GIMT_Encode4(93109), // Rule ID 6717 //
     /*  93088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  93094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93102 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2i32] }:$src)  =>  (REV32v4i16:{ *:[v4f16] } FPR64:{ *:[v2i32] }:$src)
     /*  93102 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  93107 */   GIR_RootConstrainSelectedInstOperands,
     /*  93108 */   // GIR_Coverage, 6717,
     /*  93108 */   GIR_Done,
     /*  93109 */ // Label 1610: @93109
     /*  93109 */ GIM_Try, /*On fail goto*//*Label 1611*/ GIMT_Encode4(93135), // Rule ID 6718 //
     /*  93114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /*  93120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93128 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v8i8] }:$src)  =>  (REV16v8i8:{ *:[v4f16] } FPR64:{ *:[v8i8] }:$src)
     /*  93128 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  93133 */   GIR_RootConstrainSelectedInstOperands,
     /*  93134 */   // GIR_Coverage, 6718,
     /*  93134 */   GIR_Done,
     /*  93135 */ // Label 1611: @93135
     /*  93135 */ GIM_Try, /*On fail goto*//*Label 1612*/ GIMT_Encode4(93161), // Rule ID 6719 //
     /*  93140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93154 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[f64] }:$src)  =>  (REV64v4i16:{ *:[v4f16] } FPR64:{ *:[f64] }:$src)
     /*  93154 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  93159 */   GIR_RootConstrainSelectedInstOperands,
     /*  93160 */   // GIR_Coverage, 6719,
     /*  93160 */   GIR_Done,
     /*  93161 */ // Label 1612: @93161
     /*  93161 */ GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(93187), // Rule ID 6720 //
     /*  93166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  93172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93180 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v2f32] }:$src)  =>  (REV32v4i16:{ *:[v4f16] } FPR64:{ *:[v2f32] }:$src)
     /*  93180 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /*  93185 */   GIR_RootConstrainSelectedInstOperands,
     /*  93186 */   // GIR_Coverage, 6720,
     /*  93186 */   GIR_Done,
     /*  93187 */ // Label 1613: @93187
     /*  93187 */ GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(93213), // Rule ID 6721 //
     /*  93192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  93198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93206 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v4i16:{ *:[v4f16] } FPR64:{ *:[v1f64] }:$src)
     /*  93206 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /*  93211 */   GIR_RootConstrainSelectedInstOperands,
     /*  93212 */   // GIR_Coverage, 6721,
     /*  93212 */   GIR_Done,
     /*  93213 */ // Label 1614: @93213
     /*  93213 */ GIM_Try, /*On fail goto*//*Label 1615*/ GIMT_Encode4(93242), // Rule ID 6722 //
     /*  93218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  93221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93229 */   // (bitconvert:{ *:[v4f16] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v4f16] }:$src
     /*  93229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93232 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93234 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93236 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  93241 */   // GIR_Coverage, 6722,
     /*  93241 */   GIR_EraseRootFromParent_Done,
     /*  93242 */ // Label 1615: @93242
     /*  93242 */ GIM_Reject,
     /*  93243 */ // Label 1441: @93243
     /*  93243 */ GIM_Try, /*On fail goto*//*Label 1616*/ GIMT_Encode4(93275), // Rule ID 6801 //
     /*  93248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  93254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93262 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  93262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93265 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93267 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93269 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93274 */   // GIR_Coverage, 6801,
     /*  93274 */   GIR_EraseRootFromParent_Done,
     /*  93275 */ // Label 1616: @93275
     /*  93275 */ GIM_Try, /*On fail goto*//*Label 1617*/ GIMT_Encode4(93307), // Rule ID 6802 //
     /*  93280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93294 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  93294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93297 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93299 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93301 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93306 */   // GIR_Coverage, 6802,
     /*  93306 */   GIR_EraseRootFromParent_Done,
     /*  93307 */ // Label 1617: @93307
     /*  93307 */ GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(93339), // Rule ID 6803 //
     /*  93312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93326 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  93326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93329 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93331 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93333 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93338 */   // GIR_Coverage, 6803,
     /*  93338 */   GIR_EraseRootFromParent_Done,
     /*  93339 */ // Label 1618: @93339
     /*  93339 */ GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(93371), // Rule ID 6804 //
     /*  93344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  93350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93358 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  93358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93361 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93363 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93365 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93370 */   // GIR_Coverage, 6804,
     /*  93370 */   GIR_EraseRootFromParent_Done,
     /*  93371 */ // Label 1619: @93371
     /*  93371 */ GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(93403), // Rule ID 6805 //
     /*  93376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93390 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  93390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93393 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93395 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93397 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93402 */   // GIR_Coverage, 6805,
     /*  93402 */   GIR_EraseRootFromParent_Done,
     /*  93403 */ // Label 1620: @93403
     /*  93403 */ GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(93435), // Rule ID 6806 //
     /*  93408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93422 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  93422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93425 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93427 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93429 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93434 */   // GIR_Coverage, 6806,
     /*  93434 */   GIR_EraseRootFromParent_Done,
     /*  93435 */ // Label 1621: @93435
     /*  93435 */ GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(93506), // Rule ID 6807 //
     /*  93440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  93446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93454 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v4f32] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  93454 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  93457 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93461 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93466 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  93470 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  93472 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  93475 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93479 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93484 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  93488 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  93490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  93493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93495 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  93498 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  93501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  93504 */   GIR_RootConstrainSelectedInstOperands,
     /*  93505 */   // GIR_Coverage, 6807,
     /*  93505 */   GIR_EraseRootFromParent_Done,
     /*  93506 */ // Label 1622: @93506
     /*  93506 */ GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(93532), // Rule ID 6808 //
     /*  93511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93525 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8i16] }:$src)  =>  (REV32v8i16:{ *:[v4f32] } FPR128:{ *:[v8i16] }:$src)
     /*  93525 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  93530 */   GIR_RootConstrainSelectedInstOperands,
     /*  93531 */   // GIR_Coverage, 6808,
     /*  93531 */   GIR_Done,
     /*  93532 */ // Label 1623: @93532
     /*  93532 */ GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(93558), // Rule ID 6809 //
     /*  93537 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93551 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v8f16] }:$src)  =>  (REV32v8i16:{ *:[v4f32] } FPR128:{ *:[v8f16] }:$src)
     /*  93551 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  93556 */   GIR_RootConstrainSelectedInstOperands,
     /*  93557 */   // GIR_Coverage, 6809,
     /*  93557 */   GIR_Done,
     /*  93558 */ // Label 1624: @93558
     /*  93558 */ GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(93584), // Rule ID 6810 //
     /*  93563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  93569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93577 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v16i8] }:$src)  =>  (REV32v16i8:{ *:[v4f32] } FPR128:{ *:[v16i8] }:$src)
     /*  93577 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  93582 */   GIR_RootConstrainSelectedInstOperands,
     /*  93583 */   // GIR_Coverage, 6810,
     /*  93583 */   GIR_Done,
     /*  93584 */ // Label 1625: @93584
     /*  93584 */ GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(93610), // Rule ID 6811 //
     /*  93589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93603 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v4i32:{ *:[v4f32] } FPR128:{ *:[v2i64] }:$src)
     /*  93603 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93608 */   GIR_RootConstrainSelectedInstOperands,
     /*  93609 */   // GIR_Coverage, 6811,
     /*  93609 */   GIR_Done,
     /*  93610 */ // Label 1626: @93610
     /*  93610 */ GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(93636), // Rule ID 6812 //
     /*  93615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93629 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v4i32:{ *:[v4f32] } FPR128:{ *:[v2f64] }:$src)
     /*  93629 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93634 */   GIR_RootConstrainSelectedInstOperands,
     /*  93635 */   // GIR_Coverage, 6812,
     /*  93635 */   GIR_Done,
     /*  93636 */ // Label 1627: @93636
     /*  93636 */ GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(93665), // Rule ID 6813 //
     /*  93641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  93644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93652 */   // (bitconvert:{ *:[v4f32] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v4f32] }:$src
     /*  93652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93655 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93657 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93659 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93664 */   // GIR_Coverage, 6813,
     /*  93664 */   GIR_EraseRootFromParent_Done,
     /*  93665 */ // Label 1628: @93665
     /*  93665 */ GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(93697), // Rule ID 6827 //
     /*  93670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  93676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93684 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93687 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93689 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93691 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93696 */   // GIR_Coverage, 6827,
     /*  93696 */   GIR_EraseRootFromParent_Done,
     /*  93697 */ // Label 1629: @93697
     /*  93697 */ GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(93729), // Rule ID 6828 //
     /*  93702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93716 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93719 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93721 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93723 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93728 */   // GIR_Coverage, 6828,
     /*  93728 */   GIR_EraseRootFromParent_Done,
     /*  93729 */ // Label 1630: @93729
     /*  93729 */ GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(93761), // Rule ID 6829 //
     /*  93734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93748 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93751 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93753 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93755 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93760 */   // GIR_Coverage, 6829,
     /*  93760 */   GIR_EraseRootFromParent_Done,
     /*  93761 */ // Label 1631: @93761
     /*  93761 */ GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(93793), // Rule ID 6830 //
     /*  93766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  93772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93780 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93783 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93785 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93787 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93792 */   // GIR_Coverage, 6830,
     /*  93792 */   GIR_EraseRootFromParent_Done,
     /*  93793 */ // Label 1632: @93793
     /*  93793 */ GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(93825), // Rule ID 6831 //
     /*  93798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93812 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93815 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93817 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93819 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93824 */   // GIR_Coverage, 6831,
     /*  93824 */   GIR_EraseRootFromParent_Done,
     /*  93825 */ // Label 1633: @93825
     /*  93825 */ GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(93857), // Rule ID 6832 //
     /*  93830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  93833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93844 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  93844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  93847 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  93849 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  93851 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93856 */   // GIR_Coverage, 6832,
     /*  93856 */   GIR_EraseRootFromParent_Done,
     /*  93857 */ // Label 1634: @93857
     /*  93857 */ GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(93928), // Rule ID 6833 //
     /*  93862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  93868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93876 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v4i32] } (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v4i32:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  93876 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  93879 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93883 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93888 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  93892 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  93894 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  93897 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93901 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  93906 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  93910 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  93912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  93915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  93917 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  93920 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  93923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  93926 */   GIR_RootConstrainSelectedInstOperands,
     /*  93927 */   // GIR_Coverage, 6833,
     /*  93927 */   GIR_EraseRootFromParent_Done,
     /*  93928 */ // Label 1635: @93928
     /*  93928 */ GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(93954), // Rule ID 6834 //
     /*  93933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  93939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93947 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v4i32:{ *:[v4i32] } FPR128:{ *:[v2i64] }:$src)
     /*  93947 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  93952 */   GIR_RootConstrainSelectedInstOperands,
     /*  93953 */   // GIR_Coverage, 6834,
     /*  93953 */   GIR_Done,
     /*  93954 */ // Label 1636: @93954
     /*  93954 */ GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(93980), // Rule ID 6835 //
     /*  93959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  93965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93973 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$src)  =>  (REV32v8i16:{ *:[v4i32] } FPR128:{ *:[v8i16] }:$src)
     /*  93973 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  93978 */   GIR_RootConstrainSelectedInstOperands,
     /*  93979 */   // GIR_Coverage, 6835,
     /*  93979 */   GIR_Done,
     /*  93980 */ // Label 1637: @93980
     /*  93980 */ GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(94006), // Rule ID 6836 //
     /*  93985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  93988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  93991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  93999 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v16i8] }:$src)  =>  (REV32v16i8:{ *:[v4i32] } FPR128:{ *:[v16i8] }:$src)
     /*  93999 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  94004 */   GIR_RootConstrainSelectedInstOperands,
     /*  94005 */   // GIR_Coverage, 6836,
     /*  94005 */   GIR_Done,
     /*  94006 */ // Label 1638: @94006
     /*  94006 */ GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(94032), // Rule ID 6837 //
     /*  94011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94025 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v4i32:{ *:[v4i32] } FPR128:{ *:[v2f64] }:$src)
     /*  94025 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /*  94030 */   GIR_RootConstrainSelectedInstOperands,
     /*  94031 */   // GIR_Coverage, 6837,
     /*  94031 */   GIR_Done,
     /*  94032 */ // Label 1639: @94032
     /*  94032 */ GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(94058), // Rule ID 6838 //
     /*  94037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  94043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94051 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v8f16] }:$src)  =>  (REV32v8i16:{ *:[v4i32] } FPR128:{ *:[v8f16] }:$src)
     /*  94051 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  94056 */   GIR_RootConstrainSelectedInstOperands,
     /*  94057 */   // GIR_Coverage, 6838,
     /*  94057 */   GIR_Done,
     /*  94058 */ // Label 1640: @94058
     /*  94058 */ GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(94087), // Rule ID 6839 //
     /*  94063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94074 */   // (bitconvert:{ *:[v4i32] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v4i32] }:$src
     /*  94074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94077 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94079 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94081 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94086 */   // GIR_Coverage, 6839,
     /*  94086 */   GIR_EraseRootFromParent_Done,
     /*  94087 */ // Label 1641: @94087
     /*  94087 */ GIM_Reject,
     /*  94088 */ // Label 1442: @94088
     /*  94088 */ GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(94162), // Rule ID 5668 //
     /*  94093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94100 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  94104 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  94108 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  94112 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  94117 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  94119 */   // (bitconvert:{ *:[v8i8] } (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn))  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i32] }, (FMOVWSr:{ *:[f32] } GPR32:{ *:[i32] }:$Rn), ssub:{ *:[i32] })
     /*  94119 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  94122 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FMOVWSr),
     /*  94126 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94131 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /*  94135 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  94137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /*  94140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  94142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  94145 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  94148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /*  94151 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94156 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  94161 */   // GIR_Coverage, 5668,
     /*  94161 */   GIR_EraseRootFromParent_Done,
     /*  94162 */ // Label 1642: @94162
     /*  94162 */ GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(94192), // Rule ID 6637 //
     /*  94167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  94181 */   // (bitconvert:{ *:[v8i8] } GPR64:{ *:[i64] }:$Xn)  =>  (COPY_TO_REGCLASS:{ *:[v8i8] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /*  94181 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94186 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94191 */   // GIR_Coverage, 6637,
     /*  94191 */   GIR_Done,
     /*  94192 */ // Label 1643: @94192
     /*  94192 */ GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(94242), // Rule ID 6648 //
     /*  94197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94207 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  94211 */   // (bitconvert:{ *:[v8i8] } GPR64:{ *:[i64] }:$Xn)  =>  (REV64v8i8:{ *:[v8i8] } (COPY_TO_REGCLASS:{ *:[i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] }))
     /*  94211 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  94214 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94218 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94223 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Xn
     /*  94227 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  94235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  94237 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  94240 */   GIR_RootConstrainSelectedInstOperands,
     /*  94241 */   // GIR_Coverage, 6648,
     /*  94241 */   GIR_EraseRootFromParent_Done,
     /*  94242 */ // Label 1644: @94242
     /*  94242 */ GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(94274), // Rule ID 6723 //
     /*  94247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94261 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1i64] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  94261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94264 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94266 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94268 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94273 */   // GIR_Coverage, 6723,
     /*  94273 */   GIR_EraseRootFromParent_Done,
     /*  94274 */ // Label 1645: @94274
     /*  94274 */ GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(94306), // Rule ID 6724 //
     /*  94279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  94285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94293 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2i32] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  94293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94296 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94298 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94300 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94305 */   // GIR_Coverage, 6724,
     /*  94305 */   GIR_EraseRootFromParent_Done,
     /*  94306 */ // Label 1646: @94306
     /*  94306 */ GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(94338), // Rule ID 6725 //
     /*  94311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  94317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94325 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4i16] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  94325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94328 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94330 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94332 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94337 */   // GIR_Coverage, 6725,
     /*  94337 */   GIR_EraseRootFromParent_Done,
     /*  94338 */ // Label 1647: @94338
     /*  94338 */ GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(94370), // Rule ID 6726 //
     /*  94343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94357 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[f64] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  94357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94360 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94362 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94364 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94369 */   // GIR_Coverage, 6726,
     /*  94369 */   GIR_EraseRootFromParent_Done,
     /*  94370 */ // Label 1648: @94370
     /*  94370 */ GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(94402), // Rule ID 6727 //
     /*  94375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  94381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94389 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2f32] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  94389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94392 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94394 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94396 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94401 */   // GIR_Coverage, 6727,
     /*  94401 */   GIR_EraseRootFromParent_Done,
     /*  94402 */ // Label 1649: @94402
     /*  94402 */ GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(94434), // Rule ID 6728 //
     /*  94407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94421 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1f64] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  94421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94424 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94426 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94428 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94433 */   // GIR_Coverage, 6728,
     /*  94433 */   GIR_EraseRootFromParent_Done,
     /*  94434 */ // Label 1650: @94434
     /*  94434 */ GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(94466), // Rule ID 6729 //
     /*  94439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  94445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94453 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4f16] }:$src)  =>  FPR64:{ *:[v8i8] }:$src
     /*  94453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94456 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94458 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94460 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94465 */   // GIR_Coverage, 6729,
     /*  94465 */   GIR_EraseRootFromParent_Done,
     /*  94466 */ // Label 1651: @94466
     /*  94466 */ GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(94492), // Rule ID 6730 //
     /*  94471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94485 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1i64] }:$src)  =>  (REV64v8i8:{ *:[v8i8] } FPR64:{ *:[v1i64] }:$src)
     /*  94485 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  94490 */   GIR_RootConstrainSelectedInstOperands,
     /*  94491 */   // GIR_Coverage, 6730,
     /*  94491 */   GIR_Done,
     /*  94492 */ // Label 1652: @94492
     /*  94492 */ GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(94518), // Rule ID 6731 //
     /*  94497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  94503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94511 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2i32] }:$src)  =>  (REV32v8i8:{ *:[v8i8] } FPR64:{ *:[v2i32] }:$src)
     /*  94511 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  94516 */   GIR_RootConstrainSelectedInstOperands,
     /*  94517 */   // GIR_Coverage, 6731,
     /*  94517 */   GIR_Done,
     /*  94518 */ // Label 1653: @94518
     /*  94518 */ GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(94544), // Rule ID 6732 //
     /*  94523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  94529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94537 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4i16] }:$src)  =>  (REV16v8i8:{ *:[v8i8] } FPR64:{ *:[v4i16] }:$src)
     /*  94537 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  94542 */   GIR_RootConstrainSelectedInstOperands,
     /*  94543 */   // GIR_Coverage, 6732,
     /*  94543 */   GIR_Done,
     /*  94544 */ // Label 1654: @94544
     /*  94544 */ GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(94570), // Rule ID 6733 //
     /*  94549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94563 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[f64] }:$src)  =>  (REV64v8i8:{ *:[v8i8] } FPR64:{ *:[f64] }:$src)
     /*  94563 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  94568 */   GIR_RootConstrainSelectedInstOperands,
     /*  94569 */   // GIR_Coverage, 6733,
     /*  94569 */   GIR_Done,
     /*  94570 */ // Label 1655: @94570
     /*  94570 */ GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(94596), // Rule ID 6734 //
     /*  94575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  94581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94589 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v2f32] }:$src)  =>  (REV32v8i8:{ *:[v8i8] } FPR64:{ *:[v2f32] }:$src)
     /*  94589 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /*  94594 */   GIR_RootConstrainSelectedInstOperands,
     /*  94595 */   // GIR_Coverage, 6734,
     /*  94595 */   GIR_Done,
     /*  94596 */ // Label 1656: @94596
     /*  94596 */ GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(94622), // Rule ID 6735 //
     /*  94601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  94607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94615 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v1f64] }:$src)  =>  (REV64v8i8:{ *:[v8i8] } FPR64:{ *:[v1f64] }:$src)
     /*  94615 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /*  94620 */   GIR_RootConstrainSelectedInstOperands,
     /*  94621 */   // GIR_Coverage, 6735,
     /*  94621 */   GIR_Done,
     /*  94622 */ // Label 1657: @94622
     /*  94622 */ GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(94648), // Rule ID 6736 //
     /*  94627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  94633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  94641 */   // (bitconvert:{ *:[v8i8] } FPR64:{ *:[v4f16] }:$src)  =>  (REV16v8i8:{ *:[v8i8] } FPR64:{ *:[v4f16] }:$src)
     /*  94641 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /*  94646 */   GIR_RootConstrainSelectedInstOperands,
     /*  94647 */   // GIR_Coverage, 6736,
     /*  94647 */   GIR_Done,
     /*  94648 */ // Label 1658: @94648
     /*  94648 */ GIM_Reject,
     /*  94649 */ // Label 1443: @94649
     /*  94649 */ GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(94681), // Rule ID 6840 //
     /*  94654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  94660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94668 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94671 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94673 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94675 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94680 */   // GIR_Coverage, 6840,
     /*  94680 */   GIR_EraseRootFromParent_Done,
     /*  94681 */ // Label 1659: @94681
     /*  94681 */ GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(94713), // Rule ID 6841 //
     /*  94686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94700 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94703 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94705 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94707 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94712 */   // GIR_Coverage, 6841,
     /*  94712 */   GIR_EraseRootFromParent_Done,
     /*  94713 */ // Label 1660: @94713
     /*  94713 */ GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(94745), // Rule ID 6842 //
     /*  94718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94732 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94735 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94737 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94739 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94744 */   // GIR_Coverage, 6842,
     /*  94744 */   GIR_EraseRootFromParent_Done,
     /*  94745 */ // Label 1661: @94745
     /*  94745 */ GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(94777), // Rule ID 6843 //
     /*  94750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  94756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94764 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94767 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94769 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94771 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94776 */   // GIR_Coverage, 6843,
     /*  94776 */   GIR_EraseRootFromParent_Done,
     /*  94777 */ // Label 1662: @94777
     /*  94777 */ GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(94809), // Rule ID 6844 //
     /*  94782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94796 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94799 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94801 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94803 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94808 */   // GIR_Coverage, 6844,
     /*  94808 */   GIR_EraseRootFromParent_Done,
     /*  94809 */ // Label 1663: @94809
     /*  94809 */ GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(94841), // Rule ID 6845 //
     /*  94814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  94817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94828 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  94828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  94831 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  94833 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  94835 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94840 */   // GIR_Coverage, 6845,
     /*  94840 */   GIR_EraseRootFromParent_Done,
     /*  94841 */ // Label 1664: @94841
     /*  94841 */ GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(94912), // Rule ID 6846 //
     /*  94846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  94852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94860 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v8i16] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  94860 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  94863 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  94867 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94872 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  94876 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  94878 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  94881 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  94885 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  94890 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  94894 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  94896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  94899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  94901 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  94904 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  94907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  94910 */   GIR_RootConstrainSelectedInstOperands,
     /*  94911 */   // GIR_Coverage, 6846,
     /*  94911 */   GIR_EraseRootFromParent_Done,
     /*  94912 */ // Label 1665: @94912
     /*  94912 */ GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(94938), // Rule ID 6847 //
     /*  94917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  94923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94931 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v8i16:{ *:[v8i16] } FPR128:{ *:[v2i64] }:$src)
     /*  94931 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  94936 */   GIR_RootConstrainSelectedInstOperands,
     /*  94937 */   // GIR_Coverage, 6847,
     /*  94937 */   GIR_Done,
     /*  94938 */ // Label 1666: @94938
     /*  94938 */ GIM_Try, /*On fail goto*//*Label 1667*/ GIMT_Encode4(94964), // Rule ID 6848 //
     /*  94943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  94949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94957 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4i32] }:$src)  =>  (REV32v8i16:{ *:[v8i16] } FPR128:{ *:[v4i32] }:$src)
     /*  94957 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  94962 */   GIR_RootConstrainSelectedInstOperands,
     /*  94963 */   // GIR_Coverage, 6848,
     /*  94963 */   GIR_Done,
     /*  94964 */ // Label 1667: @94964
     /*  94964 */ GIM_Try, /*On fail goto*//*Label 1668*/ GIMT_Encode4(94990), // Rule ID 6849 //
     /*  94969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  94975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  94983 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$src)  =>  (REV16v16i8:{ *:[v8i16] } FPR128:{ *:[v16i8] }:$src)
     /*  94983 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  94988 */   GIR_RootConstrainSelectedInstOperands,
     /*  94989 */   // GIR_Coverage, 6849,
     /*  94989 */   GIR_Done,
     /*  94990 */ // Label 1668: @94990
     /*  94990 */ GIM_Try, /*On fail goto*//*Label 1669*/ GIMT_Encode4(95016), // Rule ID 6850 //
     /*  94995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  94998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95009 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v8i16:{ *:[v8i16] } FPR128:{ *:[v2f64] }:$src)
     /*  95009 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  95014 */   GIR_RootConstrainSelectedInstOperands,
     /*  95015 */   // GIR_Coverage, 6850,
     /*  95015 */   GIR_Done,
     /*  95016 */ // Label 1669: @95016
     /*  95016 */ GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(95042), // Rule ID 6851 //
     /*  95021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95035 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v4f32] }:$src)  =>  (REV32v8i16:{ *:[v8i16] } FPR128:{ *:[v4f32] }:$src)
     /*  95035 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  95040 */   GIR_RootConstrainSelectedInstOperands,
     /*  95041 */   // GIR_Coverage, 6851,
     /*  95041 */   GIR_Done,
     /*  95042 */ // Label 1670: @95042
     /*  95042 */ GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(95071), // Rule ID 6852 //
     /*  95047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  95050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95058 */   // (bitconvert:{ *:[v8i16] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v8i16] }:$src
     /*  95058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95061 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95063 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95065 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95070 */   // GIR_Coverage, 6852,
     /*  95070 */   GIR_EraseRootFromParent_Done,
     /*  95071 */ // Label 1671: @95071
     /*  95071 */ GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(95103), // Rule ID 6853 //
     /*  95076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  95082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95090 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  95090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95093 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95095 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95097 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95102 */   // GIR_Coverage, 6853,
     /*  95102 */   GIR_EraseRootFromParent_Done,
     /*  95103 */ // Label 1672: @95103
     /*  95103 */ GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(95135), // Rule ID 6854 //
     /*  95108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95122 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  95122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95125 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95127 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95129 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95134 */   // GIR_Coverage, 6854,
     /*  95134 */   GIR_EraseRootFromParent_Done,
     /*  95135 */ // Label 1673: @95135
     /*  95135 */ GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(95167), // Rule ID 6855 //
     /*  95140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95154 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  95154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95157 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95159 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95161 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95166 */   // GIR_Coverage, 6855,
     /*  95166 */   GIR_EraseRootFromParent_Done,
     /*  95167 */ // Label 1674: @95167
     /*  95167 */ GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(95199), // Rule ID 6856 //
     /*  95172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  95178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95186 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v16i8] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  95186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95189 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95191 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95193 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95198 */   // GIR_Coverage, 6856,
     /*  95198 */   GIR_EraseRootFromParent_Done,
     /*  95199 */ // Label 1675: @95199
     /*  95199 */ GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(95231), // Rule ID 6857 //
     /*  95204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95218 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  95218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95221 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95223 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95225 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95230 */   // GIR_Coverage, 6857,
     /*  95230 */   GIR_EraseRootFromParent_Done,
     /*  95231 */ // Label 1676: @95231
     /*  95231 */ GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(95263), // Rule ID 6858 //
     /*  95236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95250 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  95250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95253 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95255 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95257 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95262 */   // GIR_Coverage, 6858,
     /*  95262 */   GIR_EraseRootFromParent_Done,
     /*  95263 */ // Label 1677: @95263
     /*  95263 */ GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(95334), // Rule ID 6859 //
     /*  95268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  95274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95282 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v8f16] } (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v8i16:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  95282 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  95285 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  95289 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  95294 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  95298 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  95300 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  95303 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  95307 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  95312 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  95316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  95318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  95321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  95323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  95326 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  95329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  95332 */   GIR_RootConstrainSelectedInstOperands,
     /*  95333 */   // GIR_Coverage, 6859,
     /*  95333 */   GIR_EraseRootFromParent_Done,
     /*  95334 */ // Label 1678: @95334
     /*  95334 */ GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(95360), // Rule ID 6860 //
     /*  95339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95353 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v8i16:{ *:[v8f16] } FPR128:{ *:[v2i64] }:$src)
     /*  95353 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  95358 */   GIR_RootConstrainSelectedInstOperands,
     /*  95359 */   // GIR_Coverage, 6860,
     /*  95359 */   GIR_Done,
     /*  95360 */ // Label 1679: @95360
     /*  95360 */ GIM_Try, /*On fail goto*//*Label 1680*/ GIMT_Encode4(95386), // Rule ID 6861 //
     /*  95365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95379 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4i32] }:$src)  =>  (REV32v8i16:{ *:[v8f16] } FPR128:{ *:[v4i32] }:$src)
     /*  95379 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  95384 */   GIR_RootConstrainSelectedInstOperands,
     /*  95385 */   // GIR_Coverage, 6861,
     /*  95385 */   GIR_Done,
     /*  95386 */ // Label 1680: @95386
     /*  95386 */ GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(95412), // Rule ID 6862 //
     /*  95391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /*  95397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95405 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v16i8] }:$src)  =>  (REV16v16i8:{ *:[v8f16] } FPR128:{ *:[v16i8] }:$src)
     /*  95405 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  95410 */   GIR_RootConstrainSelectedInstOperands,
     /*  95411 */   // GIR_Coverage, 6862,
     /*  95411 */   GIR_Done,
     /*  95412 */ // Label 1681: @95412
     /*  95412 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(95438), // Rule ID 6863 //
     /*  95417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95431 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v8i16:{ *:[v8f16] } FPR128:{ *:[v2f64] }:$src)
     /*  95431 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /*  95436 */   GIR_RootConstrainSelectedInstOperands,
     /*  95437 */   // GIR_Coverage, 6863,
     /*  95437 */   GIR_Done,
     /*  95438 */ // Label 1682: @95438
     /*  95438 */ GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(95464), // Rule ID 6864 //
     /*  95443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95457 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v4f32] }:$src)  =>  (REV32v8i16:{ *:[v8f16] } FPR128:{ *:[v4f32] }:$src)
     /*  95457 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /*  95462 */   GIR_RootConstrainSelectedInstOperands,
     /*  95463 */   // GIR_Coverage, 6864,
     /*  95463 */   GIR_Done,
     /*  95464 */ // Label 1683: @95464
     /*  95464 */ GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(95493), // Rule ID 6865 //
     /*  95469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  95472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95480 */   // (bitconvert:{ *:[v8f16] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v8f16] }:$src
     /*  95480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95483 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95485 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95487 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95492 */   // GIR_Coverage, 6865,
     /*  95492 */   GIR_EraseRootFromParent_Done,
     /*  95493 */ // Label 1684: @95493
     /*  95493 */ GIM_Reject,
     /*  95494 */ // Label 1444: @95494
     /*  95494 */ GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(95526), // Rule ID 6866 //
     /*  95499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  95505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95509 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95513 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[f128] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  95513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95516 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95518 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95520 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95525 */   // GIR_Coverage, 6866,
     /*  95525 */   GIR_EraseRootFromParent_Done,
     /*  95526 */ // Label 1685: @95526
     /*  95526 */ GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(95558), // Rule ID 6867 //
     /*  95531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95545 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2i64] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  95545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95548 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95550 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95552 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95557 */   // GIR_Coverage, 6867,
     /*  95557 */   GIR_EraseRootFromParent_Done,
     /*  95558 */ // Label 1686: @95558
     /*  95558 */ GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(95590), // Rule ID 6868 //
     /*  95563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95577 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4i32] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  95577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95580 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95582 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95584 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95589 */   // GIR_Coverage, 6868,
     /*  95589 */   GIR_EraseRootFromParent_Done,
     /*  95590 */ // Label 1687: @95590
     /*  95590 */ GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(95622), // Rule ID 6869 //
     /*  95595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  95601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95609 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8i16] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  95609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95612 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95614 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95616 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95621 */   // GIR_Coverage, 6869,
     /*  95621 */   GIR_EraseRootFromParent_Done,
     /*  95622 */ // Label 1688: @95622
     /*  95622 */ GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(95654), // Rule ID 6870 //
     /*  95627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95641 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2f64] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  95641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95644 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95646 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95648 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95653 */   // GIR_Coverage, 6870,
     /*  95653 */   GIR_EraseRootFromParent_Done,
     /*  95654 */ // Label 1689: @95654
     /*  95654 */ GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(95686), // Rule ID 6871 //
     /*  95659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95673 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4f32] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  95673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95676 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95678 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95680 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95685 */   // GIR_Coverage, 6871,
     /*  95685 */   GIR_EraseRootFromParent_Done,
     /*  95686 */ // Label 1690: @95686
     /*  95686 */ GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(95718), // Rule ID 6872 //
     /*  95691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /*  95694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  95697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95705 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8f16] }:$src)  =>  FPR128:{ *:[v16i8] }:$src
     /*  95705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95708 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95710 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95712 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95717 */   // GIR_Coverage, 6872,
     /*  95717 */   GIR_EraseRootFromParent_Done,
     /*  95718 */ // Label 1691: @95718
     /*  95718 */ GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(95789), // Rule ID 6873 //
     /*  95723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s128,
     /*  95729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95737 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[f128] }:$src)  =>  (EXTv16i8:{ *:[v16i8] } (REV64v16i8:{ *:[f128] } FPR128:{ *:[f128] }:$src), (REV64v16i8:{ *:[f128] } FPR128:{ *:[f128] }:$src), 8:{ *:[i32] })
     /*  95737 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  95740 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  95744 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  95749 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  95753 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  95755 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  95758 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  95762 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  95767 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /*  95771 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  95773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /*  95776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  95778 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  95781 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  95784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  95787 */   GIR_RootConstrainSelectedInstOperands,
     /*  95788 */   // GIR_Coverage, 6873,
     /*  95788 */   GIR_EraseRootFromParent_Done,
     /*  95789 */ // Label 1692: @95789
     /*  95789 */ GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(95815), // Rule ID 6874 //
     /*  95794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95808 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2i64] }:$src)  =>  (REV64v16i8:{ *:[v16i8] } FPR128:{ *:[v2i64] }:$src)
     /*  95808 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  95813 */   GIR_RootConstrainSelectedInstOperands,
     /*  95814 */   // GIR_Coverage, 6874,
     /*  95814 */   GIR_Done,
     /*  95815 */ // Label 1693: @95815
     /*  95815 */ GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(95841), // Rule ID 6875 //
     /*  95820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95834 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4i32] }:$src)  =>  (REV32v16i8:{ *:[v16i8] } FPR128:{ *:[v4i32] }:$src)
     /*  95834 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  95839 */   GIR_RootConstrainSelectedInstOperands,
     /*  95840 */   // GIR_Coverage, 6875,
     /*  95840 */   GIR_Done,
     /*  95841 */ // Label 1694: @95841
     /*  95841 */ GIM_Try, /*On fail goto*//*Label 1695*/ GIMT_Encode4(95867), // Rule ID 6876 //
     /*  95846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  95852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95860 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8i16] }:$src)  =>  (REV16v16i8:{ *:[v16i8] } FPR128:{ *:[v8i16] }:$src)
     /*  95860 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  95865 */   GIR_RootConstrainSelectedInstOperands,
     /*  95866 */   // GIR_Coverage, 6876,
     /*  95866 */   GIR_Done,
     /*  95867 */ // Label 1695: @95867
     /*  95867 */ GIM_Try, /*On fail goto*//*Label 1696*/ GIMT_Encode4(95893), // Rule ID 6877 //
     /*  95872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  95878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95886 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v2f64] }:$src)  =>  (REV64v16i8:{ *:[v16i8] } FPR128:{ *:[v2f64] }:$src)
     /*  95886 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /*  95891 */   GIR_RootConstrainSelectedInstOperands,
     /*  95892 */   // GIR_Coverage, 6877,
     /*  95892 */   GIR_Done,
     /*  95893 */ // Label 1696: @95893
     /*  95893 */ GIM_Try, /*On fail goto*//*Label 1697*/ GIMT_Encode4(95919), // Rule ID 6878 //
     /*  95898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  95904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95912 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v4f32] }:$src)  =>  (REV32v16i8:{ *:[v16i8] } FPR128:{ *:[v4f32] }:$src)
     /*  95912 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /*  95917 */   GIR_RootConstrainSelectedInstOperands,
     /*  95918 */   // GIR_Coverage, 6878,
     /*  95918 */   GIR_Done,
     /*  95919 */ // Label 1697: @95919
     /*  95919 */ GIM_Try, /*On fail goto*//*Label 1698*/ GIMT_Encode4(95945), // Rule ID 6879 //
     /*  95924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsBE),
     /*  95927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  95930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  95938 */   // (bitconvert:{ *:[v16i8] } FPR128:{ *:[v8f16] }:$src)  =>  (REV16v16i8:{ *:[v16i8] } FPR128:{ *:[v8f16] }:$src)
     /*  95938 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /*  95943 */   GIR_RootConstrainSelectedInstOperands,
     /*  95944 */   // GIR_Coverage, 6879,
     /*  95944 */   GIR_Done,
     /*  95945 */ // Label 1698: @95945
     /*  95945 */ GIM_Reject,
     /*  95946 */ // Label 1445: @95946
     /*  95946 */ GIM_Try, /*On fail goto*//*Label 1699*/ GIMT_Encode4(95978), // Rule ID 10548 //
     /*  95951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  95954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  95957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95965 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  95965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  95968 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  95970 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  95972 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95977 */   // GIR_Coverage, 10548,
     /*  95977 */   GIR_EraseRootFromParent_Done,
     /*  95978 */ // Label 1699: @95978
     /*  95978 */ GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(96010), // Rule ID 10549 //
     /*  95983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  95986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  95989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  95997 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  95997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96000 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96002 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96004 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96009 */   // GIR_Coverage, 10549,
     /*  96009 */   GIR_EraseRootFromParent_Done,
     /*  96010 */ // Label 1700: @96010
     /*  96010 */ GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(96042), // Rule ID 10550 //
     /*  96015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96029 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  96029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96032 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96034 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96036 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96041 */   // GIR_Coverage, 10550,
     /*  96041 */   GIR_EraseRootFromParent_Done,
     /*  96042 */ // Label 1701: @96042
     /*  96042 */ GIM_Try, /*On fail goto*//*Label 1702*/ GIMT_Encode4(96074), // Rule ID 10551 //
     /*  96047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96061 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  96061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96064 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96066 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96068 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96073 */   // GIR_Coverage, 10551,
     /*  96073 */   GIR_EraseRootFromParent_Done,
     /*  96074 */ // Label 1702: @96074
     /*  96074 */ GIM_Try, /*On fail goto*//*Label 1703*/ GIMT_Encode4(96106), // Rule ID 10552 //
     /*  96079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96093 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  96093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96096 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96098 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96100 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96105 */   // GIR_Coverage, 10552,
     /*  96105 */   GIR_EraseRootFromParent_Done,
     /*  96106 */ // Label 1703: @96106
     /*  96106 */ GIM_Try, /*On fail goto*//*Label 1704*/ GIMT_Encode4(96138), // Rule ID 10553 //
     /*  96111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96125 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  96125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96128 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96130 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96132 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96137 */   // GIR_Coverage, 10553,
     /*  96137 */   GIR_EraseRootFromParent_Done,
     /*  96138 */ // Label 1704: @96138
     /*  96138 */ GIM_Try, /*On fail goto*//*Label 1705*/ GIMT_Encode4(96170), // Rule ID 10566 //
     /*  96143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  96149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96157 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  96157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96160 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96162 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96164 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96169 */   // GIR_Coverage, 10566,
     /*  96169 */   GIR_EraseRootFromParent_Done,
     /*  96170 */ // Label 1705: @96170
     /*  96170 */ GIM_Try, /*On fail goto*//*Label 1706*/ GIMT_Encode4(96202), // Rule ID 10567 //
     /*  96175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96189 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  96189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96192 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96194 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96196 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96201 */   // GIR_Coverage, 10567,
     /*  96201 */   GIR_EraseRootFromParent_Done,
     /*  96202 */ // Label 1706: @96202
     /*  96202 */ GIM_Try, /*On fail goto*//*Label 1707*/ GIMT_Encode4(96234), // Rule ID 10568 //
     /*  96207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96221 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  96221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96224 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96226 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96228 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96233 */   // GIR_Coverage, 10568,
     /*  96233 */   GIR_EraseRootFromParent_Done,
     /*  96234 */ // Label 1707: @96234
     /*  96234 */ GIM_Try, /*On fail goto*//*Label 1708*/ GIMT_Encode4(96266), // Rule ID 10569 //
     /*  96239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96253 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  96253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96256 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96258 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96260 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96265 */   // GIR_Coverage, 10569,
     /*  96265 */   GIR_EraseRootFromParent_Done,
     /*  96266 */ // Label 1708: @96266
     /*  96266 */ GIM_Try, /*On fail goto*//*Label 1709*/ GIMT_Encode4(96298), // Rule ID 10570 //
     /*  96271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96285 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  96285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96288 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96290 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96292 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96297 */   // GIR_Coverage, 10570,
     /*  96297 */   GIR_EraseRootFromParent_Done,
     /*  96298 */ // Label 1709: @96298
     /*  96298 */ GIM_Try, /*On fail goto*//*Label 1710*/ GIMT_Encode4(96330), // Rule ID 10571 //
     /*  96303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96317 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  96317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96320 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96322 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96324 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96329 */   // GIR_Coverage, 10571,
     /*  96329 */   GIR_EraseRootFromParent_Done,
     /*  96330 */ // Label 1710: @96330
     /*  96330 */ GIM_Try, /*On fail goto*//*Label 1711*/ GIMT_Encode4(96362), // Rule ID 10576 //
     /*  96335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  96338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96349 */   // (bitconvert:{ *:[nxv2i64] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv2i64] }:$src
     /*  96349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96352 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96354 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96356 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96361 */   // GIR_Coverage, 10576,
     /*  96361 */   GIR_EraseRootFromParent_Done,
     /*  96362 */ // Label 1711: @96362
     /*  96362 */ GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(96394), // Rule ID 10577 //
     /*  96367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  96370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96381 */   // (bitconvert:{ *:[nxv2f64] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv2f64] }:$src
     /*  96381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96384 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96386 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96388 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96393 */   // GIR_Coverage, 10577,
     /*  96393 */   GIR_EraseRootFromParent_Done,
     /*  96394 */ // Label 1712: @96394
     /*  96394 */ GIM_Reject,
     /*  96395 */ // Label 1446: @96395
     /*  96395 */ GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(96427), // Rule ID 10542 //
     /*  96400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  96406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96414 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96417 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96419 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96421 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96426 */   // GIR_Coverage, 10542,
     /*  96426 */   GIR_EraseRootFromParent_Done,
     /*  96427 */ // Label 1713: @96427
     /*  96427 */ GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(96459), // Rule ID 10543 //
     /*  96432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96446 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96449 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96451 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96453 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96458 */   // GIR_Coverage, 10543,
     /*  96458 */   GIR_EraseRootFromParent_Done,
     /*  96459 */ // Label 1714: @96459
     /*  96459 */ GIM_Try, /*On fail goto*//*Label 1715*/ GIMT_Encode4(96491), // Rule ID 10544 //
     /*  96464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96478 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96481 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96483 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96485 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96490 */   // GIR_Coverage, 10544,
     /*  96490 */   GIR_EraseRootFromParent_Done,
     /*  96491 */ // Label 1715: @96491
     /*  96491 */ GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(96523), // Rule ID 10545 //
     /*  96496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96510 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96513 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96515 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96517 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96522 */   // GIR_Coverage, 10545,
     /*  96522 */   GIR_EraseRootFromParent_Done,
     /*  96523 */ // Label 1716: @96523
     /*  96523 */ GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(96555), // Rule ID 10546 //
     /*  96528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96542 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96545 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96547 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96549 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96554 */   // GIR_Coverage, 10546,
     /*  96554 */   GIR_EraseRootFromParent_Done,
     /*  96555 */ // Label 1717: @96555
     /*  96555 */ GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(96587), // Rule ID 10547 //
     /*  96560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96574 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96577 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96579 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96581 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96586 */   // GIR_Coverage, 10547,
     /*  96586 */   GIR_EraseRootFromParent_Done,
     /*  96587 */ // Label 1718: @96587
     /*  96587 */ GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(96619), // Rule ID 10560 //
     /*  96592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  96598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96606 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96609 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96611 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96613 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96618 */   // GIR_Coverage, 10560,
     /*  96618 */   GIR_EraseRootFromParent_Done,
     /*  96619 */ // Label 1719: @96619
     /*  96619 */ GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(96651), // Rule ID 10561 //
     /*  96624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96638 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96641 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96643 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96645 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96650 */   // GIR_Coverage, 10561,
     /*  96650 */   GIR_EraseRootFromParent_Done,
     /*  96651 */ // Label 1720: @96651
     /*  96651 */ GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(96683), // Rule ID 10562 //
     /*  96656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96670 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96673 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96675 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96677 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96682 */   // GIR_Coverage, 10562,
     /*  96682 */   GIR_EraseRootFromParent_Done,
     /*  96683 */ // Label 1721: @96683
     /*  96683 */ GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(96715), // Rule ID 10563 //
     /*  96688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96702 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96705 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96707 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96709 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96714 */   // GIR_Coverage, 10563,
     /*  96714 */   GIR_EraseRootFromParent_Done,
     /*  96715 */ // Label 1722: @96715
     /*  96715 */ GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(96747), // Rule ID 10564 //
     /*  96720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96734 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96737 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96739 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96741 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96746 */   // GIR_Coverage, 10564,
     /*  96746 */   GIR_EraseRootFromParent_Done,
     /*  96747 */ // Label 1723: @96747
     /*  96747 */ GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(96779), // Rule ID 10565 //
     /*  96752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96766 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96769 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96771 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96773 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96778 */   // GIR_Coverage, 10565,
     /*  96778 */   GIR_EraseRootFromParent_Done,
     /*  96779 */ // Label 1724: @96779
     /*  96779 */ GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(96811), // Rule ID 10574 //
     /*  96784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  96787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96798 */   // (bitconvert:{ *:[nxv4i32] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv4i32] }:$src
     /*  96798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96801 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96803 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96805 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96810 */   // GIR_Coverage, 10574,
     /*  96810 */   GIR_EraseRootFromParent_Done,
     /*  96811 */ // Label 1725: @96811
     /*  96811 */ GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(96843), // Rule ID 10575 //
     /*  96816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  96819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96830 */   // (bitconvert:{ *:[nxv4f32] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv4f32] }:$src
     /*  96830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96833 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96835 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96837 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96842 */   // GIR_Coverage, 10575,
     /*  96842 */   GIR_EraseRootFromParent_Done,
     /*  96843 */ // Label 1726: @96843
     /*  96843 */ GIM_Reject,
     /*  96844 */ // Label 1447: @96844
     /*  96844 */ GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(96876), // Rule ID 10536 //
     /*  96849 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96852 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  96855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96859 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96863 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96866 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96868 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96870 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96875 */   // GIR_Coverage, 10536,
     /*  96875 */   GIR_EraseRootFromParent_Done,
     /*  96876 */ // Label 1727: @96876
     /*  96876 */ GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(96908), // Rule ID 10537 //
     /*  96881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96895 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96898 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96900 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96902 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96907 */   // GIR_Coverage, 10537,
     /*  96907 */   GIR_EraseRootFromParent_Done,
     /*  96908 */ // Label 1728: @96908
     /*  96908 */ GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(96940), // Rule ID 10538 //
     /*  96913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  96919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96927 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96930 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96932 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96934 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96939 */   // GIR_Coverage, 10538,
     /*  96939 */   GIR_EraseRootFromParent_Done,
     /*  96940 */ // Label 1729: @96940
     /*  96940 */ GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(96972), // Rule ID 10539 //
     /*  96945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  96951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96959 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96962 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96964 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96966 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96971 */   // GIR_Coverage, 10539,
     /*  96971 */   GIR_EraseRootFromParent_Done,
     /*  96972 */ // Label 1730: @96972
     /*  96972 */ GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(97004), // Rule ID 10540 //
     /*  96977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  96980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  96983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  96991 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  96991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  96994 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  96996 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  96998 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97003 */   // GIR_Coverage, 10540,
     /*  97003 */   GIR_EraseRootFromParent_Done,
     /*  97004 */ // Label 1731: @97004
     /*  97004 */ GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(97036), // Rule ID 10541 //
     /*  97009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  97015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97019 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97023 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  97023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97026 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97028 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97030 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97035 */   // GIR_Coverage, 10541,
     /*  97035 */   GIR_EraseRootFromParent_Done,
     /*  97036 */ // Label 1732: @97036
     /*  97036 */ GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(97068), // Rule ID 10554 //
     /*  97041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  97047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97055 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv16i8] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  97055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97058 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97060 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97062 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97067 */   // GIR_Coverage, 10554,
     /*  97067 */   GIR_EraseRootFromParent_Done,
     /*  97068 */ // Label 1733: @97068
     /*  97068 */ GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(97100), // Rule ID 10555 //
     /*  97073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  97079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97087 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  97087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97090 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97092 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97094 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97099 */   // GIR_Coverage, 10555,
     /*  97099 */   GIR_EraseRootFromParent_Done,
     /*  97100 */ // Label 1734: @97100
     /*  97100 */ GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(97132), // Rule ID 10556 //
     /*  97105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  97111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97119 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  97119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97122 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97124 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97126 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97131 */   // GIR_Coverage, 10556,
     /*  97131 */   GIR_EraseRootFromParent_Done,
     /*  97132 */ // Label 1735: @97132
     /*  97132 */ GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(97164), // Rule ID 10557 //
     /*  97137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  97143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97151 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  97151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97154 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97156 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97158 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97163 */   // GIR_Coverage, 10557,
     /*  97163 */   GIR_EraseRootFromParent_Done,
     /*  97164 */ // Label 1736: @97164
     /*  97164 */ GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(97196), // Rule ID 10558 //
     /*  97169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  97175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97183 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  97183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97186 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97188 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97190 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97195 */   // GIR_Coverage, 10558,
     /*  97195 */   GIR_EraseRootFromParent_Done,
     /*  97196 */ // Label 1737: @97196
     /*  97196 */ GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(97228), // Rule ID 10559 //
     /*  97201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  97207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97215 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  97215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97218 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97220 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97222 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97227 */   // GIR_Coverage, 10559,
     /*  97227 */   GIR_EraseRootFromParent_Done,
     /*  97228 */ // Label 1738: @97228
     /*  97228 */ GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(97260), // Rule ID 10572 //
     /*  97233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  97236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  97239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97247 */   // (bitconvert:{ *:[nxv8i16] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv8i16] }:$src
     /*  97247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97250 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97252 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97254 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97259 */   // GIR_Coverage, 10572,
     /*  97259 */   GIR_EraseRootFromParent_Done,
     /*  97260 */ // Label 1739: @97260
     /*  97260 */ GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(97292), // Rule ID 10573 //
     /*  97265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /*  97268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  97271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97279 */   // (bitconvert:{ *:[nxv8f16] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv8f16] }:$src
     /*  97279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97282 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97284 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97286 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97291 */   // GIR_Coverage, 10573,
     /*  97291 */   GIR_EraseRootFromParent_Done,
     /*  97292 */ // Label 1740: @97292
     /*  97292 */ GIM_Reject,
     /*  97293 */ // Label 1448: @97293
     /*  97293 */ GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(97325), // Rule ID 10530 //
     /*  97298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  97304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97312 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv8i16] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  97312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97315 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97317 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97319 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97324 */   // GIR_Coverage, 10530,
     /*  97324 */   GIR_EraseRootFromParent_Done,
     /*  97325 */ // Label 1741: @97325
     /*  97325 */ GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(97357), // Rule ID 10531 //
     /*  97330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  97336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97344 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv4i32] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  97344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97347 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97349 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97351 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97356 */   // GIR_Coverage, 10531,
     /*  97356 */   GIR_EraseRootFromParent_Done,
     /*  97357 */ // Label 1742: @97357
     /*  97357 */ GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(97389), // Rule ID 10532 //
     /*  97362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  97368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97376 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv2i64] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  97376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97379 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97381 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97383 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97388 */   // GIR_Coverage, 10532,
     /*  97388 */   GIR_EraseRootFromParent_Done,
     /*  97389 */ // Label 1743: @97389
     /*  97389 */ GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(97421), // Rule ID 10533 //
     /*  97394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  97400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97408 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  97408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97411 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97413 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97415 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97420 */   // GIR_Coverage, 10533,
     /*  97420 */   GIR_EraseRootFromParent_Done,
     /*  97421 */ // Label 1744: @97421
     /*  97421 */ GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(97453), // Rule ID 10534 //
     /*  97426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  97432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97440 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv4f32] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  97440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97443 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97445 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97447 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97452 */   // GIR_Coverage, 10534,
     /*  97452 */   GIR_EraseRootFromParent_Done,
     /*  97453 */ // Label 1745: @97453
     /*  97453 */ GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(97485), // Rule ID 10535 //
     /*  97458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME_IsLE),
     /*  97461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  97464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97472 */   // (bitconvert:{ *:[nxv16i8] } ZPR:{ *:[nxv2f64] }:$src)  =>  ZPR:{ *:[nxv16i8] }:$src
     /*  97472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97475 */   GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /*  97477 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /*  97479 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /*  97484 */   // GIR_Coverage, 10535,
     /*  97484 */   GIR_EraseRootFromParent_Done,
     /*  97485 */ // Label 1746: @97485
     /*  97485 */ GIM_Reject,
     /*  97486 */ // Label 1449: @97486
     /*  97486 */ GIM_Reject,
     /*  97487 */ // Label 10: @97487
     /*  97487 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 1755*/ GIMT_Encode4(97977),
     /*  97498 */ /*GILLT_s16*//*Label 1747*/ GIMT_Encode4(97538),
     /*  97502 */ /*GILLT_s32*//*Label 1748*/ GIMT_Encode4(97569),
     /*  97506 */ /*GILLT_s64*//*Label 1749*/ GIMT_Encode4(97600), GIMT_Encode4(0),
     /*  97514 */ /*GILLT_v2s32*//*Label 1750*/ GIMT_Encode4(97631),
     /*  97518 */ /*GILLT_v2s64*//*Label 1751*/ GIMT_Encode4(97662),
     /*  97522 */ /*GILLT_v4s16*//*Label 1752*/ GIMT_Encode4(97693),
     /*  97526 */ /*GILLT_v4s32*//*Label 1753*/ GIMT_Encode4(97724), GIMT_Encode4(0),
     /*  97534 */ /*GILLT_v8s16*//*Label 1754*/ GIMT_Encode4(97755),
     /*  97538 */ // Label 1747: @97538
     /*  97538 */ GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(97568), // Rule ID 564 //
     /*  97543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  97546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  97549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  97553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  97557 */   // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTZHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /*  97557 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZHr),
     /*  97562 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97566 */   GIR_RootConstrainSelectedInstOperands,
     /*  97567 */   // GIR_Coverage, 564,
     /*  97567 */   GIR_Done,
     /*  97568 */ // Label 1756: @97568
     /*  97568 */ GIM_Reject,
     /*  97569 */ // Label 1748: @97569
     /*  97569 */ GIM_Try, /*On fail goto*//*Label 1757*/ GIMT_Encode4(97599), // Rule ID 566 //
     /*  97574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  97577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  97580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  97584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  97588 */   // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTZSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /*  97588 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZSr),
     /*  97593 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97597 */   GIR_RootConstrainSelectedInstOperands,
     /*  97598 */   // GIR_Coverage, 566,
     /*  97598 */   GIR_Done,
     /*  97599 */ // Label 1757: @97599
     /*  97599 */ GIM_Reject,
     /*  97600 */ // Label 1749: @97600
     /*  97600 */ GIM_Try, /*On fail goto*//*Label 1758*/ GIMT_Encode4(97630), // Rule ID 568 //
     /*  97605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  97608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  97611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97619 */   // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTZDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /*  97619 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZDr),
     /*  97624 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97628 */   GIR_RootConstrainSelectedInstOperands,
     /*  97629 */   // GIR_Coverage, 568,
     /*  97629 */   GIR_Done,
     /*  97630 */ // Label 1758: @97630
     /*  97630 */ GIM_Reject,
     /*  97631 */ // Label 1750: @97631
     /*  97631 */ GIM_Try, /*On fail goto*//*Label 1759*/ GIMT_Encode4(97661), // Rule ID 933 //
     /*  97636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  97639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  97642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97650 */   // (ftrunc:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTZv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /*  97650 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv2f32),
     /*  97655 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97659 */   GIR_RootConstrainSelectedInstOperands,
     /*  97660 */   // GIR_Coverage, 933,
     /*  97660 */   GIR_Done,
     /*  97661 */ // Label 1759: @97661
     /*  97661 */ GIM_Reject,
     /*  97662 */ // Label 1751: @97662
     /*  97662 */ GIM_Try, /*On fail goto*//*Label 1760*/ GIMT_Encode4(97692), // Rule ID 937 //
     /*  97667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  97670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  97673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97681 */   // (ftrunc:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTZv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /*  97681 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv2f64),
     /*  97686 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97690 */   GIR_RootConstrainSelectedInstOperands,
     /*  97691 */   // GIR_Coverage, 937,
     /*  97691 */   GIR_Done,
     /*  97692 */ // Label 1760: @97692
     /*  97692 */ GIM_Reject,
     /*  97693 */ // Label 1752: @97693
     /*  97693 */ GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(97723), // Rule ID 929 //
     /*  97698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  97701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  97704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97712 */   // (ftrunc:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTZv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /*  97712 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f16),
     /*  97717 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97721 */   GIR_RootConstrainSelectedInstOperands,
     /*  97722 */   // GIR_Coverage, 929,
     /*  97722 */   GIR_Done,
     /*  97723 */ // Label 1761: @97723
     /*  97723 */ GIM_Reject,
     /*  97724 */ // Label 1753: @97724
     /*  97724 */ GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(97754), // Rule ID 935 //
     /*  97729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  97732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  97735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97739 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97743 */   // (ftrunc:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTZv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /*  97743 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f32),
     /*  97748 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97752 */   GIR_RootConstrainSelectedInstOperands,
     /*  97753 */   // GIR_Coverage, 935,
     /*  97753 */   GIR_Done,
     /*  97754 */ // Label 1762: @97754
     /*  97754 */ GIM_Reject,
     /*  97755 */ // Label 1754: @97755
     /*  97755 */ GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(97976),
     /*  97760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  97763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97771 */   GIM_Try, /*On fail goto*//*Label 1764*/ GIMT_Encode4(97790), // Rule ID 931 //
     /*  97776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  97779 */     // (ftrunc:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTZv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /*  97779 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv8f16),
     /*  97784 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  97788 */     GIR_RootConstrainSelectedInstOperands,
     /*  97789 */     // GIR_Coverage, 931,
     /*  97789 */     GIR_Done,
     /*  97790 */   // Label 1764: @97790
     /*  97790 */   GIM_Try, /*On fail goto*//*Label 1765*/ GIMT_Encode4(97975), // Rule ID 6998 //
     /*  97795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /*  97798 */     // (ftrunc:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTZv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTZv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /*  97798 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /*  97801 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /*  97805 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97810 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  97814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  97816 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /*  97819 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f32),
     /*  97823 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97828 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  97831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  97833 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /*  97836 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  97840 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97845 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /*  97851 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97856 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97861 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /*  97864 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /*  97868 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97873 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  97876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  97878 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /*  97881 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTZv4f32),
     /*  97885 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97890 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  97893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  97895 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /*  97898 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /*  97902 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97907 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  97910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  97912 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  97915 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  97919 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  97926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  97929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  97933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  97938 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  97941 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  97944 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  97947 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97952 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  97957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  97962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  97965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  97967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  97970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  97973 */     GIR_RootConstrainSelectedInstOperands,
     /*  97974 */     // GIR_Coverage, 6998,
     /*  97974 */     GIR_EraseRootFromParent_Done,
     /*  97975 */   // Label 1765: @97975
     /*  97975 */   GIM_Reject,
     /*  97976 */ // Label 1763: @97976
     /*  97976 */ GIM_Reject,
     /*  97977 */ // Label 1755: @97977
     /*  97977 */ GIM_Reject,
     /*  97978 */ // Label 11: @97978
     /*  97978 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 1774*/ GIMT_Encode4(98468),
     /*  97989 */ /*GILLT_s16*//*Label 1766*/ GIMT_Encode4(98029),
     /*  97993 */ /*GILLT_s32*//*Label 1767*/ GIMT_Encode4(98060),
     /*  97997 */ /*GILLT_s64*//*Label 1768*/ GIMT_Encode4(98091), GIMT_Encode4(0),
     /*  98005 */ /*GILLT_v2s32*//*Label 1769*/ GIMT_Encode4(98122),
     /*  98009 */ /*GILLT_v2s64*//*Label 1770*/ GIMT_Encode4(98153),
     /*  98013 */ /*GILLT_v4s16*//*Label 1771*/ GIMT_Encode4(98184),
     /*  98017 */ /*GILLT_v4s32*//*Label 1772*/ GIMT_Encode4(98215), GIMT_Encode4(0),
     /*  98025 */ /*GILLT_v8s16*//*Label 1773*/ GIMT_Encode4(98246),
     /*  98029 */ // Label 1766: @98029
     /*  98029 */ GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(98059), // Rule ID 528 //
     /*  98034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  98037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  98040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  98044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  98048 */   // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTAHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /*  98048 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAHr),
     /*  98053 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98057 */   GIR_RootConstrainSelectedInstOperands,
     /*  98058 */   // GIR_Coverage, 528,
     /*  98058 */   GIR_Done,
     /*  98059 */ // Label 1775: @98059
     /*  98059 */ GIM_Reject,
     /*  98060 */ // Label 1767: @98060
     /*  98060 */ GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(98090), // Rule ID 530 //
     /*  98065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  98068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  98071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  98075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  98079 */   // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTASr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /*  98079 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTASr),
     /*  98084 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98088 */   GIR_RootConstrainSelectedInstOperands,
     /*  98089 */   // GIR_Coverage, 530,
     /*  98089 */   GIR_Done,
     /*  98090 */ // Label 1776: @98090
     /*  98090 */ GIM_Reject,
     /*  98091 */ // Label 1768: @98091
     /*  98091 */ GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(98121), // Rule ID 532 //
     /*  98096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  98099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  98102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98110 */   // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTADr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /*  98110 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTADr),
     /*  98115 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98119 */   GIR_RootConstrainSelectedInstOperands,
     /*  98120 */   // GIR_Coverage, 532,
     /*  98120 */   GIR_Done,
     /*  98121 */ // Label 1777: @98121
     /*  98121 */ GIM_Reject,
     /*  98122 */ // Label 1769: @98122
     /*  98122 */ GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(98152), // Rule ID 873 //
     /*  98127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  98133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98141 */   // (fround:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTAv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /*  98141 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv2f32),
     /*  98146 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98150 */   GIR_RootConstrainSelectedInstOperands,
     /*  98151 */   // GIR_Coverage, 873,
     /*  98151 */   GIR_Done,
     /*  98152 */ // Label 1778: @98152
     /*  98152 */ GIM_Reject,
     /*  98153 */ // Label 1770: @98153
     /*  98153 */ GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(98183), // Rule ID 877 //
     /*  98158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  98164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98172 */   // (fround:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTAv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /*  98172 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv2f64),
     /*  98177 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98181 */   GIR_RootConstrainSelectedInstOperands,
     /*  98182 */   // GIR_Coverage, 877,
     /*  98182 */   GIR_Done,
     /*  98183 */ // Label 1779: @98183
     /*  98183 */ GIM_Reject,
     /*  98184 */ // Label 1771: @98184
     /*  98184 */ GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(98214), // Rule ID 869 //
     /*  98189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  98192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  98195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98203 */   // (fround:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTAv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /*  98203 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f16),
     /*  98208 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98212 */   GIR_RootConstrainSelectedInstOperands,
     /*  98213 */   // GIR_Coverage, 869,
     /*  98213 */   GIR_Done,
     /*  98214 */ // Label 1780: @98214
     /*  98214 */ GIM_Reject,
     /*  98215 */ // Label 1772: @98215
     /*  98215 */ GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(98245), // Rule ID 875 //
     /*  98220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  98223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  98226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98234 */   // (fround:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTAv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /*  98234 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f32),
     /*  98239 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98243 */   GIR_RootConstrainSelectedInstOperands,
     /*  98244 */   // GIR_Coverage, 875,
     /*  98244 */   GIR_Done,
     /*  98245 */ // Label 1781: @98245
     /*  98245 */ GIM_Reject,
     /*  98246 */ // Label 1773: @98246
     /*  98246 */ GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(98467),
     /*  98251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  98254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98262 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(98281), // Rule ID 871 //
     /*  98267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  98270 */     // (fround:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTAv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /*  98270 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv8f16),
     /*  98275 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98279 */     GIR_RootConstrainSelectedInstOperands,
     /*  98280 */     // GIR_Coverage, 871,
     /*  98280 */     GIR_Done,
     /*  98281 */   // Label 1783: @98281
     /*  98281 */   GIM_Try, /*On fail goto*//*Label 1784*/ GIMT_Encode4(98466), // Rule ID 6992 //
     /*  98286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /*  98289 */     // (fround:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTAv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTAv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /*  98289 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /*  98292 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /*  98296 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98301 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  98307 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /*  98310 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f32),
     /*  98314 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98319 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  98322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  98324 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /*  98327 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  98331 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98336 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /*  98342 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98347 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98352 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /*  98355 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /*  98359 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98364 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  98367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  98369 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /*  98372 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTAv4f32),
     /*  98376 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98381 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  98384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  98386 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /*  98389 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /*  98393 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98398 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  98401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  98403 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  98406 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  98410 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  98417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  98420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  98424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98429 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  98432 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  98435 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  98438 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98443 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  98448 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  98453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  98456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  98458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  98464 */     GIR_RootConstrainSelectedInstOperands,
     /*  98465 */     // GIR_Coverage, 6992,
     /*  98465 */     GIR_EraseRootFromParent_Done,
     /*  98466 */   // Label 1784: @98466
     /*  98466 */   GIM_Reject,
     /*  98467 */ // Label 1782: @98467
     /*  98467 */ GIM_Reject,
     /*  98468 */ // Label 1774: @98468
     /*  98468 */ GIM_Reject,
     /*  98469 */ // Label 12: @98469
     /*  98469 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 1787*/ GIMT_Encode4(98736),
     /*  98480 */ /*GILLT_s32*//*Label 1785*/ GIMT_Encode4(98488),
     /*  98484 */ /*GILLT_s64*//*Label 1786*/ GIMT_Encode4(98612),
     /*  98488 */ // Label 1785: @98488
     /*  98488 */ GIM_Try, /*On fail goto*//*Label 1788*/ GIMT_Encode4(98531), // Rule ID 4785 //
     /*  98493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  98496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  98499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  98503 */   // (lrint:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } (FRINTXHr:{ *:[i16] } f16:{ *:[f16] }:$Rn))
     /*  98503 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  98506 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /*  98510 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98515 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98519 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /*  98524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98526 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98529 */   GIR_RootConstrainSelectedInstOperands,
     /*  98530 */   // GIR_Coverage, 4785,
     /*  98530 */   GIR_EraseRootFromParent_Done,
     /*  98531 */ // Label 1788: @98531
     /*  98531 */ GIM_Try, /*On fail goto*//*Label 1789*/ GIMT_Encode4(98571), // Rule ID 4791 //
     /*  98536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  98539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  98543 */   // (lrint:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } (FRINTXSr:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /*  98543 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  98546 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /*  98550 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98555 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98559 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /*  98564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98566 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98569 */   GIR_RootConstrainSelectedInstOperands,
     /*  98570 */   // GIR_Coverage, 4791,
     /*  98570 */   GIR_EraseRootFromParent_Done,
     /*  98571 */ // Label 1789: @98571
     /*  98571 */ GIM_Try, /*On fail goto*//*Label 1790*/ GIMT_Encode4(98611), // Rule ID 4793 //
     /*  98576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  98579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  98583 */   // (lrint:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } (FRINTXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /*  98583 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  98586 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /*  98590 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98595 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98599 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /*  98604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98606 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98609 */   GIR_RootConstrainSelectedInstOperands,
     /*  98610 */   // GIR_Coverage, 4793,
     /*  98610 */   GIR_EraseRootFromParent_Done,
     /*  98611 */ // Label 1790: @98611
     /*  98611 */ GIM_Reject,
     /*  98612 */ // Label 1786: @98612
     /*  98612 */ GIM_Try, /*On fail goto*//*Label 1791*/ GIMT_Encode4(98655), // Rule ID 4787 //
     /*  98617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  98620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  98623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98627 */   // (lrint:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } (FRINTXHr:{ *:[i16] } f16:{ *:[f16] }:$Rn))
     /*  98627 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  98630 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /*  98634 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98639 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98643 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /*  98648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98650 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98653 */   GIR_RootConstrainSelectedInstOperands,
     /*  98654 */   // GIR_Coverage, 4787,
     /*  98654 */   GIR_EraseRootFromParent_Done,
     /*  98655 */ // Label 1791: @98655
     /*  98655 */ GIM_Try, /*On fail goto*//*Label 1792*/ GIMT_Encode4(98695), // Rule ID 4795 //
     /*  98660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  98663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98667 */   // (lrint:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } (FRINTXSr:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /*  98667 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  98670 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /*  98674 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98679 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98683 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /*  98688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98690 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98693 */   GIR_RootConstrainSelectedInstOperands,
     /*  98694 */   // GIR_Coverage, 4795,
     /*  98694 */   GIR_EraseRootFromParent_Done,
     /*  98695 */ // Label 1792: @98695
     /*  98695 */ GIM_Try, /*On fail goto*//*Label 1793*/ GIMT_Encode4(98735), // Rule ID 4797 //
     /*  98700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  98703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98707 */   // (lrint:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } (FRINTXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /*  98707 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  98710 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /*  98714 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98719 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98723 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98725 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /*  98728 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98730 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98733 */   GIR_RootConstrainSelectedInstOperands,
     /*  98734 */   // GIR_Coverage, 4797,
     /*  98734 */   GIR_EraseRootFromParent_Done,
     /*  98735 */ // Label 1793: @98735
     /*  98735 */ GIM_Reject,
     /*  98736 */ // Label 1787: @98736
     /*  98736 */ GIM_Reject,
     /*  98737 */ // Label 13: @98737
     /*  98737 */ GIM_Try, /*On fail goto*//*Label 1794*/ GIMT_Encode4(98886),
     /*  98742 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  98745 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 1798*/ GIMT_Encode4(98885),
     /*  98756 */   /*GILLT_s16*//*Label 1795*/ GIMT_Encode4(98768),
     /*  98760 */   /*GILLT_s32*//*Label 1796*/ GIMT_Encode4(98809),
     /*  98764 */   /*GILLT_s64*//*Label 1797*/ GIMT_Encode4(98847),
     /*  98768 */   // Label 1795: @98768
     /*  98768 */   GIM_Try, /*On fail goto*//*Label 1799*/ GIMT_Encode4(98808), // Rule ID 4789 //
     /*  98773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  98776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98780 */     // (llrint:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } (FRINTXHr:{ *:[i16] } f16:{ *:[f16] }:$Rn))
     /*  98780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  98783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /*  98787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98792 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /*  98801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98806 */     GIR_RootConstrainSelectedInstOperands,
     /*  98807 */     // GIR_Coverage, 4789,
     /*  98807 */     GIR_EraseRootFromParent_Done,
     /*  98808 */   // Label 1799: @98808
     /*  98808 */   GIM_Reject,
     /*  98809 */   // Label 1796: @98809
     /*  98809 */   GIM_Try, /*On fail goto*//*Label 1800*/ GIMT_Encode4(98846), // Rule ID 4799 //
     /*  98814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98818 */     // (llrint:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } (FRINTXSr:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /*  98818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  98821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /*  98825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98830 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /*  98839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98844 */     GIR_RootConstrainSelectedInstOperands,
     /*  98845 */     // GIR_Coverage, 4799,
     /*  98845 */     GIR_EraseRootFromParent_Done,
     /*  98846 */   // Label 1800: @98846
     /*  98846 */   GIM_Reject,
     /*  98847 */   // Label 1797: @98847
     /*  98847 */   GIM_Try, /*On fail goto*//*Label 1801*/ GIMT_Encode4(98884), // Rule ID 4801 //
     /*  98852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  98856 */     // (llrint:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } (FRINTXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /*  98856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  98859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /*  98863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  98868 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  98872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  98874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /*  98877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /*  98879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  98882 */     GIR_RootConstrainSelectedInstOperands,
     /*  98883 */     // GIR_Coverage, 4801,
     /*  98883 */     GIR_EraseRootFromParent_Done,
     /*  98884 */   // Label 1801: @98884
     /*  98884 */   GIM_Reject,
     /*  98885 */   // Label 1798: @98885
     /*  98885 */   GIM_Reject,
     /*  98886 */ // Label 1794: @98886
     /*  98886 */ GIM_Reject,
     /*  98887 */ // Label 14: @98887
     /*  98887 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 1810*/ GIMT_Encode4(99377),
     /*  98898 */ /*GILLT_s16*//*Label 1802*/ GIMT_Encode4(98938),
     /*  98902 */ /*GILLT_s32*//*Label 1803*/ GIMT_Encode4(98969),
     /*  98906 */ /*GILLT_s64*//*Label 1804*/ GIMT_Encode4(99000), GIMT_Encode4(0),
     /*  98914 */ /*GILLT_v2s32*//*Label 1805*/ GIMT_Encode4(99031),
     /*  98918 */ /*GILLT_v2s64*//*Label 1806*/ GIMT_Encode4(99062),
     /*  98922 */ /*GILLT_v4s16*//*Label 1807*/ GIMT_Encode4(99093),
     /*  98926 */ /*GILLT_v4s32*//*Label 1808*/ GIMT_Encode4(99124), GIMT_Encode4(0),
     /*  98934 */ /*GILLT_v8s16*//*Label 1809*/ GIMT_Encode4(99155),
     /*  98938 */ // Label 1802: @98938
     /*  98938 */ GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(98968), // Rule ID 546 //
     /*  98943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /*  98946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  98949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  98953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  98957 */   // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTNHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /*  98957 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNHr),
     /*  98962 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98966 */   GIR_RootConstrainSelectedInstOperands,
     /*  98967 */   // GIR_Coverage, 546,
     /*  98967 */   GIR_Done,
     /*  98968 */ // Label 1811: @98968
     /*  98968 */ GIM_Reject,
     /*  98969 */ // Label 1803: @98969
     /*  98969 */ GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(98999), // Rule ID 548 //
     /*  98974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  98977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  98980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  98984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  98988 */   // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTNSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /*  98988 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNSr),
     /*  98993 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  98997 */   GIR_RootConstrainSelectedInstOperands,
     /*  98998 */   // GIR_Coverage, 548,
     /*  98998 */   GIR_Done,
     /*  98999 */ // Label 1812: @98999
     /*  98999 */ GIM_Reject,
     /*  99000 */ // Label 1804: @99000
     /*  99000 */ GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(99030), // Rule ID 550 //
     /*  99005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  99011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99019 */   // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTNDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /*  99019 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNDr),
     /*  99024 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  99028 */   GIR_RootConstrainSelectedInstOperands,
     /*  99029 */   // GIR_Coverage, 550,
     /*  99029 */   GIR_Done,
     /*  99030 */ // Label 1813: @99030
     /*  99030 */ GIM_Reject,
     /*  99031 */ // Label 1805: @99031
     /*  99031 */ GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(99061), // Rule ID 903 //
     /*  99036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  99039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /*  99042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99050 */   // (froundeven:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTNv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /*  99050 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv2f32),
     /*  99055 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  99059 */   GIR_RootConstrainSelectedInstOperands,
     /*  99060 */   // GIR_Coverage, 903,
     /*  99060 */   GIR_Done,
     /*  99061 */ // Label 1814: @99061
     /*  99061 */ GIM_Reject,
     /*  99062 */ // Label 1806: @99062
     /*  99062 */ GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(99092), // Rule ID 907 //
     /*  99067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  99070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /*  99073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99081 */   // (froundeven:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTNv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /*  99081 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv2f64),
     /*  99086 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  99090 */   GIR_RootConstrainSelectedInstOperands,
     /*  99091 */   // GIR_Coverage, 907,
     /*  99091 */   GIR_Done,
     /*  99092 */ // Label 1815: @99092
     /*  99092 */ GIM_Reject,
     /*  99093 */ // Label 1807: @99093
     /*  99093 */ GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(99123), // Rule ID 899 //
     /*  99098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  99101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /*  99104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99112 */   // (froundeven:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTNv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /*  99112 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f16),
     /*  99117 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  99121 */   GIR_RootConstrainSelectedInstOperands,
     /*  99122 */   // GIR_Coverage, 899,
     /*  99122 */   GIR_Done,
     /*  99123 */ // Label 1816: @99123
     /*  99123 */ GIM_Reject,
     /*  99124 */ // Label 1808: @99124
     /*  99124 */ GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(99154), // Rule ID 905 //
     /*  99129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /*  99132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /*  99135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99143 */   // (froundeven:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTNv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /*  99143 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f32),
     /*  99148 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  99152 */   GIR_RootConstrainSelectedInstOperands,
     /*  99153 */   // GIR_Coverage, 905,
     /*  99153 */   GIR_Done,
     /*  99154 */ // Label 1817: @99154
     /*  99154 */ GIM_Reject,
     /*  99155 */ // Label 1809: @99155
     /*  99155 */ GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(99376),
     /*  99160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /*  99163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99171 */   GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(99190), // Rule ID 901 //
     /*  99176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /*  99179 */     // (froundeven:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTNv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /*  99179 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv8f16),
     /*  99184 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /*  99188 */     GIR_RootConstrainSelectedInstOperands,
     /*  99189 */     // GIR_Coverage, 901,
     /*  99189 */     GIR_Done,
     /*  99190 */   // Label 1819: @99190
     /*  99190 */   GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(99375), // Rule ID 6994 //
     /*  99195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /*  99198 */     // (froundeven:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTNv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTNv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /*  99198 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /*  99201 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /*  99205 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99210 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /*  99214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /*  99216 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /*  99219 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f32),
     /*  99223 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99228 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /*  99231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /*  99233 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /*  99236 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  99240 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99245 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /*  99251 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99256 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99261 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /*  99264 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /*  99268 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99273 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /*  99276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /*  99278 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /*  99281 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTNv4f32),
     /*  99285 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99290 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /*  99293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /*  99295 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /*  99298 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /*  99302 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99307 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /*  99310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /*  99312 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /*  99315 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  99319 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  99326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /*  99329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  99333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  99338 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /*  99341 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /*  99344 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*  99347 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99352 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /*  99357 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /*  99362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /*  99365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  99367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  99370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /*  99373 */     GIR_RootConstrainSelectedInstOperands,
     /*  99374 */     // GIR_Coverage, 6994,
     /*  99374 */     GIR_EraseRootFromParent_Done,
     /*  99375 */   // Label 1820: @99375
     /*  99375 */   GIM_Reject,
     /*  99376 */ // Label 1818: @99376
     /*  99376 */ GIM_Reject,
     /*  99377 */ // Label 1810: @99377
     /*  99377 */ GIM_Reject,
     /*  99378 */ // Label 15: @99378
     /*  99378 */ GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(99410), // Rule ID 3904 //
     /*  99383 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  99386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /*  99390 */   // (readcyclecounter:{ *:[i64] })  =>  (MRS:{ *:[i64] }:{ *:[i32] } 57090:{ *:[i32] })
     /*  99390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS),
     /*  99393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99395 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(57090),
     /*  99405 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /*  99408 */   GIR_RootConstrainSelectedInstOperands,
     /*  99409 */   // GIR_Coverage, 3904,
     /*  99409 */   GIR_EraseRootFromParent_Done,
     /*  99410 */ // Label 1821: @99410
     /*  99410 */ GIM_Reject,
     /*  99411 */ // Label 16: @99411
     /*  99411 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(24), /*)*//*default:*//*Label 1842*/ GIMT_Encode4(108276),
     /*  99422 */ /*GILLT_s8*//*Label 1822*/ GIMT_Encode4(99518),
     /*  99426 */ /*GILLT_s16*//*Label 1823*/ GIMT_Encode4(99694),
     /*  99430 */ /*GILLT_s32*//*Label 1824*/ GIMT_Encode4(99870),
     /*  99434 */ /*GILLT_s64*//*Label 1825*/ GIMT_Encode4(102224),
     /*  99438 */ /*GILLT_s128*//*Label 1826*/ GIMT_Encode4(104905),
     /*  99442 */ /*GILLT_v2s32*//*Label 1827*/ GIMT_Encode4(105114),
     /*  99446 */ /*GILLT_v2s64*//*Label 1828*/ GIMT_Encode4(105492),
     /*  99450 */ /*GILLT_v4s16*//*Label 1829*/ GIMT_Encode4(105870),
     /*  99454 */ /*GILLT_v4s32*//*Label 1830*/ GIMT_Encode4(106248),
     /*  99458 */ /*GILLT_v8s8*//*Label 1831*/ GIMT_Encode4(106626),
     /*  99462 */ /*GILLT_v8s16*//*Label 1832*/ GIMT_Encode4(106834),
     /*  99466 */ /*GILLT_v16s8*//*Label 1833*/ GIMT_Encode4(107212), GIMT_Encode4(0), GIMT_Encode4(0),
     /*  99478 */ /*GILLT_nxv2s16*//*Label 1834*/ GIMT_Encode4(107420),
     /*  99482 */ /*GILLT_nxv2s32*//*Label 1835*/ GIMT_Encode4(107484),
     /*  99486 */ /*GILLT_nxv2s64*//*Label 1836*/ GIMT_Encode4(107548), GIMT_Encode4(0),
     /*  99494 */ /*GILLT_nxv4s16*//*Label 1837*/ GIMT_Encode4(107722),
     /*  99498 */ /*GILLT_nxv4s32*//*Label 1838*/ GIMT_Encode4(107786), GIMT_Encode4(0),
     /*  99506 */ /*GILLT_nxv8s16*//*Label 1839*/ GIMT_Encode4(107960),
     /*  99510 */ /*GILLT_nxv16s1*//*Label 1840*/ GIMT_Encode4(108134),
     /*  99514 */ /*GILLT_nxv16s8*//*Label 1841*/ GIMT_Encode4(108178),
     /*  99518 */ // Label 1822: @99518
     /*  99518 */ GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(99693),
     /*  99523 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99526 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /*  99534 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99538 */   GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(99579), // Rule ID 237 //
     /*  99543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /*  99553 */     // (ld:{ *:[i8] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /*  99553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /*  99556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99573 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99577 */     GIR_RootConstrainSelectedInstOperands,
     /*  99578 */     // GIR_Coverage, 237,
     /*  99578 */     GIR_EraseRootFromParent_Done,
     /*  99579 */   // Label 1844: @99579
     /*  99579 */   GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(99620), // Rule ID 238 //
     /*  99584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /*  99594 */     // (ld:{ *:[i8] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /*  99594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /*  99597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99614 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99618 */     GIR_RootConstrainSelectedInstOperands,
     /*  99619 */     // GIR_Coverage, 238,
     /*  99619 */     GIR_EraseRootFromParent_Done,
     /*  99620 */   // Label 1845: @99620
     /*  99620 */   GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(99656), // Rule ID 261 //
     /*  99625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /*  99635 */     // (ld:{ *:[i8] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /*  99635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /*  99638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99654 */     GIR_RootConstrainSelectedInstOperands,
     /*  99655 */     // GIR_Coverage, 261,
     /*  99655 */     GIR_EraseRootFromParent_Done,
     /*  99656 */   // Label 1846: @99656
     /*  99656 */   GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(99692), // Rule ID 282 //
     /*  99661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /*  99671 */     // (ld:{ *:[i8] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /*  99671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /*  99674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99690 */     GIR_RootConstrainSelectedInstOperands,
     /*  99691 */     // GIR_Coverage, 282,
     /*  99691 */     GIR_EraseRootFromParent_Done,
     /*  99692 */   // Label 1847: @99692
     /*  99692 */   GIM_Reject,
     /*  99693 */ // Label 1843: @99693
     /*  99693 */ GIM_Reject,
     /*  99694 */ // Label 1823: @99694
     /*  99694 */ GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(99869),
     /*  99699 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99702 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /*  99710 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99714 */   GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(99755), // Rule ID 239 //
     /*  99719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /*  99729 */     // (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRHroW:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /*  99729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /*  99732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99749 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99753 */     GIR_RootConstrainSelectedInstOperands,
     /*  99754 */     // GIR_Coverage, 239,
     /*  99754 */     GIR_EraseRootFromParent_Done,
     /*  99755 */   // Label 1849: @99755
     /*  99755 */   GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(99796), // Rule ID 240 //
     /*  99760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /*  99770 */     // (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRHroX:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /*  99770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /*  99773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99794 */     GIR_RootConstrainSelectedInstOperands,
     /*  99795 */     // GIR_Coverage, 240,
     /*  99795 */     GIR_EraseRootFromParent_Done,
     /*  99796 */   // Label 1850: @99796
     /*  99796 */   GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(99832), // Rule ID 262 //
     /*  99801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /*  99811 */     // (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRHui:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /*  99811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /*  99814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99830 */     GIR_RootConstrainSelectedInstOperands,
     /*  99831 */     // GIR_Coverage, 262,
     /*  99831 */     GIR_EraseRootFromParent_Done,
     /*  99832 */   // Label 1851: @99832
     /*  99832 */   GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(99868), // Rule ID 283 //
     /*  99837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /*  99847 */     // (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURHi:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /*  99847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /*  99850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /*  99862 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99866 */     GIR_RootConstrainSelectedInstOperands,
     /*  99867 */     // GIR_Coverage, 283,
     /*  99867 */     GIR_EraseRootFromParent_Done,
     /*  99868 */   // Label 1852: @99868
     /*  99868 */   GIM_Reject,
     /*  99869 */ // Label 1848: @99869
     /*  99869 */ GIM_Reject,
     /*  99870 */ // Label 1824: @99870
     /*  99870 */ GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(99923), // Rule ID 233 //
     /*  99875 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99878 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99886 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99890 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /*  99897 */   // (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /*  99897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /*  99900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99902 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99907 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99912 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99917 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99921 */   GIR_RootConstrainSelectedInstOperands,
     /*  99922 */   // GIR_Coverage, 233,
     /*  99922 */   GIR_EraseRootFromParent_Done,
     /*  99923 */ // Label 1853: @99923
     /*  99923 */ GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(99976), // Rule ID 234 //
     /*  99928 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99931 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /*  99939 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99943 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /*  99950 */   // (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /*  99950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /*  99953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /*  99955 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /*  99960 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /*  99965 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /*  99970 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  99974 */   GIR_RootConstrainSelectedInstOperands,
     /*  99975 */   // GIR_Coverage, 234,
     /*  99975 */   GIR_EraseRootFromParent_Done,
     /*  99976 */ // Label 1854: @99976
     /*  99976 */ GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(100032), // Rule ID 241 //
     /*  99981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /*  99984 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  99987 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  99991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /*  99995 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  99999 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 100006 */   // (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRSroW:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 100006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 100009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100011 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100016 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100021 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100026 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100030 */   GIR_RootConstrainSelectedInstOperands,
     /* 100031 */   // GIR_Coverage, 241,
     /* 100031 */   GIR_EraseRootFromParent_Done,
     /* 100032 */ // Label 1855: @100032
     /* 100032 */ GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(100088), // Rule ID 242 //
     /* 100037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 100040 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100043 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 100051 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100055 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 100062 */   // (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRSroX:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 100062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 100065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100067 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100072 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100077 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100082 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100086 */   GIR_RootConstrainSelectedInstOperands,
     /* 100087 */   // GIR_Coverage, 242,
     /* 100087 */   GIR_EraseRootFromParent_Done,
     /* 100088 */ // Label 1856: @100088
     /* 100088 */ GIM_Try, /*On fail goto*//*Label 1857*/ GIMT_Encode4(100148), // Rule ID 4120 //
     /* 100093 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100096 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100100 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100111 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100115 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 100122 */   // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 100122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 100125 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100127 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100132 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100137 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100142 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100146 */   GIR_RootConstrainSelectedInstOperands,
     /* 100147 */   // GIR_Coverage, 4120,
     /* 100147 */   GIR_EraseRootFromParent_Done,
     /* 100148 */ // Label 1857: @100148
     /* 100148 */ GIM_Try, /*On fail goto*//*Label 1858*/ GIMT_Encode4(100208), // Rule ID 4121 //
     /* 100153 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100156 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100160 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100171 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100175 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 100182 */   // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 100182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 100185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100187 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100192 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100197 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100202 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100206 */   GIR_RootConstrainSelectedInstOperands,
     /* 100207 */   // GIR_Coverage, 4121,
     /* 100207 */   GIR_EraseRootFromParent_Done,
     /* 100208 */ // Label 1858: @100208
     /* 100208 */ GIM_Try, /*On fail goto*//*Label 1859*/ GIMT_Encode4(100268), // Rule ID 4122 //
     /* 100213 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100216 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100220 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100231 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100235 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 100242 */   // (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 100242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 100245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100247 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100252 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100257 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100262 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100266 */   GIR_RootConstrainSelectedInstOperands,
     /* 100267 */   // GIR_Coverage, 4122,
     /* 100267 */   GIR_EraseRootFromParent_Done,
     /* 100268 */ // Label 1859: @100268
     /* 100268 */ GIM_Try, /*On fail goto*//*Label 1860*/ GIMT_Encode4(100328), // Rule ID 4123 //
     /* 100273 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100276 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100280 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100291 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100295 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 100302 */   // (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 100302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 100305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100307 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100317 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100322 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100326 */   GIR_RootConstrainSelectedInstOperands,
     /* 100327 */   // GIR_Coverage, 4123,
     /* 100327 */   GIR_EraseRootFromParent_Done,
     /* 100328 */ // Label 1860: @100328
     /* 100328 */ GIM_Try, /*On fail goto*//*Label 1861*/ GIMT_Encode4(100388), // Rule ID 4124 //
     /* 100333 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100336 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100340 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 100347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100351 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100355 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 100362 */   // (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 100362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /* 100365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100367 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100372 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100377 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100382 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100386 */   GIR_RootConstrainSelectedInstOperands,
     /* 100387 */   // GIR_Coverage, 4124,
     /* 100387 */   GIR_EraseRootFromParent_Done,
     /* 100388 */ // Label 1861: @100388
     /* 100388 */ GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(100448), // Rule ID 4125 //
     /* 100393 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100396 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100400 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 100407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100411 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100415 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 100422 */   // (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 100422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /* 100425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100427 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100432 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100437 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100442 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100446 */   GIR_RootConstrainSelectedInstOperands,
     /* 100447 */   // GIR_Coverage, 4125,
     /* 100447 */   GIR_EraseRootFromParent_Done,
     /* 100448 */ // Label 1862: @100448
     /* 100448 */ GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(100496), // Rule ID 260 //
     /* 100453 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100456 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100464 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100468 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 100475 */   // (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 100475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /* 100478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100480 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100485 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100490 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100494 */   GIR_RootConstrainSelectedInstOperands,
     /* 100495 */   // GIR_Coverage, 260,
     /* 100495 */   GIR_EraseRootFromParent_Done,
     /* 100496 */ // Label 1863: @100496
     /* 100496 */ GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(100547), // Rule ID 263 //
     /* 100501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 100504 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100507 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 100515 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100519 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 100526 */   // (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRSui:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 100526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 100529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100531 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100536 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100541 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100545 */   GIR_RootConstrainSelectedInstOperands,
     /* 100546 */   // GIR_Coverage, 263,
     /* 100546 */   GIR_EraseRootFromParent_Done,
     /* 100547 */ // Label 1864: @100547
     /* 100547 */ GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(100606), // Rule ID 7044 //
     /* 100552 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100555 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 100562 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100569 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100573 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 100580 */   // (atomic_load:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15861>>  =>  (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 100580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /* 100583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100585 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100590 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100595 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100600 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100604 */   GIR_RootConstrainSelectedInstOperands,
     /* 100605 */   // GIR_Coverage, 7044,
     /* 100605 */   GIR_EraseRootFromParent_Done,
     /* 100606 */ // Label 1865: @100606
     /* 100606 */ GIM_Try, /*On fail goto*//*Label 1866*/ GIMT_Encode4(100665), // Rule ID 7045 //
     /* 100611 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100614 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 100621 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100628 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100632 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 100639 */   // (atomic_load:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15861>>  =>  (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 100639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /* 100642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100644 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100649 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100654 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100659 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100663 */   GIR_RootConstrainSelectedInstOperands,
     /* 100664 */   // GIR_Coverage, 7045,
     /* 100664 */   GIR_EraseRootFromParent_Done,
     /* 100665 */ // Label 1866: @100665
     /* 100665 */ GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(100728), // Rule ID 7022 //
     /* 100670 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100673 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100677 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100684 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100691 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100695 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 100702 */   // (atomic_load:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15844>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset)
     /* 100702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 100705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100707 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100712 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100717 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100722 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100726 */   GIR_RootConstrainSelectedInstOperands,
     /* 100727 */   // GIR_Coverage, 7022,
     /* 100727 */   GIR_EraseRootFromParent_Done,
     /* 100728 */ // Label 1867: @100728
     /* 100728 */ GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(100791), // Rule ID 7024 //
     /* 100733 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100736 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100740 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 100747 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100754 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100758 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 100765 */   // (atomic_load:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15844>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset)
     /* 100765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 100768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100770 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100775 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100780 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 100785 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100789 */   GIR_RootConstrainSelectedInstOperands,
     /* 100790 */   // GIR_Coverage, 7024,
     /* 100790 */   GIR_EraseRootFromParent_Done,
     /* 100791 */ // Label 1868: @100791
     /* 100791 */ GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(100854), // Rule ID 7034 //
     /* 100796 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100799 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100803 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100810 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100817 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100821 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 100828 */   // (atomic_load:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15853>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 100828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 100831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100833 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100838 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100843 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100848 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100852 */   GIR_RootConstrainSelectedInstOperands,
     /* 100853 */   // GIR_Coverage, 7034,
     /* 100853 */   GIR_EraseRootFromParent_Done,
     /* 100854 */ // Label 1869: @100854
     /* 100854 */ GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(100917), // Rule ID 7036 //
     /* 100859 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 100862 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100866 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 100873 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 100876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100880 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100884 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 100891 */   // (atomic_load:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15853>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 100891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 100894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100896 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100901 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 100906 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 100911 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100915 */   GIR_RootConstrainSelectedInstOperands,
     /* 100916 */   // GIR_Coverage, 7036,
     /* 100916 */   GIR_EraseRootFromParent_Done,
     /* 100917 */ // Label 1870: @100917
     /* 100917 */ GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(100965), // Rule ID 281 //
     /* 100922 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100925 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 100933 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100937 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 100944 */   // (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 100944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /* 100947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 100949 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 100954 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 100959 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 100963 */   GIR_RootConstrainSelectedInstOperands,
     /* 100964 */   // GIR_Coverage, 281,
     /* 100964 */   GIR_EraseRootFromParent_Done,
     /* 100965 */ // Label 1871: @100965
     /* 100965 */ GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(101016), // Rule ID 284 //
     /* 100970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 100973 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 100976 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 100980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 100984 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 100988 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 100995 */   // (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURSi:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 100995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 100998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101000 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101005 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101010 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101014 */   GIR_RootConstrainSelectedInstOperands,
     /* 101015 */   // GIR_Coverage, 284,
     /* 101015 */   GIR_EraseRootFromParent_Done,
     /* 101016 */ // Label 1872: @101016
     /* 101016 */ GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(101070), // Rule ID 7046 //
     /* 101021 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101024 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 101031 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101038 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101042 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 101049 */   // (atomic_load:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15861>>  =>  (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 101049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /* 101052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101054 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101059 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101064 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101068 */   GIR_RootConstrainSelectedInstOperands,
     /* 101069 */   // GIR_Coverage, 7046,
     /* 101069 */   GIR_EraseRootFromParent_Done,
     /* 101070 */ // Label 1873: @101070
     /* 101070 */ GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(101124), // Rule ID 7047 //
     /* 101075 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101078 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 101085 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101092 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101096 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 101103 */   // (atomic_load:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15861>>  =>  (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /* 101106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101108 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101113 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101118 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101122 */   GIR_RootConstrainSelectedInstOperands,
     /* 101123 */   // GIR_Coverage, 7047,
     /* 101123 */   GIR_EraseRootFromParent_Done,
     /* 101124 */ // Label 1874: @101124
     /* 101124 */ GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(101181), // Rule ID 7406 //
     /* 101129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 101132 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101135 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 101142 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101149 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101153 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 101160 */   // (atomic_load:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15836>>  =>  (LDAPURi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURi),
     /* 101163 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101165 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101170 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101175 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101179 */   GIR_RootConstrainSelectedInstOperands,
     /* 101180 */   // GIR_Coverage, 7406,
     /* 101180 */   GIR_EraseRootFromParent_Done,
     /* 101181 */ // Label 1875: @101181
     /* 101181 */ GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(101236), // Rule ID 4147 //
     /* 101186 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101189 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101193 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101204 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101208 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 101215 */   // (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 101215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 101218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101220 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101225 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101230 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101234 */   GIR_RootConstrainSelectedInstOperands,
     /* 101235 */   // GIR_Coverage, 4147,
     /* 101235 */   GIR_EraseRootFromParent_Done,
     /* 101236 */ // Label 1876: @101236
     /* 101236 */ GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(101291), // Rule ID 4148 //
     /* 101241 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101244 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101248 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101259 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101263 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 101270 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 101270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 101273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101275 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101280 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101285 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101289 */   GIR_RootConstrainSelectedInstOperands,
     /* 101290 */   // GIR_Coverage, 4148,
     /* 101290 */   GIR_EraseRootFromParent_Done,
     /* 101291 */ // Label 1877: @101291
     /* 101291 */ GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(101346), // Rule ID 4149 //
     /* 101296 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101299 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101303 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101314 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101318 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 101325 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 101325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 101328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101330 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101335 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101340 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101344 */   GIR_RootConstrainSelectedInstOperands,
     /* 101345 */   // GIR_Coverage, 4149,
     /* 101345 */   GIR_EraseRootFromParent_Done,
     /* 101346 */ // Label 1878: @101346
     /* 101346 */ GIM_Try, /*On fail goto*//*Label 1879*/ GIMT_Encode4(101401), // Rule ID 4170 //
     /* 101351 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101354 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101358 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101369 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101373 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 101380 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 101383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101385 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101390 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101395 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101399 */   GIR_RootConstrainSelectedInstOperands,
     /* 101400 */   // GIR_Coverage, 4170,
     /* 101400 */   GIR_EraseRootFromParent_Done,
     /* 101401 */ // Label 1879: @101401
     /* 101401 */ GIM_Try, /*On fail goto*//*Label 1880*/ GIMT_Encode4(101456), // Rule ID 4171 //
     /* 101406 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101409 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101413 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101424 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101428 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 101435 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 101438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101440 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101445 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101450 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101454 */   GIR_RootConstrainSelectedInstOperands,
     /* 101455 */   // GIR_Coverage, 4171,
     /* 101455 */   GIR_EraseRootFromParent_Done,
     /* 101456 */ // Label 1880: @101456
     /* 101456 */ GIM_Try, /*On fail goto*//*Label 1881*/ GIMT_Encode4(101511), // Rule ID 4172 //
     /* 101461 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 101464 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101468 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101479 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101483 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 101490 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 101493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101495 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101500 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101505 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101509 */   GIR_RootConstrainSelectedInstOperands,
     /* 101510 */   // GIR_Coverage, 4172,
     /* 101510 */   GIR_EraseRootFromParent_Done,
     /* 101511 */ // Label 1881: @101511
     /* 101511 */ GIM_Try, /*On fail goto*//*Label 1882*/ GIMT_Encode4(101569), // Rule ID 7026 //
     /* 101516 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101519 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101523 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101530 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101537 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101541 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 101548 */   // (atomic_load:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15844>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 101548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 101551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101553 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101558 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101563 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101567 */   GIR_RootConstrainSelectedInstOperands,
     /* 101568 */   // GIR_Coverage, 7026,
     /* 101568 */   GIR_EraseRootFromParent_Done,
     /* 101569 */ // Label 1882: @101569
     /* 101569 */ GIM_Try, /*On fail goto*//*Label 1883*/ GIMT_Encode4(101627), // Rule ID 7028 //
     /* 101574 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101577 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101581 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101588 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101595 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101599 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 101606 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15844>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 101609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101611 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101616 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101621 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101625 */   GIR_RootConstrainSelectedInstOperands,
     /* 101626 */   // GIR_Coverage, 7028,
     /* 101626 */   GIR_EraseRootFromParent_Done,
     /* 101627 */ // Label 1883: @101627
     /* 101627 */ GIM_Try, /*On fail goto*//*Label 1884*/ GIMT_Encode4(101685), // Rule ID 7038 //
     /* 101632 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101635 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101639 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101646 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101653 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101657 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 101664 */   // (atomic_load:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15853>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 101664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 101667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101669 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101674 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101679 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101683 */   GIR_RootConstrainSelectedInstOperands,
     /* 101684 */   // GIR_Coverage, 7038,
     /* 101684 */   GIR_EraseRootFromParent_Done,
     /* 101685 */ // Label 1884: @101685
     /* 101685 */ GIM_Try, /*On fail goto*//*Label 1885*/ GIMT_Encode4(101743), // Rule ID 7040 //
     /* 101690 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101693 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101697 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101704 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101711 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101715 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 101722 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15853>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 101725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101727 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101732 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101737 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101741 */   GIR_RootConstrainSelectedInstOperands,
     /* 101742 */   // GIR_Coverage, 7040,
     /* 101742 */   GIR_EraseRootFromParent_Done,
     /* 101743 */ // Label 1885: @101743
     /* 101743 */ GIM_Try, /*On fail goto*//*Label 1886*/ GIMT_Encode4(101804), // Rule ID 7402 //
     /* 101748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 101751 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101754 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101758 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101765 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101772 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101776 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 101783 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15842>>  =>  (LDAPURBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURBi),
     /* 101786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101788 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101793 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101798 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101802 */   GIR_RootConstrainSelectedInstOperands,
     /* 101803 */   // GIR_Coverage, 7402,
     /* 101803 */   GIR_EraseRootFromParent_Done,
     /* 101804 */ // Label 1886: @101804
     /* 101804 */ GIM_Try, /*On fail goto*//*Label 1887*/ GIMT_Encode4(101865), // Rule ID 7404 //
     /* 101809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 101812 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101815 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 101819 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101826 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101833 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 101837 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 101844 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15851>>  =>  (LDAPURHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 101844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURHi),
     /* 101847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 101849 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 101854 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 101859 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 101863 */   GIR_RootConstrainSelectedInstOperands,
     /* 101864 */   // GIR_Coverage, 7404,
     /* 101864 */   GIR_EraseRootFromParent_Done,
     /* 101865 */ // Label 1887: @101865
     /* 101865 */ GIM_Try, /*On fail goto*//*Label 1888*/ GIMT_Encode4(101905), // Rule ID 7014 //
     /* 101870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 101873 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101876 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 101883 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101890 */   // MIs[0] ptr
     /* 101890 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101898 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_15832>>  =>  (LDAPRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 101898 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRB),
     /* 101903 */   GIR_RootConstrainSelectedInstOperands,
     /* 101904 */   // GIR_Coverage, 7014,
     /* 101904 */   GIR_Done,
     /* 101905 */ // Label 1888: @101905
     /* 101905 */ GIM_Try, /*On fail goto*//*Label 1889*/ GIMT_Encode4(101945), // Rule ID 7015 //
     /* 101910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 101913 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101916 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 101923 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101930 */   // MIs[0] ptr
     /* 101930 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101938 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_15834>>  =>  (LDAPRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 101938 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRH),
     /* 101943 */   GIR_RootConstrainSelectedInstOperands,
     /* 101944 */   // GIR_Coverage, 7015,
     /* 101944 */   GIR_Done,
     /* 101945 */ // Label 1889: @101945
     /* 101945 */ GIM_Try, /*On fail goto*//*Label 1890*/ GIMT_Encode4(101985), // Rule ID 7016 //
     /* 101950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 101953 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101956 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 101963 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 101966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 101970 */   // MIs[0] ptr
     /* 101970 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 101974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 101978 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15836>>  =>  (LDAPRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 101978 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRW),
     /* 101983 */   GIR_RootConstrainSelectedInstOperands,
     /* 101984 */   // GIR_Coverage, 7016,
     /* 101984 */   GIR_Done,
     /* 101985 */ // Label 1890: @101985
     /* 101985 */ GIM_Try, /*On fail goto*//*Label 1891*/ GIMT_Encode4(102022), // Rule ID 7042 //
     /* 101990 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 101993 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 102000 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 102003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102007 */   // MIs[0] ptr
     /* 102007 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102015 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15858>>  =>  (LDARW:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 102015 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARW),
     /* 102020 */   GIR_RootConstrainSelectedInstOperands,
     /* 102021 */   // GIR_Coverage, 7042,
     /* 102021 */   GIR_Done,
     /* 102022 */ // Label 1891: @102022
     /* 102022 */ GIM_Try, /*On fail goto*//*Label 1892*/ GIMT_Encode4(102059), // Rule ID 7043 //
     /* 102027 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102030 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 102037 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 102040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102044 */   // MIs[0] ptr
     /* 102044 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102052 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_15836>>  =>  (LDARW:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 102052 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARW),
     /* 102057 */   GIR_RootConstrainSelectedInstOperands,
     /* 102058 */   // GIR_Coverage, 7043,
     /* 102058 */   GIR_Done,
     /* 102059 */ // Label 1892: @102059
     /* 102059 */ GIM_Try, /*On fail goto*//*Label 1893*/ GIMT_Encode4(102100), // Rule ID 7018 //
     /* 102064 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102067 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102071 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 102078 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 102081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102085 */   // MIs[0] ptr
     /* 102085 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102093 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15840>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 102093 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /* 102098 */   GIR_RootConstrainSelectedInstOperands,
     /* 102099 */   // GIR_Coverage, 7018,
     /* 102099 */   GIR_Done,
     /* 102100 */ // Label 1893: @102100
     /* 102100 */ GIM_Try, /*On fail goto*//*Label 1894*/ GIMT_Encode4(102141), // Rule ID 7020 //
     /* 102105 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102108 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102112 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 102119 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 102122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102126 */   // MIs[0] ptr
     /* 102126 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102134 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_15842>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 102134 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /* 102139 */   GIR_RootConstrainSelectedInstOperands,
     /* 102140 */   // GIR_Coverage, 7020,
     /* 102140 */   GIR_Done,
     /* 102141 */ // Label 1894: @102141
     /* 102141 */ GIM_Try, /*On fail goto*//*Label 1895*/ GIMT_Encode4(102182), // Rule ID 7030 //
     /* 102146 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102149 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102153 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 102160 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 102163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102167 */   // MIs[0] ptr
     /* 102167 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102175 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15849>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 102175 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /* 102180 */   GIR_RootConstrainSelectedInstOperands,
     /* 102181 */   // GIR_Coverage, 7030,
     /* 102181 */   GIR_Done,
     /* 102182 */ // Label 1895: @102182
     /* 102182 */ GIM_Try, /*On fail goto*//*Label 1896*/ GIMT_Encode4(102223), // Rule ID 7032 //
     /* 102187 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 102190 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102194 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 102201 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 102204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102208 */   // MIs[0] ptr
     /* 102208 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 102212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 102216 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_15851>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 102216 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /* 102221 */   GIR_RootConstrainSelectedInstOperands,
     /* 102222 */   // GIR_Coverage, 7032,
     /* 102222 */   GIR_Done,
     /* 102223 */ // Label 1896: @102223
     /* 102223 */ GIM_Reject,
     /* 102224 */ // Label 1825: @102224
     /* 102224 */ GIM_Try, /*On fail goto*//*Label 1897*/ GIMT_Encode4(102277), // Rule ID 235 //
     /* 102229 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102232 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 102240 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102244 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 102251 */   // (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 102251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroW),
     /* 102254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102256 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102261 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102266 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102271 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102275 */   GIR_RootConstrainSelectedInstOperands,
     /* 102276 */   // GIR_Coverage, 235,
     /* 102276 */   GIR_EraseRootFromParent_Done,
     /* 102277 */ // Label 1897: @102277
     /* 102277 */ GIM_Try, /*On fail goto*//*Label 1898*/ GIMT_Encode4(102330), // Rule ID 236 //
     /* 102282 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102285 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 102293 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102297 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 102304 */   // (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 102304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroX),
     /* 102307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102309 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102314 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102319 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102324 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102328 */   GIR_RootConstrainSelectedInstOperands,
     /* 102329 */   // GIR_Coverage, 236,
     /* 102329 */   GIR_EraseRootFromParent_Done,
     /* 102330 */ // Label 1898: @102330
     /* 102330 */ GIM_Try, /*On fail goto*//*Label 1899*/ GIMT_Encode4(102386), // Rule ID 243 //
     /* 102335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 102338 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102341 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 102349 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102353 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 102360 */   // (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 102360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 102363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102365 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102370 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102375 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102380 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102384 */   GIR_RootConstrainSelectedInstOperands,
     /* 102385 */   // GIR_Coverage, 243,
     /* 102385 */   GIR_EraseRootFromParent_Done,
     /* 102386 */ // Label 1899: @102386
     /* 102386 */ GIM_Try, /*On fail goto*//*Label 1900*/ GIMT_Encode4(102442), // Rule ID 244 //
     /* 102391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 102394 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102397 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 102405 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102409 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 102416 */   // (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 102416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 102419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102421 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102426 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102431 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102436 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102440 */   GIR_RootConstrainSelectedInstOperands,
     /* 102441 */   // GIR_Coverage, 244,
     /* 102441 */   GIR_EraseRootFromParent_Done,
     /* 102442 */ // Label 1900: @102442
     /* 102442 */ GIM_Try, /*On fail goto*//*Label 1901*/ GIMT_Encode4(102495), // Rule ID 4086 //
     /* 102447 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102450 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 102458 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102462 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 102469 */   // (ld:{ *:[v1i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 102469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 102472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102474 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102479 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102484 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102489 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102493 */   GIR_RootConstrainSelectedInstOperands,
     /* 102494 */   // GIR_Coverage, 4086,
     /* 102494 */   GIR_EraseRootFromParent_Done,
     /* 102495 */ // Label 1901: @102495
     /* 102495 */ GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(102548), // Rule ID 4087 //
     /* 102500 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102503 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 102511 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102515 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 102522 */   // (ld:{ *:[v1i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 102522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 102525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102527 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102532 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102537 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102542 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102546 */   GIR_RootConstrainSelectedInstOperands,
     /* 102547 */   // GIR_Coverage, 4087,
     /* 102547 */   GIR_EraseRootFromParent_Done,
     /* 102548 */ // Label 1902: @102548
     /* 102548 */ GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(102601), // Rule ID 4088 //
     /* 102553 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102556 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 102564 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102568 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 102575 */   // (ld:{ *:[v1f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 102575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 102578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102580 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102585 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102590 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102595 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102599 */   GIR_RootConstrainSelectedInstOperands,
     /* 102600 */   // GIR_Coverage, 4088,
     /* 102600 */   GIR_EraseRootFromParent_Done,
     /* 102601 */ // Label 1903: @102601
     /* 102601 */ GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(102654), // Rule ID 4089 //
     /* 102606 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102609 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 102617 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102621 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 102628 */   // (ld:{ *:[v1f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 102628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 102631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 102633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102638 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102643 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102648 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102652 */   GIR_RootConstrainSelectedInstOperands,
     /* 102653 */   // GIR_Coverage, 4089,
     /* 102653 */   GIR_EraseRootFromParent_Done,
     /* 102654 */ // Label 1904: @102654
     /* 102654 */ GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(102746), // Rule ID 4112 //
     /* 102659 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102662 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102666 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 102673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102677 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102681 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 102688 */   // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 102688 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 102691 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 102695 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102700 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102710 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102715 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102719 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 102724 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102729 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 102735 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102740 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102745 */   // GIR_Coverage, 4112,
     /* 102745 */   GIR_EraseRootFromParent_Done,
     /* 102746 */ // Label 1905: @102746
     /* 102746 */ GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(102838), // Rule ID 4113 //
     /* 102751 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102754 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102758 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 102765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102769 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102773 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 102780 */   // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 102780 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 102783 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 102787 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102792 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102797 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102802 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102807 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102811 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 102816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102821 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 102827 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102832 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102837 */   // GIR_Coverage, 4113,
     /* 102837 */   GIR_EraseRootFromParent_Done,
     /* 102838 */ // Label 1906: @102838
     /* 102838 */ GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(102930), // Rule ID 4114 //
     /* 102843 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102846 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102850 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 102857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102861 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102865 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 102872 */   // (ld:{ *:[i64] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 102872 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 102875 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 102879 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102884 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102889 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102894 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102899 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102903 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 102908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 102910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 102913 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 102916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 102919 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102924 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 102929 */   // GIR_Coverage, 4114,
     /* 102929 */   GIR_EraseRootFromParent_Done,
     /* 102930 */ // Label 1907: @102930
     /* 102930 */ GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(103022), // Rule ID 4115 //
     /* 102935 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 102938 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 102942 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 102949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 102953 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 102957 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 102964 */   // (ld:{ *:[i64] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 102964 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 102967 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 102971 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 102976 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 102981 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 102986 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 102991 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 102995 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 102997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103005 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103011 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103016 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103021 */   // GIR_Coverage, 4115,
     /* 103021 */   GIR_EraseRootFromParent_Done,
     /* 103022 */ // Label 1908: @103022
     /* 103022 */ GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(103114), // Rule ID 4116 //
     /* 103027 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103030 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103034 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 103041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103045 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103049 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 103056 */   // (ld:{ *:[i64] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 103056 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103059 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /* 103063 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103068 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103073 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103078 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103083 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103087 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103097 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103103 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103108 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103113 */   // GIR_Coverage, 4116,
     /* 103113 */   GIR_EraseRootFromParent_Done,
     /* 103114 */ // Label 1909: @103114
     /* 103114 */ GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(103206), // Rule ID 4117 //
     /* 103119 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103122 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103126 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 103133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103137 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103141 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 103148 */   // (ld:{ *:[i64] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 103148 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103151 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /* 103155 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103160 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103165 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103170 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103175 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103179 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103189 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103195 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103200 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103205 */   // GIR_Coverage, 4117,
     /* 103205 */   GIR_EraseRootFromParent_Done,
     /* 103206 */ // Label 1910: @103206
     /* 103206 */ GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(103298), // Rule ID 4118 //
     /* 103211 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103214 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103218 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 103225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103229 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103233 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 103240 */   // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 103240 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103243 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 103247 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103252 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103257 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103262 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103267 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103271 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103281 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103287 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103292 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103297 */   // GIR_Coverage, 4118,
     /* 103297 */   GIR_EraseRootFromParent_Done,
     /* 103298 */ // Label 1911: @103298
     /* 103298 */ GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(103390), // Rule ID 4119 //
     /* 103303 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103306 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103310 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 103317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103321 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103325 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 103332 */   // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 103332 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 103335 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 103339 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 103344 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103349 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103354 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103359 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103363 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 103365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 103368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 103370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 103373 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 103376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 103379 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103384 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 103389 */   // GIR_Coverage, 4119,
     /* 103389 */   GIR_EraseRootFromParent_Done,
     /* 103390 */ // Label 1912: @103390
     /* 103390 */ GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(103438), // Rule ID 259 //
     /* 103395 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103398 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103406 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103410 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 103417 */   // (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 103417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXui),
     /* 103420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103422 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103427 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103432 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103436 */   GIR_RootConstrainSelectedInstOperands,
     /* 103437 */   // GIR_Coverage, 259,
     /* 103437 */   GIR_EraseRootFromParent_Done,
     /* 103438 */ // Label 1913: @103438
     /* 103438 */ GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(103489), // Rule ID 264 //
     /* 103443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 103446 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103449 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 103457 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103461 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 103468 */   // (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 103468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 103471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103473 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103478 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103483 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103487 */   GIR_RootConstrainSelectedInstOperands,
     /* 103488 */   // GIR_Coverage, 264,
     /* 103488 */   GIR_EraseRootFromParent_Done,
     /* 103489 */ // Label 1914: @103489
     /* 103489 */ GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(103548), // Rule ID 7050 //
     /* 103494 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 103497 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 103504 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 103507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103511 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103515 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 103522 */   // (atomic_load:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15869>>  =>  (LDRXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 103522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroW),
     /* 103525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103527 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103532 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103537 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103542 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103546 */   GIR_RootConstrainSelectedInstOperands,
     /* 103547 */   // GIR_Coverage, 7050,
     /* 103547 */   GIR_EraseRootFromParent_Done,
     /* 103548 */ // Label 1915: @103548
     /* 103548 */ GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(103607), // Rule ID 7051 //
     /* 103553 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 103556 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 103563 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 103566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103570 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103574 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 103581 */   // (atomic_load:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15869>>  =>  (LDRXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 103581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXroX),
     /* 103584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103586 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103591 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 103596 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 103601 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103605 */   GIR_RootConstrainSelectedInstOperands,
     /* 103606 */   // GIR_Coverage, 7051,
     /* 103606 */   GIR_EraseRootFromParent_Done,
     /* 103607 */ // Label 1916: @103607
     /* 103607 */ GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(103655), // Rule ID 280 //
     /* 103612 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103615 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103623 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103627 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 103634 */   // (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 103634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURXi),
     /* 103637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103639 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103644 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103649 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103653 */   GIR_RootConstrainSelectedInstOperands,
     /* 103654 */   // GIR_Coverage, 280,
     /* 103654 */   GIR_EraseRootFromParent_Done,
     /* 103655 */ // Label 1917: @103655
     /* 103655 */ GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(103706), // Rule ID 285 //
     /* 103660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 103663 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103666 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 103674 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103678 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 103685 */   // (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 103685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 103688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103690 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103695 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103700 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103704 */   GIR_RootConstrainSelectedInstOperands,
     /* 103705 */   // GIR_Coverage, 285,
     /* 103705 */   GIR_EraseRootFromParent_Done,
     /* 103706 */ // Label 1918: @103706
     /* 103706 */ GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(103760), // Rule ID 7052 //
     /* 103711 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 103714 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 103721 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 103724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103728 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103732 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 103739 */   // (atomic_load:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15869>>  =>  (LDRXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 103739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRXui),
     /* 103742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103744 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103749 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103754 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103758 */   GIR_RootConstrainSelectedInstOperands,
     /* 103759 */   // GIR_Coverage, 7052,
     /* 103759 */   GIR_EraseRootFromParent_Done,
     /* 103760 */ // Label 1919: @103760
     /* 103760 */ GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(103814), // Rule ID 7053 //
     /* 103765 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 103768 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 103775 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 103778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103782 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103786 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 103793 */   // (atomic_load:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15869>>  =>  (LDURXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 103793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURXi),
     /* 103796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103798 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103803 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103808 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103812 */   GIR_RootConstrainSelectedInstOperands,
     /* 103813 */   // GIR_Coverage, 7053,
     /* 103813 */   GIR_EraseRootFromParent_Done,
     /* 103814 */ // Label 1920: @103814
     /* 103814 */ GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(103871), // Rule ID 7407 //
     /* 103819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 103822 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 103825 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 103832 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 103835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 103839 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103843 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 103850 */   // (atomic_load:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15838>>  =>  (LDAPURXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 103850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURXi),
     /* 103853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103855 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103860 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103865 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103869 */   GIR_RootConstrainSelectedInstOperands,
     /* 103870 */   // GIR_Coverage, 7407,
     /* 103870 */   GIR_EraseRootFromParent_Done,
     /* 103871 */ // Label 1921: @103871
     /* 103871 */ GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(103919), // Rule ID 4133 //
     /* 103876 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103879 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 103887 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103891 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 103898 */   // (ld:{ *:[v1f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 103898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 103901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103903 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103908 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103913 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103917 */   GIR_RootConstrainSelectedInstOperands,
     /* 103918 */   // GIR_Coverage, 4133,
     /* 103918 */   GIR_EraseRootFromParent_Done,
     /* 103919 */ // Label 1922: @103919
     /* 103919 */ GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(103967), // Rule ID 4134 //
     /* 103924 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103927 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 103935 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103939 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 103946 */   // (ld:{ *:[v1i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 103946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 103949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 103951 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 103956 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 103961 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 103965 */   GIR_RootConstrainSelectedInstOperands,
     /* 103966 */   // GIR_Coverage, 4134,
     /* 103966 */   GIR_EraseRootFromParent_Done,
     /* 103967 */ // Label 1923: @103967
     /* 103967 */ GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(104054), // Rule ID 4150 //
     /* 103972 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 103975 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 103979 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 103986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 103990 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 103994 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 104001 */   // (ld:{ *:[i64] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 104001 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104004 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /* 104008 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104013 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104018 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104023 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104027 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104037 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104043 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104048 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104053 */   // GIR_Coverage, 4150,
     /* 104053 */   GIR_EraseRootFromParent_Done,
     /* 104054 */ // Label 1924: @104054
     /* 104054 */ GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(104141), // Rule ID 4151 //
     /* 104059 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104062 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104066 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 104073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104077 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104081 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 104088 */   // (ld:{ *:[i64] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 104088 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104091 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 104095 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104100 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104105 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104110 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104114 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104119 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104124 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104130 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104135 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104140 */   // GIR_Coverage, 4151,
     /* 104140 */   GIR_EraseRootFromParent_Done,
     /* 104141 */ // Label 1925: @104141
     /* 104141 */ GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(104228), // Rule ID 4152 //
     /* 104146 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104149 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104153 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104164 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104168 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 104175 */   // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 104175 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104178 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 104182 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104187 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104192 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104197 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104201 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104211 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104217 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104222 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104227 */   // GIR_Coverage, 4152,
     /* 104227 */   GIR_EraseRootFromParent_Done,
     /* 104228 */ // Label 1926: @104228
     /* 104228 */ GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(104315), // Rule ID 4153 //
     /* 104233 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104236 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104240 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104251 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104255 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 104262 */   // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 104262 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104265 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 104269 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104274 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104279 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104284 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104288 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104304 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104309 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104314 */   // GIR_Coverage, 4153,
     /* 104314 */   GIR_EraseRootFromParent_Done,
     /* 104315 */ // Label 1927: @104315
     /* 104315 */ GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(104363), // Rule ID 4161 //
     /* 104320 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104323 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 104331 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104335 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 104342 */   // (ld:{ *:[v1f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 104342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 104345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104347 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104352 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104357 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104361 */   GIR_RootConstrainSelectedInstOperands,
     /* 104362 */   // GIR_Coverage, 4161,
     /* 104362 */   GIR_EraseRootFromParent_Done,
     /* 104363 */ // Label 1928: @104363
     /* 104363 */ GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(104411), // Rule ID 4162 //
     /* 104368 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104371 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 104379 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104383 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 104390 */   // (ld:{ *:[v1i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 104390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 104393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104395 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104400 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104405 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104409 */   GIR_RootConstrainSelectedInstOperands,
     /* 104410 */   // GIR_Coverage, 4162,
     /* 104410 */   GIR_EraseRootFromParent_Done,
     /* 104411 */ // Label 1929: @104411
     /* 104411 */ GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(104498), // Rule ID 4173 //
     /* 104416 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104419 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104423 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 104430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104434 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104438 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 104445 */   // (ld:{ *:[i64] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 104445 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104448 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /* 104452 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104457 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104462 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104467 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104471 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104481 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104487 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104492 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104497 */   // GIR_Coverage, 4173,
     /* 104497 */   GIR_EraseRootFromParent_Done,
     /* 104498 */ // Label 1930: @104498
     /* 104498 */ GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(104585), // Rule ID 4174 //
     /* 104503 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104506 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104510 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 104517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104521 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104525 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 104532 */   // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 104532 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104535 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 104539 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104544 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104549 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104554 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104558 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104568 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104574 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104579 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104584 */   // GIR_Coverage, 4174,
     /* 104584 */   GIR_EraseRootFromParent_Done,
     /* 104585 */ // Label 1931: @104585
     /* 104585 */ GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(104672), // Rule ID 4175 //
     /* 104590 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104593 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104597 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104608 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104612 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 104619 */   // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 104619 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104622 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 104626 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104631 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104636 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104641 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104645 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104650 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104655 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104661 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104666 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104671 */   // GIR_Coverage, 4175,
     /* 104671 */   GIR_EraseRootFromParent_Done,
     /* 104672 */ // Label 1932: @104672
     /* 104672 */ GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(104759), // Rule ID 4176 //
     /* 104677 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104680 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104684 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 104691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104695 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104699 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 104706 */   // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 104706 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 104709 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 104713 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 104718 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104723 */   GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 104728 */   GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104732 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 104734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 104737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 104739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 104742 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 104745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 104748 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 104753 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 104758 */   // GIR_Coverage, 4176,
     /* 104758 */   GIR_EraseRootFromParent_Done,
     /* 104759 */ // Label 1933: @104759
     /* 104759 */ GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(104799), // Rule ID 7017 //
     /* 104764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC),
     /* 104767 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 104770 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 104777 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 104780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104784 */   // MIs[0] ptr
     /* 104784 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 104788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 104792 */   // (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15838>>  =>  (LDAPRX:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)
     /* 104792 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDAPRX),
     /* 104797 */   GIR_RootConstrainSelectedInstOperands,
     /* 104798 */   // GIR_Coverage, 7017,
     /* 104798 */   GIR_Done,
     /* 104799 */ // Label 1934: @104799
     /* 104799 */ GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(104836), // Rule ID 7048 //
     /* 104804 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 104807 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 104814 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 104817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104821 */   // MIs[0] ptr
     /* 104821 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 104825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 104829 */   // (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15866>>  =>  (LDARX:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)
     /* 104829 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARX),
     /* 104834 */   GIR_RootConstrainSelectedInstOperands,
     /* 104835 */   // GIR_Coverage, 7048,
     /* 104835 */   GIR_Done,
     /* 104836 */ // Label 1935: @104836
     /* 104836 */ GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(104873), // Rule ID 7049 //
     /* 104841 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 104844 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 104851 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 104854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 104858 */   // MIs[0] ptr
     /* 104858 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 104862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 104866 */   // (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15838>>  =>  (LDARX:{ *:[i64] } GPR64sp:{ *:[i64] }:$ptr)
     /* 104866 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARX),
     /* 104871 */   GIR_RootConstrainSelectedInstOperands,
     /* 104872 */   // GIR_Coverage, 7049,
     /* 104872 */   GIR_Done,
     /* 104873 */ // Label 1936: @104873
     /* 104873 */ GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(104904), // Rule ID 6397 //
     /* 104878 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104881 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 104889 */   // MIs[0] Rn
     /* 104889 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 104893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 104897 */   // (ld:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev1d:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 104897 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev1d),
     /* 104902 */   GIR_RootConstrainSelectedInstOperands,
     /* 104903 */   // GIR_Coverage, 6397,
     /* 104903 */   GIR_Done,
     /* 104904 */ // Label 1937: @104904
     /* 104904 */ GIM_Reject,
     /* 104905 */ // Label 1826: @104905
     /* 104905 */ GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(105113),
     /* 104910 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 104913 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 104917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 104921 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 104925 */   GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(104966), // Rule ID 245 //
     /* 104930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 104933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 104940 */     // (ld:{ *:[f128] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 104940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 104943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 104960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 104964 */     GIR_RootConstrainSelectedInstOperands,
     /* 104965 */     // GIR_Coverage, 245,
     /* 104965 */     GIR_EraseRootFromParent_Done,
     /* 104966 */   // Label 1939: @104966
     /* 104966 */   GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(105007), // Rule ID 246 //
     /* 104971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 104974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 104981 */     // (ld:{ *:[f128] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 104981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 104984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 104986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 104991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 104996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105001 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105005 */     GIR_RootConstrainSelectedInstOperands,
     /* 105006 */     // GIR_Coverage, 246,
     /* 105006 */     GIR_EraseRootFromParent_Done,
     /* 105007 */   // Label 1940: @105007
     /* 105007 */   GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(105043), // Rule ID 265 //
     /* 105012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 105015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 105022 */     // (ld:{ *:[f128] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 105022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 105025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105037 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105041 */     GIR_RootConstrainSelectedInstOperands,
     /* 105042 */     // GIR_Coverage, 265,
     /* 105042 */     GIR_EraseRootFromParent_Done,
     /* 105043 */   // Label 1941: @105043
     /* 105043 */   GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(105079), // Rule ID 286 //
     /* 105048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 105051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 105058 */     // (ld:{ *:[f128] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 105058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 105061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105077 */     GIR_RootConstrainSelectedInstOperands,
     /* 105078 */     // GIR_Coverage, 286,
     /* 105078 */     GIR_EraseRootFromParent_Done,
     /* 105079 */   // Label 1942: @105079
     /* 105079 */   GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(105112), // Rule ID 4142 //
     /* 105084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 105091 */     // (ld:{ *:[f128] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[f128] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 105091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 105094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105106 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105110 */     GIR_RootConstrainSelectedInstOperands,
     /* 105111 */     // GIR_Coverage, 4142,
     /* 105111 */     GIR_EraseRootFromParent_Done,
     /* 105112 */   // Label 1943: @105112
     /* 105112 */   GIM_Reject,
     /* 105113 */ // Label 1938: @105113
     /* 105113 */ GIM_Reject,
     /* 105114 */ // Label 1827: @105114
     /* 105114 */ GIM_Try, /*On fail goto*//*Label 1944*/ GIMT_Encode4(105491),
     /* 105119 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105122 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 105130 */   GIM_Try, /*On fail goto*//*Label 1945*/ GIMT_Encode4(105175), // Rule ID 4076 //
     /* 105135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105138 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 105149 */     // (ld:{ *:[v2i32] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 105149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 105152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105169 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105173 */     GIR_RootConstrainSelectedInstOperands,
     /* 105174 */     // GIR_Coverage, 4076,
     /* 105174 */     GIR_EraseRootFromParent_Done,
     /* 105175 */   // Label 1945: @105175
     /* 105175 */   GIM_Try, /*On fail goto*//*Label 1946*/ GIMT_Encode4(105220), // Rule ID 4077 //
     /* 105180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 105194 */     // (ld:{ *:[v2i32] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 105194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 105197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105218 */     GIR_RootConstrainSelectedInstOperands,
     /* 105219 */     // GIR_Coverage, 4077,
     /* 105219 */     GIR_EraseRootFromParent_Done,
     /* 105220 */   // Label 1946: @105220
     /* 105220 */   GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(105265), // Rule ID 4078 //
     /* 105225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105228 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 105239 */     // (ld:{ *:[v2f32] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 105239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 105242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105263 */     GIR_RootConstrainSelectedInstOperands,
     /* 105264 */     // GIR_Coverage, 4078,
     /* 105264 */     GIR_EraseRootFromParent_Done,
     /* 105265 */   // Label 1947: @105265
     /* 105265 */   GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(105310), // Rule ID 4079 //
     /* 105270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 105284 */     // (ld:{ *:[v2f32] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 105284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 105287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105304 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105308 */     GIR_RootConstrainSelectedInstOperands,
     /* 105309 */     // GIR_Coverage, 4079,
     /* 105309 */     GIR_EraseRootFromParent_Done,
     /* 105310 */   // Label 1948: @105310
     /* 105310 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(105350), // Rule ID 4128 //
     /* 105315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105318 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 105329 */     // (ld:{ *:[v2f32] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 105329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 105332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105344 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105348 */     GIR_RootConstrainSelectedInstOperands,
     /* 105349 */     // GIR_Coverage, 4128,
     /* 105349 */     GIR_EraseRootFromParent_Done,
     /* 105350 */   // Label 1949: @105350
     /* 105350 */   GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(105390), // Rule ID 4131 //
     /* 105355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 105369 */     // (ld:{ *:[v2i32] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 105369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 105372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105384 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105388 */     GIR_RootConstrainSelectedInstOperands,
     /* 105389 */     // GIR_Coverage, 4131,
     /* 105389 */     GIR_EraseRootFromParent_Done,
     /* 105390 */   // Label 1950: @105390
     /* 105390 */   GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(105430), // Rule ID 4156 //
     /* 105395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 105409 */     // (ld:{ *:[v2f32] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 105412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105424 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105428 */     GIR_RootConstrainSelectedInstOperands,
     /* 105429 */     // GIR_Coverage, 4156,
     /* 105429 */     GIR_EraseRootFromParent_Done,
     /* 105430 */   // Label 1951: @105430
     /* 105430 */   GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(105470), // Rule ID 4157 //
     /* 105435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105438 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 105449 */     // (ld:{ *:[v2i32] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 105452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105468 */     GIR_RootConstrainSelectedInstOperands,
     /* 105469 */     // GIR_Coverage, 4157,
     /* 105469 */     GIR_EraseRootFromParent_Done,
     /* 105470 */   // Label 1952: @105470
     /* 105470 */   GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(105490), // Rule ID 6396 //
     /* 105475 */     // MIs[0] Rn
     /* 105475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 105483 */     // (ld:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev2s:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 105483 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev2s),
     /* 105488 */     GIR_RootConstrainSelectedInstOperands,
     /* 105489 */     // GIR_Coverage, 6396,
     /* 105489 */     GIR_Done,
     /* 105490 */   // Label 1953: @105490
     /* 105490 */   GIM_Reject,
     /* 105491 */ // Label 1944: @105491
     /* 105491 */ GIM_Reject,
     /* 105492 */ // Label 1828: @105492
     /* 105492 */ GIM_Try, /*On fail goto*//*Label 1954*/ GIMT_Encode4(105869),
     /* 105497 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105500 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 105508 */   GIM_Try, /*On fail goto*//*Label 1955*/ GIMT_Encode4(105553), // Rule ID 4090 //
     /* 105513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 105527 */     // (ld:{ *:[v2i64] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 105527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 105530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105551 */     GIR_RootConstrainSelectedInstOperands,
     /* 105552 */     // GIR_Coverage, 4090,
     /* 105552 */     GIR_EraseRootFromParent_Done,
     /* 105553 */   // Label 1955: @105553
     /* 105553 */   GIM_Try, /*On fail goto*//*Label 1956*/ GIMT_Encode4(105598), // Rule ID 4091 //
     /* 105558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105561 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 105572 */     // (ld:{ *:[v2i64] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 105572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 105575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105596 */     GIR_RootConstrainSelectedInstOperands,
     /* 105597 */     // GIR_Coverage, 4091,
     /* 105597 */     GIR_EraseRootFromParent_Done,
     /* 105598 */   // Label 1956: @105598
     /* 105598 */   GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(105643), // Rule ID 4092 //
     /* 105603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 105617 */     // (ld:{ *:[v2f64] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 105617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 105620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105641 */     GIR_RootConstrainSelectedInstOperands,
     /* 105642 */     // GIR_Coverage, 4092,
     /* 105642 */     GIR_EraseRootFromParent_Done,
     /* 105643 */   // Label 1957: @105643
     /* 105643 */   GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(105688), // Rule ID 4093 //
     /* 105648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 105662 */     // (ld:{ *:[v2f64] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 105662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 105665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105682 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105686 */     GIR_RootConstrainSelectedInstOperands,
     /* 105687 */     // GIR_Coverage, 4093,
     /* 105687 */     GIR_EraseRootFromParent_Done,
     /* 105688 */   // Label 1958: @105688
     /* 105688 */   GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(105728), // Rule ID 4136 //
     /* 105693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 105707 */     // (ld:{ *:[v2f64] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 105707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 105710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105722 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105726 */     GIR_RootConstrainSelectedInstOperands,
     /* 105727 */     // GIR_Coverage, 4136,
     /* 105727 */     GIR_EraseRootFromParent_Done,
     /* 105728 */   // Label 1959: @105728
     /* 105728 */   GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(105768), // Rule ID 4140 //
     /* 105733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105736 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 105747 */     // (ld:{ *:[v2i64] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 105747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 105750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105766 */     GIR_RootConstrainSelectedInstOperands,
     /* 105767 */     // GIR_Coverage, 4140,
     /* 105767 */     GIR_EraseRootFromParent_Done,
     /* 105768 */   // Label 1960: @105768
     /* 105768 */   GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(105808), // Rule ID 4163 //
     /* 105773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 105787 */     // (ld:{ *:[v2f64] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 105790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105802 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105806 */     GIR_RootConstrainSelectedInstOperands,
     /* 105807 */     // GIR_Coverage, 4163,
     /* 105807 */     GIR_EraseRootFromParent_Done,
     /* 105808 */   // Label 1961: @105808
     /* 105808 */   GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(105848), // Rule ID 4164 //
     /* 105813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105816 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 105827 */     // (ld:{ *:[v2i64] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 105827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 105830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 105842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105846 */     GIR_RootConstrainSelectedInstOperands,
     /* 105847 */     // GIR_Coverage, 4164,
     /* 105847 */     GIR_EraseRootFromParent_Done,
     /* 105848 */   // Label 1962: @105848
     /* 105848 */   GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(105868), // Rule ID 6393 //
     /* 105853 */     // MIs[0] Rn
     /* 105853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 105857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 105861 */     // (ld:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 105861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev2d),
     /* 105866 */     GIR_RootConstrainSelectedInstOperands,
     /* 105867 */     // GIR_Coverage, 6393,
     /* 105867 */     GIR_Done,
     /* 105868 */   // Label 1963: @105868
     /* 105868 */   GIM_Reject,
     /* 105869 */ // Label 1954: @105869
     /* 105869 */ GIM_Reject,
     /* 105870 */ // Label 1829: @105870
     /* 105870 */ GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(106247),
     /* 105875 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 105878 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 105882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 105886 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(105931), // Rule ID 4082 //
     /* 105891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 105905 */     // (ld:{ *:[v4i16] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 105905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 105908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105925 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105929 */     GIR_RootConstrainSelectedInstOperands,
     /* 105930 */     // GIR_Coverage, 4082,
     /* 105930 */     GIR_EraseRootFromParent_Done,
     /* 105931 */   // Label 1965: @105931
     /* 105931 */   GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(105976), // Rule ID 4083 //
     /* 105936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 105950 */     // (ld:{ *:[v4i16] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 105950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 105953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 105955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 105960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 105965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 105970 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 105974 */     GIR_RootConstrainSelectedInstOperands,
     /* 105975 */     // GIR_Coverage, 4083,
     /* 105975 */     GIR_EraseRootFromParent_Done,
     /* 105976 */   // Label 1966: @105976
     /* 105976 */   GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(106021), // Rule ID 4084 //
     /* 105981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 105984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 105988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 105995 */     // (ld:{ *:[v4f16] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 105995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 105998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106015 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106019 */     GIR_RootConstrainSelectedInstOperands,
     /* 106020 */     // GIR_Coverage, 4084,
     /* 106020 */     GIR_EraseRootFromParent_Done,
     /* 106021 */   // Label 1967: @106021
     /* 106021 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(106066), // Rule ID 4085 //
     /* 106026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 106040 */     // (ld:{ *:[v4f16] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 106040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 106043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106064 */     GIR_RootConstrainSelectedInstOperands,
     /* 106065 */     // GIR_Coverage, 4085,
     /* 106065 */     GIR_EraseRootFromParent_Done,
     /* 106066 */   // Label 1968: @106066
     /* 106066 */   GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(106106), // Rule ID 4130 //
     /* 106071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 106085 */     // (ld:{ *:[v4i16] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 106085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 106088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106104 */     GIR_RootConstrainSelectedInstOperands,
     /* 106105 */     // GIR_Coverage, 4130,
     /* 106105 */     GIR_EraseRootFromParent_Done,
     /* 106106 */   // Label 1969: @106106
     /* 106106 */   GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(106146), // Rule ID 4132 //
     /* 106111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 106125 */     // (ld:{ *:[v4f16] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 106125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 106128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106144 */     GIR_RootConstrainSelectedInstOperands,
     /* 106145 */     // GIR_Coverage, 4132,
     /* 106145 */     GIR_EraseRootFromParent_Done,
     /* 106146 */   // Label 1970: @106146
     /* 106146 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(106186), // Rule ID 4158 //
     /* 106151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106154 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 106165 */     // (ld:{ *:[v4i16] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 106165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 106168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106180 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106184 */     GIR_RootConstrainSelectedInstOperands,
     /* 106185 */     // GIR_Coverage, 4158,
     /* 106185 */     GIR_EraseRootFromParent_Done,
     /* 106186 */   // Label 1971: @106186
     /* 106186 */   GIM_Try, /*On fail goto*//*Label 1972*/ GIMT_Encode4(106226), // Rule ID 4160 //
     /* 106191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 106205 */     // (ld:{ *:[v4f16] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 106205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 106208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106224 */     GIR_RootConstrainSelectedInstOperands,
     /* 106225 */     // GIR_Coverage, 4160,
     /* 106225 */     GIR_EraseRootFromParent_Done,
     /* 106226 */   // Label 1972: @106226
     /* 106226 */   GIM_Try, /*On fail goto*//*Label 1973*/ GIMT_Encode4(106246), // Rule ID 6395 //
     /* 106231 */     // MIs[0] Rn
     /* 106231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 106239 */     // (ld:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev4h:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 106239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev4h),
     /* 106244 */     GIR_RootConstrainSelectedInstOperands,
     /* 106245 */     // GIR_Coverage, 6395,
     /* 106245 */     GIR_Done,
     /* 106246 */   // Label 1973: @106246
     /* 106246 */   GIM_Reject,
     /* 106247 */ // Label 1964: @106247
     /* 106247 */ GIM_Reject,
     /* 106248 */ // Label 1830: @106248
     /* 106248 */ GIM_Try, /*On fail goto*//*Label 1974*/ GIMT_Encode4(106625),
     /* 106253 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106256 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 106264 */   GIM_Try, /*On fail goto*//*Label 1975*/ GIMT_Encode4(106309), // Rule ID 4094 //
     /* 106269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106272 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 106283 */     // (ld:{ *:[v4i32] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 106283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 106286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106303 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106307 */     GIR_RootConstrainSelectedInstOperands,
     /* 106308 */     // GIR_Coverage, 4094,
     /* 106308 */     GIR_EraseRootFromParent_Done,
     /* 106309 */   // Label 1975: @106309
     /* 106309 */   GIM_Try, /*On fail goto*//*Label 1976*/ GIMT_Encode4(106354), // Rule ID 4095 //
     /* 106314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 106328 */     // (ld:{ *:[v4i32] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 106328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 106331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106348 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106352 */     GIR_RootConstrainSelectedInstOperands,
     /* 106353 */     // GIR_Coverage, 4095,
     /* 106353 */     GIR_EraseRootFromParent_Done,
     /* 106354 */   // Label 1976: @106354
     /* 106354 */   GIM_Try, /*On fail goto*//*Label 1977*/ GIMT_Encode4(106399), // Rule ID 4096 //
     /* 106359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 106373 */     // (ld:{ *:[v4f32] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 106373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 106376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106397 */     GIR_RootConstrainSelectedInstOperands,
     /* 106398 */     // GIR_Coverage, 4096,
     /* 106398 */     GIR_EraseRootFromParent_Done,
     /* 106399 */   // Label 1977: @106399
     /* 106399 */   GIM_Try, /*On fail goto*//*Label 1978*/ GIMT_Encode4(106444), // Rule ID 4097 //
     /* 106404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 106418 */     // (ld:{ *:[v4f32] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 106418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 106421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106438 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106442 */     GIR_RootConstrainSelectedInstOperands,
     /* 106443 */     // GIR_Coverage, 4097,
     /* 106443 */     GIR_EraseRootFromParent_Done,
     /* 106444 */   // Label 1978: @106444
     /* 106444 */   GIM_Try, /*On fail goto*//*Label 1979*/ GIMT_Encode4(106484), // Rule ID 4135 //
     /* 106449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 106463 */     // (ld:{ *:[v4f32] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 106463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 106466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106478 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106482 */     GIR_RootConstrainSelectedInstOperands,
     /* 106483 */     // GIR_Coverage, 4135,
     /* 106483 */     GIR_EraseRootFromParent_Done,
     /* 106484 */   // Label 1979: @106484
     /* 106484 */   GIM_Try, /*On fail goto*//*Label 1980*/ GIMT_Encode4(106524), // Rule ID 4139 //
     /* 106489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 106503 */     // (ld:{ *:[v4i32] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 106503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 106506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106522 */     GIR_RootConstrainSelectedInstOperands,
     /* 106523 */     // GIR_Coverage, 4139,
     /* 106523 */     GIR_EraseRootFromParent_Done,
     /* 106524 */   // Label 1980: @106524
     /* 106524 */   GIM_Try, /*On fail goto*//*Label 1981*/ GIMT_Encode4(106564), // Rule ID 4165 //
     /* 106529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 106543 */     // (ld:{ *:[v4f32] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 106543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 106546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106558 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106562 */     GIR_RootConstrainSelectedInstOperands,
     /* 106563 */     // GIR_Coverage, 4165,
     /* 106563 */     GIR_EraseRootFromParent_Done,
     /* 106564 */   // Label 1981: @106564
     /* 106564 */   GIM_Try, /*On fail goto*//*Label 1982*/ GIMT_Encode4(106604), // Rule ID 4166 //
     /* 106569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106572 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 106583 */     // (ld:{ *:[v4i32] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 106583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 106586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106598 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106602 */     GIR_RootConstrainSelectedInstOperands,
     /* 106603 */     // GIR_Coverage, 4166,
     /* 106603 */     GIR_EraseRootFromParent_Done,
     /* 106604 */   // Label 1982: @106604
     /* 106604 */   GIM_Try, /*On fail goto*//*Label 1983*/ GIMT_Encode4(106624), // Rule ID 6392 //
     /* 106609 */     // MIs[0] Rn
     /* 106609 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 106617 */     // (ld:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 106617 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev4s),
     /* 106622 */     GIR_RootConstrainSelectedInstOperands,
     /* 106623 */     // GIR_Coverage, 6392,
     /* 106623 */     GIR_Done,
     /* 106624 */   // Label 1983: @106624
     /* 106624 */   GIM_Reject,
     /* 106625 */ // Label 1974: @106625
     /* 106625 */ GIM_Reject,
     /* 106626 */ // Label 1831: @106626
     /* 106626 */ GIM_Try, /*On fail goto*//*Label 1984*/ GIMT_Encode4(106833),
     /* 106631 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106634 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 106642 */   GIM_Try, /*On fail goto*//*Label 1985*/ GIMT_Encode4(106687), // Rule ID 4080 //
     /* 106647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 106661 */     // (ld:{ *:[v8i8] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroW:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 106661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 106664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106685 */     GIR_RootConstrainSelectedInstOperands,
     /* 106686 */     // GIR_Coverage, 4080,
     /* 106686 */     GIR_EraseRootFromParent_Done,
     /* 106687 */   // Label 1985: @106687
     /* 106687 */   GIM_Try, /*On fail goto*//*Label 1986*/ GIMT_Encode4(106732), // Rule ID 4081 //
     /* 106692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106695 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 106706 */     // (ld:{ *:[v8i8] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDroX:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 106706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 106709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106726 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106730 */     GIR_RootConstrainSelectedInstOperands,
     /* 106731 */     // GIR_Coverage, 4081,
     /* 106731 */     GIR_EraseRootFromParent_Done,
     /* 106732 */   // Label 1986: @106732
     /* 106732 */   GIM_Try, /*On fail goto*//*Label 1987*/ GIMT_Encode4(106772), // Rule ID 4129 //
     /* 106737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106740 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 106751 */     // (ld:{ *:[v8i8] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRDui:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 106751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 106754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106766 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106770 */     GIR_RootConstrainSelectedInstOperands,
     /* 106771 */     // GIR_Coverage, 4129,
     /* 106771 */     GIR_EraseRootFromParent_Done,
     /* 106772 */   // Label 1987: @106772
     /* 106772 */   GIM_Try, /*On fail goto*//*Label 1988*/ GIMT_Encode4(106812), // Rule ID 4159 //
     /* 106777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 106791 */     // (ld:{ *:[v8i8] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURDi:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 106791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 106794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 106806 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106810 */     GIR_RootConstrainSelectedInstOperands,
     /* 106811 */     // GIR_Coverage, 4159,
     /* 106811 */     GIR_EraseRootFromParent_Done,
     /* 106812 */   // Label 1988: @106812
     /* 106812 */   GIM_Try, /*On fail goto*//*Label 1989*/ GIMT_Encode4(106832), // Rule ID 6394 //
     /* 106817 */     // MIs[0] Rn
     /* 106817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 106821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 106825 */     // (ld:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev8b:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 106825 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev8b),
     /* 106830 */     GIR_RootConstrainSelectedInstOperands,
     /* 106831 */     // GIR_Coverage, 6394,
     /* 106831 */     GIR_Done,
     /* 106832 */   // Label 1989: @106832
     /* 106832 */   GIM_Reject,
     /* 106833 */ // Label 1984: @106833
     /* 106833 */ GIM_Reject,
     /* 106834 */ // Label 1832: @106834
     /* 106834 */ GIM_Try, /*On fail goto*//*Label 1990*/ GIMT_Encode4(107211),
     /* 106839 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 106842 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 106846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 106850 */   GIM_Try, /*On fail goto*//*Label 1991*/ GIMT_Encode4(106895), // Rule ID 4098 //
     /* 106855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 106869 */     // (ld:{ *:[v8i16] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 106869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 106872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106889 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106893 */     GIR_RootConstrainSelectedInstOperands,
     /* 106894 */     // GIR_Coverage, 4098,
     /* 106894 */     GIR_EraseRootFromParent_Done,
     /* 106895 */   // Label 1991: @106895
     /* 106895 */   GIM_Try, /*On fail goto*//*Label 1992*/ GIMT_Encode4(106940), // Rule ID 4099 //
     /* 106900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 106914 */     // (ld:{ *:[v8i16] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 106914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 106917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106934 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106938 */     GIR_RootConstrainSelectedInstOperands,
     /* 106939 */     // GIR_Coverage, 4099,
     /* 106939 */     GIR_EraseRootFromParent_Done,
     /* 106940 */   // Label 1992: @106940
     /* 106940 */   GIM_Try, /*On fail goto*//*Label 1993*/ GIMT_Encode4(106985), // Rule ID 4100 //
     /* 106945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 106959 */     // (ld:{ *:[v8f16] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 106959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 106962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 106964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 106969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 106974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 106979 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 106983 */     GIR_RootConstrainSelectedInstOperands,
     /* 106984 */     // GIR_Coverage, 4100,
     /* 106984 */     GIR_EraseRootFromParent_Done,
     /* 106985 */   // Label 1993: @106985
     /* 106985 */   GIM_Try, /*On fail goto*//*Label 1994*/ GIMT_Encode4(107030), // Rule ID 4101 //
     /* 106990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 106993 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 106997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 107004 */     // (ld:{ *:[v8f16] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 107004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 107007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107028 */     GIR_RootConstrainSelectedInstOperands,
     /* 107029 */     // GIR_Coverage, 4101,
     /* 107029 */     GIR_EraseRootFromParent_Done,
     /* 107030 */   // Label 1994: @107030
     /* 107030 */   GIM_Try, /*On fail goto*//*Label 1995*/ GIMT_Encode4(107070), // Rule ID 4138 //
     /* 107035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 107049 */     // (ld:{ *:[v8i16] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 107049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 107052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107068 */     GIR_RootConstrainSelectedInstOperands,
     /* 107069 */     // GIR_Coverage, 4138,
     /* 107069 */     GIR_EraseRootFromParent_Done,
     /* 107070 */   // Label 1995: @107070
     /* 107070 */   GIM_Try, /*On fail goto*//*Label 1996*/ GIMT_Encode4(107110), // Rule ID 4141 //
     /* 107075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107078 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 107089 */     // (ld:{ *:[v8f16] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 107089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 107092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107104 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107108 */     GIR_RootConstrainSelectedInstOperands,
     /* 107109 */     // GIR_Coverage, 4141,
     /* 107109 */     GIR_EraseRootFromParent_Done,
     /* 107110 */   // Label 1996: @107110
     /* 107110 */   GIM_Try, /*On fail goto*//*Label 1997*/ GIMT_Encode4(107150), // Rule ID 4167 //
     /* 107115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107118 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 107129 */     // (ld:{ *:[v8i16] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 107129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 107132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107144 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107148 */     GIR_RootConstrainSelectedInstOperands,
     /* 107149 */     // GIR_Coverage, 4167,
     /* 107149 */     GIR_EraseRootFromParent_Done,
     /* 107150 */   // Label 1997: @107150
     /* 107150 */   GIM_Try, /*On fail goto*//*Label 1998*/ GIMT_Encode4(107190), // Rule ID 4169 //
     /* 107155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 107169 */     // (ld:{ *:[v8f16] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 107169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 107172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107184 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107188 */     GIR_RootConstrainSelectedInstOperands,
     /* 107189 */     // GIR_Coverage, 4169,
     /* 107189 */     GIR_EraseRootFromParent_Done,
     /* 107190 */   // Label 1998: @107190
     /* 107190 */   GIM_Try, /*On fail goto*//*Label 1999*/ GIMT_Encode4(107210), // Rule ID 6391 //
     /* 107195 */     // MIs[0] Rn
     /* 107195 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107203 */     // (ld:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 107203 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev8h),
     /* 107208 */     GIR_RootConstrainSelectedInstOperands,
     /* 107209 */     // GIR_Coverage, 6391,
     /* 107209 */     GIR_Done,
     /* 107210 */   // Label 1999: @107210
     /* 107210 */   GIM_Reject,
     /* 107211 */ // Label 1990: @107211
     /* 107211 */ GIM_Reject,
     /* 107212 */ // Label 1833: @107212
     /* 107212 */ GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(107419),
     /* 107217 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107220 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 107228 */   GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(107273), // Rule ID 4102 //
     /* 107233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107236 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 107247 */     // (ld:{ *:[v16i8] } (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroW:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 107247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroW),
     /* 107250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107271 */     GIR_RootConstrainSelectedInstOperands,
     /* 107272 */     // GIR_Coverage, 4102,
     /* 107272 */     GIR_EraseRootFromParent_Done,
     /* 107273 */   // Label 2001: @107273
     /* 107273 */   GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(107318), // Rule ID 4103 //
     /* 107278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 107292 */     // (ld:{ *:[v16i8] } (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQroX:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 107292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQroX),
     /* 107295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 107307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 107312 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107316 */     GIR_RootConstrainSelectedInstOperands,
     /* 107317 */     // GIR_Coverage, 4103,
     /* 107317 */     GIR_EraseRootFromParent_Done,
     /* 107318 */   // Label 2002: @107318
     /* 107318 */   GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(107358), // Rule ID 4137 //
     /* 107323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107326 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 107337 */     // (ld:{ *:[v16i8] } (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDRQui:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 107337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRQui),
     /* 107340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107352 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107356 */     GIR_RootConstrainSelectedInstOperands,
     /* 107357 */     // GIR_Coverage, 4137,
     /* 107357 */     GIR_EraseRootFromParent_Done,
     /* 107358 */   // Label 2003: @107358
     /* 107358 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(107398), // Rule ID 4168 //
     /* 107363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 107366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 107370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 107377 */     // (ld:{ *:[v16i8] } (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDURQi:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 107377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURQi),
     /* 107380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 107382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 107387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 107392 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107396 */     GIR_RootConstrainSelectedInstOperands,
     /* 107397 */     // GIR_Coverage, 4168,
     /* 107397 */     GIR_EraseRootFromParent_Done,
     /* 107398 */   // Label 2004: @107398
     /* 107398 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(107418), // Rule ID 6390 //
     /* 107403 */     // MIs[0] Rn
     /* 107403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107411 */     // (ld:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1Onev16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 107411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LD1Onev16b),
     /* 107416 */     GIR_RootConstrainSelectedInstOperands,
     /* 107417 */     // GIR_Coverage, 6390,
     /* 107417 */     GIR_Done,
     /* 107418 */   // Label 2005: @107418
     /* 107418 */   GIM_Reject,
     /* 107419 */ // Label 2000: @107419
     /* 107419 */ GIM_Reject,
     /* 107420 */ // Label 1834: @107420
     /* 107420 */ GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(107483), // Rule ID 10932 //
     /* 107425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107428 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107431 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 107439 */   // MIs[0] base
     /* 107439 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107447 */   // (ld:{ *:[nxv2f16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_D_IMM:{ *:[nxv2f16] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107447 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107450 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 107454 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107459 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107462 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_D_IMM),
     /* 107467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107469 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107472 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107477 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107481 */   GIR_RootConstrainSelectedInstOperands,
     /* 107482 */   // GIR_Coverage, 10932,
     /* 107482 */   GIR_EraseRootFromParent_Done,
     /* 107483 */ // Label 2006: @107483
     /* 107483 */ GIM_Reject,
     /* 107484 */ // Label 1835: @107484
     /* 107484 */ GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(107547), // Rule ID 10938 //
     /* 107489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107492 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107495 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 107503 */   // MIs[0] base
     /* 107503 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107511 */   // (ld:{ *:[nxv2f32] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1W_D_IMM:{ *:[nxv2f32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107511 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107514 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 107518 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107523 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107526 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_D_IMM),
     /* 107531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107533 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107536 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107541 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107545 */   GIR_RootConstrainSelectedInstOperands,
     /* 107546 */   // GIR_Coverage, 10938,
     /* 107546 */   GIR_EraseRootFromParent_Done,
     /* 107547 */ // Label 2007: @107547
     /* 107547 */ GIM_Reject,
     /* 107548 */ // Label 1836: @107548
     /* 107548 */ GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(107721),
     /* 107553 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107556 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 107564 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107568 */   GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(107616), // Rule ID 10923 //
     /* 107573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107580 */     // (ld:{ *:[nxv2i64] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1D_IMM:{ *:[nxv2i64] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 107587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107592 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_IMM),
     /* 107600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107605 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107610 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107614 */     GIR_RootConstrainSelectedInstOperands,
     /* 107615 */     // GIR_Coverage, 10923,
     /* 107615 */     GIR_EraseRootFromParent_Done,
     /* 107616 */   // Label 2009: @107616
     /* 107616 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(107664), // Rule ID 10941 //
     /* 107621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107628 */     // (ld:{ *:[nxv2f64] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1D_IMM:{ *:[nxv2f64] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 107635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107640 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_IMM),
     /* 107648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107653 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107658 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107662 */     GIR_RootConstrainSelectedInstOperands,
     /* 107663 */     // GIR_Coverage, 10941,
     /* 107663 */     GIR_EraseRootFromParent_Done,
     /* 107664 */   // Label 2010: @107664
     /* 107664 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(107692), // Rule ID 10968 //
     /* 107669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 107672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107676 */     // (ld:{ *:[nxv2i64] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv2i64] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 107679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107681 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107690 */     GIR_RootConstrainSelectedInstOperands,
     /* 107691 */     // GIR_Coverage, 10968,
     /* 107691 */     GIR_EraseRootFromParent_Done,
     /* 107692 */   // Label 2011: @107692
     /* 107692 */   GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(107720), // Rule ID 10980 //
     /* 107697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 107700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107704 */     // (ld:{ *:[nxv2f64] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv2f64] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 107707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107709 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107718 */     GIR_RootConstrainSelectedInstOperands,
     /* 107719 */     // GIR_Coverage, 10980,
     /* 107719 */     GIR_EraseRootFromParent_Done,
     /* 107720 */   // Label 2012: @107720
     /* 107720 */   GIM_Reject,
     /* 107721 */ // Label 2008: @107721
     /* 107721 */ GIM_Reject,
     /* 107722 */ // Label 1837: @107722
     /* 107722 */ GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(107785), // Rule ID 10929 //
     /* 107727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107730 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107733 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 107741 */   // MIs[0] base
     /* 107741 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107749 */   // (ld:{ *:[nxv4f16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_S_IMM:{ *:[nxv4f16] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107749 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107752 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 107756 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107761 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107764 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_S_IMM),
     /* 107769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107771 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107774 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107779 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107783 */   GIR_RootConstrainSelectedInstOperands,
     /* 107784 */   // GIR_Coverage, 10929,
     /* 107784 */   GIR_EraseRootFromParent_Done,
     /* 107785 */ // Label 2013: @107785
     /* 107785 */ GIM_Reject,
     /* 107786 */ // Label 1838: @107786
     /* 107786 */ GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(107959),
     /* 107791 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107794 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 107802 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107806 */   GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(107854), // Rule ID 10911 //
     /* 107811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107818 */     // (ld:{ *:[nxv4i32] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1W_IMM:{ *:[nxv4i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 107825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107830 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_IMM),
     /* 107838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107843 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107848 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107852 */     GIR_RootConstrainSelectedInstOperands,
     /* 107853 */     // GIR_Coverage, 10911,
     /* 107853 */     GIR_EraseRootFromParent_Done,
     /* 107854 */   // Label 2015: @107854
     /* 107854 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(107902), // Rule ID 10935 //
     /* 107859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107866 */     // (ld:{ *:[nxv4f32] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1W_IMM:{ *:[nxv4f32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 107873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 107878 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 107881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 107883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_IMM),
     /* 107886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 107891 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107900 */     GIR_RootConstrainSelectedInstOperands,
     /* 107901 */     // GIR_Coverage, 10935,
     /* 107901 */     GIR_EraseRootFromParent_Done,
     /* 107902 */   // Label 2016: @107902
     /* 107902 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(107930), // Rule ID 10964 //
     /* 107907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 107910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107914 */     // (ld:{ *:[nxv4i32] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv4i32] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 107917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107919 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107928 */     GIR_RootConstrainSelectedInstOperands,
     /* 107929 */     // GIR_Coverage, 10964,
     /* 107929 */     GIR_EraseRootFromParent_Done,
     /* 107930 */   // Label 2017: @107930
     /* 107930 */   GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(107958), // Rule ID 10976 //
     /* 107935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 107938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 107942 */     // (ld:{ *:[nxv4f32] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv4f32] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 107945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 107947 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 107949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 107952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 107956 */     GIR_RootConstrainSelectedInstOperands,
     /* 107957 */     // GIR_Coverage, 10976,
     /* 107957 */     GIR_EraseRootFromParent_Done,
     /* 107958 */   // Label 2018: @107958
     /* 107958 */   GIM_Reject,
     /* 107959 */ // Label 2014: @107959
     /* 107959 */ GIM_Reject,
     /* 107960 */ // Label 1839: @107960
     /* 107960 */ GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(108133),
     /* 107965 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 107968 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 107972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 107976 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 107980 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(108028), // Rule ID 10890 //
     /* 107985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 107988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 107992 */     // (ld:{ *:[nxv8i16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_IMM:{ *:[nxv8i16] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 107992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 107995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 107999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108004 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 108007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 108009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_IMM),
     /* 108012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 108014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 108017 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108022 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108026 */     GIR_RootConstrainSelectedInstOperands,
     /* 108027 */     // GIR_Coverage, 10890,
     /* 108027 */     GIR_EraseRootFromParent_Done,
     /* 108028 */   // Label 2020: @108028
     /* 108028 */   GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(108076), // Rule ID 10926 //
     /* 108033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 108036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108040 */     // (ld:{ *:[nxv8f16] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1H_IMM:{ *:[nxv8f16] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 108043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 108047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108052 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 108055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 108057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1H_IMM),
     /* 108060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 108062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 108065 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108070 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108074 */     GIR_RootConstrainSelectedInstOperands,
     /* 108075 */     // GIR_Coverage, 10926,
     /* 108075 */     GIR_EraseRootFromParent_Done,
     /* 108076 */   // Label 2021: @108076
     /* 108076 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(108104), // Rule ID 10960 //
     /* 108081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 108084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 108088 */     // (ld:{ *:[nxv8i16] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv8i16] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 108091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 108093 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108098 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108102 */     GIR_RootConstrainSelectedInstOperands,
     /* 108103 */     // GIR_Coverage, 10960,
     /* 108103 */     GIR_EraseRootFromParent_Done,
     /* 108104 */   // Label 2022: @108104
     /* 108104 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(108132), // Rule ID 10972 //
     /* 108109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 108112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 108116 */     // (ld:{ *:[nxv8f16] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv8f16] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 108119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 108121 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108130 */     GIR_RootConstrainSelectedInstOperands,
     /* 108131 */     // GIR_Coverage, 10972,
     /* 108131 */     GIR_EraseRootFromParent_Done,
     /* 108132 */   // Label 2023: @108132
     /* 108132 */   GIM_Reject,
     /* 108133 */ // Label 2019: @108133
     /* 108133 */ GIM_Reject,
     /* 108134 */ // Label 1840: @108134
     /* 108134 */ GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(108177), // Rule ID 2428 //
     /* 108139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 108142 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108145 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 108153 */   // MIs[0] base
     /* 108153 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 108157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108161 */   // (ld:{ *:[nxv16i1] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_PXI:{ *:[nxv16i1] } GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_PXI),
     /* 108164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pt]
     /* 108166 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108171 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108175 */   GIR_RootConstrainSelectedInstOperands,
     /* 108176 */   // GIR_Coverage, 2428,
     /* 108176 */   GIR_EraseRootFromParent_Done,
     /* 108177 */ // Label 2024: @108177
     /* 108177 */ GIM_Reject,
     /* 108178 */ // Label 1841: @108178
     /* 108178 */ GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(108275),
     /* 108183 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108186 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 108190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 108194 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 108198 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(108246), // Rule ID 10858 //
     /* 108203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 108206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108210 */     // (ld:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD1B_IMM:{ *:[nxv16i8] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 108213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /* 108217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 108222 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 108225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 108227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1B_IMM),
     /* 108230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 108232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 108235 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108240 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108244 */     GIR_RootConstrainSelectedInstOperands,
     /* 108245 */     // GIR_Coverage, 10858,
     /* 108245 */     GIR_EraseRootFromParent_Done,
     /* 108246 */   // Label 2026: @108246
     /* 108246 */   GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(108274), // Rule ID 10956 //
     /* 108251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 108254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 108258 */     // (ld:{ *:[nxv16i8] } GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LDR_ZXI:{ *:[nxv16i8] } GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 108258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDR_ZXI),
     /* 108261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 108263 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 108265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 108268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108272 */     GIR_RootConstrainSelectedInstOperands,
     /* 108273 */     // GIR_Coverage, 10956,
     /* 108273 */     GIR_EraseRootFromParent_Done,
     /* 108274 */   // Label 2027: @108274
     /* 108274 */   GIM_Reject,
     /* 108275 */ // Label 2025: @108275
     /* 108275 */ GIM_Reject,
     /* 108276 */ // Label 1842: @108276
     /* 108276 */ GIM_Reject,
     /* 108277 */ // Label 17: @108277
     /* 108277 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2030*/ GIMT_Encode4(109326),
     /* 108288 */ /*GILLT_s32*//*Label 2028*/ GIMT_Encode4(108296),
     /* 108292 */ /*GILLT_s64*//*Label 2029*/ GIMT_Encode4(108710),
     /* 108296 */ // Label 2028: @108296
     /* 108296 */ GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(108709),
     /* 108301 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108304 */   GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(108357), // Rule ID 247 //
     /* 108309 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 108331 */     // (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 108331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHWroW),
     /* 108334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108355 */     GIR_RootConstrainSelectedInstOperands,
     /* 108356 */     // GIR_Coverage, 247,
     /* 108356 */     GIR_EraseRootFromParent_Done,
     /* 108357 */   // Label 2032: @108357
     /* 108357 */   GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(108410), // Rule ID 248 //
     /* 108362 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108373 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 108384 */     // (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 108384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHWroX),
     /* 108387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108404 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108408 */     GIR_RootConstrainSelectedInstOperands,
     /* 108409 */     // GIR_Coverage, 248,
     /* 108409 */     GIR_EraseRootFromParent_Done,
     /* 108410 */   // Label 2033: @108410
     /* 108410 */   GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(108463), // Rule ID 251 //
     /* 108415 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 108437 */     // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 108437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBWroW),
     /* 108440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108461 */     GIR_RootConstrainSelectedInstOperands,
     /* 108462 */     // GIR_Coverage, 251,
     /* 108462 */     GIR_EraseRootFromParent_Done,
     /* 108463 */   // Label 2034: @108463
     /* 108463 */   GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(108516), // Rule ID 252 //
     /* 108468 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108479 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 108490 */     // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 108490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBWroX),
     /* 108493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108514 */     GIR_RootConstrainSelectedInstOperands,
     /* 108515 */     // GIR_Coverage, 252,
     /* 108515 */     GIR_EraseRootFromParent_Done,
     /* 108516 */   // Label 2035: @108516
     /* 108516 */   GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(108564), // Rule ID 268 //
     /* 108521 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 108543 */     // (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 108543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHWui),
     /* 108546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108558 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108562 */     GIR_RootConstrainSelectedInstOperands,
     /* 108563 */     // GIR_Coverage, 268,
     /* 108563 */     GIR_EraseRootFromParent_Done,
     /* 108564 */   // Label 2036: @108564
     /* 108564 */   GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(108612), // Rule ID 270 //
     /* 108569 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 108591 */     // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 108591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBWui),
     /* 108594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108610 */     GIR_RootConstrainSelectedInstOperands,
     /* 108611 */     // GIR_Coverage, 270,
     /* 108611 */     GIR_EraseRootFromParent_Done,
     /* 108612 */   // Label 2037: @108612
     /* 108612 */   GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(108660), // Rule ID 289 //
     /* 108617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 108639 */     // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDURSHWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 108639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSHWi),
     /* 108642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108654 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108658 */     GIR_RootConstrainSelectedInstOperands,
     /* 108659 */     // GIR_Coverage, 289,
     /* 108659 */     GIR_EraseRootFromParent_Done,
     /* 108660 */   // Label 2038: @108660
     /* 108660 */   GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(108708), // Rule ID 291 //
     /* 108665 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 108676 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 108687 */     // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDURSBWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 108687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSBWi),
     /* 108690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 108702 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108706 */     GIR_RootConstrainSelectedInstOperands,
     /* 108707 */     // GIR_Coverage, 291,
     /* 108707 */     GIR_EraseRootFromParent_Done,
     /* 108708 */   // Label 2039: @108708
     /* 108708 */   GIM_Reject,
     /* 108709 */ // Label 2031: @108709
     /* 108709 */ GIM_Reject,
     /* 108710 */ // Label 2029: @108710
     /* 108710 */ GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(109325),
     /* 108715 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 108718 */   GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(108771), // Rule ID 249 //
     /* 108723 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 108745 */     // (ld:{ *:[i64] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 108745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHXroW),
     /* 108748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108769 */     GIR_RootConstrainSelectedInstOperands,
     /* 108770 */     // GIR_Coverage, 249,
     /* 108770 */     GIR_EraseRootFromParent_Done,
     /* 108771 */   // Label 2041: @108771
     /* 108771 */   GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(108824), // Rule ID 250 //
     /* 108776 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 108783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 108798 */     // (ld:{ *:[i64] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 108798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHXroX),
     /* 108801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108822 */     GIR_RootConstrainSelectedInstOperands,
     /* 108823 */     // GIR_Coverage, 250,
     /* 108823 */     GIR_EraseRootFromParent_Done,
     /* 108824 */   // Label 2042: @108824
     /* 108824 */   GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(108877), // Rule ID 253 //
     /* 108829 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108840 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 108851 */     // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBXroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 108851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBXroW),
     /* 108854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108875 */     GIR_RootConstrainSelectedInstOperands,
     /* 108876 */     // GIR_Coverage, 253,
     /* 108876 */     GIR_EraseRootFromParent_Done,
     /* 108877 */   // Label 2043: @108877
     /* 108877 */   GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(108930), // Rule ID 254 //
     /* 108882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 108889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 108904 */     // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBXroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 108904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBXroX),
     /* 108907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108928 */     GIR_RootConstrainSelectedInstOperands,
     /* 108929 */     // GIR_Coverage, 254,
     /* 108929 */     GIR_EraseRootFromParent_Done,
     /* 108930 */   // Label 2044: @108930
     /* 108930 */   GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(108983), // Rule ID 255 //
     /* 108935 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 108942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 108950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 108957 */     // (ld:{ *:[i64] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDRSWroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 108957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSWroW),
     /* 108960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 108962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 108967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 108972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 108977 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 108981 */     GIR_RootConstrainSelectedInstOperands,
     /* 108982 */     // GIR_Coverage, 255,
     /* 108982 */     GIR_EraseRootFromParent_Done,
     /* 108983 */   // Label 2045: @108983
     /* 108983 */   GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(109036), // Rule ID 256 //
     /* 108988 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 108995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 108999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 109010 */     // (ld:{ *:[i64] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDRSWroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 109010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSWroX),
     /* 109013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109034 */     GIR_RootConstrainSelectedInstOperands,
     /* 109035 */     // GIR_Coverage, 256,
     /* 109035 */     GIR_EraseRootFromParent_Done,
     /* 109036 */   // Label 2046: @109036
     /* 109036 */   GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(109084), // Rule ID 269 //
     /* 109041 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 109052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 109063 */     // (ld:{ *:[i64] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDRSHXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 109063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSHXui),
     /* 109066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109078 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109082 */     GIR_RootConstrainSelectedInstOperands,
     /* 109083 */     // GIR_Coverage, 269,
     /* 109083 */     GIR_EraseRootFromParent_Done,
     /* 109084 */   // Label 2047: @109084
     /* 109084 */   GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(109132), // Rule ID 271 //
     /* 109089 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 109100 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 109111 */     // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDRSBXui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 109111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSBXui),
     /* 109114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109130 */     GIR_RootConstrainSelectedInstOperands,
     /* 109131 */     // GIR_Coverage, 271,
     /* 109131 */     GIR_EraseRootFromParent_Done,
     /* 109132 */   // Label 2048: @109132
     /* 109132 */   GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(109180), // Rule ID 272 //
     /* 109137 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 109144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 109148 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 109159 */     // (ld:{ *:[i64] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDRSWui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 109159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRSWui),
     /* 109162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109174 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109178 */     GIR_RootConstrainSelectedInstOperands,
     /* 109179 */     // GIR_Coverage, 272,
     /* 109179 */     GIR_EraseRootFromParent_Done,
     /* 109180 */   // Label 2049: @109180
     /* 109180 */   GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(109228), // Rule ID 290 //
     /* 109185 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 109196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 109207 */     // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LDURSHXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 109207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSHXi),
     /* 109210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109226 */     GIR_RootConstrainSelectedInstOperands,
     /* 109227 */     // GIR_Coverage, 290,
     /* 109227 */     GIR_EraseRootFromParent_Done,
     /* 109228 */   // Label 2050: @109228
     /* 109228 */   GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(109276), // Rule ID 292 //
     /* 109233 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 109244 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 109255 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LDURSBXi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 109255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSBXi),
     /* 109258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109270 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109274 */     GIR_RootConstrainSelectedInstOperands,
     /* 109275 */     // GIR_Coverage, 292,
     /* 109275 */     GIR_EraseRootFromParent_Done,
     /* 109276 */   // Label 2051: @109276
     /* 109276 */   GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(109324), // Rule ID 293 //
     /* 109281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 109288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 109292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 109303 */     // (ld:{ *:[i64] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LDURSWi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 109303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURSWi),
     /* 109306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109318 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109322 */     GIR_RootConstrainSelectedInstOperands,
     /* 109323 */     // GIR_Coverage, 293,
     /* 109323 */     GIR_EraseRootFromParent_Done,
     /* 109324 */   // Label 2052: @109324
     /* 109324 */   GIM_Reject,
     /* 109325 */ // Label 2040: @109325
     /* 109325 */ GIM_Reject,
     /* 109326 */ // Label 2030: @109326
     /* 109326 */ GIM_Reject,
     /* 109327 */ // Label 18: @109327
     /* 109327 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2055*/ GIMT_Encode4(112295),
     /* 109338 */ /*GILLT_s32*//*Label 2053*/ GIMT_Encode4(109346),
     /* 109342 */ /*GILLT_s64*//*Label 2054*/ GIMT_Encode4(110805),
     /* 109346 */ // Label 2053: @109346
     /* 109346 */ GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(109402), // Rule ID 229 //
     /* 109351 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109354 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109365 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109369 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 109376 */   // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 109376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 109379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109381 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109386 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109391 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109396 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109400 */   GIR_RootConstrainSelectedInstOperands,
     /* 109401 */   // GIR_Coverage, 229,
     /* 109401 */   GIR_EraseRootFromParent_Done,
     /* 109402 */ // Label 2056: @109402
     /* 109402 */ GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(109458), // Rule ID 230 //
     /* 109407 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109410 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109421 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109425 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 109432 */   // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 109432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 109435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109437 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109442 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109447 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109452 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109456 */   GIR_RootConstrainSelectedInstOperands,
     /* 109457 */   // GIR_Coverage, 230,
     /* 109457 */   GIR_EraseRootFromParent_Done,
     /* 109458 */ // Label 2057: @109458
     /* 109458 */ GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(109514), // Rule ID 231 //
     /* 109463 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109466 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109477 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109481 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 109488 */   // (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 109488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 109491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109493 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109498 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109508 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109512 */   GIR_RootConstrainSelectedInstOperands,
     /* 109513 */   // GIR_Coverage, 231,
     /* 109513 */   GIR_EraseRootFromParent_Done,
     /* 109514 */ // Label 2058: @109514
     /* 109514 */ GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(109570), // Rule ID 232 //
     /* 109519 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109522 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109533 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109537 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 109544 */   // (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 109544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 109547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109549 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109554 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109559 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109564 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109568 */   GIR_RootConstrainSelectedInstOperands,
     /* 109569 */   // GIR_Coverage, 232,
     /* 109569 */   GIR_EraseRootFromParent_Done,
     /* 109570 */ // Label 2059: @109570
     /* 109570 */ GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(109626), // Rule ID 4126 //
     /* 109575 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109578 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109589 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109593 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 109600 */   // (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 109600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 109603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109605 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109610 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109615 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109620 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109624 */   GIR_RootConstrainSelectedInstOperands,
     /* 109625 */   // GIR_Coverage, 4126,
     /* 109625 */   GIR_EraseRootFromParent_Done,
     /* 109626 */ // Label 2060: @109626
     /* 109626 */ GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(109682), // Rule ID 4127 //
     /* 109631 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109634 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109645 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109649 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 109656 */   // (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 109656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 109659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109661 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109666 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109671 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109676 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109680 */   GIR_RootConstrainSelectedInstOperands,
     /* 109681 */   // GIR_Coverage, 4127,
     /* 109681 */   GIR_EraseRootFromParent_Done,
     /* 109682 */ // Label 2061: @109682
     /* 109682 */ GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(109733), // Rule ID 266 //
     /* 109687 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109690 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109701 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109705 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 109712 */   // (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 109712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 109715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109717 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109722 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109727 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109731 */   GIR_RootConstrainSelectedInstOperands,
     /* 109732 */   // GIR_Coverage, 266,
     /* 109732 */   GIR_EraseRootFromParent_Done,
     /* 109733 */ // Label 2062: @109733
     /* 109733 */ GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(109784), // Rule ID 267 //
     /* 109738 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 109741 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109752 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109756 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 109763 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 109763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 109766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109768 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109773 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 109778 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109782 */   GIR_RootConstrainSelectedInstOperands,
     /* 109783 */   // GIR_Coverage, 267,
     /* 109783 */   GIR_EraseRootFromParent_Done,
     /* 109784 */ // Label 2063: @109784
     /* 109784 */ GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(109843), // Rule ID 7023 //
     /* 109789 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109792 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109799 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109806 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109810 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 109817 */   // (atomic_load:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15844>>  =>  (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$offset)
     /* 109817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 109820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109822 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109827 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109832 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 109837 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109841 */   GIR_RootConstrainSelectedInstOperands,
     /* 109842 */   // GIR_Coverage, 7023,
     /* 109842 */   GIR_EraseRootFromParent_Done,
     /* 109843 */ // Label 2064: @109843
     /* 109843 */ GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(109902), // Rule ID 7025 //
     /* 109848 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109851 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 109858 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109865 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109869 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 109876 */   // (atomic_load:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15844>>  =>  (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$offset)
     /* 109876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 109879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109881 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109886 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109891 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // offset
     /* 109896 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109900 */   GIR_RootConstrainSelectedInstOperands,
     /* 109901 */   // GIR_Coverage, 7025,
     /* 109901 */   GIR_EraseRootFromParent_Done,
     /* 109902 */ // Label 2065: @109902
     /* 109902 */ GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(109961), // Rule ID 7035 //
     /* 109907 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109910 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109917 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109924 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109928 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 109935 */   // (atomic_load:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15853>>  =>  (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 109935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 109938 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109940 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 109945 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 109950 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 109955 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 109959 */   GIR_RootConstrainSelectedInstOperands,
     /* 109960 */   // GIR_Coverage, 7035,
     /* 109960 */   GIR_EraseRootFromParent_Done,
     /* 109961 */ // Label 2066: @109961
     /* 109961 */ GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(110020), // Rule ID 7037 //
     /* 109966 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 109969 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 109976 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 109979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 109983 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 109987 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 109994 */   // (atomic_load:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15853>>  =>  (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 109994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 109997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 109999 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110004 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 110009 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 110014 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110018 */   GIR_RootConstrainSelectedInstOperands,
     /* 110019 */   // GIR_Coverage, 7037,
     /* 110019 */   GIR_EraseRootFromParent_Done,
     /* 110020 */ // Label 2067: @110020
     /* 110020 */ GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(110071), // Rule ID 287 //
     /* 110025 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110028 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110039 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110043 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 110050 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 110050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 110053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110055 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110060 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110065 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110069 */   GIR_RootConstrainSelectedInstOperands,
     /* 110070 */   // GIR_Coverage, 287,
     /* 110070 */   GIR_EraseRootFromParent_Done,
     /* 110071 */ // Label 2068: @110071
     /* 110071 */ GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(110122), // Rule ID 288 //
     /* 110076 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110079 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110090 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110094 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 110101 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 110101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 110104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110106 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110111 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110116 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110120 */   GIR_RootConstrainSelectedInstOperands,
     /* 110121 */   // GIR_Coverage, 288,
     /* 110121 */   GIR_EraseRootFromParent_Done,
     /* 110122 */ // Label 2069: @110122
     /* 110122 */ GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(110173), // Rule ID 4145 //
     /* 110127 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110130 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110141 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110145 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 110152 */   // (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 110152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 110155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110157 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110162 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110167 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110171 */   GIR_RootConstrainSelectedInstOperands,
     /* 110172 */   // GIR_Coverage, 4145,
     /* 110172 */   GIR_EraseRootFromParent_Done,
     /* 110173 */ // Label 2070: @110173
     /* 110173 */ GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(110224), // Rule ID 4177 //
     /* 110178 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110181 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110192 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110196 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 110203 */   // (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 110206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110208 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110213 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110218 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110222 */   GIR_RootConstrainSelectedInstOperands,
     /* 110223 */   // GIR_Coverage, 4177,
     /* 110223 */   GIR_EraseRootFromParent_Done,
     /* 110224 */ // Label 2071: @110224
     /* 110224 */ GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(110275), // Rule ID 4178 //
     /* 110229 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110232 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110243 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110247 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 110254 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 110257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110259 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110264 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110269 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110273 */   GIR_RootConstrainSelectedInstOperands,
     /* 110274 */   // GIR_Coverage, 4178,
     /* 110274 */   GIR_EraseRootFromParent_Done,
     /* 110275 */ // Label 2072: @110275
     /* 110275 */ GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(110326), // Rule ID 4179 //
     /* 110280 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110283 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110294 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110298 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 110305 */   // (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 110308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110310 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110315 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110320 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110324 */   GIR_RootConstrainSelectedInstOperands,
     /* 110325 */   // GIR_Coverage, 4179,
     /* 110325 */   GIR_EraseRootFromParent_Done,
     /* 110326 */ // Label 2073: @110326
     /* 110326 */ GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(110380), // Rule ID 7027 //
     /* 110331 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110334 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110341 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110348 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110352 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 110359 */   // (atomic_load:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15844>>  =>  (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 110359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 110362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110364 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110369 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110374 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110378 */   GIR_RootConstrainSelectedInstOperands,
     /* 110379 */   // GIR_Coverage, 7027,
     /* 110379 */   GIR_EraseRootFromParent_Done,
     /* 110380 */ // Label 2074: @110380
     /* 110380 */ GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(110434), // Rule ID 7029 //
     /* 110385 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110388 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110395 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110402 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110406 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 110413 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15844>>  =>  (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 110416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110418 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110423 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110428 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110432 */   GIR_RootConstrainSelectedInstOperands,
     /* 110433 */   // GIR_Coverage, 7029,
     /* 110433 */   GIR_EraseRootFromParent_Done,
     /* 110434 */ // Label 2075: @110434
     /* 110434 */ GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(110488), // Rule ID 7039 //
     /* 110439 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110442 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110449 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110456 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110460 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 110467 */   // (atomic_load:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15853>>  =>  (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 110467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 110470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110472 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110477 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110482 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110486 */   GIR_RootConstrainSelectedInstOperands,
     /* 110487 */   // GIR_Coverage, 7039,
     /* 110487 */   GIR_EraseRootFromParent_Done,
     /* 110488 */ // Label 2076: @110488
     /* 110488 */ GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(110542), // Rule ID 7041 //
     /* 110493 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110496 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110503 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110510 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110514 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 110521 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15853>>  =>  (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 110524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110526 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110531 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110536 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110540 */   GIR_RootConstrainSelectedInstOperands,
     /* 110541 */   // GIR_Coverage, 7041,
     /* 110541 */   GIR_EraseRootFromParent_Done,
     /* 110542 */ // Label 2077: @110542
     /* 110542 */ GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(110599), // Rule ID 7403 //
     /* 110547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 110550 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110553 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110560 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110567 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110571 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 110578 */   // (atomic_load:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15842>>  =>  (LDAPURBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURBi),
     /* 110581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110583 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110588 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110593 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110597 */   GIR_RootConstrainSelectedInstOperands,
     /* 110598 */   // GIR_Coverage, 7403,
     /* 110598 */   GIR_EraseRootFromParent_Done,
     /* 110599 */ // Label 2078: @110599
     /* 110599 */ GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(110656), // Rule ID 7405 //
     /* 110604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO_UseLDAPUR),
     /* 110607 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110610 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110617 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110624 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110628 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 110635 */   // (atomic_load:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15851>>  =>  (LDAPURHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 110635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAPURHi),
     /* 110638 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 110640 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110645 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 110650 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110654 */   GIR_RootConstrainSelectedInstOperands,
     /* 110655 */   // GIR_Coverage, 7405,
     /* 110655 */   GIR_EraseRootFromParent_Done,
     /* 110656 */ // Label 2079: @110656
     /* 110656 */ GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(110693), // Rule ID 7019 //
     /* 110661 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110664 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110671 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 110674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110678 */   // MIs[0] ptr
     /* 110678 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110686 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15840>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 110686 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /* 110691 */   GIR_RootConstrainSelectedInstOperands,
     /* 110692 */   // GIR_Coverage, 7019,
     /* 110692 */   GIR_Done,
     /* 110693 */ // Label 2080: @110693
     /* 110693 */ GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(110730), // Rule ID 7021 //
     /* 110698 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110701 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110708 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110715 */   // MIs[0] ptr
     /* 110715 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110723 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_15842>>  =>  (LDARB:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 110723 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARB),
     /* 110728 */   GIR_RootConstrainSelectedInstOperands,
     /* 110729 */   // GIR_Coverage, 7021,
     /* 110729 */   GIR_Done,
     /* 110730 */ // Label 2081: @110730
     /* 110730 */ GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(110767), // Rule ID 7031 //
     /* 110735 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110738 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110745 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 110748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110752 */   // MIs[0] ptr
     /* 110752 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110760 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15849>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 110760 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /* 110765 */   GIR_RootConstrainSelectedInstOperands,
     /* 110766 */   // GIR_Coverage, 7031,
     /* 110766 */   GIR_Done,
     /* 110767 */ // Label 2082: @110767
     /* 110767 */ GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(110804), // Rule ID 7033 //
     /* 110772 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 110775 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110782 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 110785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110789 */   // MIs[0] ptr
     /* 110789 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 110793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 110797 */   // (atomic_load:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_15851>>  =>  (LDARH:{ *:[i32] } GPR64sp:{ *:[i64] }:$ptr)
     /* 110797 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LDARH),
     /* 110802 */   GIR_RootConstrainSelectedInstOperands,
     /* 110803 */   // GIR_Coverage, 7033,
     /* 110803 */   GIR_Done,
     /* 110804 */ // Label 2083: @110804
     /* 110804 */ GIM_Reject,
     /* 110805 */ // Label 2054: @110805
     /* 110805 */ GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(112294),
     /* 110810 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 110813 */   GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(110898), // Rule ID 4104 //
     /* 110818 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 110840 */     // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 110840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 110847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 110862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 110867 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 110876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 110887 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110892 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110897 */     // GIR_Coverage, 4104,
     /* 110897 */     GIR_EraseRootFromParent_Done,
     /* 110898 */   // Label 2085: @110898
     /* 110898 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(110983), // Rule ID 4105 //
     /* 110903 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 110910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110914 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 110918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 110925 */     // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 110925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 110928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 110932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 110937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 110942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 110947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 110952 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 110956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 110958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 110961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 110963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 110966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 110969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 110972 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110977 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 110982 */     // GIR_Coverage, 4105,
     /* 110982 */     GIR_EraseRootFromParent_Done,
     /* 110983 */   // Label 2086: @110983
     /* 110983 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(111068), // Rule ID 4106 //
     /* 110988 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 110995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 110999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 111010 */     // (ld:{ *:[i64] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 111010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroW),
     /* 111017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111037 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111057 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111062 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111067 */     // GIR_Coverage, 4106,
     /* 111067 */     GIR_EraseRootFromParent_Done,
     /* 111068 */   // Label 2087: @111068
     /* 111068 */   GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(111153), // Rule ID 4107 //
     /* 111073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 111080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111084 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 111095 */     // (ld:{ *:[i64] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 111095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHroX),
     /* 111102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111122 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111142 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111147 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111152 */     // GIR_Coverage, 4107,
     /* 111152 */     GIR_EraseRootFromParent_Done,
     /* 111153 */   // Label 2088: @111153
     /* 111153 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(111238), // Rule ID 4108 //
     /* 111158 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 111165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 111180 */     // (ld:{ *:[i64] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 111180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroW),
     /* 111187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111207 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111227 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111232 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111237 */     // GIR_Coverage, 4108,
     /* 111237 */     GIR_EraseRootFromParent_Done,
     /* 111238 */   // Label 2089: @111238
     /* 111238 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(111323), // Rule ID 4109 //
     /* 111243 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 111250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 111265 */     // (ld:{ *:[i64] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 111265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWroX),
     /* 111272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111292 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111312 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111317 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111322 */     // GIR_Coverage, 4109,
     /* 111322 */     GIR_EraseRootFromParent_Done,
     /* 111323 */   // Label 2090: @111323
     /* 111323 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(111408), // Rule ID 4110 //
     /* 111328 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 111350 */     // (ld:{ *:[i64] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 111350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroW),
     /* 111357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111377 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111397 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111402 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111407 */     // GIR_Coverage, 4110,
     /* 111407 */     GIR_EraseRootFromParent_Done,
     /* 111408 */   // Label 2091: @111408
     /* 111408 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(111493), // Rule ID 4111 //
     /* 111413 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 111435 */     // (ld:{ *:[i64] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), sub_32:{ *:[i32] })
     /* 111435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBroX),
     /* 111442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 111457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 111462 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111482 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111487 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111492 */     // GIR_Coverage, 4111,
     /* 111492 */     GIR_EraseRootFromParent_Done,
     /* 111493 */   // Label 2092: @111493
     /* 111493 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(111573), // Rule ID 4143 //
     /* 111498 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111509 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 111520 */     // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 111520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 111527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111542 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111562 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111567 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111572 */     // GIR_Coverage, 4143,
     /* 111572 */     GIR_EraseRootFromParent_Done,
     /* 111573 */   // Label 2093: @111573
     /* 111573 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(111653), // Rule ID 4144 //
     /* 111578 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 111585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111589 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 111600 */     // (ld:{ *:[i64] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRHHui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 111600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHHui),
     /* 111607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111622 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111642 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111647 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111652 */     // GIR_Coverage, 4144,
     /* 111652 */     GIR_EraseRootFromParent_Done,
     /* 111653 */   // Label 2094: @111653
     /* 111653 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(111733), // Rule ID 4146 //
     /* 111658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 111680 */     // (ld:{ *:[i64] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRBBui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 111680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBBui),
     /* 111687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111702 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111722 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111727 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111732 */     // GIR_Coverage, 4146,
     /* 111732 */     GIR_EraseRootFromParent_Done,
     /* 111733 */   // Label 2095: @111733
     /* 111733 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(111813), // Rule ID 4154 //
     /* 111738 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 111745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 111760 */     // (ld:{ *:[i64] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDRWui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), sub_32:{ *:[i32] })
     /* 111760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRWui),
     /* 111767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111782 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111802 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111807 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111812 */     // GIR_Coverage, 4154,
     /* 111812 */     GIR_EraseRootFromParent_Done,
     /* 111813 */   // Label 2096: @111813
     /* 111813 */   GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(111893), // Rule ID 4180 //
     /* 111818 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 111825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 111840 */     // (ld:{ *:[i64] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURWi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 111840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURWi),
     /* 111847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111862 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111882 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111887 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111892 */     // GIR_Coverage, 4180,
     /* 111892 */     GIR_EraseRootFromParent_Done,
     /* 111893 */   // Label 2097: @111893
     /* 111893 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(111973), // Rule ID 4181 //
     /* 111898 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 111905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 111920 */     // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 111920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 111923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 111927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 111932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 111937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 111942 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 111946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 111948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 111951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 111953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 111956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 111959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 111962 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111967 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 111972 */     // GIR_Coverage, 4181,
     /* 111972 */     GIR_EraseRootFromParent_Done,
     /* 111973 */   // Label 2098: @111973
     /* 111973 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(112053), // Rule ID 4182 //
     /* 111978 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 111985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 111989 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 111993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 112000 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 112000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 112003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 112007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112022 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 112031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 112042 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112047 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112052 */     // GIR_Coverage, 4182,
     /* 112052 */     GIR_EraseRootFromParent_Done,
     /* 112053 */   // Label 2099: @112053
     /* 112053 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(112133), // Rule ID 4183 //
     /* 112058 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 112065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112069 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 112080 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 112080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 112083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 112087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112102 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 112111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 112122 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112127 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112132 */     // GIR_Coverage, 4183,
     /* 112132 */     GIR_EraseRootFromParent_Done,
     /* 112133 */   // Label 2100: @112133
     /* 112133 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(112213), // Rule ID 4184 //
     /* 112138 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 112145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112149 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 112160 */     // (ld:{ *:[i64] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURBBi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 112160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 112163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBBi),
     /* 112167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112182 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 112191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 112202 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112207 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112212 */     // GIR_Coverage, 4184,
     /* 112212 */     GIR_EraseRootFromParent_Done,
     /* 112213 */   // Label 2101: @112213
     /* 112213 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(112293), // Rule ID 4185 //
     /* 112218 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 112225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 112240 */     // (ld:{ *:[i64] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDURHHi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), sub_32:{ *:[i32] })
     /* 112240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 112243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHHi),
     /* 112247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112262 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 112268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 112271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 112273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 112276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 112282 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 112287 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 112292 */     // GIR_Coverage, 4185,
     /* 112292 */     GIR_EraseRootFromParent_Done,
     /* 112293 */   // Label 2102: @112293
     /* 112293 */   GIM_Reject,
     /* 112294 */ // Label 2084: @112294
     /* 112294 */ GIM_Reject,
     /* 112295 */ // Label 2055: @112295
     /* 112295 */ GIM_Reject,
     /* 112296 */ // Label 19: @112296
     /* 112296 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(24), /*)*//*default:*//*Label 2123*/ GIMT_Encode4(125821),
     /* 112307 */ /*GILLT_s8*//*Label 2103*/ GIMT_Encode4(112403),
     /* 112311 */ /*GILLT_s16*//*Label 2104*/ GIMT_Encode4(112770),
     /* 112315 */ /*GILLT_s32*//*Label 2105*/ GIMT_Encode4(113909),
     /* 112319 */ /*GILLT_s64*//*Label 2106*/ GIMT_Encode4(118504),
     /* 112323 */ /*GILLT_s128*//*Label 2107*/ GIMT_Encode4(122273),
     /* 112327 */ /*GILLT_v2s32*//*Label 2108*/ GIMT_Encode4(122479),
     /* 112331 */ /*GILLT_v2s64*//*Label 2109*/ GIMT_Encode4(122885),
     /* 112335 */ /*GILLT_v4s16*//*Label 2110*/ GIMT_Encode4(123335),
     /* 112339 */ /*GILLT_v4s32*//*Label 2111*/ GIMT_Encode4(123741),
     /* 112343 */ /*GILLT_v8s8*//*Label 2112*/ GIMT_Encode4(124147),
     /* 112347 */ /*GILLT_v8s16*//*Label 2113*/ GIMT_Encode4(124367),
     /* 112351 */ /*GILLT_v16s8*//*Label 2114*/ GIMT_Encode4(124773), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 112363 */ /*GILLT_nxv2s16*//*Label 2115*/ GIMT_Encode4(124993),
     /* 112367 */ /*GILLT_nxv2s32*//*Label 2116*/ GIMT_Encode4(125053),
     /* 112371 */ /*GILLT_nxv2s64*//*Label 2117*/ GIMT_Encode4(125113), GIMT_Encode4(0),
     /* 112379 */ /*GILLT_nxv4s16*//*Label 2118*/ GIMT_Encode4(125283),
     /* 112383 */ /*GILLT_nxv4s32*//*Label 2119*/ GIMT_Encode4(125343), GIMT_Encode4(0),
     /* 112391 */ /*GILLT_nxv8s16*//*Label 2120*/ GIMT_Encode4(125513),
     /* 112395 */ /*GILLT_nxv16s1*//*Label 2121*/ GIMT_Encode4(125683),
     /* 112399 */ /*GILLT_nxv16s8*//*Label 2122*/ GIMT_Encode4(125727),
     /* 112403 */ // Label 2103: @112403
     /* 112403 */ GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(112769),
     /* 112408 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112411 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112415 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(112483), // Rule ID 13168 //
     /* 112420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 112432 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 112445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 112449 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 112453 */     // MIs[2] Operand 1
     /* 112453 */     // No operand predicates
     /* 112453 */     // MIs[0] Rn
     /* 112453 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 112457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 112461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 112463 */     // (st (vector_extract:{ *:[i8] } VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i8 VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 112463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 112466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 112470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 112473 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 112475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 112481 */     GIR_RootConstrainSelectedInstOperands,
     /* 112482 */     // GIR_Coverage, 13168,
     /* 112482 */     GIR_EraseRootFromParent_Done,
     /* 112483 */   // Label 2125: @112483
     /* 112483 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(112582), // Rule ID 13169 //
     /* 112488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 112500 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 112509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 112513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 112517 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 112521 */     // MIs[2] Operand 1
     /* 112521 */     // No operand predicates
     /* 112521 */     // MIs[0] Rn
     /* 112521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 112525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 112529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 112531 */     // (st (vector_extract:{ *:[i8] } VecListOne64:{ *:[v8i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i8 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v8i8] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 112531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 112534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 112538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112543 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 112546 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 112550 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 112553 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112558 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 112563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 112566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 112572 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 112574 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 112580 */     GIR_RootConstrainSelectedInstOperands,
     /* 112581 */     // GIR_Coverage, 13169,
     /* 112581 */     GIR_EraseRootFromParent_Done,
     /* 112582 */   // Label 2126: @112582
     /* 112582 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(112631), // Rule ID 303 //
     /* 112587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 112590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 112594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 112605 */     // (st FPR8Op:{ *:[i8] }:$Rt, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRBroW FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 112605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBroW),
     /* 112608 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 112610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112629 */     GIR_RootConstrainSelectedInstOperands,
     /* 112630 */     // GIR_Coverage, 303,
     /* 112630 */     GIR_EraseRootFromParent_Done,
     /* 112631 */   // Label 2127: @112631
     /* 112631 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(112680), // Rule ID 304 //
     /* 112636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 112639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 112643 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 112654 */     // (st FPR8Op:{ *:[i8] }:$Rt, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRBroX FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 112654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBroX),
     /* 112657 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 112659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112678 */     GIR_RootConstrainSelectedInstOperands,
     /* 112679 */     // GIR_Coverage, 304,
     /* 112679 */     GIR_EraseRootFromParent_Done,
     /* 112680 */   // Label 2128: @112680
     /* 112680 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(112724), // Rule ID 313 //
     /* 112685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 112688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 112692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 112703 */     // (st FPR8Op:{ *:[i8] }:$Rt, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRBui FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 112703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBui),
     /* 112706 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 112708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112722 */     GIR_RootConstrainSelectedInstOperands,
     /* 112723 */     // GIR_Coverage, 313,
     /* 112723 */     GIR_EraseRootFromParent_Done,
     /* 112724 */   // Label 2129: @112724
     /* 112724 */   GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(112768), // Rule ID 321 //
     /* 112729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 112732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 112736 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 112747 */     // (st FPR8Op:{ *:[i8] }:$Rt, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURBi FPR8Op:{ *:[i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 112747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBi),
     /* 112750 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 112752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 112762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 112766 */     GIR_RootConstrainSelectedInstOperands,
     /* 112767 */     // GIR_Coverage, 321,
     /* 112767 */     GIR_EraseRootFromParent_Done,
     /* 112768 */   // Label 2130: @112768
     /* 112768 */   GIM_Reject,
     /* 112769 */ // Label 2124: @112769
     /* 112769 */ GIM_Reject,
     /* 112770 */ // Label 2104: @112770
     /* 112770 */ GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(113908),
     /* 112775 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 112778 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 112782 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(112881), // Rule ID 4482 //
     /* 112787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112799 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112808 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 112812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 112825 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroW (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 112825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 112828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 112832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112837 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 112843 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 112848 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 112856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112874 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112879 */     GIR_RootConstrainSelectedInstOperands,
     /* 112880 */     // GIR_Coverage, 4482,
     /* 112880 */     GIR_EraseRootFromParent_Done,
     /* 112881 */   // Label 2132: @112881
     /* 112881 */   GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(112980), // Rule ID 4483 //
     /* 112886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 112898 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 112902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112907 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 112911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 112915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 112917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 112924 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroX (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 112924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 112927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 112931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 112936 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 112942 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 112947 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 112952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 112955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 112958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 112963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 112968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 112973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 112978 */     GIR_RootConstrainSelectedInstOperands,
     /* 112979 */     // GIR_Coverage, 4483,
     /* 112979 */     GIR_EraseRootFromParent_Done,
     /* 112980 */   // Label 2133: @112980
     /* 112980 */   GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(113079), // Rule ID 13166 //
     /* 112985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 112989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 112993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 112997 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113006 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 113023 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroW (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 113023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113035 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113041 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113046 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 113054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113077 */     GIR_RootConstrainSelectedInstOperands,
     /* 113078 */     // GIR_Coverage, 13166,
     /* 113078 */     GIR_EraseRootFromParent_Done,
     /* 113079 */   // Label 2134: @113079
     /* 113079 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(113178), // Rule ID 13167 //
     /* 113084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 113096 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113105 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 113122 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroX (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 113122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113134 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113140 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113145 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 113153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113176 */     GIR_RootConstrainSelectedInstOperands,
     /* 113177 */     // GIR_Coverage, 13167,
     /* 113177 */     GIR_EraseRootFromParent_Done,
     /* 113178 */   // Label 2135: @113178
     /* 113178 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(113272), // Rule ID 4511 //
     /* 113183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 113195 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113204 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 113221 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHui (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 113221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113233 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113239 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113244 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 113252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113265 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113270 */     GIR_RootConstrainSelectedInstOperands,
     /* 113271 */     // GIR_Coverage, 4511,
     /* 113271 */     GIR_EraseRootFromParent_Done,
     /* 113272 */   // Label 2136: @113272
     /* 113272 */   GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(113366), // Rule ID 4538 //
     /* 113277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 113289 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113298 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113302 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 113315 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURHi (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 113315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113327 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113333 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113338 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 113346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113364 */     GIR_RootConstrainSelectedInstOperands,
     /* 113365 */     // GIR_Coverage, 4538,
     /* 113365 */     GIR_EraseRootFromParent_Done,
     /* 113366 */   // Label 2137: @113366
     /* 113366 */   GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(113460), // Rule ID 13165 //
     /* 113371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 113383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113392 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 113409 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHui (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 113409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113421 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113427 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113432 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 113440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113453 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113458 */     GIR_RootConstrainSelectedInstOperands,
     /* 113459 */     // GIR_Coverage, 13165,
     /* 113459 */     GIR_EraseRootFromParent_Done,
     /* 113460 */   // Label 2138: @113460
     /* 113460 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(113554), // Rule ID 13171 //
     /* 113465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 113477 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113486 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113490 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 113503 */     // (st (vector_extract:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, 0:{ *:[i64] }), (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURHi (EXTRACT_SUBREG:{ *:[i16] } VecListOne64:{ *:[v4i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 113503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113515 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113521 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113526 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 113534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 113552 */     GIR_RootConstrainSelectedInstOperands,
     /* 113553 */     // GIR_Coverage, 13171,
     /* 113553 */     GIR_EraseRootFromParent_Done,
     /* 113554 */   // Label 2139: @113554
     /* 113554 */   GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(113622), // Rule ID 6457 //
     /* 113559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 113571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 113584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 113588 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 113592 */     // MIs[2] Operand 1
     /* 113592 */     // No operand predicates
     /* 113592 */     // MIs[0] Rn
     /* 113592 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 113596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 113600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 113602 */     // (st (vector_extract:{ *:[f16] } VecListOne128:{ *:[v8f16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i16 VecListOne128:{ *:[v8f16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 113602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 113605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 113609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 113612 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 113614 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 113620 */     GIR_RootConstrainSelectedInstOperands,
     /* 113621 */     // GIR_Coverage, 6457,
     /* 113621 */     GIR_EraseRootFromParent_Done,
     /* 113622 */   // Label 2140: @113622
     /* 113622 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(113721), // Rule ID 6462 //
     /* 113627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 113639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 113652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 113656 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 113660 */     // MIs[2] Operand 1
     /* 113660 */     // No operand predicates
     /* 113660 */     // MIs[0] Rn
     /* 113660 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 113664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 113668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 113670 */     // (st (vector_extract:{ *:[f16] } VecListOne64:{ *:[v4f16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i16 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4f16] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 113670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 113673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 113677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113682 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 113685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 113689 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 113692 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113697 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 113702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 113705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 113708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 113711 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 113713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 113719 */     GIR_RootConstrainSelectedInstOperands,
     /* 113720 */     // GIR_Coverage, 6462,
     /* 113720 */     GIR_EraseRootFromParent_Done,
     /* 113721 */   // Label 2141: @113721
     /* 113721 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(113770), // Rule ID 305 //
     /* 113726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 113729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113733 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 113744 */     // (st FPR16Op:{ *:[f16] }:$Rt, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroW FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 113744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 113747 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 113749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113764 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113768 */     GIR_RootConstrainSelectedInstOperands,
     /* 113769 */     // GIR_Coverage, 305,
     /* 113769 */     GIR_EraseRootFromParent_Done,
     /* 113770 */   // Label 2142: @113770
     /* 113770 */   GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(113819), // Rule ID 306 //
     /* 113775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 113778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 113793 */     // (st FPR16Op:{ *:[f16] }:$Rt, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHroX FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 113793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 113796 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 113798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 113808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 113813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113817 */     GIR_RootConstrainSelectedInstOperands,
     /* 113818 */     // GIR_Coverage, 306,
     /* 113818 */     GIR_EraseRootFromParent_Done,
     /* 113819 */   // Label 2143: @113819
     /* 113819 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(113863), // Rule ID 314 //
     /* 113824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 113827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113831 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 113842 */     // (st FPR16Op:{ *:[f16] }:$Rt, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRHui FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 113842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 113845 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 113847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113857 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113861 */     GIR_RootConstrainSelectedInstOperands,
     /* 113862 */     // GIR_Coverage, 314,
     /* 113862 */     GIR_EraseRootFromParent_Done,
     /* 113863 */   // Label 2144: @113863
     /* 113863 */   GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(113907), // Rule ID 322 //
     /* 113868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 113871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113875 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 113886 */     // (st FPR16Op:{ *:[f16] }:$Rt, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURHi FPR16Op:{ *:[f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 113886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 113889 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 113891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 113896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 113901 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 113905 */     GIR_RootConstrainSelectedInstOperands,
     /* 113906 */     // GIR_Coverage, 322,
     /* 113906 */     GIR_EraseRootFromParent_Done,
     /* 113907 */   // Label 2145: @113907
     /* 113907 */   GIM_Reject,
     /* 113908 */ // Label 2131: @113908
     /* 113908 */ GIM_Reject,
     /* 113909 */ // Label 2105: @113909
     /* 113909 */ GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(114022), // Rule ID 4480 //
     /* 113914 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 113917 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 113921 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 113928 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 113932 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 113936 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 113940 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 113944 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113949 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 113953 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 113957 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 113959 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 113966 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHroW (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 113966 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 113969 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 113973 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 113978 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 113984 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 113989 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 113994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroW),
     /* 113997 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114000 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114005 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114010 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114015 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114020 */   GIR_RootConstrainSelectedInstOperands,
     /* 114021 */   // GIR_Coverage, 4480,
     /* 114021 */   GIR_EraseRootFromParent_Done,
     /* 114022 */ // Label 2146: @114022
     /* 114022 */ GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(114135), // Rule ID 4481 //
     /* 114027 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114030 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114034 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 114041 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114045 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114049 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 114053 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114057 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114062 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114066 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114070 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114072 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 114079 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHroX (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 114079 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 114082 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114086 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114091 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 114097 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 114102 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHroX),
     /* 114110 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114113 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114118 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114123 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114128 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114133 */   GIR_RootConstrainSelectedInstOperands,
     /* 114134 */   // GIR_Coverage, 4481,
     /* 114134 */   GIR_EraseRootFromParent_Done,
     /* 114135 */ // Label 2147: @114135
     /* 114135 */ GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(114241), // Rule ID 4484 //
     /* 114140 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114143 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114147 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114151 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114155 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114159 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114163 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114168 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114172 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114176 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114178 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 114185 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 114185 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114188 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114192 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114197 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114203 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114208 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 114216 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114219 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114224 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114229 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114234 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114239 */   GIR_RootConstrainSelectedInstOperands,
     /* 114240 */   // GIR_Coverage, 4484,
     /* 114240 */   GIR_EraseRootFromParent_Done,
     /* 114241 */ // Label 2148: @114241
     /* 114241 */ GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(114347), // Rule ID 4485 //
     /* 114246 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114249 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114253 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114257 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114261 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114265 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114269 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114274 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114278 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114282 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114284 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 114291 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 114291 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114294 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114298 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114303 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114309 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114314 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 114322 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114325 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114330 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114335 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114340 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114345 */   GIR_RootConstrainSelectedInstOperands,
     /* 114346 */   // GIR_Coverage, 4485,
     /* 114346 */   GIR_EraseRootFromParent_Done,
     /* 114347 */ // Label 2149: @114347
     /* 114347 */ GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(114453), // Rule ID 4486 //
     /* 114352 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114355 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114359 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114363 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114367 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114371 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114375 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114380 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114384 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114388 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114390 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 114397 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 114397 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114400 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114404 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114409 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114415 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114420 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 114428 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114431 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114436 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114441 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114446 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114451 */   GIR_RootConstrainSelectedInstOperands,
     /* 114452 */   // GIR_Coverage, 4486,
     /* 114452 */   GIR_EraseRootFromParent_Done,
     /* 114453 */ // Label 2150: @114453
     /* 114453 */ GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(114559), // Rule ID 4487 //
     /* 114458 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114461 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114465 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114469 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114473 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114477 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114481 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114486 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114490 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114494 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114496 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 114503 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 114503 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114506 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114510 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114515 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114521 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114526 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 114534 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114537 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114542 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114547 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114552 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114557 */   GIR_RootConstrainSelectedInstOperands,
     /* 114558 */   // GIR_Coverage, 4487,
     /* 114558 */   GIR_EraseRootFromParent_Done,
     /* 114559 */ // Label 2151: @114559
     /* 114559 */ GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(114665), // Rule ID 13173 //
     /* 114564 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114567 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114571 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114575 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114579 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 114583 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114587 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114592 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114596 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114600 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114602 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 114609 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 114609 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114612 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114616 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114621 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114627 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114632 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 114640 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114643 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114648 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114653 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114658 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114663 */   GIR_RootConstrainSelectedInstOperands,
     /* 114664 */   // GIR_Coverage, 13173,
     /* 114664 */   GIR_EraseRootFromParent_Done,
     /* 114665 */ // Label 2152: @114665
     /* 114665 */ GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(114771), // Rule ID 13174 //
     /* 114670 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114673 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114677 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114681 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114685 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 114689 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114693 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114698 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114702 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114706 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114708 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 114715 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 114715 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114718 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114722 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114727 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114733 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114738 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 114743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 114746 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114749 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114754 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 114759 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 114764 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114769 */   GIR_RootConstrainSelectedInstOperands,
     /* 114770 */   // GIR_Coverage, 13174,
     /* 114770 */   GIR_EraseRootFromParent_Done,
     /* 114771 */ // Label 2153: @114771
     /* 114771 */ GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(114879), // Rule ID 4510 //
     /* 114776 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114779 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114783 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 114790 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114794 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114798 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 114802 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114806 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114811 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114815 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114819 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114821 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 114828 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHui (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 114828 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 114831 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114835 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114840 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 114846 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 114851 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHui),
     /* 114859 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114862 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114867 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114872 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114877 */   GIR_RootConstrainSelectedInstOperands,
     /* 114878 */   // GIR_Coverage, 4510,
     /* 114878 */   GIR_EraseRootFromParent_Done,
     /* 114879 */ // Label 2154: @114879
     /* 114879 */ GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(114980), // Rule ID 4512 //
     /* 114884 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114887 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114891 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114895 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 114899 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 114903 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 114907 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114912 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 114916 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 114920 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 114922 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 114929 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 114929 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 114932 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 114936 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 114941 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 114947 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 114952 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 114957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 114960 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 114963 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 114968 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 114973 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 114978 */   GIR_RootConstrainSelectedInstOperands,
     /* 114979 */   // GIR_Coverage, 4512,
     /* 114979 */   GIR_EraseRootFromParent_Done,
     /* 114980 */ // Label 2155: @114980
     /* 114980 */ GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(115081), // Rule ID 4513 //
     /* 114985 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 114988 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 114992 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 114996 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115000 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 115004 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115008 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115013 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 115017 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115021 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115023 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 115030 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 115030 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115033 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115037 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115042 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 115048 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 115053 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 115061 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115064 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115069 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115074 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115079 */   GIR_RootConstrainSelectedInstOperands,
     /* 115080 */   // GIR_Coverage, 4513,
     /* 115080 */   GIR_EraseRootFromParent_Done,
     /* 115081 */ // Label 2156: @115081
     /* 115081 */ GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(115189), // Rule ID 4537 //
     /* 115086 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115089 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115093 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 115100 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115104 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115108 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 115112 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115116 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115121 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 115125 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115129 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115131 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 115138 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STURHi (EXTRACT_SUBREG:{ *:[f16] } VecListOne128:{ *:[v8i16] }:$Vt, hsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 115138 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 115141 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115145 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115150 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Vt
     /* 115156 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 115161 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHi),
     /* 115169 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115172 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115177 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115182 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115187 */   GIR_RootConstrainSelectedInstOperands,
     /* 115188 */   // GIR_Coverage, 4537,
     /* 115188 */   GIR_EraseRootFromParent_Done,
     /* 115189 */ // Label 2157: @115189
     /* 115189 */ GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(115290), // Rule ID 4539 //
     /* 115194 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115197 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115201 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115205 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115209 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 115213 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115217 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115222 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 115226 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115230 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115232 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 115239 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 115239 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115242 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115246 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115251 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 115257 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 115262 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 115270 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115273 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115278 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115283 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115288 */   GIR_RootConstrainSelectedInstOperands,
     /* 115289 */   // GIR_Coverage, 4539,
     /* 115289 */   GIR_EraseRootFromParent_Done,
     /* 115290 */ // Label 2158: @115290
     /* 115290 */ GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(115391), // Rule ID 4540 //
     /* 115295 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115298 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115302 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115306 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115310 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 115314 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115318 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115323 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 115327 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115331 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115333 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 115340 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi (EXTRACT_SUBREG:{ *:[i32] } VecListOne128:{ *:[v4f32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 115340 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115343 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115347 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115352 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 115358 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 115363 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 115371 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115374 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115384 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115389 */   GIR_RootConstrainSelectedInstOperands,
     /* 115390 */   // GIR_Coverage, 4540,
     /* 115390 */   GIR_EraseRootFromParent_Done,
     /* 115391 */ // Label 2159: @115391
     /* 115391 */ GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(115492), // Rule ID 13170 //
     /* 115396 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115399 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115403 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115407 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115411 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 115415 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115419 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115424 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 115428 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115432 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115434 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 115441 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 115441 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115444 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115448 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115453 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 115459 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 115464 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 115472 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115475 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115480 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115485 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115490 */   GIR_RootConstrainSelectedInstOperands,
     /* 115491 */   // GIR_Coverage, 13170,
     /* 115491 */   GIR_EraseRootFromParent_Done,
     /* 115492 */ // Label 2160: @115492
     /* 115492 */ GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(115593), // Rule ID 13172 //
     /* 115497 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115500 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115504 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115508 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115512 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 115516 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115520 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115525 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 115529 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 115533 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 115535 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 115542 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, 0:{ *:[i64] }), (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi (EXTRACT_SUBREG:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, ssub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 115542 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 115545 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 115549 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115554 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Vt
     /* 115560 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 115565 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 115573 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 115576 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 115581 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 115586 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 115591 */   GIR_RootConstrainSelectedInstOperands,
     /* 115592 */   // GIR_Coverage, 13172,
     /* 115592 */   GIR_EraseRootFromParent_Done,
     /* 115593 */ // Label 2161: @115593
     /* 115593 */ GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(115675), // Rule ID 6451 //
     /* 115598 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115601 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115605 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 115612 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115616 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115620 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 115624 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115628 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115633 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 115637 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115641 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 115645 */   // MIs[2] Operand 1
     /* 115645 */   // No operand predicates
     /* 115645 */   // MIs[0] Rn
     /* 115645 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 115649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 115653 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115655 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (ST1i8 VecListOne128:{ *:[v16i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 115655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 115658 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 115662 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 115665 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 115667 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 115673 */   GIR_RootConstrainSelectedInstOperands,
     /* 115674 */   // GIR_Coverage, 6451,
     /* 115674 */   GIR_EraseRootFromParent_Done,
     /* 115675 */ // Label 2162: @115675
     /* 115675 */ GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(115757), // Rule ID 6452 //
     /* 115680 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115683 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115687 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 115694 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115698 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115702 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 115706 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115710 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115715 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 115719 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115723 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 115727 */   // MIs[2] Operand 1
     /* 115727 */   // No operand predicates
     /* 115727 */   // MIs[0] Rn
     /* 115727 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 115731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 115735 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115737 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v8i16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (ST1i16 VecListOne128:{ *:[v8i16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 115737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 115740 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 115744 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 115747 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 115749 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 115755 */   GIR_RootConstrainSelectedInstOperands,
     /* 115756 */   // GIR_Coverage, 6452,
     /* 115756 */   GIR_EraseRootFromParent_Done,
     /* 115757 */ // Label 2163: @115757
     /* 115757 */ GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(115832), // Rule ID 6453 //
     /* 115762 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115765 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115769 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115773 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115777 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 115781 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115785 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115790 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 115794 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115798 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 115802 */   // MIs[2] Operand 1
     /* 115802 */   // No operand predicates
     /* 115802 */   // MIs[0] Rn
     /* 115802 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 115806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 115810 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115812 */   // (st (vector_extract:{ *:[i32] } VecListOne128:{ *:[v4i32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 VecListOne128:{ *:[v4i32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 115812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 115815 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 115819 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 115822 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 115824 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 115830 */   GIR_RootConstrainSelectedInstOperands,
     /* 115831 */   // GIR_Coverage, 6453,
     /* 115831 */   GIR_EraseRootFromParent_Done,
     /* 115832 */ // Label 2164: @115832
     /* 115832 */ GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(115907), // Rule ID 6454 //
     /* 115837 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115840 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115844 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115848 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115852 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 115856 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115860 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115865 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 115869 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115873 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 115877 */   // MIs[2] Operand 1
     /* 115877 */   // No operand predicates
     /* 115877 */   // MIs[0] Rn
     /* 115877 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 115881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 115885 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115887 */   // (st (vector_extract:{ *:[f32] } VecListOne128:{ *:[v4f32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 VecListOne128:{ *:[v4f32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 115887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 115890 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 115894 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 115897 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 115899 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 115905 */   GIR_RootConstrainSelectedInstOperands,
     /* 115906 */   // GIR_Coverage, 6454,
     /* 115906 */   GIR_EraseRootFromParent_Done,
     /* 115907 */ // Label 2165: @115907
     /* 115907 */ GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(116020), // Rule ID 6458 //
     /* 115912 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 115915 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 115919 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 115926 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 115930 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 115934 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 115938 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 115942 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 115947 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 115951 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 115955 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 115959 */   // MIs[2] Operand 1
     /* 115959 */   // No operand predicates
     /* 115959 */   // MIs[0] Rn
     /* 115959 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 115963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 115967 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 115969 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v8i8] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (ST1i8 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v8i8] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 115969 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 115972 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 115976 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 115981 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 115984 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 115988 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 115991 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 115996 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i8),
     /* 116004 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116007 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 116010 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 116012 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116018 */   GIR_RootConstrainSelectedInstOperands,
     /* 116019 */   // GIR_Coverage, 6458,
     /* 116019 */   GIR_EraseRootFromParent_Done,
     /* 116020 */ // Label 2166: @116020
     /* 116020 */ GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(116133), // Rule ID 6459 //
     /* 116025 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116028 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116032 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 116039 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116043 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 116047 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 116051 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 116055 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116060 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 116064 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116068 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 116072 */   // MIs[2] Operand 1
     /* 116072 */   // No operand predicates
     /* 116072 */   // MIs[0] Rn
     /* 116072 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 116076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 116080 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 116082 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v4i16] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (ST1i16 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4i16] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 116082 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 116085 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 116089 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116094 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 116097 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 116101 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 116104 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 116109 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i16),
     /* 116117 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116120 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 116123 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 116125 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116131 */   GIR_RootConstrainSelectedInstOperands,
     /* 116132 */   // GIR_Coverage, 6459,
     /* 116132 */   GIR_EraseRootFromParent_Done,
     /* 116133 */ // Label 2167: @116133
     /* 116133 */ GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(116239), // Rule ID 6460 //
     /* 116138 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116141 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116145 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116149 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 116153 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 116157 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 116161 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116166 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 116170 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116174 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 116178 */   // MIs[2] Operand 1
     /* 116178 */   // No operand predicates
     /* 116178 */   // MIs[0] Rn
     /* 116178 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 116182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 116186 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 116188 */   // (st (vector_extract:{ *:[i32] } VecListOne64:{ *:[v2i32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2i32] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 116188 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 116191 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 116195 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116200 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 116203 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 116207 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 116210 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 116215 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 116223 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116226 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 116229 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 116231 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116237 */   GIR_RootConstrainSelectedInstOperands,
     /* 116238 */   // GIR_Coverage, 6460,
     /* 116238 */   GIR_EraseRootFromParent_Done,
     /* 116239 */ // Label 2168: @116239
     /* 116239 */ GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(116345), // Rule ID 6461 //
     /* 116244 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116247 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116251 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 116255 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 116259 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 116263 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 116267 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116272 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 116276 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 116280 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 116284 */   // MIs[2] Operand 1
     /* 116284 */   // No operand predicates
     /* 116284 */   // MIs[0] Rn
     /* 116284 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 116288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 116292 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 116294 */   // (st (vector_extract:{ *:[f32] } VecListOne64:{ *:[v2f32] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i32 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2f32] }:$Vt, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 116294 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 116297 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 116301 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 116306 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 116309 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 116313 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 116316 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 116321 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 116326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i32),
     /* 116329 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 116332 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 116335 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 116337 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 116343 */   GIR_RootConstrainSelectedInstOperands,
     /* 116344 */   // GIR_Coverage, 6461,
     /* 116344 */   GIR_EraseRootFromParent_Done,
     /* 116345 */ // Label 2169: @116345
     /* 116345 */ GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(116405), // Rule ID 295 //
     /* 116350 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116353 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116357 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 116364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116368 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116372 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 116379 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroW GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 116379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroW),
     /* 116382 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116384 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116389 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116394 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116399 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116403 */   GIR_RootConstrainSelectedInstOperands,
     /* 116404 */   // GIR_Coverage, 295,
     /* 116404 */   GIR_EraseRootFromParent_Done,
     /* 116405 */ // Label 2170: @116405
     /* 116405 */ GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(116465), // Rule ID 296 //
     /* 116410 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116413 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116417 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 116424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116428 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116432 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 116439 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroX GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 116439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroX),
     /* 116442 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116444 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116449 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116454 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116459 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116463 */   GIR_RootConstrainSelectedInstOperands,
     /* 116464 */   // GIR_Coverage, 296,
     /* 116464 */   GIR_EraseRootFromParent_Done,
     /* 116465 */ // Label 2171: @116465
     /* 116465 */ GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(116525), // Rule ID 297 //
     /* 116470 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116473 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116477 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 116484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116488 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116492 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 116499 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroW GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 116499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroW),
     /* 116502 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116504 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116509 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116514 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116519 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116523 */   GIR_RootConstrainSelectedInstOperands,
     /* 116524 */   // GIR_Coverage, 297,
     /* 116524 */   GIR_EraseRootFromParent_Done,
     /* 116525 */ // Label 2172: @116525
     /* 116525 */ GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(116585), // Rule ID 298 //
     /* 116530 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116533 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116537 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 116544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116548 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116552 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 116559 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroX GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 116559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroX),
     /* 116562 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116564 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116569 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116574 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116579 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116583 */   GIR_RootConstrainSelectedInstOperands,
     /* 116584 */   // GIR_Coverage, 298,
     /* 116584 */   GIR_EraseRootFromParent_Done,
     /* 116585 */ // Label 2173: @116585
     /* 116585 */ GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(116638), // Rule ID 299 //
     /* 116590 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116593 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116601 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116605 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 116612 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRWroW GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 116612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroW),
     /* 116615 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116617 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116622 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116627 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116632 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116636 */   GIR_RootConstrainSelectedInstOperands,
     /* 116637 */   // GIR_Coverage, 299,
     /* 116637 */   GIR_EraseRootFromParent_Done,
     /* 116638 */ // Label 2174: @116638
     /* 116638 */ GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(116691), // Rule ID 300 //
     /* 116643 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116646 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116654 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116658 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 116665 */   // (st GPR32:{ *:[i32] }:$Rt, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRWroX GPR32:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 116665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroX),
     /* 116668 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116670 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116675 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116685 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116689 */   GIR_RootConstrainSelectedInstOperands,
     /* 116690 */   // GIR_Coverage, 300,
     /* 116690 */   GIR_EraseRootFromParent_Done,
     /* 116691 */ // Label 2175: @116691
     /* 116691 */ GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(116747), // Rule ID 307 //
     /* 116696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 116699 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116702 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 116710 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116714 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 116721 */   // (st FPR32Op:{ *:[f32] }:$Rt, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroW FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 116721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 116724 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116726 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116731 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116736 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116741 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116745 */   GIR_RootConstrainSelectedInstOperands,
     /* 116746 */   // GIR_Coverage, 307,
     /* 116746 */   GIR_EraseRootFromParent_Done,
     /* 116747 */ // Label 2176: @116747
     /* 116747 */ GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(116803), // Rule ID 308 //
     /* 116752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 116755 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116758 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 116766 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116770 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 116777 */   // (st FPR32Op:{ *:[f32] }:$Rt, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSroX FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 116777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 116780 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116782 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116787 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 116792 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 116797 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116801 */   GIR_RootConstrainSelectedInstOperands,
     /* 116802 */   // GIR_Coverage, 308,
     /* 116802 */   GIR_EraseRootFromParent_Done,
     /* 116803 */ // Label 2177: @116803
     /* 116803 */ GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(116855), // Rule ID 312 //
     /* 116808 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116811 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116819 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116823 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 116830 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRWui GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 116830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWui),
     /* 116833 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 116839 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116844 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116849 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116853 */   GIR_RootConstrainSelectedInstOperands,
     /* 116854 */   // GIR_Coverage, 312,
     /* 116854 */   GIR_EraseRootFromParent_Done,
     /* 116855 */ // Label 2178: @116855
     /* 116855 */ GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(116906), // Rule ID 315 //
     /* 116860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 116863 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116866 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 116874 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116878 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 116885 */   // (st FPR32Op:{ *:[f32] }:$Rt, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRSui FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 116885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 116888 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 116890 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116895 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116900 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116904 */   GIR_RootConstrainSelectedInstOperands,
     /* 116905 */   // GIR_Coverage, 315,
     /* 116905 */   GIR_EraseRootFromParent_Done,
     /* 116906 */ // Label 2179: @116906
     /* 116906 */ GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(116965), // Rule ID 317 //
     /* 116911 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116914 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116918 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 116925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116929 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116933 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 116940 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHui GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 116940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHui),
     /* 116943 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 116949 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 116954 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 116959 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 116963 */   GIR_RootConstrainSelectedInstOperands,
     /* 116964 */   // GIR_Coverage, 317,
     /* 116964 */   GIR_EraseRootFromParent_Done,
     /* 116965 */ // Label 2180: @116965
     /* 116965 */ GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(117024), // Rule ID 318 //
     /* 116970 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 116973 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 116977 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 116984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 116988 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 116992 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 116999 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBui GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 116999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBui),
     /* 117002 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 117008 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117013 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117018 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117022 */   GIR_RootConstrainSelectedInstOperands,
     /* 117023 */   // GIR_Coverage, 318,
     /* 117023 */   GIR_EraseRootFromParent_Done,
     /* 117024 */ // Label 2181: @117024
     /* 117024 */ GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(117101), // Rule ID 7082 //
     /* 117029 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117032 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117039 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117042 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 117046 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 117050 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 117054 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 117059 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117063 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117065 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 117072 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15898>>  =>  (STRSroW FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 117072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroW),
     /* 117075 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 117079 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117084 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117089 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117094 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117099 */   GIR_RootConstrainSelectedInstOperands,
     /* 117100 */   // GIR_Coverage, 7082,
     /* 117100 */   GIR_EraseRootFromParent_Done,
     /* 117101 */ // Label 2182: @117101
     /* 117101 */ GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(117178), // Rule ID 7083 //
     /* 117106 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117109 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117116 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117119 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 117123 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 117127 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 117131 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 117136 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117140 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117142 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 117149 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15898>>  =>  (STRSroX FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 117149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSroX),
     /* 117152 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 117156 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117161 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117166 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117171 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117176 */   GIR_RootConstrainSelectedInstOperands,
     /* 117177 */   // GIR_Coverage, 7083,
     /* 117177 */   GIR_EraseRootFromParent_Done,
     /* 117178 */ // Label 2183: @117178
     /* 117178 */ GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(117237), // Rule ID 7063 //
     /* 117183 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117186 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 117193 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117200 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117204 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 117211 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15884>>  =>  (STRBBroW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 117211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroW),
     /* 117214 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117216 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117221 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117226 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117231 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117235 */   GIR_RootConstrainSelectedInstOperands,
     /* 117236 */   // GIR_Coverage, 7063,
     /* 117236 */   GIR_EraseRootFromParent_Done,
     /* 117237 */ // Label 2184: @117237
     /* 117237 */ GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(117296), // Rule ID 7064 //
     /* 117242 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117245 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 117252 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117259 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117263 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 117270 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15884>>  =>  (STRBBroX GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 117270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroX),
     /* 117273 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117275 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117280 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117285 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117290 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117294 */   GIR_RootConstrainSelectedInstOperands,
     /* 117295 */   // GIR_Coverage, 7064,
     /* 117295 */   GIR_EraseRootFromParent_Done,
     /* 117296 */ // Label 2185: @117296
     /* 117296 */ GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(117355), // Rule ID 7068 //
     /* 117301 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117304 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 117311 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117318 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117322 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 117329 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15891>>  =>  (STRHHroW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 117329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroW),
     /* 117332 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117334 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117339 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117344 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117349 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117353 */   GIR_RootConstrainSelectedInstOperands,
     /* 117354 */   // GIR_Coverage, 7068,
     /* 117354 */   GIR_EraseRootFromParent_Done,
     /* 117355 */ // Label 2186: @117355
     /* 117355 */ GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(117414), // Rule ID 7069 //
     /* 117360 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117363 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 117370 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117377 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117381 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 117388 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15891>>  =>  (STRHHroX GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 117388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroX),
     /* 117391 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117393 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117398 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117403 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117408 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117412 */   GIR_RootConstrainSelectedInstOperands,
     /* 117413 */   // GIR_Coverage, 7069,
     /* 117413 */   GIR_EraseRootFromParent_Done,
     /* 117414 */ // Label 2187: @117414
     /* 117414 */ GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(117473), // Rule ID 7073 //
     /* 117419 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117422 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117429 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117436 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117440 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 117447 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15898>>  =>  (STRWroW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 117447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroW),
     /* 117450 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117452 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117457 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117462 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117467 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117471 */   GIR_RootConstrainSelectedInstOperands,
     /* 117472 */   // GIR_Coverage, 7073,
     /* 117472 */   GIR_EraseRootFromParent_Done,
     /* 117473 */ // Label 2188: @117473
     /* 117473 */ GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(117532), // Rule ID 7074 //
     /* 117478 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117481 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117488 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117495 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117499 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 117506 */   // (atomic_store GPR32:{ *:[i32] }:$val, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15898>>  =>  (STRWroX GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 117506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroX),
     /* 117509 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117511 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117516 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 117521 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 117526 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117530 */   GIR_RootConstrainSelectedInstOperands,
     /* 117531 */   // GIR_Coverage, 7074,
     /* 117531 */   GIR_EraseRootFromParent_Done,
     /* 117532 */ // Label 2189: @117532
     /* 117532 */ GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(117604), // Rule ID 7084 //
     /* 117537 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117540 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117547 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117550 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 117554 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 117558 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 117562 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 117567 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117571 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117573 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 117580 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15898>>  =>  (STRSui FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 117580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRSui),
     /* 117583 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 117587 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117592 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117597 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117602 */   GIR_RootConstrainSelectedInstOperands,
     /* 117603 */   // GIR_Coverage, 7084,
     /* 117603 */   GIR_EraseRootFromParent_Done,
     /* 117604 */ // Label 2190: @117604
     /* 117604 */ GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(117676), // Rule ID 7085 //
     /* 117609 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117612 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 117619 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117622 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 117626 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 117630 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 117634 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 117639 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117643 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 117645 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 117652 */   // (atomic_store (bitconvert:{ *:[i32] } FPR32Op:{ *:[f32] }:$val), (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15898>>  =>  (STURSi FPR32Op:{ *:[f32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 117652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 117655 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 117659 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117664 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117669 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 117674 */   GIR_RootConstrainSelectedInstOperands,
     /* 117675 */   // GIR_Coverage, 7085,
     /* 117675 */   GIR_EraseRootFromParent_Done,
     /* 117676 */ // Label 2191: @117676
     /* 117676 */ GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(117728), // Rule ID 320 //
     /* 117681 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117684 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117692 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117696 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 117703 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURWi GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 117703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURWi),
     /* 117706 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 117712 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117717 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117722 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117726 */   GIR_RootConstrainSelectedInstOperands,
     /* 117727 */   // GIR_Coverage, 320,
     /* 117727 */   GIR_EraseRootFromParent_Done,
     /* 117728 */ // Label 2192: @117728
     /* 117728 */ GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(117779), // Rule ID 323 //
     /* 117733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 117736 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117739 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 117747 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117751 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 117758 */   // (st FPR32Op:{ *:[f32] }:$Rt, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURSi FPR32Op:{ *:[f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 117758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURSi),
     /* 117761 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 117763 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117768 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117773 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117777 */   GIR_RootConstrainSelectedInstOperands,
     /* 117778 */   // GIR_Coverage, 323,
     /* 117778 */   GIR_EraseRootFromParent_Done,
     /* 117779 */ // Label 2193: @117779
     /* 117779 */ GIM_Try, /*On fail goto*//*Label 2194*/ GIMT_Encode4(117838), // Rule ID 326 //
     /* 117784 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117787 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117791 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 117798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117802 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117806 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 117813 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STURHHi GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 117813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHHi),
     /* 117816 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 117822 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117827 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117832 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117836 */   GIR_RootConstrainSelectedInstOperands,
     /* 117837 */   // GIR_Coverage, 326,
     /* 117837 */   GIR_EraseRootFromParent_Done,
     /* 117838 */ // Label 2194: @117838
     /* 117838 */ GIM_Try, /*On fail goto*//*Label 2195*/ GIMT_Encode4(117897), // Rule ID 327 //
     /* 117843 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 117846 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 117850 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 117857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117861 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117865 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 117872 */   // (st GPR32z:{ *:[i32] }:$Rt, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STURBBi GPR32z:{ *:[i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 117872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBBi),
     /* 117875 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::WZR), // Rt
     /* 117881 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117886 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117891 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117895 */   GIR_RootConstrainSelectedInstOperands,
     /* 117896 */   // GIR_Coverage, 327,
     /* 117896 */   GIR_EraseRootFromParent_Done,
     /* 117897 */ // Label 2195: @117897
     /* 117897 */ GIM_Try, /*On fail goto*//*Label 2196*/ GIMT_Encode4(117951), // Rule ID 7065 //
     /* 117902 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117905 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 117912 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117919 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117923 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 117930 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15884>>  =>  (STRBBui GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 117930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBui),
     /* 117933 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117935 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117940 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117945 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 117949 */   GIR_RootConstrainSelectedInstOperands,
     /* 117950 */   // GIR_Coverage, 7065,
     /* 117950 */   GIR_EraseRootFromParent_Done,
     /* 117951 */ // Label 2196: @117951
     /* 117951 */ GIM_Try, /*On fail goto*//*Label 2197*/ GIMT_Encode4(118005), // Rule ID 7066 //
     /* 117956 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 117959 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 117966 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 117969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 117973 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 117977 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 117984 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15884>>  =>  (STURBBi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 117984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBBi),
     /* 117987 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 117989 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 117994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 117999 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118003 */   GIR_RootConstrainSelectedInstOperands,
     /* 118004 */   // GIR_Coverage, 7066,
     /* 118004 */   GIR_EraseRootFromParent_Done,
     /* 118005 */ // Label 2197: @118005
     /* 118005 */ GIM_Try, /*On fail goto*//*Label 2198*/ GIMT_Encode4(118059), // Rule ID 7070 //
     /* 118010 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118013 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 118020 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118027 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118031 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 118038 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15891>>  =>  (STRHHui GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 118038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHui),
     /* 118041 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118043 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118048 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118053 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118057 */   GIR_RootConstrainSelectedInstOperands,
     /* 118058 */   // GIR_Coverage, 7070,
     /* 118058 */   GIR_EraseRootFromParent_Done,
     /* 118059 */ // Label 2198: @118059
     /* 118059 */ GIM_Try, /*On fail goto*//*Label 2199*/ GIMT_Encode4(118113), // Rule ID 7071 //
     /* 118064 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118067 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 118074 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118081 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118085 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 118092 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15891>>  =>  (STURHHi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHHi),
     /* 118095 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118097 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118102 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118107 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118111 */   GIR_RootConstrainSelectedInstOperands,
     /* 118112 */   // GIR_Coverage, 7071,
     /* 118112 */   GIR_EraseRootFromParent_Done,
     /* 118113 */ // Label 2199: @118113
     /* 118113 */ GIM_Try, /*On fail goto*//*Label 2200*/ GIMT_Encode4(118167), // Rule ID 7075 //
     /* 118118 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118121 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 118128 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118135 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118139 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 118146 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15898>>  =>  (STRWui GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 118146 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWui),
     /* 118149 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118151 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118156 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118161 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118165 */   GIR_RootConstrainSelectedInstOperands,
     /* 118166 */   // GIR_Coverage, 7075,
     /* 118166 */   GIR_EraseRootFromParent_Done,
     /* 118167 */ // Label 2200: @118167
     /* 118167 */ GIM_Try, /*On fail goto*//*Label 2201*/ GIMT_Encode4(118221), // Rule ID 7076 //
     /* 118172 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118175 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 118182 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118189 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118193 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 118200 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15898>>  =>  (STURWi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURWi),
     /* 118203 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118205 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118210 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118215 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118219 */   GIR_RootConstrainSelectedInstOperands,
     /* 118220 */   // GIR_Coverage, 7076,
     /* 118220 */   GIR_EraseRootFromParent_Done,
     /* 118221 */ // Label 2201: @118221
     /* 118221 */ GIM_Try, /*On fail goto*//*Label 2202*/ GIMT_Encode4(118278), // Rule ID 7408 //
     /* 118226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 118229 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118232 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 118239 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118246 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118250 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 118257 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15882>>  =>  (STLURBi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURBi),
     /* 118260 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118262 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118267 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118272 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118276 */   GIR_RootConstrainSelectedInstOperands,
     /* 118277 */   // GIR_Coverage, 7408,
     /* 118277 */   GIR_EraseRootFromParent_Done,
     /* 118278 */ // Label 2202: @118278
     /* 118278 */ GIM_Try, /*On fail goto*//*Label 2203*/ GIMT_Encode4(118335), // Rule ID 7409 //
     /* 118283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 118286 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118289 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 118296 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118303 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118307 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 118314 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15889>>  =>  (STLURHi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURHi),
     /* 118317 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118319 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118324 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118329 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118333 */   GIR_RootConstrainSelectedInstOperands,
     /* 118334 */   // GIR_Coverage, 7409,
     /* 118334 */   GIR_EraseRootFromParent_Done,
     /* 118335 */ // Label 2203: @118335
     /* 118335 */ GIM_Try, /*On fail goto*//*Label 2204*/ GIMT_Encode4(118392), // Rule ID 7410 //
     /* 118340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 118343 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118346 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 118353 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118360 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118364 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 118371 */   // (atomic_store GPR32:{ *:[i32] }:$val, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15896>>  =>  (STLURWi GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 118371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURWi),
     /* 118374 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 118376 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118381 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 118386 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 118390 */   GIR_RootConstrainSelectedInstOperands,
     /* 118391 */   // GIR_Coverage, 7410,
     /* 118391 */   GIR_EraseRootFromParent_Done,
     /* 118392 */ // Label 2204: @118392
     /* 118392 */ GIM_Try, /*On fail goto*//*Label 2205*/ GIMT_Encode4(118429), // Rule ID 7062 //
     /* 118397 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118400 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 118407 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118414 */   // MIs[0] ptr
     /* 118414 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 118422 */   // (atomic_store GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_15882>>  =>  (STLRB GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 118422 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRB),
     /* 118427 */   GIR_RootConstrainSelectedInstOperands,
     /* 118428 */   // GIR_Coverage, 7062,
     /* 118428 */   GIR_Done,
     /* 118429 */ // Label 2205: @118429
     /* 118429 */ GIM_Try, /*On fail goto*//*Label 2206*/ GIMT_Encode4(118466), // Rule ID 7067 //
     /* 118434 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118437 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 118444 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118451 */   // MIs[0] ptr
     /* 118451 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 118459 */   // (atomic_store GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_15889>>  =>  (STLRH GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 118459 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRH),
     /* 118464 */   GIR_RootConstrainSelectedInstOperands,
     /* 118465 */   // GIR_Coverage, 7067,
     /* 118465 */   GIR_Done,
     /* 118466 */ // Label 2206: @118466
     /* 118466 */ GIM_Try, /*On fail goto*//*Label 2207*/ GIMT_Encode4(118503), // Rule ID 7072 //
     /* 118471 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 118474 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 118481 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 118484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 118488 */   // MIs[0] ptr
     /* 118488 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 118492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 118496 */   // (atomic_store GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_15896>>  =>  (STLRW GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 118496 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRW),
     /* 118501 */   GIR_RootConstrainSelectedInstOperands,
     /* 118502 */   // GIR_Coverage, 7072,
     /* 118502 */   GIR_Done,
     /* 118503 */ // Label 2207: @118503
     /* 118503 */ GIM_Reject,
     /* 118504 */ // Label 2106: @118504
     /* 118504 */ GIM_Try, /*On fail goto*//*Label 2208*/ GIMT_Encode4(118610), // Rule ID 4488 //
     /* 118509 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118512 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118516 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118520 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118524 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118528 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118532 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118537 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 118541 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118545 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118547 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 118554 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 118554 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 118557 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118561 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118566 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 118572 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118577 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 118585 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118588 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118593 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118598 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118603 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118608 */   GIR_RootConstrainSelectedInstOperands,
     /* 118609 */   // GIR_Coverage, 4488,
     /* 118609 */   GIR_EraseRootFromParent_Done,
     /* 118610 */ // Label 2208: @118610
     /* 118610 */ GIM_Try, /*On fail goto*//*Label 2209*/ GIMT_Encode4(118716), // Rule ID 4489 //
     /* 118615 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118618 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118622 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118626 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118630 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118634 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118638 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118643 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 118647 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118651 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118653 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 118660 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 118660 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 118663 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118667 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118672 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 118678 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118683 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 118691 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118694 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118699 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118704 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118709 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118714 */   GIR_RootConstrainSelectedInstOperands,
     /* 118715 */   // GIR_Coverage, 4489,
     /* 118715 */   GIR_EraseRootFromParent_Done,
     /* 118716 */ // Label 2209: @118716
     /* 118716 */ GIM_Try, /*On fail goto*//*Label 2210*/ GIMT_Encode4(118822), // Rule ID 4490 //
     /* 118721 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118724 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118728 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118732 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118736 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118740 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118744 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118749 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 118753 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118757 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118759 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 118766 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 118766 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 118769 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118773 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118778 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 118784 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118789 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 118797 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118800 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118805 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118810 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118815 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118820 */   GIR_RootConstrainSelectedInstOperands,
     /* 118821 */   // GIR_Coverage, 4490,
     /* 118821 */   GIR_EraseRootFromParent_Done,
     /* 118822 */ // Label 2210: @118822
     /* 118822 */ GIM_Try, /*On fail goto*//*Label 2211*/ GIMT_Encode4(118928), // Rule ID 4491 //
     /* 118827 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118830 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118834 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118838 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118842 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118846 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118850 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118855 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 118859 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118863 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118865 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 118872 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 118872 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 118875 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118879 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118884 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 118890 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 118895 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 118903 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 118906 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 118911 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 118916 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 118921 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 118926 */   GIR_RootConstrainSelectedInstOperands,
     /* 118927 */   // GIR_Coverage, 4491,
     /* 118927 */   GIR_EraseRootFromParent_Done,
     /* 118928 */ // Label 2211: @118928
     /* 118928 */ GIM_Try, /*On fail goto*//*Label 2212*/ GIMT_Encode4(119029), // Rule ID 4514 //
     /* 118933 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 118936 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 118940 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 118944 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 118948 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 118952 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 118956 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 118961 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 118965 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 118969 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 118971 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 118978 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 118978 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 118981 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 118985 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 118990 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 118996 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119001 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 119009 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119012 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119017 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119022 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119027 */   GIR_RootConstrainSelectedInstOperands,
     /* 119028 */   // GIR_Coverage, 4514,
     /* 119028 */   GIR_EraseRootFromParent_Done,
     /* 119029 */ // Label 2212: @119029
     /* 119029 */ GIM_Try, /*On fail goto*//*Label 2213*/ GIMT_Encode4(119130), // Rule ID 4515 //
     /* 119034 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119037 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119041 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 119045 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 119049 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 119053 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 119057 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119062 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 119066 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119070 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119072 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 119079 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 119079 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 119082 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119086 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119091 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 119097 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119102 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 119110 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119113 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119118 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119123 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119128 */   GIR_RootConstrainSelectedInstOperands,
     /* 119129 */   // GIR_Coverage, 4515,
     /* 119129 */   GIR_EraseRootFromParent_Done,
     /* 119130 */ // Label 2213: @119130
     /* 119130 */ GIM_Try, /*On fail goto*//*Label 2214*/ GIMT_Encode4(119231), // Rule ID 4541 //
     /* 119135 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119138 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119142 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 119146 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 119150 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 119154 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 119158 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119163 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 119167 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119171 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119173 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 119180 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 119180 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 119183 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119187 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119192 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 119198 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119203 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119208 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 119211 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119214 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119219 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119224 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119229 */   GIR_RootConstrainSelectedInstOperands,
     /* 119230 */   // GIR_Coverage, 4541,
     /* 119230 */   GIR_EraseRootFromParent_Done,
     /* 119231 */ // Label 2214: @119231
     /* 119231 */ GIM_Try, /*On fail goto*//*Label 2215*/ GIMT_Encode4(119332), // Rule ID 4542 //
     /* 119236 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119239 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119243 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 119247 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 119251 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 119255 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 119259 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119264 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 119268 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119272 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 119274 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 119281 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, 0:{ *:[i64] }), (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi (EXTRACT_SUBREG:{ *:[i64] } VecListOne128:{ *:[v2f64] }:$Vt, dsub:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 119281 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 119284 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119288 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119293 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Vt
     /* 119299 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119304 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 119312 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119315 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119320 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 119325 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 119330 */   GIR_RootConstrainSelectedInstOperands,
     /* 119331 */   // GIR_Coverage, 4542,
     /* 119331 */   GIR_EraseRootFromParent_Done,
     /* 119332 */ // Label 2215: @119332
     /* 119332 */ GIM_Try, /*On fail goto*//*Label 2216*/ GIMT_Encode4(119407), // Rule ID 6455 //
     /* 119337 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119340 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119344 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 119348 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 119352 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 119356 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 119360 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119365 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 119369 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 119373 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 119377 */   // MIs[2] Operand 1
     /* 119377 */   // No operand predicates
     /* 119377 */   // MIs[0] Rn
     /* 119377 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 119381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 119385 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 119387 */   // (st (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i64 VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 119387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i64),
     /* 119390 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 119394 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 119397 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 119399 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 119405 */   GIR_RootConstrainSelectedInstOperands,
     /* 119406 */   // GIR_Coverage, 6455,
     /* 119406 */   GIR_EraseRootFromParent_Done,
     /* 119407 */ // Label 2216: @119407
     /* 119407 */ GIM_Try, /*On fail goto*//*Label 2217*/ GIMT_Encode4(119482), // Rule ID 6456 //
     /* 119412 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119415 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119419 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 119423 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 119427 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 119431 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 119435 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 119440 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 119444 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 119448 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 119452 */   // MIs[2] Operand 1
     /* 119452 */   // No operand predicates
     /* 119452 */   // MIs[0] Rn
     /* 119452 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 119456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 119460 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 119462 */   // (st (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1i64 VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 119462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1i64),
     /* 119465 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 119469 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 119472 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 119474 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 119480 */   GIR_RootConstrainSelectedInstOperands,
     /* 119481 */   // GIR_Coverage, 6456,
     /* 119481 */   GIR_EraseRootFromParent_Done,
     /* 119482 */ // Label 2217: @119482
     /* 119482 */ GIM_Try, /*On fail goto*//*Label 2218*/ GIMT_Encode4(119535), // Rule ID 301 //
     /* 119487 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119490 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119498 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119502 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 119509 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRXroW GPR64:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 119509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroW),
     /* 119512 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119514 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119519 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119524 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119529 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119533 */   GIR_RootConstrainSelectedInstOperands,
     /* 119534 */   // GIR_Coverage, 301,
     /* 119534 */   GIR_EraseRootFromParent_Done,
     /* 119535 */ // Label 2218: @119535
     /* 119535 */ GIM_Try, /*On fail goto*//*Label 2219*/ GIMT_Encode4(119588), // Rule ID 302 //
     /* 119540 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119543 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119551 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119555 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 119562 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRXroX GPR64:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 119562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroX),
     /* 119565 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119567 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119572 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119577 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119582 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119586 */   GIR_RootConstrainSelectedInstOperands,
     /* 119587 */   // GIR_Coverage, 302,
     /* 119587 */   GIR_EraseRootFromParent_Done,
     /* 119588 */ // Label 2219: @119588
     /* 119588 */ GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(119644), // Rule ID 309 //
     /* 119593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 119596 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119599 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119607 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119611 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 119618 */   // (st FPR64Op:{ *:[f64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 119618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 119621 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119623 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119628 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119638 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119642 */   GIR_RootConstrainSelectedInstOperands,
     /* 119643 */   // GIR_Coverage, 309,
     /* 119643 */   GIR_EraseRootFromParent_Done,
     /* 119644 */ // Label 2220: @119644
     /* 119644 */ GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(119700), // Rule ID 310 //
     /* 119649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 119652 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119655 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 119663 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119667 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 119674 */   // (st FPR64Op:{ *:[f64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 119674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 119677 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 119679 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119684 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119689 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119694 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119698 */   GIR_RootConstrainSelectedInstOperands,
     /* 119699 */   // GIR_Coverage, 310,
     /* 119699 */   GIR_EraseRootFromParent_Done,
     /* 119700 */ // Label 2221: @119700
     /* 119700 */ GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(119789), // Rule ID 4446 //
     /* 119705 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119708 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119712 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 119719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119723 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119727 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 119734 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroW (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend)
     /* 119734 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119737 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119741 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119746 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 119752 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 119757 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroW),
     /* 119765 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119768 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119773 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119778 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119783 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119787 */   GIR_RootConstrainSelectedInstOperands,
     /* 119788 */   // GIR_Coverage, 4446,
     /* 119788 */   GIR_EraseRootFromParent_Done,
     /* 119789 */ // Label 2222: @119789
     /* 119789 */ GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(119878), // Rule ID 4447 //
     /* 119794 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119797 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119801 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 119808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119812 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119816 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 119823 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBroX (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend)
     /* 119823 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119826 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119830 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119835 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 119841 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 119846 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBroX),
     /* 119854 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119857 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119862 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119867 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119872 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119876 */   GIR_RootConstrainSelectedInstOperands,
     /* 119877 */   // GIR_Coverage, 4447,
     /* 119877 */   GIR_EraseRootFromParent_Done,
     /* 119878 */ // Label 2223: @119878
     /* 119878 */ GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(119967), // Rule ID 4448 //
     /* 119883 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119886 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119890 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 119897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119901 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119905 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 119912 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroW (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend)
     /* 119912 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 119915 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 119919 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 119924 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 119930 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 119935 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroW),
     /* 119943 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 119946 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 119951 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 119956 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 119961 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 119965 */   GIR_RootConstrainSelectedInstOperands,
     /* 119966 */   // GIR_Coverage, 4448,
     /* 119966 */   GIR_EraseRootFromParent_Done,
     /* 119967 */ // Label 2224: @119967
     /* 119967 */ GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(120056), // Rule ID 4449 //
     /* 119972 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 119975 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 119979 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 119986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 119990 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 119994 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 120001 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHroX (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend)
     /* 120001 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120004 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120008 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120013 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 120019 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120024 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHroX),
     /* 120032 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120035 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120040 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120045 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120050 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120054 */   GIR_RootConstrainSelectedInstOperands,
     /* 120055 */   // GIR_Coverage, 4449,
     /* 120055 */   GIR_EraseRootFromParent_Done,
     /* 120056 */ // Label 2225: @120056
     /* 120056 */ GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(120145), // Rule ID 4450 //
     /* 120061 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120064 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120068 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 120075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120079 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120083 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 120090 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STRWroW (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend)
     /* 120090 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120093 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120097 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120102 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 120108 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120113 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroW),
     /* 120121 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120124 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120129 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120134 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120139 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120143 */   GIR_RootConstrainSelectedInstOperands,
     /* 120144 */   // GIR_Coverage, 4450,
     /* 120144 */   GIR_EraseRootFromParent_Done,
     /* 120145 */ // Label 2226: @120145
     /* 120145 */ GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(120234), // Rule ID 4451 //
     /* 120150 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120153 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120157 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 120164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120168 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120172 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 120179 */   // (st GPR64:{ *:[i64] }:$Rt, (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STRWroX (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend)
     /* 120179 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120182 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120186 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120191 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 120197 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120202 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWroX),
     /* 120210 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120213 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120218 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120223 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120228 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120232 */   GIR_RootConstrainSelectedInstOperands,
     /* 120233 */   // GIR_Coverage, 4451,
     /* 120233 */   GIR_EraseRootFromParent_Done,
     /* 120234 */ // Label 2227: @120234
     /* 120234 */ GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(120287), // Rule ID 4462 //
     /* 120239 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120242 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120250 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120254 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 120261 */   // (st FPR64:{ *:[v1i64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 120261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 120264 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120266 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120271 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120276 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120281 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120285 */   GIR_RootConstrainSelectedInstOperands,
     /* 120286 */   // GIR_Coverage, 4462,
     /* 120286 */   GIR_EraseRootFromParent_Done,
     /* 120287 */ // Label 2228: @120287
     /* 120287 */ GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(120340), // Rule ID 4463 //
     /* 120292 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120295 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120303 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120307 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 120314 */   // (st FPR64:{ *:[v1i64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 120314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 120317 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120319 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120324 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120329 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120334 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120338 */   GIR_RootConstrainSelectedInstOperands,
     /* 120339 */   // GIR_Coverage, 4463,
     /* 120339 */   GIR_EraseRootFromParent_Done,
     /* 120340 */ // Label 2229: @120340
     /* 120340 */ GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(120393), // Rule ID 4464 //
     /* 120345 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120348 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120356 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120360 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 120367 */   // (st FPR64:{ *:[v1f64] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 120367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 120370 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120372 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120377 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120382 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120387 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120391 */   GIR_RootConstrainSelectedInstOperands,
     /* 120392 */   // GIR_Coverage, 4464,
     /* 120392 */   GIR_EraseRootFromParent_Done,
     /* 120393 */ // Label 2230: @120393
     /* 120393 */ GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(120446), // Rule ID 4465 //
     /* 120398 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120401 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120409 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120413 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 120420 */   // (st FPR64:{ *:[v1f64] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 120420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 120423 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120425 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120430 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120435 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120440 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120444 */   GIR_RootConstrainSelectedInstOperands,
     /* 120445 */   // GIR_Coverage, 4465,
     /* 120445 */   GIR_EraseRootFromParent_Done,
     /* 120446 */ // Label 2231: @120446
     /* 120446 */ GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(120498), // Rule ID 311 //
     /* 120451 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120454 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120462 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120466 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 120473 */   // (st GPR64z:{ *:[i64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRXui GPR64z:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 120473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXui),
     /* 120476 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::XZR), // Rt
     /* 120482 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120487 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120492 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120496 */   GIR_RootConstrainSelectedInstOperands,
     /* 120497 */   // GIR_Coverage, 311,
     /* 120497 */   GIR_EraseRootFromParent_Done,
     /* 120498 */ // Label 2232: @120498
     /* 120498 */ GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(120549), // Rule ID 316 //
     /* 120503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 120506 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120509 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120517 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120521 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 120528 */   // (st FPR64Op:{ *:[f64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 120528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 120531 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120533 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120538 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120543 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120547 */   GIR_RootConstrainSelectedInstOperands,
     /* 120548 */   // GIR_Coverage, 316,
     /* 120548 */   GIR_EraseRootFromParent_Done,
     /* 120549 */ // Label 2233: @120549
     /* 120549 */ GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(120597), // Rule ID 4492 //
     /* 120554 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120557 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120565 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120569 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 120576 */   // (st FPR64:{ *:[v1i64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 120576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 120579 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120581 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120586 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120591 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120595 */   GIR_RootConstrainSelectedInstOperands,
     /* 120596 */   // GIR_Coverage, 4492,
     /* 120596 */   GIR_EraseRootFromParent_Done,
     /* 120597 */ // Label 2234: @120597
     /* 120597 */ GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(120645), // Rule ID 4493 //
     /* 120602 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120605 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120613 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120617 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 120624 */   // (st FPR64:{ *:[v1f64] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 120624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 120627 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 120629 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120634 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120639 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120643 */   GIR_RootConstrainSelectedInstOperands,
     /* 120644 */   // GIR_Coverage, 4493,
     /* 120644 */   GIR_EraseRootFromParent_Done,
     /* 120645 */ // Label 2235: @120645
     /* 120645 */ GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(120729), // Rule ID 4507 //
     /* 120650 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120653 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120657 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 120664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120668 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120672 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 120679 */   // (st GPR64:{ *:[i64] }:$Rt, (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STRWui (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 120679 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120682 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120686 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120691 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 120697 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120702 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRWui),
     /* 120710 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120713 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120718 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120723 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120727 */   GIR_RootConstrainSelectedInstOperands,
     /* 120728 */   // GIR_Coverage, 4507,
     /* 120728 */   GIR_EraseRootFromParent_Done,
     /* 120729 */ // Label 2236: @120729
     /* 120729 */ GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(120813), // Rule ID 4508 //
     /* 120734 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120737 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120741 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 120748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120752 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120756 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 120763 */   // (st GPR64:{ *:[i64] }:$Rt, (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STRHHui (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset)
     /* 120763 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120766 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120770 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120775 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 120781 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120786 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRHHui),
     /* 120794 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120797 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120802 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120807 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120811 */   GIR_RootConstrainSelectedInstOperands,
     /* 120812 */   // GIR_Coverage, 4508,
     /* 120812 */   GIR_EraseRootFromParent_Done,
     /* 120813 */ // Label 2237: @120813
     /* 120813 */ GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(120897), // Rule ID 4509 //
     /* 120818 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 120821 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 120825 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 120832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120836 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120840 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 120847 */   // (st GPR64:{ *:[i64] }:$Rt, (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STRBBui (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset)
     /* 120847 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 120850 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 120854 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 120859 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 120865 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 120870 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 120875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRBBui),
     /* 120878 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 120881 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120886 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 120891 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 120895 */   GIR_RootConstrainSelectedInstOperands,
     /* 120896 */   // GIR_Coverage, 4509,
     /* 120896 */   GIR_EraseRootFromParent_Done,
     /* 120897 */ // Label 2238: @120897
     /* 120897 */ GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(120974), // Rule ID 7086 //
     /* 120902 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 120905 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 120912 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 120915 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 120919 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 120923 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 120927 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 120932 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 120936 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 120938 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 120945 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15905>>  =>  (STRDroW FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 120945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 120948 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 120952 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 120957 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 120962 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 120967 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 120972 */   GIR_RootConstrainSelectedInstOperands,
     /* 120973 */   // GIR_Coverage, 7086,
     /* 120973 */   GIR_EraseRootFromParent_Done,
     /* 120974 */ // Label 2239: @120974
     /* 120974 */ GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(121051), // Rule ID 7087 //
     /* 120979 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 120982 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 120989 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 120992 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 120996 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 121000 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 121004 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121009 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121013 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121015 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 121022 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15905>>  =>  (STRDroX FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 121022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 121025 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 121029 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121034 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 121039 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 121044 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121049 */   GIR_RootConstrainSelectedInstOperands,
     /* 121050 */   // GIR_Coverage, 7087,
     /* 121050 */   GIR_EraseRootFromParent_Done,
     /* 121051 */ // Label 2240: @121051
     /* 121051 */ GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(121110), // Rule ID 7078 //
     /* 121056 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121059 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121066 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121073 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121077 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 121084 */   // (atomic_store GPR64:{ *:[i64] }:$val, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15905>>  =>  (STRXroW GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 121084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroW),
     /* 121087 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 121089 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121094 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 121099 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 121104 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121108 */   GIR_RootConstrainSelectedInstOperands,
     /* 121109 */   // GIR_Coverage, 7078,
     /* 121109 */   GIR_EraseRootFromParent_Done,
     /* 121110 */ // Label 2241: @121110
     /* 121110 */ GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(121169), // Rule ID 7079 //
     /* 121115 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121118 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121125 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121132 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121136 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 121143 */   // (atomic_store GPR64:{ *:[i64] }:$val, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15905>>  =>  (STRXroX GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 121143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXroX),
     /* 121146 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 121148 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121153 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 121158 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 121163 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121167 */   GIR_RootConstrainSelectedInstOperands,
     /* 121168 */   // GIR_Coverage, 7079,
     /* 121168 */   GIR_EraseRootFromParent_Done,
     /* 121169 */ // Label 2242: @121169
     /* 121169 */ GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(121241), // Rule ID 7088 //
     /* 121174 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121177 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121184 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121187 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 121191 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 121195 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 121199 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121204 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121208 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121210 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 121217 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15905>>  =>  (STRDui FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset)
     /* 121217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 121220 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 121224 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121229 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121234 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121239 */   GIR_RootConstrainSelectedInstOperands,
     /* 121240 */   // GIR_Coverage, 7088,
     /* 121240 */   GIR_EraseRootFromParent_Done,
     /* 121241 */ // Label 2243: @121241
     /* 121241 */ GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(121313), // Rule ID 7089 //
     /* 121246 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121249 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121256 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121259 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 121263 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 121267 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 121271 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121276 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121280 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 121282 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 121289 */   // (atomic_store (bitconvert:{ *:[i64] } FPR64Op:{ *:[f64] }:$val), (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15905>>  =>  (STURDi FPR64Op:{ *:[f64] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 121292 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 121296 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121301 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121306 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 121311 */   GIR_RootConstrainSelectedInstOperands,
     /* 121312 */   // GIR_Coverage, 7089,
     /* 121312 */   GIR_EraseRootFromParent_Done,
     /* 121313 */ // Label 2244: @121313
     /* 121313 */ GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(121410), // Rule ID 7400 //
     /* 121318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 121321 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121324 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121331 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121334 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 121338 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 121342 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 121346 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 121350 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 121354 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 121358 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 121362 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 121367 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 121371 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 121375 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 121379 */   // MIs[3] Operand 1
     /* 121379 */   // No operand predicates
     /* 121379 */   // MIs[0] Rn
     /* 121379 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 121383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 121387 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 121389 */   // (atomic_store (bitconvert:{ *:[i64] } (vector_extract:{ *:[f64] } VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15903>>  =>  (STL1 VecListOne128:{ *:[v2f64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 121389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STL1),
     /* 121392 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Vt
     /* 121396 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 121399 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 121401 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /* 121408 */   GIR_RootConstrainSelectedInstOperands,
     /* 121409 */   // GIR_Coverage, 7400,
     /* 121409 */   GIR_EraseRootFromParent_Done,
     /* 121410 */ // Label 2245: @121410
     /* 121410 */ GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(121462), // Rule ID 319 //
     /* 121415 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121418 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121426 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121430 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 121437 */   // (st GPR64z:{ *:[i64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURXi GPR64z:{ *:[i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 121437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURXi),
     /* 121440 */   GIR_CopyOrAddZeroReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, GIMT_Encode2(AArch64::XZR), // Rt
     /* 121446 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121451 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121456 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121460 */   GIR_RootConstrainSelectedInstOperands,
     /* 121461 */   // GIR_Coverage, 319,
     /* 121461 */   GIR_EraseRootFromParent_Done,
     /* 121462 */ // Label 2246: @121462
     /* 121462 */ GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(121513), // Rule ID 324 //
     /* 121467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 121470 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121473 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121481 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121485 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 121492 */   // (st FPR64Op:{ *:[f64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64Op:{ *:[f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 121492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 121495 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121497 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121502 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121507 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121511 */   GIR_RootConstrainSelectedInstOperands,
     /* 121512 */   // GIR_Coverage, 324,
     /* 121512 */   GIR_EraseRootFromParent_Done,
     /* 121513 */ // Label 2247: @121513
     /* 121513 */ GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(121567), // Rule ID 7080 //
     /* 121518 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121521 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121528 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121535 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121539 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 121546 */   // (atomic_store GPR64:{ *:[i64] }:$val, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15905>>  =>  (STRXui GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 121546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRXui),
     /* 121549 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 121551 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121561 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121565 */   GIR_RootConstrainSelectedInstOperands,
     /* 121566 */   // GIR_Coverage, 7080,
     /* 121566 */   GIR_EraseRootFromParent_Done,
     /* 121567 */ // Label 2248: @121567
     /* 121567 */ GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(121621), // Rule ID 7081 //
     /* 121572 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121575 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121582 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121589 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121593 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 121600 */   // (atomic_store GPR64:{ *:[i64] }:$val, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15905>>  =>  (STURXi GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURXi),
     /* 121603 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 121605 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121610 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121615 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121619 */   GIR_RootConstrainSelectedInstOperands,
     /* 121620 */   // GIR_Coverage, 7081,
     /* 121620 */   GIR_EraseRootFromParent_Done,
     /* 121621 */ // Label 2249: @121621
     /* 121621 */ GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(121678), // Rule ID 7411 //
     /* 121626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRCPC_IMMO),
     /* 121629 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 121632 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 121639 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 121642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121646 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121650 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 121657 */   // (atomic_store GPR64:{ *:[i64] }:$val, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15903>>  =>  (STLURXi GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLURXi),
     /* 121660 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 121662 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121667 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121672 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121676 */   GIR_RootConstrainSelectedInstOperands,
     /* 121677 */   // GIR_Coverage, 7411,
     /* 121677 */   GIR_EraseRootFromParent_Done,
     /* 121678 */ // Label 2250: @121678
     /* 121678 */ GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(121726), // Rule ID 4516 //
     /* 121683 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121686 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121694 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121698 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 121705 */   // (st FPR64:{ *:[v1f64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v1f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 121708 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121710 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121715 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121720 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121724 */   GIR_RootConstrainSelectedInstOperands,
     /* 121725 */   // GIR_Coverage, 4516,
     /* 121725 */   GIR_EraseRootFromParent_Done,
     /* 121726 */ // Label 2251: @121726
     /* 121726 */ GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(121774), // Rule ID 4517 //
     /* 121731 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121734 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 121742 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121746 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 121753 */   // (st FPR64:{ *:[v1i64] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v1i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 121756 */   GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 121758 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121763 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121768 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121772 */   GIR_RootConstrainSelectedInstOperands,
     /* 121773 */   // GIR_Coverage, 4517,
     /* 121773 */   GIR_EraseRootFromParent_Done,
     /* 121774 */ // Label 2252: @121774
     /* 121774 */ GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(121858), // Rule ID 4532 //
     /* 121779 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121782 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121786 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 121793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121797 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121801 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 121808 */   // (st GPR64:{ *:[i64] }:$Rt, (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (STURWi (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121808 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121811 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121815 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121820 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 121826 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121831 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURWi),
     /* 121839 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121842 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121847 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121852 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121856 */   GIR_RootConstrainSelectedInstOperands,
     /* 121857 */   // GIR_Coverage, 4532,
     /* 121857 */   GIR_EraseRootFromParent_Done,
     /* 121858 */ // Label 2253: @121858
     /* 121858 */ GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(121942), // Rule ID 4533 //
     /* 121863 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121866 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121870 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 121877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121881 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121885 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 121892 */   // (st GPR64:{ *:[i64] }:$Rt, (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (STURHHi (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121892 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121895 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121899 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121904 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 121910 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121915 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURHHi),
     /* 121923 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 121926 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 121931 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 121936 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 121940 */   GIR_RootConstrainSelectedInstOperands,
     /* 121941 */   // GIR_Coverage, 4533,
     /* 121941 */   GIR_EraseRootFromParent_Done,
     /* 121942 */ // Label 2254: @121942
     /* 121942 */ GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(122026), // Rule ID 4534 //
     /* 121947 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 121950 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 121954 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 121961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 121965 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 121969 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 121976 */   // (st GPR64:{ *:[i64] }:$Rt, (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (STURBBi (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rt, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 121976 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 121979 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 121983 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 121988 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/0, /*SubRegIdx*/GIMT_Encode2(20), // Rt
     /* 121994 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 121999 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURBBi),
     /* 122007 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 122010 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122015 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122020 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122024 */   GIR_RootConstrainSelectedInstOperands,
     /* 122025 */   // GIR_Coverage, 4534,
     /* 122025 */   GIR_EraseRootFromParent_Done,
     /* 122026 */ // Label 2255: @122026
     /* 122026 */ GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(122110), // Rule ID 7399 //
     /* 122031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 122034 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 122037 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 122044 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 122047 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 122051 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 122055 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 122059 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 122063 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122068 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 122072 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 122076 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 122080 */   // MIs[2] Operand 1
     /* 122080 */   // No operand predicates
     /* 122080 */   // MIs[0] Rn
     /* 122080 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122088 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 122090 */   // (atomic_store (vector_extract:{ *:[i64] } VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15903>>  =>  (STL1 VecListOne128:{ *:[v2i64] }:$Vt, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 122090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STL1),
     /* 122093 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 122097 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 122100 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122102 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 122108 */   GIR_RootConstrainSelectedInstOperands,
     /* 122109 */   // GIR_Coverage, 7399,
     /* 122109 */   GIR_EraseRootFromParent_Done,
     /* 122110 */ // Label 2256: @122110
     /* 122110 */ GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(122208), // Rule ID 7401 //
     /* 122115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 122118 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 122121 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 122128 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 122131 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/0, // MIs[1]
     /* 122135 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 122139 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 122143 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122148 */   // MIs[0] Rn
     /* 122148 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122156 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 122158 */   // (atomic_store (bitconvert:{ *:[i64] } VecListOne64:{ *:[v1f64] }:$Vt), GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15903>>  =>  (STL1 (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, VecListOne64:{ *:[v1f64] }:$Vt, dsub:{ *:[i32] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn)
     /* 122158 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 122161 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 122165 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 122170 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 122173 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Vt
     /* 122177 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 122180 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122185 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STL1),
     /* 122193 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 122196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 122199 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 122201 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 122206 */   GIR_RootConstrainSelectedInstOperands,
     /* 122207 */   // GIR_Coverage, 7401,
     /* 122207 */   GIR_EraseRootFromParent_Done,
     /* 122208 */ // Label 2257: @122208
     /* 122208 */ GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(122245), // Rule ID 7077 //
     /* 122213 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 122216 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 122223 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 122226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 122230 */   // MIs[0] ptr
     /* 122230 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122238 */   // (atomic_store GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$ptr)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_15903>>  =>  (STLRX GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$ptr)
     /* 122238 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::STLRX),
     /* 122243 */   GIR_RootConstrainSelectedInstOperands,
     /* 122244 */   // GIR_Coverage, 7077,
     /* 122244 */   GIR_Done,
     /* 122245 */ // Label 2258: @122245
     /* 122245 */ GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(122272), // Rule ID 6405 //
     /* 122250 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122253 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122257 */   // MIs[0] Rn
     /* 122257 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122265 */   // (st v1i64:{ *:[v1i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev1d v1i64:{ *:[v1i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 122265 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev1d),
     /* 122270 */   GIR_RootConstrainSelectedInstOperands,
     /* 122271 */   // GIR_Coverage, 6405,
     /* 122271 */   GIR_Done,
     /* 122272 */ // Label 2259: @122272
     /* 122272 */ GIM_Reject,
     /* 122273 */ // Label 2107: @122273
     /* 122273 */ GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(122478),
     /* 122278 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122281 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122289 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122293 */   GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(122334), // Rule ID 4444 //
     /* 122298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSTRQro),
     /* 122301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 122308 */     // (st FPR128:{ *:[f128] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 122308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 122311 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122328 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122332 */     GIR_RootConstrainSelectedInstOperands,
     /* 122333 */     // GIR_Coverage, 4444,
     /* 122333 */     GIR_EraseRootFromParent_Done,
     /* 122334 */   // Label 2261: @122334
     /* 122334 */   GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(122375), // Rule ID 4445 //
     /* 122339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseSTRQro),
     /* 122342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 122349 */     // (st FPR128:{ *:[f128] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 122349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 122352 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122373 */     GIR_RootConstrainSelectedInstOperands,
     /* 122374 */     // GIR_Coverage, 4445,
     /* 122374 */     GIR_EraseRootFromParent_Done,
     /* 122375 */   // Label 2262: @122375
     /* 122375 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(122408), // Rule ID 4499 //
     /* 122380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 122387 */     // (st FPR128:{ *:[f128] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 122387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 122390 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122406 */     GIR_RootConstrainSelectedInstOperands,
     /* 122407 */     // GIR_Coverage, 4499,
     /* 122407 */     GIR_EraseRootFromParent_Done,
     /* 122408 */   // Label 2263: @122408
     /* 122408 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(122441), // Rule ID 4523 //
     /* 122413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 122420 */     // (st FPR128:{ *:[f128] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 122420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 122423 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122435 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122439 */     GIR_RootConstrainSelectedInstOperands,
     /* 122440 */     // GIR_Coverage, 4523,
     /* 122440 */     GIR_EraseRootFromParent_Done,
     /* 122441 */   // Label 2264: @122441
     /* 122441 */   GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(122477), // Rule ID 325 //
     /* 122446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 122449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 122456 */     // (st FPR128Op:{ *:[f128] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128Op:{ *:[f128] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 122456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 122459 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122475 */     GIR_RootConstrainSelectedInstOperands,
     /* 122476 */     // GIR_Coverage, 325,
     /* 122476 */     GIR_EraseRootFromParent_Done,
     /* 122477 */   // Label 2265: @122477
     /* 122477 */   GIM_Reject,
     /* 122478 */ // Label 2260: @122478
     /* 122478 */ GIM_Reject,
     /* 122479 */ // Label 2108: @122479
     /* 122479 */ GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(122884),
     /* 122484 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122487 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122491 */   GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(122540), // Rule ID 4452 //
     /* 122496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122503 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 122514 */     // (st FPR64:{ *:[v2i32] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 122514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 122517 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122538 */     GIR_RootConstrainSelectedInstOperands,
     /* 122539 */     // GIR_Coverage, 4452,
     /* 122539 */     GIR_EraseRootFromParent_Done,
     /* 122540 */   // Label 2267: @122540
     /* 122540 */   GIM_Try, /*On fail goto*//*Label 2268*/ GIMT_Encode4(122589), // Rule ID 4453 //
     /* 122545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 122563 */     // (st FPR64:{ *:[v2i32] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 122563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 122566 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122587 */     GIR_RootConstrainSelectedInstOperands,
     /* 122588 */     // GIR_Coverage, 4453,
     /* 122588 */     GIR_EraseRootFromParent_Done,
     /* 122589 */   // Label 2268: @122589
     /* 122589 */   GIM_Try, /*On fail goto*//*Label 2269*/ GIMT_Encode4(122638), // Rule ID 4454 //
     /* 122594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 122612 */     // (st FPR64:{ *:[v2f32] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 122612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 122615 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122632 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122636 */     GIR_RootConstrainSelectedInstOperands,
     /* 122637 */     // GIR_Coverage, 4454,
     /* 122637 */     GIR_EraseRootFromParent_Done,
     /* 122638 */   // Label 2269: @122638
     /* 122638 */   GIM_Try, /*On fail goto*//*Label 2270*/ GIMT_Encode4(122687), // Rule ID 4455 //
     /* 122643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 122661 */     // (st FPR64:{ *:[v2f32] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 122661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 122664 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122685 */     GIR_RootConstrainSelectedInstOperands,
     /* 122686 */     // GIR_Coverage, 4455,
     /* 122686 */     GIR_EraseRootFromParent_Done,
     /* 122687 */   // Label 2270: @122687
     /* 122687 */   GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(122731), // Rule ID 4494 //
     /* 122692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122699 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 122710 */     // (st FPR64:{ *:[v2f32] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 122710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 122713 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122725 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122729 */     GIR_RootConstrainSelectedInstOperands,
     /* 122730 */     // GIR_Coverage, 4494,
     /* 122730 */     GIR_EraseRootFromParent_Done,
     /* 122731 */   // Label 2271: @122731
     /* 122731 */   GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(122775), // Rule ID 4497 //
     /* 122736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 122754 */     // (st FPR64:{ *:[v2i32] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 122754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 122757 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122769 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122773 */     GIR_RootConstrainSelectedInstOperands,
     /* 122774 */     // GIR_Coverage, 4497,
     /* 122774 */     GIR_EraseRootFromParent_Done,
     /* 122775 */   // Label 2272: @122775
     /* 122775 */   GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(122819), // Rule ID 4518 //
     /* 122780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 122798 */     // (st FPR64:{ *:[v2f32] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v2f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 122798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 122801 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122817 */     GIR_RootConstrainSelectedInstOperands,
     /* 122818 */     // GIR_Coverage, 4518,
     /* 122818 */     GIR_EraseRootFromParent_Done,
     /* 122819 */   // Label 2273: @122819
     /* 122819 */   GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(122863), // Rule ID 4521 //
     /* 122824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 122827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 122831 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 122842 */     // (st FPR64:{ *:[v2i32] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v2i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 122842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 122845 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 122857 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122861 */     GIR_RootConstrainSelectedInstOperands,
     /* 122862 */     // GIR_Coverage, 4521,
     /* 122862 */     GIR_EraseRootFromParent_Done,
     /* 122863 */   // Label 2274: @122863
     /* 122863 */   GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(122883), // Rule ID 6404 //
     /* 122868 */     // MIs[0] Rn
     /* 122868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 122872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 122876 */     // (st v2i32:{ *:[v2i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev2s v2i32:{ *:[v2i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 122876 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev2s),
     /* 122881 */     GIR_RootConstrainSelectedInstOperands,
     /* 122882 */     // GIR_Coverage, 6404,
     /* 122882 */     GIR_Done,
     /* 122883 */   // Label 2275: @122883
     /* 122883 */   GIM_Reject,
     /* 122884 */ // Label 2266: @122884
     /* 122884 */ GIM_Reject,
     /* 122885 */ // Label 2109: @122885
     /* 122885 */ GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(123334),
     /* 122890 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 122893 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 122897 */   GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(122946), // Rule ID 4466 //
     /* 122902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 122905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 122920 */     // (st FPR128:{ *:[v2i64] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 122920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 122923 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122944 */     GIR_RootConstrainSelectedInstOperands,
     /* 122945 */     // GIR_Coverage, 4466,
     /* 122945 */     GIR_EraseRootFromParent_Done,
     /* 122946 */   // Label 2277: @122946
     /* 122946 */   GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(122995), // Rule ID 4467 //
     /* 122951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 122954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 122958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 122962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 122969 */     // (st FPR128:{ *:[v2i64] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 122969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 122972 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 122974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 122979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 122984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 122989 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 122993 */     GIR_RootConstrainSelectedInstOperands,
     /* 122994 */     // GIR_Coverage, 4467,
     /* 122994 */     GIR_EraseRootFromParent_Done,
     /* 122995 */   // Label 2278: @122995
     /* 122995 */   GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(123044), // Rule ID 4468 //
     /* 123000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123007 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 123018 */     // (st FPR128:{ *:[v2f64] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 123018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 123021 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123038 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123042 */     GIR_RootConstrainSelectedInstOperands,
     /* 123043 */     // GIR_Coverage, 4468,
     /* 123043 */     GIR_EraseRootFromParent_Done,
     /* 123044 */   // Label 2279: @123044
     /* 123044 */   GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(123093), // Rule ID 4469 //
     /* 123049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 123067 */     // (st FPR128:{ *:[v2f64] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 123067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 123070 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123087 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123091 */     GIR_RootConstrainSelectedInstOperands,
     /* 123092 */     // GIR_Coverage, 4469,
     /* 123092 */     GIR_EraseRootFromParent_Done,
     /* 123093 */   // Label 2280: @123093
     /* 123093 */   GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(123137), // Rule ID 4501 //
     /* 123098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123105 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 123116 */     // (st FPR128:{ *:[v2f64] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 123116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 123119 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123131 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123135 */     GIR_RootConstrainSelectedInstOperands,
     /* 123136 */     // GIR_Coverage, 4501,
     /* 123136 */     GIR_EraseRootFromParent_Done,
     /* 123137 */   // Label 2281: @123137
     /* 123137 */   GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(123181), // Rule ID 4505 //
     /* 123142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123149 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 123160 */     // (st FPR128:{ *:[v2i64] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 123160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 123163 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123175 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123179 */     GIR_RootConstrainSelectedInstOperands,
     /* 123180 */     // GIR_Coverage, 4505,
     /* 123180 */     GIR_EraseRootFromParent_Done,
     /* 123181 */   // Label 2282: @123181
     /* 123181 */   GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(123225), // Rule ID 4525 //
     /* 123186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 123204 */     // (st FPR128:{ *:[v2f64] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 123207 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123223 */     GIR_RootConstrainSelectedInstOperands,
     /* 123224 */     // GIR_Coverage, 4525,
     /* 123224 */     GIR_EraseRootFromParent_Done,
     /* 123225 */   // Label 2283: @123225
     /* 123225 */   GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(123269), // Rule ID 4529 //
     /* 123230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 123248 */     // (st FPR128:{ *:[v2i64] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v2i64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 123251 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123263 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123267 */     GIR_RootConstrainSelectedInstOperands,
     /* 123268 */     // GIR_Coverage, 4529,
     /* 123268 */     GIR_EraseRootFromParent_Done,
     /* 123269 */   // Label 2284: @123269
     /* 123269 */   GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(123313), // Rule ID 4530 //
     /* 123274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 123292 */     // (st FPR128:{ *:[v2f64] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v2f64] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 123295 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123307 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123311 */     GIR_RootConstrainSelectedInstOperands,
     /* 123312 */     // GIR_Coverage, 4530,
     /* 123312 */     GIR_EraseRootFromParent_Done,
     /* 123313 */   // Label 2285: @123313
     /* 123313 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(123333), // Rule ID 6401 //
     /* 123318 */     // MIs[0] Rn
     /* 123318 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123326 */     // (st v2i64:{ *:[v2i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev2d v2i64:{ *:[v2i64] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 123326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev2d),
     /* 123331 */     GIR_RootConstrainSelectedInstOperands,
     /* 123332 */     // GIR_Coverage, 6401,
     /* 123332 */     GIR_Done,
     /* 123333 */   // Label 2286: @123333
     /* 123333 */   GIM_Reject,
     /* 123334 */ // Label 2276: @123334
     /* 123334 */ GIM_Reject,
     /* 123335 */ // Label 2110: @123335
     /* 123335 */ GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(123740),
     /* 123340 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123343 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123347 */   GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(123396), // Rule ID 4456 //
     /* 123352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123359 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 123370 */     // (st FPR64:{ *:[v4i16] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 123370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 123373 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123390 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123394 */     GIR_RootConstrainSelectedInstOperands,
     /* 123395 */     // GIR_Coverage, 4456,
     /* 123395 */     GIR_EraseRootFromParent_Done,
     /* 123396 */   // Label 2288: @123396
     /* 123396 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(123445), // Rule ID 4457 //
     /* 123401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 123419 */     // (st FPR64:{ *:[v4i16] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 123419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 123422 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123443 */     GIR_RootConstrainSelectedInstOperands,
     /* 123444 */     // GIR_Coverage, 4457,
     /* 123444 */     GIR_EraseRootFromParent_Done,
     /* 123445 */   // Label 2289: @123445
     /* 123445 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(123494), // Rule ID 4460 //
     /* 123450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 123468 */     // (st FPR64:{ *:[v4f16] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 123468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 123471 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123488 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123492 */     GIR_RootConstrainSelectedInstOperands,
     /* 123493 */     // GIR_Coverage, 4460,
     /* 123493 */     GIR_EraseRootFromParent_Done,
     /* 123494 */   // Label 2290: @123494
     /* 123494 */   GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(123543), // Rule ID 4461 //
     /* 123499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 123517 */     // (st FPR64:{ *:[v4f16] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 123517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 123520 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123537 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123541 */     GIR_RootConstrainSelectedInstOperands,
     /* 123542 */     // GIR_Coverage, 4461,
     /* 123542 */     GIR_EraseRootFromParent_Done,
     /* 123543 */   // Label 2291: @123543
     /* 123543 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(123587), // Rule ID 4496 //
     /* 123548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 123566 */     // (st FPR64:{ *:[v4i16] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 123566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 123569 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123581 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123585 */     GIR_RootConstrainSelectedInstOperands,
     /* 123586 */     // GIR_Coverage, 4496,
     /* 123586 */     GIR_EraseRootFromParent_Done,
     /* 123587 */   // Label 2292: @123587
     /* 123587 */   GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(123631), // Rule ID 4498 //
     /* 123592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 123610 */     // (st FPR64:{ *:[v4f16] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 123610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 123613 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123629 */     GIR_RootConstrainSelectedInstOperands,
     /* 123630 */     // GIR_Coverage, 4498,
     /* 123630 */     GIR_EraseRootFromParent_Done,
     /* 123631 */   // Label 2293: @123631
     /* 123631 */   GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(123675), // Rule ID 4520 //
     /* 123636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123643 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 123654 */     // (st FPR64:{ *:[v4i16] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v4i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 123657 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123673 */     GIR_RootConstrainSelectedInstOperands,
     /* 123674 */     // GIR_Coverage, 4520,
     /* 123674 */     GIR_EraseRootFromParent_Done,
     /* 123675 */   // Label 2294: @123675
     /* 123675 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(123719), // Rule ID 4522 //
     /* 123680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 123687 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 123698 */     // (st FPR64:{ *:[v4f16] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v4f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 123698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 123701 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123717 */     GIR_RootConstrainSelectedInstOperands,
     /* 123718 */     // GIR_Coverage, 4522,
     /* 123718 */     GIR_EraseRootFromParent_Done,
     /* 123719 */   // Label 2295: @123719
     /* 123719 */   GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(123739), // Rule ID 6403 //
     /* 123724 */     // MIs[0] Rn
     /* 123724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 123728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 123732 */     // (st v4i16:{ *:[v4i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev4h v4i16:{ *:[v4i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 123732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev4h),
     /* 123737 */     GIR_RootConstrainSelectedInstOperands,
     /* 123738 */     // GIR_Coverage, 6403,
     /* 123738 */     GIR_Done,
     /* 123739 */   // Label 2296: @123739
     /* 123739 */   GIM_Reject,
     /* 123740 */ // Label 2287: @123740
     /* 123740 */ GIM_Reject,
     /* 123741 */ // Label 2111: @123741
     /* 123741 */ GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(124146),
     /* 123746 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 123749 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 123753 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(123802), // Rule ID 4470 //
     /* 123758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 123776 */     // (st FPR128:{ *:[v4i32] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 123776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 123779 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123800 */     GIR_RootConstrainSelectedInstOperands,
     /* 123801 */     // GIR_Coverage, 4470,
     /* 123801 */     GIR_EraseRootFromParent_Done,
     /* 123802 */   // Label 2298: @123802
     /* 123802 */   GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(123851), // Rule ID 4471 //
     /* 123807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123814 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 123825 */     // (st FPR128:{ *:[v4i32] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 123825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 123828 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123849 */     GIR_RootConstrainSelectedInstOperands,
     /* 123850 */     // GIR_Coverage, 4471,
     /* 123850 */     GIR_EraseRootFromParent_Done,
     /* 123851 */   // Label 2299: @123851
     /* 123851 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(123900), // Rule ID 4472 //
     /* 123856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123863 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 123874 */     // (st FPR128:{ *:[v4f32] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 123874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 123877 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123898 */     GIR_RootConstrainSelectedInstOperands,
     /* 123899 */     // GIR_Coverage, 4472,
     /* 123899 */     GIR_EraseRootFromParent_Done,
     /* 123900 */   // Label 2300: @123900
     /* 123900 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(123949), // Rule ID 4473 //
     /* 123905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 123908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123912 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 123923 */     // (st FPR128:{ *:[v4f32] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 123923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 123926 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 123938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 123943 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123947 */     GIR_RootConstrainSelectedInstOperands,
     /* 123948 */     // GIR_Coverage, 4473,
     /* 123948 */     GIR_EraseRootFromParent_Done,
     /* 123949 */   // Label 2301: @123949
     /* 123949 */   GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(123993), // Rule ID 4500 //
     /* 123954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 123957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 123961 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 123965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 123972 */     // (st FPR128:{ *:[v4f32] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 123972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 123975 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 123977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 123982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 123987 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 123991 */     GIR_RootConstrainSelectedInstOperands,
     /* 123992 */     // GIR_Coverage, 4500,
     /* 123992 */     GIR_EraseRootFromParent_Done,
     /* 123993 */   // Label 2302: @123993
     /* 123993 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(124037), // Rule ID 4504 //
     /* 123998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 124016 */     // (st FPR128:{ *:[v4i32] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 124016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 124019 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124035 */     GIR_RootConstrainSelectedInstOperands,
     /* 124036 */     // GIR_Coverage, 4504,
     /* 124036 */     GIR_EraseRootFromParent_Done,
     /* 124037 */   // Label 2303: @124037
     /* 124037 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(124081), // Rule ID 4524 //
     /* 124042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 124060 */     // (st FPR128:{ *:[v4f32] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v4f32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 124060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 124063 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124075 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124079 */     GIR_RootConstrainSelectedInstOperands,
     /* 124080 */     // GIR_Coverage, 4524,
     /* 124080 */     GIR_EraseRootFromParent_Done,
     /* 124081 */   // Label 2304: @124081
     /* 124081 */   GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(124125), // Rule ID 4528 //
     /* 124086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 124104 */     // (st FPR128:{ *:[v4i32] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v4i32] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 124104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 124107 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124119 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124123 */     GIR_RootConstrainSelectedInstOperands,
     /* 124124 */     // GIR_Coverage, 4528,
     /* 124124 */     GIR_EraseRootFromParent_Done,
     /* 124125 */   // Label 2305: @124125
     /* 124125 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(124145), // Rule ID 6400 //
     /* 124130 */     // MIs[0] Rn
     /* 124130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124138 */     // (st v4i32:{ *:[v4i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev4s v4i32:{ *:[v4i32] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 124138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev4s),
     /* 124143 */     GIR_RootConstrainSelectedInstOperands,
     /* 124144 */     // GIR_Coverage, 6400,
     /* 124144 */     GIR_Done,
     /* 124145 */   // Label 2306: @124145
     /* 124145 */   GIM_Reject,
     /* 124146 */ // Label 2297: @124146
     /* 124146 */ GIM_Reject,
     /* 124147 */ // Label 2112: @124147
     /* 124147 */ GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(124366),
     /* 124152 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124155 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124159 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(124208), // Rule ID 4458 //
     /* 124164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 124171 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 124182 */     // (st FPR64:{ *:[v8i8] }:$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroW FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 124182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroW),
     /* 124185 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124202 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124206 */     GIR_RootConstrainSelectedInstOperands,
     /* 124207 */     // GIR_Coverage, 4458,
     /* 124207 */     GIR_EraseRootFromParent_Done,
     /* 124208 */   // Label 2308: @124208
     /* 124208 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(124257), // Rule ID 4459 //
     /* 124213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 124220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 124231 */     // (st FPR64:{ *:[v8i8] }:$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDroX FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 124231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDroX),
     /* 124234 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124255 */     GIR_RootConstrainSelectedInstOperands,
     /* 124256 */     // GIR_Coverage, 4459,
     /* 124256 */     GIR_EraseRootFromParent_Done,
     /* 124257 */   // Label 2309: @124257
     /* 124257 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(124301), // Rule ID 4495 //
     /* 124262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 124269 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 124280 */     // (st FPR64:{ *:[v8i8] }:$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRDui FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 124280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRDui),
     /* 124283 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124295 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124299 */     GIR_RootConstrainSelectedInstOperands,
     /* 124300 */     // GIR_Coverage, 4495,
     /* 124300 */     GIR_EraseRootFromParent_Done,
     /* 124301 */   // Label 2310: @124301
     /* 124301 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(124345), // Rule ID 4519 //
     /* 124306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 124313 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 124324 */     // (st FPR64:{ *:[v8i8] }:$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURDi FPR64:{ *:[v8i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 124324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURDi),
     /* 124327 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124339 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124343 */     GIR_RootConstrainSelectedInstOperands,
     /* 124344 */     // GIR_Coverage, 4519,
     /* 124344 */     GIR_EraseRootFromParent_Done,
     /* 124345 */   // Label 2311: @124345
     /* 124345 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(124365), // Rule ID 6402 //
     /* 124350 */     // MIs[0] Rn
     /* 124350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124358 */     // (st v8i8:{ *:[v8i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev8b v8i8:{ *:[v8i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 124358 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev8b),
     /* 124363 */     GIR_RootConstrainSelectedInstOperands,
     /* 124364 */     // GIR_Coverage, 6402,
     /* 124364 */     GIR_Done,
     /* 124365 */   // Label 2312: @124365
     /* 124365 */   GIM_Reject,
     /* 124366 */ // Label 2307: @124366
     /* 124366 */ GIM_Reject,
     /* 124367 */ // Label 2113: @124367
     /* 124367 */ GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(124772),
     /* 124372 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124375 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124379 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(124428), // Rule ID 4474 //
     /* 124384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 124402 */     // (st FPR128:{ *:[v8i16] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 124402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 124405 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124422 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124426 */     GIR_RootConstrainSelectedInstOperands,
     /* 124427 */     // GIR_Coverage, 4474,
     /* 124427 */     GIR_EraseRootFromParent_Done,
     /* 124428 */   // Label 2314: @124428
     /* 124428 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(124477), // Rule ID 4475 //
     /* 124433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 124451 */     // (st FPR128:{ *:[v8i16] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 124451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 124454 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124475 */     GIR_RootConstrainSelectedInstOperands,
     /* 124476 */     // GIR_Coverage, 4475,
     /* 124476 */     GIR_EraseRootFromParent_Done,
     /* 124477 */   // Label 2315: @124477
     /* 124477 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(124526), // Rule ID 4478 //
     /* 124482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 124500 */     // (st FPR128:{ *:[v8f16] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 124500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 124503 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124520 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124524 */     GIR_RootConstrainSelectedInstOperands,
     /* 124525 */     // GIR_Coverage, 4478,
     /* 124525 */     GIR_EraseRootFromParent_Done,
     /* 124526 */   // Label 2316: @124526
     /* 124526 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(124575), // Rule ID 4479 //
     /* 124531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 124549 */     // (st FPR128:{ *:[v8f16] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 124549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 124552 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124569 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124573 */     GIR_RootConstrainSelectedInstOperands,
     /* 124574 */     // GIR_Coverage, 4479,
     /* 124574 */     GIR_EraseRootFromParent_Done,
     /* 124575 */   // Label 2317: @124575
     /* 124575 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(124619), // Rule ID 4503 //
     /* 124580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 124598 */     // (st FPR128:{ *:[v8i16] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 124598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 124601 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124613 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124617 */     GIR_RootConstrainSelectedInstOperands,
     /* 124618 */     // GIR_Coverage, 4503,
     /* 124618 */     GIR_EraseRootFromParent_Done,
     /* 124619 */   // Label 2318: @124619
     /* 124619 */   GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(124663), // Rule ID 4506 //
     /* 124624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 124642 */     // (st FPR128:{ *:[v8f16] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 124642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 124645 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124657 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124661 */     GIR_RootConstrainSelectedInstOperands,
     /* 124662 */     // GIR_Coverage, 4506,
     /* 124662 */     GIR_EraseRootFromParent_Done,
     /* 124663 */   // Label 2319: @124663
     /* 124663 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(124707), // Rule ID 4527 //
     /* 124668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 124686 */     // (st FPR128:{ *:[v8i16] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v8i16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 124686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 124689 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124705 */     GIR_RootConstrainSelectedInstOperands,
     /* 124706 */     // GIR_Coverage, 4527,
     /* 124706 */     GIR_EraseRootFromParent_Done,
     /* 124707 */   // Label 2320: @124707
     /* 124707 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(124751), // Rule ID 4531 //
     /* 124712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 124730 */     // (st FPR128:{ *:[v8f16] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v8f16] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 124730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 124733 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124749 */     GIR_RootConstrainSelectedInstOperands,
     /* 124750 */     // GIR_Coverage, 4531,
     /* 124750 */     GIR_EraseRootFromParent_Done,
     /* 124751 */   // Label 2321: @124751
     /* 124751 */   GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(124771), // Rule ID 6399 //
     /* 124756 */     // MIs[0] Rn
     /* 124756 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124764 */     // (st v8i16:{ *:[v8i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev8h v8i16:{ *:[v8i16] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 124764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev8h),
     /* 124769 */     GIR_RootConstrainSelectedInstOperands,
     /* 124770 */     // GIR_Coverage, 6399,
     /* 124770 */     GIR_Done,
     /* 124771 */   // Label 2322: @124771
     /* 124771 */   GIM_Reject,
     /* 124772 */ // Label 2313: @124772
     /* 124772 */ GIM_Reject,
     /* 124773 */ // Label 2114: @124773
     /* 124773 */ GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(124992),
     /* 124778 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 124781 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 124785 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(124834), // Rule ID 4476 //
     /* 124790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed128),
     /* 124808 */     // (st FPR128:{ *:[v16i8] }:$Rt, (ro_Windexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroW FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend128:{ *:[i32] }:$extend)
     /* 124808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroW),
     /* 124811 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124832 */     GIR_RootConstrainSelectedInstOperands,
     /* 124833 */     // GIR_Coverage, 4476,
     /* 124833 */     GIR_EraseRootFromParent_Done,
     /* 124834 */   // Label 2324: @124834
     /* 124834 */   GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(124883), // Rule ID 4477 //
     /* 124839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE_UseSTRQro),
     /* 124842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124846 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed128),
     /* 124857 */     // (st FPR128:{ *:[v16i8] }:$Rt, (ro_Xindexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQroX FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend128:{ *:[i32] }:$extend)
     /* 124857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQroX),
     /* 124860 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 124872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 124877 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124881 */     GIR_RootConstrainSelectedInstOperands,
     /* 124882 */     // GIR_Coverage, 4477,
     /* 124882 */     GIR_EraseRootFromParent_Done,
     /* 124883 */   // Label 2325: @124883
     /* 124883 */   GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(124927), // Rule ID 4502 //
     /* 124888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed128),
     /* 124906 */     // (st FPR128:{ *:[v16i8] }:$Rt, (am_indexed128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STRQui FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s16:{ *:[i64] }:$offset)
     /* 124906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STRQui),
     /* 124909 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124921 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124925 */     GIR_RootConstrainSelectedInstOperands,
     /* 124926 */     // GIR_Coverage, 4502,
     /* 124926 */     GIR_EraseRootFromParent_Done,
     /* 124927 */   // Label 2326: @124927
     /* 124927 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(124971), // Rule ID 4526 //
     /* 124932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsLE),
     /* 124935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 124939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 124943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled128),
     /* 124950 */     // (st FPR128:{ *:[v16i8] }:$Rt, (am_unscaled128:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STURQi FPR128:{ *:[v16i8] }:$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset)
     /* 124950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STURQi),
     /* 124953 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 124955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 124960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 124965 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 124969 */     GIR_RootConstrainSelectedInstOperands,
     /* 124970 */     // GIR_Coverage, 4526,
     /* 124970 */     GIR_EraseRootFromParent_Done,
     /* 124971 */   // Label 2327: @124971
     /* 124971 */   GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(124991), // Rule ID 6398 //
     /* 124976 */     // MIs[0] Rn
     /* 124976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 124980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 124984 */     // (st v16i8:{ *:[v16i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1Onev16b v16i8:{ *:[v16i8] }:$Vt, GPR64sp:{ *:[i64] }:$Rn)
     /* 124984 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ST1Onev16b),
     /* 124989 */     GIR_RootConstrainSelectedInstOperands,
     /* 124990 */     // GIR_Coverage, 6398,
     /* 124990 */     GIR_Done,
     /* 124991 */   // Label 2328: @124991
     /* 124991 */   GIM_Reject,
     /* 124992 */ // Label 2323: @124992
     /* 124992 */ GIM_Reject,
     /* 124993 */ // Label 2115: @124993
     /* 124993 */ GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(125052), // Rule ID 10848 //
     /* 124998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125001 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125004 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125008 */   // MIs[0] base
     /* 125008 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125016 */   // (st nxv2f16:{ *:[nxv2f16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_D_IMM ZPR:{ *:[nxv2f16] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125016 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125019 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 125023 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125028 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125031 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_D_IMM),
     /* 125036 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125038 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125041 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125046 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125050 */   GIR_RootConstrainSelectedInstOperands,
     /* 125051 */   // GIR_Coverage, 10848,
     /* 125051 */   GIR_EraseRootFromParent_Done,
     /* 125052 */ // Label 2329: @125052
     /* 125052 */ GIM_Reject,
     /* 125053 */ // Label 2116: @125053
     /* 125053 */ GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(125112), // Rule ID 10854 //
     /* 125058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125061 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125064 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125068 */   // MIs[0] base
     /* 125068 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125076 */   // (st nxv2f32:{ *:[nxv2f32] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1W_D_IMM ZPR:{ *:[nxv2f32] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125076 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125079 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 125083 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125088 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_D_IMM),
     /* 125096 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125101 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125106 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125110 */   GIR_RootConstrainSelectedInstOperands,
     /* 125111 */   // GIR_Coverage, 10854,
     /* 125111 */   GIR_EraseRootFromParent_Done,
     /* 125112 */ // Label 2330: @125112
     /* 125112 */ GIM_Reject,
     /* 125113 */ // Label 2117: @125113
     /* 125113 */ GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(125282),
     /* 125118 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125121 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125125 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125129 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(125177), // Rule ID 10839 //
     /* 125134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125141 */     // (st nxv2i64:{ *:[nxv2i64] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1D_IMM ZPR:{ *:[nxv2i64] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 125148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125153 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_IMM),
     /* 125161 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125166 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125175 */     GIR_RootConstrainSelectedInstOperands,
     /* 125176 */     // GIR_Coverage, 10839,
     /* 125176 */     GIR_EraseRootFromParent_Done,
     /* 125177 */   // Label 2332: @125177
     /* 125177 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(125225), // Rule ID 10857 //
     /* 125182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125189 */     // (st nxv2f64:{ *:[nxv2f64] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1D_IMM ZPR:{ *:[nxv2f64] }:$val, (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 125196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125201 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_IMM),
     /* 125209 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125214 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125223 */     GIR_RootConstrainSelectedInstOperands,
     /* 125224 */     // GIR_Coverage, 10857,
     /* 125224 */     GIR_EraseRootFromParent_Done,
     /* 125225 */   // Label 2333: @125225
     /* 125225 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(125253), // Rule ID 10969 //
     /* 125230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125237 */     // (st nxv2i64:{ *:[nxv2i64] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv2i64] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125240 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125242 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125247 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125251 */     GIR_RootConstrainSelectedInstOperands,
     /* 125252 */     // GIR_Coverage, 10969,
     /* 125252 */     GIR_EraseRootFromParent_Done,
     /* 125253 */   // Label 2334: @125253
     /* 125253 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(125281), // Rule ID 10981 //
     /* 125258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125265 */     // (st nxv2f64:{ *:[nxv2f64] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv2f64] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125268 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125270 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125275 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125279 */     GIR_RootConstrainSelectedInstOperands,
     /* 125280 */     // GIR_Coverage, 10981,
     /* 125280 */     GIR_EraseRootFromParent_Done,
     /* 125281 */   // Label 2335: @125281
     /* 125281 */   GIM_Reject,
     /* 125282 */ // Label 2331: @125282
     /* 125282 */ GIM_Reject,
     /* 125283 */ // Label 2118: @125283
     /* 125283 */ GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(125342), // Rule ID 10845 //
     /* 125288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125291 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125294 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125298 */   // MIs[0] base
     /* 125298 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125306 */   // (st nxv4f16:{ *:[nxv4f16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_S_IMM ZPR:{ *:[nxv4f16] }:$val, (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125306 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125309 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 125313 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125318 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125321 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_S_IMM),
     /* 125326 */   GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125328 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125331 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125336 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125340 */   GIR_RootConstrainSelectedInstOperands,
     /* 125341 */   // GIR_Coverage, 10845,
     /* 125341 */   GIR_EraseRootFromParent_Done,
     /* 125342 */ // Label 2336: @125342
     /* 125342 */ GIM_Reject,
     /* 125343 */ // Label 2119: @125343
     /* 125343 */ GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(125512),
     /* 125348 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125351 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125355 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125359 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(125407), // Rule ID 10833 //
     /* 125364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125371 */     // (st nxv4i32:{ *:[nxv4i32] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1W_IMM ZPR:{ *:[nxv4i32] }:$val, (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 125378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125383 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_IMM),
     /* 125391 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125396 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125405 */     GIR_RootConstrainSelectedInstOperands,
     /* 125406 */     // GIR_Coverage, 10833,
     /* 125406 */     GIR_EraseRootFromParent_Done,
     /* 125407 */   // Label 2338: @125407
     /* 125407 */   GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(125455), // Rule ID 10851 //
     /* 125412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125419 */     // (st nxv4f32:{ *:[nxv4f32] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1W_IMM ZPR:{ *:[nxv4f32] }:$val, (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 125426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125431 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_IMM),
     /* 125439 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125444 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125449 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125453 */     GIR_RootConstrainSelectedInstOperands,
     /* 125454 */     // GIR_Coverage, 10851,
     /* 125454 */     GIR_EraseRootFromParent_Done,
     /* 125455 */   // Label 2339: @125455
     /* 125455 */   GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(125483), // Rule ID 10965 //
     /* 125460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125467 */     // (st nxv4i32:{ *:[nxv4i32] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv4i32] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125470 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125472 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125477 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125481 */     GIR_RootConstrainSelectedInstOperands,
     /* 125482 */     // GIR_Coverage, 10965,
     /* 125482 */     GIR_EraseRootFromParent_Done,
     /* 125483 */   // Label 2340: @125483
     /* 125483 */   GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(125511), // Rule ID 10977 //
     /* 125488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125495 */     // (st nxv4f32:{ *:[nxv4f32] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv4f32] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125498 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125500 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125505 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125509 */     GIR_RootConstrainSelectedInstOperands,
     /* 125510 */     // GIR_Coverage, 10977,
     /* 125510 */     GIR_EraseRootFromParent_Done,
     /* 125511 */   // Label 2341: @125511
     /* 125511 */   GIM_Reject,
     /* 125512 */ // Label 2337: @125512
     /* 125512 */ GIM_Reject,
     /* 125513 */ // Label 2120: @125513
     /* 125513 */ GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(125682),
     /* 125518 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125521 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125525 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125529 */   GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(125577), // Rule ID 10824 //
     /* 125534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125541 */     // (st nxv8i16:{ *:[nxv8i16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_IMM ZPR:{ *:[nxv8i16] }:$val, (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 125548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125553 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_IMM),
     /* 125561 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125566 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125575 */     GIR_RootConstrainSelectedInstOperands,
     /* 125576 */     // GIR_Coverage, 10824,
     /* 125576 */     GIR_EraseRootFromParent_Done,
     /* 125577 */   // Label 2343: @125577
     /* 125577 */   GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(125625), // Rule ID 10842 //
     /* 125582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125589 */     // (st nxv8f16:{ *:[nxv8f16] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1H_IMM ZPR:{ *:[nxv8f16] }:$val, (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 125596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125601 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1H_IMM),
     /* 125609 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125614 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125623 */     GIR_RootConstrainSelectedInstOperands,
     /* 125624 */     // GIR_Coverage, 10842,
     /* 125624 */     GIR_EraseRootFromParent_Done,
     /* 125625 */   // Label 2344: @125625
     /* 125625 */   GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(125653), // Rule ID 10961 //
     /* 125630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125637 */     // (st nxv8i16:{ *:[nxv8i16] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv8i16] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125640 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125642 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125647 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125651 */     GIR_RootConstrainSelectedInstOperands,
     /* 125652 */     // GIR_Coverage, 10961,
     /* 125652 */     GIR_EraseRootFromParent_Done,
     /* 125653 */   // Label 2345: @125653
     /* 125653 */   GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(125681), // Rule ID 10973 //
     /* 125658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125665 */     // (st nxv8f16:{ *:[nxv8f16] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv8f16] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125668 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125670 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125675 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125679 */     GIR_RootConstrainSelectedInstOperands,
     /* 125680 */     // GIR_Coverage, 10973,
     /* 125680 */     GIR_EraseRootFromParent_Done,
     /* 125681 */   // Label 2346: @125681
     /* 125681 */   GIM_Reject,
     /* 125682 */ // Label 2342: @125682
     /* 125682 */ GIM_Reject,
     /* 125683 */ // Label 2121: @125683
     /* 125683 */ GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(125726), // Rule ID 2430 //
     /* 125688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125691 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125694 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 125702 */   // MIs[0] base
     /* 125702 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125710 */   // (st PPR:{ *:[nxv16i1] }:$Val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_PXI PPR:{ *:[nxv16i1] }:$Val, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125710 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_PXI),
     /* 125713 */   GIR_RootToRootCopy, /*OpIdx*/0, // Val
     /* 125715 */   GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125720 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125724 */   GIR_RootConstrainSelectedInstOperands,
     /* 125725 */   // GIR_Coverage, 2430,
     /* 125725 */   GIR_EraseRootFromParent_Done,
     /* 125726 */ // Label 2347: @125726
     /* 125726 */ GIM_Reject,
     /* 125727 */ // Label 2122: @125727
     /* 125727 */ GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(125820),
     /* 125732 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 125735 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /* 125739 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125743 */   GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(125791), // Rule ID 10810 //
     /* 125748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 125751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 125755 */     // (st nxv16i8:{ *:[nxv16i8] }:$val, GPR64:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (ST1B_IMM ZPR:{ *:[nxv16i8] }:$val, (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 125758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /* 125762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 125767 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /* 125770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 125772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1B_IMM),
     /* 125775 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 125780 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125785 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125789 */     GIR_RootConstrainSelectedInstOperands,
     /* 125790 */     // GIR_Coverage, 10810,
     /* 125790 */     GIR_EraseRootFromParent_Done,
     /* 125791 */   // Label 2349: @125791
     /* 125791 */   GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(125819), // Rule ID 10957 //
     /* 125796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_AllowMisalignedMemAccesses_HasSVE_or_SME_IsLE),
     /* 125799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125803 */     // (st nxv16i8:{ *:[nxv16i8] }:$val, GPR64sp:{ *:[i64] }:$base)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (STR_ZXI ZPR:{ *:[nxv16i8] }:$val, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 125803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STR_ZXI),
     /* 125806 */     GIR_RootToRootCopy, /*OpIdx*/0, // val
     /* 125808 */     GIR_RootToRootCopy, /*OpIdx*/1, // base
     /* 125810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 125813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125817 */     GIR_RootConstrainSelectedInstOperands,
     /* 125818 */     // GIR_Coverage, 10957,
     /* 125818 */     GIR_EraseRootFromParent_Done,
     /* 125819 */   // Label 2350: @125819
     /* 125819 */   GIM_Reject,
     /* 125820 */ // Label 2348: @125820
     /* 125820 */ GIM_Reject,
     /* 125821 */ // Label 2123: @125821
     /* 125821 */ GIM_Reject,
     /* 125822 */ // Label 20: @125822
     /* 125822 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2353*/ GIMT_Encode4(127172),
     /* 125833 */ /*GILLT_s32*//*Label 2351*/ GIMT_Encode4(125841),
     /* 125837 */ /*GILLT_s64*//*Label 2352*/ GIMT_Encode4(126859),
     /* 125841 */ // Label 2351: @125841
     /* 125841 */ GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(126858),
     /* 125846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 125849 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 125852 */   GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(125907), // Rule ID 7300 //
     /* 125857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 125867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 125870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125874 */     // MIs[0] Rn
     /* 125874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125890 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (CASW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASW),
     /* 125893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125895 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125897 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125899 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125901 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125905 */     GIR_RootConstrainSelectedInstOperands,
     /* 125906 */     // GIR_Coverage, 7300,
     /* 125906 */     GIR_EraseRootFromParent_Done,
     /* 125907 */   // Label 2355: @125907
     /* 125907 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(125962), // Rule ID 7301 //
     /* 125912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125915 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 125922 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 125925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125929 */     // MIs[0] Rn
     /* 125929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125945 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (CASAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 125945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAW),
     /* 125948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 125950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 125952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 125954 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 125956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 125960 */     GIR_RootConstrainSelectedInstOperands,
     /* 125961 */     // GIR_Coverage, 7301,
     /* 125961 */     GIR_EraseRootFromParent_Done,
     /* 125962 */   // Label 2356: @125962
     /* 125962 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(126017), // Rule ID 7302 //
     /* 125967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 125970 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 125977 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 125980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125984 */     // MIs[0] Rn
     /* 125984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 125988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 125992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 125996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126000 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (CASLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLW),
     /* 126003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126007 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126009 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126015 */     GIR_RootConstrainSelectedInstOperands,
     /* 126016 */     // GIR_Coverage, 7302,
     /* 126016 */     GIR_EraseRootFromParent_Done,
     /* 126017 */   // Label 2357: @126017
     /* 126017 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(126072), // Rule ID 7303 //
     /* 126022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126025 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126032 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 126035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126039 */     // MIs[0] Rn
     /* 126039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126055 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (CASALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALW),
     /* 126058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126062 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126064 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126070 */     GIR_RootConstrainSelectedInstOperands,
     /* 126071 */     // GIR_Coverage, 7303,
     /* 126071 */     GIR_EraseRootFromParent_Done,
     /* 126072 */   // Label 2358: @126072
     /* 126072 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(126127), // Rule ID 7304 //
     /* 126077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126080 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126087 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 126090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126094 */     // MIs[0] Rn
     /* 126094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126110 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (CASALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALW),
     /* 126113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126115 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126117 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126119 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126121 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126125 */     GIR_RootConstrainSelectedInstOperands,
     /* 126126 */     // GIR_Coverage, 7304,
     /* 126126 */     GIR_EraseRootFromParent_Done,
     /* 126127 */   // Label 2359: @126127
     /* 126127 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(126182), // Rule ID 7305 //
     /* 126132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126135 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126142 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 126145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126149 */     // MIs[0] Rn
     /* 126149 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126165 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (CASH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASH),
     /* 126168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126174 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126176 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126180 */     GIR_RootConstrainSelectedInstOperands,
     /* 126181 */     // GIR_Coverage, 7305,
     /* 126181 */     GIR_EraseRootFromParent_Done,
     /* 126182 */   // Label 2360: @126182
     /* 126182 */   GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(126237), // Rule ID 7306 //
     /* 126187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126190 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126197 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 126200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126204 */     // MIs[0] Rn
     /* 126204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126220 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (CASAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAH),
     /* 126223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126229 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126231 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126235 */     GIR_RootConstrainSelectedInstOperands,
     /* 126236 */     // GIR_Coverage, 7306,
     /* 126236 */     GIR_EraseRootFromParent_Done,
     /* 126237 */   // Label 2361: @126237
     /* 126237 */   GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(126292), // Rule ID 7307 //
     /* 126242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 126255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126259 */     // MIs[0] Rn
     /* 126259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126275 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (CASLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLH),
     /* 126278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126284 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126286 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126290 */     GIR_RootConstrainSelectedInstOperands,
     /* 126291 */     // GIR_Coverage, 7307,
     /* 126291 */     GIR_EraseRootFromParent_Done,
     /* 126292 */   // Label 2362: @126292
     /* 126292 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(126347), // Rule ID 7308 //
     /* 126297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126300 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126307 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 126310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126314 */     // MIs[0] Rn
     /* 126314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126330 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (CASALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALH),
     /* 126333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126335 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126337 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126339 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126345 */     GIR_RootConstrainSelectedInstOperands,
     /* 126346 */     // GIR_Coverage, 7308,
     /* 126346 */     GIR_EraseRootFromParent_Done,
     /* 126347 */   // Label 2363: @126347
     /* 126347 */   GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(126402), // Rule ID 7309 //
     /* 126352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126355 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126362 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 126365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126369 */     // MIs[0] Rn
     /* 126369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126385 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (CASALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALH),
     /* 126388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126390 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126392 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126394 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126396 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126400 */     GIR_RootConstrainSelectedInstOperands,
     /* 126401 */     // GIR_Coverage, 7309,
     /* 126401 */     GIR_EraseRootFromParent_Done,
     /* 126402 */   // Label 2364: @126402
     /* 126402 */   GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(126457), // Rule ID 7310 //
     /* 126407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126410 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126417 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 126420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126424 */     // MIs[0] Rn
     /* 126424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126440 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (CASB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASB),
     /* 126443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126445 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126447 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126449 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126451 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126455 */     GIR_RootConstrainSelectedInstOperands,
     /* 126456 */     // GIR_Coverage, 7310,
     /* 126456 */     GIR_EraseRootFromParent_Done,
     /* 126457 */   // Label 2365: @126457
     /* 126457 */   GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(126512), // Rule ID 7311 //
     /* 126462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126465 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126472 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 126475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126479 */     // MIs[0] Rn
     /* 126479 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126495 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (CASAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAB),
     /* 126498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126504 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126506 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126510 */     GIR_RootConstrainSelectedInstOperands,
     /* 126511 */     // GIR_Coverage, 7311,
     /* 126511 */     GIR_EraseRootFromParent_Done,
     /* 126512 */   // Label 2366: @126512
     /* 126512 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(126567), // Rule ID 7312 //
     /* 126517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126520 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126527 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 126530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126534 */     // MIs[0] Rn
     /* 126534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126550 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (CASLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLB),
     /* 126553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126555 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126557 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126559 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126561 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126565 */     GIR_RootConstrainSelectedInstOperands,
     /* 126566 */     // GIR_Coverage, 7312,
     /* 126566 */     GIR_EraseRootFromParent_Done,
     /* 126567 */   // Label 2367: @126567
     /* 126567 */   GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(126622), // Rule ID 7313 //
     /* 126572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126575 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126582 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 126585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126589 */     // MIs[0] Rn
     /* 126589 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126605 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (CASALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALB),
     /* 126608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126614 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126620 */     GIR_RootConstrainSelectedInstOperands,
     /* 126621 */     // GIR_Coverage, 7313,
     /* 126621 */     GIR_EraseRootFromParent_Done,
     /* 126622 */   // Label 2368: @126622
     /* 126622 */   GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(126677), // Rule ID 7314 //
     /* 126627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126630 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126637 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 126640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126644 */     // MIs[0] Rn
     /* 126644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126660 */     // (atomic_cmp_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (CASALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rold, GPR32:{ *:[i32] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALB),
     /* 126663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126667 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126669 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126671 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126675 */     GIR_RootConstrainSelectedInstOperands,
     /* 126676 */     // GIR_Coverage, 7314,
     /* 126676 */     GIR_EraseRootFromParent_Done,
     /* 126677 */   // Label 2369: @126677
     /* 126677 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(126737), // Rule ID 13097 //
     /* 126682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 126685 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 126692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126696 */     // MIs[0] addr
     /* 126696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126712 */     // (atomic_cmp_swap:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>>  =>  (CMP_SWAP_8:{ *:[i32] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)
     /* 126712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_8),
     /* 126718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 126720 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 126725 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 126727 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 126729 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 126731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126735 */     GIR_RootConstrainSelectedInstOperands,
     /* 126736 */     // GIR_Coverage, 13097,
     /* 126736 */     GIR_EraseRootFromParent_Done,
     /* 126737 */   // Label 2370: @126737
     /* 126737 */   GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(126797), // Rule ID 13098 //
     /* 126742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 126745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 126752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126756 */     // MIs[0] addr
     /* 126756 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126772 */     // (atomic_cmp_swap:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>>  =>  (CMP_SWAP_16:{ *:[i32] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)
     /* 126772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_16),
     /* 126778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 126780 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 126785 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 126787 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 126789 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 126791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126795 */     GIR_RootConstrainSelectedInstOperands,
     /* 126796 */     // GIR_Coverage, 13098,
     /* 126796 */     GIR_EraseRootFromParent_Done,
     /* 126797 */   // Label 2371: @126797
     /* 126797 */   GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(126857), // Rule ID 13099 //
     /* 126802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 126805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 126812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126816 */     // MIs[0] addr
     /* 126816 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 126832 */     // (atomic_cmp_swap:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>>  =>  (CMP_SWAP_32:{ *:[i32] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR32:{ *:[i32] }:$desired, GPR32:{ *:[i32] }:$new)
     /* 126832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 126835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_32),
     /* 126838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 126840 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 126845 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 126847 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 126849 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 126851 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126855 */     GIR_RootConstrainSelectedInstOperands,
     /* 126856 */     // GIR_Coverage, 13099,
     /* 126856 */     GIR_EraseRootFromParent_Done,
     /* 126857 */   // Label 2372: @126857
     /* 126857 */   GIM_Reject,
     /* 126858 */ // Label 2354: @126858
     /* 126858 */ GIM_Reject,
     /* 126859 */ // Label 2352: @126859
     /* 126859 */ GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(127171),
     /* 126864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 126867 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 126870 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 126877 */   GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(126925), // Rule ID 2589 //
     /* 126882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126885 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 126888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126892 */     // MIs[0] Rn
     /* 126892 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126908 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (CASX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASX),
     /* 126911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126915 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126917 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126919 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126923 */     GIR_RootConstrainSelectedInstOperands,
     /* 126924 */     // GIR_Coverage, 2589,
     /* 126924 */     GIR_EraseRootFromParent_Done,
     /* 126925 */   // Label 2374: @126925
     /* 126925 */   GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(126973), // Rule ID 2590 //
     /* 126930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126933 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 126936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126940 */     // MIs[0] Rn
     /* 126940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126956 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (CASAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 126956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASAX),
     /* 126959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 126961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 126963 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 126965 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 126967 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 126971 */     GIR_RootConstrainSelectedInstOperands,
     /* 126972 */     // GIR_Coverage, 2590,
     /* 126972 */     GIR_EraseRootFromParent_Done,
     /* 126973 */   // Label 2375: @126973
     /* 126973 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(127021), // Rule ID 2591 //
     /* 126978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 126981 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 126984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 126988 */     // MIs[0] Rn
     /* 126988 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 126992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 126996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127004 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (CASLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 127004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASLX),
     /* 127007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 127009 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 127011 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 127013 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127015 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127019 */     GIR_RootConstrainSelectedInstOperands,
     /* 127020 */     // GIR_Coverage, 2591,
     /* 127020 */     GIR_EraseRootFromParent_Done,
     /* 127021 */   // Label 2376: @127021
     /* 127021 */   GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(127069), // Rule ID 2592 //
     /* 127026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127029 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127036 */     // MIs[0] Rn
     /* 127036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127052 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (CASALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 127052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALX),
     /* 127055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 127057 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 127059 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 127061 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127063 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127067 */     GIR_RootConstrainSelectedInstOperands,
     /* 127068 */     // GIR_Coverage, 2592,
     /* 127068 */     GIR_EraseRootFromParent_Done,
     /* 127069 */   // Label 2377: @127069
     /* 127069 */   GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(127117), // Rule ID 2593 //
     /* 127074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127077 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127084 */     // MIs[0] Rn
     /* 127084 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127100 */     // (atomic_cmp_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (CASALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rold, GPR64:{ *:[i64] }:$Rnew, GPR64sp:{ *:[i64] }:$Rn)
     /* 127100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CASALX),
     /* 127103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[out]
     /* 127105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rold
     /* 127107 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rnew
     /* 127109 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127111 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127115 */     GIR_RootConstrainSelectedInstOperands,
     /* 127116 */     // GIR_Coverage, 2593,
     /* 127116 */     GIR_EraseRootFromParent_Done,
     /* 127117 */   // Label 2378: @127117
     /* 127117 */   GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(127170), // Rule ID 13100 //
     /* 127122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoLSE),
     /* 127125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127129 */     // MIs[0] addr
     /* 127129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127145 */     // (atomic_cmp_swap:{ *:[i64] } GPR64:{ *:[i64] }:$addr, GPR64:{ *:[i64] }:$desired, GPR64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>>  =>  (CMP_SWAP_64:{ *:[i64] }:{ *:[i32] } GPR64:{ *:[i64] }:$addr, GPR64:{ *:[i64] }:$desired, GPR64:{ *:[i64] }:$new)
     /* 127145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 127148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMP_SWAP_64),
     /* 127151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 127153 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 127158 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /* 127160 */     GIR_RootToRootCopy, /*OpIdx*/2, // desired
     /* 127162 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /* 127164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127168 */     GIR_RootConstrainSelectedInstOperands,
     /* 127169 */     // GIR_Coverage, 13100,
     /* 127169 */     GIR_EraseRootFromParent_Done,
     /* 127170 */   // Label 2379: @127170
     /* 127170 */   GIM_Reject,
     /* 127171 */ // Label 2373: @127171
     /* 127171 */ GIM_Reject,
     /* 127172 */ // Label 2353: @127172
     /* 127172 */ GIM_Reject,
     /* 127173 */ // Label 21: @127173
     /* 127173 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2382*/ GIMT_Encode4(128164),
     /* 127184 */ /*GILLT_s32*//*Label 2380*/ GIMT_Encode4(127192),
     /* 127188 */ /*GILLT_s64*//*Label 2381*/ GIMT_Encode4(127937),
     /* 127192 */ // Label 2380: @127192
     /* 127192 */ GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(127936),
     /* 127197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 127200 */   GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(127249), // Rule ID 7285 //
     /* 127205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127208 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127215 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127222 */     // MIs[0] Rn
     /* 127222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127234 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (SWPW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPW),
     /* 127237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127241 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127247 */     GIR_RootConstrainSelectedInstOperands,
     /* 127248 */     // GIR_Coverage, 7285,
     /* 127248 */     GIR_EraseRootFromParent_Done,
     /* 127249 */   // Label 2384: @127249
     /* 127249 */   GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(127298), // Rule ID 7286 //
     /* 127254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127257 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127264 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127271 */     // MIs[0] Rn
     /* 127271 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127283 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (SWPAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAW),
     /* 127286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127290 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127296 */     GIR_RootConstrainSelectedInstOperands,
     /* 127297 */     // GIR_Coverage, 7286,
     /* 127297 */     GIR_EraseRootFromParent_Done,
     /* 127298 */   // Label 2385: @127298
     /* 127298 */   GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(127347), // Rule ID 7287 //
     /* 127303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127306 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127313 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127320 */     // MIs[0] Rn
     /* 127320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127332 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (SWPLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLW),
     /* 127335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127337 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127339 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127345 */     GIR_RootConstrainSelectedInstOperands,
     /* 127346 */     // GIR_Coverage, 7287,
     /* 127346 */     GIR_EraseRootFromParent_Done,
     /* 127347 */   // Label 2386: @127347
     /* 127347 */   GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(127396), // Rule ID 7288 //
     /* 127352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127355 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127362 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127369 */     // MIs[0] Rn
     /* 127369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127381 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (SWPALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALW),
     /* 127384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127386 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127388 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127390 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127394 */     GIR_RootConstrainSelectedInstOperands,
     /* 127395 */     // GIR_Coverage, 7288,
     /* 127395 */     GIR_EraseRootFromParent_Done,
     /* 127396 */   // Label 2387: @127396
     /* 127396 */   GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(127445), // Rule ID 7289 //
     /* 127401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127404 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 127411 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127418 */     // MIs[0] Rn
     /* 127418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127430 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (SWPALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALW),
     /* 127433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127437 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127443 */     GIR_RootConstrainSelectedInstOperands,
     /* 127444 */     // GIR_Coverage, 7289,
     /* 127444 */     GIR_EraseRootFromParent_Done,
     /* 127445 */   // Label 2388: @127445
     /* 127445 */   GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(127494), // Rule ID 7290 //
     /* 127450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127467 */     // MIs[0] Rn
     /* 127467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127479 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (SWPH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPH),
     /* 127482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127484 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127486 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127488 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127492 */     GIR_RootConstrainSelectedInstOperands,
     /* 127493 */     // GIR_Coverage, 7290,
     /* 127493 */     GIR_EraseRootFromParent_Done,
     /* 127494 */   // Label 2389: @127494
     /* 127494 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(127543), // Rule ID 7291 //
     /* 127499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127516 */     // MIs[0] Rn
     /* 127516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127528 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (SWPAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAH),
     /* 127531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127535 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127537 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127541 */     GIR_RootConstrainSelectedInstOperands,
     /* 127542 */     // GIR_Coverage, 7291,
     /* 127542 */     GIR_EraseRootFromParent_Done,
     /* 127543 */   // Label 2390: @127543
     /* 127543 */   GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(127592), // Rule ID 7292 //
     /* 127548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127565 */     // MIs[0] Rn
     /* 127565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127577 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (SWPLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLH),
     /* 127580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127584 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127586 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127590 */     GIR_RootConstrainSelectedInstOperands,
     /* 127591 */     // GIR_Coverage, 7292,
     /* 127591 */     GIR_EraseRootFromParent_Done,
     /* 127592 */   // Label 2391: @127592
     /* 127592 */   GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(127641), // Rule ID 7293 //
     /* 127597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127600 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127607 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127614 */     // MIs[0] Rn
     /* 127614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127626 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (SWPALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALH),
     /* 127629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127631 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127633 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127639 */     GIR_RootConstrainSelectedInstOperands,
     /* 127640 */     // GIR_Coverage, 7293,
     /* 127640 */     GIR_EraseRootFromParent_Done,
     /* 127641 */   // Label 2392: @127641
     /* 127641 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(127690), // Rule ID 7294 //
     /* 127646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127649 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 127656 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127663 */     // MIs[0] Rn
     /* 127663 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127675 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (SWPALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALH),
     /* 127678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127680 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127682 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127688 */     GIR_RootConstrainSelectedInstOperands,
     /* 127689 */     // GIR_Coverage, 7294,
     /* 127689 */     GIR_EraseRootFromParent_Done,
     /* 127690 */   // Label 2393: @127690
     /* 127690 */   GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(127739), // Rule ID 7295 //
     /* 127695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127698 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127705 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127712 */     // MIs[0] Rn
     /* 127712 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127724 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (SWPB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPB),
     /* 127727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127729 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127731 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127733 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127737 */     GIR_RootConstrainSelectedInstOperands,
     /* 127738 */     // GIR_Coverage, 7295,
     /* 127738 */     GIR_EraseRootFromParent_Done,
     /* 127739 */   // Label 2394: @127739
     /* 127739 */   GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(127788), // Rule ID 7296 //
     /* 127744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127747 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127754 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 127757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127761 */     // MIs[0] Rn
     /* 127761 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127773 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (SWPAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAB),
     /* 127776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127778 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127780 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127782 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127786 */     GIR_RootConstrainSelectedInstOperands,
     /* 127787 */     // GIR_Coverage, 7296,
     /* 127787 */     GIR_EraseRootFromParent_Done,
     /* 127788 */   // Label 2395: @127788
     /* 127788 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(127837), // Rule ID 7297 //
     /* 127793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127796 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127803 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 127806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127810 */     // MIs[0] Rn
     /* 127810 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127822 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (SWPLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLB),
     /* 127825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127827 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127829 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127831 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127835 */     GIR_RootConstrainSelectedInstOperands,
     /* 127836 */     // GIR_Coverage, 7297,
     /* 127836 */     GIR_EraseRootFromParent_Done,
     /* 127837 */   // Label 2396: @127837
     /* 127837 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(127886), // Rule ID 7298 //
     /* 127842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127845 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127852 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 127855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127859 */     // MIs[0] Rn
     /* 127859 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127871 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (SWPALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALB),
     /* 127874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127876 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127878 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127880 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127884 */     GIR_RootConstrainSelectedInstOperands,
     /* 127885 */     // GIR_Coverage, 7298,
     /* 127885 */     GIR_EraseRootFromParent_Done,
     /* 127886 */   // Label 2397: @127886
     /* 127886 */   GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(127935), // Rule ID 7299 //
     /* 127891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127894 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 127901 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 127904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127908 */     // MIs[0] Rn
     /* 127908 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 127920 */     // (atomic_swap:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (SWPALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALB),
     /* 127923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127927 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127933 */     GIR_RootConstrainSelectedInstOperands,
     /* 127934 */     // GIR_Coverage, 7299,
     /* 127934 */     GIR_EraseRootFromParent_Done,
     /* 127935 */   // Label 2398: @127935
     /* 127935 */   GIM_Reject,
     /* 127936 */ // Label 2383: @127936
     /* 127936 */ GIM_Reject,
     /* 127937 */ // Label 2381: @127937
     /* 127937 */ GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(128163),
     /* 127942 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 127945 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 127952 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(127994), // Rule ID 7280 //
     /* 127957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 127960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 127963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127967 */     // MIs[0] Rn
     /* 127967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 127971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 127975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 127979 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (SWPX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 127979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPX),
     /* 127982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 127984 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 127986 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 127988 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 127992 */     GIR_RootConstrainSelectedInstOperands,
     /* 127993 */     // GIR_Coverage, 7280,
     /* 127993 */     GIR_EraseRootFromParent_Done,
     /* 127994 */   // Label 2400: @127994
     /* 127994 */   GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(128036), // Rule ID 7281 //
     /* 127999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128002 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128009 */     // MIs[0] Rn
     /* 128009 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128021 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (SWPAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPAX),
     /* 128024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128028 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128034 */     GIR_RootConstrainSelectedInstOperands,
     /* 128035 */     // GIR_Coverage, 7281,
     /* 128035 */     GIR_EraseRootFromParent_Done,
     /* 128036 */   // Label 2401: @128036
     /* 128036 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(128078), // Rule ID 7282 //
     /* 128041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128044 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128051 */     // MIs[0] Rn
     /* 128051 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128063 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (SWPLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPLX),
     /* 128066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128070 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128076 */     GIR_RootConstrainSelectedInstOperands,
     /* 128077 */     // GIR_Coverage, 7282,
     /* 128077 */     GIR_EraseRootFromParent_Done,
     /* 128078 */   // Label 2402: @128078
     /* 128078 */   GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(128120), // Rule ID 7283 //
     /* 128083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128086 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128093 */     // MIs[0] Rn
     /* 128093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128105 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (SWPALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALX),
     /* 128108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128112 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128118 */     GIR_RootConstrainSelectedInstOperands,
     /* 128119 */     // GIR_Coverage, 7283,
     /* 128119 */     GIR_EraseRootFromParent_Done,
     /* 128120 */   // Label 2403: @128120
     /* 128120 */   GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(128162), // Rule ID 7284 //
     /* 128125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128128 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128135 */     // MIs[0] Rn
     /* 128135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128147 */     // (atomic_swap:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (SWPALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SWPALX),
     /* 128150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128152 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128154 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128160 */     GIR_RootConstrainSelectedInstOperands,
     /* 128161 */     // GIR_Coverage, 7284,
     /* 128161 */     GIR_EraseRootFromParent_Done,
     /* 128162 */   // Label 2404: @128162
     /* 128162 */   GIM_Reject,
     /* 128163 */ // Label 2399: @128163
     /* 128163 */ GIM_Reject,
     /* 128164 */ // Label 2382: @128164
     /* 128164 */ GIM_Reject,
     /* 128165 */ // Label 22: @128165
     /* 128165 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2407*/ GIMT_Encode4(129156),
     /* 128176 */ /*GILLT_s32*//*Label 2405*/ GIMT_Encode4(128184),
     /* 128180 */ /*GILLT_s64*//*Label 2406*/ GIMT_Encode4(128929),
     /* 128184 */ // Label 2405: @128184
     /* 128184 */ GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(128928),
     /* 128189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 128192 */   GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(128241), // Rule ID 7125 //
     /* 128197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128200 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128207 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128214 */     // MIs[0] Rn
     /* 128214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128226 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (LDADDW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDW),
     /* 128229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128231 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128233 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128235 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128239 */     GIR_RootConstrainSelectedInstOperands,
     /* 128240 */     // GIR_Coverage, 7125,
     /* 128240 */     GIR_EraseRootFromParent_Done,
     /* 128241 */   // Label 2409: @128241
     /* 128241 */   GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(128290), // Rule ID 7126 //
     /* 128246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128249 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128256 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128263 */     // MIs[0] Rn
     /* 128263 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128275 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (LDADDAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAW),
     /* 128278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128282 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128284 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128288 */     GIR_RootConstrainSelectedInstOperands,
     /* 128289 */     // GIR_Coverage, 7126,
     /* 128289 */     GIR_EraseRootFromParent_Done,
     /* 128290 */   // Label 2410: @128290
     /* 128290 */   GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(128339), // Rule ID 7127 //
     /* 128295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128298 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128305 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128312 */     // MIs[0] Rn
     /* 128312 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128324 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (LDADDLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLW),
     /* 128327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128329 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128331 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128333 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128337 */     GIR_RootConstrainSelectedInstOperands,
     /* 128338 */     // GIR_Coverage, 7127,
     /* 128338 */     GIR_EraseRootFromParent_Done,
     /* 128339 */   // Label 2411: @128339
     /* 128339 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(128388), // Rule ID 7128 //
     /* 128344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128347 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128354 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128361 */     // MIs[0] Rn
     /* 128361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128373 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (LDADDALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 128376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128378 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128380 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128386 */     GIR_RootConstrainSelectedInstOperands,
     /* 128387 */     // GIR_Coverage, 7128,
     /* 128387 */     GIR_EraseRootFromParent_Done,
     /* 128388 */   // Label 2412: @128388
     /* 128388 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(128437), // Rule ID 7129 //
     /* 128393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 128403 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128410 */     // MIs[0] Rn
     /* 128410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128422 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (LDADDALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 128425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128427 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128429 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128435 */     GIR_RootConstrainSelectedInstOperands,
     /* 128436 */     // GIR_Coverage, 7129,
     /* 128436 */     GIR_EraseRootFromParent_Done,
     /* 128437 */   // Label 2413: @128437
     /* 128437 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(128486), // Rule ID 7130 //
     /* 128442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128445 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128452 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128459 */     // MIs[0] Rn
     /* 128459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128471 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (LDADDH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDH),
     /* 128474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128476 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128478 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128484 */     GIR_RootConstrainSelectedInstOperands,
     /* 128485 */     // GIR_Coverage, 7130,
     /* 128485 */     GIR_EraseRootFromParent_Done,
     /* 128486 */   // Label 2414: @128486
     /* 128486 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(128535), // Rule ID 7131 //
     /* 128491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128508 */     // MIs[0] Rn
     /* 128508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128520 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (LDADDAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAH),
     /* 128523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128527 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128529 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128533 */     GIR_RootConstrainSelectedInstOperands,
     /* 128534 */     // GIR_Coverage, 7131,
     /* 128534 */     GIR_EraseRootFromParent_Done,
     /* 128535 */   // Label 2415: @128535
     /* 128535 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(128584), // Rule ID 7132 //
     /* 128540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128543 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128557 */     // MIs[0] Rn
     /* 128557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128569 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (LDADDLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLH),
     /* 128572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128576 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128578 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128582 */     GIR_RootConstrainSelectedInstOperands,
     /* 128583 */     // GIR_Coverage, 7132,
     /* 128583 */     GIR_EraseRootFromParent_Done,
     /* 128584 */   // Label 2416: @128584
     /* 128584 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(128633), // Rule ID 7133 //
     /* 128589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128592 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128599 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128606 */     // MIs[0] Rn
     /* 128606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128618 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (LDADDALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 128621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128623 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128625 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128627 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128631 */     GIR_RootConstrainSelectedInstOperands,
     /* 128632 */     // GIR_Coverage, 7133,
     /* 128632 */     GIR_EraseRootFromParent_Done,
     /* 128633 */   // Label 2417: @128633
     /* 128633 */   GIM_Try, /*On fail goto*//*Label 2418*/ GIMT_Encode4(128682), // Rule ID 7134 //
     /* 128638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128641 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 128648 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128655 */     // MIs[0] Rn
     /* 128655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128667 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (LDADDALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 128670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128672 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128674 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128680 */     GIR_RootConstrainSelectedInstOperands,
     /* 128681 */     // GIR_Coverage, 7134,
     /* 128681 */     GIR_EraseRootFromParent_Done,
     /* 128682 */   // Label 2418: @128682
     /* 128682 */   GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(128731), // Rule ID 7135 //
     /* 128687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128690 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128697 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128704 */     // MIs[0] Rn
     /* 128704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128716 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (LDADDB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDB),
     /* 128719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128723 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128725 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128729 */     GIR_RootConstrainSelectedInstOperands,
     /* 128730 */     // GIR_Coverage, 7135,
     /* 128730 */     GIR_EraseRootFromParent_Done,
     /* 128731 */   // Label 2419: @128731
     /* 128731 */   GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(128780), // Rule ID 7136 //
     /* 128736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128739 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128746 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128753 */     // MIs[0] Rn
     /* 128753 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128765 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (LDADDAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAB),
     /* 128768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128772 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128774 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128778 */     GIR_RootConstrainSelectedInstOperands,
     /* 128779 */     // GIR_Coverage, 7136,
     /* 128779 */     GIR_EraseRootFromParent_Done,
     /* 128780 */   // Label 2420: @128780
     /* 128780 */   GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(128829), // Rule ID 7137 //
     /* 128785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128788 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128795 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 128798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128802 */     // MIs[0] Rn
     /* 128802 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128814 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (LDADDLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLB),
     /* 128817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128819 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128821 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128823 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128827 */     GIR_RootConstrainSelectedInstOperands,
     /* 128828 */     // GIR_Coverage, 7137,
     /* 128828 */     GIR_EraseRootFromParent_Done,
     /* 128829 */   // Label 2421: @128829
     /* 128829 */   GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(128878), // Rule ID 7138 //
     /* 128834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128837 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128844 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 128847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128851 */     // MIs[0] Rn
     /* 128851 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128863 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (LDADDALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 128866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128870 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128876 */     GIR_RootConstrainSelectedInstOperands,
     /* 128877 */     // GIR_Coverage, 7138,
     /* 128877 */     GIR_EraseRootFromParent_Done,
     /* 128878 */   // Label 2422: @128878
     /* 128878 */   GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(128927), // Rule ID 7139 //
     /* 128883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128886 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 128893 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 128896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128900 */     // MIs[0] Rn
     /* 128900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 128912 */     // (atomic_load_add:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (LDADDALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 128915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128919 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128921 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128925 */     GIR_RootConstrainSelectedInstOperands,
     /* 128926 */     // GIR_Coverage, 7139,
     /* 128926 */     GIR_EraseRootFromParent_Done,
     /* 128927 */   // Label 2423: @128927
     /* 128927 */   GIM_Reject,
     /* 128928 */ // Label 2408: @128928
     /* 128928 */ GIM_Reject,
     /* 128929 */ // Label 2406: @128929
     /* 128929 */ GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(129155),
     /* 128934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 128937 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 128944 */   GIM_Try, /*On fail goto*//*Label 2425*/ GIMT_Encode4(128986), // Rule ID 2579 //
     /* 128949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 128955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128959 */     // MIs[0] Rn
     /* 128959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 128963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 128967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 128971 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (LDADDX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 128971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDX),
     /* 128974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 128976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 128978 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 128980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 128984 */     GIR_RootConstrainSelectedInstOperands,
     /* 128985 */     // GIR_Coverage, 2579,
     /* 128985 */     GIR_EraseRootFromParent_Done,
     /* 128986 */   // Label 2425: @128986
     /* 128986 */   GIM_Try, /*On fail goto*//*Label 2426*/ GIMT_Encode4(129028), // Rule ID 2580 //
     /* 128991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 128994 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 128997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129001 */     // MIs[0] Rn
     /* 129001 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129013 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (LDADDAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAX),
     /* 129016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129020 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129022 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129026 */     GIR_RootConstrainSelectedInstOperands,
     /* 129027 */     // GIR_Coverage, 2580,
     /* 129027 */     GIR_EraseRootFromParent_Done,
     /* 129028 */   // Label 2426: @129028
     /* 129028 */   GIM_Try, /*On fail goto*//*Label 2427*/ GIMT_Encode4(129070), // Rule ID 2581 //
     /* 129033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129036 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 129039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129043 */     // MIs[0] Rn
     /* 129043 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129055 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (LDADDLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLX),
     /* 129058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129062 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129068 */     GIR_RootConstrainSelectedInstOperands,
     /* 129069 */     // GIR_Coverage, 2581,
     /* 129069 */     GIR_EraseRootFromParent_Done,
     /* 129070 */   // Label 2427: @129070
     /* 129070 */   GIM_Try, /*On fail goto*//*Label 2428*/ GIMT_Encode4(129112), // Rule ID 2582 //
     /* 129075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129078 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 129081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129085 */     // MIs[0] Rn
     /* 129085 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129097 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (LDADDALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 129100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129102 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129104 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129106 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129110 */     GIR_RootConstrainSelectedInstOperands,
     /* 129111 */     // GIR_Coverage, 2582,
     /* 129111 */     GIR_EraseRootFromParent_Done,
     /* 129112 */   // Label 2428: @129112
     /* 129112 */   GIM_Try, /*On fail goto*//*Label 2429*/ GIMT_Encode4(129154), // Rule ID 2583 //
     /* 129117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129120 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 129123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129127 */     // MIs[0] Rn
     /* 129127 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 129139 */     // (atomic_load_add:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (LDADDALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 129139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 129142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 129146 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129148 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129152 */     GIR_RootConstrainSelectedInstOperands,
     /* 129153 */     // GIR_Coverage, 2583,
     /* 129153 */     GIR_EraseRootFromParent_Done,
     /* 129154 */   // Label 2429: @129154
     /* 129154 */   GIM_Reject,
     /* 129155 */ // Label 2424: @129155
     /* 129155 */ GIM_Reject,
     /* 129156 */ // Label 2407: @129156
     /* 129156 */ GIM_Reject,
     /* 129157 */ // Label 23: @129157
     /* 129157 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2432*/ GIMT_Encode4(130648),
     /* 129168 */ /*GILLT_s32*//*Label 2430*/ GIMT_Encode4(129176),
     /* 129172 */ /*GILLT_s64*//*Label 2431*/ GIMT_Encode4(130296),
     /* 129176 */ // Label 2430: @129176
     /* 129176 */ GIM_Try, /*On fail goto*//*Label 2433*/ GIMT_Encode4(130295),
     /* 129181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 129184 */   GIM_Try, /*On fail goto*//*Label 2434*/ GIMT_Encode4(129258), // Rule ID 7320 //
     /* 129189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129192 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129199 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 129202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129206 */     // MIs[0] Rn
     /* 129206 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129218 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_monotonic>>  =>  (LDADDW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129230 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129236 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDW),
     /* 129245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129250 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129256 */     GIR_RootConstrainSelectedInstOperands,
     /* 129257 */     // GIR_Coverage, 7320,
     /* 129257 */     GIR_EraseRootFromParent_Done,
     /* 129258 */   // Label 2434: @129258
     /* 129258 */   GIM_Try, /*On fail goto*//*Label 2435*/ GIMT_Encode4(129332), // Rule ID 7321 //
     /* 129263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129266 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129273 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 129276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129280 */     // MIs[0] Rn
     /* 129280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129292 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_acquire>>  =>  (LDADDAW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129304 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129310 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAW),
     /* 129319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129324 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129330 */     GIR_RootConstrainSelectedInstOperands,
     /* 129331 */     // GIR_Coverage, 7321,
     /* 129331 */     GIR_EraseRootFromParent_Done,
     /* 129332 */   // Label 2435: @129332
     /* 129332 */   GIM_Try, /*On fail goto*//*Label 2436*/ GIMT_Encode4(129406), // Rule ID 7322 //
     /* 129337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129340 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129347 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 129350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129354 */     // MIs[0] Rn
     /* 129354 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129366 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_release>>  =>  (LDADDLW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129378 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129384 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLW),
     /* 129393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129398 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129400 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129404 */     GIR_RootConstrainSelectedInstOperands,
     /* 129405 */     // GIR_Coverage, 7322,
     /* 129405 */     GIR_EraseRootFromParent_Done,
     /* 129406 */   // Label 2436: @129406
     /* 129406 */   GIM_Try, /*On fail goto*//*Label 2437*/ GIMT_Encode4(129480), // Rule ID 7323 //
     /* 129411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129414 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129421 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 129424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129428 */     // MIs[0] Rn
     /* 129428 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129440 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_acq_rel>>  =>  (LDADDALW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129452 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129458 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 129467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129472 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129474 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129478 */     GIR_RootConstrainSelectedInstOperands,
     /* 129479 */     // GIR_Coverage, 7323,
     /* 129479 */     GIR_EraseRootFromParent_Done,
     /* 129480 */   // Label 2437: @129480
     /* 129480 */   GIM_Try, /*On fail goto*//*Label 2438*/ GIMT_Encode4(129554), // Rule ID 7324 //
     /* 129485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129488 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 129495 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 129498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129502 */     // MIs[0] Rn
     /* 129502 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129514 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i32>><<P:Predicate_atomic_load_sub_i32_seq_cst>>  =>  (LDADDALW:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129526 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129532 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALW),
     /* 129541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129546 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129548 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129552 */     GIR_RootConstrainSelectedInstOperands,
     /* 129553 */     // GIR_Coverage, 7324,
     /* 129553 */     GIR_EraseRootFromParent_Done,
     /* 129554 */   // Label 2438: @129554
     /* 129554 */   GIM_Try, /*On fail goto*//*Label 2439*/ GIMT_Encode4(129628), // Rule ID 7325 //
     /* 129559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129562 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129569 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 129572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129576 */     // MIs[0] Rn
     /* 129576 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129588 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_monotonic>>  =>  (LDADDH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129600 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129606 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDH),
     /* 129615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129620 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129626 */     GIR_RootConstrainSelectedInstOperands,
     /* 129627 */     // GIR_Coverage, 7325,
     /* 129627 */     GIR_EraseRootFromParent_Done,
     /* 129628 */   // Label 2439: @129628
     /* 129628 */   GIM_Try, /*On fail goto*//*Label 2440*/ GIMT_Encode4(129702), // Rule ID 7326 //
     /* 129633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129636 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129643 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 129646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129650 */     // MIs[0] Rn
     /* 129650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129662 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_acquire>>  =>  (LDADDAH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129674 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAH),
     /* 129689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129694 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129700 */     GIR_RootConstrainSelectedInstOperands,
     /* 129701 */     // GIR_Coverage, 7326,
     /* 129701 */     GIR_EraseRootFromParent_Done,
     /* 129702 */   // Label 2440: @129702
     /* 129702 */   GIM_Try, /*On fail goto*//*Label 2441*/ GIMT_Encode4(129776), // Rule ID 7327 //
     /* 129707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129710 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 129720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129724 */     // MIs[0] Rn
     /* 129724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129736 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_release>>  =>  (LDADDLH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129748 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129754 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLH),
     /* 129763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129768 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129770 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129774 */     GIR_RootConstrainSelectedInstOperands,
     /* 129775 */     // GIR_Coverage, 7327,
     /* 129775 */     GIR_EraseRootFromParent_Done,
     /* 129776 */   // Label 2441: @129776
     /* 129776 */   GIM_Try, /*On fail goto*//*Label 2442*/ GIMT_Encode4(129850), // Rule ID 7328 //
     /* 129781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129784 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129791 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 129794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129798 */     // MIs[0] Rn
     /* 129798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129810 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_acq_rel>>  =>  (LDADDALH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129822 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129828 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 129837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129842 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129844 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129848 */     GIR_RootConstrainSelectedInstOperands,
     /* 129849 */     // GIR_Coverage, 7328,
     /* 129849 */     GIR_EraseRootFromParent_Done,
     /* 129850 */   // Label 2442: @129850
     /* 129850 */   GIM_Try, /*On fail goto*//*Label 2443*/ GIMT_Encode4(129924), // Rule ID 7329 //
     /* 129855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129858 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 129865 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 129868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129872 */     // MIs[0] Rn
     /* 129872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129884 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i16>><<P:Predicate_atomic_load_sub_i16_seq_cst>>  =>  (LDADDALH:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129896 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129902 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALH),
     /* 129911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129916 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129922 */     GIR_RootConstrainSelectedInstOperands,
     /* 129923 */     // GIR_Coverage, 7329,
     /* 129923 */     GIR_EraseRootFromParent_Done,
     /* 129924 */   // Label 2443: @129924
     /* 129924 */   GIM_Try, /*On fail goto*//*Label 2444*/ GIMT_Encode4(129998), // Rule ID 7330 //
     /* 129929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 129932 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 129939 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 129942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129946 */     // MIs[0] Rn
     /* 129946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 129950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 129954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 129958 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_monotonic>>  =>  (LDADDB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 129958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 129961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 129965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 129970 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 129976 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 129980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 129982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDB),
     /* 129985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 129987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 129990 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 129992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 129996 */     GIR_RootConstrainSelectedInstOperands,
     /* 129997 */     // GIR_Coverage, 7330,
     /* 129997 */     GIR_EraseRootFromParent_Done,
     /* 129998 */   // Label 2444: @129998
     /* 129998 */   GIM_Try, /*On fail goto*//*Label 2445*/ GIMT_Encode4(130072), // Rule ID 7331 //
     /* 130003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130006 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130013 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 130016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130020 */     // MIs[0] Rn
     /* 130020 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130032 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_acquire>>  =>  (LDADDAB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 130039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130044 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAB),
     /* 130059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130064 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130070 */     GIR_RootConstrainSelectedInstOperands,
     /* 130071 */     // GIR_Coverage, 7331,
     /* 130071 */     GIR_EraseRootFromParent_Done,
     /* 130072 */   // Label 2445: @130072
     /* 130072 */   GIM_Try, /*On fail goto*//*Label 2446*/ GIMT_Encode4(130146), // Rule ID 7332 //
     /* 130077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130080 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130087 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 130090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130094 */     // MIs[0] Rn
     /* 130094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130106 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_release>>  =>  (LDADDLB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 130113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130118 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130124 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLB),
     /* 130133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130138 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130144 */     GIR_RootConstrainSelectedInstOperands,
     /* 130145 */     // GIR_Coverage, 7332,
     /* 130145 */     GIR_EraseRootFromParent_Done,
     /* 130146 */   // Label 2446: @130146
     /* 130146 */   GIM_Try, /*On fail goto*//*Label 2447*/ GIMT_Encode4(130220), // Rule ID 7333 //
     /* 130151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130154 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130161 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 130164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130168 */     // MIs[0] Rn
     /* 130168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130180 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_acq_rel>>  =>  (LDADDALB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 130187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130192 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130198 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 130207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130212 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130218 */     GIR_RootConstrainSelectedInstOperands,
     /* 130219 */     // GIR_Coverage, 7333,
     /* 130219 */     GIR_EraseRootFromParent_Done,
     /* 130220 */   // Label 2447: @130220
     /* 130220 */   GIM_Try, /*On fail goto*//*Label 2448*/ GIMT_Encode4(130294), // Rule ID 7334 //
     /* 130225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130228 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 130235 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 130238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130242 */     // MIs[0] Rn
     /* 130242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130254 */     // (atomic_load_sub:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_sub_i8>><<P:Predicate_atomic_load_sub_i8_seq_cst>>  =>  (LDADDALB:{ *:[i32] } (SUBWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBWrr),
     /* 130261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130266 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130272 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALB),
     /* 130281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130286 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130292 */     GIR_RootConstrainSelectedInstOperands,
     /* 130293 */     // GIR_Coverage, 7334,
     /* 130293 */     GIR_EraseRootFromParent_Done,
     /* 130294 */   // Label 2448: @130294
     /* 130294 */   GIM_Reject,
     /* 130295 */ // Label 2433: @130295
     /* 130295 */ GIM_Reject,
     /* 130296 */ // Label 2431: @130296
     /* 130296 */ GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(130647),
     /* 130301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 130304 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 130311 */   GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(130378), // Rule ID 7315 //
     /* 130316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130319 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 130322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130326 */     // MIs[0] Rn
     /* 130326 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130338 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_monotonic>>  =>  (LDADDX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 130341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 130345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130350 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130356 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDX),
     /* 130365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130370 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130376 */     GIR_RootConstrainSelectedInstOperands,
     /* 130377 */     // GIR_Coverage, 7315,
     /* 130377 */     GIR_EraseRootFromParent_Done,
     /* 130378 */   // Label 2450: @130378
     /* 130378 */   GIM_Try, /*On fail goto*//*Label 2451*/ GIMT_Encode4(130445), // Rule ID 7316 //
     /* 130383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130386 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 130389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130393 */     // MIs[0] Rn
     /* 130393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130405 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_acquire>>  =>  (LDADDAX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 130408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 130412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130417 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130423 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDAX),
     /* 130432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130437 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130443 */     GIR_RootConstrainSelectedInstOperands,
     /* 130444 */     // GIR_Coverage, 7316,
     /* 130444 */     GIR_EraseRootFromParent_Done,
     /* 130445 */   // Label 2451: @130445
     /* 130445 */   GIM_Try, /*On fail goto*//*Label 2452*/ GIMT_Encode4(130512), // Rule ID 7317 //
     /* 130450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130453 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 130456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130460 */     // MIs[0] Rn
     /* 130460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130472 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_release>>  =>  (LDADDLX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 130475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 130479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130484 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDLX),
     /* 130499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130504 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130506 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130510 */     GIR_RootConstrainSelectedInstOperands,
     /* 130511 */     // GIR_Coverage, 7317,
     /* 130511 */     GIR_EraseRootFromParent_Done,
     /* 130512 */   // Label 2452: @130512
     /* 130512 */   GIM_Try, /*On fail goto*//*Label 2453*/ GIMT_Encode4(130579), // Rule ID 7318 //
     /* 130517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130520 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 130523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130527 */     // MIs[0] Rn
     /* 130527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130539 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_acq_rel>>  =>  (LDADDALX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 130542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 130546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 130566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130571 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130573 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130577 */     GIR_RootConstrainSelectedInstOperands,
     /* 130578 */     // GIR_Coverage, 7318,
     /* 130578 */     GIR_EraseRootFromParent_Done,
     /* 130579 */   // Label 2453: @130579
     /* 130579 */   GIM_Try, /*On fail goto*//*Label 2454*/ GIMT_Encode4(130646), // Rule ID 7319 //
     /* 130584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130587 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 130590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130594 */     // MIs[0] Rn
     /* 130594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 130606 */     // (atomic_load_sub:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_sub_i64>><<P:Predicate_atomic_load_sub_i64_seq_cst>>  =>  (LDADDALX:{ *:[i64] } (SUBXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 130609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SUBXrr),
     /* 130613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130618 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130624 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDADDALX),
     /* 130633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130638 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130640 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130644 */     GIR_RootConstrainSelectedInstOperands,
     /* 130645 */     // GIR_Coverage, 7319,
     /* 130645 */     GIR_EraseRootFromParent_Done,
     /* 130646 */   // Label 2454: @130646
     /* 130646 */   GIM_Reject,
     /* 130647 */ // Label 2449: @130647
     /* 130647 */ GIM_Reject,
     /* 130648 */ // Label 2432: @130648
     /* 130648 */ GIM_Reject,
     /* 130649 */ // Label 24: @130649
     /* 130649 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2457*/ GIMT_Encode4(132140),
     /* 130660 */ /*GILLT_s32*//*Label 2455*/ GIMT_Encode4(130668),
     /* 130664 */ /*GILLT_s64*//*Label 2456*/ GIMT_Encode4(131788),
     /* 130668 */ // Label 2455: @130668
     /* 130668 */ GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(131787),
     /* 130673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 130676 */   GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(130750), // Rule ID 7340 //
     /* 130681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130684 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130691 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 130694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130698 */     // MIs[0] Rn
     /* 130698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130710 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (LDCLRW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130722 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130728 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRW),
     /* 130737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130742 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130748 */     GIR_RootConstrainSelectedInstOperands,
     /* 130749 */     // GIR_Coverage, 7340,
     /* 130749 */     GIR_EraseRootFromParent_Done,
     /* 130750 */   // Label 2459: @130750
     /* 130750 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(130824), // Rule ID 7341 //
     /* 130755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130758 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130765 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 130768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130772 */     // MIs[0] Rn
     /* 130772 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130784 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (LDCLRAW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130796 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130802 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAW),
     /* 130811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130816 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130822 */     GIR_RootConstrainSelectedInstOperands,
     /* 130823 */     // GIR_Coverage, 7341,
     /* 130823 */     GIR_EraseRootFromParent_Done,
     /* 130824 */   // Label 2460: @130824
     /* 130824 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(130898), // Rule ID 7342 //
     /* 130829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130832 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130839 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 130842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130846 */     // MIs[0] Rn
     /* 130846 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130858 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (LDCLRLW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130870 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130876 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLW),
     /* 130885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130890 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130892 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130896 */     GIR_RootConstrainSelectedInstOperands,
     /* 130897 */     // GIR_Coverage, 7342,
     /* 130897 */     GIR_EraseRootFromParent_Done,
     /* 130898 */   // Label 2461: @130898
     /* 130898 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(130972), // Rule ID 7343 //
     /* 130903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130906 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130913 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 130916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130920 */     // MIs[0] Rn
     /* 130920 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 130928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130932 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (LDCLRALW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 130932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 130935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 130939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 130944 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 130950 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 130954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 130956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALW),
     /* 130959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 130961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 130964 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 130966 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 130970 */     GIR_RootConstrainSelectedInstOperands,
     /* 130971 */     // GIR_Coverage, 7343,
     /* 130971 */     GIR_EraseRootFromParent_Done,
     /* 130972 */   // Label 2462: @130972
     /* 130972 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(131046), // Rule ID 7344 //
     /* 130977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 130980 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 130987 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 130990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 130994 */     // MIs[0] Rn
     /* 130994 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 130998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131006 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (LDCLRALW:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131018 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131024 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALW),
     /* 131033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131038 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131044 */     GIR_RootConstrainSelectedInstOperands,
     /* 131045 */     // GIR_Coverage, 7344,
     /* 131045 */     GIR_EraseRootFromParent_Done,
     /* 131046 */   // Label 2463: @131046
     /* 131046 */   GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(131120), // Rule ID 7345 //
     /* 131051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131054 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131061 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 131064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131068 */     // MIs[0] Rn
     /* 131068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131080 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (LDCLRH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131092 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131098 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRH),
     /* 131107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131112 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131118 */     GIR_RootConstrainSelectedInstOperands,
     /* 131119 */     // GIR_Coverage, 7345,
     /* 131119 */     GIR_EraseRootFromParent_Done,
     /* 131120 */   // Label 2464: @131120
     /* 131120 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(131194), // Rule ID 7346 //
     /* 131125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131128 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131135 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 131138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131142 */     // MIs[0] Rn
     /* 131142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131154 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (LDCLRAH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131166 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131172 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAH),
     /* 131181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131186 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131192 */     GIR_RootConstrainSelectedInstOperands,
     /* 131193 */     // GIR_Coverage, 7346,
     /* 131193 */     GIR_EraseRootFromParent_Done,
     /* 131194 */   // Label 2465: @131194
     /* 131194 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(131268), // Rule ID 7347 //
     /* 131199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131202 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131209 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 131212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131216 */     // MIs[0] Rn
     /* 131216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131228 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (LDCLRLH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131240 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131246 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLH),
     /* 131255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131260 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131262 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131266 */     GIR_RootConstrainSelectedInstOperands,
     /* 131267 */     // GIR_Coverage, 7347,
     /* 131267 */     GIR_EraseRootFromParent_Done,
     /* 131268 */   // Label 2466: @131268
     /* 131268 */   GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(131342), // Rule ID 7348 //
     /* 131273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131276 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131283 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 131286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131290 */     // MIs[0] Rn
     /* 131290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131302 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (LDCLRALH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131314 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALH),
     /* 131329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131334 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131336 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131340 */     GIR_RootConstrainSelectedInstOperands,
     /* 131341 */     // GIR_Coverage, 7348,
     /* 131341 */     GIR_EraseRootFromParent_Done,
     /* 131342 */   // Label 2467: @131342
     /* 131342 */   GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(131416), // Rule ID 7349 //
     /* 131347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131350 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 131357 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 131360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131364 */     // MIs[0] Rn
     /* 131364 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131376 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (LDCLRALH:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131388 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131394 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALH),
     /* 131403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131408 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131410 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131414 */     GIR_RootConstrainSelectedInstOperands,
     /* 131415 */     // GIR_Coverage, 7349,
     /* 131415 */     GIR_EraseRootFromParent_Done,
     /* 131416 */   // Label 2468: @131416
     /* 131416 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(131490), // Rule ID 7350 //
     /* 131421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131424 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131431 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 131434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131438 */     // MIs[0] Rn
     /* 131438 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131450 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (LDCLRB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131462 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131468 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRB),
     /* 131477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131482 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131484 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131488 */     GIR_RootConstrainSelectedInstOperands,
     /* 131489 */     // GIR_Coverage, 7350,
     /* 131489 */     GIR_EraseRootFromParent_Done,
     /* 131490 */   // Label 2469: @131490
     /* 131490 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(131564), // Rule ID 7351 //
     /* 131495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131498 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131505 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 131508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131512 */     // MIs[0] Rn
     /* 131512 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131524 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (LDCLRAB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131536 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131542 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAB),
     /* 131551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131556 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131558 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131562 */     GIR_RootConstrainSelectedInstOperands,
     /* 131563 */     // GIR_Coverage, 7351,
     /* 131563 */     GIR_EraseRootFromParent_Done,
     /* 131564 */   // Label 2470: @131564
     /* 131564 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(131638), // Rule ID 7352 //
     /* 131569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131572 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131579 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 131582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131586 */     // MIs[0] Rn
     /* 131586 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131598 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (LDCLRLB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131610 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131616 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLB),
     /* 131625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131630 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131632 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131636 */     GIR_RootConstrainSelectedInstOperands,
     /* 131637 */     // GIR_Coverage, 7352,
     /* 131637 */     GIR_EraseRootFromParent_Done,
     /* 131638 */   // Label 2471: @131638
     /* 131638 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(131712), // Rule ID 7353 //
     /* 131643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131646 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131653 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 131656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131660 */     // MIs[0] Rn
     /* 131660 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131672 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (LDCLRALB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131684 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131690 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALB),
     /* 131699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131704 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131710 */     GIR_RootConstrainSelectedInstOperands,
     /* 131711 */     // GIR_Coverage, 7353,
     /* 131711 */     GIR_EraseRootFromParent_Done,
     /* 131712 */   // Label 2472: @131712
     /* 131712 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(131786), // Rule ID 7354 //
     /* 131717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131720 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 131727 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 131730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131734 */     // MIs[0] Rn
     /* 131734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 131746 */     // (atomic_load_and:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (LDCLRALB:{ *:[i32] } (ORNWrr:{ *:[i32] } WZR:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 131749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNWrr),
     /* 131753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131758 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131764 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALB),
     /* 131773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131778 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131784 */     GIR_RootConstrainSelectedInstOperands,
     /* 131785 */     // GIR_Coverage, 7354,
     /* 131785 */     GIR_EraseRootFromParent_Done,
     /* 131786 */   // Label 2473: @131786
     /* 131786 */   GIM_Reject,
     /* 131787 */ // Label 2458: @131787
     /* 131787 */ GIM_Reject,
     /* 131788 */ // Label 2456: @131788
     /* 131788 */ GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(132139),
     /* 131793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 131796 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 131803 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(131870), // Rule ID 7335 //
     /* 131808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131811 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 131814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131818 */     // MIs[0] Rn
     /* 131818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131830 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (LDCLRX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 131833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 131837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131842 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131848 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRX),
     /* 131857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131862 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131868 */     GIR_RootConstrainSelectedInstOperands,
     /* 131869 */     // GIR_Coverage, 7335,
     /* 131869 */     GIR_EraseRootFromParent_Done,
     /* 131870 */   // Label 2475: @131870
     /* 131870 */   GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(131937), // Rule ID 7336 //
     /* 131875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 131881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131885 */     // MIs[0] Rn
     /* 131885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131897 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (LDCLRAX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 131900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 131904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131909 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRAX),
     /* 131924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131929 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131931 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 131935 */     GIR_RootConstrainSelectedInstOperands,
     /* 131936 */     // GIR_Coverage, 7336,
     /* 131936 */     GIR_EraseRootFromParent_Done,
     /* 131937 */   // Label 2476: @131937
     /* 131937 */   GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(132004), // Rule ID 7337 //
     /* 131942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 131945 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 131948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131952 */     // MIs[0] Rn
     /* 131952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 131956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 131960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 131964 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (LDCLRLX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 131964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 131967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 131971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 131976 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 131982 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 131986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 131988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRLX),
     /* 131991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 131993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 131996 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 131998 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132002 */     GIR_RootConstrainSelectedInstOperands,
     /* 132003 */     // GIR_Coverage, 7337,
     /* 132003 */     GIR_EraseRootFromParent_Done,
     /* 132004 */   // Label 2477: @132004
     /* 132004 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(132071), // Rule ID 7338 //
     /* 132009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132019 */     // MIs[0] Rn
     /* 132019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132031 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (LDCLRALX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 132031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 132034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 132038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132043 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 132049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 132053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALX),
     /* 132058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 132063 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132065 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132069 */     GIR_RootConstrainSelectedInstOperands,
     /* 132070 */     // GIR_Coverage, 7338,
     /* 132070 */     GIR_EraseRootFromParent_Done,
     /* 132071 */   // Label 2478: @132071
     /* 132071 */   GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(132138), // Rule ID 7339 //
     /* 132076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132079 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132086 */     // MIs[0] Rn
     /* 132086 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132098 */     // (atomic_load_and:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (LDCLRALX:{ *:[i64] } (ORNXrr:{ *:[i64] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$Rm), GPR64sp:{ *:[i64] }:$Rn)
     /* 132098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 132101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ORNXrr),
     /* 132105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 132110 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 132116 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 132120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 132122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDCLRALX),
     /* 132125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 132130 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132132 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132136 */     GIR_RootConstrainSelectedInstOperands,
     /* 132137 */     // GIR_Coverage, 7339,
     /* 132137 */     GIR_EraseRootFromParent_Done,
     /* 132138 */   // Label 2479: @132138
     /* 132138 */   GIM_Reject,
     /* 132139 */ // Label 2474: @132139
     /* 132139 */ GIM_Reject,
     /* 132140 */ // Label 2457: @132140
     /* 132140 */ GIM_Reject,
     /* 132141 */ // Label 25: @132141
     /* 132141 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2482*/ GIMT_Encode4(133132),
     /* 132152 */ /*GILLT_s32*//*Label 2480*/ GIMT_Encode4(132160),
     /* 132156 */ /*GILLT_s64*//*Label 2481*/ GIMT_Encode4(132905),
     /* 132160 */ // Label 2480: @132160
     /* 132160 */ GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(132904),
     /* 132165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 132168 */   GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(132217), // Rule ID 7145 //
     /* 132173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132176 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132183 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 132186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132190 */     // MIs[0] Rn
     /* 132190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132202 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (LDSETW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETW),
     /* 132205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132207 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132209 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132215 */     GIR_RootConstrainSelectedInstOperands,
     /* 132216 */     // GIR_Coverage, 7145,
     /* 132216 */     GIR_EraseRootFromParent_Done,
     /* 132217 */   // Label 2484: @132217
     /* 132217 */   GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(132266), // Rule ID 7146 //
     /* 132222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132225 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132232 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132239 */     // MIs[0] Rn
     /* 132239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132251 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (LDSETAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAW),
     /* 132254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132258 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132260 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132264 */     GIR_RootConstrainSelectedInstOperands,
     /* 132265 */     // GIR_Coverage, 7146,
     /* 132265 */     GIR_EraseRootFromParent_Done,
     /* 132266 */   // Label 2485: @132266
     /* 132266 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(132315), // Rule ID 7147 //
     /* 132271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132274 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132281 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132288 */     // MIs[0] Rn
     /* 132288 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132300 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (LDSETLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLW),
     /* 132303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132307 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132313 */     GIR_RootConstrainSelectedInstOperands,
     /* 132314 */     // GIR_Coverage, 7147,
     /* 132314 */     GIR_EraseRootFromParent_Done,
     /* 132315 */   // Label 2486: @132315
     /* 132315 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(132364), // Rule ID 7148 //
     /* 132320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132323 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132330 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132337 */     // MIs[0] Rn
     /* 132337 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132349 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (LDSETALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALW),
     /* 132352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132356 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132358 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132362 */     GIR_RootConstrainSelectedInstOperands,
     /* 132363 */     // GIR_Coverage, 7148,
     /* 132363 */     GIR_EraseRootFromParent_Done,
     /* 132364 */   // Label 2487: @132364
     /* 132364 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(132413), // Rule ID 7149 //
     /* 132369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132372 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 132379 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132386 */     // MIs[0] Rn
     /* 132386 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132398 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (LDSETALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALW),
     /* 132401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132403 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132405 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132407 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132411 */     GIR_RootConstrainSelectedInstOperands,
     /* 132412 */     // GIR_Coverage, 7149,
     /* 132412 */     GIR_EraseRootFromParent_Done,
     /* 132413 */   // Label 2488: @132413
     /* 132413 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(132462), // Rule ID 7150 //
     /* 132418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132421 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132428 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 132431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132435 */     // MIs[0] Rn
     /* 132435 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132447 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (LDSETH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETH),
     /* 132450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132452 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132454 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132456 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132460 */     GIR_RootConstrainSelectedInstOperands,
     /* 132461 */     // GIR_Coverage, 7150,
     /* 132461 */     GIR_EraseRootFromParent_Done,
     /* 132462 */   // Label 2489: @132462
     /* 132462 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(132511), // Rule ID 7151 //
     /* 132467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132470 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132477 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132484 */     // MIs[0] Rn
     /* 132484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132496 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (LDSETAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAH),
     /* 132499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132501 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132503 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132505 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132509 */     GIR_RootConstrainSelectedInstOperands,
     /* 132510 */     // GIR_Coverage, 7151,
     /* 132510 */     GIR_EraseRootFromParent_Done,
     /* 132511 */   // Label 2490: @132511
     /* 132511 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(132560), // Rule ID 7152 //
     /* 132516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132519 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132526 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132533 */     // MIs[0] Rn
     /* 132533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132545 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (LDSETLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLH),
     /* 132548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132552 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132558 */     GIR_RootConstrainSelectedInstOperands,
     /* 132559 */     // GIR_Coverage, 7152,
     /* 132559 */     GIR_EraseRootFromParent_Done,
     /* 132560 */   // Label 2491: @132560
     /* 132560 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(132609), // Rule ID 7153 //
     /* 132565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132582 */     // MIs[0] Rn
     /* 132582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132594 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (LDSETALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALH),
     /* 132597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132599 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132601 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132607 */     GIR_RootConstrainSelectedInstOperands,
     /* 132608 */     // GIR_Coverage, 7153,
     /* 132608 */     GIR_EraseRootFromParent_Done,
     /* 132609 */   // Label 2492: @132609
     /* 132609 */   GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(132658), // Rule ID 7154 //
     /* 132614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 132624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132631 */     // MIs[0] Rn
     /* 132631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132643 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (LDSETALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALH),
     /* 132646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132650 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132656 */     GIR_RootConstrainSelectedInstOperands,
     /* 132657 */     // GIR_Coverage, 7154,
     /* 132657 */     GIR_EraseRootFromParent_Done,
     /* 132658 */   // Label 2493: @132658
     /* 132658 */   GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(132707), // Rule ID 7155 //
     /* 132663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 132676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132680 */     // MIs[0] Rn
     /* 132680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132692 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (LDSETB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETB),
     /* 132695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132697 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132699 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132701 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132705 */     GIR_RootConstrainSelectedInstOperands,
     /* 132706 */     // GIR_Coverage, 7155,
     /* 132706 */     GIR_EraseRootFromParent_Done,
     /* 132707 */   // Label 2494: @132707
     /* 132707 */   GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(132756), // Rule ID 7156 //
     /* 132712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132729 */     // MIs[0] Rn
     /* 132729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132741 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (LDSETAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAB),
     /* 132744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132746 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132748 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132750 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132754 */     GIR_RootConstrainSelectedInstOperands,
     /* 132755 */     // GIR_Coverage, 7156,
     /* 132755 */     GIR_EraseRootFromParent_Done,
     /* 132756 */   // Label 2495: @132756
     /* 132756 */   GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(132805), // Rule ID 7157 //
     /* 132761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 132774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132778 */     // MIs[0] Rn
     /* 132778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132790 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (LDSETLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLB),
     /* 132793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132797 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132799 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132803 */     GIR_RootConstrainSelectedInstOperands,
     /* 132804 */     // GIR_Coverage, 7157,
     /* 132804 */     GIR_EraseRootFromParent_Done,
     /* 132805 */   // Label 2496: @132805
     /* 132805 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(132854), // Rule ID 7158 //
     /* 132810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132813 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 132823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132827 */     // MIs[0] Rn
     /* 132827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132839 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (LDSETALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALB),
     /* 132842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132844 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132846 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132848 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132852 */     GIR_RootConstrainSelectedInstOperands,
     /* 132853 */     // GIR_Coverage, 7158,
     /* 132853 */     GIR_EraseRootFromParent_Done,
     /* 132854 */   // Label 2497: @132854
     /* 132854 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(132903), // Rule ID 7159 //
     /* 132859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132862 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 132869 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 132872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132876 */     // MIs[0] Rn
     /* 132876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 132888 */     // (atomic_load_or:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (LDSETALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALB),
     /* 132891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132895 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132901 */     GIR_RootConstrainSelectedInstOperands,
     /* 132902 */     // GIR_Coverage, 7159,
     /* 132902 */     GIR_EraseRootFromParent_Done,
     /* 132903 */   // Label 2498: @132903
     /* 132903 */   GIM_Reject,
     /* 132904 */ // Label 2483: @132904
     /* 132904 */ GIM_Reject,
     /* 132905 */ // Label 2481: @132905
     /* 132905 */ GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(133131),
     /* 132910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 132913 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 132920 */   GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(132962), // Rule ID 7140 //
     /* 132925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132928 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 132931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132935 */     // MIs[0] Rn
     /* 132935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132947 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (LDSETX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETX),
     /* 132950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132954 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 132960 */     GIR_RootConstrainSelectedInstOperands,
     /* 132961 */     // GIR_Coverage, 7140,
     /* 132961 */     GIR_EraseRootFromParent_Done,
     /* 132962 */   // Label 2500: @132962
     /* 132962 */   GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(133004), // Rule ID 7141 //
     /* 132967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 132970 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 132973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132977 */     // MIs[0] Rn
     /* 132977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 132981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 132985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 132989 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (LDSETAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 132989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETAX),
     /* 132992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 132994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 132996 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 132998 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133002 */     GIR_RootConstrainSelectedInstOperands,
     /* 133003 */     // GIR_Coverage, 7141,
     /* 133003 */     GIR_EraseRootFromParent_Done,
     /* 133004 */   // Label 2501: @133004
     /* 133004 */   GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(133046), // Rule ID 7142 //
     /* 133009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 133015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133019 */     // MIs[0] Rn
     /* 133019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133031 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (LDSETLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETLX),
     /* 133034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133038 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133044 */     GIR_RootConstrainSelectedInstOperands,
     /* 133045 */     // GIR_Coverage, 7142,
     /* 133045 */     GIR_EraseRootFromParent_Done,
     /* 133046 */   // Label 2502: @133046
     /* 133046 */   GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(133088), // Rule ID 7143 //
     /* 133051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133054 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 133057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133061 */     // MIs[0] Rn
     /* 133061 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133073 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (LDSETALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALX),
     /* 133076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133080 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133086 */     GIR_RootConstrainSelectedInstOperands,
     /* 133087 */     // GIR_Coverage, 7143,
     /* 133087 */     GIR_EraseRootFromParent_Done,
     /* 133088 */   // Label 2503: @133088
     /* 133088 */   GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(133130), // Rule ID 7144 //
     /* 133093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133096 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 133099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133103 */     // MIs[0] Rn
     /* 133103 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133115 */     // (atomic_load_or:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (LDSETALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSETALX),
     /* 133118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133122 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133124 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133128 */     GIR_RootConstrainSelectedInstOperands,
     /* 133129 */     // GIR_Coverage, 7144,
     /* 133129 */     GIR_EraseRootFromParent_Done,
     /* 133130 */   // Label 2504: @133130
     /* 133130 */   GIM_Reject,
     /* 133131 */ // Label 2499: @133131
     /* 133131 */ GIM_Reject,
     /* 133132 */ // Label 2482: @133132
     /* 133132 */ GIM_Reject,
     /* 133133 */ // Label 26: @133133
     /* 133133 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2507*/ GIMT_Encode4(134124),
     /* 133144 */ /*GILLT_s32*//*Label 2505*/ GIMT_Encode4(133152),
     /* 133148 */ /*GILLT_s64*//*Label 2506*/ GIMT_Encode4(133897),
     /* 133152 */ // Label 2505: @133152
     /* 133152 */ GIM_Try, /*On fail goto*//*Label 2508*/ GIMT_Encode4(133896),
     /* 133157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 133160 */   GIM_Try, /*On fail goto*//*Label 2509*/ GIMT_Encode4(133209), // Rule ID 7165 //
     /* 133165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133168 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133175 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 133178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133182 */     // MIs[0] Rn
     /* 133182 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133194 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (LDEORW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORW),
     /* 133197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133199 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133201 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133203 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133207 */     GIR_RootConstrainSelectedInstOperands,
     /* 133208 */     // GIR_Coverage, 7165,
     /* 133208 */     GIR_EraseRootFromParent_Done,
     /* 133209 */   // Label 2509: @133209
     /* 133209 */   GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(133258), // Rule ID 7166 //
     /* 133214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133217 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133224 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 133227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133231 */     // MIs[0] Rn
     /* 133231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133243 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (LDEORAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAW),
     /* 133246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133250 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133256 */     GIR_RootConstrainSelectedInstOperands,
     /* 133257 */     // GIR_Coverage, 7166,
     /* 133257 */     GIR_EraseRootFromParent_Done,
     /* 133258 */   // Label 2510: @133258
     /* 133258 */   GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(133307), // Rule ID 7167 //
     /* 133263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133266 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133273 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 133276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133280 */     // MIs[0] Rn
     /* 133280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133292 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (LDEORLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLW),
     /* 133295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133297 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133299 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133301 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133305 */     GIR_RootConstrainSelectedInstOperands,
     /* 133306 */     // GIR_Coverage, 7167,
     /* 133306 */     GIR_EraseRootFromParent_Done,
     /* 133307 */   // Label 2511: @133307
     /* 133307 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(133356), // Rule ID 7168 //
     /* 133312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133315 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133322 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 133325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133329 */     // MIs[0] Rn
     /* 133329 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133341 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (LDEORALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALW),
     /* 133344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133346 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133348 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133350 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133354 */     GIR_RootConstrainSelectedInstOperands,
     /* 133355 */     // GIR_Coverage, 7168,
     /* 133355 */     GIR_EraseRootFromParent_Done,
     /* 133356 */   // Label 2512: @133356
     /* 133356 */   GIM_Try, /*On fail goto*//*Label 2513*/ GIMT_Encode4(133405), // Rule ID 7169 //
     /* 133361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133364 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 133371 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 133374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133378 */     // MIs[0] Rn
     /* 133378 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133390 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (LDEORALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALW),
     /* 133393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133395 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133397 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133403 */     GIR_RootConstrainSelectedInstOperands,
     /* 133404 */     // GIR_Coverage, 7169,
     /* 133404 */     GIR_EraseRootFromParent_Done,
     /* 133405 */   // Label 2513: @133405
     /* 133405 */   GIM_Try, /*On fail goto*//*Label 2514*/ GIMT_Encode4(133454), // Rule ID 7170 //
     /* 133410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133413 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133420 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 133423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133427 */     // MIs[0] Rn
     /* 133427 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133439 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (LDEORH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORH),
     /* 133442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133444 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133446 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133452 */     GIR_RootConstrainSelectedInstOperands,
     /* 133453 */     // GIR_Coverage, 7170,
     /* 133453 */     GIR_EraseRootFromParent_Done,
     /* 133454 */   // Label 2514: @133454
     /* 133454 */   GIM_Try, /*On fail goto*//*Label 2515*/ GIMT_Encode4(133503), // Rule ID 7171 //
     /* 133459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133462 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133469 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 133472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133476 */     // MIs[0] Rn
     /* 133476 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133488 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (LDEORAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAH),
     /* 133491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133493 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133495 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133501 */     GIR_RootConstrainSelectedInstOperands,
     /* 133502 */     // GIR_Coverage, 7171,
     /* 133502 */     GIR_EraseRootFromParent_Done,
     /* 133503 */   // Label 2515: @133503
     /* 133503 */   GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(133552), // Rule ID 7172 //
     /* 133508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133511 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133518 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 133521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133525 */     // MIs[0] Rn
     /* 133525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133537 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (LDEORLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLH),
     /* 133540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133544 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133550 */     GIR_RootConstrainSelectedInstOperands,
     /* 133551 */     // GIR_Coverage, 7172,
     /* 133551 */     GIR_EraseRootFromParent_Done,
     /* 133552 */   // Label 2516: @133552
     /* 133552 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(133601), // Rule ID 7173 //
     /* 133557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133560 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133567 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 133570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133574 */     // MIs[0] Rn
     /* 133574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133586 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (LDEORALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALH),
     /* 133589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133591 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133593 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133595 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133599 */     GIR_RootConstrainSelectedInstOperands,
     /* 133600 */     // GIR_Coverage, 7173,
     /* 133600 */     GIR_EraseRootFromParent_Done,
     /* 133601 */   // Label 2517: @133601
     /* 133601 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(133650), // Rule ID 7174 //
     /* 133606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 133616 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 133619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133623 */     // MIs[0] Rn
     /* 133623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133635 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (LDEORALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALH),
     /* 133638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133642 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133644 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133648 */     GIR_RootConstrainSelectedInstOperands,
     /* 133649 */     // GIR_Coverage, 7174,
     /* 133649 */     GIR_EraseRootFromParent_Done,
     /* 133650 */   // Label 2518: @133650
     /* 133650 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(133699), // Rule ID 7175 //
     /* 133655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 133668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133672 */     // MIs[0] Rn
     /* 133672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133684 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (LDEORB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORB),
     /* 133687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133691 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133693 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133697 */     GIR_RootConstrainSelectedInstOperands,
     /* 133698 */     // GIR_Coverage, 7175,
     /* 133698 */     GIR_EraseRootFromParent_Done,
     /* 133699 */   // Label 2519: @133699
     /* 133699 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(133748), // Rule ID 7176 //
     /* 133704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 133717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133721 */     // MIs[0] Rn
     /* 133721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133733 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (LDEORAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAB),
     /* 133736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133738 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133740 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133742 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133746 */     GIR_RootConstrainSelectedInstOperands,
     /* 133747 */     // GIR_Coverage, 7176,
     /* 133747 */     GIR_EraseRootFromParent_Done,
     /* 133748 */   // Label 2520: @133748
     /* 133748 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(133797), // Rule ID 7177 //
     /* 133753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 133766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133770 */     // MIs[0] Rn
     /* 133770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133782 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (LDEORLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLB),
     /* 133785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133787 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133789 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133795 */     GIR_RootConstrainSelectedInstOperands,
     /* 133796 */     // GIR_Coverage, 7177,
     /* 133796 */     GIR_EraseRootFromParent_Done,
     /* 133797 */   // Label 2521: @133797
     /* 133797 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(133846), // Rule ID 7178 //
     /* 133802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 133815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133819 */     // MIs[0] Rn
     /* 133819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133831 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (LDEORALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALB),
     /* 133834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133838 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133840 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133844 */     GIR_RootConstrainSelectedInstOperands,
     /* 133845 */     // GIR_Coverage, 7178,
     /* 133845 */     GIR_EraseRootFromParent_Done,
     /* 133846 */   // Label 2522: @133846
     /* 133846 */   GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(133895), // Rule ID 7179 //
     /* 133851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133854 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 133861 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 133864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133868 */     // MIs[0] Rn
     /* 133868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 133880 */     // (atomic_load_xor:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (LDEORALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALB),
     /* 133883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133887 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133889 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133893 */     GIR_RootConstrainSelectedInstOperands,
     /* 133894 */     // GIR_Coverage, 7179,
     /* 133894 */     GIR_EraseRootFromParent_Done,
     /* 133895 */   // Label 2523: @133895
     /* 133895 */   GIM_Reject,
     /* 133896 */ // Label 2508: @133896
     /* 133896 */ GIM_Reject,
     /* 133897 */ // Label 2506: @133897
     /* 133897 */ GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(134123),
     /* 133902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 133905 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 133912 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(133954), // Rule ID 7160 //
     /* 133917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133920 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 133923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133927 */     // MIs[0] Rn
     /* 133927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133939 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (LDEORX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORX),
     /* 133942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133946 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133952 */     GIR_RootConstrainSelectedInstOperands,
     /* 133953 */     // GIR_Coverage, 7160,
     /* 133953 */     GIR_EraseRootFromParent_Done,
     /* 133954 */   // Label 2525: @133954
     /* 133954 */   GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(133996), // Rule ID 7161 //
     /* 133959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 133962 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 133965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133969 */     // MIs[0] Rn
     /* 133969 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 133973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 133977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 133981 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (LDEORAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 133981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORAX),
     /* 133984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 133986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 133988 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 133990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 133994 */     GIR_RootConstrainSelectedInstOperands,
     /* 133995 */     // GIR_Coverage, 7161,
     /* 133995 */     GIR_EraseRootFromParent_Done,
     /* 133996 */   // Label 2526: @133996
     /* 133996 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(134038), // Rule ID 7162 //
     /* 134001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134004 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 134007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134011 */     // MIs[0] Rn
     /* 134011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134023 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (LDEORLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORLX),
     /* 134026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134030 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134036 */     GIR_RootConstrainSelectedInstOperands,
     /* 134037 */     // GIR_Coverage, 7162,
     /* 134037 */     GIR_EraseRootFromParent_Done,
     /* 134038 */   // Label 2527: @134038
     /* 134038 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(134080), // Rule ID 7163 //
     /* 134043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134046 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 134049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134053 */     // MIs[0] Rn
     /* 134053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134065 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (LDEORALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALX),
     /* 134068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134072 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134074 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134078 */     GIR_RootConstrainSelectedInstOperands,
     /* 134079 */     // GIR_Coverage, 7163,
     /* 134079 */     GIR_EraseRootFromParent_Done,
     /* 134080 */   // Label 2528: @134080
     /* 134080 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(134122), // Rule ID 7164 //
     /* 134085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 134091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134095 */     // MIs[0] Rn
     /* 134095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134107 */     // (atomic_load_xor:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (LDEORALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDEORALX),
     /* 134110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134114 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134120 */     GIR_RootConstrainSelectedInstOperands,
     /* 134121 */     // GIR_Coverage, 7164,
     /* 134121 */     GIR_EraseRootFromParent_Done,
     /* 134122 */   // Label 2529: @134122
     /* 134122 */   GIM_Reject,
     /* 134123 */ // Label 2524: @134123
     /* 134123 */ GIM_Reject,
     /* 134124 */ // Label 2507: @134124
     /* 134124 */ GIM_Reject,
     /* 134125 */ // Label 27: @134125
     /* 134125 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2532*/ GIMT_Encode4(135116),
     /* 134136 */ /*GILLT_s32*//*Label 2530*/ GIMT_Encode4(134144),
     /* 134140 */ /*GILLT_s64*//*Label 2531*/ GIMT_Encode4(134889),
     /* 134144 */ // Label 2530: @134144
     /* 134144 */ GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(134888),
     /* 134149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 134152 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(134201), // Rule ID 7205 //
     /* 134157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134160 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134167 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 134170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134174 */     // MIs[0] Rn
     /* 134174 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134186 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (LDSMAXW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXW),
     /* 134189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134191 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134193 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134199 */     GIR_RootConstrainSelectedInstOperands,
     /* 134200 */     // GIR_Coverage, 7205,
     /* 134200 */     GIR_EraseRootFromParent_Done,
     /* 134201 */   // Label 2534: @134201
     /* 134201 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(134250), // Rule ID 7206 //
     /* 134206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134209 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134216 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 134219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134223 */     // MIs[0] Rn
     /* 134223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134235 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (LDSMAXAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAW),
     /* 134238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134242 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134248 */     GIR_RootConstrainSelectedInstOperands,
     /* 134249 */     // GIR_Coverage, 7206,
     /* 134249 */     GIR_EraseRootFromParent_Done,
     /* 134250 */   // Label 2535: @134250
     /* 134250 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(134299), // Rule ID 7207 //
     /* 134255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134258 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134265 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 134268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134272 */     // MIs[0] Rn
     /* 134272 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134284 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (LDSMAXLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLW),
     /* 134287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134289 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134291 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134293 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134297 */     GIR_RootConstrainSelectedInstOperands,
     /* 134298 */     // GIR_Coverage, 7207,
     /* 134298 */     GIR_EraseRootFromParent_Done,
     /* 134299 */   // Label 2536: @134299
     /* 134299 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(134348), // Rule ID 7208 //
     /* 134304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134307 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134314 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 134317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134321 */     // MIs[0] Rn
     /* 134321 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134333 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (LDSMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALW),
     /* 134336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134340 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134342 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134346 */     GIR_RootConstrainSelectedInstOperands,
     /* 134347 */     // GIR_Coverage, 7208,
     /* 134347 */     GIR_EraseRootFromParent_Done,
     /* 134348 */   // Label 2537: @134348
     /* 134348 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(134397), // Rule ID 7209 //
     /* 134353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134356 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 134363 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 134366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134370 */     // MIs[0] Rn
     /* 134370 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134382 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (LDSMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALW),
     /* 134385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134387 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134389 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134391 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134395 */     GIR_RootConstrainSelectedInstOperands,
     /* 134396 */     // GIR_Coverage, 7209,
     /* 134396 */     GIR_EraseRootFromParent_Done,
     /* 134397 */   // Label 2538: @134397
     /* 134397 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(134446), // Rule ID 7210 //
     /* 134402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134405 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134412 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 134415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134419 */     // MIs[0] Rn
     /* 134419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134431 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (LDSMAXH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXH),
     /* 134434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134436 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134438 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134440 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134444 */     GIR_RootConstrainSelectedInstOperands,
     /* 134445 */     // GIR_Coverage, 7210,
     /* 134445 */     GIR_EraseRootFromParent_Done,
     /* 134446 */   // Label 2539: @134446
     /* 134446 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(134495), // Rule ID 7211 //
     /* 134451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134454 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134461 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 134464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134468 */     // MIs[0] Rn
     /* 134468 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134480 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (LDSMAXAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAH),
     /* 134483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134487 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134489 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134493 */     GIR_RootConstrainSelectedInstOperands,
     /* 134494 */     // GIR_Coverage, 7211,
     /* 134494 */     GIR_EraseRootFromParent_Done,
     /* 134495 */   // Label 2540: @134495
     /* 134495 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(134544), // Rule ID 7212 //
     /* 134500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134503 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134510 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 134513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134517 */     // MIs[0] Rn
     /* 134517 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134529 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (LDSMAXLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLH),
     /* 134532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134536 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134542 */     GIR_RootConstrainSelectedInstOperands,
     /* 134543 */     // GIR_Coverage, 7212,
     /* 134543 */     GIR_EraseRootFromParent_Done,
     /* 134544 */   // Label 2541: @134544
     /* 134544 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(134593), // Rule ID 7213 //
     /* 134549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134552 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134559 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 134562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134566 */     // MIs[0] Rn
     /* 134566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134578 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (LDSMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALH),
     /* 134581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134583 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134585 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134587 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134591 */     GIR_RootConstrainSelectedInstOperands,
     /* 134592 */     // GIR_Coverage, 7213,
     /* 134592 */     GIR_EraseRootFromParent_Done,
     /* 134593 */   // Label 2542: @134593
     /* 134593 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(134642), // Rule ID 7214 //
     /* 134598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134601 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 134608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 134611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134615 */     // MIs[0] Rn
     /* 134615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134627 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (LDSMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALH),
     /* 134630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134632 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134634 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134640 */     GIR_RootConstrainSelectedInstOperands,
     /* 134641 */     // GIR_Coverage, 7214,
     /* 134641 */     GIR_EraseRootFromParent_Done,
     /* 134642 */   // Label 2543: @134642
     /* 134642 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(134691), // Rule ID 7215 //
     /* 134647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134650 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134657 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 134660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134664 */     // MIs[0] Rn
     /* 134664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134676 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (LDSMAXB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXB),
     /* 134679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134681 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134683 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134685 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134689 */     GIR_RootConstrainSelectedInstOperands,
     /* 134690 */     // GIR_Coverage, 7215,
     /* 134690 */     GIR_EraseRootFromParent_Done,
     /* 134691 */   // Label 2544: @134691
     /* 134691 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(134740), // Rule ID 7216 //
     /* 134696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 134709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134713 */     // MIs[0] Rn
     /* 134713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134725 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (LDSMAXAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAB),
     /* 134728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134732 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134734 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134738 */     GIR_RootConstrainSelectedInstOperands,
     /* 134739 */     // GIR_Coverage, 7216,
     /* 134739 */     GIR_EraseRootFromParent_Done,
     /* 134740 */   // Label 2545: @134740
     /* 134740 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(134789), // Rule ID 7217 //
     /* 134745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 134758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134762 */     // MIs[0] Rn
     /* 134762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134774 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (LDSMAXLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLB),
     /* 134777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134779 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134781 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134783 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134787 */     GIR_RootConstrainSelectedInstOperands,
     /* 134788 */     // GIR_Coverage, 7217,
     /* 134788 */     GIR_EraseRootFromParent_Done,
     /* 134789 */   // Label 2546: @134789
     /* 134789 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(134838), // Rule ID 7218 //
     /* 134794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 134807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134811 */     // MIs[0] Rn
     /* 134811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134823 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (LDSMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALB),
     /* 134826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134828 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134830 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134832 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134836 */     GIR_RootConstrainSelectedInstOperands,
     /* 134837 */     // GIR_Coverage, 7218,
     /* 134837 */     GIR_EraseRootFromParent_Done,
     /* 134838 */   // Label 2547: @134838
     /* 134838 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(134887), // Rule ID 7219 //
     /* 134843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 134853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 134856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134860 */     // MIs[0] Rn
     /* 134860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 134872 */     // (atomic_load_max:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (LDSMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALB),
     /* 134875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134879 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134881 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134885 */     GIR_RootConstrainSelectedInstOperands,
     /* 134886 */     // GIR_Coverage, 7219,
     /* 134886 */     GIR_EraseRootFromParent_Done,
     /* 134887 */   // Label 2548: @134887
     /* 134887 */   GIM_Reject,
     /* 134888 */ // Label 2533: @134888
     /* 134888 */ GIM_Reject,
     /* 134889 */ // Label 2531: @134889
     /* 134889 */ GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(135115),
     /* 134894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 134897 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 134904 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(134946), // Rule ID 7200 //
     /* 134909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134912 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 134915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134919 */     // MIs[0] Rn
     /* 134919 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134931 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (LDSMAXX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXX),
     /* 134934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134938 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134944 */     GIR_RootConstrainSelectedInstOperands,
     /* 134945 */     // GIR_Coverage, 7200,
     /* 134945 */     GIR_EraseRootFromParent_Done,
     /* 134946 */   // Label 2550: @134946
     /* 134946 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(134988), // Rule ID 7201 //
     /* 134951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134954 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 134957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134961 */     // MIs[0] Rn
     /* 134961 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 134965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 134969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 134973 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (LDSMAXAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 134973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXAX),
     /* 134976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 134978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 134980 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 134982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 134986 */     GIR_RootConstrainSelectedInstOperands,
     /* 134987 */     // GIR_Coverage, 7201,
     /* 134987 */     GIR_EraseRootFromParent_Done,
     /* 134988 */   // Label 2551: @134988
     /* 134988 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(135030), // Rule ID 7202 //
     /* 134993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 134996 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 134999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135003 */     // MIs[0] Rn
     /* 135003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135015 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (LDSMAXLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXLX),
     /* 135018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135022 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135028 */     GIR_RootConstrainSelectedInstOperands,
     /* 135029 */     // GIR_Coverage, 7202,
     /* 135029 */     GIR_EraseRootFromParent_Done,
     /* 135030 */   // Label 2552: @135030
     /* 135030 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(135072), // Rule ID 7203 //
     /* 135035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135038 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 135041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135045 */     // MIs[0] Rn
     /* 135045 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135057 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (LDSMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALX),
     /* 135060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135062 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135064 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135070 */     GIR_RootConstrainSelectedInstOperands,
     /* 135071 */     // GIR_Coverage, 7203,
     /* 135071 */     GIR_EraseRootFromParent_Done,
     /* 135072 */   // Label 2553: @135072
     /* 135072 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(135114), // Rule ID 7204 //
     /* 135077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 135083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135087 */     // MIs[0] Rn
     /* 135087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135099 */     // (atomic_load_max:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (LDSMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMAXALX),
     /* 135102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135104 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135106 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135112 */     GIR_RootConstrainSelectedInstOperands,
     /* 135113 */     // GIR_Coverage, 7204,
     /* 135113 */     GIR_EraseRootFromParent_Done,
     /* 135114 */   // Label 2554: @135114
     /* 135114 */   GIM_Reject,
     /* 135115 */ // Label 2549: @135115
     /* 135115 */ GIM_Reject,
     /* 135116 */ // Label 2532: @135116
     /* 135116 */ GIM_Reject,
     /* 135117 */ // Label 28: @135117
     /* 135117 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2557*/ GIMT_Encode4(136108),
     /* 135128 */ /*GILLT_s32*//*Label 2555*/ GIMT_Encode4(135136),
     /* 135132 */ /*GILLT_s64*//*Label 2556*/ GIMT_Encode4(135881),
     /* 135136 */ // Label 2555: @135136
     /* 135136 */ GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(135880),
     /* 135141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 135144 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(135193), // Rule ID 7225 //
     /* 135149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135152 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135159 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 135162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135166 */     // MIs[0] Rn
     /* 135166 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135178 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (LDSMINW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINW),
     /* 135181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135183 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135185 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135187 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135191 */     GIR_RootConstrainSelectedInstOperands,
     /* 135192 */     // GIR_Coverage, 7225,
     /* 135192 */     GIR_EraseRootFromParent_Done,
     /* 135193 */   // Label 2559: @135193
     /* 135193 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(135242), // Rule ID 7226 //
     /* 135198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135201 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135208 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 135211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135215 */     // MIs[0] Rn
     /* 135215 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135227 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (LDSMINAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAW),
     /* 135230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135232 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135234 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135236 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135240 */     GIR_RootConstrainSelectedInstOperands,
     /* 135241 */     // GIR_Coverage, 7226,
     /* 135241 */     GIR_EraseRootFromParent_Done,
     /* 135242 */   // Label 2560: @135242
     /* 135242 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(135291), // Rule ID 7227 //
     /* 135247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135250 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135257 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 135260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135264 */     // MIs[0] Rn
     /* 135264 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135276 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (LDSMINLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLW),
     /* 135279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135283 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135285 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135289 */     GIR_RootConstrainSelectedInstOperands,
     /* 135290 */     // GIR_Coverage, 7227,
     /* 135290 */     GIR_EraseRootFromParent_Done,
     /* 135291 */   // Label 2561: @135291
     /* 135291 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(135340), // Rule ID 7228 //
     /* 135296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135299 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135306 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 135309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135313 */     // MIs[0] Rn
     /* 135313 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135325 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (LDSMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALW),
     /* 135328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135332 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135338 */     GIR_RootConstrainSelectedInstOperands,
     /* 135339 */     // GIR_Coverage, 7228,
     /* 135339 */     GIR_EraseRootFromParent_Done,
     /* 135340 */   // Label 2562: @135340
     /* 135340 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(135389), // Rule ID 7229 //
     /* 135345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135348 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 135355 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 135358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135362 */     // MIs[0] Rn
     /* 135362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135374 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (LDSMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALW),
     /* 135377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135379 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135381 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135383 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135387 */     GIR_RootConstrainSelectedInstOperands,
     /* 135388 */     // GIR_Coverage, 7229,
     /* 135388 */     GIR_EraseRootFromParent_Done,
     /* 135389 */   // Label 2563: @135389
     /* 135389 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(135438), // Rule ID 7230 //
     /* 135394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135397 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135404 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 135407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135411 */     // MIs[0] Rn
     /* 135411 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135423 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (LDSMINH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINH),
     /* 135426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135430 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135436 */     GIR_RootConstrainSelectedInstOperands,
     /* 135437 */     // GIR_Coverage, 7230,
     /* 135437 */     GIR_EraseRootFromParent_Done,
     /* 135438 */   // Label 2564: @135438
     /* 135438 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(135487), // Rule ID 7231 //
     /* 135443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135446 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135453 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 135456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135460 */     // MIs[0] Rn
     /* 135460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135472 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (LDSMINAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAH),
     /* 135475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135477 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135479 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135481 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135485 */     GIR_RootConstrainSelectedInstOperands,
     /* 135486 */     // GIR_Coverage, 7231,
     /* 135486 */     GIR_EraseRootFromParent_Done,
     /* 135487 */   // Label 2565: @135487
     /* 135487 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(135536), // Rule ID 7232 //
     /* 135492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135495 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135502 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 135505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135509 */     // MIs[0] Rn
     /* 135509 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135521 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (LDSMINLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLH),
     /* 135524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135528 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135530 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135534 */     GIR_RootConstrainSelectedInstOperands,
     /* 135535 */     // GIR_Coverage, 7232,
     /* 135535 */     GIR_EraseRootFromParent_Done,
     /* 135536 */   // Label 2566: @135536
     /* 135536 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(135585), // Rule ID 7233 //
     /* 135541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135544 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135551 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 135554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135558 */     // MIs[0] Rn
     /* 135558 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135570 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (LDSMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALH),
     /* 135573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135577 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135583 */     GIR_RootConstrainSelectedInstOperands,
     /* 135584 */     // GIR_Coverage, 7233,
     /* 135584 */     GIR_EraseRootFromParent_Done,
     /* 135585 */   // Label 2567: @135585
     /* 135585 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(135634), // Rule ID 7234 //
     /* 135590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135593 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 135600 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 135603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135607 */     // MIs[0] Rn
     /* 135607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135619 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (LDSMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALH),
     /* 135622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135626 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135632 */     GIR_RootConstrainSelectedInstOperands,
     /* 135633 */     // GIR_Coverage, 7234,
     /* 135633 */     GIR_EraseRootFromParent_Done,
     /* 135634 */   // Label 2568: @135634
     /* 135634 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(135683), // Rule ID 7235 //
     /* 135639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 135652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135656 */     // MIs[0] Rn
     /* 135656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135668 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (LDSMINB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINB),
     /* 135671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135675 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135677 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135681 */     GIR_RootConstrainSelectedInstOperands,
     /* 135682 */     // GIR_Coverage, 7235,
     /* 135682 */     GIR_EraseRootFromParent_Done,
     /* 135683 */   // Label 2569: @135683
     /* 135683 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(135732), // Rule ID 7236 //
     /* 135688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135698 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 135701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135705 */     // MIs[0] Rn
     /* 135705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135717 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (LDSMINAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAB),
     /* 135720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135724 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135726 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135730 */     GIR_RootConstrainSelectedInstOperands,
     /* 135731 */     // GIR_Coverage, 7236,
     /* 135731 */     GIR_EraseRootFromParent_Done,
     /* 135732 */   // Label 2570: @135732
     /* 135732 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(135781), // Rule ID 7237 //
     /* 135737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 135750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135754 */     // MIs[0] Rn
     /* 135754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135766 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (LDSMINLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLB),
     /* 135769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135771 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135773 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135775 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135779 */     GIR_RootConstrainSelectedInstOperands,
     /* 135780 */     // GIR_Coverage, 7237,
     /* 135780 */     GIR_EraseRootFromParent_Done,
     /* 135781 */   // Label 2571: @135781
     /* 135781 */   GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(135830), // Rule ID 7238 //
     /* 135786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 135799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135803 */     // MIs[0] Rn
     /* 135803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135815 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (LDSMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALB),
     /* 135818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135822 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135824 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135828 */     GIR_RootConstrainSelectedInstOperands,
     /* 135829 */     // GIR_Coverage, 7238,
     /* 135829 */     GIR_EraseRootFromParent_Done,
     /* 135830 */   // Label 2572: @135830
     /* 135830 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(135879), // Rule ID 7239 //
     /* 135835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 135845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 135848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135852 */     // MIs[0] Rn
     /* 135852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 135864 */     // (atomic_load_min:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (LDSMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALB),
     /* 135867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135869 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135871 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135873 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135877 */     GIR_RootConstrainSelectedInstOperands,
     /* 135878 */     // GIR_Coverage, 7239,
     /* 135878 */     GIR_EraseRootFromParent_Done,
     /* 135879 */   // Label 2573: @135879
     /* 135879 */   GIM_Reject,
     /* 135880 */ // Label 2558: @135880
     /* 135880 */ GIM_Reject,
     /* 135881 */ // Label 2556: @135881
     /* 135881 */ GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(136107),
     /* 135886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 135889 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 135896 */   GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(135938), // Rule ID 7220 //
     /* 135901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135904 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 135907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135911 */     // MIs[0] Rn
     /* 135911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135923 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (LDSMINX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINX),
     /* 135926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135930 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135932 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135936 */     GIR_RootConstrainSelectedInstOperands,
     /* 135937 */     // GIR_Coverage, 7220,
     /* 135937 */     GIR_EraseRootFromParent_Done,
     /* 135938 */   // Label 2575: @135938
     /* 135938 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(135980), // Rule ID 7221 //
     /* 135943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135946 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 135949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135953 */     // MIs[0] Rn
     /* 135953 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 135961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135965 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (LDSMINAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 135965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINAX),
     /* 135968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 135970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 135972 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 135974 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 135978 */     GIR_RootConstrainSelectedInstOperands,
     /* 135979 */     // GIR_Coverage, 7221,
     /* 135979 */     GIR_EraseRootFromParent_Done,
     /* 135980 */   // Label 2576: @135980
     /* 135980 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(136022), // Rule ID 7222 //
     /* 135985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 135988 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 135991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 135995 */     // MIs[0] Rn
     /* 135995 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 135999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136007 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (LDSMINLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINLX),
     /* 136010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136014 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136016 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136020 */     GIR_RootConstrainSelectedInstOperands,
     /* 136021 */     // GIR_Coverage, 7222,
     /* 136021 */     GIR_EraseRootFromParent_Done,
     /* 136022 */   // Label 2577: @136022
     /* 136022 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(136064), // Rule ID 7223 //
     /* 136027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136030 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 136033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136037 */     // MIs[0] Rn
     /* 136037 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136049 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (LDSMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALX),
     /* 136052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136056 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136062 */     GIR_RootConstrainSelectedInstOperands,
     /* 136063 */     // GIR_Coverage, 7223,
     /* 136063 */     GIR_EraseRootFromParent_Done,
     /* 136064 */   // Label 2578: @136064
     /* 136064 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(136106), // Rule ID 7224 //
     /* 136069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 136075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136079 */     // MIs[0] Rn
     /* 136079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136091 */     // (atomic_load_min:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (LDSMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDSMINALX),
     /* 136094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136098 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136104 */     GIR_RootConstrainSelectedInstOperands,
     /* 136105 */     // GIR_Coverage, 7224,
     /* 136105 */     GIR_EraseRootFromParent_Done,
     /* 136106 */   // Label 2579: @136106
     /* 136106 */   GIM_Reject,
     /* 136107 */ // Label 2574: @136107
     /* 136107 */ GIM_Reject,
     /* 136108 */ // Label 2557: @136108
     /* 136108 */ GIM_Reject,
     /* 136109 */ // Label 29: @136109
     /* 136109 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2582*/ GIMT_Encode4(137100),
     /* 136120 */ /*GILLT_s32*//*Label 2580*/ GIMT_Encode4(136128),
     /* 136124 */ /*GILLT_s64*//*Label 2581*/ GIMT_Encode4(136873),
     /* 136128 */ // Label 2580: @136128
     /* 136128 */ GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(136872),
     /* 136133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 136136 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(136185), // Rule ID 7245 //
     /* 136141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136144 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136151 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 136154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136158 */     // MIs[0] Rn
     /* 136158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136170 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (LDUMAXW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXW),
     /* 136173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136177 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136183 */     GIR_RootConstrainSelectedInstOperands,
     /* 136184 */     // GIR_Coverage, 7245,
     /* 136184 */     GIR_EraseRootFromParent_Done,
     /* 136185 */   // Label 2584: @136185
     /* 136185 */   GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(136234), // Rule ID 7246 //
     /* 136190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136193 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136200 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 136203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136207 */     // MIs[0] Rn
     /* 136207 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136219 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (LDUMAXAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAW),
     /* 136222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136226 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136232 */     GIR_RootConstrainSelectedInstOperands,
     /* 136233 */     // GIR_Coverage, 7246,
     /* 136233 */     GIR_EraseRootFromParent_Done,
     /* 136234 */   // Label 2585: @136234
     /* 136234 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(136283), // Rule ID 7247 //
     /* 136239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136242 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136249 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 136252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136256 */     // MIs[0] Rn
     /* 136256 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136268 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (LDUMAXLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLW),
     /* 136271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136273 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136275 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136281 */     GIR_RootConstrainSelectedInstOperands,
     /* 136282 */     // GIR_Coverage, 7247,
     /* 136282 */     GIR_EraseRootFromParent_Done,
     /* 136283 */   // Label 2586: @136283
     /* 136283 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(136332), // Rule ID 7248 //
     /* 136288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136291 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136298 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 136301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136305 */     // MIs[0] Rn
     /* 136305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136317 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (LDUMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALW),
     /* 136320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136324 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136330 */     GIR_RootConstrainSelectedInstOperands,
     /* 136331 */     // GIR_Coverage, 7248,
     /* 136331 */     GIR_EraseRootFromParent_Done,
     /* 136332 */   // Label 2587: @136332
     /* 136332 */   GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(136381), // Rule ID 7249 //
     /* 136337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136340 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 136347 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 136350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136354 */     // MIs[0] Rn
     /* 136354 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136366 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (LDUMAXALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALW),
     /* 136369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136371 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136373 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136379 */     GIR_RootConstrainSelectedInstOperands,
     /* 136380 */     // GIR_Coverage, 7249,
     /* 136380 */     GIR_EraseRootFromParent_Done,
     /* 136381 */   // Label 2588: @136381
     /* 136381 */   GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(136430), // Rule ID 7250 //
     /* 136386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136389 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136396 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 136399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136403 */     // MIs[0] Rn
     /* 136403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136415 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (LDUMAXH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXH),
     /* 136418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136422 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136424 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136428 */     GIR_RootConstrainSelectedInstOperands,
     /* 136429 */     // GIR_Coverage, 7250,
     /* 136429 */     GIR_EraseRootFromParent_Done,
     /* 136430 */   // Label 2589: @136430
     /* 136430 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(136479), // Rule ID 7251 //
     /* 136435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136438 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136445 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 136448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136452 */     // MIs[0] Rn
     /* 136452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136464 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (LDUMAXAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAH),
     /* 136467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136469 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136471 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136473 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136477 */     GIR_RootConstrainSelectedInstOperands,
     /* 136478 */     // GIR_Coverage, 7251,
     /* 136478 */     GIR_EraseRootFromParent_Done,
     /* 136479 */   // Label 2590: @136479
     /* 136479 */   GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(136528), // Rule ID 7252 //
     /* 136484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136487 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136494 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 136497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136501 */     // MIs[0] Rn
     /* 136501 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136513 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (LDUMAXLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLH),
     /* 136516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136520 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136522 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136526 */     GIR_RootConstrainSelectedInstOperands,
     /* 136527 */     // GIR_Coverage, 7252,
     /* 136527 */     GIR_EraseRootFromParent_Done,
     /* 136528 */   // Label 2591: @136528
     /* 136528 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(136577), // Rule ID 7253 //
     /* 136533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136536 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136543 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 136546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136550 */     // MIs[0] Rn
     /* 136550 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136562 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (LDUMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALH),
     /* 136565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136567 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136569 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136575 */     GIR_RootConstrainSelectedInstOperands,
     /* 136576 */     // GIR_Coverage, 7253,
     /* 136576 */     GIR_EraseRootFromParent_Done,
     /* 136577 */   // Label 2592: @136577
     /* 136577 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(136626), // Rule ID 7254 //
     /* 136582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136585 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 136592 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 136595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136599 */     // MIs[0] Rn
     /* 136599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136611 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (LDUMAXALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALH),
     /* 136614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136618 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136624 */     GIR_RootConstrainSelectedInstOperands,
     /* 136625 */     // GIR_Coverage, 7254,
     /* 136625 */     GIR_EraseRootFromParent_Done,
     /* 136626 */   // Label 2593: @136626
     /* 136626 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(136675), // Rule ID 7255 //
     /* 136631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136634 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136641 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 136644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136648 */     // MIs[0] Rn
     /* 136648 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136660 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (LDUMAXB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXB),
     /* 136663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136667 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136673 */     GIR_RootConstrainSelectedInstOperands,
     /* 136674 */     // GIR_Coverage, 7255,
     /* 136674 */     GIR_EraseRootFromParent_Done,
     /* 136675 */   // Label 2594: @136675
     /* 136675 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(136724), // Rule ID 7256 //
     /* 136680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136683 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136690 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 136693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136697 */     // MIs[0] Rn
     /* 136697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136709 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (LDUMAXAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAB),
     /* 136712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136716 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136722 */     GIR_RootConstrainSelectedInstOperands,
     /* 136723 */     // GIR_Coverage, 7256,
     /* 136723 */     GIR_EraseRootFromParent_Done,
     /* 136724 */   // Label 2595: @136724
     /* 136724 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(136773), // Rule ID 7257 //
     /* 136729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136732 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136739 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 136742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136746 */     // MIs[0] Rn
     /* 136746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136758 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (LDUMAXLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLB),
     /* 136761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136763 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136765 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136767 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136771 */     GIR_RootConstrainSelectedInstOperands,
     /* 136772 */     // GIR_Coverage, 7257,
     /* 136772 */     GIR_EraseRootFromParent_Done,
     /* 136773 */   // Label 2596: @136773
     /* 136773 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(136822), // Rule ID 7258 //
     /* 136778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 136791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136795 */     // MIs[0] Rn
     /* 136795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136807 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (LDUMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALB),
     /* 136810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136812 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136814 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136820 */     GIR_RootConstrainSelectedInstOperands,
     /* 136821 */     // GIR_Coverage, 7258,
     /* 136821 */     GIR_EraseRootFromParent_Done,
     /* 136822 */   // Label 2597: @136822
     /* 136822 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(136871), // Rule ID 7259 //
     /* 136827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 136837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 136840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136844 */     // MIs[0] Rn
     /* 136844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 136856 */     // (atomic_load_umax:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (LDUMAXALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALB),
     /* 136859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136863 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136869 */     GIR_RootConstrainSelectedInstOperands,
     /* 136870 */     // GIR_Coverage, 7259,
     /* 136870 */     GIR_EraseRootFromParent_Done,
     /* 136871 */   // Label 2598: @136871
     /* 136871 */   GIM_Reject,
     /* 136872 */ // Label 2583: @136872
     /* 136872 */ GIM_Reject,
     /* 136873 */ // Label 2581: @136873
     /* 136873 */ GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(137099),
     /* 136878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 136881 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 136888 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(136930), // Rule ID 7240 //
     /* 136893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136896 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 136899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136903 */     // MIs[0] Rn
     /* 136903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136915 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (LDUMAXX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXX),
     /* 136918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136922 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136928 */     GIR_RootConstrainSelectedInstOperands,
     /* 136929 */     // GIR_Coverage, 7240,
     /* 136929 */     GIR_EraseRootFromParent_Done,
     /* 136930 */   // Label 2600: @136930
     /* 136930 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(136972), // Rule ID 7241 //
     /* 136935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136938 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 136941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136945 */     // MIs[0] Rn
     /* 136945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136957 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (LDUMAXAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXAX),
     /* 136960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 136962 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 136964 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 136966 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 136970 */     GIR_RootConstrainSelectedInstOperands,
     /* 136971 */     // GIR_Coverage, 7241,
     /* 136971 */     GIR_EraseRootFromParent_Done,
     /* 136972 */   // Label 2601: @136972
     /* 136972 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(137014), // Rule ID 7242 //
     /* 136977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 136980 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 136983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136987 */     // MIs[0] Rn
     /* 136987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 136991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 136995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 136999 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (LDUMAXLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 136999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXLX),
     /* 137002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137004 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137006 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137008 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137012 */     GIR_RootConstrainSelectedInstOperands,
     /* 137013 */     // GIR_Coverage, 7242,
     /* 137013 */     GIR_EraseRootFromParent_Done,
     /* 137014 */   // Label 2602: @137014
     /* 137014 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(137056), // Rule ID 7243 //
     /* 137019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137022 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 137025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137029 */     // MIs[0] Rn
     /* 137029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137041 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (LDUMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALX),
     /* 137044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137046 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137048 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137054 */     GIR_RootConstrainSelectedInstOperands,
     /* 137055 */     // GIR_Coverage, 7243,
     /* 137055 */     GIR_EraseRootFromParent_Done,
     /* 137056 */   // Label 2603: @137056
     /* 137056 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(137098), // Rule ID 7244 //
     /* 137061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137064 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 137067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137071 */     // MIs[0] Rn
     /* 137071 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137083 */     // (atomic_load_umax:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (LDUMAXALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMAXALX),
     /* 137086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137090 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137096 */     GIR_RootConstrainSelectedInstOperands,
     /* 137097 */     // GIR_Coverage, 7244,
     /* 137097 */     GIR_EraseRootFromParent_Done,
     /* 137098 */   // Label 2604: @137098
     /* 137098 */   GIM_Reject,
     /* 137099 */ // Label 2599: @137099
     /* 137099 */ GIM_Reject,
     /* 137100 */ // Label 2582: @137100
     /* 137100 */ GIM_Reject,
     /* 137101 */ // Label 30: @137101
     /* 137101 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 2607*/ GIMT_Encode4(138092),
     /* 137112 */ /*GILLT_s32*//*Label 2605*/ GIMT_Encode4(137120),
     /* 137116 */ /*GILLT_s64*//*Label 2606*/ GIMT_Encode4(137865),
     /* 137120 */ // Label 2605: @137120
     /* 137120 */ GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(137864),
     /* 137125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 137128 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(137177), // Rule ID 7265 //
     /* 137133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137136 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 137143 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 137146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137150 */     // MIs[0] Rn
     /* 137150 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137162 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (LDUMINW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINW),
     /* 137165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137167 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137169 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137175 */     GIR_RootConstrainSelectedInstOperands,
     /* 137176 */     // GIR_Coverage, 7265,
     /* 137176 */     GIR_EraseRootFromParent_Done,
     /* 137177 */   // Label 2609: @137177
     /* 137177 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(137226), // Rule ID 7266 //
     /* 137182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137185 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 137192 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 137195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137199 */     // MIs[0] Rn
     /* 137199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137211 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (LDUMINAW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAW),
     /* 137214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137216 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137218 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137220 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137224 */     GIR_RootConstrainSelectedInstOperands,
     /* 137225 */     // GIR_Coverage, 7266,
     /* 137225 */     GIR_EraseRootFromParent_Done,
     /* 137226 */   // Label 2610: @137226
     /* 137226 */   GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(137275), // Rule ID 7267 //
     /* 137231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137234 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 137241 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 137244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137248 */     // MIs[0] Rn
     /* 137248 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137260 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (LDUMINLW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLW),
     /* 137263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137265 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137267 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137269 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137273 */     GIR_RootConstrainSelectedInstOperands,
     /* 137274 */     // GIR_Coverage, 7267,
     /* 137274 */     GIR_EraseRootFromParent_Done,
     /* 137275 */   // Label 2611: @137275
     /* 137275 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(137324), // Rule ID 7268 //
     /* 137280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137283 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 137290 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 137293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137297 */     // MIs[0] Rn
     /* 137297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137309 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (LDUMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALW),
     /* 137312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137316 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137318 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137322 */     GIR_RootConstrainSelectedInstOperands,
     /* 137323 */     // GIR_Coverage, 7268,
     /* 137323 */     GIR_EraseRootFromParent_Done,
     /* 137324 */   // Label 2612: @137324
     /* 137324 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(137373), // Rule ID 7269 //
     /* 137329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137332 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 137339 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 137342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137346 */     // MIs[0] Rn
     /* 137346 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137358 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (LDUMINALW:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALW),
     /* 137361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137363 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137365 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137367 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137371 */     GIR_RootConstrainSelectedInstOperands,
     /* 137372 */     // GIR_Coverage, 7269,
     /* 137372 */     GIR_EraseRootFromParent_Done,
     /* 137373 */   // Label 2613: @137373
     /* 137373 */   GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(137422), // Rule ID 7270 //
     /* 137378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137381 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 137388 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 137391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137395 */     // MIs[0] Rn
     /* 137395 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137407 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (LDUMINH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINH),
     /* 137410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137414 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137416 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137420 */     GIR_RootConstrainSelectedInstOperands,
     /* 137421 */     // GIR_Coverage, 7270,
     /* 137421 */     GIR_EraseRootFromParent_Done,
     /* 137422 */   // Label 2614: @137422
     /* 137422 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(137471), // Rule ID 7271 //
     /* 137427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137430 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 137437 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 137440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137444 */     // MIs[0] Rn
     /* 137444 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137456 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (LDUMINAH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAH),
     /* 137459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137463 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137469 */     GIR_RootConstrainSelectedInstOperands,
     /* 137470 */     // GIR_Coverage, 7271,
     /* 137470 */     GIR_EraseRootFromParent_Done,
     /* 137471 */   // Label 2615: @137471
     /* 137471 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(137520), // Rule ID 7272 //
     /* 137476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137479 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 137486 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 137489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137493 */     // MIs[0] Rn
     /* 137493 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137505 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (LDUMINLH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLH),
     /* 137508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137512 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137514 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137518 */     GIR_RootConstrainSelectedInstOperands,
     /* 137519 */     // GIR_Coverage, 7272,
     /* 137519 */     GIR_EraseRootFromParent_Done,
     /* 137520 */   // Label 2616: @137520
     /* 137520 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(137569), // Rule ID 7273 //
     /* 137525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137528 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 137535 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 137538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137542 */     // MIs[0] Rn
     /* 137542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137554 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (LDUMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALH),
     /* 137557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137559 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137561 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137567 */     GIR_RootConstrainSelectedInstOperands,
     /* 137568 */     // GIR_Coverage, 7273,
     /* 137568 */     GIR_EraseRootFromParent_Done,
     /* 137569 */   // Label 2617: @137569
     /* 137569 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(137618), // Rule ID 7274 //
     /* 137574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137577 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 137584 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 137587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137591 */     // MIs[0] Rn
     /* 137591 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137603 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (LDUMINALH:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALH),
     /* 137606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137610 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137612 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137616 */     GIR_RootConstrainSelectedInstOperands,
     /* 137617 */     // GIR_Coverage, 7274,
     /* 137617 */     GIR_EraseRootFromParent_Done,
     /* 137618 */   // Label 2618: @137618
     /* 137618 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(137667), // Rule ID 7275 //
     /* 137623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137626 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 137633 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 137636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137640 */     // MIs[0] Rn
     /* 137640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137652 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (LDUMINB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINB),
     /* 137655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137659 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137661 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137665 */     GIR_RootConstrainSelectedInstOperands,
     /* 137666 */     // GIR_Coverage, 7275,
     /* 137666 */     GIR_EraseRootFromParent_Done,
     /* 137667 */   // Label 2619: @137667
     /* 137667 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(137716), // Rule ID 7276 //
     /* 137672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137675 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 137682 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 137685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137689 */     // MIs[0] Rn
     /* 137689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137701 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (LDUMINAB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAB),
     /* 137704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137708 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137714 */     GIR_RootConstrainSelectedInstOperands,
     /* 137715 */     // GIR_Coverage, 7276,
     /* 137715 */     GIR_EraseRootFromParent_Done,
     /* 137716 */   // Label 2620: @137716
     /* 137716 */   GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(137765), // Rule ID 7277 //
     /* 137721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137724 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 137731 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 137734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137738 */     // MIs[0] Rn
     /* 137738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137750 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (LDUMINLB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLB),
     /* 137753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137755 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137757 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137763 */     GIR_RootConstrainSelectedInstOperands,
     /* 137764 */     // GIR_Coverage, 7277,
     /* 137764 */     GIR_EraseRootFromParent_Done,
     /* 137765 */   // Label 2621: @137765
     /* 137765 */   GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(137814), // Rule ID 7278 //
     /* 137770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137773 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 137780 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 137783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137787 */     // MIs[0] Rn
     /* 137787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137799 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (LDUMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALB),
     /* 137802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137806 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137808 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137812 */     GIR_RootConstrainSelectedInstOperands,
     /* 137813 */     // GIR_Coverage, 7278,
     /* 137813 */     GIR_EraseRootFromParent_Done,
     /* 137814 */   // Label 2622: @137814
     /* 137814 */   GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(137863), // Rule ID 7279 //
     /* 137819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 137829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 137832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137836 */     // MIs[0] Rn
     /* 137836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 137848 */     // (atomic_load_umin:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (LDUMINALB:{ *:[i32] } GPR32:{ *:[i32] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALB),
     /* 137851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137853 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137855 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137857 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137861 */     GIR_RootConstrainSelectedInstOperands,
     /* 137862 */     // GIR_Coverage, 7279,
     /* 137862 */     GIR_EraseRootFromParent_Done,
     /* 137863 */   // Label 2623: @137863
     /* 137863 */   GIM_Reject,
     /* 137864 */ // Label 2608: @137864
     /* 137864 */ GIM_Reject,
     /* 137865 */ // Label 2606: @137865
     /* 137865 */ GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(138091),
     /* 137870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 137873 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 137880 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(137922), // Rule ID 7260 //
     /* 137885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137888 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 137891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137895 */     // MIs[0] Rn
     /* 137895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137907 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (LDUMINX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINX),
     /* 137910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137912 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137914 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137916 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137920 */     GIR_RootConstrainSelectedInstOperands,
     /* 137921 */     // GIR_Coverage, 7260,
     /* 137921 */     GIR_EraseRootFromParent_Done,
     /* 137922 */   // Label 2625: @137922
     /* 137922 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(137964), // Rule ID 7261 //
     /* 137927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137930 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 137933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137937 */     // MIs[0] Rn
     /* 137937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137949 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (LDUMINAX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINAX),
     /* 137952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137956 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 137958 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 137962 */     GIR_RootConstrainSelectedInstOperands,
     /* 137963 */     // GIR_Coverage, 7261,
     /* 137963 */     GIR_EraseRootFromParent_Done,
     /* 137964 */   // Label 2626: @137964
     /* 137964 */   GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(138006), // Rule ID 7262 //
     /* 137969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 137972 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 137975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137979 */     // MIs[0] Rn
     /* 137979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 137983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 137987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 137991 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (LDUMINLX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 137991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINLX),
     /* 137994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 137996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 137998 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138000 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138004 */     GIR_RootConstrainSelectedInstOperands,
     /* 138005 */     // GIR_Coverage, 7262,
     /* 138005 */     GIR_EraseRootFromParent_Done,
     /* 138006 */   // Label 2627: @138006
     /* 138006 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(138048), // Rule ID 7263 //
     /* 138011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 138014 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 138017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 138021 */     // MIs[0] Rn
     /* 138021 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 138029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 138033 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (LDUMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 138033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALX),
     /* 138036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138038 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138040 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138046 */     GIR_RootConstrainSelectedInstOperands,
     /* 138047 */     // GIR_Coverage, 7263,
     /* 138047 */     GIR_EraseRootFromParent_Done,
     /* 138048 */   // Label 2628: @138048
     /* 138048 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(138090), // Rule ID 7264 //
     /* 138053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSE),
     /* 138056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 138059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 138063 */     // MIs[0] Rn
     /* 138063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 138071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 138075 */     // (atomic_load_umin:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (LDUMINALX:{ *:[i64] } GPR64:{ *:[i64] }:$Rm, GPR64sp:{ *:[i64] }:$Rn)
     /* 138075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDUMINALX),
     /* 138078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138082 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138088 */     GIR_RootConstrainSelectedInstOperands,
     /* 138089 */     // GIR_Coverage, 7264,
     /* 138089 */     GIR_EraseRootFromParent_Done,
     /* 138090 */   // Label 2629: @138090
     /* 138090 */   GIM_Reject,
     /* 138091 */ // Label 2624: @138091
     /* 138091 */ GIM_Reject,
     /* 138092 */ // Label 2607: @138092
     /* 138092 */ GIM_Reject,
     /* 138093 */ // Label 31: @138093
     /* 138093 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 2633*/ GIMT_Encode4(138797),
     /* 138104 */ /*GILLT_s16*//*Label 2630*/ GIMT_Encode4(138116),
     /* 138108 */ /*GILLT_s32*//*Label 2631*/ GIMT_Encode4(138343),
     /* 138112 */ /*GILLT_s64*//*Label 2632*/ GIMT_Encode4(138570),
     /* 138116 */ // Label 2630: @138116
     /* 138116 */ GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(138342),
     /* 138121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 138124 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 138131 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(138173), // Rule ID 2584 //
     /* 138136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138139 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 138142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138146 */     // MIs[0] Rn
     /* 138146 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138158 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_monotonic>>  =>  (LDFADDH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDH),
     /* 138161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138163 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138165 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138167 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138171 */     GIR_RootConstrainSelectedInstOperands,
     /* 138172 */     // GIR_Coverage, 2584,
     /* 138172 */     GIR_EraseRootFromParent_Done,
     /* 138173 */   // Label 2635: @138173
     /* 138173 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(138215), // Rule ID 2585 //
     /* 138178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 138184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138188 */     // MIs[0] Rn
     /* 138188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138200 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_acquire>>  =>  (LDFADDAH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDAH),
     /* 138203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138207 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138209 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138213 */     GIR_RootConstrainSelectedInstOperands,
     /* 138214 */     // GIR_Coverage, 2585,
     /* 138214 */     GIR_EraseRootFromParent_Done,
     /* 138215 */   // Label 2636: @138215
     /* 138215 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(138257), // Rule ID 2586 //
     /* 138220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138223 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 138226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138230 */     // MIs[0] Rn
     /* 138230 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138242 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_release>>  =>  (LDFADDLH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDLH),
     /* 138245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138247 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138249 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138255 */     GIR_RootConstrainSelectedInstOperands,
     /* 138256 */     // GIR_Coverage, 2586,
     /* 138256 */     GIR_EraseRootFromParent_Done,
     /* 138257 */   // Label 2637: @138257
     /* 138257 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(138299), // Rule ID 2587 //
     /* 138262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138265 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 138268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138272 */     // MIs[0] Rn
     /* 138272 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138284 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_acq_rel>>  =>  (LDFADDALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALH),
     /* 138287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138289 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138291 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138293 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138297 */     GIR_RootConstrainSelectedInstOperands,
     /* 138298 */     // GIR_Coverage, 2587,
     /* 138298 */     GIR_EraseRootFromParent_Done,
     /* 138299 */   // Label 2638: @138299
     /* 138299 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(138341), // Rule ID 2588 //
     /* 138304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138307 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 138310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138314 */     // MIs[0] Rn
     /* 138314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138326 */     // (atomic_load_fadd:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fadd_f16>><<P:Predicate_atomic_load_fadd_f16_seq_cst>>  =>  (LDFADDALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALH),
     /* 138329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138331 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138333 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138335 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138339 */     GIR_RootConstrainSelectedInstOperands,
     /* 138340 */     // GIR_Coverage, 2588,
     /* 138340 */     GIR_EraseRootFromParent_Done,
     /* 138341 */   // Label 2639: @138341
     /* 138341 */   GIM_Reject,
     /* 138342 */ // Label 2634: @138342
     /* 138342 */ GIM_Reject,
     /* 138343 */ // Label 2631: @138343
     /* 138343 */ GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(138569),
     /* 138348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 138351 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 138358 */   GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(138400), // Rule ID 7355 //
     /* 138363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138366 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 138369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138373 */     // MIs[0] Rn
     /* 138373 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138385 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_monotonic>>  =>  (LDFADDS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDS),
     /* 138388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138390 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138392 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138394 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138398 */     GIR_RootConstrainSelectedInstOperands,
     /* 138399 */     // GIR_Coverage, 7355,
     /* 138399 */     GIR_EraseRootFromParent_Done,
     /* 138400 */   // Label 2641: @138400
     /* 138400 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(138442), // Rule ID 7356 //
     /* 138405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 138411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138415 */     // MIs[0] Rn
     /* 138415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138427 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_acquire>>  =>  (LDFADDAS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDAS),
     /* 138430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138434 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138436 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138440 */     GIR_RootConstrainSelectedInstOperands,
     /* 138441 */     // GIR_Coverage, 7356,
     /* 138441 */     GIR_EraseRootFromParent_Done,
     /* 138442 */   // Label 2642: @138442
     /* 138442 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(138484), // Rule ID 7357 //
     /* 138447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138450 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 138453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138457 */     // MIs[0] Rn
     /* 138457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138469 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_release>>  =>  (LDFADDLS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDLS),
     /* 138472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138476 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138478 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138482 */     GIR_RootConstrainSelectedInstOperands,
     /* 138483 */     // GIR_Coverage, 7357,
     /* 138483 */     GIR_EraseRootFromParent_Done,
     /* 138484 */   // Label 2643: @138484
     /* 138484 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(138526), // Rule ID 7358 //
     /* 138489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138492 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 138495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138499 */     // MIs[0] Rn
     /* 138499 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138511 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_acq_rel>>  =>  (LDFADDALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALS),
     /* 138514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138518 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138520 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138524 */     GIR_RootConstrainSelectedInstOperands,
     /* 138525 */     // GIR_Coverage, 7358,
     /* 138525 */     GIR_EraseRootFromParent_Done,
     /* 138526 */   // Label 2644: @138526
     /* 138526 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(138568), // Rule ID 7359 //
     /* 138531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138534 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 138537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138541 */     // MIs[0] Rn
     /* 138541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 138553 */     // (atomic_load_fadd:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fadd_f32>><<P:Predicate_atomic_load_fadd_f32_seq_cst>>  =>  (LDFADDALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALS),
     /* 138556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138560 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138566 */     GIR_RootConstrainSelectedInstOperands,
     /* 138567 */     // GIR_Coverage, 7359,
     /* 138567 */     GIR_EraseRootFromParent_Done,
     /* 138568 */   // Label 2645: @138568
     /* 138568 */   GIM_Reject,
     /* 138569 */ // Label 2640: @138569
     /* 138569 */ GIM_Reject,
     /* 138570 */ // Label 2632: @138570
     /* 138570 */ GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(138796),
     /* 138575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 138578 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 138585 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(138627), // Rule ID 7360 //
     /* 138590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138593 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 138596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138600 */     // MIs[0] Rn
     /* 138600 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138612 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_monotonic>>  =>  (LDFADDD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDD),
     /* 138615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138617 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138619 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138625 */     GIR_RootConstrainSelectedInstOperands,
     /* 138626 */     // GIR_Coverage, 7360,
     /* 138626 */     GIR_EraseRootFromParent_Done,
     /* 138627 */   // Label 2647: @138627
     /* 138627 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(138669), // Rule ID 7361 //
     /* 138632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138635 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 138638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138642 */     // MIs[0] Rn
     /* 138642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138654 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_acquire>>  =>  (LDFADDAD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDAD),
     /* 138657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138659 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138661 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138663 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138667 */     GIR_RootConstrainSelectedInstOperands,
     /* 138668 */     // GIR_Coverage, 7361,
     /* 138668 */     GIR_EraseRootFromParent_Done,
     /* 138669 */   // Label 2648: @138669
     /* 138669 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(138711), // Rule ID 7362 //
     /* 138674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138677 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 138680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138684 */     // MIs[0] Rn
     /* 138684 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138696 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_release>>  =>  (LDFADDLD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDLD),
     /* 138699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138703 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138705 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138709 */     GIR_RootConstrainSelectedInstOperands,
     /* 138710 */     // GIR_Coverage, 7362,
     /* 138710 */     GIR_EraseRootFromParent_Done,
     /* 138711 */   // Label 2649: @138711
     /* 138711 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(138753), // Rule ID 7363 //
     /* 138716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138719 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 138722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138726 */     // MIs[0] Rn
     /* 138726 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138738 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_acq_rel>>  =>  (LDFADDALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALD),
     /* 138741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138743 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138745 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138747 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138751 */     GIR_RootConstrainSelectedInstOperands,
     /* 138752 */     // GIR_Coverage, 7363,
     /* 138752 */     GIR_EraseRootFromParent_Done,
     /* 138753 */   // Label 2650: @138753
     /* 138753 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(138795), // Rule ID 7364 //
     /* 138758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138761 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 138764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138768 */     // MIs[0] Rn
     /* 138768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138780 */     // (atomic_load_fadd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fadd_f64>><<P:Predicate_atomic_load_fadd_f64_seq_cst>>  =>  (LDFADDALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFADDALD),
     /* 138783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138787 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138789 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138793 */     GIR_RootConstrainSelectedInstOperands,
     /* 138794 */     // GIR_Coverage, 7364,
     /* 138794 */     GIR_EraseRootFromParent_Done,
     /* 138795 */   // Label 2651: @138795
     /* 138795 */   GIM_Reject,
     /* 138796 */ // Label 2646: @138796
     /* 138796 */ GIM_Reject,
     /* 138797 */ // Label 2633: @138797
     /* 138797 */ GIM_Reject,
     /* 138798 */ // Label 32: @138798
     /* 138798 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 2655*/ GIMT_Encode4(139502),
     /* 138809 */ /*GILLT_s16*//*Label 2652*/ GIMT_Encode4(138821),
     /* 138813 */ /*GILLT_s32*//*Label 2653*/ GIMT_Encode4(139048),
     /* 138817 */ /*GILLT_s64*//*Label 2654*/ GIMT_Encode4(139275),
     /* 138821 */ // Label 2652: @138821
     /* 138821 */ GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(139047),
     /* 138826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 138829 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 138836 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(138878), // Rule ID 7365 //
     /* 138841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138844 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 138847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138851 */     // MIs[0] Rn
     /* 138851 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138863 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_monotonic>>  =>  (LDFMAXNMH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMH),
     /* 138866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138870 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138876 */     GIR_RootConstrainSelectedInstOperands,
     /* 138877 */     // GIR_Coverage, 7365,
     /* 138877 */     GIR_EraseRootFromParent_Done,
     /* 138878 */   // Label 2657: @138878
     /* 138878 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(138920), // Rule ID 7366 //
     /* 138883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 138889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138893 */     // MIs[0] Rn
     /* 138893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138905 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_acquire>>  =>  (LDFMAXNMAH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMAH),
     /* 138908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138912 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138918 */     GIR_RootConstrainSelectedInstOperands,
     /* 138919 */     // GIR_Coverage, 7366,
     /* 138919 */     GIR_EraseRootFromParent_Done,
     /* 138920 */   // Label 2658: @138920
     /* 138920 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(138962), // Rule ID 7367 //
     /* 138925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138928 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 138931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138935 */     // MIs[0] Rn
     /* 138935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138947 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_release>>  =>  (LDFMAXNMLH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMLH),
     /* 138950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138954 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 138960 */     GIR_RootConstrainSelectedInstOperands,
     /* 138961 */     // GIR_Coverage, 7367,
     /* 138961 */     GIR_EraseRootFromParent_Done,
     /* 138962 */   // Label 2659: @138962
     /* 138962 */   GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(139004), // Rule ID 7368 //
     /* 138967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 138970 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 138973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138977 */     // MIs[0] Rn
     /* 138977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 138981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 138985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 138989 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_acq_rel>>  =>  (LDFMAXNMALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 138989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALH),
     /* 138992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 138994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 138996 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 138998 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139002 */     GIR_RootConstrainSelectedInstOperands,
     /* 139003 */     // GIR_Coverage, 7368,
     /* 139003 */     GIR_EraseRootFromParent_Done,
     /* 139004 */   // Label 2660: @139004
     /* 139004 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(139046), // Rule ID 7369 //
     /* 139009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 139015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139019 */     // MIs[0] Rn
     /* 139019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139031 */     // (atomic_load_fmax:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmax_f16>><<P:Predicate_atomic_load_fmax_f16_seq_cst>>  =>  (LDFMAXNMALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALH),
     /* 139034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139038 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139044 */     GIR_RootConstrainSelectedInstOperands,
     /* 139045 */     // GIR_Coverage, 7369,
     /* 139045 */     GIR_EraseRootFromParent_Done,
     /* 139046 */   // Label 2661: @139046
     /* 139046 */   GIM_Reject,
     /* 139047 */ // Label 2656: @139047
     /* 139047 */ GIM_Reject,
     /* 139048 */ // Label 2653: @139048
     /* 139048 */ GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(139274),
     /* 139053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 139056 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 139063 */   GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(139105), // Rule ID 7370 //
     /* 139068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139071 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 139074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139078 */     // MIs[0] Rn
     /* 139078 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139090 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_monotonic>>  =>  (LDFMAXNMS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMS),
     /* 139093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139095 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139097 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139103 */     GIR_RootConstrainSelectedInstOperands,
     /* 139104 */     // GIR_Coverage, 7370,
     /* 139104 */     GIR_EraseRootFromParent_Done,
     /* 139105 */   // Label 2663: @139105
     /* 139105 */   GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(139147), // Rule ID 7371 //
     /* 139110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 139116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139120 */     // MIs[0] Rn
     /* 139120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139132 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_acquire>>  =>  (LDFMAXNMAS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMAS),
     /* 139135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139137 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139139 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139145 */     GIR_RootConstrainSelectedInstOperands,
     /* 139146 */     // GIR_Coverage, 7371,
     /* 139146 */     GIR_EraseRootFromParent_Done,
     /* 139147 */   // Label 2664: @139147
     /* 139147 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(139189), // Rule ID 7372 //
     /* 139152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139155 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 139158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139162 */     // MIs[0] Rn
     /* 139162 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139174 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_release>>  =>  (LDFMAXNMLS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMLS),
     /* 139177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139179 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139181 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139183 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139187 */     GIR_RootConstrainSelectedInstOperands,
     /* 139188 */     // GIR_Coverage, 7372,
     /* 139188 */     GIR_EraseRootFromParent_Done,
     /* 139189 */   // Label 2665: @139189
     /* 139189 */   GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(139231), // Rule ID 7373 //
     /* 139194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139197 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 139200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139204 */     // MIs[0] Rn
     /* 139204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139216 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_acq_rel>>  =>  (LDFMAXNMALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALS),
     /* 139219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139221 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139223 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139225 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139229 */     GIR_RootConstrainSelectedInstOperands,
     /* 139230 */     // GIR_Coverage, 7373,
     /* 139230 */     GIR_EraseRootFromParent_Done,
     /* 139231 */   // Label 2666: @139231
     /* 139231 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(139273), // Rule ID 7374 //
     /* 139236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139239 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 139242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139246 */     // MIs[0] Rn
     /* 139246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139258 */     // (atomic_load_fmax:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmax_f32>><<P:Predicate_atomic_load_fmax_f32_seq_cst>>  =>  (LDFMAXNMALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALS),
     /* 139261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139263 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139265 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139271 */     GIR_RootConstrainSelectedInstOperands,
     /* 139272 */     // GIR_Coverage, 7374,
     /* 139272 */     GIR_EraseRootFromParent_Done,
     /* 139273 */   // Label 2667: @139273
     /* 139273 */   GIM_Reject,
     /* 139274 */ // Label 2662: @139274
     /* 139274 */ GIM_Reject,
     /* 139275 */ // Label 2654: @139275
     /* 139275 */ GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(139501),
     /* 139280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 139283 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 139290 */   GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(139332), // Rule ID 7375 //
     /* 139295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139298 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 139301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139305 */     // MIs[0] Rn
     /* 139305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139317 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_monotonic>>  =>  (LDFMAXNMD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMD),
     /* 139320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139324 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139330 */     GIR_RootConstrainSelectedInstOperands,
     /* 139331 */     // GIR_Coverage, 7375,
     /* 139331 */     GIR_EraseRootFromParent_Done,
     /* 139332 */   // Label 2669: @139332
     /* 139332 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(139374), // Rule ID 7376 //
     /* 139337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139340 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 139343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139347 */     // MIs[0] Rn
     /* 139347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139359 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_acquire>>  =>  (LDFMAXNMAD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMAD),
     /* 139362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139366 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139368 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139372 */     GIR_RootConstrainSelectedInstOperands,
     /* 139373 */     // GIR_Coverage, 7376,
     /* 139373 */     GIR_EraseRootFromParent_Done,
     /* 139374 */   // Label 2670: @139374
     /* 139374 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(139416), // Rule ID 7377 //
     /* 139379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139382 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 139385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139389 */     // MIs[0] Rn
     /* 139389 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139401 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_release>>  =>  (LDFMAXNMLD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMLD),
     /* 139404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139408 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139410 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139414 */     GIR_RootConstrainSelectedInstOperands,
     /* 139415 */     // GIR_Coverage, 7377,
     /* 139415 */     GIR_EraseRootFromParent_Done,
     /* 139416 */   // Label 2671: @139416
     /* 139416 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(139458), // Rule ID 7378 //
     /* 139421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139424 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 139427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139431 */     // MIs[0] Rn
     /* 139431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139443 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_acq_rel>>  =>  (LDFMAXNMALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALD),
     /* 139446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139448 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139450 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139452 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139456 */     GIR_RootConstrainSelectedInstOperands,
     /* 139457 */     // GIR_Coverage, 7378,
     /* 139457 */     GIR_EraseRootFromParent_Done,
     /* 139458 */   // Label 2672: @139458
     /* 139458 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(139500), // Rule ID 7379 //
     /* 139463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 139469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139473 */     // MIs[0] Rn
     /* 139473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139485 */     // (atomic_load_fmax:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmax_f64>><<P:Predicate_atomic_load_fmax_f64_seq_cst>>  =>  (LDFMAXNMALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMAXNMALD),
     /* 139488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139492 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139498 */     GIR_RootConstrainSelectedInstOperands,
     /* 139499 */     // GIR_Coverage, 7379,
     /* 139499 */     GIR_EraseRootFromParent_Done,
     /* 139500 */   // Label 2673: @139500
     /* 139500 */   GIM_Reject,
     /* 139501 */ // Label 2668: @139501
     /* 139501 */ GIM_Reject,
     /* 139502 */ // Label 2655: @139502
     /* 139502 */ GIM_Reject,
     /* 139503 */ // Label 33: @139503
     /* 139503 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 2677*/ GIMT_Encode4(140207),
     /* 139514 */ /*GILLT_s16*//*Label 2674*/ GIMT_Encode4(139526),
     /* 139518 */ /*GILLT_s32*//*Label 2675*/ GIMT_Encode4(139753),
     /* 139522 */ /*GILLT_s64*//*Label 2676*/ GIMT_Encode4(139980),
     /* 139526 */ // Label 2674: @139526
     /* 139526 */ GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(139752),
     /* 139531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 139534 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 139541 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(139583), // Rule ID 7380 //
     /* 139546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139549 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 139552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139556 */     // MIs[0] Rn
     /* 139556 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139568 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_monotonic>>  =>  (LDFMINNMH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMH),
     /* 139571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139575 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139577 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139581 */     GIR_RootConstrainSelectedInstOperands,
     /* 139582 */     // GIR_Coverage, 7380,
     /* 139582 */     GIR_EraseRootFromParent_Done,
     /* 139583 */   // Label 2679: @139583
     /* 139583 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(139625), // Rule ID 7381 //
     /* 139588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 139594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139598 */     // MIs[0] Rn
     /* 139598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139610 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_acquire>>  =>  (LDFMINNMAH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMAH),
     /* 139613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139615 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139617 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139623 */     GIR_RootConstrainSelectedInstOperands,
     /* 139624 */     // GIR_Coverage, 7381,
     /* 139624 */     GIR_EraseRootFromParent_Done,
     /* 139625 */   // Label 2680: @139625
     /* 139625 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(139667), // Rule ID 7382 //
     /* 139630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139633 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 139636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139640 */     // MIs[0] Rn
     /* 139640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139652 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_release>>  =>  (LDFMINNMLH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMLH),
     /* 139655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139659 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139661 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139665 */     GIR_RootConstrainSelectedInstOperands,
     /* 139666 */     // GIR_Coverage, 7382,
     /* 139666 */     GIR_EraseRootFromParent_Done,
     /* 139667 */   // Label 2681: @139667
     /* 139667 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(139709), // Rule ID 7383 //
     /* 139672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139675 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 139678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139682 */     // MIs[0] Rn
     /* 139682 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139694 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_acq_rel>>  =>  (LDFMINNMALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALH),
     /* 139697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139699 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139701 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139707 */     GIR_RootConstrainSelectedInstOperands,
     /* 139708 */     // GIR_Coverage, 7383,
     /* 139708 */     GIR_EraseRootFromParent_Done,
     /* 139709 */   // Label 2682: @139709
     /* 139709 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(139751), // Rule ID 7384 //
     /* 139714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 139720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139724 */     // MIs[0] Rn
     /* 139724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 139736 */     // (atomic_load_fmin:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, FPR16:{ *:[f16] }:$Rm)<<P:Predicate_atomic_load_fmin_f16>><<P:Predicate_atomic_load_fmin_f16_seq_cst>>  =>  (LDFMINNMALH:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALH),
     /* 139739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139741 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139743 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139749 */     GIR_RootConstrainSelectedInstOperands,
     /* 139750 */     // GIR_Coverage, 7384,
     /* 139750 */     GIR_EraseRootFromParent_Done,
     /* 139751 */   // Label 2683: @139751
     /* 139751 */   GIM_Reject,
     /* 139752 */ // Label 2678: @139752
     /* 139752 */ GIM_Reject,
     /* 139753 */ // Label 2675: @139753
     /* 139753 */ GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(139979),
     /* 139758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 139761 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /* 139768 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(139810), // Rule ID 7385 //
     /* 139773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139776 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 139779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139783 */     // MIs[0] Rn
     /* 139783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139795 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_monotonic>>  =>  (LDFMINNMS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMS),
     /* 139798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139802 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139808 */     GIR_RootConstrainSelectedInstOperands,
     /* 139809 */     // GIR_Coverage, 7385,
     /* 139809 */     GIR_EraseRootFromParent_Done,
     /* 139810 */   // Label 2685: @139810
     /* 139810 */   GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(139852), // Rule ID 7386 //
     /* 139815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139818 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 139821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139825 */     // MIs[0] Rn
     /* 139825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139837 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_acquire>>  =>  (LDFMINNMAS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMAS),
     /* 139840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139842 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139844 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139850 */     GIR_RootConstrainSelectedInstOperands,
     /* 139851 */     // GIR_Coverage, 7386,
     /* 139851 */     GIR_EraseRootFromParent_Done,
     /* 139852 */   // Label 2686: @139852
     /* 139852 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(139894), // Rule ID 7387 //
     /* 139857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139860 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 139863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139867 */     // MIs[0] Rn
     /* 139867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139879 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_release>>  =>  (LDFMINNMLS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMLS),
     /* 139882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139884 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139886 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139888 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139892 */     GIR_RootConstrainSelectedInstOperands,
     /* 139893 */     // GIR_Coverage, 7387,
     /* 139893 */     GIR_EraseRootFromParent_Done,
     /* 139894 */   // Label 2687: @139894
     /* 139894 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(139936), // Rule ID 7388 //
     /* 139899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139902 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 139905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139909 */     // MIs[0] Rn
     /* 139909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139921 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_acq_rel>>  =>  (LDFMINNMALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALS),
     /* 139924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139928 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139930 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139934 */     GIR_RootConstrainSelectedInstOperands,
     /* 139935 */     // GIR_Coverage, 7388,
     /* 139935 */     GIR_EraseRootFromParent_Done,
     /* 139936 */   // Label 2688: @139936
     /* 139936 */   GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(139978), // Rule ID 7389 //
     /* 139941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 139944 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 139947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139951 */     // MIs[0] Rn
     /* 139951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 139955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 139959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 139963 */     // (atomic_load_fmin:{ *:[f32] } FPR64:{ *:[i64] }:$Rn, FPR32:{ *:[f32] }:$Rm)<<P:Predicate_atomic_load_fmin_f32>><<P:Predicate_atomic_load_fmin_f32_seq_cst>>  =>  (LDFMINNMALS:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 139963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALS),
     /* 139966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 139968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 139970 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 139972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 139976 */     GIR_RootConstrainSelectedInstOperands,
     /* 139977 */     // GIR_Coverage, 7389,
     /* 139977 */     GIR_EraseRootFromParent_Done,
     /* 139978 */   // Label 2689: @139978
     /* 139978 */   GIM_Reject,
     /* 139979 */ // Label 2684: @139979
     /* 139979 */ GIM_Reject,
     /* 139980 */ // Label 2676: @139980
     /* 139980 */ GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(140206),
     /* 139985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 139988 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 139995 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(140037), // Rule ID 7390 //
     /* 140000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 140003 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /* 140006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140010 */     // MIs[0] Rn
     /* 140010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140022 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_monotonic>>  =>  (LDFMINNMD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 140022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMD),
     /* 140025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 140027 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 140029 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 140031 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140035 */     GIR_RootConstrainSelectedInstOperands,
     /* 140036 */     // GIR_Coverage, 7390,
     /* 140036 */     GIR_EraseRootFromParent_Done,
     /* 140037 */   // Label 2691: @140037
     /* 140037 */   GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(140079), // Rule ID 7391 //
     /* 140042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 140045 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 140048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140052 */     // MIs[0] Rn
     /* 140052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140064 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_acquire>>  =>  (LDFMINNMAD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 140064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMAD),
     /* 140067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 140069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 140071 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 140073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140077 */     GIR_RootConstrainSelectedInstOperands,
     /* 140078 */     // GIR_Coverage, 7391,
     /* 140078 */     GIR_EraseRootFromParent_Done,
     /* 140079 */   // Label 2692: @140079
     /* 140079 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(140121), // Rule ID 7392 //
     /* 140084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 140087 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /* 140090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140094 */     // MIs[0] Rn
     /* 140094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140106 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_release>>  =>  (LDFMINNMLD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 140106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMLD),
     /* 140109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 140111 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 140113 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 140115 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140119 */     GIR_RootConstrainSelectedInstOperands,
     /* 140120 */     // GIR_Coverage, 7392,
     /* 140120 */     GIR_EraseRootFromParent_Done,
     /* 140121 */   // Label 2693: @140121
     /* 140121 */   GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(140163), // Rule ID 7393 //
     /* 140126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 140129 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /* 140132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140136 */     // MIs[0] Rn
     /* 140136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140148 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_acq_rel>>  =>  (LDFMINNMALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 140148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALD),
     /* 140151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 140153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 140155 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 140157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140161 */     GIR_RootConstrainSelectedInstOperands,
     /* 140162 */     // GIR_Coverage, 7393,
     /* 140162 */     GIR_EraseRootFromParent_Done,
     /* 140163 */   // Label 2694: @140163
     /* 140163 */   GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(140205), // Rule ID 7394 //
     /* 140168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLSFE),
     /* 140171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /* 140174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140178 */     // MIs[0] Rn
     /* 140178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 140182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140190 */     // (atomic_load_fmin:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[f64] }:$Rm)<<P:Predicate_atomic_load_fmin_f64>><<P:Predicate_atomic_load_fmin_f64_seq_cst>>  =>  (LDFMINNMALD:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[i64] }:$Rn)
     /* 140190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDFMINNMALD),
     /* 140193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 140195 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 140197 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 140199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140203 */     GIR_RootConstrainSelectedInstOperands,
     /* 140204 */     // GIR_Coverage, 7394,
     /* 140204 */     GIR_EraseRootFromParent_Done,
     /* 140205 */   // Label 2695: @140205
     /* 140205 */   GIM_Reject,
     /* 140206 */ // Label 2690: @140206
     /* 140206 */ GIM_Reject,
     /* 140207 */ // Label 2677: @140207
     /* 140207 */ GIM_Reject,
     /* 140208 */ // Label 34: @140208
     /* 140208 */ GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(140235), // Rule ID 7012 //
     /* 140213 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140216 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /* 140220 */   // MIs[0] Operand 1
     /* 140220 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 140223 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (DMB 9:{ *:[i32] })
     /* 140223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DMB),
     /* 140226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 140229 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140233 */   GIR_RootConstrainSelectedInstOperands,
     /* 140234 */   // GIR_Coverage, 7012,
     /* 140234 */   GIR_EraseRootFromParent_Done,
     /* 140235 */ // Label 2696: @140235
     /* 140235 */ GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(140258), // Rule ID 7013 //
     /* 140240 */   // MIs[0] Operand 0
     /* 140240 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 140243 */   // MIs[0] Operand 1
     /* 140243 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 140246 */   // (atomic_fence (timm:{ *:[iPTR] }), (timm:{ *:[iPTR] }))  =>  (DMB 11:{ *:[i32] })
     /* 140246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DMB),
     /* 140249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/11,
     /* 140252 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 140256 */   GIR_RootConstrainSelectedInstOperands,
     /* 140257 */   // GIR_Coverage, 7013,
     /* 140257 */   GIR_EraseRootFromParent_Done,
     /* 140258 */ // Label 2697: @140258
     /* 140258 */ GIM_Reject,
     /* 140259 */ // Label 35: @140259
     /* 140259 */ GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(152786),
     /* 140264 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 140267 */   GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(140358), // Rule ID 6491 //
     /* 140272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFuseAES),
     /* 140275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesmc),
     /* 140280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 140283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 140286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 140298 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 140301 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aese),
     /* 140306 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 140310 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 140314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140326 */     // (intrinsic_wo_chain:{ *:[v16i8] } 514:{ *:[iPTR] }, (intrinsic_wo_chain:{ *:[v16i8] } 512:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))  =>  (AESMCrrTied:{ *:[v16i8] } (AESErr:{ *:[v16i8] } V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))
     /* 140326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 140329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::AESErr),
     /* 140333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 140338 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 140342 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // src2
     /* 140346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 140348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESMCrrTied),
     /* 140351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 140356 */     GIR_RootConstrainSelectedInstOperands,
     /* 140357 */     // GIR_Coverage, 6491,
     /* 140357 */     GIR_EraseRootFromParent_Done,
     /* 140358 */   // Label 2699: @140358
     /* 140358 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(140449), // Rule ID 6492 //
     /* 140363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFuseAES),
     /* 140366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesimc),
     /* 140371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 140374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 140377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 140389 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 140392 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesd),
     /* 140397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 140401 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 140405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140417 */     // (intrinsic_wo_chain:{ *:[v16i8] } 513:{ *:[iPTR] }, (intrinsic_wo_chain:{ *:[v16i8] } 511:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))  =>  (AESIMCrrTied:{ *:[v16i8] } (AESDrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$src1, V128:{ *:[v16i8] }:$src2))
     /* 140417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 140420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::AESDrr),
     /* 140424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 140429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // src1
     /* 140433 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/3, // src2
     /* 140437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 140439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESIMCrrTied),
     /* 140442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 140447 */     GIR_RootConstrainSelectedInstOperands,
     /* 140448 */     // GIR_Coverage, 6492,
     /* 140448 */     GIR_EraseRootFromParent_Done,
     /* 140449 */   // Label 2700: @140449
     /* 140449 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(140510), // Rule ID 4898 //
     /* 140454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvthf2fp),
     /* 140459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 140462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 140465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 140473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 140477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 140481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 140486 */     // MIs[1] Operand 2
     /* 140486 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 140497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 140499 */     // (intrinsic_wo_chain:{ *:[v4f32] } 767:{ *:[iPTR] }, (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] }))  =>  (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8i16] }:$Rn)
     /* 140499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 140502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 140508 */     GIR_RootConstrainSelectedInstOperands,
     /* 140509 */     // GIR_Coverage, 4898,
     /* 140509 */     GIR_EraseRootFromParent_Done,
     /* 140510 */   // Label 2701: @140510
     /* 140510 */   GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(140550), // Rule ID 2651 //
     /* 140515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 140518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntb),
     /* 140523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140530 */     // MIs[0] pattern
     /* 140530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 140533 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 140538 */     // (intrinsic_wo_chain:{ *:[i64] } 1332:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTB_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 140538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTB_XPiI),
     /* 140541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140543 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 140545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 140548 */     GIR_RootConstrainSelectedInstOperands,
     /* 140549 */     // GIR_Coverage, 2651,
     /* 140549 */     GIR_EraseRootFromParent_Done,
     /* 140550 */   // Label 2702: @140550
     /* 140550 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(140590), // Rule ID 9901 //
     /* 140555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 140558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnth),
     /* 140563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140570 */     // MIs[0] pattern
     /* 140570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 140573 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 140578 */     // (intrinsic_wo_chain:{ *:[i64] } 1334:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTH_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 140578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTH_XPiI),
     /* 140581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140583 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 140585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 140588 */     GIR_RootConstrainSelectedInstOperands,
     /* 140589 */     // GIR_Coverage, 9901,
     /* 140589 */     GIR_EraseRootFromParent_Done,
     /* 140590 */   // Label 2703: @140590
     /* 140590 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(140630), // Rule ID 9904 //
     /* 140595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 140598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntw),
     /* 140603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140610 */     // MIs[0] pattern
     /* 140610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 140613 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 140618 */     // (intrinsic_wo_chain:{ *:[i64] } 1340:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTW_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 140618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTW_XPiI),
     /* 140621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140623 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 140625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 140628 */     GIR_RootConstrainSelectedInstOperands,
     /* 140629 */     // GIR_Coverage, 9904,
     /* 140629 */     GIR_EraseRootFromParent_Done,
     /* 140630 */   // Label 2704: @140630
     /* 140630 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(140670), // Rule ID 9907 //
     /* 140635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 140638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntd),
     /* 140643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140650 */     // MIs[0] pattern
     /* 140650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 140653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 140658 */     // (intrinsic_wo_chain:{ *:[i64] } 1333:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern)  =>  (CNTD_XPiI:{ *:[i64] } (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, 1:{ *:[i32] })
     /* 140658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTD_XPiI),
     /* 140661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140663 */     GIR_RootToRootCopy, /*OpIdx*/2, // pattern
     /* 140665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 140668 */     GIR_RootConstrainSelectedInstOperands,
     /* 140669 */     // GIR_Coverage, 9907,
     /* 140669 */     GIR_EraseRootFromParent_Done,
     /* 140670 */   // Label 2705: @140670
     /* 140670 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(140709), // Rule ID 66 //
     /* 140675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8_HasJS),
     /* 140678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_fjcvtzs),
     /* 140683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140697 */     // (intrinsic_wo_chain:{ *:[i32] } 546:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FJCVTZS:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 140697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FJCVTZS),
     /* 140700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140702 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 140707 */     GIR_RootConstrainSelectedInstOperands,
     /* 140708 */     // GIR_Coverage, 66,
     /* 140708 */     GIR_EraseRootFromParent_Done,
     /* 140709 */   // Label 2706: @140709
     /* 140709 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(140745), // Rule ID 346 //
     /* 140714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 140717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 140722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140736 */     // (intrinsic_wo_chain:{ *:[i32] } 583:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTASUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 140736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWHr),
     /* 140739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140741 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140743 */     GIR_RootConstrainSelectedInstOperands,
     /* 140744 */     // GIR_Coverage, 346,
     /* 140744 */     GIR_EraseRootFromParent_Done,
     /* 140745 */   // Label 2707: @140745
     /* 140745 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(140781), // Rule ID 347 //
     /* 140750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 140753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 140758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140772 */     // (intrinsic_wo_chain:{ *:[i64] } 583:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTASUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 140772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXHr),
     /* 140775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140777 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140779 */     GIR_RootConstrainSelectedInstOperands,
     /* 140780 */     // GIR_Coverage, 347,
     /* 140780 */     GIR_EraseRootFromParent_Done,
     /* 140781 */   // Label 2708: @140781
     /* 140781 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(140817), // Rule ID 348 //
     /* 140786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 140794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140808 */     // (intrinsic_wo_chain:{ *:[i32] } 583:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTASUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 140808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWSr),
     /* 140811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140815 */     GIR_RootConstrainSelectedInstOperands,
     /* 140816 */     // GIR_Coverage, 348,
     /* 140816 */     GIR_EraseRootFromParent_Done,
     /* 140817 */   // Label 2709: @140817
     /* 140817 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(140853), // Rule ID 349 //
     /* 140822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 140830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 140836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 140844 */     // (intrinsic_wo_chain:{ *:[i64] } 583:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTASUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 140844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 140847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140851 */     GIR_RootConstrainSelectedInstOperands,
     /* 140852 */     // GIR_Coverage, 349,
     /* 140852 */     GIR_EraseRootFromParent_Done,
     /* 140853 */   // Label 2710: @140853
     /* 140853 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(140889), // Rule ID 350 //
     /* 140858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 140866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140880 */     // (intrinsic_wo_chain:{ *:[i32] } 583:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTASUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 140880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWDr),
     /* 140883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140887 */     GIR_RootConstrainSelectedInstOperands,
     /* 140888 */     // GIR_Coverage, 350,
     /* 140888 */     GIR_EraseRootFromParent_Done,
     /* 140889 */   // Label 2711: @140889
     /* 140889 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(140925), // Rule ID 351 //
     /* 140894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 140897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 140902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 140908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 140916 */     // (intrinsic_wo_chain:{ *:[i64] } 583:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTASUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 140916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 140919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140921 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140923 */     GIR_RootConstrainSelectedInstOperands,
     /* 140924 */     // GIR_Coverage, 351,
     /* 140924 */     GIR_EraseRootFromParent_Done,
     /* 140925 */   // Label 2712: @140925
     /* 140925 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(140961), // Rule ID 352 //
     /* 140930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 140933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 140938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 140941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 140948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140952 */     // (intrinsic_wo_chain:{ *:[i32] } 584:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTAUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 140952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWHr),
     /* 140955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140959 */     GIR_RootConstrainSelectedInstOperands,
     /* 140960 */     // GIR_Coverage, 352,
     /* 140960 */     GIR_EraseRootFromParent_Done,
     /* 140961 */   // Label 2713: @140961
     /* 140961 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(140997), // Rule ID 353 //
     /* 140966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 140969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 140974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 140977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 140980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 140984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 140988 */     // (intrinsic_wo_chain:{ *:[i64] } 584:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTAUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 140988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXHr),
     /* 140991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 140993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 140995 */     GIR_RootConstrainSelectedInstOperands,
     /* 140996 */     // GIR_Coverage, 353,
     /* 140996 */     GIR_EraseRootFromParent_Done,
     /* 140997 */   // Label 2714: @140997
     /* 140997 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(141033), // Rule ID 354 //
     /* 141002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 141010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141024 */     // (intrinsic_wo_chain:{ *:[i32] } 584:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTAUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 141024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWSr),
     /* 141027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141031 */     GIR_RootConstrainSelectedInstOperands,
     /* 141032 */     // GIR_Coverage, 354,
     /* 141032 */     GIR_EraseRootFromParent_Done,
     /* 141033 */   // Label 2715: @141033
     /* 141033 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(141069), // Rule ID 355 //
     /* 141038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 141046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141060 */     // (intrinsic_wo_chain:{ *:[i64] } 584:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTAUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 141060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXSr),
     /* 141063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141067 */     GIR_RootConstrainSelectedInstOperands,
     /* 141068 */     // GIR_Coverage, 355,
     /* 141068 */     GIR_EraseRootFromParent_Done,
     /* 141069 */   // Label 2716: @141069
     /* 141069 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(141105), // Rule ID 356 //
     /* 141074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 141082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141096 */     // (intrinsic_wo_chain:{ *:[i32] } 584:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTAUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 141096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWDr),
     /* 141099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141103 */     GIR_RootConstrainSelectedInstOperands,
     /* 141104 */     // GIR_Coverage, 356,
     /* 141104 */     GIR_EraseRootFromParent_Done,
     /* 141105 */   // Label 2717: @141105
     /* 141105 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(141141), // Rule ID 357 //
     /* 141110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 141118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141132 */     // (intrinsic_wo_chain:{ *:[i64] } 584:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTAUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 141132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXDr),
     /* 141135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141137 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141139 */     GIR_RootConstrainSelectedInstOperands,
     /* 141140 */     // GIR_Coverage, 357,
     /* 141140 */     GIR_EraseRootFromParent_Done,
     /* 141141 */   // Label 2718: @141141
     /* 141141 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(141177), // Rule ID 358 //
     /* 141146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 141154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141168 */     // (intrinsic_wo_chain:{ *:[i32] } 585:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 141168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWHr),
     /* 141171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141175 */     GIR_RootConstrainSelectedInstOperands,
     /* 141176 */     // GIR_Coverage, 358,
     /* 141176 */     GIR_EraseRootFromParent_Done,
     /* 141177 */   // Label 2719: @141177
     /* 141177 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(141213), // Rule ID 359 //
     /* 141182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 141190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141204 */     // (intrinsic_wo_chain:{ *:[i64] } 585:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 141204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXHr),
     /* 141207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141209 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141211 */     GIR_RootConstrainSelectedInstOperands,
     /* 141212 */     // GIR_Coverage, 359,
     /* 141212 */     GIR_EraseRootFromParent_Done,
     /* 141213 */   // Label 2720: @141213
     /* 141213 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(141249), // Rule ID 360 //
     /* 141218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 141226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141240 */     // (intrinsic_wo_chain:{ *:[i32] } 585:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 141240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWSr),
     /* 141243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141247 */     GIR_RootConstrainSelectedInstOperands,
     /* 141248 */     // GIR_Coverage, 360,
     /* 141248 */     GIR_EraseRootFromParent_Done,
     /* 141249 */   // Label 2721: @141249
     /* 141249 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(141285), // Rule ID 361 //
     /* 141254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 141262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141276 */     // (intrinsic_wo_chain:{ *:[i64] } 585:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 141276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXSr),
     /* 141279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141283 */     GIR_RootConstrainSelectedInstOperands,
     /* 141284 */     // GIR_Coverage, 361,
     /* 141284 */     GIR_EraseRootFromParent_Done,
     /* 141285 */   // Label 2722: @141285
     /* 141285 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(141321), // Rule ID 362 //
     /* 141290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 141298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141312 */     // (intrinsic_wo_chain:{ *:[i32] } 585:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 141312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWDr),
     /* 141315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141317 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141319 */     GIR_RootConstrainSelectedInstOperands,
     /* 141320 */     // GIR_Coverage, 362,
     /* 141320 */     GIR_EraseRootFromParent_Done,
     /* 141321 */   // Label 2723: @141321
     /* 141321 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(141357), // Rule ID 363 //
     /* 141326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 141334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141348 */     // (intrinsic_wo_chain:{ *:[i64] } 585:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 141348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXDr),
     /* 141351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141353 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141355 */     GIR_RootConstrainSelectedInstOperands,
     /* 141356 */     // GIR_Coverage, 363,
     /* 141356 */     GIR_EraseRootFromParent_Done,
     /* 141357 */   // Label 2724: @141357
     /* 141357 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(141393), // Rule ID 364 //
     /* 141362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 141370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141384 */     // (intrinsic_wo_chain:{ *:[i32] } 586:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 141384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWHr),
     /* 141387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141389 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141391 */     GIR_RootConstrainSelectedInstOperands,
     /* 141392 */     // GIR_Coverage, 364,
     /* 141392 */     GIR_EraseRootFromParent_Done,
     /* 141393 */   // Label 2725: @141393
     /* 141393 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(141429), // Rule ID 365 //
     /* 141398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 141406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141420 */     // (intrinsic_wo_chain:{ *:[i64] } 586:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTMUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 141420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXHr),
     /* 141423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141425 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141427 */     GIR_RootConstrainSelectedInstOperands,
     /* 141428 */     // GIR_Coverage, 365,
     /* 141428 */     GIR_EraseRootFromParent_Done,
     /* 141429 */   // Label 2726: @141429
     /* 141429 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(141465), // Rule ID 366 //
     /* 141434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 141442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141456 */     // (intrinsic_wo_chain:{ *:[i32] } 586:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 141456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWSr),
     /* 141459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141463 */     GIR_RootConstrainSelectedInstOperands,
     /* 141464 */     // GIR_Coverage, 366,
     /* 141464 */     GIR_EraseRootFromParent_Done,
     /* 141465 */   // Label 2727: @141465
     /* 141465 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(141501), // Rule ID 367 //
     /* 141470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 141478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141492 */     // (intrinsic_wo_chain:{ *:[i64] } 586:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTMUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 141492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXSr),
     /* 141495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141497 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141499 */     GIR_RootConstrainSelectedInstOperands,
     /* 141500 */     // GIR_Coverage, 367,
     /* 141500 */     GIR_EraseRootFromParent_Done,
     /* 141501 */   // Label 2728: @141501
     /* 141501 */   GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(141537), // Rule ID 368 //
     /* 141506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 141514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141528 */     // (intrinsic_wo_chain:{ *:[i32] } 586:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 141528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWDr),
     /* 141531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141535 */     GIR_RootConstrainSelectedInstOperands,
     /* 141536 */     // GIR_Coverage, 368,
     /* 141536 */     GIR_EraseRootFromParent_Done,
     /* 141537 */   // Label 2729: @141537
     /* 141537 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(141573), // Rule ID 369 //
     /* 141542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 141550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141564 */     // (intrinsic_wo_chain:{ *:[i64] } 586:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTMUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 141564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXDr),
     /* 141567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141571 */     GIR_RootConstrainSelectedInstOperands,
     /* 141572 */     // GIR_Coverage, 369,
     /* 141572 */     GIR_EraseRootFromParent_Done,
     /* 141573 */   // Label 2730: @141573
     /* 141573 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(141609), // Rule ID 370 //
     /* 141578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 141586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141600 */     // (intrinsic_wo_chain:{ *:[i32] } 587:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 141600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUWHr),
     /* 141603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141605 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141607 */     GIR_RootConstrainSelectedInstOperands,
     /* 141608 */     // GIR_Coverage, 370,
     /* 141608 */     GIR_EraseRootFromParent_Done,
     /* 141609 */   // Label 2731: @141609
     /* 141609 */   GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(141645), // Rule ID 371 //
     /* 141614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 141622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141636 */     // (intrinsic_wo_chain:{ *:[i64] } 587:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 141636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUXHr),
     /* 141639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141643 */     GIR_RootConstrainSelectedInstOperands,
     /* 141644 */     // GIR_Coverage, 371,
     /* 141644 */     GIR_EraseRootFromParent_Done,
     /* 141645 */   // Label 2732: @141645
     /* 141645 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(141681), // Rule ID 372 //
     /* 141650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 141658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141672 */     // (intrinsic_wo_chain:{ *:[i32] } 587:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 141672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUWSr),
     /* 141675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141679 */     GIR_RootConstrainSelectedInstOperands,
     /* 141680 */     // GIR_Coverage, 372,
     /* 141680 */     GIR_EraseRootFromParent_Done,
     /* 141681 */   // Label 2733: @141681
     /* 141681 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(141717), // Rule ID 373 //
     /* 141686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 141694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141708 */     // (intrinsic_wo_chain:{ *:[i64] } 587:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 141708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUXSr),
     /* 141711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141713 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141715 */     GIR_RootConstrainSelectedInstOperands,
     /* 141716 */     // GIR_Coverage, 373,
     /* 141716 */     GIR_EraseRootFromParent_Done,
     /* 141717 */   // Label 2734: @141717
     /* 141717 */   GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(141753), // Rule ID 374 //
     /* 141722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 141730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141744 */     // (intrinsic_wo_chain:{ *:[i32] } 587:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 141744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUWDr),
     /* 141747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141749 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141751 */     GIR_RootConstrainSelectedInstOperands,
     /* 141752 */     // GIR_Coverage, 374,
     /* 141752 */     GIR_EraseRootFromParent_Done,
     /* 141753 */   // Label 2735: @141753
     /* 141753 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(141789), // Rule ID 375 //
     /* 141758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 141766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141780 */     // (intrinsic_wo_chain:{ *:[i64] } 587:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 141780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSUXDr),
     /* 141783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141787 */     GIR_RootConstrainSelectedInstOperands,
     /* 141788 */     // GIR_Coverage, 375,
     /* 141788 */     GIR_EraseRootFromParent_Done,
     /* 141789 */   // Label 2736: @141789
     /* 141789 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(141825), // Rule ID 376 //
     /* 141794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 141802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141816 */     // (intrinsic_wo_chain:{ *:[i32] } 588:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 141816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUWHr),
     /* 141819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141821 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141823 */     GIR_RootConstrainSelectedInstOperands,
     /* 141824 */     // GIR_Coverage, 376,
     /* 141824 */     GIR_EraseRootFromParent_Done,
     /* 141825 */   // Label 2737: @141825
     /* 141825 */   GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(141861), // Rule ID 377 //
     /* 141830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 141833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 141838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 141844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 141852 */     // (intrinsic_wo_chain:{ *:[i64] } 588:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTNUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 141852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUXHr),
     /* 141855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141857 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141859 */     GIR_RootConstrainSelectedInstOperands,
     /* 141860 */     // GIR_Coverage, 377,
     /* 141860 */     GIR_EraseRootFromParent_Done,
     /* 141861 */   // Label 2738: @141861
     /* 141861 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(141897), // Rule ID 378 //
     /* 141866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 141874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141888 */     // (intrinsic_wo_chain:{ *:[i32] } 588:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 141888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUWSr),
     /* 141891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141895 */     GIR_RootConstrainSelectedInstOperands,
     /* 141896 */     // GIR_Coverage, 378,
     /* 141896 */     GIR_EraseRootFromParent_Done,
     /* 141897 */   // Label 2739: @141897
     /* 141897 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(141933), // Rule ID 379 //
     /* 141902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 141910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 141916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 141924 */     // (intrinsic_wo_chain:{ *:[i64] } 588:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTNUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 141924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUXSr),
     /* 141927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141931 */     GIR_RootConstrainSelectedInstOperands,
     /* 141932 */     // GIR_Coverage, 379,
     /* 141932 */     GIR_EraseRootFromParent_Done,
     /* 141933 */   // Label 2740: @141933
     /* 141933 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(141969), // Rule ID 380 //
     /* 141938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 141946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 141949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 141956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141960 */     // (intrinsic_wo_chain:{ *:[i32] } 588:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 141960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUWDr),
     /* 141963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 141965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 141967 */     GIR_RootConstrainSelectedInstOperands,
     /* 141968 */     // GIR_Coverage, 380,
     /* 141968 */     GIR_EraseRootFromParent_Done,
     /* 141969 */   // Label 2741: @141969
     /* 141969 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(142005), // Rule ID 381 //
     /* 141974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 141977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 141982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 141985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 141988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 141992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 141996 */     // (intrinsic_wo_chain:{ *:[i64] } 588:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTNUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 141996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUUXDr),
     /* 141999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142001 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142003 */     GIR_RootConstrainSelectedInstOperands,
     /* 142004 */     // GIR_Coverage, 381,
     /* 142004 */     GIR_EraseRootFromParent_Done,
     /* 142005 */   // Label 2742: @142005
     /* 142005 */   GIM_Try, /*On fail goto*//*Label 2743*/ GIMT_Encode4(142041), // Rule ID 382 //
     /* 142010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 142013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 142018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 142024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 142028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 142032 */     // (intrinsic_wo_chain:{ *:[i32] } 589:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 142032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWHr),
     /* 142035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142037 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142039 */     GIR_RootConstrainSelectedInstOperands,
     /* 142040 */     // GIR_Coverage, 382,
     /* 142040 */     GIR_EraseRootFromParent_Done,
     /* 142041 */   // Label 2743: @142041
     /* 142041 */   GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(142077), // Rule ID 383 //
     /* 142046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 142049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 142054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 142060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 142068 */     // (intrinsic_wo_chain:{ *:[i64] } 589:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 142068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXHr),
     /* 142071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142075 */     GIR_RootConstrainSelectedInstOperands,
     /* 142076 */     // GIR_Coverage, 383,
     /* 142076 */     GIR_EraseRootFromParent_Done,
     /* 142077 */   // Label 2744: @142077
     /* 142077 */   GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(142113), // Rule ID 384 //
     /* 142082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 142090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 142100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142104 */     // (intrinsic_wo_chain:{ *:[i32] } 589:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 142104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWSr),
     /* 142107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142109 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142111 */     GIR_RootConstrainSelectedInstOperands,
     /* 142112 */     // GIR_Coverage, 384,
     /* 142112 */     GIR_EraseRootFromParent_Done,
     /* 142113 */   // Label 2745: @142113
     /* 142113 */   GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(142149), // Rule ID 385 //
     /* 142118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 142126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142140 */     // (intrinsic_wo_chain:{ *:[i64] } 589:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 142140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXSr),
     /* 142143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142145 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142147 */     GIR_RootConstrainSelectedInstOperands,
     /* 142148 */     // GIR_Coverage, 385,
     /* 142148 */     GIR_EraseRootFromParent_Done,
     /* 142149 */   // Label 2746: @142149
     /* 142149 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(142185), // Rule ID 386 //
     /* 142154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 142162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 142172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142176 */     // (intrinsic_wo_chain:{ *:[i32] } 589:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 142176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWDr),
     /* 142179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142181 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142183 */     GIR_RootConstrainSelectedInstOperands,
     /* 142184 */     // GIR_Coverage, 386,
     /* 142184 */     GIR_EraseRootFromParent_Done,
     /* 142185 */   // Label 2747: @142185
     /* 142185 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(142221), // Rule ID 387 //
     /* 142190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 142198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142212 */     // (intrinsic_wo_chain:{ *:[i64] } 589:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 142212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXDr),
     /* 142215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142217 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142219 */     GIR_RootConstrainSelectedInstOperands,
     /* 142220 */     // GIR_Coverage, 387,
     /* 142220 */     GIR_EraseRootFromParent_Done,
     /* 142221 */   // Label 2748: @142221
     /* 142221 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(142257), // Rule ID 388 //
     /* 142226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 142229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 142234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 142240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 142244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 142248 */     // (intrinsic_wo_chain:{ *:[i32] } 590:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 142248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWHr),
     /* 142251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142255 */     GIR_RootConstrainSelectedInstOperands,
     /* 142256 */     // GIR_Coverage, 388,
     /* 142256 */     GIR_EraseRootFromParent_Done,
     /* 142257 */   // Label 2749: @142257
     /* 142257 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(142293), // Rule ID 389 //
     /* 142262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 142265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 142270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 142276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 142284 */     // (intrinsic_wo_chain:{ *:[i64] } 590:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FCVTPUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 142284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXHr),
     /* 142287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142289 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142291 */     GIR_RootConstrainSelectedInstOperands,
     /* 142292 */     // GIR_Coverage, 389,
     /* 142292 */     GIR_EraseRootFromParent_Done,
     /* 142293 */   // Label 2750: @142293
     /* 142293 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(142329), // Rule ID 390 //
     /* 142298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 142306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 142316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142320 */     // (intrinsic_wo_chain:{ *:[i32] } 590:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 142320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWSr),
     /* 142323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142327 */     GIR_RootConstrainSelectedInstOperands,
     /* 142328 */     // GIR_Coverage, 390,
     /* 142328 */     GIR_EraseRootFromParent_Done,
     /* 142329 */   // Label 2751: @142329
     /* 142329 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(142365), // Rule ID 391 //
     /* 142334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 142342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142356 */     // (intrinsic_wo_chain:{ *:[i64] } 590:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FCVTPUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 142356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXSr),
     /* 142359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142361 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142363 */     GIR_RootConstrainSelectedInstOperands,
     /* 142364 */     // GIR_Coverage, 391,
     /* 142364 */     GIR_EraseRootFromParent_Done,
     /* 142365 */   // Label 2752: @142365
     /* 142365 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(142401), // Rule ID 392 //
     /* 142370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 142378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 142388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142392 */     // (intrinsic_wo_chain:{ *:[i32] } 590:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 142392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWDr),
     /* 142395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142397 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142399 */     GIR_RootConstrainSelectedInstOperands,
     /* 142400 */     // GIR_Coverage, 392,
     /* 142400 */     GIR_EraseRootFromParent_Done,
     /* 142401 */   // Label 2753: @142401
     /* 142401 */   GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(142437), // Rule ID 393 //
     /* 142406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 142409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 142414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 142424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142428 */     // (intrinsic_wo_chain:{ *:[i64] } 590:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTPUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 142428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXDr),
     /* 142431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142435 */     GIR_RootConstrainSelectedInstOperands,
     /* 142436 */     // GIR_Coverage, 393,
     /* 142436 */     GIR_EraseRootFromParent_Done,
     /* 142437 */   // Label 2754: @142437
     /* 142437 */   GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(142473), // Rule ID 575 //
     /* 142442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32z),
     /* 142450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142464 */     // (intrinsic_wo_chain:{ *:[f32] } 548:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT32ZSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 142464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32ZSr),
     /* 142467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142469 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142471 */     GIR_RootConstrainSelectedInstOperands,
     /* 142472 */     // GIR_Coverage, 575,
     /* 142472 */     GIR_EraseRootFromParent_Done,
     /* 142473 */   // Label 2755: @142473
     /* 142473 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(142509), // Rule ID 576 //
     /* 142478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32z),
     /* 142486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142500 */     // (intrinsic_wo_chain:{ *:[f64] } 548:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT32ZDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 142500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32ZDr),
     /* 142503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142507 */     GIR_RootConstrainSelectedInstOperands,
     /* 142508 */     // GIR_Coverage, 576,
     /* 142508 */     GIR_EraseRootFromParent_Done,
     /* 142509 */   // Label 2756: @142509
     /* 142509 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(142545), // Rule ID 577 //
     /* 142514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64z),
     /* 142522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142536 */     // (intrinsic_wo_chain:{ *:[f32] } 550:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT64ZSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 142536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64ZSr),
     /* 142539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142541 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142543 */     GIR_RootConstrainSelectedInstOperands,
     /* 142544 */     // GIR_Coverage, 577,
     /* 142544 */     GIR_EraseRootFromParent_Done,
     /* 142545 */   // Label 2757: @142545
     /* 142545 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(142581), // Rule ID 578 //
     /* 142550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64z),
     /* 142558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142572 */     // (intrinsic_wo_chain:{ *:[f64] } 550:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT64ZDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 142572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64ZDr),
     /* 142575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142577 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142579 */     GIR_RootConstrainSelectedInstOperands,
     /* 142580 */     // GIR_Coverage, 578,
     /* 142580 */     GIR_EraseRootFromParent_Done,
     /* 142581 */   // Label 2758: @142581
     /* 142581 */   GIM_Try, /*On fail goto*//*Label 2759*/ GIMT_Encode4(142617), // Rule ID 579 //
     /* 142586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32x),
     /* 142594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142608 */     // (intrinsic_wo_chain:{ *:[f32] } 547:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT32XSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 142608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32XSr),
     /* 142611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142613 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142615 */     GIR_RootConstrainSelectedInstOperands,
     /* 142616 */     // GIR_Coverage, 579,
     /* 142616 */     GIR_EraseRootFromParent_Done,
     /* 142617 */   // Label 2759: @142617
     /* 142617 */   GIM_Try, /*On fail goto*//*Label 2760*/ GIMT_Encode4(142653), // Rule ID 580 //
     /* 142622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint32x),
     /* 142630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142644 */     // (intrinsic_wo_chain:{ *:[f64] } 547:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT32XDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 142644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32XDr),
     /* 142647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142649 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142651 */     GIR_RootConstrainSelectedInstOperands,
     /* 142652 */     // GIR_Coverage, 580,
     /* 142652 */     GIR_EraseRootFromParent_Done,
     /* 142653 */   // Label 2760: @142653
     /* 142653 */   GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(142689), // Rule ID 581 //
     /* 142658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64x),
     /* 142666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 142669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 142672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 142680 */     // (intrinsic_wo_chain:{ *:[f32] } 549:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRINT64XSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 142680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64XSr),
     /* 142683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142687 */     GIR_RootConstrainSelectedInstOperands,
     /* 142688 */     // GIR_Coverage, 581,
     /* 142688 */     GIR_EraseRootFromParent_Done,
     /* 142689 */   // Label 2761: @142689
     /* 142689 */   GIM_Try, /*On fail goto*//*Label 2762*/ GIMT_Encode4(142725), // Rule ID 582 //
     /* 142694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 142697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_frint64x),
     /* 142702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 142705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 142708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142716 */     // (intrinsic_wo_chain:{ *:[f64] } 549:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRINT64XDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 142716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64XDr),
     /* 142719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142723 */     GIR_RootConstrainSelectedInstOperands,
     /* 142724 */     // GIR_Coverage, 582,
     /* 142724 */     GIR_EraseRootFromParent_Done,
     /* 142725 */   // Label 2762: @142725
     /* 142725 */   GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(142761), // Rule ID 710 //
     /* 142730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 142738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 142741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 142744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142752 */     // (intrinsic_wo_chain:{ *:[v8i8] } 575:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (CLSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 142752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv8i8),
     /* 142755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142759 */     GIR_RootConstrainSelectedInstOperands,
     /* 142760 */     // GIR_Coverage, 710,
     /* 142760 */     GIR_EraseRootFromParent_Done,
     /* 142761 */   // Label 2763: @142761
     /* 142761 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(142797), // Rule ID 711 //
     /* 142766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 142774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 142777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 142780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142788 */     // (intrinsic_wo_chain:{ *:[v16i8] } 575:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (CLSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 142788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv16i8),
     /* 142791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142793 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142795 */     GIR_RootConstrainSelectedInstOperands,
     /* 142796 */     // GIR_Coverage, 711,
     /* 142796 */     GIR_EraseRootFromParent_Done,
     /* 142797 */   // Label 2764: @142797
     /* 142797 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(142833), // Rule ID 712 //
     /* 142802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 142810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 142813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 142816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142824 */     // (intrinsic_wo_chain:{ *:[v4i16] } 575:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (CLSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 142824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv4i16),
     /* 142827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142829 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142831 */     GIR_RootConstrainSelectedInstOperands,
     /* 142832 */     // GIR_Coverage, 712,
     /* 142832 */     GIR_EraseRootFromParent_Done,
     /* 142833 */   // Label 2765: @142833
     /* 142833 */   GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(142869), // Rule ID 713 //
     /* 142838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 142846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 142849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 142852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142860 */     // (intrinsic_wo_chain:{ *:[v8i16] } 575:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (CLSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 142860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv8i16),
     /* 142863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142865 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142867 */     GIR_RootConstrainSelectedInstOperands,
     /* 142868 */     // GIR_Coverage, 713,
     /* 142868 */     GIR_EraseRootFromParent_Done,
     /* 142869 */   // Label 2766: @142869
     /* 142869 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(142905), // Rule ID 714 //
     /* 142874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 142882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 142885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 142888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142896 */     // (intrinsic_wo_chain:{ *:[v2i32] } 575:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (CLSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 142896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv2i32),
     /* 142899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142901 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142903 */     GIR_RootConstrainSelectedInstOperands,
     /* 142904 */     // GIR_Coverage, 714,
     /* 142904 */     GIR_EraseRootFromParent_Done,
     /* 142905 */   // Label 2767: @142905
     /* 142905 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(142941), // Rule ID 715 //
     /* 142910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 142913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_cls),
     /* 142918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 142921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 142924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 142932 */     // (intrinsic_wo_chain:{ *:[v4i32] } 575:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (CLSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 142932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSv4i32),
     /* 142935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142937 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142939 */     GIR_RootConstrainSelectedInstOperands,
     /* 142940 */     // GIR_Coverage, 715,
     /* 142940 */     GIR_EraseRootFromParent_Done,
     /* 142941 */   // Label 2768: @142941
     /* 142941 */   GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(142977), // Rule ID 796 //
     /* 142946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 142949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 142954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 142957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 142960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 142968 */     // (intrinsic_wo_chain:{ *:[v4i16] } 583:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTASv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 142968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv4f16),
     /* 142971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 142973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 142975 */     GIR_RootConstrainSelectedInstOperands,
     /* 142976 */     // GIR_Coverage, 796,
     /* 142976 */     GIR_EraseRootFromParent_Done,
     /* 142977 */   // Label 2769: @142977
     /* 142977 */   GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(143013), // Rule ID 797 //
     /* 142982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 142985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 142990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 142993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 142996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143004 */     // (intrinsic_wo_chain:{ *:[v8i16] } 583:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTASv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 143004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv8f16),
     /* 143007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143009 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143011 */     GIR_RootConstrainSelectedInstOperands,
     /* 143012 */     // GIR_Coverage, 797,
     /* 143012 */     GIR_EraseRootFromParent_Done,
     /* 143013 */   // Label 2770: @143013
     /* 143013 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(143049), // Rule ID 798 //
     /* 143018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 143026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143040 */     // (intrinsic_wo_chain:{ *:[v2i32] } 583:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTASv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 143040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv2f32),
     /* 143043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143047 */     GIR_RootConstrainSelectedInstOperands,
     /* 143048 */     // GIR_Coverage, 798,
     /* 143048 */     GIR_EraseRootFromParent_Done,
     /* 143049 */   // Label 2771: @143049
     /* 143049 */   GIM_Try, /*On fail goto*//*Label 2772*/ GIMT_Encode4(143085), // Rule ID 799 //
     /* 143054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 143062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143076 */     // (intrinsic_wo_chain:{ *:[v4i32] } 583:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTASv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv4f32),
     /* 143079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143081 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143083 */     GIR_RootConstrainSelectedInstOperands,
     /* 143084 */     // GIR_Coverage, 799,
     /* 143084 */     GIR_EraseRootFromParent_Done,
     /* 143085 */   // Label 2772: @143085
     /* 143085 */   GIM_Try, /*On fail goto*//*Label 2773*/ GIMT_Encode4(143121), // Rule ID 800 //
     /* 143090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 143098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143112 */     // (intrinsic_wo_chain:{ *:[v2i64] } 583:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTASv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 143112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv2f64),
     /* 143115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143117 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143119 */     GIR_RootConstrainSelectedInstOperands,
     /* 143120 */     // GIR_Coverage, 800,
     /* 143120 */     GIR_EraseRootFromParent_Done,
     /* 143121 */   // Label 2773: @143121
     /* 143121 */   GIM_Try, /*On fail goto*//*Label 2774*/ GIMT_Encode4(143157), // Rule ID 801 //
     /* 143126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 143134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 143137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143148 */     // (intrinsic_wo_chain:{ *:[v4i16] } 584:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTAUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 143148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv4f16),
     /* 143151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143155 */     GIR_RootConstrainSelectedInstOperands,
     /* 143156 */     // GIR_Coverage, 801,
     /* 143156 */     GIR_EraseRootFromParent_Done,
     /* 143157 */   // Label 2774: @143157
     /* 143157 */   GIM_Try, /*On fail goto*//*Label 2775*/ GIMT_Encode4(143193), // Rule ID 802 //
     /* 143162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 143170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143184 */     // (intrinsic_wo_chain:{ *:[v8i16] } 584:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTAUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 143184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv8f16),
     /* 143187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143189 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143191 */     GIR_RootConstrainSelectedInstOperands,
     /* 143192 */     // GIR_Coverage, 802,
     /* 143192 */     GIR_EraseRootFromParent_Done,
     /* 143193 */   // Label 2775: @143193
     /* 143193 */   GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(143229), // Rule ID 803 //
     /* 143198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 143206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143220 */     // (intrinsic_wo_chain:{ *:[v2i32] } 584:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTAUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 143220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv2f32),
     /* 143223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143227 */     GIR_RootConstrainSelectedInstOperands,
     /* 143228 */     // GIR_Coverage, 803,
     /* 143228 */     GIR_EraseRootFromParent_Done,
     /* 143229 */   // Label 2776: @143229
     /* 143229 */   GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(143265), // Rule ID 804 //
     /* 143234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 143242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143256 */     // (intrinsic_wo_chain:{ *:[v4i32] } 584:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTAUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv4f32),
     /* 143259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143261 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143263 */     GIR_RootConstrainSelectedInstOperands,
     /* 143264 */     // GIR_Coverage, 804,
     /* 143264 */     GIR_EraseRootFromParent_Done,
     /* 143265 */   // Label 2777: @143265
     /* 143265 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(143301), // Rule ID 805 //
     /* 143270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 143278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143292 */     // (intrinsic_wo_chain:{ *:[v2i64] } 584:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTAUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 143292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv2f64),
     /* 143295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143297 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143299 */     GIR_RootConstrainSelectedInstOperands,
     /* 143300 */     // GIR_Coverage, 805,
     /* 143300 */     GIR_EraseRootFromParent_Done,
     /* 143301 */   // Label 2778: @143301
     /* 143301 */   GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(143337), // Rule ID 806 //
     /* 143306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 143314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 143317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143328 */     // (intrinsic_wo_chain:{ *:[v4i16] } 585:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTMSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 143328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv4f16),
     /* 143331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143335 */     GIR_RootConstrainSelectedInstOperands,
     /* 143336 */     // GIR_Coverage, 806,
     /* 143336 */     GIR_EraseRootFromParent_Done,
     /* 143337 */   // Label 2779: @143337
     /* 143337 */   GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(143373), // Rule ID 807 //
     /* 143342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 143350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143364 */     // (intrinsic_wo_chain:{ *:[v8i16] } 585:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTMSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 143364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv8f16),
     /* 143367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143369 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143371 */     GIR_RootConstrainSelectedInstOperands,
     /* 143372 */     // GIR_Coverage, 807,
     /* 143372 */     GIR_EraseRootFromParent_Done,
     /* 143373 */   // Label 2780: @143373
     /* 143373 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(143409), // Rule ID 808 //
     /* 143378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 143386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143400 */     // (intrinsic_wo_chain:{ *:[v2i32] } 585:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTMSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 143400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv2f32),
     /* 143403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143407 */     GIR_RootConstrainSelectedInstOperands,
     /* 143408 */     // GIR_Coverage, 808,
     /* 143408 */     GIR_EraseRootFromParent_Done,
     /* 143409 */   // Label 2781: @143409
     /* 143409 */   GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(143445), // Rule ID 809 //
     /* 143414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 143422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143436 */     // (intrinsic_wo_chain:{ *:[v4i32] } 585:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTMSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv4f32),
     /* 143439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143441 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143443 */     GIR_RootConstrainSelectedInstOperands,
     /* 143444 */     // GIR_Coverage, 809,
     /* 143444 */     GIR_EraseRootFromParent_Done,
     /* 143445 */   // Label 2782: @143445
     /* 143445 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(143481), // Rule ID 810 //
     /* 143450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 143458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143472 */     // (intrinsic_wo_chain:{ *:[v2i64] } 585:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTMSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 143472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv2f64),
     /* 143475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143477 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143479 */     GIR_RootConstrainSelectedInstOperands,
     /* 143480 */     // GIR_Coverage, 810,
     /* 143480 */     GIR_EraseRootFromParent_Done,
     /* 143481 */   // Label 2783: @143481
     /* 143481 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(143517), // Rule ID 811 //
     /* 143486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 143494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 143497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143508 */     // (intrinsic_wo_chain:{ *:[v4i16] } 586:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTMUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 143508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv4f16),
     /* 143511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143513 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143515 */     GIR_RootConstrainSelectedInstOperands,
     /* 143516 */     // GIR_Coverage, 811,
     /* 143516 */     GIR_EraseRootFromParent_Done,
     /* 143517 */   // Label 2784: @143517
     /* 143517 */   GIM_Try, /*On fail goto*//*Label 2785*/ GIMT_Encode4(143553), // Rule ID 812 //
     /* 143522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 143530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143544 */     // (intrinsic_wo_chain:{ *:[v8i16] } 586:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTMUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 143544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv8f16),
     /* 143547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143549 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143551 */     GIR_RootConstrainSelectedInstOperands,
     /* 143552 */     // GIR_Coverage, 812,
     /* 143552 */     GIR_EraseRootFromParent_Done,
     /* 143553 */   // Label 2785: @143553
     /* 143553 */   GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(143589), // Rule ID 813 //
     /* 143558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 143566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143580 */     // (intrinsic_wo_chain:{ *:[v2i32] } 586:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTMUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 143580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv2f32),
     /* 143583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143585 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143587 */     GIR_RootConstrainSelectedInstOperands,
     /* 143588 */     // GIR_Coverage, 813,
     /* 143588 */     GIR_EraseRootFromParent_Done,
     /* 143589 */   // Label 2786: @143589
     /* 143589 */   GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(143625), // Rule ID 814 //
     /* 143594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 143602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143616 */     // (intrinsic_wo_chain:{ *:[v4i32] } 586:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTMUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv4f32),
     /* 143619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143621 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143623 */     GIR_RootConstrainSelectedInstOperands,
     /* 143624 */     // GIR_Coverage, 814,
     /* 143624 */     GIR_EraseRootFromParent_Done,
     /* 143625 */   // Label 2787: @143625
     /* 143625 */   GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(143661), // Rule ID 815 //
     /* 143630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 143638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143652 */     // (intrinsic_wo_chain:{ *:[v2i64] } 586:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTMUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 143652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv2f64),
     /* 143655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143657 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143659 */     GIR_RootConstrainSelectedInstOperands,
     /* 143660 */     // GIR_Coverage, 815,
     /* 143660 */     GIR_EraseRootFromParent_Done,
     /* 143661 */   // Label 2788: @143661
     /* 143661 */   GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(143697), // Rule ID 816 //
     /* 143666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 143674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 143677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143688 */     // (intrinsic_wo_chain:{ *:[v4i16] } 587:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTNSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 143688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv4f16),
     /* 143691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143695 */     GIR_RootConstrainSelectedInstOperands,
     /* 143696 */     // GIR_Coverage, 816,
     /* 143696 */     GIR_EraseRootFromParent_Done,
     /* 143697 */   // Label 2789: @143697
     /* 143697 */   GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(143733), // Rule ID 817 //
     /* 143702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 143710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143724 */     // (intrinsic_wo_chain:{ *:[v8i16] } 587:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 143724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv8f16),
     /* 143727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143729 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143731 */     GIR_RootConstrainSelectedInstOperands,
     /* 143732 */     // GIR_Coverage, 817,
     /* 143732 */     GIR_EraseRootFromParent_Done,
     /* 143733 */   // Label 2790: @143733
     /* 143733 */   GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(143769), // Rule ID 818 //
     /* 143738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 143746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143760 */     // (intrinsic_wo_chain:{ *:[v2i32] } 587:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTNSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 143760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv2f32),
     /* 143763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143765 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143767 */     GIR_RootConstrainSelectedInstOperands,
     /* 143768 */     // GIR_Coverage, 818,
     /* 143768 */     GIR_EraseRootFromParent_Done,
     /* 143769 */   // Label 2791: @143769
     /* 143769 */   GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(143805), // Rule ID 819 //
     /* 143774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 143782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143796 */     // (intrinsic_wo_chain:{ *:[v4i32] } 587:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv4f32),
     /* 143799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143801 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143803 */     GIR_RootConstrainSelectedInstOperands,
     /* 143804 */     // GIR_Coverage, 819,
     /* 143804 */     GIR_EraseRootFromParent_Done,
     /* 143805 */   // Label 2792: @143805
     /* 143805 */   GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(143841), // Rule ID 820 //
     /* 143810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 143818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 143821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 143824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143832 */     // (intrinsic_wo_chain:{ *:[v2i64] } 587:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTNSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 143832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv2f64),
     /* 143835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143837 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143839 */     GIR_RootConstrainSelectedInstOperands,
     /* 143840 */     // GIR_Coverage, 820,
     /* 143840 */     GIR_EraseRootFromParent_Done,
     /* 143841 */   // Label 2793: @143841
     /* 143841 */   GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(143877), // Rule ID 821 //
     /* 143846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 143854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 143857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 143860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143868 */     // (intrinsic_wo_chain:{ *:[v4i16] } 588:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTNUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 143868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv4f16),
     /* 143871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143873 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143875 */     GIR_RootConstrainSelectedInstOperands,
     /* 143876 */     // GIR_Coverage, 821,
     /* 143876 */     GIR_EraseRootFromParent_Done,
     /* 143877 */   // Label 2794: @143877
     /* 143877 */   GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(143913), // Rule ID 822 //
     /* 143882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 143885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 143890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 143893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 143896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143904 */     // (intrinsic_wo_chain:{ *:[v8i16] } 588:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 143904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv8f16),
     /* 143907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143909 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143911 */     GIR_RootConstrainSelectedInstOperands,
     /* 143912 */     // GIR_Coverage, 822,
     /* 143912 */     GIR_EraseRootFromParent_Done,
     /* 143913 */   // Label 2795: @143913
     /* 143913 */   GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(143949), // Rule ID 823 //
     /* 143918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 143926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 143929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 143932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 143940 */     // (intrinsic_wo_chain:{ *:[v2i32] } 588:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTNUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 143940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv2f32),
     /* 143943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143945 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143947 */     GIR_RootConstrainSelectedInstOperands,
     /* 143948 */     // GIR_Coverage, 823,
     /* 143948 */     GIR_EraseRootFromParent_Done,
     /* 143949 */   // Label 2796: @143949
     /* 143949 */   GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(143985), // Rule ID 824 //
     /* 143954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 143962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 143965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 143968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 143976 */     // (intrinsic_wo_chain:{ *:[v4i32] } 588:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 143976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv4f32),
     /* 143979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 143981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 143983 */     GIR_RootConstrainSelectedInstOperands,
     /* 143984 */     // GIR_Coverage, 824,
     /* 143984 */     GIR_EraseRootFromParent_Done,
     /* 143985 */   // Label 2797: @143985
     /* 143985 */   GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(144021), // Rule ID 825 //
     /* 143990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 143993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 143998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144012 */     // (intrinsic_wo_chain:{ *:[v2i64] } 588:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTNUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 144012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv2f64),
     /* 144015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144017 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144019 */     GIR_RootConstrainSelectedInstOperands,
     /* 144020 */     // GIR_Coverage, 825,
     /* 144020 */     GIR_EraseRootFromParent_Done,
     /* 144021 */   // Label 2798: @144021
     /* 144021 */   GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(144057), // Rule ID 826 //
     /* 144026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 144034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 144037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 144040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144048 */     // (intrinsic_wo_chain:{ *:[v4i16] } 589:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTPSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 144048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv4f16),
     /* 144051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144053 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144055 */     GIR_RootConstrainSelectedInstOperands,
     /* 144056 */     // GIR_Coverage, 826,
     /* 144056 */     GIR_EraseRootFromParent_Done,
     /* 144057 */   // Label 2799: @144057
     /* 144057 */   GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(144093), // Rule ID 827 //
     /* 144062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 144070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 144073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 144076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144084 */     // (intrinsic_wo_chain:{ *:[v8i16] } 589:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTPSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 144084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv8f16),
     /* 144087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144089 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144091 */     GIR_RootConstrainSelectedInstOperands,
     /* 144092 */     // GIR_Coverage, 827,
     /* 144092 */     GIR_EraseRootFromParent_Done,
     /* 144093 */   // Label 2800: @144093
     /* 144093 */   GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(144129), // Rule ID 828 //
     /* 144098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 144106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144120 */     // (intrinsic_wo_chain:{ *:[v2i32] } 589:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTPSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 144120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv2f32),
     /* 144123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144127 */     GIR_RootConstrainSelectedInstOperands,
     /* 144128 */     // GIR_Coverage, 828,
     /* 144128 */     GIR_EraseRootFromParent_Done,
     /* 144129 */   // Label 2801: @144129
     /* 144129 */   GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(144165), // Rule ID 829 //
     /* 144134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 144142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144156 */     // (intrinsic_wo_chain:{ *:[v4i32] } 589:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTPSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 144156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv4f32),
     /* 144159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144163 */     GIR_RootConstrainSelectedInstOperands,
     /* 144164 */     // GIR_Coverage, 829,
     /* 144164 */     GIR_EraseRootFromParent_Done,
     /* 144165 */   // Label 2802: @144165
     /* 144165 */   GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(144201), // Rule ID 830 //
     /* 144170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 144178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144192 */     // (intrinsic_wo_chain:{ *:[v2i64] } 589:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTPSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 144192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv2f64),
     /* 144195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144199 */     GIR_RootConstrainSelectedInstOperands,
     /* 144200 */     // GIR_Coverage, 830,
     /* 144200 */     GIR_EraseRootFromParent_Done,
     /* 144201 */   // Label 2803: @144201
     /* 144201 */   GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(144237), // Rule ID 831 //
     /* 144206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 144214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 144217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 144220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144228 */     // (intrinsic_wo_chain:{ *:[v4i16] } 590:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCVTPUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 144228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv4f16),
     /* 144231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144233 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144235 */     GIR_RootConstrainSelectedInstOperands,
     /* 144236 */     // GIR_Coverage, 831,
     /* 144236 */     GIR_EraseRootFromParent_Done,
     /* 144237 */   // Label 2804: @144237
     /* 144237 */   GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(144273), // Rule ID 832 //
     /* 144242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 144250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 144253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 144256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144264 */     // (intrinsic_wo_chain:{ *:[v8i16] } 590:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCVTPUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 144264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv8f16),
     /* 144267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144269 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144271 */     GIR_RootConstrainSelectedInstOperands,
     /* 144272 */     // GIR_Coverage, 832,
     /* 144272 */     GIR_EraseRootFromParent_Done,
     /* 144273 */   // Label 2805: @144273
     /* 144273 */   GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(144309), // Rule ID 833 //
     /* 144278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 144286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144300 */     // (intrinsic_wo_chain:{ *:[v2i32] } 590:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCVTPUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 144300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv2f32),
     /* 144303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144305 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144307 */     GIR_RootConstrainSelectedInstOperands,
     /* 144308 */     // GIR_Coverage, 833,
     /* 144308 */     GIR_EraseRootFromParent_Done,
     /* 144309 */   // Label 2806: @144309
     /* 144309 */   GIM_Try, /*On fail goto*//*Label 2807*/ GIMT_Encode4(144345), // Rule ID 834 //
     /* 144314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 144322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144336 */     // (intrinsic_wo_chain:{ *:[v4i32] } 590:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTPUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 144336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv4f32),
     /* 144339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144341 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144343 */     GIR_RootConstrainSelectedInstOperands,
     /* 144344 */     // GIR_Coverage, 834,
     /* 144344 */     GIR_EraseRootFromParent_Done,
     /* 144345 */   // Label 2807: @144345
     /* 144345 */   GIM_Try, /*On fail goto*//*Label 2808*/ GIMT_Encode4(144381), // Rule ID 835 //
     /* 144350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 144358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144372 */     // (intrinsic_wo_chain:{ *:[v2i64] } 590:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTPUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 144372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv2f64),
     /* 144375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144377 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144379 */     GIR_RootConstrainSelectedInstOperands,
     /* 144380 */     // GIR_Coverage, 835,
     /* 144380 */     GIR_EraseRootFromParent_Done,
     /* 144381 */   // Label 2808: @144381
     /* 144381 */   GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(144417), // Rule ID 836 //
     /* 144386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtxn),
     /* 144394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144408 */     // (intrinsic_wo_chain:{ *:[v2f32] } 591:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCVTXNv2f32:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn)
     /* 144408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNv2f32),
     /* 144411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144415 */     GIR_RootConstrainSelectedInstOperands,
     /* 144416 */     // GIR_Coverage, 836,
     /* 144416 */     GIR_EraseRootFromParent_Done,
     /* 144417 */   // Label 2809: @144417
     /* 144417 */   GIM_Try, /*On fail goto*//*Label 2810*/ GIMT_Encode4(144453), // Rule ID 863 //
     /* 144422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 144430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 144433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 144436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144444 */     // (intrinsic_wo_chain:{ *:[v4f16] } 632:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FRECPEv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 144444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv4f16),
     /* 144447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144449 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144451 */     GIR_RootConstrainSelectedInstOperands,
     /* 144452 */     // GIR_Coverage, 863,
     /* 144452 */     GIR_EraseRootFromParent_Done,
     /* 144453 */   // Label 2810: @144453
     /* 144453 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(144489), // Rule ID 864 //
     /* 144458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 144461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 144466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 144469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 144472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144480 */     // (intrinsic_wo_chain:{ *:[v8f16] } 632:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FRECPEv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 144480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv8f16),
     /* 144483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144487 */     GIR_RootConstrainSelectedInstOperands,
     /* 144488 */     // GIR_Coverage, 864,
     /* 144488 */     GIR_EraseRootFromParent_Done,
     /* 144489 */   // Label 2811: @144489
     /* 144489 */   GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(144525), // Rule ID 865 //
     /* 144494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 144502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144516 */     // (intrinsic_wo_chain:{ *:[v2f32] } 632:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRECPEv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 144516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv2f32),
     /* 144519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144521 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144523 */     GIR_RootConstrainSelectedInstOperands,
     /* 144524 */     // GIR_Coverage, 865,
     /* 144524 */     GIR_EraseRootFromParent_Done,
     /* 144525 */   // Label 2812: @144525
     /* 144525 */   GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(144561), // Rule ID 866 //
     /* 144530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 144538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144552 */     // (intrinsic_wo_chain:{ *:[v4f32] } 632:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRECPEv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 144552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv4f32),
     /* 144555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144557 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144559 */     GIR_RootConstrainSelectedInstOperands,
     /* 144560 */     // GIR_Coverage, 866,
     /* 144560 */     GIR_EraseRootFromParent_Done,
     /* 144561 */   // Label 2813: @144561
     /* 144561 */   GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(144597), // Rule ID 867 //
     /* 144566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 144569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 144574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144588 */     // (intrinsic_wo_chain:{ *:[v2f64] } 632:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRECPEv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 144588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv2f64),
     /* 144591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144593 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144595 */     GIR_RootConstrainSelectedInstOperands,
     /* 144596 */     // GIR_Coverage, 867,
     /* 144596 */     GIR_EraseRootFromParent_Done,
     /* 144597 */   // Label 2814: @144597
     /* 144597 */   GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(144633), // Rule ID 938 //
     /* 144602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 144610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144624 */     // (intrinsic_wo_chain:{ *:[v2f32] } 636:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT32Zv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 144624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Zv2f32),
     /* 144627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144631 */     GIR_RootConstrainSelectedInstOperands,
     /* 144632 */     // GIR_Coverage, 938,
     /* 144632 */     GIR_EraseRootFromParent_Done,
     /* 144633 */   // Label 2815: @144633
     /* 144633 */   GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(144669), // Rule ID 939 //
     /* 144638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 144646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144660 */     // (intrinsic_wo_chain:{ *:[v4f32] } 636:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT32Zv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 144660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Zv4f32),
     /* 144663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144667 */     GIR_RootConstrainSelectedInstOperands,
     /* 144668 */     // GIR_Coverage, 939,
     /* 144668 */     GIR_EraseRootFromParent_Done,
     /* 144669 */   // Label 2816: @144669
     /* 144669 */   GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(144705), // Rule ID 940 //
     /* 144674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 144682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144696 */     // (intrinsic_wo_chain:{ *:[v2f64] } 636:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT32Zv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 144696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Zv2f64),
     /* 144699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144703 */     GIR_RootConstrainSelectedInstOperands,
     /* 144704 */     // GIR_Coverage, 940,
     /* 144704 */     GIR_EraseRootFromParent_Done,
     /* 144705 */   // Label 2817: @144705
     /* 144705 */   GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(144741), // Rule ID 941 //
     /* 144710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 144718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144732 */     // (intrinsic_wo_chain:{ *:[v2f32] } 638:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT64Zv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 144732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Zv2f32),
     /* 144735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144737 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144739 */     GIR_RootConstrainSelectedInstOperands,
     /* 144740 */     // GIR_Coverage, 941,
     /* 144740 */     GIR_EraseRootFromParent_Done,
     /* 144741 */   // Label 2818: @144741
     /* 144741 */   GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(144777), // Rule ID 942 //
     /* 144746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 144754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144768 */     // (intrinsic_wo_chain:{ *:[v4f32] } 638:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT64Zv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 144768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Zv4f32),
     /* 144771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144773 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144775 */     GIR_RootConstrainSelectedInstOperands,
     /* 144776 */     // GIR_Coverage, 942,
     /* 144776 */     GIR_EraseRootFromParent_Done,
     /* 144777 */   // Label 2819: @144777
     /* 144777 */   GIM_Try, /*On fail goto*//*Label 2820*/ GIMT_Encode4(144813), // Rule ID 943 //
     /* 144782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 144790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144804 */     // (intrinsic_wo_chain:{ *:[v2f64] } 638:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT64Zv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 144804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Zv2f64),
     /* 144807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144809 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144811 */     GIR_RootConstrainSelectedInstOperands,
     /* 144812 */     // GIR_Coverage, 943,
     /* 144812 */     GIR_EraseRootFromParent_Done,
     /* 144813 */   // Label 2820: @144813
     /* 144813 */   GIM_Try, /*On fail goto*//*Label 2821*/ GIMT_Encode4(144849), // Rule ID 944 //
     /* 144818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 144826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144840 */     // (intrinsic_wo_chain:{ *:[v2f32] } 635:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT32Xv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 144840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Xv2f32),
     /* 144843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144847 */     GIR_RootConstrainSelectedInstOperands,
     /* 144848 */     // GIR_Coverage, 944,
     /* 144848 */     GIR_EraseRootFromParent_Done,
     /* 144849 */   // Label 2821: @144849
     /* 144849 */   GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(144885), // Rule ID 945 //
     /* 144854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 144862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144876 */     // (intrinsic_wo_chain:{ *:[v4f32] } 635:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT32Xv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 144876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Xv4f32),
     /* 144879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144881 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144883 */     GIR_RootConstrainSelectedInstOperands,
     /* 144884 */     // GIR_Coverage, 945,
     /* 144884 */     GIR_EraseRootFromParent_Done,
     /* 144885 */   // Label 2822: @144885
     /* 144885 */   GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(144921), // Rule ID 946 //
     /* 144890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 144898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 144901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 144904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144912 */     // (intrinsic_wo_chain:{ *:[v2f64] } 635:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT32Xv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 144912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32Xv2f64),
     /* 144915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144919 */     GIR_RootConstrainSelectedInstOperands,
     /* 144920 */     // GIR_Coverage, 946,
     /* 144920 */     GIR_EraseRootFromParent_Done,
     /* 144921 */   // Label 2823: @144921
     /* 144921 */   GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(144957), // Rule ID 947 //
     /* 144926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 144934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 144937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 144940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 144948 */     // (intrinsic_wo_chain:{ *:[v2f32] } 637:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRINT64Xv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 144948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Xv2f32),
     /* 144951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144953 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144955 */     GIR_RootConstrainSelectedInstOperands,
     /* 144956 */     // GIR_Coverage, 947,
     /* 144956 */     GIR_EraseRootFromParent_Done,
     /* 144957 */   // Label 2824: @144957
     /* 144957 */   GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(144993), // Rule ID 948 //
     /* 144962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 144965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 144970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 144973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 144976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 144984 */     // (intrinsic_wo_chain:{ *:[v4f32] } 637:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRINT64Xv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 144984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Xv4f32),
     /* 144987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 144989 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 144991 */     GIR_RootConstrainSelectedInstOperands,
     /* 144992 */     // GIR_Coverage, 948,
     /* 144992 */     GIR_EraseRootFromParent_Done,
     /* 144993 */   // Label 2825: @144993
     /* 144993 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(145029), // Rule ID 949 //
     /* 144998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFRInt3264),
     /* 145001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 145006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 145009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 145012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145020 */     // (intrinsic_wo_chain:{ *:[v2f64] } 637:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRINT64Xv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 145020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64Xv2f64),
     /* 145023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145025 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145027 */     GIR_RootConstrainSelectedInstOperands,
     /* 145028 */     // GIR_Coverage, 949,
     /* 145028 */     GIR_EraseRootFromParent_Done,
     /* 145029 */   // Label 2826: @145029
     /* 145029 */   GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(145065), // Rule ID 950 //
     /* 145034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 145037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 145042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 145045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145056 */     // (intrinsic_wo_chain:{ *:[v4f16] } 639:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FRSQRTEv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 145056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv4f16),
     /* 145059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145061 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145063 */     GIR_RootConstrainSelectedInstOperands,
     /* 145064 */     // GIR_Coverage, 950,
     /* 145064 */     GIR_EraseRootFromParent_Done,
     /* 145065 */   // Label 2827: @145065
     /* 145065 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(145101), // Rule ID 951 //
     /* 145070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 145073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 145078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 145081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145092 */     // (intrinsic_wo_chain:{ *:[v8f16] } 639:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FRSQRTEv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 145092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv8f16),
     /* 145095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145097 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145099 */     GIR_RootConstrainSelectedInstOperands,
     /* 145100 */     // GIR_Coverage, 951,
     /* 145100 */     GIR_EraseRootFromParent_Done,
     /* 145101 */   // Label 2828: @145101
     /* 145101 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(145137), // Rule ID 952 //
     /* 145106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 145114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 145117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 145120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145128 */     // (intrinsic_wo_chain:{ *:[v2f32] } 639:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FRSQRTEv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 145128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv2f32),
     /* 145131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145133 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145135 */     GIR_RootConstrainSelectedInstOperands,
     /* 145136 */     // GIR_Coverage, 952,
     /* 145136 */     GIR_EraseRootFromParent_Done,
     /* 145137 */   // Label 2829: @145137
     /* 145137 */   GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(145173), // Rule ID 953 //
     /* 145142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 145150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145164 */     // (intrinsic_wo_chain:{ *:[v4f32] } 639:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FRSQRTEv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 145164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv4f32),
     /* 145167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145169 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145171 */     GIR_RootConstrainSelectedInstOperands,
     /* 145172 */     // GIR_Coverage, 953,
     /* 145172 */     GIR_EraseRootFromParent_Done,
     /* 145173 */   // Label 2830: @145173
     /* 145173 */   GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(145209), // Rule ID 954 //
     /* 145178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 145186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 145189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 145192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145200 */     // (intrinsic_wo_chain:{ *:[v2f64] } 639:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FRSQRTEv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 145200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv2f64),
     /* 145203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145207 */     GIR_RootConstrainSelectedInstOperands,
     /* 145208 */     // GIR_Coverage, 954,
     /* 145208 */     GIR_EraseRootFromParent_Done,
     /* 145209 */   // Label 2831: @145209
     /* 145209 */   GIM_Try, /*On fail goto*//*Label 2832*/ GIMT_Encode4(145245), // Rule ID 1001 //
     /* 145214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 145222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 145225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 145228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145236 */     // (intrinsic_wo_chain:{ *:[v4i16] } 660:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 145236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i8_v4i16),
     /* 145239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145243 */     GIR_RootConstrainSelectedInstOperands,
     /* 145244 */     // GIR_Coverage, 1001,
     /* 145244 */     GIR_EraseRootFromParent_Done,
     /* 145245 */   // Label 2832: @145245
     /* 145245 */   GIM_Try, /*On fail goto*//*Label 2833*/ GIMT_Encode4(145281), // Rule ID 1003 //
     /* 145250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 145258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 145261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 145264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145272 */     // (intrinsic_wo_chain:{ *:[v8i16] } 660:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 145272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv16i8_v8i16),
     /* 145275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145279 */     GIR_RootConstrainSelectedInstOperands,
     /* 145280 */     // GIR_Coverage, 1003,
     /* 145280 */     GIR_EraseRootFromParent_Done,
     /* 145281 */   // Label 2833: @145281
     /* 145281 */   GIM_Try, /*On fail goto*//*Label 2834*/ GIMT_Encode4(145317), // Rule ID 1005 //
     /* 145286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 145294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 145297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145308 */     // (intrinsic_wo_chain:{ *:[v2i32] } 660:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 145308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i16_v2i32),
     /* 145311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145313 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145315 */     GIR_RootConstrainSelectedInstOperands,
     /* 145316 */     // GIR_Coverage, 1005,
     /* 145316 */     GIR_EraseRootFromParent_Done,
     /* 145317 */   // Label 2834: @145317
     /* 145317 */   GIM_Try, /*On fail goto*//*Label 2835*/ GIMT_Encode4(145353), // Rule ID 1007 //
     /* 145322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 145330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145344 */     // (intrinsic_wo_chain:{ *:[v4i32] } 660:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 145344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i16_v4i32),
     /* 145347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145349 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145351 */     GIR_RootConstrainSelectedInstOperands,
     /* 145352 */     // GIR_Coverage, 1007,
     /* 145352 */     GIR_EraseRootFromParent_Done,
     /* 145353 */   // Label 2835: @145353
     /* 145353 */   GIM_Try, /*On fail goto*//*Label 2836*/ GIMT_Encode4(145389), // Rule ID 1009 //
     /* 145358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 145366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 145369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 145372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145380 */     // (intrinsic_wo_chain:{ *:[v1i64] } 660:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (SADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 145380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv2i32_v1i64),
     /* 145383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145387 */     GIR_RootConstrainSelectedInstOperands,
     /* 145388 */     // GIR_Coverage, 1009,
     /* 145388 */     GIR_EraseRootFromParent_Done,
     /* 145389 */   // Label 2836: @145389
     /* 145389 */   GIM_Try, /*On fail goto*//*Label 2837*/ GIMT_Encode4(145425), // Rule ID 1011 //
     /* 145394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 145402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 145405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145416 */     // (intrinsic_wo_chain:{ *:[v2i64] } 660:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (SADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 145416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i32_v2i64),
     /* 145419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145421 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145423 */     GIR_RootConstrainSelectedInstOperands,
     /* 145424 */     // GIR_Coverage, 1011,
     /* 145424 */     GIR_EraseRootFromParent_Done,
     /* 145425 */   // Label 2837: @145425
     /* 145425 */   GIM_Try, /*On fail goto*//*Label 2838*/ GIMT_Encode4(145461), // Rule ID 1022 //
     /* 145430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 145441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 145444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145452 */     // (intrinsic_wo_chain:{ *:[v8i8] } 678:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SQABSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 145452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv8i8),
     /* 145455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145457 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145459 */     GIR_RootConstrainSelectedInstOperands,
     /* 145460 */     // GIR_Coverage, 1022,
     /* 145460 */     GIR_EraseRootFromParent_Done,
     /* 145461 */   // Label 2838: @145461
     /* 145461 */   GIM_Try, /*On fail goto*//*Label 2839*/ GIMT_Encode4(145497), // Rule ID 1023 //
     /* 145466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 145477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 145480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145488 */     // (intrinsic_wo_chain:{ *:[v16i8] } 678:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SQABSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 145488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv16i8),
     /* 145491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145493 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145495 */     GIR_RootConstrainSelectedInstOperands,
     /* 145496 */     // GIR_Coverage, 1023,
     /* 145496 */     GIR_EraseRootFromParent_Done,
     /* 145497 */   // Label 2839: @145497
     /* 145497 */   GIM_Try, /*On fail goto*//*Label 2840*/ GIMT_Encode4(145533), // Rule ID 1024 //
     /* 145502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 145513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145524 */     // (intrinsic_wo_chain:{ *:[v4i16] } 678:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SQABSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 145524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv4i16),
     /* 145527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145531 */     GIR_RootConstrainSelectedInstOperands,
     /* 145532 */     // GIR_Coverage, 1024,
     /* 145532 */     GIR_EraseRootFromParent_Done,
     /* 145533 */   // Label 2840: @145533
     /* 145533 */   GIM_Try, /*On fail goto*//*Label 2841*/ GIMT_Encode4(145569), // Rule ID 1025 //
     /* 145538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 145549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145560 */     // (intrinsic_wo_chain:{ *:[v8i16] } 678:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SQABSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 145560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv8i16),
     /* 145563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145565 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145567 */     GIR_RootConstrainSelectedInstOperands,
     /* 145568 */     // GIR_Coverage, 1025,
     /* 145568 */     GIR_EraseRootFromParent_Done,
     /* 145569 */   // Label 2841: @145569
     /* 145569 */   GIM_Try, /*On fail goto*//*Label 2842*/ GIMT_Encode4(145605), // Rule ID 1026 //
     /* 145574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 145585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 145588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145596 */     // (intrinsic_wo_chain:{ *:[v2i32] } 678:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (SQABSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 145596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv2i32),
     /* 145599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145601 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145603 */     GIR_RootConstrainSelectedInstOperands,
     /* 145604 */     // GIR_Coverage, 1026,
     /* 145604 */     GIR_EraseRootFromParent_Done,
     /* 145605 */   // Label 2842: @145605
     /* 145605 */   GIM_Try, /*On fail goto*//*Label 2843*/ GIMT_Encode4(145641), // Rule ID 1027 //
     /* 145610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145632 */     // (intrinsic_wo_chain:{ *:[v4i32] } 678:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (SQABSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 145632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv4i32),
     /* 145635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145637 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145639 */     GIR_RootConstrainSelectedInstOperands,
     /* 145640 */     // GIR_Coverage, 1027,
     /* 145640 */     GIR_EraseRootFromParent_Done,
     /* 145641 */   // Label 2843: @145641
     /* 145641 */   GIM_Try, /*On fail goto*//*Label 2844*/ GIMT_Encode4(145677), // Rule ID 1028 //
     /* 145646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 145654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 145657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 145660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145668 */     // (intrinsic_wo_chain:{ *:[v2i64] } 678:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (SQABSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 145668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv2i64),
     /* 145671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145675 */     GIR_RootConstrainSelectedInstOperands,
     /* 145676 */     // GIR_Coverage, 1028,
     /* 145676 */     GIR_EraseRootFromParent_Done,
     /* 145677 */   // Label 2844: @145677
     /* 145677 */   GIM_Try, /*On fail goto*//*Label 2845*/ GIMT_Encode4(145713), // Rule ID 1029 //
     /* 145682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 145693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 145696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145704 */     // (intrinsic_wo_chain:{ *:[v8i8] } 685:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SQNEGv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 145704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv8i8),
     /* 145707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145709 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145711 */     GIR_RootConstrainSelectedInstOperands,
     /* 145712 */     // GIR_Coverage, 1029,
     /* 145712 */     GIR_EraseRootFromParent_Done,
     /* 145713 */   // Label 2845: @145713
     /* 145713 */   GIM_Try, /*On fail goto*//*Label 2846*/ GIMT_Encode4(145749), // Rule ID 1030 //
     /* 145718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 145729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 145732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145740 */     // (intrinsic_wo_chain:{ *:[v16i8] } 685:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SQNEGv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 145740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv16i8),
     /* 145743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145747 */     GIR_RootConstrainSelectedInstOperands,
     /* 145748 */     // GIR_Coverage, 1030,
     /* 145748 */     GIR_EraseRootFromParent_Done,
     /* 145749 */   // Label 2846: @145749
     /* 145749 */   GIM_Try, /*On fail goto*//*Label 2847*/ GIMT_Encode4(145785), // Rule ID 1031 //
     /* 145754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 145765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 145768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145776 */     // (intrinsic_wo_chain:{ *:[v4i16] } 685:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SQNEGv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 145776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv4i16),
     /* 145779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145781 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145783 */     GIR_RootConstrainSelectedInstOperands,
     /* 145784 */     // GIR_Coverage, 1031,
     /* 145784 */     GIR_EraseRootFromParent_Done,
     /* 145785 */   // Label 2847: @145785
     /* 145785 */   GIM_Try, /*On fail goto*//*Label 2848*/ GIMT_Encode4(145821), // Rule ID 1032 //
     /* 145790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 145801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 145804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145812 */     // (intrinsic_wo_chain:{ *:[v8i16] } 685:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SQNEGv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 145812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv8i16),
     /* 145815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145817 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145819 */     GIR_RootConstrainSelectedInstOperands,
     /* 145820 */     // GIR_Coverage, 1032,
     /* 145820 */     GIR_EraseRootFromParent_Done,
     /* 145821 */   // Label 2848: @145821
     /* 145821 */   GIM_Try, /*On fail goto*//*Label 2849*/ GIMT_Encode4(145857), // Rule ID 1033 //
     /* 145826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 145837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 145840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145848 */     // (intrinsic_wo_chain:{ *:[v2i32] } 685:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (SQNEGv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 145848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv2i32),
     /* 145851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145853 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145855 */     GIR_RootConstrainSelectedInstOperands,
     /* 145856 */     // GIR_Coverage, 1033,
     /* 145856 */     GIR_EraseRootFromParent_Done,
     /* 145857 */   // Label 2849: @145857
     /* 145857 */   GIM_Try, /*On fail goto*//*Label 2850*/ GIMT_Encode4(145893), // Rule ID 1034 //
     /* 145862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 145873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 145876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145884 */     // (intrinsic_wo_chain:{ *:[v4i32] } 685:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (SQNEGv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 145884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv4i32),
     /* 145887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145891 */     GIR_RootConstrainSelectedInstOperands,
     /* 145892 */     // GIR_Coverage, 1034,
     /* 145892 */     GIR_EraseRootFromParent_Done,
     /* 145893 */   // Label 2850: @145893
     /* 145893 */   GIM_Try, /*On fail goto*//*Label 2851*/ GIMT_Encode4(145929), // Rule ID 1035 //
     /* 145898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 145906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 145909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 145912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145920 */     // (intrinsic_wo_chain:{ *:[v2i64] } 685:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (SQNEGv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 145920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv2i64),
     /* 145923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145927 */     GIR_RootConstrainSelectedInstOperands,
     /* 145928 */     // GIR_Coverage, 1035,
     /* 145928 */     GIR_EraseRootFromParent_Done,
     /* 145929 */   // Label 2851: @145929
     /* 145929 */   GIM_Try, /*On fail goto*//*Label 2852*/ GIMT_Encode4(145965), // Rule ID 1062 //
     /* 145934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 145942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 145945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 145948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 145956 */     // (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (UADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 145956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i8_v4i16),
     /* 145959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145963 */     GIR_RootConstrainSelectedInstOperands,
     /* 145964 */     // GIR_Coverage, 1062,
     /* 145964 */     GIR_EraseRootFromParent_Done,
     /* 145965 */   // Label 2852: @145965
     /* 145965 */   GIM_Try, /*On fail goto*//*Label 2853*/ GIMT_Encode4(146001), // Rule ID 1064 //
     /* 145970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 145973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 145978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 145981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 145984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 145992 */     // (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (UADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 145992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv16i8_v8i16),
     /* 145995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 145997 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 145999 */     GIR_RootConstrainSelectedInstOperands,
     /* 146000 */     // GIR_Coverage, 1064,
     /* 146000 */     GIR_EraseRootFromParent_Done,
     /* 146001 */   // Label 2853: @146001
     /* 146001 */   GIM_Try, /*On fail goto*//*Label 2854*/ GIMT_Encode4(146037), // Rule ID 1066 //
     /* 146006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 146014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 146017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146028 */     // (intrinsic_wo_chain:{ *:[v2i32] } 725:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (UADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 146028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i16_v2i32),
     /* 146031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146033 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146035 */     GIR_RootConstrainSelectedInstOperands,
     /* 146036 */     // GIR_Coverage, 1066,
     /* 146036 */     GIR_EraseRootFromParent_Done,
     /* 146037 */   // Label 2854: @146037
     /* 146037 */   GIM_Try, /*On fail goto*//*Label 2855*/ GIMT_Encode4(146073), // Rule ID 1068 //
     /* 146042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 146050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 146053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 146056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146064 */     // (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (UADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 146064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i16_v4i32),
     /* 146067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146071 */     GIR_RootConstrainSelectedInstOperands,
     /* 146072 */     // GIR_Coverage, 1068,
     /* 146072 */     GIR_EraseRootFromParent_Done,
     /* 146073 */   // Label 2855: @146073
     /* 146073 */   GIM_Try, /*On fail goto*//*Label 2856*/ GIMT_Encode4(146109), // Rule ID 1070 //
     /* 146078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 146086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 146089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 146092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146100 */     // (intrinsic_wo_chain:{ *:[v1i64] } 725:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (UADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 146100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv2i32_v1i64),
     /* 146103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146105 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146107 */     GIR_RootConstrainSelectedInstOperands,
     /* 146108 */     // GIR_Coverage, 1070,
     /* 146108 */     GIR_EraseRootFromParent_Done,
     /* 146109 */   // Label 2856: @146109
     /* 146109 */   GIM_Try, /*On fail goto*//*Label 2857*/ GIMT_Encode4(146145), // Rule ID 1072 //
     /* 146114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 146122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 146125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146136 */     // (intrinsic_wo_chain:{ *:[v2i64] } 725:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (UADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 146136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i32_v2i64),
     /* 146139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146141 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146143 */     GIR_RootConstrainSelectedInstOperands,
     /* 146144 */     // GIR_Coverage, 1072,
     /* 146144 */     GIR_EraseRootFromParent_Done,
     /* 146145 */   // Label 2857: @146145
     /* 146145 */   GIM_Try, /*On fail goto*//*Label 2858*/ GIMT_Encode4(146181), // Rule ID 1086 //
     /* 146150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urecpe),
     /* 146158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 146161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 146164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146172 */     // (intrinsic_wo_chain:{ *:[v2i32] } 746:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (URECPEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 146172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPEv2i32),
     /* 146175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146177 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146179 */     GIR_RootConstrainSelectedInstOperands,
     /* 146180 */     // GIR_Coverage, 1086,
     /* 146180 */     GIR_EraseRootFromParent_Done,
     /* 146181 */   // Label 2858: @146181
     /* 146181 */   GIM_Try, /*On fail goto*//*Label 2859*/ GIMT_Encode4(146217), // Rule ID 1087 //
     /* 146186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urecpe),
     /* 146194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 146197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146208 */     // (intrinsic_wo_chain:{ *:[v4i32] } 746:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (URECPEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 146208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPEv4i32),
     /* 146211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146213 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146215 */     GIR_RootConstrainSelectedInstOperands,
     /* 146216 */     // GIR_Coverage, 1087,
     /* 146216 */     GIR_EraseRootFromParent_Done,
     /* 146217 */   // Label 2859: @146217
     /* 146217 */   GIM_Try, /*On fail goto*//*Label 2860*/ GIMT_Encode4(146253), // Rule ID 1088 //
     /* 146222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ursqrte),
     /* 146230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 146233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 146236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146244 */     // (intrinsic_wo_chain:{ *:[v2i32] } 749:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (URSQRTEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 146244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTEv2i32),
     /* 146247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146249 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146251 */     GIR_RootConstrainSelectedInstOperands,
     /* 146252 */     // GIR_Coverage, 1088,
     /* 146252 */     GIR_EraseRootFromParent_Done,
     /* 146253 */   // Label 2860: @146253
     /* 146253 */   GIM_Try, /*On fail goto*//*Label 2861*/ GIMT_Encode4(146289), // Rule ID 1089 //
     /* 146258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ursqrte),
     /* 146266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 146269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146280 */     // (intrinsic_wo_chain:{ *:[v4i32] } 749:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (URSQRTEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 146280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTEv4i32),
     /* 146283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146287 */     GIR_RootConstrainSelectedInstOperands,
     /* 146288 */     // GIR_Coverage, 1089,
     /* 146288 */     GIR_EraseRootFromParent_Done,
     /* 146289 */   // Label 2861: @146289
     /* 146289 */   GIM_Try, /*On fail goto*//*Label 2862*/ GIMT_Encode4(146325), // Rule ID 1653 //
     /* 146294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fcvtxn),
     /* 146302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146316 */     // (intrinsic_wo_chain:{ *:[f32] } 786:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FCVTXNv1i64:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 146316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNv1i64),
     /* 146319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146321 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146323 */     GIR_RootConstrainSelectedInstOperands,
     /* 146324 */     // GIR_Coverage, 1653,
     /* 146324 */     GIR_EraseRootFromParent_Done,
     /* 146325 */   // Label 2862: @146325
     /* 146325 */   GIM_Try, /*On fail goto*//*Label 2863*/ GIMT_Encode4(146361), // Rule ID 1659 //
     /* 146330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 146338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 146341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146352 */     // (intrinsic_wo_chain:{ *:[i64] } 678:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn)  =>  (SQABSv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /* 146352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv1i64),
     /* 146355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146357 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146359 */     GIR_RootConstrainSelectedInstOperands,
     /* 146360 */     // GIR_Coverage, 1659,
     /* 146360 */     GIR_EraseRootFromParent_Done,
     /* 146361 */   // Label 2863: @146361
     /* 146361 */   GIM_Try, /*On fail goto*//*Label 2864*/ GIMT_Encode4(146397), // Rule ID 1660 //
     /* 146366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 146374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 146380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146388 */     // (intrinsic_wo_chain:{ *:[i32] } 678:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn)  =>  (SQABSv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn)
     /* 146388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv1i32),
     /* 146391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146393 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146395 */     GIR_RootConstrainSelectedInstOperands,
     /* 146396 */     // GIR_Coverage, 1660,
     /* 146396 */     GIR_EraseRootFromParent_Done,
     /* 146397 */   // Label 2864: @146397
     /* 146397 */   GIM_Try, /*On fail goto*//*Label 2865*/ GIMT_Encode4(146433), // Rule ID 1661 //
     /* 146402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 146410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 146413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146424 */     // (intrinsic_wo_chain:{ *:[i64] } 685:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn)  =>  (SQNEGv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /* 146424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv1i64),
     /* 146427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146429 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146431 */     GIR_RootConstrainSelectedInstOperands,
     /* 146432 */     // GIR_Coverage, 1661,
     /* 146432 */     GIR_EraseRootFromParent_Done,
     /* 146433 */   // Label 2865: @146433
     /* 146433 */   GIM_Try, /*On fail goto*//*Label 2866*/ GIMT_Encode4(146469), // Rule ID 1662 //
     /* 146438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 146446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 146452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146460 */     // (intrinsic_wo_chain:{ *:[i32] } 685:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn)  =>  (SQNEGv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn)
     /* 146460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv1i32),
     /* 146463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146465 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146467 */     GIR_RootConstrainSelectedInstOperands,
     /* 146468 */     // GIR_Coverage, 1662,
     /* 146468 */     GIR_EraseRootFromParent_Done,
     /* 146469 */   // Label 2866: @146469
     /* 146469 */   GIM_Try, /*On fail goto*//*Label 2867*/ GIMT_Encode4(146505), // Rule ID 1663 //
     /* 146474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_scalar_sqxtn),
     /* 146482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146496 */     // (intrinsic_wo_chain:{ *:[f32] } 663:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (SQXTNv1i32:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 146496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNv1i32),
     /* 146499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146501 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146503 */     GIR_RootConstrainSelectedInstOperands,
     /* 146504 */     // GIR_Coverage, 1663,
     /* 146504 */     GIR_EraseRootFromParent_Done,
     /* 146505 */   // Label 2867: @146505
     /* 146505 */   GIM_Try, /*On fail goto*//*Label 2868*/ GIMT_Encode4(146541), // Rule ID 1664 //
     /* 146510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_scalar_sqxtun),
     /* 146518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146532 */     // (intrinsic_wo_chain:{ *:[f32] } 664:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (SQXTUNv1i32:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 146532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNv1i32),
     /* 146535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146539 */     GIR_RootConstrainSelectedInstOperands,
     /* 146540 */     // GIR_Coverage, 1664,
     /* 146540 */     GIR_EraseRootFromParent_Done,
     /* 146541 */   // Label 2868: @146541
     /* 146541 */   GIM_Try, /*On fail goto*//*Label 2869*/ GIMT_Encode4(146577), // Rule ID 1670 //
     /* 146546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_scalar_uqxtn),
     /* 146554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 146560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146568 */     // (intrinsic_wo_chain:{ *:[f32] } 665:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (UQXTNv1i32:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 146568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNv1i32),
     /* 146571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146575 */     GIR_RootConstrainSelectedInstOperands,
     /* 146576 */     // GIR_Coverage, 1670,
     /* 146576 */     GIR_EraseRootFromParent_Done,
     /* 146577 */   // Label 2869: @146577
     /* 146577 */   GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(146613), // Rule ID 1943 //
     /* 146582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 146590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146604 */     // (intrinsic_wo_chain:{ *:[f16] } 597:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMAXNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 146604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i16v),
     /* 146607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146609 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146611 */     GIR_RootConstrainSelectedInstOperands,
     /* 146612 */     // GIR_Coverage, 1943,
     /* 146612 */     GIR_EraseRootFromParent_Done,
     /* 146613 */   // Label 2870: @146613
     /* 146613 */   GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(146649), // Rule ID 1945 //
     /* 146618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 146626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 146632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146640 */     // (intrinsic_wo_chain:{ *:[f16] } 597:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMAXNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 146640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv8i16v),
     /* 146643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146645 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146647 */     GIR_RootConstrainSelectedInstOperands,
     /* 146648 */     // GIR_Coverage, 1945,
     /* 146648 */     GIR_EraseRootFromParent_Done,
     /* 146649 */   // Label 2871: @146649
     /* 146649 */   GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(146685), // Rule ID 1947 //
     /* 146654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 146662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146676 */     // (intrinsic_wo_chain:{ *:[f32] } 597:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMAXNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 146676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i32v),
     /* 146679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146681 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146683 */     GIR_RootConstrainSelectedInstOperands,
     /* 146684 */     // GIR_Coverage, 1947,
     /* 146684 */     GIR_EraseRootFromParent_Done,
     /* 146685 */   // Label 2872: @146685
     /* 146685 */   GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(146721), // Rule ID 1949 //
     /* 146690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 146698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146712 */     // (intrinsic_wo_chain:{ *:[f16] } 599:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMAXVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 146712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i16v),
     /* 146715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146717 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146719 */     GIR_RootConstrainSelectedInstOperands,
     /* 146720 */     // GIR_Coverage, 1949,
     /* 146720 */     GIR_EraseRootFromParent_Done,
     /* 146721 */   // Label 2873: @146721
     /* 146721 */   GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(146757), // Rule ID 1951 //
     /* 146726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 146734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 146740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146748 */     // (intrinsic_wo_chain:{ *:[f16] } 599:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMAXVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 146748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv8i16v),
     /* 146751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146753 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146755 */     GIR_RootConstrainSelectedInstOperands,
     /* 146756 */     // GIR_Coverage, 1951,
     /* 146756 */     GIR_EraseRootFromParent_Done,
     /* 146757 */   // Label 2874: @146757
     /* 146757 */   GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(146793), // Rule ID 1953 //
     /* 146762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 146770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146784 */     // (intrinsic_wo_chain:{ *:[f32] } 599:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMAXVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 146784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i32v),
     /* 146787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146789 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146791 */     GIR_RootConstrainSelectedInstOperands,
     /* 146792 */     // GIR_Coverage, 1953,
     /* 146792 */     GIR_EraseRootFromParent_Done,
     /* 146793 */   // Label 2875: @146793
     /* 146793 */   GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(146829), // Rule ID 1955 //
     /* 146798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 146806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146820 */     // (intrinsic_wo_chain:{ *:[f16] } 603:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMINNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 146820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i16v),
     /* 146823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146825 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146827 */     GIR_RootConstrainSelectedInstOperands,
     /* 146828 */     // GIR_Coverage, 1955,
     /* 146828 */     GIR_EraseRootFromParent_Done,
     /* 146829 */   // Label 2876: @146829
     /* 146829 */   GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(146865), // Rule ID 1957 //
     /* 146834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 146842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 146848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146856 */     // (intrinsic_wo_chain:{ *:[f16] } 603:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMINNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 146856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv8i16v),
     /* 146859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146863 */     GIR_RootConstrainSelectedInstOperands,
     /* 146864 */     // GIR_Coverage, 1957,
     /* 146864 */     GIR_EraseRootFromParent_Done,
     /* 146865 */   // Label 2877: @146865
     /* 146865 */   GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(146901), // Rule ID 1959 //
     /* 146870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 146878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146892 */     // (intrinsic_wo_chain:{ *:[f32] } 603:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMINNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 146892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i32v),
     /* 146895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146897 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146899 */     GIR_RootConstrainSelectedInstOperands,
     /* 146900 */     // GIR_Coverage, 1959,
     /* 146900 */     GIR_EraseRootFromParent_Done,
     /* 146901 */   // Label 2878: @146901
     /* 146901 */   GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(146937), // Rule ID 1961 //
     /* 146906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 146914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 146920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 146928 */     // (intrinsic_wo_chain:{ *:[f16] } 605:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn)  =>  (FMINVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 146928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i16v),
     /* 146931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146935 */     GIR_RootConstrainSelectedInstOperands,
     /* 146936 */     // GIR_Coverage, 1961,
     /* 146936 */     GIR_EraseRootFromParent_Done,
     /* 146937 */   // Label 2879: @146937
     /* 146937 */   GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(146973), // Rule ID 1963 //
     /* 146942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 146945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 146950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 146953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 146956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 146960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 146964 */     // (intrinsic_wo_chain:{ *:[f16] } 605:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn)  =>  (FMINVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 146964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINVv8i16v),
     /* 146967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 146969 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 146971 */     GIR_RootConstrainSelectedInstOperands,
     /* 146972 */     // GIR_Coverage, 1963,
     /* 146972 */     GIR_EraseRootFromParent_Done,
     /* 146973 */   // Label 2880: @146973
     /* 146973 */   GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(147009), // Rule ID 1965 //
     /* 146978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 146981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 146986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 146989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 146992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 146996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147000 */     // (intrinsic_wo_chain:{ *:[f32] } 605:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FMINVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 147000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i32v),
     /* 147003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147007 */     GIR_RootConstrainSelectedInstOperands,
     /* 147008 */     // GIR_Coverage, 1965,
     /* 147008 */     GIR_EraseRootFromParent_Done,
     /* 147009 */   // Label 2881: @147009
     /* 147009 */   GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(147045), // Rule ID 2305 //
     /* 147014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 147017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesmc),
     /* 147022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 147025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 147028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147036 */     // (intrinsic_wo_chain:{ *:[v16i8] } 514:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (AESMCrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 147036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESMCrr),
     /* 147039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147041 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147043 */     GIR_RootConstrainSelectedInstOperands,
     /* 147044 */     // GIR_Coverage, 2305,
     /* 147044 */     GIR_EraseRootFromParent_Done,
     /* 147045 */   // Label 2882: @147045
     /* 147045 */   GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(147081), // Rule ID 2306 //
     /* 147050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 147053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesimc),
     /* 147058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 147061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 147064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147072 */     // (intrinsic_wo_chain:{ *:[v16i8] } 513:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (AESIMCrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 147072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESIMCrr),
     /* 147075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147077 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147079 */     GIR_RootConstrainSelectedInstOperands,
     /* 147080 */     // GIR_Coverage, 2306,
     /* 147080 */     GIR_EraseRootFromParent_Done,
     /* 147081 */   // Label 2883: @147081
     /* 147081 */   GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(147117), // Rule ID 2314 //
     /* 147086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 147089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1h),
     /* 147094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 147100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 147108 */     // (intrinsic_wo_chain:{ *:[i32] } 521:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn)  =>  (SHA1Hrr:{ *:[i32] } FPR32:{ *:[i32] }:$Rn)
     /* 147108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Hrr),
     /* 147111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147115 */     GIR_RootConstrainSelectedInstOperands,
     /* 147116 */     // GIR_Coverage, 2314,
     /* 147116 */     GIR_EraseRootFromParent_Done,
     /* 147117 */   // Label 2884: @147117
     /* 147117 */   GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(147153), // Rule ID 2515 //
     /* 147122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 147125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqabs),
     /* 147130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147144 */     // (intrinsic_wo_chain:{ *:[v1i64] } 678:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn)  =>  (SQABSv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 147144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABSv1i64),
     /* 147147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147151 */     GIR_RootConstrainSelectedInstOperands,
     /* 147152 */     // GIR_Coverage, 2515,
     /* 147152 */     GIR_EraseRootFromParent_Done,
     /* 147153 */   // Label 2885: @147153
     /* 147153 */   GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(147192), // Rule ID 3548 //
     /* 147158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 147166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 147169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 147172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1627:{ *:[iPTR] }, ZPRAny:{ *:[nxv16i8] }:$Zn)  =>  (PMOV_PZI_B:{ *:[nxv16i1] } ZPRAny:{ *:[nxv16i8] }:$Zn, 0:{ *:[i32] })
     /* 147180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_B),
     /* 147183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 147185 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 147187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147190 */     GIR_RootConstrainSelectedInstOperands,
     /* 147191 */     // GIR_Coverage, 3548,
     /* 147191 */     GIR_EraseRootFromParent_Done,
     /* 147192 */   // Label 2886: @147192
     /* 147192 */   GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(147231), // Rule ID 3549 //
     /* 147197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 147205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 147208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 147211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147219 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1627:{ *:[iPTR] }, ZPRAny:{ *:[nxv8i16] }:$Zn)  =>  (PMOV_PZI_H:{ *:[nxv8i1] } ZPRAny:{ *:[nxv8i16] }:$Zn, 0:{ *:[i32] })
     /* 147219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_H),
     /* 147222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 147224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 147226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147229 */     GIR_RootConstrainSelectedInstOperands,
     /* 147230 */     // GIR_Coverage, 3549,
     /* 147230 */     GIR_EraseRootFromParent_Done,
     /* 147231 */   // Label 2887: @147231
     /* 147231 */   GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(147270), // Rule ID 3550 //
     /* 147236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 147244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 147247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 147250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147258 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1627:{ *:[iPTR] }, ZPRAny:{ *:[nxv4i32] }:$Zn)  =>  (PMOV_PZI_S:{ *:[nxv4i1] } ZPRAny:{ *:[nxv4i32] }:$Zn, 0:{ *:[i32] })
     /* 147258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_S),
     /* 147261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 147263 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 147265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147268 */     GIR_RootConstrainSelectedInstOperands,
     /* 147269 */     // GIR_Coverage, 3550,
     /* 147269 */     GIR_EraseRootFromParent_Done,
     /* 147270 */   // Label 2888: @147270
     /* 147270 */   GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(147309), // Rule ID 3551 //
     /* 147275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane_zero),
     /* 147283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 147286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 147289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147297 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1627:{ *:[iPTR] }, ZPRAny:{ *:[nxv2i64] }:$Zn)  =>  (PMOV_PZI_D:{ *:[nxv2i1] } ZPRAny:{ *:[nxv2i64] }:$Zn, 0:{ *:[i32] })
     /* 147297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_D),
     /* 147300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 147302 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 147304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147307 */     GIR_RootConstrainSelectedInstOperands,
     /* 147308 */     // GIR_Coverage, 3551,
     /* 147308 */     GIR_EraseRootFromParent_Done,
     /* 147309 */   // Label 2889: @147309
     /* 147309 */   GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(147365), // Rule ID 3555 //
     /* 147314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 147322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 147325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 147328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1629:{ *:[iPTR] }, PPR8:{ *:[nxv16i1] }:$Pn)  =>  (PMOV_ZIP_B:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i64] }, PPR8:{ *:[nxv16i1] }:$Pn)
     /* 147336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 147339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 147343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 147350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_B),
     /* 147353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 147355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 147358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147361 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 147363 */     GIR_RootConstrainSelectedInstOperands,
     /* 147364 */     // GIR_Coverage, 3555,
     /* 147364 */     GIR_EraseRootFromParent_Done,
     /* 147365 */   // Label 2890: @147365
     /* 147365 */   GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(147421), // Rule ID 3556 //
     /* 147370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 147378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 147381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 147384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147392 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1629:{ *:[iPTR] }, PPR16:{ *:[nxv8i1] }:$Pn)  =>  (PMOV_ZIP_H:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i32] }, PPR16:{ *:[nxv8i1] }:$Pn)
     /* 147392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 147395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 147399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 147406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_H),
     /* 147409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 147411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 147414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147417 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 147419 */     GIR_RootConstrainSelectedInstOperands,
     /* 147420 */     // GIR_Coverage, 3556,
     /* 147420 */     GIR_EraseRootFromParent_Done,
     /* 147421 */   // Label 2891: @147421
     /* 147421 */   GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(147477), // Rule ID 3557 //
     /* 147426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 147434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 147437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 147440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147448 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1629:{ *:[iPTR] }, PPR32:{ *:[nxv4i1] }:$Pn)  =>  (PMOV_ZIP_S:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i32] }, PPR32:{ *:[nxv4i1] }:$Pn)
     /* 147448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 147451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 147455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 147462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_S),
     /* 147465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 147467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 147470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 147475 */     GIR_RootConstrainSelectedInstOperands,
     /* 147476 */     // GIR_Coverage, 3557,
     /* 147476 */     GIR_EraseRootFromParent_Done,
     /* 147477 */   // Label 2892: @147477
     /* 147477 */   GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(147533), // Rule ID 3558 //
     /* 147482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 147485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_zeroing),
     /* 147490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 147493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 147496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 147500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 147504 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1629:{ *:[iPTR] }, PPR64:{ *:[nxv2i1] }:$Pn)  =>  (PMOV_ZIP_D:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), 0:{ *:[i32] }, PPR64:{ *:[nxv2i1] }:$Pn)
     /* 147504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 147507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 147511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 147518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_D),
     /* 147521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 147523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 147526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 147529 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 147531 */     GIR_RootConstrainSelectedInstOperands,
     /* 147532 */     // GIR_Coverage, 3558,
     /* 147532 */     GIR_EraseRootFromParent_Done,
     /* 147533 */   // Label 2893: @147533
     /* 147533 */   GIM_Try, /*On fail goto*//*Label 2894*/ GIMT_Encode4(147566), // Rule ID 4009 //
     /* 147538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_cls),
     /* 147543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 147549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 147553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 147557 */     // (intrinsic_wo_chain:{ *:[i32] } 501:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn)  =>  (CLSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 147557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSWr),
     /* 147560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147562 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147564 */     GIR_RootConstrainSelectedInstOperands,
     /* 147565 */     // GIR_Coverage, 4009,
     /* 147565 */     GIR_EraseRootFromParent_Done,
     /* 147566 */   // Label 2894: @147566
     /* 147566 */   GIM_Try, /*On fail goto*//*Label 2895*/ GIMT_Encode4(147631), // Rule ID 4010 //
     /* 147571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_cls64),
     /* 147576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 147579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 147586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 147590 */     // (intrinsic_wo_chain:{ *:[i32] } 502:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rm)  =>  (EXTRACT_SUBREG:{ *:[i32] } (CLSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rm), sub_32:{ *:[i32] })
     /* 147590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 147593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CLSXr),
     /* 147597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 147602 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 147606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 147608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 147611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 147613 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::sub_32),
     /* 147620 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 147625 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 147630 */     // GIR_Coverage, 4010,
     /* 147630 */     GIR_EraseRootFromParent_Done,
     /* 147631 */   // Label 2895: @147631
     /* 147631 */   GIM_Try, /*On fail goto*//*Label 2896*/ GIMT_Encode4(147664), // Rule ID 4780 //
     /* 147636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32z),
     /* 147641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147655 */     // (intrinsic_wo_chain:{ *:[v1f64] } 636:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT32ZDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32ZDr),
     /* 147658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147660 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147662 */     GIR_RootConstrainSelectedInstOperands,
     /* 147663 */     // GIR_Coverage, 4780,
     /* 147663 */     GIR_EraseRootFromParent_Done,
     /* 147664 */   // Label 2896: @147664
     /* 147664 */   GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(147697), // Rule ID 4781 //
     /* 147669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64z),
     /* 147674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147688 */     // (intrinsic_wo_chain:{ *:[v1f64] } 638:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT64ZDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64ZDr),
     /* 147691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147695 */     GIR_RootConstrainSelectedInstOperands,
     /* 147696 */     // GIR_Coverage, 4781,
     /* 147696 */     GIR_EraseRootFromParent_Done,
     /* 147697 */   // Label 2897: @147697
     /* 147697 */   GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(147730), // Rule ID 4782 //
     /* 147702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint32x),
     /* 147707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147721 */     // (intrinsic_wo_chain:{ *:[v1f64] } 635:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT32XDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT32XDr),
     /* 147724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147728 */     GIR_RootConstrainSelectedInstOperands,
     /* 147729 */     // GIR_Coverage, 4782,
     /* 147729 */     GIR_EraseRootFromParent_Done,
     /* 147730 */   // Label 2898: @147730
     /* 147730 */   GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(147763), // Rule ID 4783 //
     /* 147735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frint64x),
     /* 147740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147754 */     // (intrinsic_wo_chain:{ *:[v1f64] } 637:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRINT64XDr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRINT64XDr),
     /* 147757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147759 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147761 */     GIR_RootConstrainSelectedInstOperands,
     /* 147762 */     // GIR_Coverage, 4783,
     /* 147762 */     GIR_EraseRootFromParent_Done,
     /* 147763 */   // Label 2899: @147763
     /* 147763 */   GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(147796), // Rule ID 4897 //
     /* 147768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvthf2fp),
     /* 147773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 147776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 147779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147787 */     // (intrinsic_wo_chain:{ *:[v4f32] } 767:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (FCVTLv4i16:{ *:[v4f32] } V64:{ *:[v4i16] }:$Rn)
     /* 147787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 147790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147792 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147794 */     GIR_RootConstrainSelectedInstOperands,
     /* 147795 */     // GIR_Coverage, 4897,
     /* 147795 */     GIR_EraseRootFromParent_Done,
     /* 147796 */   // Label 2900: @147796
     /* 147796 */   GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(147829), // Rule ID 4907 //
     /* 147801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2hf),
     /* 147806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 147809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 147812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 147820 */     // (intrinsic_wo_chain:{ *:[v4i16] } 764:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNv4i16:{ *:[v4i16] } V128:{ *:[v4f32] }:$Rn)
     /* 147820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 147823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147825 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147827 */     GIR_RootConstrainSelectedInstOperands,
     /* 147828 */     // GIR_Coverage, 4907,
     /* 147828 */     GIR_EraseRootFromParent_Done,
     /* 147829 */   // Label 2901: @147829
     /* 147829 */   GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(147865), // Rule ID 5249 //
     /* 147834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 147837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqneg),
     /* 147842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147856 */     // (intrinsic_wo_chain:{ *:[v1i64] } 685:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn)  =>  (SQNEGv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 147856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEGv1i64),
     /* 147859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147863 */     GIR_RootConstrainSelectedInstOperands,
     /* 147864 */     // GIR_Coverage, 5249,
     /* 147864 */     GIR_EraseRootFromParent_Done,
     /* 147865 */   // Label 2902: @147865
     /* 147865 */   GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(147898), // Rule ID 5252 //
     /* 147870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtas),
     /* 147875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147889 */     // (intrinsic_wo_chain:{ *:[v1i64] } 583:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTASv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASv1i64),
     /* 147892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147896 */     GIR_RootConstrainSelectedInstOperands,
     /* 147897 */     // GIR_Coverage, 5252,
     /* 147897 */     GIR_EraseRootFromParent_Done,
     /* 147898 */   // Label 2903: @147898
     /* 147898 */   GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(147931), // Rule ID 5253 //
     /* 147903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtau),
     /* 147908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147922 */     // (intrinsic_wo_chain:{ *:[v1i64] } 584:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTAUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUv1i64),
     /* 147925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147927 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147929 */     GIR_RootConstrainSelectedInstOperands,
     /* 147930 */     // GIR_Coverage, 5253,
     /* 147930 */     GIR_EraseRootFromParent_Done,
     /* 147931 */   // Label 2904: @147931
     /* 147931 */   GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(147964), // Rule ID 5254 //
     /* 147936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtms),
     /* 147941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147955 */     // (intrinsic_wo_chain:{ *:[v1i64] } 585:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTMSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSv1i64),
     /* 147958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147962 */     GIR_RootConstrainSelectedInstOperands,
     /* 147963 */     // GIR_Coverage, 5254,
     /* 147963 */     GIR_EraseRootFromParent_Done,
     /* 147964 */   // Label 2905: @147964
     /* 147964 */   GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(147997), // Rule ID 5255 //
     /* 147969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtmu),
     /* 147974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 147977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 147980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 147988 */     // (intrinsic_wo_chain:{ *:[v1i64] } 586:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTMUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 147988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUv1i64),
     /* 147991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 147993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 147995 */     GIR_RootConstrainSelectedInstOperands,
     /* 147996 */     // GIR_Coverage, 5255,
     /* 147996 */     GIR_EraseRootFromParent_Done,
     /* 147997 */   // Label 2906: @147997
     /* 147997 */   GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(148030), // Rule ID 5256 //
     /* 148002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtns),
     /* 148007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148021 */     // (intrinsic_wo_chain:{ *:[v1i64] } 587:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTNSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNSv1i64),
     /* 148024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148028 */     GIR_RootConstrainSelectedInstOperands,
     /* 148029 */     // GIR_Coverage, 5256,
     /* 148029 */     GIR_EraseRootFromParent_Done,
     /* 148030 */   // Label 2907: @148030
     /* 148030 */   GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(148063), // Rule ID 5257 //
     /* 148035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtnu),
     /* 148040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148054 */     // (intrinsic_wo_chain:{ *:[v1i64] } 588:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTNUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNUv1i64),
     /* 148057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148059 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148061 */     GIR_RootConstrainSelectedInstOperands,
     /* 148062 */     // GIR_Coverage, 5257,
     /* 148062 */     GIR_EraseRootFromParent_Done,
     /* 148063 */   // Label 2908: @148063
     /* 148063 */   GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(148096), // Rule ID 5258 //
     /* 148068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtps),
     /* 148073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148087 */     // (intrinsic_wo_chain:{ *:[v1i64] } 589:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTPSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSv1i64),
     /* 148090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148094 */     GIR_RootConstrainSelectedInstOperands,
     /* 148095 */     // GIR_Coverage, 5258,
     /* 148095 */     GIR_EraseRootFromParent_Done,
     /* 148096 */   // Label 2909: @148096
     /* 148096 */   GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(148129), // Rule ID 5259 //
     /* 148101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtpu),
     /* 148106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148120 */     // (intrinsic_wo_chain:{ *:[v1i64] } 590:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTPUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUv1i64),
     /* 148123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148127 */     GIR_RootConstrainSelectedInstOperands,
     /* 148128 */     // GIR_Coverage, 5259,
     /* 148128 */     GIR_EraseRootFromParent_Done,
     /* 148129 */   // Label 2910: @148129
     /* 148129 */   GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(148162), // Rule ID 5260 //
     /* 148134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 148139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148153 */     // (intrinsic_wo_chain:{ *:[v1i64] } 592:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTZSv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1i64),
     /* 148156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148158 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148160 */     GIR_RootConstrainSelectedInstOperands,
     /* 148161 */     // GIR_Coverage, 5260,
     /* 148161 */     GIR_EraseRootFromParent_Done,
     /* 148162 */   // Label 2911: @148162
     /* 148162 */   GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(148195), // Rule ID 5261 //
     /* 148167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 148172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148186 */     // (intrinsic_wo_chain:{ *:[v1i64] } 593:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCVTZUv1i64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1i64),
     /* 148189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148191 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148193 */     GIR_RootConstrainSelectedInstOperands,
     /* 148194 */     // GIR_Coverage, 5261,
     /* 148194 */     GIR_EraseRootFromParent_Done,
     /* 148195 */   // Label 2912: @148195
     /* 148195 */   GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(148228), // Rule ID 5262 //
     /* 148200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 148205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 148208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 148211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148219 */     // (intrinsic_wo_chain:{ *:[f16] } 632:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FRECPEv1f16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 148219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1f16),
     /* 148222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148226 */     GIR_RootConstrainSelectedInstOperands,
     /* 148227 */     // GIR_Coverage, 5262,
     /* 148227 */     GIR_EraseRootFromParent_Done,
     /* 148228 */   // Label 2913: @148228
     /* 148228 */   GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(148261), // Rule ID 5263 //
     /* 148233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 148238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 148244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148252 */     // (intrinsic_wo_chain:{ *:[f32] } 632:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRECPEv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 148252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1i32),
     /* 148255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148257 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148259 */     GIR_RootConstrainSelectedInstOperands,
     /* 148260 */     // GIR_Coverage, 5263,
     /* 148260 */     GIR_EraseRootFromParent_Done,
     /* 148261 */   // Label 2914: @148261
     /* 148261 */   GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(148294), // Rule ID 5264 //
     /* 148266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 148271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148285 */     // (intrinsic_wo_chain:{ *:[f64] } 632:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRECPEv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 148285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1i64),
     /* 148288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148290 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148292 */     GIR_RootConstrainSelectedInstOperands,
     /* 148293 */     // GIR_Coverage, 5264,
     /* 148293 */     GIR_EraseRootFromParent_Done,
     /* 148294 */   // Label 2915: @148294
     /* 148294 */   GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(148327), // Rule ID 5265 //
     /* 148299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpe),
     /* 148304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148318 */     // (intrinsic_wo_chain:{ *:[v1f64] } 632:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRECPEv1i64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPEv1i64),
     /* 148321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148323 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148325 */     GIR_RootConstrainSelectedInstOperands,
     /* 148326 */     // GIR_Coverage, 5265,
     /* 148326 */     GIR_EraseRootFromParent_Done,
     /* 148327 */   // Label 2916: @148327
     /* 148327 */   GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(148360), // Rule ID 5277 //
     /* 148332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpx),
     /* 148337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 148340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 148343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148351 */     // (intrinsic_wo_chain:{ *:[f16] } 634:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FRECPXv1f16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 148351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPXv1f16),
     /* 148354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148358 */     GIR_RootConstrainSelectedInstOperands,
     /* 148359 */     // GIR_Coverage, 5277,
     /* 148359 */     GIR_EraseRootFromParent_Done,
     /* 148360 */   // Label 2917: @148360
     /* 148360 */   GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(148393), // Rule ID 5278 //
     /* 148365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpx),
     /* 148370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 148376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148384 */     // (intrinsic_wo_chain:{ *:[f32] } 634:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRECPXv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 148384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPXv1i32),
     /* 148387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148389 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148391 */     GIR_RootConstrainSelectedInstOperands,
     /* 148392 */     // GIR_Coverage, 5278,
     /* 148392 */     GIR_EraseRootFromParent_Done,
     /* 148393 */   // Label 2918: @148393
     /* 148393 */   GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(148426), // Rule ID 5279 //
     /* 148398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecpx),
     /* 148403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148417 */     // (intrinsic_wo_chain:{ *:[f64] } 634:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRECPXv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 148417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPXv1i64),
     /* 148420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148424 */     GIR_RootConstrainSelectedInstOperands,
     /* 148425 */     // GIR_Coverage, 5279,
     /* 148425 */     GIR_EraseRootFromParent_Done,
     /* 148426 */   // Label 2919: @148426
     /* 148426 */   GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(148459), // Rule ID 5280 //
     /* 148431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 148436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 148439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 148442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 148450 */     // (intrinsic_wo_chain:{ *:[f16] } 639:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn)  =>  (FRSQRTEv1f16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 148450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1f16),
     /* 148453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148455 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148457 */     GIR_RootConstrainSelectedInstOperands,
     /* 148458 */     // GIR_Coverage, 5280,
     /* 148458 */     GIR_EraseRootFromParent_Done,
     /* 148459 */   // Label 2920: @148459
     /* 148459 */   GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(148492), // Rule ID 5281 //
     /* 148464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 148469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 148475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148483 */     // (intrinsic_wo_chain:{ *:[f32] } 639:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn)  =>  (FRSQRTEv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 148483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1i32),
     /* 148486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148490 */     GIR_RootConstrainSelectedInstOperands,
     /* 148491 */     // GIR_Coverage, 5281,
     /* 148491 */     GIR_EraseRootFromParent_Done,
     /* 148492 */   // Label 2921: @148492
     /* 148492 */   GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(148525), // Rule ID 5282 //
     /* 148497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 148502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148516 */     // (intrinsic_wo_chain:{ *:[f64] } 639:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn)  =>  (FRSQRTEv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 148516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1i64),
     /* 148519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148521 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148523 */     GIR_RootConstrainSelectedInstOperands,
     /* 148524 */     // GIR_Coverage, 5282,
     /* 148524 */     GIR_EraseRootFromParent_Done,
     /* 148525 */   // Label 2922: @148525
     /* 148525 */   GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(148558), // Rule ID 5283 //
     /* 148530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrte),
     /* 148535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 148541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148549 */     // (intrinsic_wo_chain:{ *:[v1f64] } 639:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FRSQRTEv1i64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 148549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTEv1i64),
     /* 148552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148556 */     GIR_RootConstrainSelectedInstOperands,
     /* 148557 */     // GIR_Coverage, 5283,
     /* 148557 */     GIR_EraseRootFromParent_Done,
     /* 148558 */   // Label 2923: @148558
     /* 148558 */   GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(148591), // Rule ID 5613 //
     /* 148563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddv),
     /* 148568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148582 */     // (intrinsic_wo_chain:{ *:[f32] } 580:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 148582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 148585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148587 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148589 */     GIR_RootConstrainSelectedInstOperands,
     /* 148590 */     // GIR_Coverage, 5613,
     /* 148590 */     GIR_EraseRootFromParent_Done,
     /* 148591 */   // Label 2924: @148591
     /* 148591 */   GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(148676), // Rule ID 5614 //
     /* 148596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddv),
     /* 148601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 148607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148615 */     // (intrinsic_wo_chain:{ *:[f32] } 580:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } (FADDPv4f32:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn), dsub:{ *:[i32] }))
     /* 148615 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 148618 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 148622 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148627 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 148631 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 148635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 148637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 148640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 148644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 148649 */     GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 148656 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148661 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 148669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 148674 */     GIR_RootConstrainSelectedInstOperands,
     /* 148675 */     // GIR_Coverage, 5614,
     /* 148675 */     GIR_EraseRootFromParent_Done,
     /* 148676 */   // Label 2925: @148676
     /* 148676 */   GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(148709), // Rule ID 5615 //
     /* 148681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddv),
     /* 148686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 148692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148700 */     // (intrinsic_wo_chain:{ *:[f64] } 580:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FADDPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 148700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 148703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148707 */     GIR_RootConstrainSelectedInstOperands,
     /* 148708 */     // GIR_Coverage, 5615,
     /* 148708 */     GIR_EraseRootFromParent_Done,
     /* 148709 */   // Label 2926: @148709
     /* 148709 */   GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(148742), // Rule ID 5617 //
     /* 148714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 148719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148733 */     // (intrinsic_wo_chain:{ *:[f32] } 597:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMAXNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 148733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i32p),
     /* 148736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148738 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148740 */     GIR_RootConstrainSelectedInstOperands,
     /* 148741 */     // GIR_Coverage, 5617,
     /* 148741 */     GIR_EraseRootFromParent_Done,
     /* 148742 */   // Label 2927: @148742
     /* 148742 */   GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(148775), // Rule ID 5619 //
     /* 148747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmv),
     /* 148752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 148758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148766 */     // (intrinsic_wo_chain:{ *:[f64] } 597:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMAXNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 148766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i64p),
     /* 148769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148771 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148773 */     GIR_RootConstrainSelectedInstOperands,
     /* 148774 */     // GIR_Coverage, 5619,
     /* 148774 */     GIR_EraseRootFromParent_Done,
     /* 148775 */   // Label 2928: @148775
     /* 148775 */   GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(148808), // Rule ID 5621 //
     /* 148780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 148785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148799 */     // (intrinsic_wo_chain:{ *:[f32] } 599:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMAXPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 148799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i32p),
     /* 148802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148806 */     GIR_RootConstrainSelectedInstOperands,
     /* 148807 */     // GIR_Coverage, 5621,
     /* 148807 */     GIR_EraseRootFromParent_Done,
     /* 148808 */   // Label 2929: @148808
     /* 148808 */   GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(148841), // Rule ID 5623 //
     /* 148813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxv),
     /* 148818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 148824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148832 */     // (intrinsic_wo_chain:{ *:[f64] } 599:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMAXPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 148832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i64p),
     /* 148835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148837 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148839 */     GIR_RootConstrainSelectedInstOperands,
     /* 148840 */     // GIR_Coverage, 5623,
     /* 148840 */     GIR_EraseRootFromParent_Done,
     /* 148841 */   // Label 2930: @148841
     /* 148841 */   GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(148874), // Rule ID 5625 //
     /* 148846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 148851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148865 */     // (intrinsic_wo_chain:{ *:[f32] } 603:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMINNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 148865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i32p),
     /* 148868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148872 */     GIR_RootConstrainSelectedInstOperands,
     /* 148873 */     // GIR_Coverage, 5625,
     /* 148873 */     GIR_EraseRootFromParent_Done,
     /* 148874 */   // Label 2931: @148874
     /* 148874 */   GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(148907), // Rule ID 5627 //
     /* 148879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmv),
     /* 148884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 148890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148898 */     // (intrinsic_wo_chain:{ *:[f64] } 603:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMINNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 148898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i64p),
     /* 148901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148903 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148905 */     GIR_RootConstrainSelectedInstOperands,
     /* 148906 */     // GIR_Coverage, 5627,
     /* 148906 */     GIR_EraseRootFromParent_Done,
     /* 148907 */   // Label 2932: @148907
     /* 148907 */   GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(148940), // Rule ID 5629 //
     /* 148912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 148917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 148920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 148923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 148927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148931 */     // (intrinsic_wo_chain:{ *:[f32] } 605:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn)  =>  (FMINPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 148931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i32p),
     /* 148934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148938 */     GIR_RootConstrainSelectedInstOperands,
     /* 148939 */     // GIR_Coverage, 5629,
     /* 148939 */     GIR_EraseRootFromParent_Done,
     /* 148940 */   // Label 2933: @148940
     /* 148940 */   GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(148973), // Rule ID 5631 //
     /* 148945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminv),
     /* 148950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 148953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 148956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 148964 */     // (intrinsic_wo_chain:{ *:[f64] } 605:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn)  =>  (FMINPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 148964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i64p),
     /* 148967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 148969 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 148971 */     GIR_RootConstrainSelectedInstOperands,
     /* 148972 */     // GIR_Coverage, 5631,
     /* 148972 */     GIR_EraseRootFromParent_Done,
     /* 148973 */   // Label 2934: @148973
     /* 148973 */   GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(149006), // Rule ID 13104 //
     /* 148978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 148983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 148986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 148989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 148993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 148997 */     // (intrinsic_wo_chain:{ *:[i8] } 662:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 148997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 149000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149004 */     GIR_RootConstrainSelectedInstOperands,
     /* 149005 */     // GIR_Coverage, 13104,
     /* 149005 */     GIR_EraseRootFromParent_Done,
     /* 149006 */   // Label 2935: @149006
     /* 149006 */   GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(149039), // Rule ID 13106 //
     /* 149011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 149016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 149022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149030 */     // (intrinsic_wo_chain:{ *:[i8] } 662:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 149030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 149033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149035 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149037 */     GIR_RootConstrainSelectedInstOperands,
     /* 149038 */     // GIR_Coverage, 13106,
     /* 149038 */     GIR_EraseRootFromParent_Done,
     /* 149039 */   // Label 2936: @149039
     /* 149039 */   GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(149072), // Rule ID 13108 //
     /* 149044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 149049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 149055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149063 */     // (intrinsic_wo_chain:{ *:[i16] } 662:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 149063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 149066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149070 */     GIR_RootConstrainSelectedInstOperands,
     /* 149071 */     // GIR_Coverage, 13108,
     /* 149071 */     GIR_EraseRootFromParent_Done,
     /* 149072 */   // Label 2937: @149072
     /* 149072 */   GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(149105), // Rule ID 13110 //
     /* 149077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 149082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 149088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149096 */     // (intrinsic_wo_chain:{ *:[i16] } 662:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 149096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 149099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149103 */     GIR_RootConstrainSelectedInstOperands,
     /* 149104 */     // GIR_Coverage, 13110,
     /* 149104 */     GIR_EraseRootFromParent_Done,
     /* 149105 */   // Label 2938: @149105
     /* 149105 */   GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(149220), // Rule ID 13111 //
     /* 149110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 149115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 149121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149129 */     // (intrinsic_wo_chain:{ *:[i32] } 662:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 149129 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 149132 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i32v),
     /* 149136 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149141 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149147 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 149150 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149154 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 149164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149173 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149176 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149179 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 149182 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149187 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149192 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149202 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 149209 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149214 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149219 */     // GIR_Coverage, 13111,
     /* 149219 */     GIR_EraseRootFromParent_Done,
     /* 149220 */   // Label 2939: @149220
     /* 149220 */   GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(149253), // Rule ID 13113 //
     /* 149225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 149230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 149236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149244 */     // (intrinsic_wo_chain:{ *:[i8] } 727:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 149244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 149247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149249 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149251 */     GIR_RootConstrainSelectedInstOperands,
     /* 149252 */     // GIR_Coverage, 13113,
     /* 149252 */     GIR_EraseRootFromParent_Done,
     /* 149253 */   // Label 2940: @149253
     /* 149253 */   GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(149286), // Rule ID 13115 //
     /* 149258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 149263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 149269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149277 */     // (intrinsic_wo_chain:{ *:[i8] } 727:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 149277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 149280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149282 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149284 */     GIR_RootConstrainSelectedInstOperands,
     /* 149285 */     // GIR_Coverage, 13115,
     /* 149285 */     GIR_EraseRootFromParent_Done,
     /* 149286 */   // Label 2941: @149286
     /* 149286 */   GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(149319), // Rule ID 13117 //
     /* 149291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 149296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 149302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149310 */     // (intrinsic_wo_chain:{ *:[i16] } 727:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 149310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 149313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149317 */     GIR_RootConstrainSelectedInstOperands,
     /* 149318 */     // GIR_Coverage, 13117,
     /* 149318 */     GIR_EraseRootFromParent_Done,
     /* 149319 */   // Label 2942: @149319
     /* 149319 */   GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(149352), // Rule ID 13119 //
     /* 149324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 149329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 149332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 149335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 149339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149343 */     // (intrinsic_wo_chain:{ *:[i16] } 727:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 149343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 149346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149348 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149350 */     GIR_RootConstrainSelectedInstOperands,
     /* 149351 */     // GIR_Coverage, 13119,
     /* 149351 */     GIR_EraseRootFromParent_Done,
     /* 149352 */   // Label 2943: @149352
     /* 149352 */   GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(149467), // Rule ID 13120 //
     /* 149357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 149362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 149368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149376 */     // (intrinsic_wo_chain:{ *:[i32] } 727:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 149376 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 149379 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i32v),
     /* 149383 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149388 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149394 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 149397 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149401 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 149411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149420 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149423 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149426 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 149429 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149434 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149439 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149449 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 149456 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149461 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149466 */     // GIR_Coverage, 13120,
     /* 149466 */     GIR_EraseRootFromParent_Done,
     /* 149467 */   // Label 2944: @149467
     /* 149467 */   GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(149586), // Rule ID 13121 //
     /* 149472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 149477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 149483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149491 */     // (intrinsic_wo_chain:{ *:[i32] } 662:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 149491 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 149494 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 149498 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149503 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149507 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149513 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 149516 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149520 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 149530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149539 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149542 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149545 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 149548 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149553 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149558 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149568 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 149575 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149580 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149585 */     // GIR_Coverage, 13121,
     /* 149585 */     GIR_EraseRootFromParent_Done,
     /* 149586 */   // Label 2945: @149586
     /* 149586 */   GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(149701), // Rule ID 13122 //
     /* 149591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 149596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 149599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 149602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149610 */     // (intrinsic_wo_chain:{ *:[i64] } 662:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (ADDPv2i64p:{ *:[i64] } V128:{ *:[v2i64] }:$Rn), dsub:{ *:[i32] }), dsub:{ *:[i32] })
     /* 149610 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 149613 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /* 149617 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149622 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149628 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /* 149631 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149635 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 149645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149654 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149657 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149660 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 149663 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149668 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149673 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149683 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 149690 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149695 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149700 */     // GIR_Coverage, 13122,
     /* 149700 */     GIR_EraseRootFromParent_Done,
     /* 149701 */   // Label 2946: @149701
     /* 149701 */   GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(149820), // Rule ID 13123 //
     /* 149706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 149711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 149714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 149717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149725 */     // (intrinsic_wo_chain:{ *:[i32] } 727:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 149725 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 149728 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 149732 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149737 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149741 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149747 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 149750 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149754 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 149764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149773 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149776 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149779 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 149782 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149787 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149792 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149802 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 149809 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 149814 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149819 */     // GIR_Coverage, 13123,
     /* 149819 */     GIR_EraseRootFromParent_Done,
     /* 149820 */   // Label 2947: @149820
     /* 149820 */   GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(149935), // Rule ID 13124 //
     /* 149825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 149830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 149833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 149836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149844 */     // (intrinsic_wo_chain:{ *:[i64] } 727:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i64] } (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (ADDPv2i64p:{ *:[i64] } V128:{ *:[v2i64] }:$Rn), dsub:{ *:[i32] }), dsub:{ *:[i32] })
     /* 149844 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 149847 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /* 149851 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149856 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 149860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 149862 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /* 149865 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 149869 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 149876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 149879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 149883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 149888 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 149891 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 149894 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 149897 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149902 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149907 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 149915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 149917 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 149924 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149929 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149934 */     // GIR_Coverage, 13124,
     /* 149934 */     GIR_EraseRootFromParent_Done,
     /* 149935 */   // Label 2948: @149935
     /* 149935 */   GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(149968), // Rule ID 13126 //
     /* 149940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 149945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 149951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 149959 */     // (intrinsic_wo_chain:{ *:[i8] } 672:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 149959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i8v),
     /* 149962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149966 */     GIR_RootConstrainSelectedInstOperands,
     /* 149967 */     // GIR_Coverage, 13126,
     /* 149967 */     GIR_EraseRootFromParent_Done,
     /* 149968 */   // Label 2949: @149968
     /* 149968 */   GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(150001), // Rule ID 13128 //
     /* 149973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 149978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 149981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 149984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 149988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 149992 */     // (intrinsic_wo_chain:{ *:[i8] } 672:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 149992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv16i8v),
     /* 149995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 149997 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 149999 */     GIR_RootConstrainSelectedInstOperands,
     /* 150000 */     // GIR_Coverage, 13128,
     /* 150000 */     GIR_EraseRootFromParent_Done,
     /* 150001 */   // Label 2950: @150001
     /* 150001 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(150034), // Rule ID 13130 //
     /* 150006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 150011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 150014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 150017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 150021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150025 */     // (intrinsic_wo_chain:{ *:[i16] } 672:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 150025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i16v),
     /* 150028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150032 */     GIR_RootConstrainSelectedInstOperands,
     /* 150033 */     // GIR_Coverage, 13130,
     /* 150033 */     GIR_EraseRootFromParent_Done,
     /* 150034 */   // Label 2951: @150034
     /* 150034 */   GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(150067), // Rule ID 13132 //
     /* 150039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 150044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 150047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 150050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 150054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150058 */     // (intrinsic_wo_chain:{ *:[i16] } 672:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 150058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i16v),
     /* 150061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150063 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150065 */     GIR_RootConstrainSelectedInstOperands,
     /* 150066 */     // GIR_Coverage, 13132,
     /* 150066 */     GIR_EraseRootFromParent_Done,
     /* 150067 */   // Label 2952: @150067
     /* 150067 */   GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(150182), // Rule ID 13133 //
     /* 150072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 150077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 150083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150091 */     // (intrinsic_wo_chain:{ *:[i32] } 672:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 150091 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 150094 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i32v),
     /* 150098 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150103 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150109 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 150112 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150116 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 150126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150135 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150138 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150141 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 150144 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150149 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150154 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 150162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150164 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 150171 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150176 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150181 */     // GIR_Coverage, 13133,
     /* 150181 */     GIR_EraseRootFromParent_Done,
     /* 150182 */   // Label 2953: @150182
     /* 150182 */   GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(150301), // Rule ID 13134 //
     /* 150187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 150192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 150198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150206 */     // (intrinsic_wo_chain:{ *:[i32] } 672:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 150206 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 150209 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv2i32),
     /* 150213 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150218 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150222 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150228 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 150231 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150235 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 150245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150254 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150257 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150260 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 150263 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150268 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150273 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 150281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150283 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 150290 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150295 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150300 */     // GIR_Coverage, 13134,
     /* 150300 */     GIR_EraseRootFromParent_Done,
     /* 150301 */   // Label 2954: @150301
     /* 150301 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(150334), // Rule ID 13136 //
     /* 150306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 150311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 150314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 150317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 150321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150325 */     // (intrinsic_wo_chain:{ *:[i8] } 675:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (SMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 150325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i8v),
     /* 150328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150332 */     GIR_RootConstrainSelectedInstOperands,
     /* 150333 */     // GIR_Coverage, 13136,
     /* 150333 */     GIR_EraseRootFromParent_Done,
     /* 150334 */   // Label 2955: @150334
     /* 150334 */   GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(150367), // Rule ID 13138 //
     /* 150339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 150344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 150347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 150350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 150354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150358 */     // (intrinsic_wo_chain:{ *:[i8] } 675:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (SMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 150358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv16i8v),
     /* 150361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150363 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150365 */     GIR_RootConstrainSelectedInstOperands,
     /* 150366 */     // GIR_Coverage, 13138,
     /* 150366 */     GIR_EraseRootFromParent_Done,
     /* 150367 */   // Label 2956: @150367
     /* 150367 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(150400), // Rule ID 13140 //
     /* 150372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 150377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 150380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 150383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 150387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150391 */     // (intrinsic_wo_chain:{ *:[i16] } 675:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (SMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 150391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i16v),
     /* 150394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150396 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150398 */     GIR_RootConstrainSelectedInstOperands,
     /* 150399 */     // GIR_Coverage, 13140,
     /* 150399 */     GIR_EraseRootFromParent_Done,
     /* 150400 */   // Label 2957: @150400
     /* 150400 */   GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(150433), // Rule ID 13142 //
     /* 150405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 150410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 150413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 150416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 150420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150424 */     // (intrinsic_wo_chain:{ *:[i16] } 675:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (SMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 150424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i16v),
     /* 150427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150429 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150431 */     GIR_RootConstrainSelectedInstOperands,
     /* 150432 */     // GIR_Coverage, 13142,
     /* 150432 */     GIR_EraseRootFromParent_Done,
     /* 150433 */   // Label 2958: @150433
     /* 150433 */   GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(150548), // Rule ID 13143 //
     /* 150438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 150443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 150449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150457 */     // (intrinsic_wo_chain:{ *:[i32] } 675:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 150457 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 150460 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i32v),
     /* 150464 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150469 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150475 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 150478 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150482 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 150492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150501 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150504 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150507 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 150510 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150515 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150520 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 150528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150530 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 150537 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150542 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150547 */     // GIR_Coverage, 13143,
     /* 150547 */     GIR_EraseRootFromParent_Done,
     /* 150548 */   // Label 2959: @150548
     /* 150548 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(150667), // Rule ID 13144 //
     /* 150553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 150558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 150564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150572 */     // (intrinsic_wo_chain:{ *:[i32] } 675:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 150572 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 150575 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINPv2i32),
     /* 150579 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150584 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150588 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150594 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 150597 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150601 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 150611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150620 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150623 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150626 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 150629 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150634 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150639 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 150647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150649 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 150656 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150661 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150666 */     // GIR_Coverage, 13144,
     /* 150666 */     GIR_EraseRootFromParent_Done,
     /* 150667 */   // Label 2960: @150667
     /* 150667 */   GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(150700), // Rule ID 13146 //
     /* 150672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 150677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 150680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 150683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 150687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150691 */     // (intrinsic_wo_chain:{ *:[i8] } 733:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (UMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 150691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i8v),
     /* 150694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150696 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150698 */     GIR_RootConstrainSelectedInstOperands,
     /* 150699 */     // GIR_Coverage, 13146,
     /* 150699 */     GIR_EraseRootFromParent_Done,
     /* 150700 */   // Label 2961: @150700
     /* 150700 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(150733), // Rule ID 13148 //
     /* 150705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 150710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 150713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 150716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 150720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150724 */     // (intrinsic_wo_chain:{ *:[i8] } 733:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (UMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 150724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv16i8v),
     /* 150727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150729 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150731 */     GIR_RootConstrainSelectedInstOperands,
     /* 150732 */     // GIR_Coverage, 13148,
     /* 150732 */     GIR_EraseRootFromParent_Done,
     /* 150733 */   // Label 2962: @150733
     /* 150733 */   GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(150766), // Rule ID 13150 //
     /* 150738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 150743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 150746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 150749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 150753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150757 */     // (intrinsic_wo_chain:{ *:[i16] } 733:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (UMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 150757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i16v),
     /* 150760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150764 */     GIR_RootConstrainSelectedInstOperands,
     /* 150765 */     // GIR_Coverage, 13150,
     /* 150765 */     GIR_EraseRootFromParent_Done,
     /* 150766 */   // Label 2963: @150766
     /* 150766 */   GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(150799), // Rule ID 13152 //
     /* 150771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 150776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 150779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 150782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 150786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150790 */     // (intrinsic_wo_chain:{ *:[i16] } 733:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (UMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 150790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i16v),
     /* 150793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 150795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 150797 */     GIR_RootConstrainSelectedInstOperands,
     /* 150798 */     // GIR_Coverage, 13152,
     /* 150798 */     GIR_EraseRootFromParent_Done,
     /* 150799 */   // Label 2964: @150799
     /* 150799 */   GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(150914), // Rule ID 13153 //
     /* 150804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 150809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 150815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150823 */     // (intrinsic_wo_chain:{ *:[i32] } 733:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 150823 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 150826 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i32v),
     /* 150830 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150835 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150841 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 150844 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150848 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 150858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150867 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150870 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150873 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 150876 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150881 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150886 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 150894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 150896 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 150903 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150908 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 150913 */     // GIR_Coverage, 13153,
     /* 150913 */     GIR_EraseRootFromParent_Done,
     /* 150914 */   // Label 2965: @150914
     /* 150914 */   GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(151033), // Rule ID 13154 //
     /* 150919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 150924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 150927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 150930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 150934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 150938 */     // (intrinsic_wo_chain:{ *:[i32] } 733:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 150938 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 150941 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv2i32),
     /* 150945 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150950 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150954 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 150958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 150960 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 150963 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 150967 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 150974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 150977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 150981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 150986 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 150989 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 150992 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 150995 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151000 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151005 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 151013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151015 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 151022 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151027 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151032 */     // GIR_Coverage, 13154,
     /* 151032 */     GIR_EraseRootFromParent_Done,
     /* 151033 */   // Label 2966: @151033
     /* 151033 */   GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(151066), // Rule ID 13156 //
     /* 151038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 151043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 151046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 151049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 151053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151057 */     // (intrinsic_wo_chain:{ *:[i8] } 736:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (UMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 151057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i8v),
     /* 151060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151062 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151064 */     GIR_RootConstrainSelectedInstOperands,
     /* 151065 */     // GIR_Coverage, 13156,
     /* 151065 */     GIR_EraseRootFromParent_Done,
     /* 151066 */   // Label 2967: @151066
     /* 151066 */   GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(151099), // Rule ID 13158 //
     /* 151071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 151076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s8,
     /* 151079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 151082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 151086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151090 */     // (intrinsic_wo_chain:{ *:[i8] } 736:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (UMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 151090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv16i8v),
     /* 151093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151095 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151097 */     GIR_RootConstrainSelectedInstOperands,
     /* 151098 */     // GIR_Coverage, 13158,
     /* 151098 */     GIR_EraseRootFromParent_Done,
     /* 151099 */   // Label 2968: @151099
     /* 151099 */   GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(151132), // Rule ID 13160 //
     /* 151104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 151109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 151112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 151115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 151119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151123 */     // (intrinsic_wo_chain:{ *:[i16] } 736:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn)  =>  (UMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 151123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i16v),
     /* 151126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151130 */     GIR_RootConstrainSelectedInstOperands,
     /* 151131 */     // GIR_Coverage, 13160,
     /* 151131 */     GIR_EraseRootFromParent_Done,
     /* 151132 */   // Label 2969: @151132
     /* 151132 */   GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(151165), // Rule ID 13162 //
     /* 151137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 151142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 151145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 151148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 151152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151156 */     // (intrinsic_wo_chain:{ *:[i16] } 736:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn)  =>  (UMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 151156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i16v),
     /* 151159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151163 */     GIR_RootConstrainSelectedInstOperands,
     /* 151164 */     // GIR_Coverage, 13162,
     /* 151164 */     GIR_EraseRootFromParent_Done,
     /* 151165 */   // Label 2970: @151165
     /* 151165 */   GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(151280), // Rule ID 13163 //
     /* 151170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 151175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 151181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151189 */     // (intrinsic_wo_chain:{ *:[i32] } 736:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn), ssub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 151189 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 151192 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i32v),
     /* 151196 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151201 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 151205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 151207 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 151210 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 151214 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 151221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 151224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 151228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151233 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 151236 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 151239 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 151242 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151247 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151252 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 151260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151262 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 151269 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151274 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151279 */     // GIR_Coverage, 13163,
     /* 151279 */     GIR_EraseRootFromParent_Done,
     /* 151280 */   // Label 2971: @151280
     /* 151280 */   GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(151399), // Rule ID 13164 //
     /* 151285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 151290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 151296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151304 */     // (intrinsic_wo_chain:{ *:[i32] } 736:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] }), ssub:{ *:[i32] })
     /* 151304 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 151307 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::UMINPv2i32),
     /* 151311 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151316 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 151320 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 151324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 151326 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 151329 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 151333 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 151340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 151343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 151347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 151352 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 151355 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 151358 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 151361 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151366 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151371 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 151376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 151379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 151381 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 151388 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 151393 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 151398 */     // GIR_Coverage, 13164,
     /* 151398 */     GIR_EraseRootFromParent_Done,
     /* 151399 */   // Label 2972: @151399
     /* 151399 */   GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(151431), // Rule ID 2393 //
     /* 151404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rev_b16),
     /* 151412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 151415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 151418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151422 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1669:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn)  =>  (REV_PP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn)
     /* 151422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV_PP_H),
     /* 151425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151427 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 151429 */     GIR_RootConstrainSelectedInstOperands,
     /* 151430 */     // GIR_Coverage, 2393,
     /* 151430 */     GIR_EraseRootFromParent_Done,
     /* 151431 */   // Label 2973: @151431
     /* 151431 */   GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(151463), // Rule ID 2394 //
     /* 151436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rev_b32),
     /* 151444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 151447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 151450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151454 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1670:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn)  =>  (REV_PP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn)
     /* 151454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV_PP_S),
     /* 151457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151459 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 151461 */     GIR_RootConstrainSelectedInstOperands,
     /* 151462 */     // GIR_Coverage, 2394,
     /* 151462 */     GIR_EraseRootFromParent_Done,
     /* 151463 */   // Label 2974: @151463
     /* 151463 */   GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(151495), // Rule ID 2395 //
     /* 151468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rev_b64),
     /* 151476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 151479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 151482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151486 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1671:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn)  =>  (REV_PP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn)
     /* 151486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV_PP_D),
     /* 151489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151491 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 151493 */     GIR_RootConstrainSelectedInstOperands,
     /* 151494 */     // GIR_Coverage, 2395,
     /* 151494 */     GIR_EraseRootFromParent_Done,
     /* 151495 */   // Label 2975: @151495
     /* 151495 */   GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(151527), // Rule ID 3093 //
     /* 151500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 151503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnb),
     /* 151508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 151511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 151514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151518 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1851:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (SQXTNB_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1)
     /* 151518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNB_ZZ_B),
     /* 151521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151523 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151525 */     GIR_RootConstrainSelectedInstOperands,
     /* 151526 */     // GIR_Coverage, 3093,
     /* 151526 */     GIR_EraseRootFromParent_Done,
     /* 151527 */   // Label 2976: @151527
     /* 151527 */   GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(151559), // Rule ID 3094 //
     /* 151532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 151535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnb),
     /* 151540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 151543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 151546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151550 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1851:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (SQXTNB_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1)
     /* 151550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNB_ZZ_H),
     /* 151553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151555 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151557 */     GIR_RootConstrainSelectedInstOperands,
     /* 151558 */     // GIR_Coverage, 3094,
     /* 151558 */     GIR_EraseRootFromParent_Done,
     /* 151559 */   // Label 2977: @151559
     /* 151559 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(151591), // Rule ID 3095 //
     /* 151564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 151567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnb),
     /* 151572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 151575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 151578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1851:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (SQXTNB_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1)
     /* 151582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNB_ZZ_S),
     /* 151585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151587 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151589 */     GIR_RootConstrainSelectedInstOperands,
     /* 151590 */     // GIR_Coverage, 3095,
     /* 151590 */     GIR_EraseRootFromParent_Done,
     /* 151591 */   // Label 2978: @151591
     /* 151591 */   GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(151623), // Rule ID 3349 //
     /* 151596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpklo),
     /* 151604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 151607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 151610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151614 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1661:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (PUNPKLO_PP:{ *:[nxv8i1] } ?:{ *:[nxv16i1] }:$Op1)
     /* 151614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 151617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151619 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151621 */     GIR_RootConstrainSelectedInstOperands,
     /* 151622 */     // GIR_Coverage, 3349,
     /* 151622 */     GIR_EraseRootFromParent_Done,
     /* 151623 */   // Label 2979: @151623
     /* 151623 */   GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(151655), // Rule ID 3350 //
     /* 151628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpklo),
     /* 151636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 151639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 151642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151646 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1661:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (PUNPKLO_PP:{ *:[nxv4i1] } ?:{ *:[nxv8i1] }:$Op1)
     /* 151646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 151649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151651 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151653 */     GIR_RootConstrainSelectedInstOperands,
     /* 151654 */     // GIR_Coverage, 3350,
     /* 151654 */     GIR_EraseRootFromParent_Done,
     /* 151655 */   // Label 2980: @151655
     /* 151655 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(151687), // Rule ID 3351 //
     /* 151660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 151663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpklo),
     /* 151668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 151671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 151674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 151678 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1661:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (PUNPKLO_PP:{ *:[nxv2i1] } ?:{ *:[nxv4i1] }:$Op1)
     /* 151678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 151681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 151683 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151685 */     GIR_RootConstrainSelectedInstOperands,
     /* 151686 */     // GIR_Coverage, 3351,
     /* 151686 */     GIR_EraseRootFromParent_Done,
     /* 151687 */   // Label 2981: @151687
     /* 151687 */   GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(151719), // Rule ID 3430 //
     /* 151692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SSVE_FEXPA),
     /* 151695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fexpa_x),
     /* 151700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 151703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 151706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151710 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1422:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (FEXPA_ZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i16] }:$Op1)
     /* 151710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FEXPA_ZZ_H),
     /* 151713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151715 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151717 */     GIR_RootConstrainSelectedInstOperands,
     /* 151718 */     // GIR_Coverage, 3430,
     /* 151718 */     GIR_EraseRootFromParent_Done,
     /* 151719 */   // Label 2982: @151719
     /* 151719 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(151751), // Rule ID 3431 //
     /* 151724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SSVE_FEXPA),
     /* 151727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fexpa_x),
     /* 151732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 151735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 151738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151742 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1422:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (FEXPA_ZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i32] }:$Op1)
     /* 151742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FEXPA_ZZ_S),
     /* 151745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151747 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151749 */     GIR_RootConstrainSelectedInstOperands,
     /* 151750 */     // GIR_Coverage, 3431,
     /* 151750 */     GIR_EraseRootFromParent_Done,
     /* 151751 */   // Label 2983: @151751
     /* 151751 */   GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(151783), // Rule ID 3432 //
     /* 151756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SSVE_FEXPA),
     /* 151759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fexpa_x),
     /* 151764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 151767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 151770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151774 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1422:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (FEXPA_ZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i64] }:$Op1)
     /* 151774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FEXPA_ZZ_D),
     /* 151777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 151779 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151781 */     GIR_RootConstrainSelectedInstOperands,
     /* 151782 */     // GIR_Coverage, 3432,
     /* 151782 */     GIR_EraseRootFromParent_Done,
     /* 151783 */   // Label 2984: @151783
     /* 151783 */   GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(151815), // Rule ID 3458 //
     /* 151788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 151791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aesmc),
     /* 151796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 151799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 151802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 151806 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1261:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (AESMC_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1)
     /* 151806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESMC_ZZ_B),
     /* 151809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 151811 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 151813 */     GIR_RootConstrainSelectedInstOperands,
     /* 151814 */     // GIR_Coverage, 3458,
     /* 151814 */     GIR_EraseRootFromParent_Done,
     /* 151815 */   // Label 2985: @151815
     /* 151815 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(151847), // Rule ID 4625 //
     /* 151820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 151823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 151834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 151838 */     // (intrinsic_wo_chain:{ *:[i32] } 592:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } ?:{ *:[f16] }:$Rn)
     /* 151838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /* 151841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151843 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151845 */     GIR_RootConstrainSelectedInstOperands,
     /* 151846 */     // GIR_Coverage, 4625,
     /* 151846 */     GIR_EraseRootFromParent_Done,
     /* 151847 */   // Label 2986: @151847
     /* 151847 */   GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(151879), // Rule ID 4626 //
     /* 151852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 151855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 151863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 151866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 151870 */     // (intrinsic_wo_chain:{ *:[i64] } 592:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } ?:{ *:[f16] }:$Rn)
     /* 151870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /* 151873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151875 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151877 */     GIR_RootConstrainSelectedInstOperands,
     /* 151878 */     // GIR_Coverage, 4626,
     /* 151878 */     GIR_EraseRootFromParent_Done,
     /* 151879 */   // Label 2987: @151879
     /* 151879 */   GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(151908), // Rule ID 4627 //
     /* 151884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 151895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 151899 */     // (intrinsic_wo_chain:{ *:[i32] } 592:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } ?:{ *:[f32] }:$Rn)
     /* 151899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 151902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151904 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151906 */     GIR_RootConstrainSelectedInstOperands,
     /* 151907 */     // GIR_Coverage, 4627,
     /* 151907 */     GIR_EraseRootFromParent_Done,
     /* 151908 */   // Label 2988: @151908
     /* 151908 */   GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(151937), // Rule ID 4628 //
     /* 151913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 151921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 151924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 151928 */     // (intrinsic_wo_chain:{ *:[i64] } 592:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } ?:{ *:[f32] }:$Rn)
     /* 151928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 151931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151935 */     GIR_RootConstrainSelectedInstOperands,
     /* 151936 */     // GIR_Coverage, 4628,
     /* 151936 */     GIR_EraseRootFromParent_Done,
     /* 151937 */   // Label 2989: @151937
     /* 151937 */   GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(151966), // Rule ID 4629 //
     /* 151942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 151950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 151953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 151957 */     // (intrinsic_wo_chain:{ *:[i32] } 592:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } ?:{ *:[f64] }:$Rn)
     /* 151957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 151960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151962 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151964 */     GIR_RootConstrainSelectedInstOperands,
     /* 151965 */     // GIR_Coverage, 4629,
     /* 151965 */     GIR_EraseRootFromParent_Done,
     /* 151966 */   // Label 2990: @151966
     /* 151966 */   GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(151995), // Rule ID 4630 //
     /* 151971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 151976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 151979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 151982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 151986 */     // (intrinsic_wo_chain:{ *:[i64] } 592:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } ?:{ *:[f64] }:$Rn)
     /* 151986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 151989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 151991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 151993 */     GIR_RootConstrainSelectedInstOperands,
     /* 151994 */     // GIR_Coverage, 4630,
     /* 151994 */     GIR_EraseRootFromParent_Done,
     /* 151995 */   // Label 2991: @151995
     /* 151995 */   GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(152027), // Rule ID 4637 //
     /* 152000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 152003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 152014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 152018 */     // (intrinsic_wo_chain:{ *:[i32] } 593:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUWHr:{ *:[i32] } ?:{ *:[f16] }:$Rn)
     /* 152018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWHr),
     /* 152021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152023 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152025 */     GIR_RootConstrainSelectedInstOperands,
     /* 152026 */     // GIR_Coverage, 4637,
     /* 152026 */     GIR_EraseRootFromParent_Done,
     /* 152027 */   // Label 2992: @152027
     /* 152027 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(152059), // Rule ID 4638 //
     /* 152032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 152035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 152043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 152046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 152050 */     // (intrinsic_wo_chain:{ *:[i64] } 593:{ *:[iPTR] }, f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUXHr:{ *:[i64] } ?:{ *:[f16] }:$Rn)
     /* 152050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXHr),
     /* 152053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152057 */     GIR_RootConstrainSelectedInstOperands,
     /* 152058 */     // GIR_Coverage, 4638,
     /* 152058 */     GIR_EraseRootFromParent_Done,
     /* 152059 */   // Label 2993: @152059
     /* 152059 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(152088), // Rule ID 4639 //
     /* 152064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 152075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 152079 */     // (intrinsic_wo_chain:{ *:[i32] } 593:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUWSr:{ *:[i32] } ?:{ *:[f32] }:$Rn)
     /* 152079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 152082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152084 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152086 */     GIR_RootConstrainSelectedInstOperands,
     /* 152087 */     // GIR_Coverage, 4639,
     /* 152087 */     GIR_EraseRootFromParent_Done,
     /* 152088 */   // Label 2994: @152088
     /* 152088 */   GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(152117), // Rule ID 4640 //
     /* 152093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 152101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 152104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 152108 */     // (intrinsic_wo_chain:{ *:[i64] } 593:{ *:[iPTR] }, f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUXSr:{ *:[i64] } ?:{ *:[f32] }:$Rn)
     /* 152108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 152111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152115 */     GIR_RootConstrainSelectedInstOperands,
     /* 152116 */     // GIR_Coverage, 4640,
     /* 152116 */     GIR_EraseRootFromParent_Done,
     /* 152117 */   // Label 2995: @152117
     /* 152117 */   GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(152146), // Rule ID 4641 //
     /* 152122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 152133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 152137 */     // (intrinsic_wo_chain:{ *:[i32] } 593:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUWDr:{ *:[i32] } ?:{ *:[f64] }:$Rn)
     /* 152137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 152140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152144 */     GIR_RootConstrainSelectedInstOperands,
     /* 152145 */     // GIR_Coverage, 4641,
     /* 152145 */     GIR_EraseRootFromParent_Done,
     /* 152146 */   // Label 2996: @152146
     /* 152146 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(152175), // Rule ID 4642 //
     /* 152151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 152159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 152162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 152166 */     // (intrinsic_wo_chain:{ *:[i64] } 593:{ *:[iPTR] }, f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUXDr:{ *:[i64] } ?:{ *:[f64] }:$Rn)
     /* 152166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 152169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152171 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152173 */     GIR_RootConstrainSelectedInstOperands,
     /* 152174 */     // GIR_Coverage, 4642,
     /* 152174 */     GIR_EraseRootFromParent_Done,
     /* 152175 */   // Label 2997: @152175
     /* 152175 */   GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(152204), // Rule ID 4937 //
     /* 152180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 152188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 152191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152195 */     // (intrinsic_wo_chain:{ *:[v4i16] } 592:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZSv4f16:{ *:[v4i16] } ?:{ *:[v4f16] }:$Rn)
     /* 152195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f16),
     /* 152198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152200 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152202 */     GIR_RootConstrainSelectedInstOperands,
     /* 152203 */     // GIR_Coverage, 4937,
     /* 152203 */     GIR_EraseRootFromParent_Done,
     /* 152204 */   // Label 2998: @152204
     /* 152204 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(152233), // Rule ID 4938 //
     /* 152209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 152217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 152220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152224 */     // (intrinsic_wo_chain:{ *:[v8i16] } 592:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZSv8f16:{ *:[v8i16] } ?:{ *:[v8f16] }:$Rn)
     /* 152224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8f16),
     /* 152227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152231 */     GIR_RootConstrainSelectedInstOperands,
     /* 152232 */     // GIR_Coverage, 4938,
     /* 152232 */     GIR_EraseRootFromParent_Done,
     /* 152233 */   // Label 2999: @152233
     /* 152233 */   GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(152262), // Rule ID 4939 //
     /* 152238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 152246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 152249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152253 */     // (intrinsic_wo_chain:{ *:[v2i32] } 592:{ *:[iPTR] }, v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZSv2f32:{ *:[v2i32] } ?:{ *:[v2f32] }:$Rn)
     /* 152253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f32),
     /* 152256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152258 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152260 */     GIR_RootConstrainSelectedInstOperands,
     /* 152261 */     // GIR_Coverage, 4939,
     /* 152261 */     GIR_EraseRootFromParent_Done,
     /* 152262 */   // Label 3000: @152262
     /* 152262 */   GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(152291), // Rule ID 4940 //
     /* 152267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 152275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 152278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152282 */     // (intrinsic_wo_chain:{ *:[v4i32] } 592:{ *:[iPTR] }, v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZSv4f32:{ *:[v4i32] } ?:{ *:[v4f32] }:$Rn)
     /* 152282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f32),
     /* 152285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152287 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152289 */     GIR_RootConstrainSelectedInstOperands,
     /* 152290 */     // GIR_Coverage, 4940,
     /* 152290 */     GIR_EraseRootFromParent_Done,
     /* 152291 */   // Label 3001: @152291
     /* 152291 */   GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(152320), // Rule ID 4941 //
     /* 152296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzs),
     /* 152301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 152304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 152307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152311 */     // (intrinsic_wo_chain:{ *:[v2i64] } 592:{ *:[iPTR] }, v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZSv2f64:{ *:[v2i64] } ?:{ *:[v2f64] }:$Rn)
     /* 152311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f64),
     /* 152314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152318 */     GIR_RootConstrainSelectedInstOperands,
     /* 152319 */     // GIR_Coverage, 4941,
     /* 152319 */     GIR_EraseRootFromParent_Done,
     /* 152320 */   // Label 3002: @152320
     /* 152320 */   GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(152349), // Rule ID 4942 //
     /* 152325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 152333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 152336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152340 */     // (intrinsic_wo_chain:{ *:[v4i16] } 593:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZUv4f16:{ *:[v4i16] } ?:{ *:[v4f16] }:$Rn)
     /* 152340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f16),
     /* 152343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152347 */     GIR_RootConstrainSelectedInstOperands,
     /* 152348 */     // GIR_Coverage, 4942,
     /* 152348 */     GIR_EraseRootFromParent_Done,
     /* 152349 */   // Label 3003: @152349
     /* 152349 */   GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(152378), // Rule ID 4943 //
     /* 152354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 152362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 152365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152369 */     // (intrinsic_wo_chain:{ *:[v8i16] } 593:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZUv8f16:{ *:[v8i16] } ?:{ *:[v8f16] }:$Rn)
     /* 152369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8f16),
     /* 152372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152374 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152376 */     GIR_RootConstrainSelectedInstOperands,
     /* 152377 */     // GIR_Coverage, 4943,
     /* 152377 */     GIR_EraseRootFromParent_Done,
     /* 152378 */   // Label 3004: @152378
     /* 152378 */   GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(152407), // Rule ID 4944 //
     /* 152383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 152391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 152394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152398 */     // (intrinsic_wo_chain:{ *:[v2i32] } 593:{ *:[iPTR] }, v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZUv2f32:{ *:[v2i32] } ?:{ *:[v2f32] }:$Rn)
     /* 152398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f32),
     /* 152401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152403 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152405 */     GIR_RootConstrainSelectedInstOperands,
     /* 152406 */     // GIR_Coverage, 4944,
     /* 152406 */     GIR_EraseRootFromParent_Done,
     /* 152407 */   // Label 3005: @152407
     /* 152407 */   GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(152436), // Rule ID 4945 //
     /* 152412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 152420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 152423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152427 */     // (intrinsic_wo_chain:{ *:[v4i32] } 593:{ *:[iPTR] }, v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZUv4f32:{ *:[v4i32] } ?:{ *:[v4f32] }:$Rn)
     /* 152427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f32),
     /* 152430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152434 */     GIR_RootConstrainSelectedInstOperands,
     /* 152435 */     // GIR_Coverage, 4945,
     /* 152435 */     GIR_EraseRootFromParent_Done,
     /* 152436 */   // Label 3006: @152436
     /* 152436 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(152465), // Rule ID 4946 //
     /* 152441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fcvtzu),
     /* 152446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 152449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 152452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 152456 */     // (intrinsic_wo_chain:{ *:[v2i64] } 593:{ *:[iPTR] }, v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZUv2f64:{ *:[v2i64] } ?:{ *:[v2f64] }:$Rn)
     /* 152456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f64),
     /* 152459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 152461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 152463 */     GIR_RootConstrainSelectedInstOperands,
     /* 152464 */     // GIR_Coverage, 4946,
     /* 152464 */     GIR_EraseRootFromParent_Done,
     /* 152465 */   // Label 3007: @152465
     /* 152465 */   GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(152497), // Rule ID 8379 //
     /* 152470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 152473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpkhi),
     /* 152478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 152481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 152484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 152488 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1660:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1)  =>  (PUNPKHI_PP:{ *:[nxv8i1] } ?:{ *:[nxv16i1] }:$Op1)
     /* 152488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 152491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 152493 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152495 */     GIR_RootConstrainSelectedInstOperands,
     /* 152496 */     // GIR_Coverage, 8379,
     /* 152496 */     GIR_EraseRootFromParent_Done,
     /* 152497 */   // Label 3008: @152497
     /* 152497 */   GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(152529), // Rule ID 8380 //
     /* 152502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 152505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpkhi),
     /* 152510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 152513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 152516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 152520 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1660:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1)  =>  (PUNPKHI_PP:{ *:[nxv4i1] } ?:{ *:[nxv8i1] }:$Op1)
     /* 152520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 152523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 152525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152527 */     GIR_RootConstrainSelectedInstOperands,
     /* 152528 */     // GIR_Coverage, 8380,
     /* 152528 */     GIR_EraseRootFromParent_Done,
     /* 152529 */   // Label 3009: @152529
     /* 152529 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(152561), // Rule ID 8381 //
     /* 152534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 152537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_punpkhi),
     /* 152542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 152545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 152548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 152552 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1660:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1)  =>  (PUNPKHI_PP:{ *:[nxv2i1] } ?:{ *:[nxv4i1] }:$Op1)
     /* 152552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 152555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 152557 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152559 */     GIR_RootConstrainSelectedInstOperands,
     /* 152560 */     // GIR_Coverage, 8381,
     /* 152560 */     GIR_EraseRootFromParent_Done,
     /* 152561 */   // Label 3010: @152561
     /* 152561 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(152593), // Rule ID 11790 //
     /* 152566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 152569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnb),
     /* 152574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 152577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 152580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 152584 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2044:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (UQXTNB_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1)
     /* 152584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNB_ZZ_B),
     /* 152587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 152589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152591 */     GIR_RootConstrainSelectedInstOperands,
     /* 152592 */     // GIR_Coverage, 11790,
     /* 152592 */     GIR_EraseRootFromParent_Done,
     /* 152593 */   // Label 3011: @152593
     /* 152593 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(152625), // Rule ID 11791 //
     /* 152598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 152601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnb),
     /* 152606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 152609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 152612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 152616 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2044:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (UQXTNB_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1)
     /* 152616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNB_ZZ_H),
     /* 152619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 152621 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152623 */     GIR_RootConstrainSelectedInstOperands,
     /* 152624 */     // GIR_Coverage, 11791,
     /* 152624 */     GIR_EraseRootFromParent_Done,
     /* 152625 */   // Label 3012: @152625
     /* 152625 */   GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(152657), // Rule ID 11792 //
     /* 152630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 152633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnb),
     /* 152638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 152641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 152644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 152648 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2044:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (UQXTNB_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1)
     /* 152648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNB_ZZ_S),
     /* 152651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 152653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152655 */     GIR_RootConstrainSelectedInstOperands,
     /* 152656 */     // GIR_Coverage, 11792,
     /* 152656 */     GIR_EraseRootFromParent_Done,
     /* 152657 */   // Label 3013: @152657
     /* 152657 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(152689), // Rule ID 11793 //
     /* 152662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 152665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunb),
     /* 152670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 152673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 152676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 152680 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1853:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1)  =>  (SQXTUNB_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1)
     /* 152680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNB_ZZ_B),
     /* 152683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 152685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152687 */     GIR_RootConstrainSelectedInstOperands,
     /* 152688 */     // GIR_Coverage, 11793,
     /* 152688 */     GIR_EraseRootFromParent_Done,
     /* 152689 */   // Label 3014: @152689
     /* 152689 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(152721), // Rule ID 11794 //
     /* 152694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 152697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunb),
     /* 152702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 152705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 152708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 152712 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1853:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1)  =>  (SQXTUNB_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1)
     /* 152712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNB_ZZ_H),
     /* 152715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 152717 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152719 */     GIR_RootConstrainSelectedInstOperands,
     /* 152720 */     // GIR_Coverage, 11794,
     /* 152720 */     GIR_EraseRootFromParent_Done,
     /* 152721 */   // Label 3015: @152721
     /* 152721 */   GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(152753), // Rule ID 11795 //
     /* 152726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 152729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunb),
     /* 152734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 152737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 152740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 152744 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1853:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1)  =>  (SQXTUNB_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1)
     /* 152744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNB_ZZ_S),
     /* 152747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 152749 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152751 */     GIR_RootConstrainSelectedInstOperands,
     /* 152752 */     // GIR_Coverage, 11795,
     /* 152752 */     GIR_EraseRootFromParent_Done,
     /* 152753 */   // Label 3016: @152753
     /* 152753 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(152785), // Rule ID 11950 //
     /* 152758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 152761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aesimc),
     /* 152766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 152769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 152772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 152776 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1260:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (AESIMC_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1)
     /* 152776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESIMC_ZZ_B),
     /* 152779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 152781 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 152783 */     GIR_RootConstrainSelectedInstOperands,
     /* 152784 */     // GIR_Coverage, 11950,
     /* 152784 */     GIR_EraseRootFromParent_Done,
     /* 152785 */   // Label 3017: @152785
     /* 152785 */   GIM_Reject,
     /* 152786 */ // Label 2698: @152786
     /* 152786 */ GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(199100),
     /* 152791 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 152794 */   GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(152978), // Rule ID 2568 //
     /* 152799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 152802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 152807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 152813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 152816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 152820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 152824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 152828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 152832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 152836 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 152840 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 152844 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 152848 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 152851 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 152856 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 152860 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 152864 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152869 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 152873 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 152877 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 152881 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 152885 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 152889 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 152893 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 152897 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 152902 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /* 152906 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 152910 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 152914 */     // MIs[5] Operand 1
     /* 152914 */     // No operand predicates
     /* 152914 */     // MIs[3] Operand 2
     /* 152914 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /* 152925 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 152929 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /* 152931 */     // (intrinsic_wo_chain:{ *:[i32] } 679:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), 0:{ *:[i64] }))  =>  (SQDMLALv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 152931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 152934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 152938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 152943 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 152949 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 152954 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 152959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i32_indexed),
     /* 152962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 152964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 152966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 152969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /* 152973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/5, // idx
     /* 152976 */     GIR_RootConstrainSelectedInstOperands,
     /* 152977 */     // GIR_Coverage, 2568,
     /* 152977 */     GIR_EraseRootFromParent_Done,
     /* 152978 */   // Label 3019: @152978
     /* 152978 */   GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(153162), // Rule ID 6261 //
     /* 152983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 152986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 152991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 152994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 152997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 153000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 153004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 153008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 153016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153020 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 153024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 153028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153032 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 153035 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153040 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153044 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153048 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153053 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 153057 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153061 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153065 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 153069 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153073 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153077 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 153081 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153086 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /* 153090 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153094 */     GIM_CheckI64ImmPredicate, /*MI*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153098 */     // MIs[5] Operand 1
     /* 153098 */     // No operand predicates
     /* 153098 */     // MIs[3] Operand 2
     /* 153098 */     GIM_CheckLiteralInt, /*MI*/3, /*Op*/2, GIMT_Encode8(0),
     /* 153109 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 153113 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /* 153115 */     // (intrinsic_wo_chain:{ *:[i32] } 698:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })), 0:{ *:[i64] }))  =>  (SQDMLSLv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 153115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 153118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 153122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 153127 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 153133 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 153138 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i32_indexed),
     /* 153146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 153153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rm
     /* 153157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/5, // idx
     /* 153160 */     GIR_RootConstrainSelectedInstOperands,
     /* 153161 */     // GIR_Coverage, 6261,
     /* 153161 */     GIR_EraseRootFromParent_Done,
     /* 153162 */   // Label 3020: @153162
     /* 153162 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(153302), // Rule ID 2057 //
     /* 153167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 153175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 153178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 153181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 153184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153200 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 153203 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153212 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 153220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153228 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153232 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153236 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153240 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153244 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153249 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153253 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153257 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153261 */     // MIs[4] Operand 1
     /* 153261 */     // No operand predicates
     /* 153261 */     // MIs[2] Operand 2
     /* 153261 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 153272 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153274 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 153281 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SQDMLALv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv8i16_indexed),
     /* 153284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 153293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153300 */     GIR_RootConstrainSelectedInstOperands,
     /* 153301 */     // GIR_Coverage, 2057,
     /* 153301 */     GIR_EraseRootFromParent_Done,
     /* 153302 */   // Label 3021: @153302
     /* 153302 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(153442), // Rule ID 2064 //
     /* 153307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 153315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 153318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 153321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 153324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153340 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 153343 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153352 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 153360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153368 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153372 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153376 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153380 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153384 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153389 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153393 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153397 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153401 */     // MIs[4] Operand 1
     /* 153401 */     // No operand predicates
     /* 153401 */     // MIs[2] Operand 2
     /* 153401 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 153412 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153414 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 153421 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] })))  =>  (SQDMLSLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv8i16_indexed),
     /* 153424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153426 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 153433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153440 */     GIR_RootConstrainSelectedInstOperands,
     /* 153441 */     // GIR_Coverage, 2064,
     /* 153441 */     GIR_EraseRootFromParent_Done,
     /* 153442 */   // Label 3022: @153442
     /* 153442 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(153582), // Rule ID 2060 //
     /* 153447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 153455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 153458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 153461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 153464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153480 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 153483 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 153492 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 153496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 153500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153508 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153512 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 153516 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153520 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153524 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153529 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153533 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153537 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 153541 */     // MIs[4] Operand 1
     /* 153541 */     // No operand predicates
     /* 153541 */     // MIs[2] Operand 2
     /* 153541 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 153552 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153554 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 153561 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SQDMLALv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i32_indexed),
     /* 153564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 153573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153580 */     GIR_RootConstrainSelectedInstOperands,
     /* 153581 */     // GIR_Coverage, 2060,
     /* 153581 */     GIR_EraseRootFromParent_Done,
     /* 153582 */   // Label 3023: @153582
     /* 153582 */   GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(153722), // Rule ID 2067 //
     /* 153587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 153595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 153598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 153601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 153604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153620 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 153623 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153628 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 153632 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 153636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 153640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153648 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153652 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 153656 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 153660 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153664 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153669 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153673 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153677 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 153681 */     // MIs[4] Operand 1
     /* 153681 */     // No operand predicates
     /* 153681 */     // MIs[2] Operand 2
     /* 153681 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 153692 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153694 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 153701 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] })))  =>  (SQDMLSLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i32_indexed),
     /* 153704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 153713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153720 */     GIR_RootConstrainSelectedInstOperands,
     /* 153721 */     // GIR_Coverage, 2067,
     /* 153721 */     GIR_EraseRootFromParent_Done,
     /* 153722 */   // Label 3024: @153722
     /* 153722 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(153859), // Rule ID 2055 //
     /* 153727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 153735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 153738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 153741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 153744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153760 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 153763 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153772 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 153785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153793 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153797 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153801 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153805 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153809 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153814 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153818 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153822 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153826 */     // MIs[4] Operand 1
     /* 153826 */     // No operand predicates
     /* 153826 */     // MIs[2] Operand 2
     /* 153826 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 153837 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153839 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i16_indexed),
     /* 153842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153844 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 153850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153857 */     GIR_RootConstrainSelectedInstOperands,
     /* 153858 */     // GIR_Coverage, 2055,
     /* 153858 */     GIR_EraseRootFromParent_Done,
     /* 153859 */   // Label 3025: @153859
     /* 153859 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(153996), // Rule ID 2062 //
     /* 153864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 153867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 153872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 153875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 153878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 153881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 153889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 153893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 153897 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 153900 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 153905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 153909 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 153913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 153918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 153922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 153926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153930 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 153934 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 153938 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 153942 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 153946 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 153951 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 153955 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 153959 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 153963 */     // MIs[4] Operand 1
     /* 153963 */     // No operand predicates
     /* 153963 */     // MIs[2] Operand 2
     /* 153963 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 153974 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 153976 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 153976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i16_indexed),
     /* 153979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 153981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 153983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 153987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 153991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 153994 */     GIR_RootConstrainSelectedInstOperands,
     /* 153995 */     // GIR_Coverage, 2062,
     /* 153995 */     GIR_EraseRootFromParent_Done,
     /* 153996 */   // Label 3026: @153996
     /* 153996 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(154133), // Rule ID 2058 //
     /* 154001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 154009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 154012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 154015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 154018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154034 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 154037 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154046 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154055 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 154059 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154063 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154067 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 154071 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 154075 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154079 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 154083 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154088 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 154092 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154096 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154100 */     // MIs[4] Operand 1
     /* 154100 */     // No operand predicates
     /* 154100 */     // MIs[2] Operand 2
     /* 154100 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 154111 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 154113 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv2i32_indexed),
     /* 154116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 154124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 154128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 154131 */     GIR_RootConstrainSelectedInstOperands,
     /* 154132 */     // GIR_Coverage, 2058,
     /* 154132 */     GIR_EraseRootFromParent_Done,
     /* 154133 */   // Label 3027: @154133
     /* 154133 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(154270), // Rule ID 2065 //
     /* 154138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 154146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 154149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 154152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 154155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154171 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 154174 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154179 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154183 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 154196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154204 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 154208 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 154212 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154216 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 154220 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154225 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 154229 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154233 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154237 */     // MIs[4] Operand 1
     /* 154237 */     // No operand predicates
     /* 154237 */     // MIs[2] Operand 2
     /* 154237 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(0),
     /* 154248 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 154250 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] })))  =>  (SQDMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv2i32_indexed),
     /* 154253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154255 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 154261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 154265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 154268 */     GIR_RootConstrainSelectedInstOperands,
     /* 154269 */     // GIR_Coverage, 2065,
     /* 154269 */     GIR_EraseRootFromParent_Done,
     /* 154270 */   // Label 3028: @154270
     /* 154270 */   GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(154431), // Rule ID 2569 //
     /* 154275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 154283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 154286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 154289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 154292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 154296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 154300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 154308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154312 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 154320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154324 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 154327 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154332 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 154336 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 154340 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154345 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 154349 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 154353 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 154357 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 154361 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 154366 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 154370 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154374 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 154378 */     // MIs[4] Operand 1
     /* 154378 */     // No operand predicates
     /* 154378 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 154382 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 154384 */     // (intrinsic_wo_chain:{ *:[i32] } 679:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), 0:{ *:[i64] }))  =>  (SQDMLALv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 154384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 154387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 154391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 154396 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 154402 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 154407 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i32_indexed),
     /* 154415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154417 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 154422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 154426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 154429 */     GIR_RootConstrainSelectedInstOperands,
     /* 154430 */     // GIR_Coverage, 2569,
     /* 154430 */     GIR_EraseRootFromParent_Done,
     /* 154431 */   // Label 3029: @154431
     /* 154431 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(154592), // Rule ID 6262 //
     /* 154436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 154444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 154447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 154450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 154453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 154457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 154461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 154469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154473 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 154477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 154481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154485 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 154488 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154493 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 154497 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 154501 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154506 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/3, // MIs[3]
     /* 154510 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 154514 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 154518 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 154522 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 154527 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 154531 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154535 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 154539 */     // MIs[4] Operand 1
     /* 154539 */     // No operand predicates
     /* 154539 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 154543 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 154545 */     // (intrinsic_wo_chain:{ *:[i32] } 698:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), 0:{ *:[i64] }))  =>  (SQDMLSLv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 154545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 154548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 154552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 154557 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 154563 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 154568 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 154573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i32_indexed),
     /* 154576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 154583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 154587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 154590 */     GIR_RootConstrainSelectedInstOperands,
     /* 154591 */     // GIR_Coverage, 6262,
     /* 154591 */     GIR_EraseRootFromParent_Done,
     /* 154592 */   // Label 3030: @154592
     /* 154592 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(154702), // Rule ID 2085 //
     /* 154597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 154608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 154611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 154614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 154630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 154634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 154638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 154642 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 154646 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 154651 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 154655 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154659 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 154663 */     // MIs[3] Operand 1
     /* 154663 */     // No operand predicates
     /* 154663 */     // MIs[1] Operand 2
     /* 154663 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 154674 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 154676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 154683 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }))  =>  (SQDMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv8i16_indexed),
     /* 154686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 154693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 154697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 154700 */     GIR_RootConstrainSelectedInstOperands,
     /* 154701 */     // GIR_Coverage, 2085,
     /* 154701 */     GIR_EraseRootFromParent_Done,
     /* 154702 */   // Label 3031: @154702
     /* 154702 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(154812), // Rule ID 2088 //
     /* 154707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 154718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 154736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 154744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 154748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 154752 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 154756 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154761 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 154765 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 154769 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 154773 */     // MIs[3] Operand 1
     /* 154773 */     // No operand predicates
     /* 154773 */     // MIs[1] Operand 2
     /* 154773 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 154784 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 154786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 154793 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }))  =>  (SQDMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 154793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i32_indexed),
     /* 154796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 154798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 154803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 154807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 154810 */     GIR_RootConstrainSelectedInstOperands,
     /* 154811 */     // GIR_Coverage, 2088,
     /* 154811 */     GIR_EraseRootFromParent_Done,
     /* 154812 */   // Label 3032: @154812
     /* 154812 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(154901), // Rule ID 1743 //
     /* 154817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 154825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 154828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 154831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 154834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154850 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 154853 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 154862 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 154866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154868 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 154875 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 154882 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SQDMLALv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 154882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv8i16_v4i32),
     /* 154885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154887 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 154894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 154899 */     GIR_RootConstrainSelectedInstOperands,
     /* 154900 */     // GIR_Coverage, 1743,
     /* 154900 */     GIR_EraseRootFromParent_Done,
     /* 154901 */   // Label 3033: @154901
     /* 154901 */   GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(154990), // Rule ID 1745 //
     /* 154906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 154914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 154917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 154920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 154923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 154931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 154935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 154939 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 154942 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 154947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 154951 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 154955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 154957 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 154964 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 154971 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SQDMLALv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 154971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i32_v2i64),
     /* 154974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 154976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 154978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 154983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 154988 */     GIR_RootConstrainSelectedInstOperands,
     /* 154989 */     // GIR_Coverage, 1745,
     /* 154989 */     GIR_EraseRootFromParent_Done,
     /* 154990 */   // Label 3034: @154990
     /* 154990 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(155079), // Rule ID 1747 //
     /* 154995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 154998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 155003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 155006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 155009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 155012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 155028 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 155031 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 155036 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 155040 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 155044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155046 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 155053 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 155060 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SQDMLSLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 155060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv8i16_v4i32),
     /* 155063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155065 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 155067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 155072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 155077 */     GIR_RootConstrainSelectedInstOperands,
     /* 155078 */     // GIR_Coverage, 1747,
     /* 155078 */     GIR_EraseRootFromParent_Done,
     /* 155079 */   // Label 3035: @155079
     /* 155079 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(155168), // Rule ID 1749 //
     /* 155084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 155092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 155095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 155098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 155101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 155117 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 155120 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 155125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 155129 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 155133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 155135 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 155142 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 155149 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SQDMLSLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 155149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i32_v2i64),
     /* 155152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155154 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 155156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 155161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 155166 */     GIR_RootConstrainSelectedInstOperands,
     /* 155167 */     // GIR_Coverage, 1749,
     /* 155167 */     GIR_EraseRootFromParent_Done,
     /* 155168 */   // Label 3036: @155168
     /* 155168 */   GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(155290), // Rule ID 6913 //
     /* 155173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 155178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 155181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 155184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 155187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 155203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155208 */     // MIs[1] Operand 2
     /* 155208 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 155219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 155223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155227 */     // MIs[2] Rn
     /* 155227 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 155232 */     // MIs[2] Operand 2
     /* 155232 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 155243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155245 */     // (intrinsic_wo_chain:{ *:[v2i32] } 570:{ *:[iPTR] }, (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (ADDPv4i32:{ *:[f128] } ?:{ *:[v4i32] }:$Rn, ?:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /* 155245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 155248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /* 155252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155257 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 155267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155272 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 155279 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155284 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155289 */     // GIR_Coverage, 6913,
     /* 155289 */     GIR_EraseRootFromParent_Done,
     /* 155290 */   // Label 3037: @155290
     /* 155290 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(155412), // Rule ID 6915 //
     /* 155295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 155300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 155303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 155306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 155309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 155325 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155330 */     // MIs[1] Operand 2
     /* 155330 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 155341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 155345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155349 */     // MIs[2] Rn
     /* 155349 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 155354 */     // MIs[2] Operand 2
     /* 155354 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 155365 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155367 */     // (intrinsic_wo_chain:{ *:[v4i16] } 570:{ *:[iPTR] }, (extract_subvector:{ *:[v4i16] } FPR128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } FPR128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (ADDPv8i16:{ *:[f128] } ?:{ *:[v8i16] }:$Rn, ?:{ *:[v8i16] }:$Rn), dsub:{ *:[i32] })
     /* 155367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 155370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /* 155374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155379 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155383 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 155389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155394 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 155401 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155406 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155411 */     // GIR_Coverage, 6915,
     /* 155411 */     GIR_EraseRootFromParent_Done,
     /* 155412 */   // Label 3038: @155412
     /* 155412 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(155534), // Rule ID 6917 //
     /* 155417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 155422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 155425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 155428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 155431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 155447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155452 */     // MIs[1] Operand 2
     /* 155452 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 155463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 155467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155471 */     // MIs[2] Rn
     /* 155471 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 155476 */     // MIs[2] Operand 2
     /* 155476 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /* 155487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155489 */     // (intrinsic_wo_chain:{ *:[v8i8] } 570:{ *:[iPTR] }, (extract_subvector:{ *:[v8i8] } FPR128:{ *:[v16i8] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v8i8] } FPR128:{ *:[v16i8] }:$Rn, 8:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (ADDPv16i8:{ *:[f128] } ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rn), dsub:{ *:[i32] })
     /* 155489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 155492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /* 155496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155505 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 155511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155516 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 155523 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155528 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155533 */     // GIR_Coverage, 6917,
     /* 155533 */     GIR_EraseRootFromParent_Done,
     /* 155534 */   // Label 3039: @155534
     /* 155534 */   GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(155656), // Rule ID 6919 //
     /* 155539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 155544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 155547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 155550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 155553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 155569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155574 */     // MIs[1] Operand 2
     /* 155574 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 155585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 155589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155593 */     // MIs[2] Rn
     /* 155593 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 155598 */     // MIs[2] Operand 2
     /* 155598 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 155609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155611 */     // (intrinsic_wo_chain:{ *:[v2f32] } 579:{ *:[iPTR] }, (extract_subvector:{ *:[v2f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2f32] } FPR128:{ *:[v4f32] }:$Rn, 2:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (FADDPv4f32:{ *:[f128] } ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rn), dsub:{ *:[i32] })
     /* 155611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 155614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 155618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155623 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155627 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 155633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155638 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 155645 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155650 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155655 */     // GIR_Coverage, 6919,
     /* 155655 */     GIR_EraseRootFromParent_Done,
     /* 155656 */   // Label 3040: @155656
     /* 155656 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(155778), // Rule ID 6921 //
     /* 155661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 155666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 155669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 155672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 155675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 155683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 155691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155696 */     // MIs[1] Operand 2
     /* 155696 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 155707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 155711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 155715 */     // MIs[2] Rn
     /* 155715 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 155720 */     // MIs[2] Operand 2
     /* 155720 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 155731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155733 */     // (intrinsic_wo_chain:{ *:[v4f16] } 579:{ *:[iPTR] }, (extract_subvector:{ *:[v4f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4f16] } FPR128:{ *:[v8f16] }:$Rn, 4:{ *:[i64] }))  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (FADDPv8f16:{ *:[f128] } ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rn), dsub:{ *:[i32] })
     /* 155733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 155736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 155740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155745 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 155753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 155755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155760 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 155767 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155772 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155777 */     // GIR_Coverage, 6921,
     /* 155777 */     GIR_EraseRootFromParent_Done,
     /* 155778 */   // Label 3041: @155778
     /* 155778 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(155961), // Rule ID 2567 //
     /* 155783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 155791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 155794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 155797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 155816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 155820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 155824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 155828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 155832 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 155835 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 155840 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 155844 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 155848 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155853 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155858 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 155862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 155864 */     // (intrinsic_wo_chain:{ *:[i32] } 679:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (SQDMLALv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v4i16] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 155864 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 155867 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 155871 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 155878 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 155881 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 155885 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155890 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 155893 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /* 155897 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 155900 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155905 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 155910 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 155918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 155922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 155927 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 155933 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 155938 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 155943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i32_indexed),
     /* 155946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 155948 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 155950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 155953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 155956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 155959 */     GIR_RootConstrainSelectedInstOperands,
     /* 155960 */     // GIR_Coverage, 2567,
     /* 155960 */     GIR_EraseRootFromParent_Done,
     /* 155961 */   // Label 3042: @155961
     /* 155961 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(156144), // Rule ID 6260 //
     /* 155966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 155969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 155974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 155977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 155980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 155983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 155991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 155995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 155999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 156007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 156015 */     GIM_CheckNumOperands, /*MI*/2, /*Expected*/4,
     /* 156018 */     GIM_CheckIntrinsicID, /*MI*/2, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 156023 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 156027 */     GIM_CheckType, /*MI*/2, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 156031 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156041 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 156045 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 156047 */     // (intrinsic_wo_chain:{ *:[i32] } 698:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, (vector_extract:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm), 0:{ *:[i64] }))  =>  (SQDMLSLv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V64:{ *:[v4i16] }:$Rn, hsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v4i16] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 156047 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 156050 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 156054 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 156061 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 156064 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 156068 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156073 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 156076 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/3, // Rm
     /* 156080 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 156083 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156088 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156093 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 156101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156110 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 156116 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156121 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i32_indexed),
     /* 156129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 156131 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 156133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 156139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 156142 */     GIR_RootConstrainSelectedInstOperands,
     /* 156143 */     // GIR_Coverage, 6260,
     /* 156143 */     GIR_EraseRootFromParent_Done,
     /* 156144 */   // Label 3043: @156144
     /* 156144 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(156248), // Rule ID 13415 //
     /* 156149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 156152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 156160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 156163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 156166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 156178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 156182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 156190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 156194 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 156203 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156207 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156211 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 156215 */     // MIs[3] Operand 1
     /* 156215 */     // No operand predicates
     /* 156215 */     // MIs[1] Operand 2
     /* 156215 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 156226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156230 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156232 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4f16] }:$Rn)  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 156232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 156235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156237 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 156239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156246 */     GIR_RootConstrainSelectedInstOperands,
     /* 156247 */     // GIR_Coverage, 13415,
     /* 156247 */     GIR_EraseRootFromParent_Done,
     /* 156248 */   // Label 3044: @156248
     /* 156248 */   GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(156352), // Rule ID 13418 //
     /* 156253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 156264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 156267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 156270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 156282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 156290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 156294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156298 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156307 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156311 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156315 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 156319 */     // MIs[3] Operand 1
     /* 156319 */     // No operand predicates
     /* 156319 */     // MIs[1] Operand 2
     /* 156319 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 156330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156334 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156336 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2f32] }:$Rn)  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 156336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 156339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156341 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 156343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156350 */     GIR_RootConstrainSelectedInstOperands,
     /* 156351 */     // GIR_Coverage, 13418,
     /* 156351 */     GIR_EraseRootFromParent_Done,
     /* 156352 */   // Label 3045: @156352
     /* 156352 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(156483), // Rule ID 2524 //
     /* 156357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 156360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 156368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 156371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 156374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 156390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 156394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156399 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 156403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 156407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 156415 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156419 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156424 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156428 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156432 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 156436 */     // MIs[3] Operand 1
     /* 156436 */     // No operand predicates
     /* 156436 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156438 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 156438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 156441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156450 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 156456 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156461 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 156469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156481 */     GIR_RootConstrainSelectedInstOperands,
     /* 156482 */     // GIR_Coverage, 2524,
     /* 156482 */     GIR_EraseRootFromParent_Done,
     /* 156483 */   // Label 3046: @156483
     /* 156483 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(156614), // Rule ID 2525 //
     /* 156488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 156499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 156502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156521 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 156525 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156530 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 156534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 156538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156546 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156555 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156559 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156563 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 156567 */     // MIs[3] Operand 1
     /* 156567 */     // No operand predicates
     /* 156567 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156569 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 156569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 156572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156581 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 156587 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156592 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 156600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156612 */     GIR_RootConstrainSelectedInstOperands,
     /* 156613 */     // GIR_Coverage, 2525,
     /* 156613 */     GIR_EraseRootFromParent_Done,
     /* 156614 */   // Label 3047: @156614
     /* 156614 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(156745), // Rule ID 2526 //
     /* 156619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 156630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 156633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 156636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 156652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 156656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156661 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 156665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 156669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 156677 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 156681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156686 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 156690 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156694 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 156698 */     // MIs[3] Operand 1
     /* 156698 */     // No operand predicates
     /* 156698 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156700 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULXv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 156700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 156703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156712 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 156718 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 156723 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 156731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 156740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 156743 */     GIR_RootConstrainSelectedInstOperands,
     /* 156744 */     // GIR_Coverage, 2526,
     /* 156744 */     GIR_EraseRootFromParent_Done,
     /* 156745 */   // Label 3048: @156745
     /* 156745 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(156876), // Rule ID 13601 //
     /* 156750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 156753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 156761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 156764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 156767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 156783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 156787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 156796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156800 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 156804 */     // MIs[2] Operand 1
     /* 156804 */     // No operand predicates
     /* 156804 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 156808 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156812 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 156816 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 156820 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156825 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 156829 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156831 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FMULXv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 156831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 156834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156843 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 156849 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 156854 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 156862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 156871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 156874 */     GIR_RootConstrainSelectedInstOperands,
     /* 156875 */     // GIR_Coverage, 13601,
     /* 156875 */     GIR_EraseRootFromParent_Done,
     /* 156876 */   // Label 3049: @156876
     /* 156876 */   GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(157007), // Rule ID 13602 //
     /* 156881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 156884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 156889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 156892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 156895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 156898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 156906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 156918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 156927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 156931 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 156935 */     // MIs[2] Operand 1
     /* 156935 */     // No operand predicates
     /* 156935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 156939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 156943 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 156947 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 156951 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156956 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 156960 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 156962 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FMULXv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 156962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 156965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 156969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 156974 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 156980 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 156985 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 156990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 156993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 156995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 156998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 157002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 157005 */     GIR_RootConstrainSelectedInstOperands,
     /* 157006 */     // GIR_Coverage, 13602,
     /* 157006 */     GIR_EraseRootFromParent_Done,
     /* 157007 */   // Label 3050: @157007
     /* 157007 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(157138), // Rule ID 13603 //
     /* 157012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 157020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 157023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 157026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 157029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 157037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 157041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 157045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 157049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 157058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157062 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 157066 */     // MIs[2] Operand 1
     /* 157066 */     // No operand predicates
     /* 157066 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 157070 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 157074 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 157078 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 157082 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157087 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 157091 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157093 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FMULXv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 157093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 157096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 157100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 157105 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 157111 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157116 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 157124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 157129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 157133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 157136 */     GIR_RootConstrainSelectedInstOperands,
     /* 157137 */     // GIR_Coverage, 13603,
     /* 157137 */     GIR_EraseRootFromParent_Done,
     /* 157138 */   // Label 3051: @157138
     /* 157138 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(157252), // Rule ID 2056 //
     /* 157143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 157151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 157154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 157157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 157160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 157176 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 157179 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 157184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 157188 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 157192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 157201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 157205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157209 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 157218 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157222 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157226 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 157230 */     // MIs[3] Operand 1
     /* 157230 */     // No operand predicates
     /* 157230 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157232 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SQDMLALv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i16_indexed),
     /* 157235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157237 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 157239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 157243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157250 */     GIR_RootConstrainSelectedInstOperands,
     /* 157251 */     // GIR_Coverage, 2056,
     /* 157251 */     GIR_EraseRootFromParent_Done,
     /* 157252 */   // Label 3052: @157252
     /* 157252 */   GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(157366), // Rule ID 2063 //
     /* 157257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 157265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 157268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 157271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 157274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 157290 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 157293 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 157298 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 157302 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 157306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 157315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 157319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157323 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157327 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 157332 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157336 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157340 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 157344 */     // MIs[3] Operand 1
     /* 157344 */     // No operand predicates
     /* 157344 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157346 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)))  =>  (SQDMLSLv4i16_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i16_indexed),
     /* 157349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157351 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 157353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 157357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157364 */     GIR_RootConstrainSelectedInstOperands,
     /* 157365 */     // GIR_Coverage, 2063,
     /* 157365 */     GIR_EraseRootFromParent_Done,
     /* 157366 */   // Label 3053: @157366
     /* 157366 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(157480), // Rule ID 2059 //
     /* 157371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 157379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 157382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 157385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 157388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 157404 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 157407 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 157412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 157416 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 157420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 157429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 157433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157437 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157446 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157450 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157454 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 157458 */     // MIs[3] Operand 1
     /* 157458 */     // No operand predicates
     /* 157458 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157460 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLALv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv2i32_indexed),
     /* 157463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157465 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 157467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 157471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157478 */     GIR_RootConstrainSelectedInstOperands,
     /* 157479 */     // GIR_Coverage, 2059,
     /* 157479 */     GIR_EraseRootFromParent_Done,
     /* 157480 */   // Label 3054: @157480
     /* 157480 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(157594), // Rule ID 2066 //
     /* 157485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 157493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 157496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 157499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 157502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 157518 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 157521 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 157526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 157530 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 157534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 157543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 157547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157551 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157555 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157560 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157564 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157568 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 157572 */     // MIs[3] Operand 1
     /* 157572 */     // No operand predicates
     /* 157572 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157574 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLSLv2i32_indexed:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv2i32_indexed),
     /* 157577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157579 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 157581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 157585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157592 */     GIR_RootConstrainSelectedInstOperands,
     /* 157593 */     // GIR_Coverage, 2066,
     /* 157593 */     GIR_EraseRootFromParent_Done,
     /* 157594 */   // Label 3055: @157594
     /* 157594 */   GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(157708), // Rule ID 2061 //
     /* 157599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 157607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 157610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 157613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 157616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 157632 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 157635 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 157640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 157644 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 157648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 157653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 157657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 157661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157665 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157674 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157678 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157682 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 157686 */     // MIs[3] Operand 1
     /* 157686 */     // No operand predicates
     /* 157686 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157688 */     // (intrinsic_wo_chain:{ *:[i64] } 679:{ *:[iPTR] }, FPR64Op:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLALv1i64_indexed:{ *:[i64] } FPR64Op:{ *:[i64] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv1i64_indexed),
     /* 157691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 157695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 157699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157706 */     GIR_RootConstrainSelectedInstOperands,
     /* 157707 */     // GIR_Coverage, 2061,
     /* 157707 */     GIR_EraseRootFromParent_Done,
     /* 157708 */   // Label 3056: @157708
     /* 157708 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(157822), // Rule ID 2068 //
     /* 157713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 157721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 157724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 157727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 157730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 157746 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 157749 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 157754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 157758 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 157762 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 157767 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/3, // MIs[2]
     /* 157771 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 157775 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 157779 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157783 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 157788 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157792 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157796 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 157800 */     // MIs[3] Operand 1
     /* 157800 */     // No operand predicates
     /* 157800 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157802 */     // (intrinsic_wo_chain:{ *:[i64] } 698:{ *:[iPTR] }, FPR64Op:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SQDMLSLv1i64_indexed:{ *:[i64] } FPR64Op:{ *:[i64] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv1i64_indexed),
     /* 157805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 157807 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 157809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 157813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157820 */     GIR_RootConstrainSelectedInstOperands,
     /* 157821 */     // GIR_Coverage, 2068,
     /* 157821 */     GIR_EraseRootFromParent_Done,
     /* 157822 */   // Label 3057: @157822
     /* 157822 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(157926), // Rule ID 1987 //
     /* 157827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 157830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 157835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 157838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 157841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 157844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 157860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 157872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157876 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 157885 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157889 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157893 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 157897 */     // MIs[3] Operand 1
     /* 157897 */     // No operand predicates
     /* 157897 */     // MIs[1] Operand 2
     /* 157897 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 157908 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 157910 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 157910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 157913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 157915 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 157917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 157921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 157924 */     GIR_RootConstrainSelectedInstOperands,
     /* 157925 */     // GIR_Coverage, 1987,
     /* 157925 */     GIR_EraseRootFromParent_Done,
     /* 157926 */   // Label 3058: @157926
     /* 157926 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(158030), // Rule ID 2017 //
     /* 157931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 157934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 157939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 157942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 157945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 157948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 157956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 157960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 157964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157968 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 157972 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 157976 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 157980 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 157984 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 157989 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 157993 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 157997 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 158001 */     // MIs[3] Operand 1
     /* 158001 */     // No operand predicates
     /* 158001 */     // MIs[1] Operand 2
     /* 158001 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158012 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158014 */     // (intrinsic_wo_chain:{ *:[v4i16] } 680:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i16_indexed),
     /* 158017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158019 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158028 */     GIR_RootConstrainSelectedInstOperands,
     /* 158029 */     // GIR_Coverage, 2017,
     /* 158029 */     GIR_EraseRootFromParent_Done,
     /* 158030 */   // Label 3059: @158030
     /* 158030 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(158134), // Rule ID 2024 //
     /* 158035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 158043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 158046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 158049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 158052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 158068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 158076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 158080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158084 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 158088 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 158093 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 158097 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158101 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 158105 */     // MIs[3] Operand 1
     /* 158105 */     // No operand predicates
     /* 158105 */     // MIs[1] Operand 2
     /* 158105 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158116 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158118 */     // (intrinsic_wo_chain:{ *:[v4i16] } 688:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i16_indexed),
     /* 158121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158123 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158132 */     GIR_RootConstrainSelectedInstOperands,
     /* 158133 */     // GIR_Coverage, 2024,
     /* 158133 */     GIR_EraseRootFromParent_Done,
     /* 158134 */   // Label 3060: @158134
     /* 158134 */   GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(158238), // Rule ID 2083 //
     /* 158139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 158147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 158150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 158153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 158156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 158172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 158180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 158184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158188 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 158192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 158197 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 158201 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158205 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 158209 */     // MIs[3] Operand 1
     /* 158209 */     // No operand predicates
     /* 158209 */     // MIs[1] Operand 2
     /* 158209 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158220 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158222 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i16_indexed),
     /* 158225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158227 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158236 */     GIR_RootConstrainSelectedInstOperands,
     /* 158237 */     // GIR_Coverage, 2083,
     /* 158237 */     GIR_EraseRootFromParent_Done,
     /* 158238 */   // Label 3061: @158238
     /* 158238 */   GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(158342), // Rule ID 1990 //
     /* 158243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 158251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 158254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 158257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 158260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 158276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 158284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 158288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158292 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 158296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158301 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 158305 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158309 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 158313 */     // MIs[3] Operand 1
     /* 158313 */     // No operand predicates
     /* 158313 */     // MIs[1] Operand 2
     /* 158313 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158324 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158326 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 158329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158331 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158340 */     GIR_RootConstrainSelectedInstOperands,
     /* 158341 */     // GIR_Coverage, 1990,
     /* 158341 */     GIR_EraseRootFromParent_Done,
     /* 158342 */   // Label 3062: @158342
     /* 158342 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(158446), // Rule ID 2020 //
     /* 158347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 158355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 158358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 158361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 158364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 158380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 158388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 158392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158396 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 158400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158405 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 158409 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158413 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 158417 */     // MIs[3] Operand 1
     /* 158417 */     // No operand predicates
     /* 158417 */     // MIs[1] Operand 2
     /* 158417 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158428 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158430 */     // (intrinsic_wo_chain:{ *:[v2i32] } 680:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv2i32_indexed),
     /* 158433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158444 */     GIR_RootConstrainSelectedInstOperands,
     /* 158445 */     // GIR_Coverage, 2020,
     /* 158445 */     GIR_EraseRootFromParent_Done,
     /* 158446 */   // Label 3063: @158446
     /* 158446 */   GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(158550), // Rule ID 2027 //
     /* 158451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 158459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 158462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 158465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 158468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 158484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 158492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 158496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158500 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 158504 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158509 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 158513 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158517 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 158521 */     // MIs[3] Operand 1
     /* 158521 */     // No operand predicates
     /* 158521 */     // MIs[1] Operand 2
     /* 158521 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158532 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158534 */     // (intrinsic_wo_chain:{ *:[v2i32] } 688:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv2i32_indexed),
     /* 158537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158539 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158548 */     GIR_RootConstrainSelectedInstOperands,
     /* 158549 */     // GIR_Coverage, 2027,
     /* 158549 */     GIR_EraseRootFromParent_Done,
     /* 158550 */   // Label 3064: @158550
     /* 158550 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(158654), // Rule ID 2086 //
     /* 158555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 158563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 158566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 158569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 158572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 158580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 158584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 158588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 158596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 158600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 158604 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 158608 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158613 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 158617 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158621 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 158625 */     // MIs[3] Operand 1
     /* 158625 */     // No operand predicates
     /* 158625 */     // MIs[1] Operand 2
     /* 158625 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 158636 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 158638 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQDMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 158638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv2i32_indexed),
     /* 158641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158643 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 158645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 158649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 158652 */     GIR_RootConstrainSelectedInstOperands,
     /* 158653 */     // GIR_Coverage, 2086,
     /* 158653 */     GIR_EraseRootFromParent_Done,
     /* 158654 */   // Label 3065: @158654
     /* 158654 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(158711), // Rule ID 1751 //
     /* 158659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 158667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 158670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 158673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 158676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 158687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 158694 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (SQDMULLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 158694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv8i16_v4i32),
     /* 158697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 158704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 158709 */     GIR_RootConstrainSelectedInstOperands,
     /* 158710 */     // GIR_Coverage, 1751,
     /* 158710 */     GIR_EraseRootFromParent_Done,
     /* 158711 */   // Label 3066: @158711
     /* 158711 */   GIM_Try, /*On fail goto*//*Label 3067*/ GIMT_Encode4(158768), // Rule ID 1753 //
     /* 158716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 158719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 158724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 158727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 158730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 158733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 158744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 158751 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (SQDMULLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 158751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i32_v2i64),
     /* 158754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 158761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 158766 */     GIR_RootConstrainSelectedInstOperands,
     /* 158767 */     // GIR_Coverage, 1753,
     /* 158767 */     GIR_EraseRootFromParent_Done,
     /* 158768 */   // Label 3067: @158768
     /* 158768 */   GIM_Try, /*On fail goto*//*Label 3068*/ GIMT_Encode4(158878), // Rule ID 6279 //
     /* 158773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 158778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 158781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 158784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 158787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 158791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 158799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 158803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 158807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 158812 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 158823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 158827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 158831 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 158835 */     // MIs[2] Operand 1
     /* 158835 */     // No operand predicates
     /* 158835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 158837 */     // (intrinsic_wo_chain:{ *:[f16] } 766:{ *:[iPTR] }, (and:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, 65535:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (UCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 158837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 158840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 158844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 158849 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 158855 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 158860 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 158865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFh),
     /* 158868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 158873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 158876 */     GIR_RootConstrainSelectedInstOperands,
     /* 158877 */     // GIR_Coverage, 6279,
     /* 158877 */     GIR_EraseRootFromParent_Done,
     /* 158878 */   // Label 3068: @158878
     /* 158878 */   GIM_Try, /*On fail goto*//*Label 3069*/ GIMT_Encode4(158975), // Rule ID 13872 //
     /* 158883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 158886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 158891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 158894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 158897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 158900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 158904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 158908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 158912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 158916 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 158920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158925 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 158929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 158933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 158935 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rn)  =>  (FMULX16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 158935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 158938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 158942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 158947 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 158953 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 158958 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 158963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX16),
     /* 158966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 158968 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 158970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 158973 */     GIR_RootConstrainSelectedInstOperands,
     /* 158974 */     // GIR_Coverage, 13872,
     /* 158974 */     GIR_EraseRootFromParent_Done,
     /* 158975 */   // Label 3069: @158975
     /* 158975 */   GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(159072), // Rule ID 13873 //
     /* 158980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 158983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 158988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 158991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 158994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 158997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 159013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159022 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 159026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159032 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rn)  =>  (FMULX32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 159032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 159035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 159039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 159044 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 159050 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159055 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX32),
     /* 159063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159065 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 159067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 159070 */     GIR_RootConstrainSelectedInstOperands,
     /* 159071 */     // GIR_Coverage, 13873,
     /* 159071 */     GIR_EraseRootFromParent_Done,
     /* 159072 */   // Label 3070: @159072
     /* 159072 */   GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(159169), // Rule ID 13874 //
     /* 159077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 159080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 159088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 159091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 159094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 159110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159119 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 159123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159129 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rn)  =>  (FMULX64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 159129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 159132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 159136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 159141 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 159147 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159152 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 159160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 159164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 159167 */     GIR_RootConstrainSelectedInstOperands,
     /* 159168 */     // GIR_Coverage, 13874,
     /* 159168 */     GIR_EraseRootFromParent_Done,
     /* 159169 */   // Label 3071: @159169
     /* 159169 */   GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(159252), // Rule ID 1742 //
     /* 159174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 159182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 159185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 159188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 159191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 159207 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 159210 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 159215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 159219 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 159223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159235 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SQDMLALv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 159235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv4i16_v4i32),
     /* 159238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 159242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 159246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 159250 */     GIR_RootConstrainSelectedInstOperands,
     /* 159251 */     // GIR_Coverage, 1742,
     /* 159251 */     GIR_EraseRootFromParent_Done,
     /* 159252 */   // Label 3072: @159252
     /* 159252 */   GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(159335), // Rule ID 1744 //
     /* 159257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 159265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 159268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 159271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 159274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 159290 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 159293 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 159298 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 159302 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 159306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159318 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SQDMLALv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 159318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALv2i32_v2i64),
     /* 159321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159323 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 159325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 159329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 159333 */     GIR_RootConstrainSelectedInstOperands,
     /* 159334 */     // GIR_Coverage, 1744,
     /* 159334 */     GIR_EraseRootFromParent_Done,
     /* 159335 */   // Label 3073: @159335
     /* 159335 */   GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(159418), // Rule ID 1746 //
     /* 159340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 159348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 159351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 159354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 159357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 159373 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 159376 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 159381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 159385 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 159389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159401 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SQDMLSLv4i16_v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 159401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv4i16_v4i32),
     /* 159404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 159408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 159412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 159416 */     GIR_RootConstrainSelectedInstOperands,
     /* 159417 */     // GIR_Coverage, 1746,
     /* 159417 */     GIR_EraseRootFromParent_Done,
     /* 159418 */   // Label 3074: @159418
     /* 159418 */   GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(159501), // Rule ID 1748 //
     /* 159423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 159426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 159431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 159434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 159437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 159440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 159456 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 159459 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 159464 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 159468 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 159472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159484 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SQDMLSLv2i32_v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 159484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLv2i32_v2i64),
     /* 159487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 159491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 159495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 159499 */     GIR_RootConstrainSelectedInstOperands,
     /* 159500 */     // GIR_Coverage, 1748,
     /* 159500 */     GIR_EraseRootFromParent_Done,
     /* 159501 */   // Label 3075: @159501
     /* 159501 */   GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(159581), // Rule ID 5237 //
     /* 159506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 159511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 159514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 159517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 159520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 159536 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 159539 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 159544 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 159548 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 159552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159564 */     // (intrinsic_wo_chain:{ *:[i64] } 679:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm))  =>  (SQDMLALi32:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 159564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALi32),
     /* 159567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 159571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 159575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 159579 */     GIR_RootConstrainSelectedInstOperands,
     /* 159580 */     // GIR_Coverage, 5237,
     /* 159580 */     GIR_EraseRootFromParent_Done,
     /* 159581 */   // Label 3076: @159581
     /* 159581 */   GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(159661), // Rule ID 5238 //
     /* 159586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 159591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 159594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 159597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 159600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 159616 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 159619 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 159624 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 159628 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 159632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159644 */     // (intrinsic_wo_chain:{ *:[i64] } 698:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm))  =>  (SQDMLSLi32:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 159644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLi32),
     /* 159647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 159649 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 159651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 159655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 159659 */     GIR_RootConstrainSelectedInstOperands,
     /* 159660 */     // GIR_Coverage, 5238,
     /* 159660 */     GIR_EraseRootFromParent_Done,
     /* 159661 */   // Label 3077: @159661
     /* 159661 */   GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(159758), // Rule ID 5234 //
     /* 159666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 159669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 159677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 159680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 159683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 159687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 159691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 159703 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159712 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 159716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159718 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }))  =>  (FMULX16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 159718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 159721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 159725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 159730 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 159736 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 159741 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX16),
     /* 159749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159751 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 159756 */     GIR_RootConstrainSelectedInstOperands,
     /* 159757 */     // GIR_Coverage, 5234,
     /* 159757 */     GIR_EraseRootFromParent_Done,
     /* 159758 */   // Label 3078: @159758
     /* 159758 */   GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(159855), // Rule ID 5235 //
     /* 159763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 159766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 159774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 159777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 159780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 159800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159809 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 159813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159815 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }))  =>  (FMULX32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 159815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 159818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 159822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 159827 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 159833 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 159838 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX32),
     /* 159846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159848 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 159853 */     GIR_RootConstrainSelectedInstOperands,
     /* 159854 */     // GIR_Coverage, 5235,
     /* 159854 */     GIR_EraseRootFromParent_Done,
     /* 159855 */   // Label 3079: @159855
     /* 159855 */   GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(159952), // Rule ID 5236 //
     /* 159860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 159863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 159871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 159874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 159877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 159889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 159893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 159897 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159906 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 159910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 159912 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }))  =>  (FMULX64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 159912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 159915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 159919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 159924 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 159930 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159935 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 159940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 159943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 159945 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 159947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 159950 */     GIR_RootConstrainSelectedInstOperands,
     /* 159951 */     // GIR_Coverage, 5236,
     /* 159951 */     GIR_EraseRootFromParent_Done,
     /* 159952 */   // Label 3080: @159952
     /* 159952 */   GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(160033), // Rule ID 13416 //
     /* 159957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 159960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 159965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 159968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 159971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 159974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 159978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 159982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 159986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 159990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 159994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 159999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160007 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160011 */     // MIs[2] Operand 1
     /* 160011 */     // No operand predicates
     /* 160011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160017 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn)  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 160020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160031 */     GIR_RootConstrainSelectedInstOperands,
     /* 160032 */     // GIR_Coverage, 13416,
     /* 160032 */     GIR_EraseRootFromParent_Done,
     /* 160033 */   // Label 3081: @160033
     /* 160033 */   GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(160114), // Rule ID 13417 //
     /* 160038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 160041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 160049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 160052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 160055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 160067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160088 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160092 */     // MIs[2] Operand 1
     /* 160092 */     // No operand predicates
     /* 160092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160096 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160098 */     // (intrinsic_wo_chain:{ *:[v8f16] } 610:{ *:[iPTR] }, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn)  =>  (FMULXv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv8i16_indexed),
     /* 160101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160103 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160112 */     GIR_RootConstrainSelectedInstOperands,
     /* 160113 */     // GIR_Coverage, 13417,
     /* 160113 */     GIR_EraseRootFromParent_Done,
     /* 160114 */   // Label 3082: @160114
     /* 160114 */   GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(160195), // Rule ID 13419 //
     /* 160119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 160130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 160133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 160136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 160148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 160152 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160169 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 160173 */     // MIs[2] Operand 1
     /* 160173 */     // No operand predicates
     /* 160173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160179 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn)  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 160182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160184 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160193 */     GIR_RootConstrainSelectedInstOperands,
     /* 160194 */     // GIR_Coverage, 13419,
     /* 160194 */     GIR_EraseRootFromParent_Done,
     /* 160195 */   // Label 3083: @160195
     /* 160195 */   GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(160276), // Rule ID 13420 //
     /* 160200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 160211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 160214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 160217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 160229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 160233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160250 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 160254 */     // MIs[2] Operand 1
     /* 160254 */     // No operand predicates
     /* 160254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160258 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160260 */     // (intrinsic_wo_chain:{ *:[v4f32] } 610:{ *:[iPTR] }, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn)  =>  (FMULXv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i32_indexed),
     /* 160263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160265 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160274 */     GIR_RootConstrainSelectedInstOperands,
     /* 160275 */     // GIR_Coverage, 13420,
     /* 160275 */     GIR_EraseRootFromParent_Done,
     /* 160276 */   // Label 3084: @160276
     /* 160276 */   GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(160357), // Rule ID 13421 //
     /* 160281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 160292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 160295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 160298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 160310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 160314 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160331 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 160335 */     // MIs[2] Operand 1
     /* 160335 */     // No operand predicates
     /* 160335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160339 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160341 */     // (intrinsic_wo_chain:{ *:[v2f64] } 610:{ *:[iPTR] }, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn)  =>  (FMULXv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i64_indexed),
     /* 160344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160346 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160355 */     GIR_RootConstrainSelectedInstOperands,
     /* 160356 */     // GIR_Coverage, 13421,
     /* 160356 */     GIR_EraseRootFromParent_Done,
     /* 160357 */   // Label 3085: @160357
     /* 160357 */   GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(160438), // Rule ID 13422 //
     /* 160362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 160365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 160373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 160376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 160379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 160383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 160391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160412 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160416 */     // MIs[2] Operand 1
     /* 160416 */     // No operand predicates
     /* 160416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 160420 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160422 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16Op:{ *:[f16] }:$Rn)  =>  (FMULXv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 160425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160427 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160436 */     GIR_RootConstrainSelectedInstOperands,
     /* 160437 */     // GIR_Coverage, 13422,
     /* 160437 */     GIR_EraseRootFromParent_Done,
     /* 160438 */   // Label 3086: @160438
     /* 160438 */   GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(160519), // Rule ID 13423 //
     /* 160443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 160454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 160457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 160464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 160472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 160476 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160485 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160489 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160493 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 160497 */     // MIs[2] Operand 1
     /* 160497 */     // No operand predicates
     /* 160497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 160501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160503 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32Op:{ *:[f32] }:$Rn)  =>  (FMULXv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 160506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160508 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160517 */     GIR_RootConstrainSelectedInstOperands,
     /* 160518 */     // GIR_Coverage, 13423,
     /* 160518 */     GIR_EraseRootFromParent_Done,
     /* 160519 */   // Label 3087: @160519
     /* 160519 */   GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(160600), // Rule ID 13424 //
     /* 160524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 160535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 160538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 160541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 160553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 160557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160574 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 160578 */     // MIs[2] Operand 1
     /* 160578 */     // No operand predicates
     /* 160578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160582 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160584 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64Op:{ *:[f64] }:$Rn)  =>  (FMULXv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 160587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160589 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 160591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160598 */     GIR_RootConstrainSelectedInstOperands,
     /* 160599 */     // GIR_Coverage, 13424,
     /* 160599 */     GIR_EraseRootFromParent_Done,
     /* 160600 */   // Label 3088: @160600
     /* 160600 */   GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(160706), // Rule ID 6276 //
     /* 160605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 160610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 160613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 160616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 160619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 160623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 160627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 160631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 160635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 160640 */     // MIs[1] Operand 2
     /* 160640 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 160651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 160655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160659 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 160663 */     // MIs[2] Operand 1
     /* 160663 */     // No operand predicates
     /* 160663 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160665 */     // (intrinsic_wo_chain:{ *:[f16] } 765:{ *:[iPTR] }, (sext_inreg:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 160665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 160668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 160672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 160677 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 160683 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 160688 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 160693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFh),
     /* 160696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 160701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 160704 */     GIR_RootConstrainSelectedInstOperands,
     /* 160705 */     // GIR_Coverage, 6276,
     /* 160705 */     GIR_EraseRootFromParent_Done,
     /* 160706 */   // Label 3089: @160706
     /* 160706 */   GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(160787), // Rule ID 1988 //
     /* 160711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 160714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 160722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 160725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 160728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 160744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160765 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160769 */     // MIs[2] Operand 1
     /* 160769 */     // No operand predicates
     /* 160769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160771 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i16_indexed),
     /* 160774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160785 */     GIR_RootConstrainSelectedInstOperands,
     /* 160786 */     // GIR_Coverage, 1988,
     /* 160786 */     GIR_EraseRootFromParent_Done,
     /* 160787 */   // Label 3090: @160787
     /* 160787 */   GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(160868), // Rule ID 1989 //
     /* 160792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 160795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 160800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 160803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 160806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 160809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 160825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160829 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160846 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160850 */     // MIs[2] Operand 1
     /* 160850 */     // No operand predicates
     /* 160850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160852 */     // (intrinsic_wo_chain:{ *:[v8f16] } 610:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv8i16_indexed),
     /* 160855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160857 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160866 */     GIR_RootConstrainSelectedInstOperands,
     /* 160867 */     // GIR_Coverage, 1989,
     /* 160867 */     GIR_EraseRootFromParent_Done,
     /* 160868 */   // Label 3091: @160868
     /* 160868 */   GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(160949), // Rule ID 2018 //
     /* 160873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 160881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 160884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 160887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 160890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 160898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 160906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 160919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 160923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 160927 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 160931 */     // MIs[2] Operand 1
     /* 160931 */     // No operand predicates
     /* 160931 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 160933 */     // (intrinsic_wo_chain:{ *:[v4i16] } 680:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 160933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i16_indexed),
     /* 160936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 160938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 160940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 160944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 160947 */     GIR_RootConstrainSelectedInstOperands,
     /* 160948 */     // GIR_Coverage, 2018,
     /* 160948 */     GIR_EraseRootFromParent_Done,
     /* 160949 */   // Label 3092: @160949
     /* 160949 */   GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(161030), // Rule ID 2019 //
     /* 160954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 160957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 160962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 160965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 160968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 160971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 160979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 160983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 160987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 160991 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 160995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 161000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161008 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 161012 */     // MIs[2] Operand 1
     /* 161012 */     // No operand predicates
     /* 161012 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161014 */     // (intrinsic_wo_chain:{ *:[v8i16] } 680:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQDMULHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv8i16_indexed),
     /* 161017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161019 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161028 */     GIR_RootConstrainSelectedInstOperands,
     /* 161029 */     // GIR_Coverage, 2019,
     /* 161029 */     GIR_EraseRootFromParent_Done,
     /* 161030 */   // Label 3093: @161030
     /* 161030 */   GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(161111), // Rule ID 2025 //
     /* 161035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 161043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 161046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 161049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 161052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 161068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 161072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 161081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161089 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 161093 */     // MIs[2] Operand 1
     /* 161093 */     // No operand predicates
     /* 161093 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161095 */     // (intrinsic_wo_chain:{ *:[v4i16] } 688:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMULHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i16_indexed),
     /* 161098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161100 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161109 */     GIR_RootConstrainSelectedInstOperands,
     /* 161110 */     // GIR_Coverage, 2025,
     /* 161110 */     GIR_EraseRootFromParent_Done,
     /* 161111 */   // Label 3094: @161111
     /* 161111 */   GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(161192), // Rule ID 2026 //
     /* 161116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 161124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 161127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 161130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 161133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 161149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 161153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 161162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161170 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 161174 */     // MIs[2] Operand 1
     /* 161174 */     // No operand predicates
     /* 161174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161176 */     // (intrinsic_wo_chain:{ *:[v8i16] } 688:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMULHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv8i16_indexed),
     /* 161179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161181 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161190 */     GIR_RootConstrainSelectedInstOperands,
     /* 161191 */     // GIR_Coverage, 2026,
     /* 161191 */     GIR_EraseRootFromParent_Done,
     /* 161192 */   // Label 3095: @161192
     /* 161192 */   GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(161273), // Rule ID 2084 //
     /* 161197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 161205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 161208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 161211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 161214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 161230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 161234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 161243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161251 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 161255 */     // MIs[2] Operand 1
     /* 161255 */     // No operand predicates
     /* 161255 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161257 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQDMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i16_indexed),
     /* 161260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161262 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161271 */     GIR_RootConstrainSelectedInstOperands,
     /* 161272 */     // GIR_Coverage, 2084,
     /* 161272 */     GIR_EraseRootFromParent_Done,
     /* 161273 */   // Label 3096: @161273
     /* 161273 */   GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(161354), // Rule ID 1991 //
     /* 161278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 161286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 161289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 161292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 161295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161315 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161332 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161336 */     // MIs[2] Operand 1
     /* 161336 */     // No operand predicates
     /* 161336 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161338 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i32_indexed),
     /* 161341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161343 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161352 */     GIR_RootConstrainSelectedInstOperands,
     /* 161353 */     // GIR_Coverage, 1991,
     /* 161353 */     GIR_EraseRootFromParent_Done,
     /* 161354 */   // Label 3097: @161354
     /* 161354 */   GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(161435), // Rule ID 1992 //
     /* 161359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 161367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 161370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 161373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 161376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161396 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161405 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161409 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161413 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161417 */     // MIs[2] Operand 1
     /* 161417 */     // No operand predicates
     /* 161417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161419 */     // (intrinsic_wo_chain:{ *:[v4f32] } 610:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4i32_indexed),
     /* 161422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161433 */     GIR_RootConstrainSelectedInstOperands,
     /* 161434 */     // GIR_Coverage, 1992,
     /* 161434 */     GIR_EraseRootFromParent_Done,
     /* 161435 */   // Label 3098: @161435
     /* 161435 */   GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(161516), // Rule ID 2021 //
     /* 161440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 161448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 161451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 161454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 161457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161477 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161494 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161498 */     // MIs[2] Operand 1
     /* 161498 */     // No operand predicates
     /* 161498 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161500 */     // (intrinsic_wo_chain:{ *:[v2i32] } 680:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv2i32_indexed),
     /* 161503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161505 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161514 */     GIR_RootConstrainSelectedInstOperands,
     /* 161515 */     // GIR_Coverage, 2021,
     /* 161515 */     GIR_EraseRootFromParent_Done,
     /* 161516 */   // Label 3099: @161516
     /* 161516 */   GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(161597), // Rule ID 2022 //
     /* 161521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 161529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 161532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 161535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 161538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161575 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161579 */     // MIs[2] Operand 1
     /* 161579 */     // No operand predicates
     /* 161579 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161581 */     // (intrinsic_wo_chain:{ *:[v4i32] } 680:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i32_indexed),
     /* 161584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161586 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161595 */     GIR_RootConstrainSelectedInstOperands,
     /* 161596 */     // GIR_Coverage, 2022,
     /* 161596 */     GIR_EraseRootFromParent_Done,
     /* 161597 */   // Label 3100: @161597
     /* 161597 */   GIM_Try, /*On fail goto*//*Label 3101*/ GIMT_Encode4(161678), // Rule ID 2028 //
     /* 161602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 161610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 161613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 161616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 161619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161656 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161660 */     // MIs[2] Operand 1
     /* 161660 */     // No operand predicates
     /* 161660 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161662 */     // (intrinsic_wo_chain:{ *:[v2i32] } 688:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMULHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv2i32_indexed),
     /* 161665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161667 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161676 */     GIR_RootConstrainSelectedInstOperands,
     /* 161677 */     // GIR_Coverage, 2028,
     /* 161677 */     GIR_EraseRootFromParent_Done,
     /* 161678 */   // Label 3101: @161678
     /* 161678 */   GIM_Try, /*On fail goto*//*Label 3102*/ GIMT_Encode4(161759), // Rule ID 2029 //
     /* 161683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 161691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 161694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 161697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 161700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161737 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161741 */     // MIs[2] Operand 1
     /* 161741 */     // No operand predicates
     /* 161741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161743 */     // (intrinsic_wo_chain:{ *:[v4i32] } 688:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMULHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i32_indexed),
     /* 161746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161757 */     GIR_RootConstrainSelectedInstOperands,
     /* 161758 */     // GIR_Coverage, 2029,
     /* 161758 */     GIR_EraseRootFromParent_Done,
     /* 161759 */   // Label 3102: @161759
     /* 161759 */   GIM_Try, /*On fail goto*//*Label 3103*/ GIMT_Encode4(161840), // Rule ID 2087 //
     /* 161764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 161772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 161775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 161778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 161781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 161789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 161797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 161801 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161818 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 161822 */     // MIs[2] Operand 1
     /* 161822 */     // No operand predicates
     /* 161822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161824 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv2i32_indexed),
     /* 161827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161829 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161838 */     GIR_RootConstrainSelectedInstOperands,
     /* 161839 */     // GIR_Coverage, 2087,
     /* 161839 */     GIR_EraseRootFromParent_Done,
     /* 161840 */   // Label 3103: @161840
     /* 161840 */   GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(161921), // Rule ID 1993 //
     /* 161845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 161848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 161853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 161856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 161859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 161862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 161878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 161882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 161891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161899 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 161903 */     // MIs[2] Operand 1
     /* 161903 */     // No operand predicates
     /* 161903 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161905 */     // (intrinsic_wo_chain:{ *:[v2f64] } 610:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULXv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2i64_indexed),
     /* 161908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 161919 */     GIR_RootConstrainSelectedInstOperands,
     /* 161920 */     // GIR_Coverage, 1993,
     /* 161920 */     GIR_EraseRootFromParent_Done,
     /* 161921 */   // Label 3104: @161921
     /* 161921 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(162002), // Rule ID 1994 //
     /* 161926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 161929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 161934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 161937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 161940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 161943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 161947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 161951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 161955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 161959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 161963 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 161967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 161972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 161976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 161980 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 161984 */     // MIs[2] Operand 1
     /* 161984 */     // No operand predicates
     /* 161984 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 161986 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, FPR16Op:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULXv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 161986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i16_indexed),
     /* 161989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 161991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 161993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 161997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 162000 */     GIR_RootConstrainSelectedInstOperands,
     /* 162001 */     // GIR_Coverage, 1994,
     /* 162001 */     GIR_EraseRootFromParent_Done,
     /* 162002 */   // Label 3105: @162002
     /* 162002 */   GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(162083), // Rule ID 1995 //
     /* 162007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 162015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 162021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 162040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 162044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 162048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 162057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162061 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 162065 */     // MIs[2] Operand 1
     /* 162065 */     // No operand predicates
     /* 162065 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 162067 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, FPR32Op:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULXv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 162067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i32_indexed),
     /* 162070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 162078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 162081 */     GIR_RootConstrainSelectedInstOperands,
     /* 162082 */     // GIR_Coverage, 1995,
     /* 162082 */     GIR_EraseRootFromParent_Done,
     /* 162083 */   // Label 3106: @162083
     /* 162083 */   GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(162164), // Rule ID 1996 //
     /* 162088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 162096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 162105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 162121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 162125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 162129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 162138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162142 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 162146 */     // MIs[2] Operand 1
     /* 162146 */     // No operand predicates
     /* 162146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 162148 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, FPR64Op:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULXv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 162148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv1i64_indexed),
     /* 162151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162153 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 162159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 162162 */     GIR_RootConstrainSelectedInstOperands,
     /* 162163 */     // GIR_Coverage, 1996,
     /* 162163 */     GIR_EraseRootFromParent_Done,
     /* 162164 */   // Label 3107: @162164
     /* 162164 */   GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(162245), // Rule ID 2023 //
     /* 162169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 162177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 162183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 162202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 162206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 162210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 162219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162223 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 162227 */     // MIs[2] Operand 1
     /* 162227 */     // No operand predicates
     /* 162227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 162229 */     // (intrinsic_wo_chain:{ *:[i32] } 680:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 162229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv1i32_indexed),
     /* 162232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 162240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 162243 */     GIR_RootConstrainSelectedInstOperands,
     /* 162244 */     // GIR_Coverage, 2023,
     /* 162244 */     GIR_EraseRootFromParent_Done,
     /* 162245 */   // Label 3108: @162245
     /* 162245 */   GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(162326), // Rule ID 2030 //
     /* 162250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 162258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 162264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 162283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 162287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 162291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 162300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162304 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 162308 */     // MIs[2] Operand 1
     /* 162308 */     // No operand predicates
     /* 162308 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 162310 */     // (intrinsic_wo_chain:{ *:[i32] } 688:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMULHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 162310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv1i32_indexed),
     /* 162313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 162321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 162324 */     GIR_RootConstrainSelectedInstOperands,
     /* 162325 */     // GIR_Coverage, 2030,
     /* 162325 */     GIR_EraseRootFromParent_Done,
     /* 162326 */   // Label 3109: @162326
     /* 162326 */   GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(162404), // Rule ID 6263 //
     /* 162331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 162336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 162342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 162361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 162365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 162369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 162378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162382 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 162386 */     // MIs[2] Operand 1
     /* 162386 */     // No operand predicates
     /* 162386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 162388 */     // (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Vm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQDMULLv1i64_indexed:{ *:[i64] } FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Vm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 162388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv1i64_indexed),
     /* 162391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162393 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 162395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vm
     /* 162399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 162402 */     GIR_RootConstrainSelectedInstOperands,
     /* 162403 */     // GIR_Coverage, 6263,
     /* 162403 */     GIR_EraseRootFromParent_Done,
     /* 162404 */   // Label 3110: @162404
     /* 162404 */   GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(162464), // Rule ID 6329 //
     /* 162409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 162414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 162417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 162420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162431 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 8,
     /* 162435 */     // (intrinsic_wo_chain:{ *:[v8i8] } 657:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vn, 8:{ *:[i32] })  =>  (RADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Vn, (MOVIv2d_ns:{ *:[v8i16] } 0:{ *:[i32] }))
     /* 162435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 162438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 162442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 162447 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 162450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 162452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v8i8),
     /* 162455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162457 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 162459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 162462 */     GIR_RootConstrainSelectedInstOperands,
     /* 162463 */     // GIR_Coverage, 6329,
     /* 162463 */     GIR_EraseRootFromParent_Done,
     /* 162464 */   // Label 3111: @162464
     /* 162464 */   GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(162524), // Rule ID 6330 //
     /* 162469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 162474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 162477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 162480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162491 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 16,
     /* 162495 */     // (intrinsic_wo_chain:{ *:[v4i16] } 657:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, 16:{ *:[i32] })  =>  (RADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vn, (MOVIv2d_ns:{ *:[v4i32] } 0:{ *:[i32] }))
     /* 162495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 162498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 162502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 162507 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 162510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 162512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v4i16),
     /* 162515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162517 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 162519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 162522 */     GIR_RootConstrainSelectedInstOperands,
     /* 162523 */     // GIR_Coverage, 6330,
     /* 162523 */     GIR_EraseRootFromParent_Done,
     /* 162524 */   // Label 3112: @162524
     /* 162524 */   GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(162584), // Rule ID 6331 //
     /* 162529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 162534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 162537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 162540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 162551 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 32,
     /* 162555 */     // (intrinsic_wo_chain:{ *:[v2i32] } 657:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, 32:{ *:[i32] })  =>  (RADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vn, (MOVIv2d_ns:{ *:[v2i64] } 0:{ *:[i32] }))
     /* 162555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 162558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 162562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 162567 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 162570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 162572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v2i32),
     /* 162575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162577 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 162579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 162582 */     GIR_RootConstrainSelectedInstOperands,
     /* 162583 */     // GIR_Coverage, 6331,
     /* 162583 */     GIR_EraseRootFromParent_Done,
     /* 162584 */   // Label 3113: @162584
     /* 162584 */   GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(162631), // Rule ID 3897 //
     /* 162589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 162592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 162597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162611 */     // MIs[0] Operand 3
     /* 162611 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 162622 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 0:{ *:[i32] })  =>  (XPACI:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 162622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACI),
     /* 162625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 162629 */     GIR_RootConstrainSelectedInstOperands,
     /* 162630 */     // GIR_Coverage, 3897,
     /* 162630 */     GIR_EraseRootFromParent_Done,
     /* 162631 */   // Label 3114: @162631
     /* 162631 */   GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(162678), // Rule ID 3898 //
     /* 162636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 162639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 162644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162658 */     // MIs[0] Operand 3
     /* 162658 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(1),
     /* 162669 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 1:{ *:[i32] })  =>  (XPACI:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 162669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACI),
     /* 162672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 162676 */     GIR_RootConstrainSelectedInstOperands,
     /* 162677 */     // GIR_Coverage, 3898,
     /* 162677 */     GIR_EraseRootFromParent_Done,
     /* 162678 */   // Label 3115: @162678
     /* 162678 */   GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(162725), // Rule ID 3899 //
     /* 162683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 162686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 162691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162705 */     // MIs[0] Operand 3
     /* 162705 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(2),
     /* 162716 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 2:{ *:[i32] })  =>  (XPACD:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 162716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACD),
     /* 162719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 162723 */     GIR_RootConstrainSelectedInstOperands,
     /* 162724 */     // GIR_Coverage, 3899,
     /* 162724 */     GIR_EraseRootFromParent_Done,
     /* 162725 */   // Label 3116: @162725
     /* 162725 */   GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(162772), // Rule ID 3900 //
     /* 162730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 162733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_strip),
     /* 162738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 162741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 162752 */     // MIs[0] Operand 3
     /* 162752 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(3),
     /* 162763 */     // (intrinsic_wo_chain:{ *:[i64] } 298:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 3:{ *:[i32] })  =>  (XPACD:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 162763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XPACD),
     /* 162766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 162768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 162770 */     GIR_RootConstrainSelectedInstOperands,
     /* 162771 */     // GIR_Coverage, 3900,
     /* 162771 */     GIR_EraseRootFromParent_Done,
     /* 162772 */   // Label 3117: @162772
     /* 162772 */   GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(162818), // Rule ID 3544 //
     /* 162777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 162780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 162785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 162788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 162791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 162795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 162799 */     // MIs[0] Idx
     /* 162799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 162802 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_0),
     /* 162807 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1626:{ *:[iPTR] }, ZPRAny:{ *:[nxv16i8] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_0>>:$Idx)  =>  (PMOV_PZI_B:{ *:[nxv16i1] } ZPRAny:{ *:[nxv16i8] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_0>>:$Idx)
     /* 162807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_B),
     /* 162810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 162812 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 162814 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 162816 */     GIR_RootConstrainSelectedInstOperands,
     /* 162817 */     // GIR_Coverage, 3544,
     /* 162817 */     GIR_EraseRootFromParent_Done,
     /* 162818 */   // Label 3118: @162818
     /* 162818 */   GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(162864), // Rule ID 3545 //
     /* 162823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 162826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 162831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 162834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 162837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 162841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 162845 */     // MIs[0] Idx
     /* 162845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 162848 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 162853 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1626:{ *:[iPTR] }, ZPRAny:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Idx)  =>  (PMOV_PZI_H:{ *:[nxv8i1] } ZPRAny:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Idx)
     /* 162853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_H),
     /* 162856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 162858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 162860 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 162862 */     GIR_RootConstrainSelectedInstOperands,
     /* 162863 */     // GIR_Coverage, 3545,
     /* 162863 */     GIR_EraseRootFromParent_Done,
     /* 162864 */   // Label 3119: @162864
     /* 162864 */   GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(162910), // Rule ID 3546 //
     /* 162869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 162872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 162877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 162880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 162883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 162887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 162891 */     // MIs[0] Idx
     /* 162891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 162894 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 162899 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1626:{ *:[iPTR] }, ZPRAny:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Idx)  =>  (PMOV_PZI_S:{ *:[nxv4i1] } ZPRAny:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Idx)
     /* 162899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_S),
     /* 162902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 162904 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 162906 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 162908 */     GIR_RootConstrainSelectedInstOperands,
     /* 162909 */     // GIR_Coverage, 3546,
     /* 162909 */     GIR_EraseRootFromParent_Done,
     /* 162910 */   // Label 3120: @162910
     /* 162910 */   GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(162956), // Rule ID 3547 //
     /* 162915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 162918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_pred_lane),
     /* 162923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 162926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 162929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 162933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 162937 */     // MIs[0] Idx
     /* 162937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 162940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 162945 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1626:{ *:[iPTR] }, ZPRAny:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Idx)  =>  (PMOV_PZI_D:{ *:[nxv2i1] } ZPRAny:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Idx)
     /* 162945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_PZI_D),
     /* 162948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 162950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 162952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Idx
     /* 162954 */     GIR_RootConstrainSelectedInstOperands,
     /* 162955 */     // GIR_Coverage, 3547,
     /* 162955 */     GIR_EraseRootFromParent_Done,
     /* 162956 */   // Label 3121: @162956
     /* 162956 */   GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(163012), // Rule ID 2109 //
     /* 162961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 162964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshrn),
     /* 162969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 162972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 162975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 162978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 162982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 162986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 162990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 162994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 162998 */     // MIs[1] Operand 1
     /* 162998 */     // No operand predicates
     /* 162998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163000 */     // (intrinsic_wo_chain:{ *:[i32] } 692:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQRSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNs),
     /* 163003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163010 */     GIR_RootConstrainSelectedInstOperands,
     /* 163011 */     // GIR_Coverage, 2109,
     /* 163011 */     GIR_EraseRootFromParent_Done,
     /* 163012 */   // Label 3122: @163012
     /* 163012 */   GIM_Try, /*On fail goto*//*Label 3123*/ GIMT_Encode4(163068), // Rule ID 2110 //
     /* 163017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshrun),
     /* 163025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163054 */     // MIs[1] Operand 1
     /* 163054 */     // No operand predicates
     /* 163054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163056 */     // (intrinsic_wo_chain:{ *:[i32] } 693:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQRSHRUNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNs),
     /* 163059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163061 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163066 */     GIR_RootConstrainSelectedInstOperands,
     /* 163067 */     // GIR_Coverage, 2110,
     /* 163067 */     GIR_EraseRootFromParent_Done,
     /* 163068 */   // Label 3123: @163068
     /* 163068 */   GIM_Try, /*On fail goto*//*Label 3124*/ GIMT_Encode4(163124), // Rule ID 2115 //
     /* 163073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshrn),
     /* 163081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163110 */     // MIs[1] Operand 1
     /* 163110 */     // No operand predicates
     /* 163110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163112 */     // (intrinsic_wo_chain:{ *:[i32] } 696:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNs),
     /* 163115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163117 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163122 */     GIR_RootConstrainSelectedInstOperands,
     /* 163123 */     // GIR_Coverage, 2115,
     /* 163123 */     GIR_EraseRootFromParent_Done,
     /* 163124 */   // Label 3124: @163124
     /* 163124 */   GIM_Try, /*On fail goto*//*Label 3125*/ GIMT_Encode4(163180), // Rule ID 2116 //
     /* 163129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshrun),
     /* 163137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163166 */     // MIs[1] Operand 1
     /* 163166 */     // No operand predicates
     /* 163166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163168 */     // (intrinsic_wo_chain:{ *:[i32] } 697:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SQSHRUNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNs),
     /* 163171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163178 */     GIR_RootConstrainSelectedInstOperands,
     /* 163179 */     // GIR_Coverage, 2116,
     /* 163179 */     GIR_EraseRootFromParent_Done,
     /* 163180 */   // Label 3125: @163180
     /* 163180 */   GIM_Try, /*On fail goto*//*Label 3126*/ GIMT_Encode4(163236), // Rule ID 2123 //
     /* 163185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshrn),
     /* 163193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163222 */     // MIs[1] Operand 1
     /* 163222 */     // No operand predicates
     /* 163222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163224 */     // (intrinsic_wo_chain:{ *:[i32] } 741:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (UQRSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNs),
     /* 163227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163234 */     GIR_RootConstrainSelectedInstOperands,
     /* 163235 */     // GIR_Coverage, 2123,
     /* 163235 */     GIR_EraseRootFromParent_Done,
     /* 163236 */   // Label 3126: @163236
     /* 163236 */   GIM_Try, /*On fail goto*//*Label 3127*/ GIMT_Encode4(163292), // Rule ID 2126 //
     /* 163241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshrn),
     /* 163249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163278 */     // MIs[1] Operand 1
     /* 163278 */     // No operand predicates
     /* 163278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163280 */     // (intrinsic_wo_chain:{ *:[i32] } 743:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (UQSHRNs:{ *:[i32] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNs),
     /* 163283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163290 */     GIR_RootConstrainSelectedInstOperands,
     /* 163291 */     // GIR_Coverage, 2126,
     /* 163291 */     GIR_EraseRootFromParent_Done,
     /* 163292 */   // Label 3127: @163292
     /* 163292 */   GIM_Try, /*On fail goto*//*Label 3128*/ GIMT_Encode4(163348), // Rule ID 2148 //
     /* 163297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 163305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 163308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 163311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /* 163334 */     // MIs[1] Operand 1
     /* 163334 */     // No operand predicates
     /* 163334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163336 */     // (intrinsic_wo_chain:{ *:[v8i8] } 657:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)  =>  (RSHRNv8i8_shift:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv8i8_shift),
     /* 163339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163341 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163346 */     GIR_RootConstrainSelectedInstOperands,
     /* 163347 */     // GIR_Coverage, 2148,
     /* 163347 */     GIR_EraseRootFromParent_Done,
     /* 163348 */   // Label 3128: @163348
     /* 163348 */   GIM_Try, /*On fail goto*//*Label 3129*/ GIMT_Encode4(163404), // Rule ID 2150 //
     /* 163353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 163361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 163364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 163367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /* 163390 */     // MIs[1] Operand 1
     /* 163390 */     // No operand predicates
     /* 163390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163392 */     // (intrinsic_wo_chain:{ *:[v4i16] } 657:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)  =>  (RSHRNv4i16_shift:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv4i16_shift),
     /* 163395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163397 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163402 */     GIR_RootConstrainSelectedInstOperands,
     /* 163403 */     // GIR_Coverage, 2150,
     /* 163403 */     GIR_EraseRootFromParent_Done,
     /* 163404 */   // Label 3129: @163404
     /* 163404 */   GIM_Try, /*On fail goto*//*Label 3130*/ GIMT_Encode4(163460), // Rule ID 2152 //
     /* 163409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 163412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rshrn),
     /* 163417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 163420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 163423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 163434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /* 163446 */     // MIs[1] Operand 1
     /* 163446 */     // No operand predicates
     /* 163446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163448 */     // (intrinsic_wo_chain:{ *:[v2i32] } 657:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)  =>  (RSHRNv2i32_shift:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 163448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNv2i32_shift),
     /* 163451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163453 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163458 */     GIR_RootConstrainSelectedInstOperands,
     /* 163459 */     // GIR_Coverage, 2152,
     /* 163459 */     GIR_EraseRootFromParent_Done,
     /* 163460 */   // Label 3130: @163460
     /* 163460 */   GIM_Try, /*On fail goto*//*Label 3131*/ GIMT_Encode4(163513), // Rule ID 6264 //
     /* 163465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 163470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 163476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163499 */     // MIs[1] Operand 1
     /* 163499 */     // No operand predicates
     /* 163499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163501 */     // (intrinsic_wo_chain:{ *:[i32] } 762:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (FCVTZSs:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 163501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSs),
     /* 163504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163506 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163511 */     GIR_RootConstrainSelectedInstOperands,
     /* 163512 */     // GIR_Coverage, 6264,
     /* 163512 */     GIR_EraseRootFromParent_Done,
     /* 163513 */   // Label 3131: @163513
     /* 163513 */   GIM_Try, /*On fail goto*//*Label 3132*/ GIMT_Encode4(163566), // Rule ID 6265 //
     /* 163518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 163523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 163529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163552 */     // MIs[1] Operand 1
     /* 163552 */     // No operand predicates
     /* 163552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163554 */     // (intrinsic_wo_chain:{ *:[i32] } 763:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (FCVTZUs:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 163554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUs),
     /* 163557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163559 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163564 */     GIR_RootConstrainSelectedInstOperands,
     /* 163565 */     // GIR_Coverage, 6265,
     /* 163565 */     GIR_EraseRootFromParent_Done,
     /* 163566 */   // Label 3132: @163566
     /* 163566 */   GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(163619), // Rule ID 6266 //
     /* 163571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 163576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163605 */     // MIs[1] Operand 1
     /* 163605 */     // No operand predicates
     /* 163605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163607 */     // (intrinsic_wo_chain:{ *:[i64] } 762:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZSd:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSd),
     /* 163610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163612 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163617 */     GIR_RootConstrainSelectedInstOperands,
     /* 163618 */     // GIR_Coverage, 6266,
     /* 163618 */     GIR_EraseRootFromParent_Done,
     /* 163619 */   // Label 3133: @163619
     /* 163619 */   GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(163672), // Rule ID 6267 //
     /* 163624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 163629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163658 */     // MIs[1] Operand 1
     /* 163658 */     // No operand predicates
     /* 163658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163660 */     // (intrinsic_wo_chain:{ *:[i64] } 763:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZUd:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUd),
     /* 163663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163670 */     GIR_RootConstrainSelectedInstOperands,
     /* 163671 */     // GIR_Coverage, 6267,
     /* 163671 */     GIR_EraseRootFromParent_Done,
     /* 163672 */   // Label 3134: @163672
     /* 163672 */   GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(163725), // Rule ID 6268 //
     /* 163677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 163682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163711 */     // MIs[1] Operand 1
     /* 163711 */     // No operand predicates
     /* 163711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163713 */     // (intrinsic_wo_chain:{ *:[v1i64] } 762:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZSd:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSd),
     /* 163716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163723 */     GIR_RootConstrainSelectedInstOperands,
     /* 163724 */     // GIR_Coverage, 6268,
     /* 163724 */     GIR_EraseRootFromParent_Done,
     /* 163725 */   // Label 3135: @163725
     /* 163725 */   GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(163778), // Rule ID 6269 //
     /* 163730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 163735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163764 */     // MIs[1] Operand 1
     /* 163764 */     // No operand predicates
     /* 163764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163766 */     // (intrinsic_wo_chain:{ *:[v1i64] } 763:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (FCVTZUd:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUd),
     /* 163769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163771 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163776 */     GIR_RootConstrainSelectedInstOperands,
     /* 163777 */     // GIR_Coverage, 6269,
     /* 163777 */     GIR_EraseRootFromParent_Done,
     /* 163778 */   // Label 3136: @163778
     /* 163778 */   GIM_Try, /*On fail goto*//*Label 3137*/ GIMT_Encode4(163831), // Rule ID 6270 //
     /* 163783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 163788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 163791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 163794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 163805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 163817 */     // MIs[1] Operand 1
     /* 163817 */     // No operand predicates
     /* 163817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163819 */     // (intrinsic_wo_chain:{ *:[f32] } 766:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (UCVTFs:{ *:[f32] } FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 163819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFs),
     /* 163822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163829 */     GIR_RootConstrainSelectedInstOperands,
     /* 163830 */     // GIR_Coverage, 6270,
     /* 163830 */     GIR_EraseRootFromParent_Done,
     /* 163831 */   // Label 3137: @163831
     /* 163831 */   GIM_Try, /*On fail goto*//*Label 3138*/ GIMT_Encode4(163884), // Rule ID 6271 //
     /* 163836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 163841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163870 */     // MIs[1] Operand 1
     /* 163870 */     // No operand predicates
     /* 163870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163872 */     // (intrinsic_wo_chain:{ *:[f64] } 766:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (UCVTFd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFd),
     /* 163875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163882 */     GIR_RootConstrainSelectedInstOperands,
     /* 163883 */     // GIR_Coverage, 6271,
     /* 163883 */     GIR_EraseRootFromParent_Done,
     /* 163884 */   // Label 3138: @163884
     /* 163884 */   GIM_Try, /*On fail goto*//*Label 3139*/ GIMT_Encode4(163937), // Rule ID 6272 //
     /* 163889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 163894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163923 */     // MIs[1] Operand 1
     /* 163923 */     // No operand predicates
     /* 163923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163925 */     // (intrinsic_wo_chain:{ *:[v1f64] } 765:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SCVTFd:{ *:[v1f64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFd),
     /* 163928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163935 */     GIR_RootConstrainSelectedInstOperands,
     /* 163936 */     // GIR_Coverage, 6272,
     /* 163936 */     GIR_EraseRootFromParent_Done,
     /* 163937 */   // Label 3139: @163937
     /* 163937 */   GIM_Try, /*On fail goto*//*Label 3140*/ GIMT_Encode4(163990), // Rule ID 6273 //
     /* 163942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 163947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 163950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 163953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 163956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 163964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 163968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 163972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 163976 */     // MIs[1] Operand 1
     /* 163976 */     // No operand predicates
     /* 163976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 163978 */     // (intrinsic_wo_chain:{ *:[f64] } 765:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SCVTFd:{ *:[f64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 163978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFd),
     /* 163981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 163983 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 163985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 163988 */     GIR_RootConstrainSelectedInstOperands,
     /* 163989 */     // GIR_Coverage, 6273,
     /* 163989 */     GIR_EraseRootFromParent_Done,
     /* 163990 */   // Label 3140: @163990
     /* 163990 */   GIM_Try, /*On fail goto*//*Label 3141*/ GIMT_Encode4(164043), // Rule ID 6274 //
     /* 163995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 164000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 164003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 164006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 164029 */     // MIs[1] Operand 1
     /* 164029 */     // No operand predicates
     /* 164029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164031 */     // (intrinsic_wo_chain:{ *:[v1f64] } 766:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (UCVTFd:{ *:[v1f64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 164031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFd),
     /* 164034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164041 */     GIR_RootConstrainSelectedInstOperands,
     /* 164042 */     // GIR_Coverage, 6274,
     /* 164042 */     GIR_EraseRootFromParent_Done,
     /* 164043 */   // Label 3141: @164043
     /* 164043 */   GIM_Try, /*On fail goto*//*Label 3142*/ GIMT_Encode4(164096), // Rule ID 6275 //
     /* 164048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 164053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 164056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 164059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 164082 */     // MIs[1] Operand 1
     /* 164082 */     // No operand predicates
     /* 164082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164084 */     // (intrinsic_wo_chain:{ *:[f32] } 765:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SCVTFs:{ *:[f32] } FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)
     /* 164084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFs),
     /* 164087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164089 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 164091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164094 */     GIR_RootConstrainSelectedInstOperands,
     /* 164095 */     // GIR_Coverage, 6275,
     /* 164095 */     GIR_EraseRootFromParent_Done,
     /* 164096 */   // Label 3142: @164096
     /* 164096 */   GIM_Try, /*On fail goto*//*Label 3143*/ GIMT_Encode4(164178), // Rule ID 6277 //
     /* 164101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 164106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 164109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 164112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 164135 */     // MIs[1] Operand 1
     /* 164135 */     // No operand predicates
     /* 164135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164137 */     // (intrinsic_wo_chain:{ *:[f16] } 765:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 164137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 164140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 164144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164149 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 164155 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164160 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFh),
     /* 164168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164176 */     GIR_RootConstrainSelectedInstOperands,
     /* 164177 */     // GIR_Coverage, 6277,
     /* 164177 */     GIR_EraseRootFromParent_Done,
     /* 164178 */   // Label 3143: @164178
     /* 164178 */   GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(164260), // Rule ID 6278 //
     /* 164183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 164188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 164191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 164194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 164217 */     // MIs[1] Operand 1
     /* 164217 */     // No operand predicates
     /* 164217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164219 */     // (intrinsic_wo_chain:{ *:[f16] } 765:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 164219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 164222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 164226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164231 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 164237 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164242 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFh),
     /* 164250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164258 */     GIR_RootConstrainSelectedInstOperands,
     /* 164259 */     // GIR_Coverage, 6278,
     /* 164259 */     GIR_EraseRootFromParent_Done,
     /* 164260 */   // Label 3144: @164260
     /* 164260 */   GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(164342), // Rule ID 6280 //
     /* 164265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 164270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 164273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 164276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 164299 */     // MIs[1] Operand 1
     /* 164299 */     // No operand predicates
     /* 164299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164301 */     // (intrinsic_wo_chain:{ *:[f16] } 766:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (UCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR32:{ *:[i32] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 164301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 164304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 164308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164313 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 164319 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164324 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFh),
     /* 164332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164340 */     GIR_RootConstrainSelectedInstOperands,
     /* 164341 */     // GIR_Coverage, 6280,
     /* 164341 */     GIR_EraseRootFromParent_Done,
     /* 164342 */   // Label 3145: @164342
     /* 164342 */   GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(164424), // Rule ID 6281 //
     /* 164347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 164352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 164355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 164358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 164381 */     // MIs[1] Operand 1
     /* 164381 */     // No operand predicates
     /* 164381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164383 */     // (intrinsic_wo_chain:{ *:[f16] } 766:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (UCVTFh:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR64:{ *:[i64] }:$Rn, hsub:{ *:[i32] }), (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)
     /* 164383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 164386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 164390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164395 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 164401 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164406 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFh),
     /* 164414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 164422 */     GIR_RootConstrainSelectedInstOperands,
     /* 164423 */     // GIR_Coverage, 6281,
     /* 164423 */     GIR_EraseRootFromParent_Done,
     /* 164424 */   // Label 3146: @164424
     /* 164424 */   GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(164530), // Rule ID 6282 //
     /* 164429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 164434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 164437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 164440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 164463 */     // MIs[1] Operand 1
     /* 164463 */     // No operand predicates
     /* 164463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164465 */     // (intrinsic_wo_chain:{ *:[i32] } 762:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FCVTZSh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), hsub:{ *:[i32] })
     /* 164465 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 164468 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSh),
     /* 164472 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164477 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 164481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 164484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 164486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 164489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 164493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 164500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 164503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 164511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 164514 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164519 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164524 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164529 */     // GIR_Coverage, 6282,
     /* 164529 */     GIR_EraseRootFromParent_Done,
     /* 164530 */   // Label 3147: @164530
     /* 164530 */   GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(164636), // Rule ID 6283 //
     /* 164535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 164540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 164543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 164546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 164569 */     // MIs[1] Operand 1
     /* 164569 */     // No operand predicates
     /* 164569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164571 */     // (intrinsic_wo_chain:{ *:[i64] } 762:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (FCVTZSh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), hsub:{ *:[i32] })
     /* 164571 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 164574 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSh),
     /* 164578 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164583 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 164587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 164590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 164592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 164595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 164599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 164606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 164609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 164617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 164620 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164625 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164630 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164635 */     // GIR_Coverage, 6283,
     /* 164635 */     GIR_EraseRootFromParent_Done,
     /* 164636 */   // Label 3148: @164636
     /* 164636 */   GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(164742), // Rule ID 6284 //
     /* 164641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 164646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 164649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 164652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 164675 */     // MIs[1] Operand 1
     /* 164675 */     // No operand predicates
     /* 164675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164677 */     // (intrinsic_wo_chain:{ *:[i32] } 763:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FCVTZUh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm), hsub:{ *:[i32] })
     /* 164677 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 164680 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUh),
     /* 164684 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164689 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 164693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 164696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 164698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 164701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 164705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 164712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 164715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 164723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 164726 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164731 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 164736 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164741 */     // GIR_Coverage, 6284,
     /* 164741 */     GIR_EraseRootFromParent_Done,
     /* 164742 */   // Label 3149: @164742
     /* 164742 */   GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(164848), // Rule ID 6285 //
     /* 164747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 164752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 164755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 164758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 164761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 164781 */     // MIs[1] Operand 1
     /* 164781 */     // No operand predicates
     /* 164781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164783 */     // (intrinsic_wo_chain:{ *:[i64] } 763:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), (FCVTZUh:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm), hsub:{ *:[i32] })
     /* 164783 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 164786 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUh),
     /* 164790 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164795 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 164799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/1, // imm
     /* 164802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 164804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 164807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 164811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 164816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 164818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 164821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 164823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 164826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 164829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 164832 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164837 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 164842 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 164847 */     // GIR_Coverage, 6285,
     /* 164847 */     GIR_EraseRootFromParent_Done,
     /* 164848 */   // Label 3150: @164848
     /* 164848 */   GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(164906), // Rule ID 6974 //
     /* 164853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_blend),
     /* 164858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 164861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 164864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 164867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 164871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 164875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 164879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 164883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm64_0_65535),
     /* 164887 */     // MIs[1] Operand 1
     /* 164887 */     // No operand predicates
     /* 164887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 164889 */     // (intrinsic_wo_chain:{ *:[i64] } 294:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_imm64_0_65535>>:$imm)  =>  (MOVKXi:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, (trunc_imm:{ *:[i32] } (imm:{ *:[i64] })<<P:Predicate_imm64_0_65535>>:$imm), 48:{ *:[i32] })
     /* 164889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MOVKXi),
     /* 164892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 164894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 164896 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // imm
     /* 164901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 164904 */     GIR_RootConstrainSelectedInstOperands,
     /* 164905 */     // GIR_Coverage, 6974,
     /* 164905 */     GIR_EraseRootFromParent_Done,
     /* 164906 */   // Label 3151: @164906
     /* 164906 */   GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(164948), // Rule ID 3045 //
     /* 164911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllb),
     /* 164919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 164922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 164925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164929 */     // MIs[0] Op2
     /* 164929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164932 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 164937 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1864:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (SSHLLB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 164937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLB_ZZI_H),
     /* 164940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164944 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164946 */     GIR_RootConstrainSelectedInstOperands,
     /* 164947 */     // GIR_Coverage, 3045,
     /* 164947 */     GIR_EraseRootFromParent_Done,
     /* 164948 */   // Label 3152: @164948
     /* 164948 */   GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(164990), // Rule ID 3046 //
     /* 164953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllb),
     /* 164961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 164964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 164967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 164971 */     // MIs[0] Op2
     /* 164971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 164974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 164979 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1864:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (SSHLLB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 164979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLB_ZZI_S),
     /* 164982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 164984 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 164986 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 164988 */     GIR_RootConstrainSelectedInstOperands,
     /* 164989 */     // GIR_Coverage, 3046,
     /* 164989 */     GIR_EraseRootFromParent_Done,
     /* 164990 */   // Label 3153: @164990
     /* 164990 */   GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(165032), // Rule ID 3047 //
     /* 164995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 164998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllb),
     /* 165003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 165006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165013 */     // MIs[0] Op2
     /* 165013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165016 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 165021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1864:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (SSHLLB_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 165021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLB_ZZI_D),
     /* 165024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165028 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165030 */     GIR_RootConstrainSelectedInstOperands,
     /* 165031 */     // GIR_Coverage, 3047,
     /* 165031 */     GIR_EraseRootFromParent_Done,
     /* 165032 */   // Label 3154: @165032
     /* 165032 */   GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(165074), // Rule ID 3081 //
     /* 165037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunb),
     /* 165045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165055 */     // MIs[0] Op2
     /* 165055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165058 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 165063 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1845:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQSHRUNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 165063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNB_ZZI_B),
     /* 165066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165070 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165072 */     GIR_RootConstrainSelectedInstOperands,
     /* 165073 */     // GIR_Coverage, 3081,
     /* 165073 */     GIR_EraseRootFromParent_Done,
     /* 165074 */   // Label 3155: @165074
     /* 165074 */   GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(165116), // Rule ID 3082 //
     /* 165079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunb),
     /* 165087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165097 */     // MIs[0] Op2
     /* 165097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165100 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 165105 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1845:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQSHRUNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 165105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNB_ZZI_H),
     /* 165108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165114 */     GIR_RootConstrainSelectedInstOperands,
     /* 165115 */     // GIR_Coverage, 3082,
     /* 165115 */     GIR_EraseRootFromParent_Done,
     /* 165116 */   // Label 3156: @165116
     /* 165116 */   GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(165158), // Rule ID 3083 //
     /* 165121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunb),
     /* 165129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165139 */     // MIs[0] Op2
     /* 165139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165142 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 165147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1845:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQSHRUNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 165147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNB_ZZI_S),
     /* 165150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165152 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165154 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165156 */     GIR_RootConstrainSelectedInstOperands,
     /* 165157 */     // GIR_Coverage, 3083,
     /* 165157 */     GIR_EraseRootFromParent_Done,
     /* 165158 */   // Label 3157: @165158
     /* 165158 */   GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(165200), // Rule ID 3530 //
     /* 165163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 165166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 165171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 165177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165181 */     // MIs[0] Op2
     /* 165181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165184 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 165189 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1345:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Op2)  =>  (DUPQ_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Op2)
     /* 165189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_B),
     /* 165192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165194 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165196 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165198 */     GIR_RootConstrainSelectedInstOperands,
     /* 165199 */     // GIR_Coverage, 3530,
     /* 165199 */     GIR_EraseRootFromParent_Done,
     /* 165200 */   // Label 3158: @165200
     /* 165200 */   GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(165242), // Rule ID 3531 //
     /* 165205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 165208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 165213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165223 */     // MIs[0] Op2
     /* 165223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165226 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 165231 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1345:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)  =>  (DUPQ_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)
     /* 165231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_H),
     /* 165234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165238 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165240 */     GIR_RootConstrainSelectedInstOperands,
     /* 165241 */     // GIR_Coverage, 3531,
     /* 165241 */     GIR_EraseRootFromParent_Done,
     /* 165242 */   // Label 3159: @165242
     /* 165242 */   GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(165284), // Rule ID 3532 //
     /* 165247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 165250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 165255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165265 */     // MIs[0] Op2
     /* 165265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165268 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 165273 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1345:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)  =>  (DUPQ_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)
     /* 165273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_S),
     /* 165276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165278 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165280 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165282 */     GIR_RootConstrainSelectedInstOperands,
     /* 165283 */     // GIR_Coverage, 3532,
     /* 165283 */     GIR_EraseRootFromParent_Done,
     /* 165284 */   // Label 3160: @165284
     /* 165284 */   GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(165326), // Rule ID 3533 //
     /* 165289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 165292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 165297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 165300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165307 */     // MIs[0] Op2
     /* 165307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165310 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 165315 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1345:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)  =>  (DUPQ_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)
     /* 165315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_D),
     /* 165318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165320 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165322 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165324 */     GIR_RootConstrainSelectedInstOperands,
     /* 165325 */     // GIR_Coverage, 3533,
     /* 165325 */     GIR_EraseRootFromParent_Done,
     /* 165326 */   // Label 3161: @165326
     /* 165326 */   GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(165368), // Rule ID 3534 //
     /* 165331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 165334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 165339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165349 */     // MIs[0] Op2
     /* 165349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165352 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 165357 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1345:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)  =>  (DUPQ_ZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op2)
     /* 165357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_H),
     /* 165360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165366 */     GIR_RootConstrainSelectedInstOperands,
     /* 165367 */     // GIR_Coverage, 3534,
     /* 165367 */     GIR_EraseRootFromParent_Done,
     /* 165368 */   // Label 3162: @165368
     /* 165368 */   GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(165410), // Rule ID 3535 //
     /* 165373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 165376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 165381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165391 */     // MIs[0] Op2
     /* 165391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165394 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 165399 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1345:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)  =>  (DUPQ_ZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op2)
     /* 165399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_S),
     /* 165402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165404 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165406 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165408 */     GIR_RootConstrainSelectedInstOperands,
     /* 165409 */     // GIR_Coverage, 3535,
     /* 165409 */     GIR_EraseRootFromParent_Done,
     /* 165410 */   // Label 3163: @165410
     /* 165410 */   GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(165452), // Rule ID 3536 //
     /* 165415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 165418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_dup_laneq),
     /* 165423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 165426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165433 */     // MIs[0] Op2
     /* 165433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165436 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 165441 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1345:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)  =>  (DUPQ_ZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op2)
     /* 165441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPQ_ZZI_D),
     /* 165444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165450 */     GIR_RootConstrainSelectedInstOperands,
     /* 165451 */     // GIR_Coverage, 3536,
     /* 165451 */     GIR_EraseRootFromParent_Done,
     /* 165452 */   // Label 3164: @165452
     /* 165452 */   GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(165494), // Rule ID 11727 //
     /* 165457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunb),
     /* 165465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165475 */     // MIs[0] Op2
     /* 165475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165478 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 165483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1839:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQRSHRUNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 165483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNB_ZZI_B),
     /* 165486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165492 */     GIR_RootConstrainSelectedInstOperands,
     /* 165493 */     // GIR_Coverage, 11727,
     /* 165493 */     GIR_EraseRootFromParent_Done,
     /* 165494 */   // Label 3165: @165494
     /* 165494 */   GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(165536), // Rule ID 11728 //
     /* 165499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunb),
     /* 165507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165517 */     // MIs[0] Op2
     /* 165517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165520 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 165525 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1839:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQRSHRUNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 165525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNB_ZZI_H),
     /* 165528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165534 */     GIR_RootConstrainSelectedInstOperands,
     /* 165535 */     // GIR_Coverage, 11728,
     /* 165535 */     GIR_EraseRootFromParent_Done,
     /* 165536 */   // Label 3166: @165536
     /* 165536 */   GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(165578), // Rule ID 11729 //
     /* 165541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunb),
     /* 165549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165559 */     // MIs[0] Op2
     /* 165559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165562 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 165567 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1839:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQRSHRUNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 165567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNB_ZZI_S),
     /* 165570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165572 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165574 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165576 */     GIR_RootConstrainSelectedInstOperands,
     /* 165577 */     // GIR_Coverage, 11729,
     /* 165577 */     GIR_EraseRootFromParent_Done,
     /* 165578 */   // Label 3167: @165578
     /* 165578 */   GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(165620), // Rule ID 11730 //
     /* 165583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnb),
     /* 165591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165601 */     // MIs[0] Op2
     /* 165601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165604 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 165609 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1718:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 165609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNB_ZZI_B),
     /* 165612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165614 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165616 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165618 */     GIR_RootConstrainSelectedInstOperands,
     /* 165619 */     // GIR_Coverage, 11730,
     /* 165619 */     GIR_EraseRootFromParent_Done,
     /* 165620 */   // Label 3168: @165620
     /* 165620 */   GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(165662), // Rule ID 11731 //
     /* 165625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnb),
     /* 165633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165643 */     // MIs[0] Op2
     /* 165643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 165651 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1718:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 165651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNB_ZZI_H),
     /* 165654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165658 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165660 */     GIR_RootConstrainSelectedInstOperands,
     /* 165661 */     // GIR_Coverage, 11731,
     /* 165661 */     GIR_EraseRootFromParent_Done,
     /* 165662 */   // Label 3169: @165662
     /* 165662 */   GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(165704), // Rule ID 11732 //
     /* 165667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnb),
     /* 165675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165685 */     // MIs[0] Op2
     /* 165685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165688 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 165693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1718:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 165693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNB_ZZI_S),
     /* 165696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165698 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165700 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165702 */     GIR_RootConstrainSelectedInstOperands,
     /* 165703 */     // GIR_Coverage, 11732,
     /* 165703 */     GIR_EraseRootFromParent_Done,
     /* 165704 */   // Label 3170: @165704
     /* 165704 */   GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(165746), // Rule ID 11734 //
     /* 165709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnb),
     /* 165717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165727 */     // MIs[0] Op2
     /* 165727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165730 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 165735 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1676:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (RSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 165735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNB_ZZI_B),
     /* 165738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165744 */     GIR_RootConstrainSelectedInstOperands,
     /* 165745 */     // GIR_Coverage, 11734,
     /* 165745 */     GIR_EraseRootFromParent_Done,
     /* 165746 */   // Label 3171: @165746
     /* 165746 */   GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(165788), // Rule ID 11736 //
     /* 165751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnb),
     /* 165759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165769 */     // MIs[0] Op2
     /* 165769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165772 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 165777 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1676:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (RSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 165777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNB_ZZI_H),
     /* 165780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165784 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165786 */     GIR_RootConstrainSelectedInstOperands,
     /* 165787 */     // GIR_Coverage, 11736,
     /* 165787 */     GIR_EraseRootFromParent_Done,
     /* 165788 */   // Label 3172: @165788
     /* 165788 */   GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(165830), // Rule ID 11738 //
     /* 165793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnb),
     /* 165801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165811 */     // MIs[0] Op2
     /* 165811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165814 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 165819 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1676:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (RSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 165819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNB_ZZI_S),
     /* 165822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165826 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165828 */     GIR_RootConstrainSelectedInstOperands,
     /* 165829 */     // GIR_Coverage, 11738,
     /* 165829 */     GIR_EraseRootFromParent_Done,
     /* 165830 */   // Label 3173: @165830
     /* 165830 */   GIM_Try, /*On fail goto*//*Label 3174*/ GIMT_Encode4(165872), // Rule ID 11739 //
     /* 165835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnb),
     /* 165843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165853 */     // MIs[0] Op2
     /* 165853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 165861 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1843:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 165861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNB_ZZI_B),
     /* 165864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165868 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165870 */     GIR_RootConstrainSelectedInstOperands,
     /* 165871 */     // GIR_Coverage, 11739,
     /* 165871 */     GIR_EraseRootFromParent_Done,
     /* 165872 */   // Label 3174: @165872
     /* 165872 */   GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(165914), // Rule ID 11740 //
     /* 165877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnb),
     /* 165885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 165888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 165891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165895 */     // MIs[0] Op2
     /* 165895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165898 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 165903 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1843:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 165903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNB_ZZI_H),
     /* 165906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165910 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165912 */     GIR_RootConstrainSelectedInstOperands,
     /* 165913 */     // GIR_Coverage, 11740,
     /* 165913 */     GIR_EraseRootFromParent_Done,
     /* 165914 */   // Label 3175: @165914
     /* 165914 */   GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(165956), // Rule ID 11741 //
     /* 165919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnb),
     /* 165927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 165930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 165933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165937 */     // MIs[0] Op2
     /* 165937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 165945 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1843:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 165945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNB_ZZI_S),
     /* 165948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165954 */     GIR_RootConstrainSelectedInstOperands,
     /* 165955 */     // GIR_Coverage, 11741,
     /* 165955 */     GIR_EraseRootFromParent_Done,
     /* 165956 */   // Label 3176: @165956
     /* 165956 */   GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(165998), // Rule ID 11742 //
     /* 165961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 165964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnb),
     /* 165969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 165972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 165975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 165979 */     // MIs[0] Op2
     /* 165979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 165982 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 165987 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1833:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (SQRSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 165987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNB_ZZI_B),
     /* 165990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 165992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 165994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 165996 */     GIR_RootConstrainSelectedInstOperands,
     /* 165997 */     // GIR_Coverage, 11742,
     /* 165997 */     GIR_EraseRootFromParent_Done,
     /* 165998 */   // Label 3177: @165998
     /* 165998 */   GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(166040), // Rule ID 11743 //
     /* 166003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnb),
     /* 166011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 166014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 166017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166021 */     // MIs[0] Op2
     /* 166021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166024 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 166029 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1833:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (SQRSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 166029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNB_ZZI_H),
     /* 166032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166034 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166036 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166038 */     GIR_RootConstrainSelectedInstOperands,
     /* 166039 */     // GIR_Coverage, 11743,
     /* 166039 */     GIR_EraseRootFromParent_Done,
     /* 166040 */   // Label 3178: @166040
     /* 166040 */   GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(166082), // Rule ID 11744 //
     /* 166045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnb),
     /* 166053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 166056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 166059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166063 */     // MIs[0] Op2
     /* 166063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166066 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 166071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1833:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (SQRSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 166071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNB_ZZI_S),
     /* 166074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166078 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166080 */     GIR_RootConstrainSelectedInstOperands,
     /* 166081 */     // GIR_Coverage, 11744,
     /* 166081 */     GIR_EraseRootFromParent_Done,
     /* 166082 */   // Label 3179: @166082
     /* 166082 */   GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(166124), // Rule ID 11745 //
     /* 166087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnb),
     /* 166095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 166098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 166101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166105 */     // MIs[0] Op2
     /* 166105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166108 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 166113 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2038:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (UQSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 166113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNB_ZZI_B),
     /* 166116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166122 */     GIR_RootConstrainSelectedInstOperands,
     /* 166123 */     // GIR_Coverage, 11745,
     /* 166123 */     GIR_EraseRootFromParent_Done,
     /* 166124 */   // Label 3180: @166124
     /* 166124 */   GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(166166), // Rule ID 11746 //
     /* 166129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnb),
     /* 166137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 166140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 166143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166147 */     // MIs[0] Op2
     /* 166147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166150 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 166155 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2038:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (UQSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 166155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNB_ZZI_H),
     /* 166158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166164 */     GIR_RootConstrainSelectedInstOperands,
     /* 166165 */     // GIR_Coverage, 11746,
     /* 166165 */     GIR_EraseRootFromParent_Done,
     /* 166166 */   // Label 3181: @166166
     /* 166166 */   GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(166208), // Rule ID 11747 //
     /* 166171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnb),
     /* 166179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 166182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 166185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166189 */     // MIs[0] Op2
     /* 166189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166192 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 166197 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2038:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (UQSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 166197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNB_ZZI_S),
     /* 166200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166206 */     GIR_RootConstrainSelectedInstOperands,
     /* 166207 */     // GIR_Coverage, 11747,
     /* 166207 */     GIR_EraseRootFromParent_Done,
     /* 166208 */   // Label 3182: @166208
     /* 166208 */   GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(166250), // Rule ID 11748 //
     /* 166213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnb),
     /* 166221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 166224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 166227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166231 */     // MIs[0] Op2
     /* 166231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 166239 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2035:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)  =>  (UQRSHRNB_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op2)
     /* 166239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNB_ZZI_B),
     /* 166242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166246 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166248 */     GIR_RootConstrainSelectedInstOperands,
     /* 166249 */     // GIR_Coverage, 11748,
     /* 166249 */     GIR_EraseRootFromParent_Done,
     /* 166250 */   // Label 3183: @166250
     /* 166250 */   GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(166292), // Rule ID 11749 //
     /* 166255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnb),
     /* 166263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 166266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 166269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166273 */     // MIs[0] Op2
     /* 166273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166276 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 166281 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2035:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)  =>  (UQRSHRNB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op2)
     /* 166281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNB_ZZI_H),
     /* 166284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166290 */     GIR_RootConstrainSelectedInstOperands,
     /* 166291 */     // GIR_Coverage, 11749,
     /* 166291 */     GIR_EraseRootFromParent_Done,
     /* 166292 */   // Label 3184: @166292
     /* 166292 */   GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(166334), // Rule ID 11750 //
     /* 166297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnb),
     /* 166305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 166308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 166311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166315 */     // MIs[0] Op2
     /* 166315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 166323 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2035:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)  =>  (UQRSHRNB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op2)
     /* 166323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNB_ZZI_S),
     /* 166326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166332 */     GIR_RootConstrainSelectedInstOperands,
     /* 166333 */     // GIR_Coverage, 11750,
     /* 166333 */     GIR_EraseRootFromParent_Done,
     /* 166334 */   // Label 3185: @166334
     /* 166334 */   GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(166376), // Rule ID 11808 //
     /* 166339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllt),
     /* 166347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 166350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 166353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166357 */     // MIs[0] Op2
     /* 166357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166360 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 166365 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1865:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (SSHLLT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 166365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLT_ZZI_H),
     /* 166368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166374 */     GIR_RootConstrainSelectedInstOperands,
     /* 166375 */     // GIR_Coverage, 11808,
     /* 166375 */     GIR_EraseRootFromParent_Done,
     /* 166376 */   // Label 3186: @166376
     /* 166376 */   GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(166418), // Rule ID 11809 //
     /* 166381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllt),
     /* 166389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 166392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 166395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166399 */     // MIs[0] Op2
     /* 166399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166402 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 166407 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1865:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (SSHLLT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 166407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLT_ZZI_S),
     /* 166410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166414 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166416 */     GIR_RootConstrainSelectedInstOperands,
     /* 166417 */     // GIR_Coverage, 11809,
     /* 166417 */     GIR_EraseRootFromParent_Done,
     /* 166418 */   // Label 3187: @166418
     /* 166418 */   GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(166460), // Rule ID 11810 //
     /* 166423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sshllt),
     /* 166431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 166434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 166437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166441 */     // MIs[0] Op2
     /* 166441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166444 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 166449 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1865:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (SSHLLT_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 166449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLT_ZZI_D),
     /* 166452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166456 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166458 */     GIR_RootConstrainSelectedInstOperands,
     /* 166459 */     // GIR_Coverage, 11810,
     /* 166459 */     GIR_EraseRootFromParent_Done,
     /* 166460 */   // Label 3188: @166460
     /* 166460 */   GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(166502), // Rule ID 11811 //
     /* 166465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllb),
     /* 166473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 166476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 166479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166483 */     // MIs[0] Op2
     /* 166483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166486 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 166491 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2058:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (USHLLB_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 166491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLB_ZZI_H),
     /* 166494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166496 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166498 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166500 */     GIR_RootConstrainSelectedInstOperands,
     /* 166501 */     // GIR_Coverage, 11811,
     /* 166501 */     GIR_EraseRootFromParent_Done,
     /* 166502 */   // Label 3189: @166502
     /* 166502 */   GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(166544), // Rule ID 11812 //
     /* 166507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllb),
     /* 166515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 166518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 166521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166525 */     // MIs[0] Op2
     /* 166525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 166533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2058:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (USHLLB_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 166533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLB_ZZI_S),
     /* 166536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166540 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166542 */     GIR_RootConstrainSelectedInstOperands,
     /* 166543 */     // GIR_Coverage, 11812,
     /* 166543 */     GIR_EraseRootFromParent_Done,
     /* 166544 */   // Label 3190: @166544
     /* 166544 */   GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(166586), // Rule ID 11813 //
     /* 166549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllb),
     /* 166557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 166560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 166563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166567 */     // MIs[0] Op2
     /* 166567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166570 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 166575 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2058:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (USHLLB_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 166575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLB_ZZI_D),
     /* 166578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166584 */     GIR_RootConstrainSelectedInstOperands,
     /* 166585 */     // GIR_Coverage, 11813,
     /* 166585 */     GIR_EraseRootFromParent_Done,
     /* 166586 */   // Label 3191: @166586
     /* 166586 */   GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(166628), // Rule ID 11814 //
     /* 166591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllt),
     /* 166599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 166602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 166605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166609 */     // MIs[0] Op2
     /* 166609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 166617 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2059:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)  =>  (USHLLT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op2)
     /* 166617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLT_ZZI_H),
     /* 166620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166624 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166626 */     GIR_RootConstrainSelectedInstOperands,
     /* 166627 */     // GIR_Coverage, 11814,
     /* 166627 */     GIR_EraseRootFromParent_Done,
     /* 166628 */   // Label 3192: @166628
     /* 166628 */   GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(166670), // Rule ID 11815 //
     /* 166633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllt),
     /* 166641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 166644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 166647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166651 */     // MIs[0] Op2
     /* 166651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166654 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 166659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2059:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)  =>  (USHLLT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op2)
     /* 166659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLT_ZZI_S),
     /* 166662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166664 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166666 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166668 */     GIR_RootConstrainSelectedInstOperands,
     /* 166669 */     // GIR_Coverage, 11815,
     /* 166669 */     GIR_EraseRootFromParent_Done,
     /* 166670 */   // Label 3193: @166670
     /* 166670 */   GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(166712), // Rule ID 11816 //
     /* 166675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 166678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ushllt),
     /* 166683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 166686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 166689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 166693 */     // MIs[0] Op2
     /* 166693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 166696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 166701 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2059:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)  =>  (USHLLT_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op2)
     /* 166701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLT_ZZI_D),
     /* 166704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 166706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 166708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 166710 */     GIR_RootConstrainSelectedInstOperands,
     /* 166711 */     // GIR_Coverage, 11816,
     /* 166711 */     GIR_EraseRootFromParent_Done,
     /* 166712 */   // Label 3194: @166712
     /* 166712 */   GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(166764), // Rule ID 2132 //
     /* 166717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 166720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 166725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 166728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 166731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166750 */     // MIs[1] Operand 1
     /* 166750 */     // No operand predicates
     /* 166750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166752 */     // (intrinsic_wo_chain:{ *:[v4i16] } 762:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv4i16_shift:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4i16_shift),
     /* 166755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166762 */     GIR_RootConstrainSelectedInstOperands,
     /* 166763 */     // GIR_Coverage, 2132,
     /* 166763 */     GIR_EraseRootFromParent_Done,
     /* 166764 */   // Label 3195: @166764
     /* 166764 */   GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(166816), // Rule ID 2133 //
     /* 166769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 166772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 166777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 166780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 166783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166802 */     // MIs[1] Operand 1
     /* 166802 */     // No operand predicates
     /* 166802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166804 */     // (intrinsic_wo_chain:{ *:[v8i16] } 762:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv8i16_shift:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8i16_shift),
     /* 166807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166809 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166814 */     GIR_RootConstrainSelectedInstOperands,
     /* 166815 */     // GIR_Coverage, 2133,
     /* 166815 */     GIR_EraseRootFromParent_Done,
     /* 166816 */   // Label 3196: @166816
     /* 166816 */   GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(166868), // Rule ID 2134 //
     /* 166821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 166829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 166832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 166835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166854 */     // MIs[1] Operand 1
     /* 166854 */     // No operand predicates
     /* 166854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166856 */     // (intrinsic_wo_chain:{ *:[v2i32] } 762:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv2i32_shift:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2i32_shift),
     /* 166859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166866 */     GIR_RootConstrainSelectedInstOperands,
     /* 166867 */     // GIR_Coverage, 2134,
     /* 166867 */     GIR_EraseRootFromParent_Done,
     /* 166868 */   // Label 3197: @166868
     /* 166868 */   GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(166920), // Rule ID 2135 //
     /* 166873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 166881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 166884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 166887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166906 */     // MIs[1] Operand 1
     /* 166906 */     // No operand predicates
     /* 166906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166908 */     // (intrinsic_wo_chain:{ *:[v4i32] } 762:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv4i32_shift:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4i32_shift),
     /* 166911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166918 */     GIR_RootConstrainSelectedInstOperands,
     /* 166919 */     // GIR_Coverage, 2135,
     /* 166919 */     GIR_EraseRootFromParent_Done,
     /* 166920 */   // Label 3198: @166920
     /* 166920 */   GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(166972), // Rule ID 2136 //
     /* 166925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 166928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxs),
     /* 166933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 166936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 166939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 166950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 166954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 166958 */     // MIs[1] Operand 1
     /* 166958 */     // No operand predicates
     /* 166958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 166960 */     // (intrinsic_wo_chain:{ *:[v2i64] } 762:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZSv2i64_shift:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 166960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2i64_shift),
     /* 166963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 166965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 166967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 166970 */     GIR_RootConstrainSelectedInstOperands,
     /* 166971 */     // GIR_Coverage, 2136,
     /* 166971 */     GIR_EraseRootFromParent_Done,
     /* 166972 */   // Label 3199: @166972
     /* 166972 */   GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(167024), // Rule ID 2137 //
     /* 166977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 166980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 166985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 166988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 166991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 166994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 166998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167010 */     // MIs[1] Operand 1
     /* 167010 */     // No operand predicates
     /* 167010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167012 */     // (intrinsic_wo_chain:{ *:[v4i16] } 763:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv4i16_shift:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4i16_shift),
     /* 167015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167017 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167022 */     GIR_RootConstrainSelectedInstOperands,
     /* 167023 */     // GIR_Coverage, 2137,
     /* 167023 */     GIR_EraseRootFromParent_Done,
     /* 167024 */   // Label 3200: @167024
     /* 167024 */   GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(167076), // Rule ID 2138 //
     /* 167029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 167032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 167037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 167040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 167043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167062 */     // MIs[1] Operand 1
     /* 167062 */     // No operand predicates
     /* 167062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167064 */     // (intrinsic_wo_chain:{ *:[v8i16] } 763:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv8i16_shift:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8i16_shift),
     /* 167067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167074 */     GIR_RootConstrainSelectedInstOperands,
     /* 167075 */     // GIR_Coverage, 2138,
     /* 167075 */     GIR_EraseRootFromParent_Done,
     /* 167076 */   // Label 3201: @167076
     /* 167076 */   GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(167128), // Rule ID 2139 //
     /* 167081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 167089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 167092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 167095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167114 */     // MIs[1] Operand 1
     /* 167114 */     // No operand predicates
     /* 167114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167116 */     // (intrinsic_wo_chain:{ *:[v2i32] } 763:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv2i32_shift:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2i32_shift),
     /* 167119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167126 */     GIR_RootConstrainSelectedInstOperands,
     /* 167127 */     // GIR_Coverage, 2139,
     /* 167127 */     GIR_EraseRootFromParent_Done,
     /* 167128 */   // Label 3202: @167128
     /* 167128 */   GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(167180), // Rule ID 2140 //
     /* 167133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 167141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 167144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 167147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167166 */     // MIs[1] Operand 1
     /* 167166 */     // No operand predicates
     /* 167166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167168 */     // (intrinsic_wo_chain:{ *:[v4i32] } 763:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv4i32_shift:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4i32_shift),
     /* 167171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167178 */     GIR_RootConstrainSelectedInstOperands,
     /* 167179 */     // GIR_Coverage, 2140,
     /* 167179 */     GIR_EraseRootFromParent_Done,
     /* 167180 */   // Label 3203: @167180
     /* 167180 */   GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(167232), // Rule ID 2141 //
     /* 167185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfp2fxu),
     /* 167193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 167196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 167199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167218 */     // MIs[1] Operand 1
     /* 167218 */     // No operand predicates
     /* 167218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167220 */     // (intrinsic_wo_chain:{ *:[v2i64] } 763:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (FCVTZUv2i64_shift:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2i64_shift),
     /* 167223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167230 */     GIR_RootConstrainSelectedInstOperands,
     /* 167231 */     // GIR_Coverage, 2141,
     /* 167231 */     GIR_EraseRootFromParent_Done,
     /* 167232 */   // Label 3204: @167232
     /* 167232 */   GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(167284), // Rule ID 2142 //
     /* 167237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 167240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 167245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 167248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 167251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167270 */     // MIs[1] Operand 1
     /* 167270 */     // No operand predicates
     /* 167270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167272 */     // (intrinsic_wo_chain:{ *:[v4f16] } 765:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv4i16_shift:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4i16_shift),
     /* 167275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167282 */     GIR_RootConstrainSelectedInstOperands,
     /* 167283 */     // GIR_Coverage, 2142,
     /* 167283 */     GIR_EraseRootFromParent_Done,
     /* 167284 */   // Label 3205: @167284
     /* 167284 */   GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(167336), // Rule ID 2143 //
     /* 167289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 167292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 167297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 167300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 167303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167322 */     // MIs[1] Operand 1
     /* 167322 */     // No operand predicates
     /* 167322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167324 */     // (intrinsic_wo_chain:{ *:[v8f16] } 765:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv8i16_shift:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv8i16_shift),
     /* 167327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167329 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167334 */     GIR_RootConstrainSelectedInstOperands,
     /* 167335 */     // GIR_Coverage, 2143,
     /* 167335 */     GIR_EraseRootFromParent_Done,
     /* 167336 */   // Label 3206: @167336
     /* 167336 */   GIM_Try, /*On fail goto*//*Label 3207*/ GIMT_Encode4(167388), // Rule ID 2144 //
     /* 167341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 167349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 167352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 167355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167374 */     // MIs[1] Operand 1
     /* 167374 */     // No operand predicates
     /* 167374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167376 */     // (intrinsic_wo_chain:{ *:[v2f32] } 765:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv2i32_shift:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2i32_shift),
     /* 167379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167386 */     GIR_RootConstrainSelectedInstOperands,
     /* 167387 */     // GIR_Coverage, 2144,
     /* 167387 */     GIR_EraseRootFromParent_Done,
     /* 167388 */   // Label 3207: @167388
     /* 167388 */   GIM_Try, /*On fail goto*//*Label 3208*/ GIMT_Encode4(167440), // Rule ID 2145 //
     /* 167393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 167401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 167404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 167407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167426 */     // MIs[1] Operand 1
     /* 167426 */     // No operand predicates
     /* 167426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167428 */     // (intrinsic_wo_chain:{ *:[v4f32] } 765:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv4i32_shift:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4i32_shift),
     /* 167431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167438 */     GIR_RootConstrainSelectedInstOperands,
     /* 167439 */     // GIR_Coverage, 2145,
     /* 167439 */     GIR_EraseRootFromParent_Done,
     /* 167440 */   // Label 3208: @167440
     /* 167440 */   GIM_Try, /*On fail goto*//*Label 3209*/ GIMT_Encode4(167492), // Rule ID 2146 //
     /* 167445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxs2fp),
     /* 167453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 167456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 167459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167478 */     // MIs[1] Operand 1
     /* 167478 */     // No operand predicates
     /* 167478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167480 */     // (intrinsic_wo_chain:{ *:[v2f64] } 765:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (SCVTFv2i64_shift:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2i64_shift),
     /* 167483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167490 */     GIR_RootConstrainSelectedInstOperands,
     /* 167491 */     // GIR_Coverage, 2146,
     /* 167491 */     GIR_EraseRootFromParent_Done,
     /* 167492 */   // Label 3209: @167492
     /* 167492 */   GIM_Try, /*On fail goto*//*Label 3210*/ GIMT_Encode4(167544), // Rule ID 2244 //
     /* 167497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 167500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 167505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 167508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 167511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167530 */     // MIs[1] Operand 1
     /* 167530 */     // No operand predicates
     /* 167530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167532 */     // (intrinsic_wo_chain:{ *:[v4f16] } 766:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv4i16_shift:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4i16_shift),
     /* 167535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167542 */     GIR_RootConstrainSelectedInstOperands,
     /* 167543 */     // GIR_Coverage, 2244,
     /* 167543 */     GIR_EraseRootFromParent_Done,
     /* 167544 */   // Label 3210: @167544
     /* 167544 */   GIM_Try, /*On fail goto*//*Label 3211*/ GIMT_Encode4(167596), // Rule ID 2245 //
     /* 167549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 167552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 167557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 167560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 167563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167582 */     // MIs[1] Operand 1
     /* 167582 */     // No operand predicates
     /* 167582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167584 */     // (intrinsic_wo_chain:{ *:[v8f16] } 766:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv8i16_shift:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv8i16_shift),
     /* 167587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167594 */     GIR_RootConstrainSelectedInstOperands,
     /* 167595 */     // GIR_Coverage, 2245,
     /* 167595 */     GIR_EraseRootFromParent_Done,
     /* 167596 */   // Label 3211: @167596
     /* 167596 */   GIM_Try, /*On fail goto*//*Label 3212*/ GIMT_Encode4(167648), // Rule ID 2246 //
     /* 167601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 167609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 167612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 167615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 167626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167634 */     // MIs[1] Operand 1
     /* 167634 */     // No operand predicates
     /* 167634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167636 */     // (intrinsic_wo_chain:{ *:[v2f32] } 766:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv2i32_shift:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2i32_shift),
     /* 167639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167646 */     GIR_RootConstrainSelectedInstOperands,
     /* 167647 */     // GIR_Coverage, 2246,
     /* 167647 */     GIR_EraseRootFromParent_Done,
     /* 167648 */   // Label 3212: @167648
     /* 167648 */   GIM_Try, /*On fail goto*//*Label 3213*/ GIMT_Encode4(167700), // Rule ID 2247 //
     /* 167653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 167661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 167664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 167667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167686 */     // MIs[1] Operand 1
     /* 167686 */     // No operand predicates
     /* 167686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167688 */     // (intrinsic_wo_chain:{ *:[v4f32] } 766:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv4i32_shift:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4i32_shift),
     /* 167691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167698 */     GIR_RootConstrainSelectedInstOperands,
     /* 167699 */     // GIR_Coverage, 2247,
     /* 167699 */     GIR_EraseRootFromParent_Done,
     /* 167700 */   // Label 3213: @167700
     /* 167700 */   GIM_Try, /*On fail goto*//*Label 3214*/ GIMT_Encode4(167752), // Rule ID 2248 //
     /* 167705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 167708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcvtfxu2fp),
     /* 167713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 167716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 167719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 167730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 167734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 167738 */     // MIs[1] Operand 1
     /* 167738 */     // No operand predicates
     /* 167738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 167740 */     // (intrinsic_wo_chain:{ *:[v2f64] } 766:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)  =>  (UCVTFv2i64_shift:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 167740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2i64_shift),
     /* 167743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 167750 */     GIR_RootConstrainSelectedInstOperands,
     /* 167751 */     // GIR_Coverage, 2248,
     /* 167751 */     GIR_EraseRootFromParent_Done,
     /* 167752 */   // Label 3214: @167752
     /* 167752 */   GIM_Try, /*On fail goto*//*Label 3215*/ GIMT_Encode4(167797), // Rule ID 63 //
     /* 167757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 167760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign_generic),
     /* 167765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 167768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 167771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 167774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 167778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 167782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 167786 */     // (intrinsic_wo_chain:{ *:[i64] } 297:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)  =>  (PACGA:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)
     /* 167786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACGA),
     /* 167789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167791 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167793 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167795 */     GIR_RootConstrainSelectedInstOperands,
     /* 167796 */     // GIR_Coverage, 63,
     /* 167796 */     GIR_EraseRootFromParent_Done,
     /* 167797 */   // Label 3215: @167797
     /* 167797 */   GIM_Try, /*On fail goto*//*Label 3216*/ GIMT_Encode4(167842), // Rule ID 129 //
     /* 167802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 167805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32b),
     /* 167810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 167813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 167816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167831 */     // (intrinsic_wo_chain:{ *:[i32] } 503:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32Brr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 167831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Brr),
     /* 167834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167840 */     GIR_RootConstrainSelectedInstOperands,
     /* 167841 */     // GIR_Coverage, 129,
     /* 167841 */     GIR_EraseRootFromParent_Done,
     /* 167842 */   // Label 3216: @167842
     /* 167842 */   GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(167887), // Rule ID 130 //
     /* 167847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 167850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32h),
     /* 167855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 167858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 167861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167876 */     // (intrinsic_wo_chain:{ *:[i32] } 508:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32Hrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 167876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Hrr),
     /* 167879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167881 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167883 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167885 */     GIR_RootConstrainSelectedInstOperands,
     /* 167886 */     // GIR_Coverage, 130,
     /* 167886 */     GIR_EraseRootFromParent_Done,
     /* 167887 */   // Label 3217: @167887
     /* 167887 */   GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(167932), // Rule ID 131 //
     /* 167892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 167895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32w),
     /* 167900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 167903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 167906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167921 */     // (intrinsic_wo_chain:{ *:[i32] } 509:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32Wrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 167921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Wrr),
     /* 167924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167928 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167930 */     GIR_RootConstrainSelectedInstOperands,
     /* 167931 */     // GIR_Coverage, 131,
     /* 167931 */     GIR_EraseRootFromParent_Done,
     /* 167932 */   // Label 3218: @167932
     /* 167932 */   GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(167977), // Rule ID 132 //
     /* 167937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 167940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32x),
     /* 167945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 167948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 167951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 167954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 167962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 167966 */     // (intrinsic_wo_chain:{ *:[i32] } 510:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (CRC32Xrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 167966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32Xrr),
     /* 167969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 167971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 167973 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 167975 */     GIR_RootConstrainSelectedInstOperands,
     /* 167976 */     // GIR_Coverage, 132,
     /* 167976 */     GIR_EraseRootFromParent_Done,
     /* 167977 */   // Label 3219: @167977
     /* 167977 */   GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(168022), // Rule ID 133 //
     /* 167982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 167985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32cb),
     /* 167990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 167993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 167996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 167999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168011 */     // (intrinsic_wo_chain:{ *:[i32] } 504:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32CBrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 168011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CBrr),
     /* 168014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168018 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168020 */     GIR_RootConstrainSelectedInstOperands,
     /* 168021 */     // GIR_Coverage, 133,
     /* 168021 */     GIR_EraseRootFromParent_Done,
     /* 168022 */   // Label 3220: @168022
     /* 168022 */   GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(168067), // Rule ID 134 //
     /* 168027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 168030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32ch),
     /* 168035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 168038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 168041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 168044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168056 */     // (intrinsic_wo_chain:{ *:[i32] } 505:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32CHrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 168056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CHrr),
     /* 168059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168061 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168063 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168065 */     GIR_RootConstrainSelectedInstOperands,
     /* 168066 */     // GIR_Coverage, 134,
     /* 168066 */     GIR_EraseRootFromParent_Done,
     /* 168067 */   // Label 3221: @168067
     /* 168067 */   GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(168112), // Rule ID 135 //
     /* 168072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 168075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32cw),
     /* 168080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 168083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 168086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 168089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168101 */     // (intrinsic_wo_chain:{ *:[i32] } 506:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (CRC32CWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 168101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CWrr),
     /* 168104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168108 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168110 */     GIR_RootConstrainSelectedInstOperands,
     /* 168111 */     // GIR_Coverage, 135,
     /* 168111 */     GIR_EraseRootFromParent_Done,
     /* 168112 */   // Label 3222: @168112
     /* 168112 */   GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(168157), // Rule ID 136 //
     /* 168117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCRC),
     /* 168120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crc32cx),
     /* 168125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 168128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 168131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 168134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 168142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 168146 */     // (intrinsic_wo_chain:{ *:[i32] } 507:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (CRC32CXrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 168146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CRC32CXrr),
     /* 168149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168151 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168153 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168155 */     GIR_RootConstrainSelectedInstOperands,
     /* 168156 */     // GIR_Coverage, 136,
     /* 168156 */     GIR_EraseRootFromParent_Done,
     /* 168157 */   // Label 3223: @168157
     /* 168157 */   GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(168202), // Rule ID 1042 //
     /* 168162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 168170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 168173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 168176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 168179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168191 */     // (intrinsic_wo_chain:{ *:[v8i8] } 715:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)  =>  (SUQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /* 168191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv8i8),
     /* 168194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168200 */     GIR_RootConstrainSelectedInstOperands,
     /* 168201 */     // GIR_Coverage, 1042,
     /* 168201 */     GIR_EraseRootFromParent_Done,
     /* 168202 */   // Label 3224: @168202
     /* 168202 */   GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(168247), // Rule ID 1043 //
     /* 168207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 168215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 168218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 168221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 168224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168236 */     // (intrinsic_wo_chain:{ *:[v16i8] } 715:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (SUQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 168236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv16i8),
     /* 168239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168243 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168245 */     GIR_RootConstrainSelectedInstOperands,
     /* 168246 */     // GIR_Coverage, 1043,
     /* 168246 */     GIR_EraseRootFromParent_Done,
     /* 168247 */   // Label 3225: @168247
     /* 168247 */   GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(168292), // Rule ID 1044 //
     /* 168252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 168260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 168263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 168266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 168269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168281 */     // (intrinsic_wo_chain:{ *:[v4i16] } 715:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)  =>  (SUQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /* 168281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv4i16),
     /* 168284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168290 */     GIR_RootConstrainSelectedInstOperands,
     /* 168291 */     // GIR_Coverage, 1044,
     /* 168291 */     GIR_EraseRootFromParent_Done,
     /* 168292 */   // Label 3226: @168292
     /* 168292 */   GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(168337), // Rule ID 1045 //
     /* 168297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 168305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 168308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 168311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 168314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168326 */     // (intrinsic_wo_chain:{ *:[v8i16] } 715:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)  =>  (SUQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /* 168326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv8i16),
     /* 168329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168331 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168333 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168335 */     GIR_RootConstrainSelectedInstOperands,
     /* 168336 */     // GIR_Coverage, 1045,
     /* 168336 */     GIR_EraseRootFromParent_Done,
     /* 168337 */   // Label 3227: @168337
     /* 168337 */   GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(168382), // Rule ID 1046 //
     /* 168342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 168350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 168353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 168356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 168359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168371 */     // (intrinsic_wo_chain:{ *:[v2i32] } 715:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)  =>  (SUQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /* 168371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv2i32),
     /* 168374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168376 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168378 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168380 */     GIR_RootConstrainSelectedInstOperands,
     /* 168381 */     // GIR_Coverage, 1046,
     /* 168381 */     GIR_EraseRootFromParent_Done,
     /* 168382 */   // Label 3228: @168382
     /* 168382 */   GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(168427), // Rule ID 1047 //
     /* 168387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 168395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 168398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 168401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 168404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168416 */     // (intrinsic_wo_chain:{ *:[v4i32] } 715:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (SUQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 168416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv4i32),
     /* 168419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168421 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168423 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168425 */     GIR_RootConstrainSelectedInstOperands,
     /* 168426 */     // GIR_Coverage, 1047,
     /* 168426 */     GIR_EraseRootFromParent_Done,
     /* 168427 */   // Label 3229: @168427
     /* 168427 */   GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(168472), // Rule ID 1048 //
     /* 168432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 168440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 168443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 168446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 168449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168461 */     // (intrinsic_wo_chain:{ *:[v2i64] } 715:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)  =>  (SUQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)
     /* 168461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv2i64),
     /* 168464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168468 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168470 */     GIR_RootConstrainSelectedInstOperands,
     /* 168471 */     // GIR_Coverage, 1048,
     /* 168471 */     GIR_EraseRootFromParent_Done,
     /* 168472 */   // Label 3230: @168472
     /* 168472 */   GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(168517), // Rule ID 1090 //
     /* 168477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 168485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 168488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 168491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 168494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168506 */     // (intrinsic_wo_chain:{ *:[v8i8] } 754:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)  =>  (USQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn)
     /* 168506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv8i8),
     /* 168509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168511 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168513 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168515 */     GIR_RootConstrainSelectedInstOperands,
     /* 168516 */     // GIR_Coverage, 1090,
     /* 168516 */     GIR_EraseRootFromParent_Done,
     /* 168517 */   // Label 3231: @168517
     /* 168517 */   GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(168562), // Rule ID 1091 //
     /* 168522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 168530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 168533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 168536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 168539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168551 */     // (intrinsic_wo_chain:{ *:[v16i8] } 754:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (USQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 168551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv16i8),
     /* 168554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168558 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168560 */     GIR_RootConstrainSelectedInstOperands,
     /* 168561 */     // GIR_Coverage, 1091,
     /* 168561 */     GIR_EraseRootFromParent_Done,
     /* 168562 */   // Label 3232: @168562
     /* 168562 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(168607), // Rule ID 1092 //
     /* 168567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 168575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 168578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 168581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 168584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168596 */     // (intrinsic_wo_chain:{ *:[v4i16] } 754:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)  =>  (USQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn)
     /* 168596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv4i16),
     /* 168599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168601 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168603 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168605 */     GIR_RootConstrainSelectedInstOperands,
     /* 168606 */     // GIR_Coverage, 1092,
     /* 168606 */     GIR_EraseRootFromParent_Done,
     /* 168607 */   // Label 3233: @168607
     /* 168607 */   GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(168652), // Rule ID 1093 //
     /* 168612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 168620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 168623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 168626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 168629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168641 */     // (intrinsic_wo_chain:{ *:[v8i16] } 754:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)  =>  (USQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn)
     /* 168641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv8i16),
     /* 168644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168646 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168648 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168650 */     GIR_RootConstrainSelectedInstOperands,
     /* 168651 */     // GIR_Coverage, 1093,
     /* 168651 */     GIR_EraseRootFromParent_Done,
     /* 168652 */   // Label 3234: @168652
     /* 168652 */   GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(168697), // Rule ID 1094 //
     /* 168657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 168665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 168668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 168671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 168674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168686 */     // (intrinsic_wo_chain:{ *:[v2i32] } 754:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)  =>  (USQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn)
     /* 168686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv2i32),
     /* 168689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168691 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168693 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168695 */     GIR_RootConstrainSelectedInstOperands,
     /* 168696 */     // GIR_Coverage, 1094,
     /* 168696 */     GIR_EraseRootFromParent_Done,
     /* 168697 */   // Label 3235: @168697
     /* 168697 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(168742), // Rule ID 1095 //
     /* 168702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 168710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 168713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 168716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 168719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168731 */     // (intrinsic_wo_chain:{ *:[v4i32] } 754:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (USQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 168731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv4i32),
     /* 168734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168738 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168740 */     GIR_RootConstrainSelectedInstOperands,
     /* 168741 */     // GIR_Coverage, 1095,
     /* 168741 */     GIR_EraseRootFromParent_Done,
     /* 168742 */   // Label 3236: @168742
     /* 168742 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(168787), // Rule ID 1096 //
     /* 168747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 168755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 168758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 168761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 168764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168776 */     // (intrinsic_wo_chain:{ *:[v2i64] } 754:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)  =>  (USQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn)
     /* 168776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv2i64),
     /* 168779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 168781 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 168783 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 168785 */     GIR_RootConstrainSelectedInstOperands,
     /* 168786 */     // GIR_Coverage, 1096,
     /* 168786 */     GIR_EraseRootFromParent_Done,
     /* 168787 */   // Label 3237: @168787
     /* 168787 */   GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(168832), // Rule ID 1108 //
     /* 168792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 168800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 168803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 168806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 168809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168821 */     // (intrinsic_wo_chain:{ *:[v8i8] } 570:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ADDPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 168821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i8),
     /* 168824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168830 */     GIR_RootConstrainSelectedInstOperands,
     /* 168831 */     // GIR_Coverage, 1108,
     /* 168831 */     GIR_EraseRootFromParent_Done,
     /* 168832 */   // Label 3238: @168832
     /* 168832 */   GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(168877), // Rule ID 1110 //
     /* 168837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 168845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 168848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 168851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 168854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168866 */     // (intrinsic_wo_chain:{ *:[v16i8] } 570:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ADDPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 168866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv16i8),
     /* 168869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168873 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168875 */     GIR_RootConstrainSelectedInstOperands,
     /* 168876 */     // GIR_Coverage, 1110,
     /* 168876 */     GIR_EraseRootFromParent_Done,
     /* 168877 */   // Label 3239: @168877
     /* 168877 */   GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(168922), // Rule ID 1112 //
     /* 168882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 168890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 168893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 168896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 168899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168911 */     // (intrinsic_wo_chain:{ *:[v4i16] } 570:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ADDPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 168911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i16),
     /* 168914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168920 */     GIR_RootConstrainSelectedInstOperands,
     /* 168921 */     // GIR_Coverage, 1112,
     /* 168921 */     GIR_EraseRootFromParent_Done,
     /* 168922 */   // Label 3240: @168922
     /* 168922 */   GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(168967), // Rule ID 1114 //
     /* 168927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 168935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 168938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 168941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 168944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 168956 */     // (intrinsic_wo_chain:{ *:[v8i16] } 570:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ADDPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 168956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv8i16),
     /* 168959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 168961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 168963 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 168965 */     GIR_RootConstrainSelectedInstOperands,
     /* 168966 */     // GIR_Coverage, 1114,
     /* 168966 */     GIR_EraseRootFromParent_Done,
     /* 168967 */   // Label 3241: @168967
     /* 168967 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(169012), // Rule ID 1116 //
     /* 168972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 168975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 168980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 168983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 168986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 168989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 168997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169001 */     // (intrinsic_wo_chain:{ *:[v2i32] } 570:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ADDPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 169001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 169004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169006 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169008 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169010 */     GIR_RootConstrainSelectedInstOperands,
     /* 169011 */     // GIR_Coverage, 1116,
     /* 169011 */     GIR_EraseRootFromParent_Done,
     /* 169012 */   // Label 3242: @169012
     /* 169012 */   GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(169057), // Rule ID 1118 //
     /* 169017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 169025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169046 */     // (intrinsic_wo_chain:{ *:[v4i32] } 570:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ADDPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 169046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv4i32),
     /* 169049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169051 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169053 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169055 */     GIR_RootConstrainSelectedInstOperands,
     /* 169056 */     // GIR_Coverage, 1118,
     /* 169056 */     GIR_EraseRootFromParent_Done,
     /* 169057 */   // Label 3243: @169057
     /* 169057 */   GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(169102), // Rule ID 1120 //
     /* 169062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addp),
     /* 169070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169091 */     // (intrinsic_wo_chain:{ *:[v2i64] } 570:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ADDPv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 169091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64),
     /* 169094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169098 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169100 */     GIR_RootConstrainSelectedInstOperands,
     /* 169101 */     // GIR_Coverage, 1120,
     /* 169101 */     GIR_EraseRootFromParent_Done,
     /* 169102 */   // Label 3244: @169102
     /* 169102 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(169147), // Rule ID 1163 //
     /* 169107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 169115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169136 */     // (intrinsic_wo_chain:{ *:[v4f16] } 576:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FABDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 169136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f16),
     /* 169139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169141 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169143 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169145 */     GIR_RootConstrainSelectedInstOperands,
     /* 169146 */     // GIR_Coverage, 1163,
     /* 169146 */     GIR_EraseRootFromParent_Done,
     /* 169147 */   // Label 3245: @169147
     /* 169147 */   GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(169192), // Rule ID 1164 //
     /* 169152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 169160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169181 */     // (intrinsic_wo_chain:{ *:[v8f16] } 576:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FABDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 169181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv8f16),
     /* 169184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169188 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169190 */     GIR_RootConstrainSelectedInstOperands,
     /* 169191 */     // GIR_Coverage, 1164,
     /* 169191 */     GIR_EraseRootFromParent_Done,
     /* 169192 */   // Label 3246: @169192
     /* 169192 */   GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(169237), // Rule ID 1165 //
     /* 169197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 169205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169226 */     // (intrinsic_wo_chain:{ *:[v2f32] } 576:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FABDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 169226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f32),
     /* 169229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169231 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169233 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169235 */     GIR_RootConstrainSelectedInstOperands,
     /* 169236 */     // GIR_Coverage, 1165,
     /* 169236 */     GIR_EraseRootFromParent_Done,
     /* 169237 */   // Label 3247: @169237
     /* 169237 */   GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(169282), // Rule ID 1166 //
     /* 169242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 169250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169271 */     // (intrinsic_wo_chain:{ *:[v4f32] } 576:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FABDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 169271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f32),
     /* 169274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169278 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169280 */     GIR_RootConstrainSelectedInstOperands,
     /* 169281 */     // GIR_Coverage, 1166,
     /* 169281 */     GIR_EraseRootFromParent_Done,
     /* 169282 */   // Label 3248: @169282
     /* 169282 */   GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(169327), // Rule ID 1167 //
     /* 169287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 169295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169316 */     // (intrinsic_wo_chain:{ *:[v2f64] } 576:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FABDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 169316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f64),
     /* 169319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169321 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169323 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169325 */     GIR_RootConstrainSelectedInstOperands,
     /* 169326 */     // GIR_Coverage, 1167,
     /* 169326 */     GIR_EraseRootFromParent_Done,
     /* 169327 */   // Label 3249: @169327
     /* 169327 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(169372), // Rule ID 1169 //
     /* 169332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 169340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169361 */     // (intrinsic_wo_chain:{ *:[v4i16] } 577:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FACGEv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 169361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f16),
     /* 169364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169368 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169370 */     GIR_RootConstrainSelectedInstOperands,
     /* 169371 */     // GIR_Coverage, 1169,
     /* 169371 */     GIR_EraseRootFromParent_Done,
     /* 169372 */   // Label 3250: @169372
     /* 169372 */   GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(169417), // Rule ID 1171 //
     /* 169377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 169385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169406 */     // (intrinsic_wo_chain:{ *:[v8i16] } 577:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FACGEv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 169406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv8f16),
     /* 169409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169411 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169413 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169415 */     GIR_RootConstrainSelectedInstOperands,
     /* 169416 */     // GIR_Coverage, 1171,
     /* 169416 */     GIR_EraseRootFromParent_Done,
     /* 169417 */   // Label 3251: @169417
     /* 169417 */   GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(169462), // Rule ID 1173 //
     /* 169422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 169430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169451 */     // (intrinsic_wo_chain:{ *:[v2i32] } 577:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FACGEv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 169451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f32),
     /* 169454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169460 */     GIR_RootConstrainSelectedInstOperands,
     /* 169461 */     // GIR_Coverage, 1173,
     /* 169461 */     GIR_EraseRootFromParent_Done,
     /* 169462 */   // Label 3252: @169462
     /* 169462 */   GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(169507), // Rule ID 1175 //
     /* 169467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 169475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169496 */     // (intrinsic_wo_chain:{ *:[v4i32] } 577:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FACGEv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 169496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f32),
     /* 169499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169501 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169503 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169505 */     GIR_RootConstrainSelectedInstOperands,
     /* 169506 */     // GIR_Coverage, 1175,
     /* 169506 */     GIR_EraseRootFromParent_Done,
     /* 169507 */   // Label 3253: @169507
     /* 169507 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(169552), // Rule ID 1177 //
     /* 169512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 169520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169541 */     // (intrinsic_wo_chain:{ *:[v2i64] } 577:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FACGEv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 169541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f64),
     /* 169544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169548 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169550 */     GIR_RootConstrainSelectedInstOperands,
     /* 169551 */     // GIR_Coverage, 1177,
     /* 169551 */     GIR_EraseRootFromParent_Done,
     /* 169552 */   // Label 3254: @169552
     /* 169552 */   GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(169597), // Rule ID 1179 //
     /* 169557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 169565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169586 */     // (intrinsic_wo_chain:{ *:[v4i16] } 578:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FACGTv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 169586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f16),
     /* 169589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169591 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169593 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169595 */     GIR_RootConstrainSelectedInstOperands,
     /* 169596 */     // GIR_Coverage, 1179,
     /* 169596 */     GIR_EraseRootFromParent_Done,
     /* 169597 */   // Label 3255: @169597
     /* 169597 */   GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(169642), // Rule ID 1181 //
     /* 169602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 169610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169631 */     // (intrinsic_wo_chain:{ *:[v8i16] } 578:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FACGTv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 169631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv8f16),
     /* 169634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169640 */     GIR_RootConstrainSelectedInstOperands,
     /* 169641 */     // GIR_Coverage, 1181,
     /* 169641 */     GIR_EraseRootFromParent_Done,
     /* 169642 */   // Label 3256: @169642
     /* 169642 */   GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(169687), // Rule ID 1183 //
     /* 169647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 169655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169676 */     // (intrinsic_wo_chain:{ *:[v2i32] } 578:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FACGTv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 169676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f32),
     /* 169679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169681 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169683 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169685 */     GIR_RootConstrainSelectedInstOperands,
     /* 169686 */     // GIR_Coverage, 1183,
     /* 169686 */     GIR_EraseRootFromParent_Done,
     /* 169687 */   // Label 3257: @169687
     /* 169687 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(169732), // Rule ID 1185 //
     /* 169692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 169700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169721 */     // (intrinsic_wo_chain:{ *:[v4i32] } 578:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FACGTv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 169721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f32),
     /* 169724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169730 */     GIR_RootConstrainSelectedInstOperands,
     /* 169731 */     // GIR_Coverage, 1185,
     /* 169731 */     GIR_EraseRootFromParent_Done,
     /* 169732 */   // Label 3258: @169732
     /* 169732 */   GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(169777), // Rule ID 1187 //
     /* 169737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 169745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169766 */     // (intrinsic_wo_chain:{ *:[v2i64] } 578:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FACGTv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 169766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f64),
     /* 169769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169771 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169773 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169775 */     GIR_RootConstrainSelectedInstOperands,
     /* 169776 */     // GIR_Coverage, 1187,
     /* 169776 */     GIR_EraseRootFromParent_Done,
     /* 169777 */   // Label 3259: @169777
     /* 169777 */   GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(169822), // Rule ID 1189 //
     /* 169782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 169790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 169793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 169796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 169799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169811 */     // (intrinsic_wo_chain:{ *:[v4f16] } 579:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FADDPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 169811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f16),
     /* 169814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169816 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169818 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169820 */     GIR_RootConstrainSelectedInstOperands,
     /* 169821 */     // GIR_Coverage, 1189,
     /* 169821 */     GIR_EraseRootFromParent_Done,
     /* 169822 */   // Label 3260: @169822
     /* 169822 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(169867), // Rule ID 1191 //
     /* 169827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 169830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 169835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 169838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 169841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 169844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169856 */     // (intrinsic_wo_chain:{ *:[v8f16] } 579:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FADDPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 169856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 169859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169863 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169865 */     GIR_RootConstrainSelectedInstOperands,
     /* 169866 */     // GIR_Coverage, 1191,
     /* 169866 */     GIR_EraseRootFromParent_Done,
     /* 169867 */   // Label 3261: @169867
     /* 169867 */   GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(169912), // Rule ID 1193 //
     /* 169872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 169880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 169883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 169886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 169889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 169901 */     // (intrinsic_wo_chain:{ *:[v2f32] } 579:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FADDPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 169901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f32),
     /* 169904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169906 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169908 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169910 */     GIR_RootConstrainSelectedInstOperands,
     /* 169911 */     // GIR_Coverage, 1193,
     /* 169911 */     GIR_EraseRootFromParent_Done,
     /* 169912 */   // Label 3262: @169912
     /* 169912 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(169957), // Rule ID 1195 //
     /* 169917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 169925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 169928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 169931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 169934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169946 */     // (intrinsic_wo_chain:{ *:[v4f32] } 579:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FADDPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 169946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 169949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169951 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169953 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 169955 */     GIR_RootConstrainSelectedInstOperands,
     /* 169956 */     // GIR_Coverage, 1195,
     /* 169956 */     GIR_EraseRootFromParent_Done,
     /* 169957 */   // Label 3263: @169957
     /* 169957 */   GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(170002), // Rule ID 1197 //
     /* 169962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 169965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_faddp),
     /* 169970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 169973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 169976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 169979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 169991 */     // (intrinsic_wo_chain:{ *:[v2f64] } 579:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FADDPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 169991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f64),
     /* 169994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 169996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 169998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170000 */     GIR_RootConstrainSelectedInstOperands,
     /* 170001 */     // GIR_Coverage, 1197,
     /* 170001 */     GIR_EraseRootFromParent_Done,
     /* 170002 */   // Label 3264: @170002
     /* 170002 */   GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(170047), // Rule ID 1233 //
     /* 170007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 170015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170036 */     // (intrinsic_wo_chain:{ *:[v4f16] } 596:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXNMPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 170036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv4f16),
     /* 170039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170041 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170043 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170045 */     GIR_RootConstrainSelectedInstOperands,
     /* 170046 */     // GIR_Coverage, 1233,
     /* 170046 */     GIR_EraseRootFromParent_Done,
     /* 170047 */   // Label 3265: @170047
     /* 170047 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(170092), // Rule ID 1234 //
     /* 170052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 170060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170081 */     // (intrinsic_wo_chain:{ *:[v8f16] } 596:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXNMPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 170081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv8f16),
     /* 170084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170090 */     GIR_RootConstrainSelectedInstOperands,
     /* 170091 */     // GIR_Coverage, 1234,
     /* 170091 */     GIR_EraseRootFromParent_Done,
     /* 170092 */   // Label 3266: @170092
     /* 170092 */   GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(170137), // Rule ID 1235 //
     /* 170097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 170105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 170108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 170111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170126 */     // (intrinsic_wo_chain:{ *:[v2f32] } 596:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXNMPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 170126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2f32),
     /* 170129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170131 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170133 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170135 */     GIR_RootConstrainSelectedInstOperands,
     /* 170136 */     // GIR_Coverage, 1235,
     /* 170136 */     GIR_EraseRootFromParent_Done,
     /* 170137 */   // Label 3267: @170137
     /* 170137 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(170182), // Rule ID 1236 //
     /* 170142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 170150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 170153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 170156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 170159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170171 */     // (intrinsic_wo_chain:{ *:[v4f32] } 596:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXNMPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 170171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv4f32),
     /* 170174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170180 */     GIR_RootConstrainSelectedInstOperands,
     /* 170181 */     // GIR_Coverage, 1236,
     /* 170181 */     GIR_EraseRootFromParent_Done,
     /* 170182 */   // Label 3268: @170182
     /* 170182 */   GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(170227), // Rule ID 1237 //
     /* 170187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxnmp),
     /* 170195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170216 */     // (intrinsic_wo_chain:{ *:[v2f64] } 596:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXNMPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 170216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2f64),
     /* 170219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170221 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170223 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170225 */     GIR_RootConstrainSelectedInstOperands,
     /* 170226 */     // GIR_Coverage, 1237,
     /* 170226 */     GIR_EraseRootFromParent_Done,
     /* 170227 */   // Label 3269: @170227
     /* 170227 */   GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(170272), // Rule ID 1248 //
     /* 170232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 170240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170261 */     // (intrinsic_wo_chain:{ *:[v4f16] } 598:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 170261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv4f16),
     /* 170264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170268 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170270 */     GIR_RootConstrainSelectedInstOperands,
     /* 170271 */     // GIR_Coverage, 1248,
     /* 170271 */     GIR_EraseRootFromParent_Done,
     /* 170272 */   // Label 3270: @170272
     /* 170272 */   GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(170317), // Rule ID 1249 //
     /* 170277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 170285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170306 */     // (intrinsic_wo_chain:{ *:[v8f16] } 598:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 170306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv8f16),
     /* 170309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170311 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170313 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170315 */     GIR_RootConstrainSelectedInstOperands,
     /* 170316 */     // GIR_Coverage, 1249,
     /* 170316 */     GIR_EraseRootFromParent_Done,
     /* 170317 */   // Label 3271: @170317
     /* 170317 */   GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(170362), // Rule ID 1250 //
     /* 170322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 170330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 170333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 170336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170351 */     // (intrinsic_wo_chain:{ *:[v2f32] } 598:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 170351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2f32),
     /* 170354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170358 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170360 */     GIR_RootConstrainSelectedInstOperands,
     /* 170361 */     // GIR_Coverage, 1250,
     /* 170361 */     GIR_EraseRootFromParent_Done,
     /* 170362 */   // Label 3272: @170362
     /* 170362 */   GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(170407), // Rule ID 1251 //
     /* 170367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 170375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 170378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 170381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 170384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170396 */     // (intrinsic_wo_chain:{ *:[v4f32] } 598:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 170396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv4f32),
     /* 170399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170401 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170403 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170405 */     GIR_RootConstrainSelectedInstOperands,
     /* 170406 */     // GIR_Coverage, 1251,
     /* 170406 */     GIR_EraseRootFromParent_Done,
     /* 170407 */   // Label 3273: @170407
     /* 170407 */   GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(170452), // Rule ID 1252 //
     /* 170412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmaxp),
     /* 170420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170441 */     // (intrinsic_wo_chain:{ *:[v2f64] } 598:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 170441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2f64),
     /* 170444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170450 */     GIR_RootConstrainSelectedInstOperands,
     /* 170451 */     // GIR_Coverage, 1252,
     /* 170451 */     GIR_EraseRootFromParent_Done,
     /* 170452 */   // Label 3274: @170452
     /* 170452 */   GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(170497), // Rule ID 1263 //
     /* 170457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 170465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170486 */     // (intrinsic_wo_chain:{ *:[v4f16] } 602:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINNMPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 170486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv4f16),
     /* 170489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170491 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170493 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170495 */     GIR_RootConstrainSelectedInstOperands,
     /* 170496 */     // GIR_Coverage, 1263,
     /* 170496 */     GIR_EraseRootFromParent_Done,
     /* 170497 */   // Label 3275: @170497
     /* 170497 */   GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(170542), // Rule ID 1264 //
     /* 170502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 170510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170531 */     // (intrinsic_wo_chain:{ *:[v8f16] } 602:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINNMPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 170531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv8f16),
     /* 170534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170536 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170538 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170540 */     GIR_RootConstrainSelectedInstOperands,
     /* 170541 */     // GIR_Coverage, 1264,
     /* 170541 */     GIR_EraseRootFromParent_Done,
     /* 170542 */   // Label 3276: @170542
     /* 170542 */   GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(170587), // Rule ID 1265 //
     /* 170547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 170555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 170558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 170561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170576 */     // (intrinsic_wo_chain:{ *:[v2f32] } 602:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINNMPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 170576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2f32),
     /* 170579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170581 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170583 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170585 */     GIR_RootConstrainSelectedInstOperands,
     /* 170586 */     // GIR_Coverage, 1265,
     /* 170586 */     GIR_EraseRootFromParent_Done,
     /* 170587 */   // Label 3277: @170587
     /* 170587 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(170632), // Rule ID 1266 //
     /* 170592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 170600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 170603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 170606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 170609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170621 */     // (intrinsic_wo_chain:{ *:[v4f32] } 602:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINNMPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 170621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv4f32),
     /* 170624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170626 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170628 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170630 */     GIR_RootConstrainSelectedInstOperands,
     /* 170631 */     // GIR_Coverage, 1266,
     /* 170631 */     GIR_EraseRootFromParent_Done,
     /* 170632 */   // Label 3278: @170632
     /* 170632 */   GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(170677), // Rule ID 1267 //
     /* 170637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminnmp),
     /* 170645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170666 */     // (intrinsic_wo_chain:{ *:[v2f64] } 602:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINNMPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 170666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2f64),
     /* 170669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170671 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170673 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170675 */     GIR_RootConstrainSelectedInstOperands,
     /* 170676 */     // GIR_Coverage, 1267,
     /* 170676 */     GIR_EraseRootFromParent_Done,
     /* 170677 */   // Label 3279: @170677
     /* 170677 */   GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(170722), // Rule ID 1278 //
     /* 170682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 170690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170711 */     // (intrinsic_wo_chain:{ *:[v4f16] } 604:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 170711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv4f16),
     /* 170714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170716 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170718 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170720 */     GIR_RootConstrainSelectedInstOperands,
     /* 170721 */     // GIR_Coverage, 1278,
     /* 170721 */     GIR_EraseRootFromParent_Done,
     /* 170722 */   // Label 3280: @170722
     /* 170722 */   GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(170767), // Rule ID 1279 //
     /* 170727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 170735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170756 */     // (intrinsic_wo_chain:{ *:[v8f16] } 604:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 170756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv8f16),
     /* 170759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170761 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170763 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170765 */     GIR_RootConstrainSelectedInstOperands,
     /* 170766 */     // GIR_Coverage, 1279,
     /* 170766 */     GIR_EraseRootFromParent_Done,
     /* 170767 */   // Label 3281: @170767
     /* 170767 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(170812), // Rule ID 1280 //
     /* 170772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 170780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 170783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 170786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 170789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170801 */     // (intrinsic_wo_chain:{ *:[v2f32] } 604:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 170801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2f32),
     /* 170804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170810 */     GIR_RootConstrainSelectedInstOperands,
     /* 170811 */     // GIR_Coverage, 1280,
     /* 170811 */     GIR_EraseRootFromParent_Done,
     /* 170812 */   // Label 3282: @170812
     /* 170812 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(170857), // Rule ID 1281 //
     /* 170817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 170825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 170828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 170831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 170834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170846 */     // (intrinsic_wo_chain:{ *:[v4f32] } 604:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 170846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv4f32),
     /* 170849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170851 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170853 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170855 */     GIR_RootConstrainSelectedInstOperands,
     /* 170856 */     // GIR_Coverage, 1281,
     /* 170856 */     GIR_EraseRootFromParent_Done,
     /* 170857 */   // Label 3283: @170857
     /* 170857 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(170902), // Rule ID 1282 //
     /* 170862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 170865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fminp),
     /* 170870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 170873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 170876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 170879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170891 */     // (intrinsic_wo_chain:{ *:[v2f64] } 604:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 170891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2f64),
     /* 170894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170898 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170900 */     GIR_RootConstrainSelectedInstOperands,
     /* 170901 */     // GIR_Coverage, 1282,
     /* 170901 */     GIR_EraseRootFromParent_Done,
     /* 170902 */   // Label 3284: @170902
     /* 170902 */   GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(170947), // Rule ID 1313 //
     /* 170907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 170915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 170918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 170921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 170924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 170936 */     // (intrinsic_wo_chain:{ *:[v4f16] } 610:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMULXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 170936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4f16),
     /* 170939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170943 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170945 */     GIR_RootConstrainSelectedInstOperands,
     /* 170946 */     // GIR_Coverage, 1313,
     /* 170946 */     GIR_EraseRootFromParent_Done,
     /* 170947 */   // Label 3285: @170947
     /* 170947 */   GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(170992), // Rule ID 1314 //
     /* 170952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 170955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 170960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 170963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 170966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 170969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 170981 */     // (intrinsic_wo_chain:{ *:[v8f16] } 610:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMULXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 170981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv8f16),
     /* 170984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 170986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 170988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 170990 */     GIR_RootConstrainSelectedInstOperands,
     /* 170991 */     // GIR_Coverage, 1314,
     /* 170991 */     GIR_EraseRootFromParent_Done,
     /* 170992 */   // Label 3286: @170992
     /* 170992 */   GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(171037), // Rule ID 1315 //
     /* 170997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 171005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 171008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 171011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 171014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171026 */     // (intrinsic_wo_chain:{ *:[v2f32] } 610:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMULXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 171026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2f32),
     /* 171029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171031 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171033 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171035 */     GIR_RootConstrainSelectedInstOperands,
     /* 171036 */     // GIR_Coverage, 1315,
     /* 171036 */     GIR_EraseRootFromParent_Done,
     /* 171037 */   // Label 3287: @171037
     /* 171037 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(171082), // Rule ID 1316 //
     /* 171042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 171050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 171053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 171056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 171059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171071 */     // (intrinsic_wo_chain:{ *:[v4f32] } 610:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMULXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 171071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv4f32),
     /* 171074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171078 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171080 */     GIR_RootConstrainSelectedInstOperands,
     /* 171081 */     // GIR_Coverage, 1316,
     /* 171081 */     GIR_EraseRootFromParent_Done,
     /* 171082 */   // Label 3288: @171082
     /* 171082 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(171127), // Rule ID 1317 //
     /* 171087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 171095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 171098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 171101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 171104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171116 */     // (intrinsic_wo_chain:{ *:[v2f64] } 610:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMULXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 171116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULXv2f64),
     /* 171119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171123 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171125 */     GIR_RootConstrainSelectedInstOperands,
     /* 171126 */     // GIR_Coverage, 1317,
     /* 171126 */     GIR_EraseRootFromParent_Done,
     /* 171127 */   // Label 3289: @171127
     /* 171127 */   GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(171172), // Rule ID 1328 //
     /* 171132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 171135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 171140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 171143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 171146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 171149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171161 */     // (intrinsic_wo_chain:{ *:[v4f16] } 633:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FRECPSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 171161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv4f16),
     /* 171164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171166 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171168 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171170 */     GIR_RootConstrainSelectedInstOperands,
     /* 171171 */     // GIR_Coverage, 1328,
     /* 171171 */     GIR_EraseRootFromParent_Done,
     /* 171172 */   // Label 3290: @171172
     /* 171172 */   GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(171217), // Rule ID 1329 //
     /* 171177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 171180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 171185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 171188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 171191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 171194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171206 */     // (intrinsic_wo_chain:{ *:[v8f16] } 633:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FRECPSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 171206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv8f16),
     /* 171209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171211 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171213 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171215 */     GIR_RootConstrainSelectedInstOperands,
     /* 171216 */     // GIR_Coverage, 1329,
     /* 171216 */     GIR_EraseRootFromParent_Done,
     /* 171217 */   // Label 3291: @171217
     /* 171217 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(171262), // Rule ID 1330 //
     /* 171222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 171230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 171233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 171236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 171239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171251 */     // (intrinsic_wo_chain:{ *:[v2f32] } 633:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FRECPSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 171251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv2f32),
     /* 171254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171260 */     GIR_RootConstrainSelectedInstOperands,
     /* 171261 */     // GIR_Coverage, 1330,
     /* 171261 */     GIR_EraseRootFromParent_Done,
     /* 171262 */   // Label 3292: @171262
     /* 171262 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(171307), // Rule ID 1331 //
     /* 171267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 171275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 171278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 171281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 171284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171296 */     // (intrinsic_wo_chain:{ *:[v4f32] } 633:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FRECPSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 171296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv4f32),
     /* 171299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171301 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171303 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171305 */     GIR_RootConstrainSelectedInstOperands,
     /* 171306 */     // GIR_Coverage, 1331,
     /* 171306 */     GIR_EraseRootFromParent_Done,
     /* 171307 */   // Label 3293: @171307
     /* 171307 */   GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(171352), // Rule ID 1332 //
     /* 171312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 171320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 171323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 171326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 171329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171341 */     // (intrinsic_wo_chain:{ *:[v2f64] } 633:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FRECPSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 171341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPSv2f64),
     /* 171344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171346 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171348 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171350 */     GIR_RootConstrainSelectedInstOperands,
     /* 171351 */     // GIR_Coverage, 1332,
     /* 171351 */     GIR_EraseRootFromParent_Done,
     /* 171352 */   // Label 3294: @171352
     /* 171352 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(171397), // Rule ID 1333 //
     /* 171357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 171360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 171365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 171368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 171371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 171374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171386 */     // (intrinsic_wo_chain:{ *:[v4f16] } 640:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FRSQRTSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 171386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv4f16),
     /* 171389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171391 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171393 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171395 */     GIR_RootConstrainSelectedInstOperands,
     /* 171396 */     // GIR_Coverage, 1333,
     /* 171396 */     GIR_EraseRootFromParent_Done,
     /* 171397 */   // Label 3295: @171397
     /* 171397 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(171442), // Rule ID 1334 //
     /* 171402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 171405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 171410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 171413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 171416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 171419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171431 */     // (intrinsic_wo_chain:{ *:[v8f16] } 640:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FRSQRTSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 171431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv8f16),
     /* 171434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171436 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171438 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171440 */     GIR_RootConstrainSelectedInstOperands,
     /* 171441 */     // GIR_Coverage, 1334,
     /* 171441 */     GIR_EraseRootFromParent_Done,
     /* 171442 */   // Label 3296: @171442
     /* 171442 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(171487), // Rule ID 1335 //
     /* 171447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 171455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 171458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 171461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 171464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171476 */     // (intrinsic_wo_chain:{ *:[v2f32] } 640:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FRSQRTSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 171476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv2f32),
     /* 171479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171481 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171483 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171485 */     GIR_RootConstrainSelectedInstOperands,
     /* 171486 */     // GIR_Coverage, 1335,
     /* 171486 */     GIR_EraseRootFromParent_Done,
     /* 171487 */   // Label 3297: @171487
     /* 171487 */   GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(171532), // Rule ID 1336 //
     /* 171492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 171500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 171503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 171506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 171509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171521 */     // (intrinsic_wo_chain:{ *:[v4f32] } 640:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FRSQRTSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 171521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv4f32),
     /* 171524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171530 */     GIR_RootConstrainSelectedInstOperands,
     /* 171531 */     // GIR_Coverage, 1336,
     /* 171531 */     GIR_EraseRootFromParent_Done,
     /* 171532 */   // Label 3298: @171532
     /* 171532 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(171577), // Rule ID 1337 //
     /* 171537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 171545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 171548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 171551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 171554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171566 */     // (intrinsic_wo_chain:{ *:[v2f64] } 640:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FRSQRTSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 171566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTSv2f64),
     /* 171569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171571 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171573 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171575 */     GIR_RootConstrainSelectedInstOperands,
     /* 171576 */     // GIR_Coverage, 1337,
     /* 171576 */     GIR_EraseRootFromParent_Done,
     /* 171577 */   // Label 3299: @171577
     /* 171577 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(171622), // Rule ID 1354 //
     /* 171582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_pmul),
     /* 171590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 171593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 171596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 171599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171611 */     // (intrinsic_wo_chain:{ *:[v8i8] } 653:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (PMULv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 171611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULv8i8),
     /* 171614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171620 */     GIR_RootConstrainSelectedInstOperands,
     /* 171621 */     // GIR_Coverage, 1354,
     /* 171621 */     GIR_EraseRootFromParent_Done,
     /* 171622 */   // Label 3300: @171622
     /* 171622 */   GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(171667), // Rule ID 1355 //
     /* 171627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_pmul),
     /* 171635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 171638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 171641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 171644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171656 */     // (intrinsic_wo_chain:{ *:[v16i8] } 653:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (PMULv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 171656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULv16i8),
     /* 171659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171661 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171663 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171665 */     GIR_RootConstrainSelectedInstOperands,
     /* 171666 */     // GIR_Coverage, 1355,
     /* 171666 */     GIR_EraseRootFromParent_Done,
     /* 171667 */   // Label 3301: @171667
     /* 171667 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(171712), // Rule ID 1369 //
     /* 171672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 171680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 171683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 171686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 171689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171701 */     // (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SABDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 171701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv8i8),
     /* 171704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171710 */     GIR_RootConstrainSelectedInstOperands,
     /* 171711 */     // GIR_Coverage, 1369,
     /* 171711 */     GIR_EraseRootFromParent_Done,
     /* 171712 */   // Label 3302: @171712
     /* 171712 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(171757), // Rule ID 1371 //
     /* 171717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 171725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 171728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 171731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 171734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171746 */     // (intrinsic_wo_chain:{ *:[v16i8] } 659:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SABDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 171746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv16i8),
     /* 171749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171751 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171753 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171755 */     GIR_RootConstrainSelectedInstOperands,
     /* 171756 */     // GIR_Coverage, 1371,
     /* 171756 */     GIR_EraseRootFromParent_Done,
     /* 171757 */   // Label 3303: @171757
     /* 171757 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(171802), // Rule ID 1373 //
     /* 171762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 171770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 171773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 171776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 171779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171791 */     // (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SABDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 171791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv4i16),
     /* 171794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171798 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171800 */     GIR_RootConstrainSelectedInstOperands,
     /* 171801 */     // GIR_Coverage, 1373,
     /* 171801 */     GIR_EraseRootFromParent_Done,
     /* 171802 */   // Label 3304: @171802
     /* 171802 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(171847), // Rule ID 1375 //
     /* 171807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 171815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 171818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 171821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 171824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171836 */     // (intrinsic_wo_chain:{ *:[v8i16] } 659:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SABDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 171836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv8i16),
     /* 171839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171843 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171845 */     GIR_RootConstrainSelectedInstOperands,
     /* 171846 */     // GIR_Coverage, 1375,
     /* 171846 */     GIR_EraseRootFromParent_Done,
     /* 171847 */   // Label 3305: @171847
     /* 171847 */   GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(171892), // Rule ID 1377 //
     /* 171852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 171860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 171863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 171866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 171869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171881 */     // (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SABDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 171881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv2i32),
     /* 171884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171888 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171890 */     GIR_RootConstrainSelectedInstOperands,
     /* 171891 */     // GIR_Coverage, 1377,
     /* 171891 */     GIR_EraseRootFromParent_Done,
     /* 171892 */   // Label 3306: @171892
     /* 171892 */   GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(171937), // Rule ID 1379 //
     /* 171897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 171905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 171908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 171911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 171914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 171926 */     // (intrinsic_wo_chain:{ *:[v4i32] } 659:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SABDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 171926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDv4i32),
     /* 171929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171931 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171933 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171935 */     GIR_RootConstrainSelectedInstOperands,
     /* 171936 */     // GIR_Coverage, 1379,
     /* 171936 */     GIR_EraseRootFromParent_Done,
     /* 171937 */   // Label 3307: @171937
     /* 171937 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(171982), // Rule ID 1386 //
     /* 171942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 171950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 171953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 171956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 171959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 171971 */     // (intrinsic_wo_chain:{ *:[v8i8] } 669:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SHSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 171971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv8i8),
     /* 171974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 171976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 171978 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 171980 */     GIR_RootConstrainSelectedInstOperands,
     /* 171981 */     // GIR_Coverage, 1386,
     /* 171981 */     GIR_EraseRootFromParent_Done,
     /* 171982 */   // Label 3308: @171982
     /* 171982 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(172027), // Rule ID 1387 //
     /* 171987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 171990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 171995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 171998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 172001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 172004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172016 */     // (intrinsic_wo_chain:{ *:[v16i8] } 669:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SHSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 172016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv16i8),
     /* 172019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172021 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172023 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172025 */     GIR_RootConstrainSelectedInstOperands,
     /* 172026 */     // GIR_Coverage, 1387,
     /* 172026 */     GIR_EraseRootFromParent_Done,
     /* 172027 */   // Label 3309: @172027
     /* 172027 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(172072), // Rule ID 1388 //
     /* 172032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 172040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 172046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 172049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172061 */     // (intrinsic_wo_chain:{ *:[v4i16] } 669:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SHSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 172061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv4i16),
     /* 172064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172066 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172068 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172070 */     GIR_RootConstrainSelectedInstOperands,
     /* 172071 */     // GIR_Coverage, 1388,
     /* 172071 */     GIR_EraseRootFromParent_Done,
     /* 172072 */   // Label 3310: @172072
     /* 172072 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(172117), // Rule ID 1389 //
     /* 172077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 172085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 172088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172106 */     // (intrinsic_wo_chain:{ *:[v8i16] } 669:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SHSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv8i16),
     /* 172109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172111 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172113 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172115 */     GIR_RootConstrainSelectedInstOperands,
     /* 172116 */     // GIR_Coverage, 1389,
     /* 172116 */     GIR_EraseRootFromParent_Done,
     /* 172117 */   // Label 3311: @172117
     /* 172117 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(172162), // Rule ID 1390 //
     /* 172122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 172130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 172136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 172139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172151 */     // (intrinsic_wo_chain:{ *:[v2i32] } 669:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SHSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 172151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv2i32),
     /* 172154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172156 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172158 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172160 */     GIR_RootConstrainSelectedInstOperands,
     /* 172161 */     // GIR_Coverage, 1390,
     /* 172161 */     GIR_EraseRootFromParent_Done,
     /* 172162 */   // Label 3312: @172162
     /* 172162 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(172207), // Rule ID 1391 //
     /* 172167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_shsub),
     /* 172175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 172178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172196 */     // (intrinsic_wo_chain:{ *:[v4i32] } 669:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBv4i32),
     /* 172199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172201 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172203 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172205 */     GIR_RootConstrainSelectedInstOperands,
     /* 172206 */     // GIR_Coverage, 1391,
     /* 172206 */     GIR_EraseRootFromParent_Done,
     /* 172207 */   // Label 3313: @172207
     /* 172207 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(172252), // Rule ID 1392 //
     /* 172212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 172220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 172223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 172226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 172229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172241 */     // (intrinsic_wo_chain:{ *:[v8i8] } 671:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMAXPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 172241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv8i8),
     /* 172244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172248 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172250 */     GIR_RootConstrainSelectedInstOperands,
     /* 172251 */     // GIR_Coverage, 1392,
     /* 172251 */     GIR_EraseRootFromParent_Done,
     /* 172252 */   // Label 3314: @172252
     /* 172252 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(172297), // Rule ID 1393 //
     /* 172257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 172265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 172268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 172271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 172274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172286 */     // (intrinsic_wo_chain:{ *:[v16i8] } 671:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMAXPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 172286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv16i8),
     /* 172289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172291 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172293 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172295 */     GIR_RootConstrainSelectedInstOperands,
     /* 172296 */     // GIR_Coverage, 1393,
     /* 172296 */     GIR_EraseRootFromParent_Done,
     /* 172297 */   // Label 3315: @172297
     /* 172297 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(172342), // Rule ID 1394 //
     /* 172302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 172310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 172316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 172319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172331 */     // (intrinsic_wo_chain:{ *:[v4i16] } 671:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMAXPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 172331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv4i16),
     /* 172334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172338 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172340 */     GIR_RootConstrainSelectedInstOperands,
     /* 172341 */     // GIR_Coverage, 1394,
     /* 172341 */     GIR_EraseRootFromParent_Done,
     /* 172342 */   // Label 3316: @172342
     /* 172342 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(172387), // Rule ID 1395 //
     /* 172347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 172355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 172358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172376 */     // (intrinsic_wo_chain:{ *:[v8i16] } 671:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMAXPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv8i16),
     /* 172379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172383 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172385 */     GIR_RootConstrainSelectedInstOperands,
     /* 172386 */     // GIR_Coverage, 1395,
     /* 172386 */     GIR_EraseRootFromParent_Done,
     /* 172387 */   // Label 3317: @172387
     /* 172387 */   GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(172432), // Rule ID 1396 //
     /* 172392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 172400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 172406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 172409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172421 */     // (intrinsic_wo_chain:{ *:[v2i32] } 671:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMAXPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 172421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv2i32),
     /* 172424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172426 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172428 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172430 */     GIR_RootConstrainSelectedInstOperands,
     /* 172431 */     // GIR_Coverage, 1396,
     /* 172431 */     GIR_EraseRootFromParent_Done,
     /* 172432 */   // Label 3318: @172432
     /* 172432 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(172477), // Rule ID 1397 //
     /* 172437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxp),
     /* 172445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 172448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172466 */     // (intrinsic_wo_chain:{ *:[v4i32] } 671:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMAXPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv4i32),
     /* 172469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172471 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172473 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172475 */     GIR_RootConstrainSelectedInstOperands,
     /* 172476 */     // GIR_Coverage, 1397,
     /* 172476 */     GIR_EraseRootFromParent_Done,
     /* 172477 */   // Label 3319: @172477
     /* 172477 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(172522), // Rule ID 1404 //
     /* 172482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 172490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 172493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 172496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 172499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172511 */     // (intrinsic_wo_chain:{ *:[v8i8] } 674:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMINPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 172511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv8i8),
     /* 172514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172520 */     GIR_RootConstrainSelectedInstOperands,
     /* 172521 */     // GIR_Coverage, 1404,
     /* 172521 */     GIR_EraseRootFromParent_Done,
     /* 172522 */   // Label 3320: @172522
     /* 172522 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(172567), // Rule ID 1405 //
     /* 172527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 172535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 172538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 172541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 172544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172556 */     // (intrinsic_wo_chain:{ *:[v16i8] } 674:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMINPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 172556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv16i8),
     /* 172559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172561 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172563 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172565 */     GIR_RootConstrainSelectedInstOperands,
     /* 172566 */     // GIR_Coverage, 1405,
     /* 172566 */     GIR_EraseRootFromParent_Done,
     /* 172567 */   // Label 3321: @172567
     /* 172567 */   GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(172612), // Rule ID 1406 //
     /* 172572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 172580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 172586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 172589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172601 */     // (intrinsic_wo_chain:{ *:[v4i16] } 674:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMINPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 172601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv4i16),
     /* 172604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172606 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172608 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172610 */     GIR_RootConstrainSelectedInstOperands,
     /* 172611 */     // GIR_Coverage, 1406,
     /* 172611 */     GIR_EraseRootFromParent_Done,
     /* 172612 */   // Label 3322: @172612
     /* 172612 */   GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(172657), // Rule ID 1407 //
     /* 172617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 172625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 172628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172646 */     // (intrinsic_wo_chain:{ *:[v8i16] } 674:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMINPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv8i16),
     /* 172649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172651 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172653 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172655 */     GIR_RootConstrainSelectedInstOperands,
     /* 172656 */     // GIR_Coverage, 1407,
     /* 172656 */     GIR_EraseRootFromParent_Done,
     /* 172657 */   // Label 3323: @172657
     /* 172657 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(172702), // Rule ID 1408 //
     /* 172662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 172670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 172676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 172679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172691 */     // (intrinsic_wo_chain:{ *:[v2i32] } 674:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMINPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 172691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv2i32),
     /* 172694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172696 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172698 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172700 */     GIR_RootConstrainSelectedInstOperands,
     /* 172701 */     // GIR_Coverage, 1408,
     /* 172701 */     GIR_EraseRootFromParent_Done,
     /* 172702 */   // Label 3324: @172702
     /* 172702 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(172747), // Rule ID 1409 //
     /* 172707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminp),
     /* 172715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 172718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172736 */     // (intrinsic_wo_chain:{ *:[v4i32] } 674:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMINPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 172736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINPv4i32),
     /* 172739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172741 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172743 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172745 */     GIR_RootConstrainSelectedInstOperands,
     /* 172746 */     // GIR_Coverage, 1409,
     /* 172746 */     GIR_EraseRootFromParent_Done,
     /* 172747 */   // Label 3325: @172747
     /* 172747 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(172792), // Rule ID 1416 //
     /* 172752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 172760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 172763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 172766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 172769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172781 */     // (intrinsic_wo_chain:{ *:[v8i8] } 679:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 172781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i8),
     /* 172784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172788 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172790 */     GIR_RootConstrainSelectedInstOperands,
     /* 172791 */     // GIR_Coverage, 1416,
     /* 172791 */     GIR_EraseRootFromParent_Done,
     /* 172792 */   // Label 3326: @172792
     /* 172792 */   GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(172837), // Rule ID 1417 //
     /* 172797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 172805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 172808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 172811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 172814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172826 */     // (intrinsic_wo_chain:{ *:[v16i8] } 679:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 172826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv16i8),
     /* 172829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172831 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172833 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172835 */     GIR_RootConstrainSelectedInstOperands,
     /* 172836 */     // GIR_Coverage, 1417,
     /* 172836 */     GIR_EraseRootFromParent_Done,
     /* 172837 */   // Label 3327: @172837
     /* 172837 */   GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(172882), // Rule ID 1418 //
     /* 172842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 172850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 172853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 172856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 172859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172871 */     // (intrinsic_wo_chain:{ *:[v4i16] } 679:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 172871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i16),
     /* 172874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172876 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172878 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172880 */     GIR_RootConstrainSelectedInstOperands,
     /* 172881 */     // GIR_Coverage, 1418,
     /* 172881 */     GIR_EraseRootFromParent_Done,
     /* 172882 */   // Label 3328: @172882
     /* 172882 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(172927), // Rule ID 1419 //
     /* 172887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 172895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 172898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 172901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 172904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172916 */     // (intrinsic_wo_chain:{ *:[v8i16] } 679:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 172916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i16),
     /* 172919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172921 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172923 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172925 */     GIR_RootConstrainSelectedInstOperands,
     /* 172926 */     // GIR_Coverage, 1419,
     /* 172926 */     GIR_EraseRootFromParent_Done,
     /* 172927 */   // Label 3329: @172927
     /* 172927 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(172972), // Rule ID 1420 //
     /* 172932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 172940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 172943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 172946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 172949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 172961 */     // (intrinsic_wo_chain:{ *:[v2i32] } 679:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 172961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i32),
     /* 172964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 172966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 172968 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 172970 */     GIR_RootConstrainSelectedInstOperands,
     /* 172971 */     // GIR_Coverage, 1420,
     /* 172971 */     GIR_EraseRootFromParent_Done,
     /* 172972 */   // Label 3330: @172972
     /* 172972 */   GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(173017), // Rule ID 1421 //
     /* 172977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 172980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 172985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 172988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 172991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 172994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 172998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173006 */     // (intrinsic_wo_chain:{ *:[v4i32] } 679:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 173006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i32),
     /* 173009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173011 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173013 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173015 */     GIR_RootConstrainSelectedInstOperands,
     /* 173016 */     // GIR_Coverage, 1421,
     /* 173016 */     GIR_EraseRootFromParent_Done,
     /* 173017 */   // Label 3331: @173017
     /* 173017 */   GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(173062), // Rule ID 1422 //
     /* 173022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 173030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 173033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 173036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 173039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173051 */     // (intrinsic_wo_chain:{ *:[v2i64] } 679:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 173051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i64),
     /* 173054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173056 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173058 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173060 */     GIR_RootConstrainSelectedInstOperands,
     /* 173061 */     // GIR_Coverage, 1422,
     /* 173061 */     GIR_EraseRootFromParent_Done,
     /* 173062 */   // Label 3332: @173062
     /* 173062 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(173107), // Rule ID 1423 //
     /* 173067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 173075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 173078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 173081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 173084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173096 */     // (intrinsic_wo_chain:{ *:[v4i16] } 680:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQDMULHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 173096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i16),
     /* 173099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173103 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173105 */     GIR_RootConstrainSelectedInstOperands,
     /* 173106 */     // GIR_Coverage, 1423,
     /* 173106 */     GIR_EraseRootFromParent_Done,
     /* 173107 */   // Label 3333: @173107
     /* 173107 */   GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(173152), // Rule ID 1424 //
     /* 173112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 173120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 173123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 173126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 173129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173141 */     // (intrinsic_wo_chain:{ *:[v8i16] } 680:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQDMULHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 173141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv8i16),
     /* 173144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173150 */     GIR_RootConstrainSelectedInstOperands,
     /* 173151 */     // GIR_Coverage, 1424,
     /* 173151 */     GIR_EraseRootFromParent_Done,
     /* 173152 */   // Label 3334: @173152
     /* 173152 */   GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(173197), // Rule ID 1425 //
     /* 173157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 173165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 173168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 173171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 173174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173186 */     // (intrinsic_wo_chain:{ *:[v2i32] } 680:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQDMULHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 173186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv2i32),
     /* 173189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173191 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173193 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173195 */     GIR_RootConstrainSelectedInstOperands,
     /* 173196 */     // GIR_Coverage, 1425,
     /* 173196 */     GIR_EraseRootFromParent_Done,
     /* 173197 */   // Label 3335: @173197
     /* 173197 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(173242), // Rule ID 1426 //
     /* 173202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 173210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173231 */     // (intrinsic_wo_chain:{ *:[v4i32] } 680:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQDMULHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 173231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv4i32),
     /* 173234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173238 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173240 */     GIR_RootConstrainSelectedInstOperands,
     /* 173241 */     // GIR_Coverage, 1426,
     /* 173241 */     GIR_EraseRootFromParent_Done,
     /* 173242 */   // Label 3336: @173242
     /* 173242 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(173287), // Rule ID 1427 //
     /* 173247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 173255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 173258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 173261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 173264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173276 */     // (intrinsic_wo_chain:{ *:[v4i16] } 688:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRDMULHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 173276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i16),
     /* 173279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173283 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173285 */     GIR_RootConstrainSelectedInstOperands,
     /* 173286 */     // GIR_Coverage, 1427,
     /* 173286 */     GIR_EraseRootFromParent_Done,
     /* 173287 */   // Label 3337: @173287
     /* 173287 */   GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(173332), // Rule ID 1428 //
     /* 173292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 173300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 173303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 173306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 173309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173321 */     // (intrinsic_wo_chain:{ *:[v8i16] } 688:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRDMULHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 173321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv8i16),
     /* 173324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173326 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173328 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173330 */     GIR_RootConstrainSelectedInstOperands,
     /* 173331 */     // GIR_Coverage, 1428,
     /* 173331 */     GIR_EraseRootFromParent_Done,
     /* 173332 */   // Label 3338: @173332
     /* 173332 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(173377), // Rule ID 1429 //
     /* 173337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 173345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 173348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 173351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 173354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173366 */     // (intrinsic_wo_chain:{ *:[v2i32] } 688:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRDMULHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 173366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv2i32),
     /* 173369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173371 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173373 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173375 */     GIR_RootConstrainSelectedInstOperands,
     /* 173376 */     // GIR_Coverage, 1429,
     /* 173376 */     GIR_EraseRootFromParent_Done,
     /* 173377 */   // Label 3339: @173377
     /* 173377 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(173422), // Rule ID 1430 //
     /* 173382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 173390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173411 */     // (intrinsic_wo_chain:{ *:[v4i32] } 688:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRDMULHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 173411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv4i32),
     /* 173414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173418 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173420 */     GIR_RootConstrainSelectedInstOperands,
     /* 173421 */     // GIR_Coverage, 1430,
     /* 173421 */     GIR_EraseRootFromParent_Done,
     /* 173422 */   // Label 3340: @173422
     /* 173422 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(173467), // Rule ID 1431 //
     /* 173427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 173435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 173438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 173441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 173444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173456 */     // (intrinsic_wo_chain:{ *:[v8i8] } 691:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQRSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 173456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv8i8),
     /* 173459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173463 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173465 */     GIR_RootConstrainSelectedInstOperands,
     /* 173466 */     // GIR_Coverage, 1431,
     /* 173466 */     GIR_EraseRootFromParent_Done,
     /* 173467 */   // Label 3341: @173467
     /* 173467 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(173512), // Rule ID 1432 //
     /* 173472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 173480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 173483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 173486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 173489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173501 */     // (intrinsic_wo_chain:{ *:[v16i8] } 691:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQRSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 173501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv16i8),
     /* 173504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173506 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173508 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173510 */     GIR_RootConstrainSelectedInstOperands,
     /* 173511 */     // GIR_Coverage, 1432,
     /* 173511 */     GIR_EraseRootFromParent_Done,
     /* 173512 */   // Label 3342: @173512
     /* 173512 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(173557), // Rule ID 1433 //
     /* 173517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 173525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 173528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 173531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 173534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173546 */     // (intrinsic_wo_chain:{ *:[v4i16] } 691:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 173546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv4i16),
     /* 173549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173551 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173553 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173555 */     GIR_RootConstrainSelectedInstOperands,
     /* 173556 */     // GIR_Coverage, 1433,
     /* 173556 */     GIR_EraseRootFromParent_Done,
     /* 173557 */   // Label 3343: @173557
     /* 173557 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(173602), // Rule ID 1434 //
     /* 173562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 173570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 173573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 173576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 173579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173591 */     // (intrinsic_wo_chain:{ *:[v8i16] } 691:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 173591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv8i16),
     /* 173594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173598 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173600 */     GIR_RootConstrainSelectedInstOperands,
     /* 173601 */     // GIR_Coverage, 1434,
     /* 173601 */     GIR_EraseRootFromParent_Done,
     /* 173602 */   // Label 3344: @173602
     /* 173602 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(173647), // Rule ID 1435 //
     /* 173607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 173615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 173618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 173621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 173624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173636 */     // (intrinsic_wo_chain:{ *:[v2i32] } 691:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 173636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv2i32),
     /* 173639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173643 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173645 */     GIR_RootConstrainSelectedInstOperands,
     /* 173646 */     // GIR_Coverage, 1435,
     /* 173646 */     GIR_EraseRootFromParent_Done,
     /* 173647 */   // Label 3345: @173647
     /* 173647 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(173692), // Rule ID 1436 //
     /* 173652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 173660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173681 */     // (intrinsic_wo_chain:{ *:[v4i32] } 691:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 173681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv4i32),
     /* 173684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173688 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173690 */     GIR_RootConstrainSelectedInstOperands,
     /* 173691 */     // GIR_Coverage, 1436,
     /* 173691 */     GIR_EraseRootFromParent_Done,
     /* 173692 */   // Label 3346: @173692
     /* 173692 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(173737), // Rule ID 1437 //
     /* 173697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 173705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 173708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 173711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 173714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173726 */     // (intrinsic_wo_chain:{ *:[v2i64] } 691:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQRSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 173726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv2i64),
     /* 173729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173731 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173733 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173735 */     GIR_RootConstrainSelectedInstOperands,
     /* 173736 */     // GIR_Coverage, 1437,
     /* 173736 */     GIR_EraseRootFromParent_Done,
     /* 173737 */   // Label 3347: @173737
     /* 173737 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(173782), // Rule ID 1438 //
     /* 173742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 173750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 173753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 173756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 173759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173771 */     // (intrinsic_wo_chain:{ *:[v8i8] } 694:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 173771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv8i8),
     /* 173774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173778 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173780 */     GIR_RootConstrainSelectedInstOperands,
     /* 173781 */     // GIR_Coverage, 1438,
     /* 173781 */     GIR_EraseRootFromParent_Done,
     /* 173782 */   // Label 3348: @173782
     /* 173782 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(173827), // Rule ID 1439 //
     /* 173787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 173795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 173798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 173801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 173804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173816 */     // (intrinsic_wo_chain:{ *:[v16i8] } 694:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 173816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv16i8),
     /* 173819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173821 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173823 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173825 */     GIR_RootConstrainSelectedInstOperands,
     /* 173826 */     // GIR_Coverage, 1439,
     /* 173826 */     GIR_EraseRootFromParent_Done,
     /* 173827 */   // Label 3349: @173827
     /* 173827 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(173872), // Rule ID 1440 //
     /* 173832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 173840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 173843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 173846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 173849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173861 */     // (intrinsic_wo_chain:{ *:[v4i16] } 694:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 173861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv4i16),
     /* 173864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173868 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173870 */     GIR_RootConstrainSelectedInstOperands,
     /* 173871 */     // GIR_Coverage, 1440,
     /* 173871 */     GIR_EraseRootFromParent_Done,
     /* 173872 */   // Label 3350: @173872
     /* 173872 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(173917), // Rule ID 1441 //
     /* 173877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 173885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 173888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 173891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 173894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173906 */     // (intrinsic_wo_chain:{ *:[v8i16] } 694:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 173906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv8i16),
     /* 173909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173911 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173913 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173915 */     GIR_RootConstrainSelectedInstOperands,
     /* 173916 */     // GIR_Coverage, 1441,
     /* 173916 */     GIR_EraseRootFromParent_Done,
     /* 173917 */   // Label 3351: @173917
     /* 173917 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(173962), // Rule ID 1442 //
     /* 173922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 173930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 173933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 173936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 173939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 173951 */     // (intrinsic_wo_chain:{ *:[v2i32] } 694:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 173951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv2i32),
     /* 173954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 173956 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 173958 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 173960 */     GIR_RootConstrainSelectedInstOperands,
     /* 173961 */     // GIR_Coverage, 1442,
     /* 173961 */     GIR_EraseRootFromParent_Done,
     /* 173962 */   // Label 3352: @173962
     /* 173962 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(174007), // Rule ID 1443 //
     /* 173967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 173970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 173975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 173978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 173981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 173984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 173996 */     // (intrinsic_wo_chain:{ *:[v4i32] } 694:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 173996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv4i32),
     /* 173999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174001 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174003 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174005 */     GIR_RootConstrainSelectedInstOperands,
     /* 174006 */     // GIR_Coverage, 1443,
     /* 174006 */     GIR_EraseRootFromParent_Done,
     /* 174007 */   // Label 3353: @174007
     /* 174007 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(174052), // Rule ID 1444 //
     /* 174012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 174020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 174023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 174026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 174029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174041 */     // (intrinsic_wo_chain:{ *:[v2i64] } 694:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 174041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv2i64),
     /* 174044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174046 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174048 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174050 */     GIR_RootConstrainSelectedInstOperands,
     /* 174051 */     // GIR_Coverage, 1444,
     /* 174051 */     GIR_EraseRootFromParent_Done,
     /* 174052 */   // Label 3354: @174052
     /* 174052 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(174097), // Rule ID 1445 //
     /* 174057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 174065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 174068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 174071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 174074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174086 */     // (intrinsic_wo_chain:{ *:[v8i8] } 698:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 174086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i8),
     /* 174089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174091 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174093 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174095 */     GIR_RootConstrainSelectedInstOperands,
     /* 174096 */     // GIR_Coverage, 1445,
     /* 174096 */     GIR_EraseRootFromParent_Done,
     /* 174097 */   // Label 3355: @174097
     /* 174097 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(174142), // Rule ID 1446 //
     /* 174102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 174110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 174113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 174116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 174119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174131 */     // (intrinsic_wo_chain:{ *:[v16i8] } 698:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 174131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv16i8),
     /* 174134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174136 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174138 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174140 */     GIR_RootConstrainSelectedInstOperands,
     /* 174141 */     // GIR_Coverage, 1446,
     /* 174141 */     GIR_EraseRootFromParent_Done,
     /* 174142 */   // Label 3356: @174142
     /* 174142 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(174187), // Rule ID 1447 //
     /* 174147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 174155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 174158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 174161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 174164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174176 */     // (intrinsic_wo_chain:{ *:[v4i16] } 698:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 174176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i16),
     /* 174179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174181 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174183 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174185 */     GIR_RootConstrainSelectedInstOperands,
     /* 174186 */     // GIR_Coverage, 1447,
     /* 174186 */     GIR_EraseRootFromParent_Done,
     /* 174187 */   // Label 3357: @174187
     /* 174187 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(174232), // Rule ID 1448 //
     /* 174192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 174200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 174203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 174206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 174209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174221 */     // (intrinsic_wo_chain:{ *:[v8i16] } 698:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 174221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i16),
     /* 174224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174226 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174228 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174230 */     GIR_RootConstrainSelectedInstOperands,
     /* 174231 */     // GIR_Coverage, 1448,
     /* 174231 */     GIR_EraseRootFromParent_Done,
     /* 174232 */   // Label 3358: @174232
     /* 174232 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(174277), // Rule ID 1449 //
     /* 174237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 174245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 174248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 174251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 174254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174266 */     // (intrinsic_wo_chain:{ *:[v2i32] } 698:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 174266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i32),
     /* 174269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174271 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174273 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174275 */     GIR_RootConstrainSelectedInstOperands,
     /* 174276 */     // GIR_Coverage, 1449,
     /* 174276 */     GIR_EraseRootFromParent_Done,
     /* 174277 */   // Label 3359: @174277
     /* 174277 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(174322), // Rule ID 1450 //
     /* 174282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 174290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 174293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 174296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 174299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174311 */     // (intrinsic_wo_chain:{ *:[v4i32] } 698:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 174311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i32),
     /* 174314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174318 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174320 */     GIR_RootConstrainSelectedInstOperands,
     /* 174321 */     // GIR_Coverage, 1450,
     /* 174321 */     GIR_EraseRootFromParent_Done,
     /* 174322 */   // Label 3360: @174322
     /* 174322 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(174367), // Rule ID 1451 //
     /* 174327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 174335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 174338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 174341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 174344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174356 */     // (intrinsic_wo_chain:{ *:[v2i64] } 698:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 174356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i64),
     /* 174359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174361 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174363 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174365 */     GIR_RootConstrainSelectedInstOperands,
     /* 174366 */     // GIR_Coverage, 1451,
     /* 174366 */     GIR_EraseRootFromParent_Done,
     /* 174367 */   // Label 3361: @174367
     /* 174367 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(174412), // Rule ID 1458 //
     /* 174372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 174380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 174383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 174386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 174389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174401 */     // (intrinsic_wo_chain:{ *:[v8i8] } 702:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SRSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 174401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv8i8),
     /* 174404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174408 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174410 */     GIR_RootConstrainSelectedInstOperands,
     /* 174411 */     // GIR_Coverage, 1458,
     /* 174411 */     GIR_EraseRootFromParent_Done,
     /* 174412 */   // Label 3362: @174412
     /* 174412 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(174457), // Rule ID 1459 //
     /* 174417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 174425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 174428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 174431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 174434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174446 */     // (intrinsic_wo_chain:{ *:[v16i8] } 702:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SRSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 174446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv16i8),
     /* 174449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174451 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174453 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174455 */     GIR_RootConstrainSelectedInstOperands,
     /* 174456 */     // GIR_Coverage, 1459,
     /* 174456 */     GIR_EraseRootFromParent_Done,
     /* 174457 */   // Label 3363: @174457
     /* 174457 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(174502), // Rule ID 1460 //
     /* 174462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 174470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 174473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 174476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 174479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174491 */     // (intrinsic_wo_chain:{ *:[v4i16] } 702:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SRSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 174491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv4i16),
     /* 174494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174496 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174498 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174500 */     GIR_RootConstrainSelectedInstOperands,
     /* 174501 */     // GIR_Coverage, 1460,
     /* 174501 */     GIR_EraseRootFromParent_Done,
     /* 174502 */   // Label 3364: @174502
     /* 174502 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(174547), // Rule ID 1461 //
     /* 174507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 174515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 174518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 174521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 174524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174536 */     // (intrinsic_wo_chain:{ *:[v8i16] } 702:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SRSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 174536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv8i16),
     /* 174539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174541 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174543 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174545 */     GIR_RootConstrainSelectedInstOperands,
     /* 174546 */     // GIR_Coverage, 1461,
     /* 174546 */     GIR_EraseRootFromParent_Done,
     /* 174547 */   // Label 3365: @174547
     /* 174547 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(174592), // Rule ID 1462 //
     /* 174552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 174560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 174563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 174566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 174569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174581 */     // (intrinsic_wo_chain:{ *:[v2i32] } 702:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SRSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 174581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv2i32),
     /* 174584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174586 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174588 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174590 */     GIR_RootConstrainSelectedInstOperands,
     /* 174591 */     // GIR_Coverage, 1462,
     /* 174591 */     GIR_EraseRootFromParent_Done,
     /* 174592 */   // Label 3366: @174592
     /* 174592 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(174637), // Rule ID 1463 //
     /* 174597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 174605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 174608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 174611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 174614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174626 */     // (intrinsic_wo_chain:{ *:[v4i32] } 702:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SRSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 174626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv4i32),
     /* 174629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174631 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174633 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174635 */     GIR_RootConstrainSelectedInstOperands,
     /* 174636 */     // GIR_Coverage, 1463,
     /* 174636 */     GIR_EraseRootFromParent_Done,
     /* 174637 */   // Label 3367: @174637
     /* 174637 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(174682), // Rule ID 1464 //
     /* 174642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 174650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 174653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 174656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 174659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174671 */     // (intrinsic_wo_chain:{ *:[v2i64] } 702:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SRSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 174671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv2i64),
     /* 174674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174678 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174680 */     GIR_RootConstrainSelectedInstOperands,
     /* 174681 */     // GIR_Coverage, 1464,
     /* 174681 */     GIR_EraseRootFromParent_Done,
     /* 174682 */   // Label 3368: @174682
     /* 174682 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(174727), // Rule ID 1465 //
     /* 174687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 174695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 174698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 174701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 174704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174716 */     // (intrinsic_wo_chain:{ *:[v8i8] } 703:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 174716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv8i8),
     /* 174719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174723 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174725 */     GIR_RootConstrainSelectedInstOperands,
     /* 174726 */     // GIR_Coverage, 1465,
     /* 174726 */     GIR_EraseRootFromParent_Done,
     /* 174727 */   // Label 3369: @174727
     /* 174727 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(174772), // Rule ID 1466 //
     /* 174732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 174740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 174743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 174746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 174749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174761 */     // (intrinsic_wo_chain:{ *:[v16i8] } 703:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 174761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv16i8),
     /* 174764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174766 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174768 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174770 */     GIR_RootConstrainSelectedInstOperands,
     /* 174771 */     // GIR_Coverage, 1466,
     /* 174771 */     GIR_EraseRootFromParent_Done,
     /* 174772 */   // Label 3370: @174772
     /* 174772 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(174817), // Rule ID 1467 //
     /* 174777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 174785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 174788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 174791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 174794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174806 */     // (intrinsic_wo_chain:{ *:[v4i16] } 703:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 174806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv4i16),
     /* 174809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174811 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174813 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174815 */     GIR_RootConstrainSelectedInstOperands,
     /* 174816 */     // GIR_Coverage, 1467,
     /* 174816 */     GIR_EraseRootFromParent_Done,
     /* 174817 */   // Label 3371: @174817
     /* 174817 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(174862), // Rule ID 1468 //
     /* 174822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 174830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 174833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 174836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 174839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174851 */     // (intrinsic_wo_chain:{ *:[v8i16] } 703:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 174851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv8i16),
     /* 174854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174856 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174858 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174860 */     GIR_RootConstrainSelectedInstOperands,
     /* 174861 */     // GIR_Coverage, 1468,
     /* 174861 */     GIR_EraseRootFromParent_Done,
     /* 174862 */   // Label 3372: @174862
     /* 174862 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(174907), // Rule ID 1469 //
     /* 174867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 174875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 174878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 174881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 174884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 174896 */     // (intrinsic_wo_chain:{ *:[v2i32] } 703:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 174896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv2i32),
     /* 174899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174901 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174903 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174905 */     GIR_RootConstrainSelectedInstOperands,
     /* 174906 */     // GIR_Coverage, 1469,
     /* 174906 */     GIR_EraseRootFromParent_Done,
     /* 174907 */   // Label 3373: @174907
     /* 174907 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(174952), // Rule ID 1470 //
     /* 174912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 174920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 174923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 174926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 174929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174941 */     // (intrinsic_wo_chain:{ *:[v4i32] } 703:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 174941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv4i32),
     /* 174944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174946 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174948 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174950 */     GIR_RootConstrainSelectedInstOperands,
     /* 174951 */     // GIR_Coverage, 1470,
     /* 174951 */     GIR_EraseRootFromParent_Done,
     /* 174952 */   // Label 3374: @174952
     /* 174952 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(174997), // Rule ID 1471 //
     /* 174957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 174960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 174965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 174968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 174971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 174974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 174986 */     // (intrinsic_wo_chain:{ *:[v2i64] } 703:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 174986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv2i64),
     /* 174989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 174991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 174993 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 174995 */     GIR_RootConstrainSelectedInstOperands,
     /* 174996 */     // GIR_Coverage, 1471,
     /* 174996 */     GIR_EraseRootFromParent_Done,
     /* 174997 */   // Label 3375: @174997
     /* 174997 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(175042), // Rule ID 1492 //
     /* 175002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 175010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 175013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 175016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 175019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175031 */     // (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UABDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 175031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv8i8),
     /* 175034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175038 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175040 */     GIR_RootConstrainSelectedInstOperands,
     /* 175041 */     // GIR_Coverage, 1492,
     /* 175041 */     GIR_EraseRootFromParent_Done,
     /* 175042 */   // Label 3376: @175042
     /* 175042 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(175087), // Rule ID 1494 //
     /* 175047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 175055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 175058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 175061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 175064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175076 */     // (intrinsic_wo_chain:{ *:[v16i8] } 724:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UABDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 175076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv16i8),
     /* 175079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175081 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175083 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175085 */     GIR_RootConstrainSelectedInstOperands,
     /* 175086 */     // GIR_Coverage, 1494,
     /* 175086 */     GIR_EraseRootFromParent_Done,
     /* 175087 */   // Label 3377: @175087
     /* 175087 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(175132), // Rule ID 1496 //
     /* 175092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 175100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 175103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 175106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 175109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175121 */     // (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UABDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 175121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv4i16),
     /* 175124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175128 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175130 */     GIR_RootConstrainSelectedInstOperands,
     /* 175131 */     // GIR_Coverage, 1496,
     /* 175131 */     GIR_EraseRootFromParent_Done,
     /* 175132 */   // Label 3378: @175132
     /* 175132 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(175177), // Rule ID 1498 //
     /* 175137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 175145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 175148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 175151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 175154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175166 */     // (intrinsic_wo_chain:{ *:[v8i16] } 724:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UABDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 175166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv8i16),
     /* 175169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175171 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175173 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175175 */     GIR_RootConstrainSelectedInstOperands,
     /* 175176 */     // GIR_Coverage, 1498,
     /* 175176 */     GIR_EraseRootFromParent_Done,
     /* 175177 */   // Label 3379: @175177
     /* 175177 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(175222), // Rule ID 1500 //
     /* 175182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 175190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 175193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 175196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 175199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175211 */     // (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UABDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 175211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv2i32),
     /* 175214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175216 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175218 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175220 */     GIR_RootConstrainSelectedInstOperands,
     /* 175221 */     // GIR_Coverage, 1500,
     /* 175221 */     GIR_EraseRootFromParent_Done,
     /* 175222 */   // Label 3380: @175222
     /* 175222 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(175267), // Rule ID 1502 //
     /* 175227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 175235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 175238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 175241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 175244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175256 */     // (intrinsic_wo_chain:{ *:[v4i32] } 724:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UABDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 175256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDv4i32),
     /* 175259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175261 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175263 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175265 */     GIR_RootConstrainSelectedInstOperands,
     /* 175266 */     // GIR_Coverage, 1502,
     /* 175266 */     GIR_EraseRootFromParent_Done,
     /* 175267 */   // Label 3381: @175267
     /* 175267 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(175312), // Rule ID 1509 //
     /* 175272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 175280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 175283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 175286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 175289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175301 */     // (intrinsic_wo_chain:{ *:[v8i8] } 730:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UHSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 175301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv8i8),
     /* 175304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175308 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175310 */     GIR_RootConstrainSelectedInstOperands,
     /* 175311 */     // GIR_Coverage, 1509,
     /* 175311 */     GIR_EraseRootFromParent_Done,
     /* 175312 */   // Label 3382: @175312
     /* 175312 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(175357), // Rule ID 1510 //
     /* 175317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 175325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 175328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 175331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 175334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175346 */     // (intrinsic_wo_chain:{ *:[v16i8] } 730:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UHSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 175346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv16i8),
     /* 175349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175351 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175353 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175355 */     GIR_RootConstrainSelectedInstOperands,
     /* 175356 */     // GIR_Coverage, 1510,
     /* 175356 */     GIR_EraseRootFromParent_Done,
     /* 175357 */   // Label 3383: @175357
     /* 175357 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(175402), // Rule ID 1511 //
     /* 175362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 175370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 175373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 175376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 175379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175391 */     // (intrinsic_wo_chain:{ *:[v4i16] } 730:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UHSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 175391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv4i16),
     /* 175394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175396 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175398 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175400 */     GIR_RootConstrainSelectedInstOperands,
     /* 175401 */     // GIR_Coverage, 1511,
     /* 175401 */     GIR_EraseRootFromParent_Done,
     /* 175402 */   // Label 3384: @175402
     /* 175402 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(175447), // Rule ID 1512 //
     /* 175407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 175415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 175418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 175421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 175424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175436 */     // (intrinsic_wo_chain:{ *:[v8i16] } 730:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UHSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 175436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv8i16),
     /* 175439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175441 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175443 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175445 */     GIR_RootConstrainSelectedInstOperands,
     /* 175446 */     // GIR_Coverage, 1512,
     /* 175446 */     GIR_EraseRootFromParent_Done,
     /* 175447 */   // Label 3385: @175447
     /* 175447 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(175492), // Rule ID 1513 //
     /* 175452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 175460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 175463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 175466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 175469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175481 */     // (intrinsic_wo_chain:{ *:[v2i32] } 730:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UHSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 175481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv2i32),
     /* 175484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175486 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175488 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175490 */     GIR_RootConstrainSelectedInstOperands,
     /* 175491 */     // GIR_Coverage, 1513,
     /* 175491 */     GIR_EraseRootFromParent_Done,
     /* 175492 */   // Label 3386: @175492
     /* 175492 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(175537), // Rule ID 1514 //
     /* 175497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uhsub),
     /* 175505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 175508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 175511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 175514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175526 */     // (intrinsic_wo_chain:{ *:[v4i32] } 730:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UHSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 175526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBv4i32),
     /* 175529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175531 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175533 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175535 */     GIR_RootConstrainSelectedInstOperands,
     /* 175536 */     // GIR_Coverage, 1514,
     /* 175536 */     GIR_EraseRootFromParent_Done,
     /* 175537 */   // Label 3387: @175537
     /* 175537 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(175582), // Rule ID 1515 //
     /* 175542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 175550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 175553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 175556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 175559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175571 */     // (intrinsic_wo_chain:{ *:[v8i8] } 732:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMAXPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 175571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv8i8),
     /* 175574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175576 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175578 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175580 */     GIR_RootConstrainSelectedInstOperands,
     /* 175581 */     // GIR_Coverage, 1515,
     /* 175581 */     GIR_EraseRootFromParent_Done,
     /* 175582 */   // Label 3388: @175582
     /* 175582 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(175627), // Rule ID 1516 //
     /* 175587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 175595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 175598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 175601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 175604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175616 */     // (intrinsic_wo_chain:{ *:[v16i8] } 732:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMAXPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 175616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv16i8),
     /* 175619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175621 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175623 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175625 */     GIR_RootConstrainSelectedInstOperands,
     /* 175626 */     // GIR_Coverage, 1516,
     /* 175626 */     GIR_EraseRootFromParent_Done,
     /* 175627 */   // Label 3389: @175627
     /* 175627 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(175672), // Rule ID 1517 //
     /* 175632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 175640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 175643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 175646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 175649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175661 */     // (intrinsic_wo_chain:{ *:[v4i16] } 732:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMAXPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 175661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv4i16),
     /* 175664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175668 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175670 */     GIR_RootConstrainSelectedInstOperands,
     /* 175671 */     // GIR_Coverage, 1517,
     /* 175671 */     GIR_EraseRootFromParent_Done,
     /* 175672 */   // Label 3390: @175672
     /* 175672 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(175717), // Rule ID 1518 //
     /* 175677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 175685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 175688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 175691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 175694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175706 */     // (intrinsic_wo_chain:{ *:[v8i16] } 732:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMAXPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 175706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv8i16),
     /* 175709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175711 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175713 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175715 */     GIR_RootConstrainSelectedInstOperands,
     /* 175716 */     // GIR_Coverage, 1518,
     /* 175716 */     GIR_EraseRootFromParent_Done,
     /* 175717 */   // Label 3391: @175717
     /* 175717 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(175762), // Rule ID 1519 //
     /* 175722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 175730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 175733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 175736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 175739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175751 */     // (intrinsic_wo_chain:{ *:[v2i32] } 732:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMAXPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 175751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv2i32),
     /* 175754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175756 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175758 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175760 */     GIR_RootConstrainSelectedInstOperands,
     /* 175761 */     // GIR_Coverage, 1519,
     /* 175761 */     GIR_EraseRootFromParent_Done,
     /* 175762 */   // Label 3392: @175762
     /* 175762 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(175807), // Rule ID 1520 //
     /* 175767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxp),
     /* 175775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 175778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 175781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 175784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175796 */     // (intrinsic_wo_chain:{ *:[v4i32] } 732:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMAXPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 175796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv4i32),
     /* 175799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175801 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175803 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175805 */     GIR_RootConstrainSelectedInstOperands,
     /* 175806 */     // GIR_Coverage, 1520,
     /* 175806 */     GIR_EraseRootFromParent_Done,
     /* 175807 */   // Label 3393: @175807
     /* 175807 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(175852), // Rule ID 1527 //
     /* 175812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 175820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 175823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 175826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 175829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175841 */     // (intrinsic_wo_chain:{ *:[v8i8] } 735:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMINPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 175841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv8i8),
     /* 175844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175846 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175848 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175850 */     GIR_RootConstrainSelectedInstOperands,
     /* 175851 */     // GIR_Coverage, 1527,
     /* 175851 */     GIR_EraseRootFromParent_Done,
     /* 175852 */   // Label 3394: @175852
     /* 175852 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(175897), // Rule ID 1528 //
     /* 175857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 175865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 175868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 175871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 175874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175886 */     // (intrinsic_wo_chain:{ *:[v16i8] } 735:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMINPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 175886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv16i8),
     /* 175889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175891 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175893 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175895 */     GIR_RootConstrainSelectedInstOperands,
     /* 175896 */     // GIR_Coverage, 1528,
     /* 175896 */     GIR_EraseRootFromParent_Done,
     /* 175897 */   // Label 3395: @175897
     /* 175897 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(175942), // Rule ID 1529 //
     /* 175902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 175910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 175913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 175916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 175919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 175931 */     // (intrinsic_wo_chain:{ *:[v4i16] } 735:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMINPv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 175931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv4i16),
     /* 175934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175940 */     GIR_RootConstrainSelectedInstOperands,
     /* 175941 */     // GIR_Coverage, 1529,
     /* 175941 */     GIR_EraseRootFromParent_Done,
     /* 175942 */   // Label 3396: @175942
     /* 175942 */   GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(175987), // Rule ID 1530 //
     /* 175947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 175955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 175958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 175961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 175964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 175976 */     // (intrinsic_wo_chain:{ *:[v8i16] } 735:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMINPv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 175976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv8i16),
     /* 175979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 175981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 175983 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 175985 */     GIR_RootConstrainSelectedInstOperands,
     /* 175986 */     // GIR_Coverage, 1530,
     /* 175986 */     GIR_EraseRootFromParent_Done,
     /* 175987 */   // Label 3397: @175987
     /* 175987 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(176032), // Rule ID 1531 //
     /* 175992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 175995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 176000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 176003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 176006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 176009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176021 */     // (intrinsic_wo_chain:{ *:[v2i32] } 735:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMINPv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 176021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv2i32),
     /* 176024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176028 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176030 */     GIR_RootConstrainSelectedInstOperands,
     /* 176031 */     // GIR_Coverage, 1531,
     /* 176031 */     GIR_EraseRootFromParent_Done,
     /* 176032 */   // Label 3398: @176032
     /* 176032 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(176077), // Rule ID 1532 //
     /* 176037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminp),
     /* 176045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 176048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 176051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 176054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176066 */     // (intrinsic_wo_chain:{ *:[v4i32] } 735:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMINPv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 176066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINPv4i32),
     /* 176069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176071 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176073 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176075 */     GIR_RootConstrainSelectedInstOperands,
     /* 176076 */     // GIR_Coverage, 1532,
     /* 176076 */     GIR_EraseRootFromParent_Done,
     /* 176077 */   // Label 3399: @176077
     /* 176077 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(176122), // Rule ID 1539 //
     /* 176082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 176090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 176093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 176096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 176099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176111 */     // (intrinsic_wo_chain:{ *:[v8i8] } 739:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 176111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i8),
     /* 176114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176116 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176118 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176120 */     GIR_RootConstrainSelectedInstOperands,
     /* 176121 */     // GIR_Coverage, 1539,
     /* 176121 */     GIR_EraseRootFromParent_Done,
     /* 176122 */   // Label 3400: @176122
     /* 176122 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(176167), // Rule ID 1540 //
     /* 176127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 176135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 176138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 176141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 176144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176156 */     // (intrinsic_wo_chain:{ *:[v16i8] } 739:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 176156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv16i8),
     /* 176159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176163 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176165 */     GIR_RootConstrainSelectedInstOperands,
     /* 176166 */     // GIR_Coverage, 1540,
     /* 176166 */     GIR_EraseRootFromParent_Done,
     /* 176167 */   // Label 3401: @176167
     /* 176167 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(176212), // Rule ID 1541 //
     /* 176172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 176180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 176183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 176186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 176189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176201 */     // (intrinsic_wo_chain:{ *:[v4i16] } 739:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 176201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i16),
     /* 176204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176206 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176208 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176210 */     GIR_RootConstrainSelectedInstOperands,
     /* 176211 */     // GIR_Coverage, 1541,
     /* 176211 */     GIR_EraseRootFromParent_Done,
     /* 176212 */   // Label 3402: @176212
     /* 176212 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(176257), // Rule ID 1542 //
     /* 176217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 176225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 176228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 176231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 176234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176246 */     // (intrinsic_wo_chain:{ *:[v8i16] } 739:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 176246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i16),
     /* 176249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176251 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176253 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176255 */     GIR_RootConstrainSelectedInstOperands,
     /* 176256 */     // GIR_Coverage, 1542,
     /* 176256 */     GIR_EraseRootFromParent_Done,
     /* 176257 */   // Label 3403: @176257
     /* 176257 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(176302), // Rule ID 1543 //
     /* 176262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 176270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 176273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 176276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 176279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176291 */     // (intrinsic_wo_chain:{ *:[v2i32] } 739:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 176291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i32),
     /* 176294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176298 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176300 */     GIR_RootConstrainSelectedInstOperands,
     /* 176301 */     // GIR_Coverage, 1543,
     /* 176301 */     GIR_EraseRootFromParent_Done,
     /* 176302 */   // Label 3404: @176302
     /* 176302 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(176347), // Rule ID 1544 //
     /* 176307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 176315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 176318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 176321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 176324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176336 */     // (intrinsic_wo_chain:{ *:[v4i32] } 739:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 176336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i32),
     /* 176339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176341 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176343 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176345 */     GIR_RootConstrainSelectedInstOperands,
     /* 176346 */     // GIR_Coverage, 1544,
     /* 176346 */     GIR_EraseRootFromParent_Done,
     /* 176347 */   // Label 3405: @176347
     /* 176347 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(176392), // Rule ID 1545 //
     /* 176352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 176360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 176363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 176366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 176369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176381 */     // (intrinsic_wo_chain:{ *:[v2i64] } 739:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 176381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i64),
     /* 176384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176386 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176388 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176390 */     GIR_RootConstrainSelectedInstOperands,
     /* 176391 */     // GIR_Coverage, 1545,
     /* 176391 */     GIR_EraseRootFromParent_Done,
     /* 176392 */   // Label 3406: @176392
     /* 176392 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(176437), // Rule ID 1546 //
     /* 176397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 176405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 176408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 176411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 176414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176426 */     // (intrinsic_wo_chain:{ *:[v8i8] } 740:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQRSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 176426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv8i8),
     /* 176429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176431 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176433 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176435 */     GIR_RootConstrainSelectedInstOperands,
     /* 176436 */     // GIR_Coverage, 1546,
     /* 176436 */     GIR_EraseRootFromParent_Done,
     /* 176437 */   // Label 3407: @176437
     /* 176437 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(176482), // Rule ID 1547 //
     /* 176442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 176450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 176453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 176456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 176459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176471 */     // (intrinsic_wo_chain:{ *:[v16i8] } 740:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQRSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 176471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv16i8),
     /* 176474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176476 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176478 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176480 */     GIR_RootConstrainSelectedInstOperands,
     /* 176481 */     // GIR_Coverage, 1547,
     /* 176481 */     GIR_EraseRootFromParent_Done,
     /* 176482 */   // Label 3408: @176482
     /* 176482 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(176527), // Rule ID 1548 //
     /* 176487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 176495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 176498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 176501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 176504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176516 */     // (intrinsic_wo_chain:{ *:[v4i16] } 740:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQRSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 176516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv4i16),
     /* 176519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176521 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176523 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176525 */     GIR_RootConstrainSelectedInstOperands,
     /* 176526 */     // GIR_Coverage, 1548,
     /* 176526 */     GIR_EraseRootFromParent_Done,
     /* 176527 */   // Label 3409: @176527
     /* 176527 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(176572), // Rule ID 1549 //
     /* 176532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 176540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 176543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 176546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 176549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176561 */     // (intrinsic_wo_chain:{ *:[v8i16] } 740:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQRSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 176561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv8i16),
     /* 176564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176568 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176570 */     GIR_RootConstrainSelectedInstOperands,
     /* 176571 */     // GIR_Coverage, 1549,
     /* 176571 */     GIR_EraseRootFromParent_Done,
     /* 176572 */   // Label 3410: @176572
     /* 176572 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(176617), // Rule ID 1550 //
     /* 176577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 176585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 176588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 176591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 176594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176606 */     // (intrinsic_wo_chain:{ *:[v2i32] } 740:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQRSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 176606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv2i32),
     /* 176609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176613 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176615 */     GIR_RootConstrainSelectedInstOperands,
     /* 176616 */     // GIR_Coverage, 1550,
     /* 176616 */     GIR_EraseRootFromParent_Done,
     /* 176617 */   // Label 3411: @176617
     /* 176617 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(176662), // Rule ID 1551 //
     /* 176622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 176630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 176633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 176636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 176639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176651 */     // (intrinsic_wo_chain:{ *:[v4i32] } 740:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQRSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 176651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv4i32),
     /* 176654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176658 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176660 */     GIR_RootConstrainSelectedInstOperands,
     /* 176661 */     // GIR_Coverage, 1551,
     /* 176661 */     GIR_EraseRootFromParent_Done,
     /* 176662 */   // Label 3412: @176662
     /* 176662 */   GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(176707), // Rule ID 1552 //
     /* 176667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 176675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 176678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 176681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 176684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176696 */     // (intrinsic_wo_chain:{ *:[v2i64] } 740:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQRSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 176696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv2i64),
     /* 176699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176703 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176705 */     GIR_RootConstrainSelectedInstOperands,
     /* 176706 */     // GIR_Coverage, 1552,
     /* 176706 */     GIR_EraseRootFromParent_Done,
     /* 176707 */   // Label 3413: @176707
     /* 176707 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(176752), // Rule ID 1553 //
     /* 176712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 176723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 176726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 176729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176741 */     // (intrinsic_wo_chain:{ *:[v8i8] } 742:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 176741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv8i8),
     /* 176744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176746 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176748 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176750 */     GIR_RootConstrainSelectedInstOperands,
     /* 176751 */     // GIR_Coverage, 1553,
     /* 176751 */     GIR_EraseRootFromParent_Done,
     /* 176752 */   // Label 3414: @176752
     /* 176752 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(176797), // Rule ID 1554 //
     /* 176757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 176768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 176771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 176774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176786 */     // (intrinsic_wo_chain:{ *:[v16i8] } 742:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 176786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv16i8),
     /* 176789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176791 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176793 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176795 */     GIR_RootConstrainSelectedInstOperands,
     /* 176796 */     // GIR_Coverage, 1554,
     /* 176796 */     GIR_EraseRootFromParent_Done,
     /* 176797 */   // Label 3415: @176797
     /* 176797 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(176842), // Rule ID 1555 //
     /* 176802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 176813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 176816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 176819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176831 */     // (intrinsic_wo_chain:{ *:[v4i16] } 742:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 176831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv4i16),
     /* 176834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176840 */     GIR_RootConstrainSelectedInstOperands,
     /* 176841 */     // GIR_Coverage, 1555,
     /* 176841 */     GIR_EraseRootFromParent_Done,
     /* 176842 */   // Label 3416: @176842
     /* 176842 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(176887), // Rule ID 1556 //
     /* 176847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 176858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 176861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 176864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176876 */     // (intrinsic_wo_chain:{ *:[v8i16] } 742:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 176876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv8i16),
     /* 176879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176881 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176883 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176885 */     GIR_RootConstrainSelectedInstOperands,
     /* 176886 */     // GIR_Coverage, 1556,
     /* 176886 */     GIR_EraseRootFromParent_Done,
     /* 176887 */   // Label 3417: @176887
     /* 176887 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(176932), // Rule ID 1557 //
     /* 176892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 176903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 176906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 176909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 176921 */     // (intrinsic_wo_chain:{ *:[v2i32] } 742:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 176921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv2i32),
     /* 176924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176928 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176930 */     GIR_RootConstrainSelectedInstOperands,
     /* 176931 */     // GIR_Coverage, 1557,
     /* 176931 */     GIR_EraseRootFromParent_Done,
     /* 176932 */   // Label 3418: @176932
     /* 176932 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(176977), // Rule ID 1558 //
     /* 176937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 176948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 176951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 176954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 176966 */     // (intrinsic_wo_chain:{ *:[v4i32] } 742:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 176966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv4i32),
     /* 176969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 176971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 176973 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 176975 */     GIR_RootConstrainSelectedInstOperands,
     /* 176976 */     // GIR_Coverage, 1558,
     /* 176976 */     GIR_EraseRootFromParent_Done,
     /* 176977 */   // Label 3419: @176977
     /* 176977 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(177022), // Rule ID 1559 //
     /* 176982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 176985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 176990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 176993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 176996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 176999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177011 */     // (intrinsic_wo_chain:{ *:[v2i64] } 742:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 177011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv2i64),
     /* 177014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177018 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177020 */     GIR_RootConstrainSelectedInstOperands,
     /* 177021 */     // GIR_Coverage, 1559,
     /* 177021 */     GIR_EraseRootFromParent_Done,
     /* 177022 */   // Label 3420: @177022
     /* 177022 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(177067), // Rule ID 1560 //
     /* 177027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 177035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 177038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 177041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 177044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177056 */     // (intrinsic_wo_chain:{ *:[v8i8] } 744:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 177056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i8),
     /* 177059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177061 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177063 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177065 */     GIR_RootConstrainSelectedInstOperands,
     /* 177066 */     // GIR_Coverage, 1560,
     /* 177066 */     GIR_EraseRootFromParent_Done,
     /* 177067 */   // Label 3421: @177067
     /* 177067 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(177112), // Rule ID 1561 //
     /* 177072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 177080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 177083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 177086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 177089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177101 */     // (intrinsic_wo_chain:{ *:[v16i8] } 744:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 177101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv16i8),
     /* 177104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177108 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177110 */     GIR_RootConstrainSelectedInstOperands,
     /* 177111 */     // GIR_Coverage, 1561,
     /* 177111 */     GIR_EraseRootFromParent_Done,
     /* 177112 */   // Label 3422: @177112
     /* 177112 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(177157), // Rule ID 1562 //
     /* 177117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 177125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 177128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 177131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 177134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177146 */     // (intrinsic_wo_chain:{ *:[v4i16] } 744:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 177146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i16),
     /* 177149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177151 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177153 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177155 */     GIR_RootConstrainSelectedInstOperands,
     /* 177156 */     // GIR_Coverage, 1562,
     /* 177156 */     GIR_EraseRootFromParent_Done,
     /* 177157 */   // Label 3423: @177157
     /* 177157 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(177202), // Rule ID 1563 //
     /* 177162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 177170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 177173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 177176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 177179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177191 */     // (intrinsic_wo_chain:{ *:[v8i16] } 744:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 177191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i16),
     /* 177194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177200 */     GIR_RootConstrainSelectedInstOperands,
     /* 177201 */     // GIR_Coverage, 1563,
     /* 177201 */     GIR_EraseRootFromParent_Done,
     /* 177202 */   // Label 3424: @177202
     /* 177202 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(177247), // Rule ID 1564 //
     /* 177207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 177215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 177218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 177221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 177224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177236 */     // (intrinsic_wo_chain:{ *:[v2i32] } 744:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 177236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i32),
     /* 177239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177243 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177245 */     GIR_RootConstrainSelectedInstOperands,
     /* 177246 */     // GIR_Coverage, 1564,
     /* 177246 */     GIR_EraseRootFromParent_Done,
     /* 177247 */   // Label 3425: @177247
     /* 177247 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(177292), // Rule ID 1565 //
     /* 177252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 177260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 177263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 177266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 177269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177281 */     // (intrinsic_wo_chain:{ *:[v4i32] } 744:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 177281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i32),
     /* 177284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177290 */     GIR_RootConstrainSelectedInstOperands,
     /* 177291 */     // GIR_Coverage, 1565,
     /* 177291 */     GIR_EraseRootFromParent_Done,
     /* 177292 */   // Label 3426: @177292
     /* 177292 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(177337), // Rule ID 1566 //
     /* 177297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 177305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 177308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 177311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 177314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177326 */     // (intrinsic_wo_chain:{ *:[v2i64] } 744:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 177326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i64),
     /* 177329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177331 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177333 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177335 */     GIR_RootConstrainSelectedInstOperands,
     /* 177336 */     // GIR_Coverage, 1566,
     /* 177336 */     GIR_EraseRootFromParent_Done,
     /* 177337 */   // Label 3427: @177337
     /* 177337 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(177382), // Rule ID 1573 //
     /* 177342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 177350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 177353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 177356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 177359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177371 */     // (intrinsic_wo_chain:{ *:[v8i8] } 748:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (URSHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 177371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv8i8),
     /* 177374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177376 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177378 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177380 */     GIR_RootConstrainSelectedInstOperands,
     /* 177381 */     // GIR_Coverage, 1573,
     /* 177381 */     GIR_EraseRootFromParent_Done,
     /* 177382 */   // Label 3428: @177382
     /* 177382 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(177427), // Rule ID 1574 //
     /* 177387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 177395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 177398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 177401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 177404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177416 */     // (intrinsic_wo_chain:{ *:[v16i8] } 748:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (URSHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 177416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv16i8),
     /* 177419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177421 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177423 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177425 */     GIR_RootConstrainSelectedInstOperands,
     /* 177426 */     // GIR_Coverage, 1574,
     /* 177426 */     GIR_EraseRootFromParent_Done,
     /* 177427 */   // Label 3429: @177427
     /* 177427 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(177472), // Rule ID 1575 //
     /* 177432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 177440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 177443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 177446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 177449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177461 */     // (intrinsic_wo_chain:{ *:[v4i16] } 748:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (URSHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 177461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv4i16),
     /* 177464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177468 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177470 */     GIR_RootConstrainSelectedInstOperands,
     /* 177471 */     // GIR_Coverage, 1575,
     /* 177471 */     GIR_EraseRootFromParent_Done,
     /* 177472 */   // Label 3430: @177472
     /* 177472 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(177517), // Rule ID 1576 //
     /* 177477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 177485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 177488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 177491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 177494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177506 */     // (intrinsic_wo_chain:{ *:[v8i16] } 748:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (URSHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 177506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv8i16),
     /* 177509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177511 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177513 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177515 */     GIR_RootConstrainSelectedInstOperands,
     /* 177516 */     // GIR_Coverage, 1576,
     /* 177516 */     GIR_EraseRootFromParent_Done,
     /* 177517 */   // Label 3431: @177517
     /* 177517 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(177562), // Rule ID 1577 //
     /* 177522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 177530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 177533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 177536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 177539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177551 */     // (intrinsic_wo_chain:{ *:[v2i32] } 748:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (URSHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 177551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv2i32),
     /* 177554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177558 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177560 */     GIR_RootConstrainSelectedInstOperands,
     /* 177561 */     // GIR_Coverage, 1577,
     /* 177561 */     GIR_EraseRootFromParent_Done,
     /* 177562 */   // Label 3432: @177562
     /* 177562 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(177607), // Rule ID 1578 //
     /* 177567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 177575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 177578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 177581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 177584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177596 */     // (intrinsic_wo_chain:{ *:[v4i32] } 748:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (URSHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 177596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv4i32),
     /* 177599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177601 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177603 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177605 */     GIR_RootConstrainSelectedInstOperands,
     /* 177606 */     // GIR_Coverage, 1578,
     /* 177606 */     GIR_EraseRootFromParent_Done,
     /* 177607 */   // Label 3433: @177607
     /* 177607 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(177652), // Rule ID 1579 //
     /* 177612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 177620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 177623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 177626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 177629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177641 */     // (intrinsic_wo_chain:{ *:[v2i64] } 748:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (URSHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 177641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv2i64),
     /* 177644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177646 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177648 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177650 */     GIR_RootConstrainSelectedInstOperands,
     /* 177651 */     // GIR_Coverage, 1579,
     /* 177651 */     GIR_EraseRootFromParent_Done,
     /* 177652 */   // Label 3434: @177652
     /* 177652 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(177697), // Rule ID 1580 //
     /* 177657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 177668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 177671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 177674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177686 */     // (intrinsic_wo_chain:{ *:[v8i8] } 751:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (USHLv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 177686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv8i8),
     /* 177689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177691 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177693 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177695 */     GIR_RootConstrainSelectedInstOperands,
     /* 177696 */     // GIR_Coverage, 1580,
     /* 177696 */     GIR_EraseRootFromParent_Done,
     /* 177697 */   // Label 3435: @177697
     /* 177697 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(177742), // Rule ID 1581 //
     /* 177702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 177713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 177716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 177719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177731 */     // (intrinsic_wo_chain:{ *:[v16i8] } 751:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (USHLv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 177731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv16i8),
     /* 177734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177738 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177740 */     GIR_RootConstrainSelectedInstOperands,
     /* 177741 */     // GIR_Coverage, 1581,
     /* 177741 */     GIR_EraseRootFromParent_Done,
     /* 177742 */   // Label 3436: @177742
     /* 177742 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(177787), // Rule ID 1582 //
     /* 177747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 177758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 177761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 177764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177776 */     // (intrinsic_wo_chain:{ *:[v4i16] } 751:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (USHLv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 177776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv4i16),
     /* 177779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177781 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177783 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177785 */     GIR_RootConstrainSelectedInstOperands,
     /* 177786 */     // GIR_Coverage, 1582,
     /* 177786 */     GIR_EraseRootFromParent_Done,
     /* 177787 */   // Label 3437: @177787
     /* 177787 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(177832), // Rule ID 1583 //
     /* 177792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 177803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 177806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 177809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177821 */     // (intrinsic_wo_chain:{ *:[v8i16] } 751:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (USHLv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 177821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv8i16),
     /* 177824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177830 */     GIR_RootConstrainSelectedInstOperands,
     /* 177831 */     // GIR_Coverage, 1583,
     /* 177831 */     GIR_EraseRootFromParent_Done,
     /* 177832 */   // Label 3438: @177832
     /* 177832 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(177877), // Rule ID 1584 //
     /* 177837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 177848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 177851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 177854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177866 */     // (intrinsic_wo_chain:{ *:[v2i32] } 751:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (USHLv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 177866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv2i32),
     /* 177869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177873 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177875 */     GIR_RootConstrainSelectedInstOperands,
     /* 177876 */     // GIR_Coverage, 1584,
     /* 177876 */     GIR_EraseRootFromParent_Done,
     /* 177877 */   // Label 3439: @177877
     /* 177877 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(177922), // Rule ID 1585 //
     /* 177882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 177893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 177896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 177899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177911 */     // (intrinsic_wo_chain:{ *:[v4i32] } 751:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (USHLv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 177911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv4i32),
     /* 177914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177920 */     GIR_RootConstrainSelectedInstOperands,
     /* 177921 */     // GIR_Coverage, 1585,
     /* 177921 */     GIR_EraseRootFromParent_Done,
     /* 177922 */   // Label 3440: @177922
     /* 177922 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(177967), // Rule ID 1586 //
     /* 177927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 177935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 177938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 177941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 177944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 177956 */     // (intrinsic_wo_chain:{ *:[v2i64] } 751:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (USHLv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 177956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv2i64),
     /* 177959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 177961 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 177963 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 177965 */     GIR_RootConstrainSelectedInstOperands,
     /* 177966 */     // GIR_Coverage, 1586,
     /* 177966 */     GIR_EraseRootFromParent_Done,
     /* 177967 */   // Label 3441: @177967
     /* 177967 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(178012), // Rule ID 1614 //
     /* 177972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 177975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 177980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 177983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 177986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 177989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 177997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178001 */     // (intrinsic_wo_chain:{ *:[f64] } 785:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FABD64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 178001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 178004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178006 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178008 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178010 */     GIR_RootConstrainSelectedInstOperands,
     /* 178011 */     // GIR_Coverage, 1614,
     /* 178011 */     GIR_EraseRootFromParent_Done,
     /* 178012 */   // Label 3442: @178012
     /* 178012 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(178057), // Rule ID 1615 //
     /* 178017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 178025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178046 */     // (intrinsic_wo_chain:{ *:[f32] } 785:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FABD32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 178046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD32),
     /* 178049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178051 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178053 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178055 */     GIR_RootConstrainSelectedInstOperands,
     /* 178056 */     // GIR_Coverage, 1615,
     /* 178056 */     GIR_EraseRootFromParent_Done,
     /* 178057 */   // Label 3443: @178057
     /* 178057 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(178102), // Rule ID 1616 //
     /* 178062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 178065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 178070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 178073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 178076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 178079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178091 */     // (intrinsic_wo_chain:{ *:[f16] } 785:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FABD16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 178091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD16),
     /* 178094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178098 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178100 */     GIR_RootConstrainSelectedInstOperands,
     /* 178101 */     // GIR_Coverage, 1616,
     /* 178101 */     GIR_EraseRootFromParent_Done,
     /* 178102 */   // Label 3444: @178102
     /* 178102 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(178147), // Rule ID 1617 //
     /* 178107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 178115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178136 */     // (intrinsic_wo_chain:{ *:[i64] } 577:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FACGE64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 178136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE64),
     /* 178139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178141 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178143 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178145 */     GIR_RootConstrainSelectedInstOperands,
     /* 178146 */     // GIR_Coverage, 1617,
     /* 178146 */     GIR_EraseRootFromParent_Done,
     /* 178147 */   // Label 3445: @178147
     /* 178147 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(178192), // Rule ID 1618 //
     /* 178152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 178160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178181 */     // (intrinsic_wo_chain:{ *:[i32] } 577:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FACGE32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 178181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE32),
     /* 178184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178188 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178190 */     GIR_RootConstrainSelectedInstOperands,
     /* 178191 */     // GIR_Coverage, 1618,
     /* 178191 */     GIR_EraseRootFromParent_Done,
     /* 178192 */   // Label 3446: @178192
     /* 178192 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(178237), // Rule ID 1619 //
     /* 178197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 178205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178226 */     // (intrinsic_wo_chain:{ *:[i64] } 578:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FACGT64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 178226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT64),
     /* 178229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178231 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178233 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178235 */     GIR_RootConstrainSelectedInstOperands,
     /* 178236 */     // GIR_Coverage, 1619,
     /* 178236 */     GIR_EraseRootFromParent_Done,
     /* 178237 */   // Label 3447: @178237
     /* 178237 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(178282), // Rule ID 1620 //
     /* 178242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 178250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178271 */     // (intrinsic_wo_chain:{ *:[i32] } 578:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FACGT32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 178271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT32),
     /* 178274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178278 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178280 */     GIR_RootConstrainSelectedInstOperands,
     /* 178281 */     // GIR_Coverage, 1620,
     /* 178281 */     GIR_EraseRootFromParent_Done,
     /* 178282 */   // Label 3448: @178282
     /* 178282 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(178327), // Rule ID 1627 //
     /* 178287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 178290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 178295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178316 */     // (intrinsic_wo_chain:{ *:[f64] } 610:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMULX64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 178316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 178319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178321 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178323 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178325 */     GIR_RootConstrainSelectedInstOperands,
     /* 178326 */     // GIR_Coverage, 1627,
     /* 178326 */     GIR_EraseRootFromParent_Done,
     /* 178327 */   // Label 3449: @178327
     /* 178327 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(178372), // Rule ID 1628 //
     /* 178332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 178335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 178340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178361 */     // (intrinsic_wo_chain:{ *:[f32] } 610:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMULX32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 178361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX32),
     /* 178364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178368 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178370 */     GIR_RootConstrainSelectedInstOperands,
     /* 178371 */     // GIR_Coverage, 1628,
     /* 178371 */     GIR_EraseRootFromParent_Done,
     /* 178372 */   // Label 3450: @178372
     /* 178372 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(178417), // Rule ID 1629 //
     /* 178377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 178380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 178385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 178388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 178391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 178394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178406 */     // (intrinsic_wo_chain:{ *:[f16] } 610:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMULX16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 178406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX16),
     /* 178409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178411 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178413 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178415 */     GIR_RootConstrainSelectedInstOperands,
     /* 178416 */     // GIR_Coverage, 1629,
     /* 178416 */     GIR_EraseRootFromParent_Done,
     /* 178417 */   // Label 3451: @178417
     /* 178417 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(178462), // Rule ID 1630 //
     /* 178422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 178425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 178430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178451 */     // (intrinsic_wo_chain:{ *:[f64] } 633:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FRECPS64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 178451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS64),
     /* 178454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178460 */     GIR_RootConstrainSelectedInstOperands,
     /* 178461 */     // GIR_Coverage, 1630,
     /* 178461 */     GIR_EraseRootFromParent_Done,
     /* 178462 */   // Label 3452: @178462
     /* 178462 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(178507), // Rule ID 1631 //
     /* 178467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 178470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 178475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178496 */     // (intrinsic_wo_chain:{ *:[f32] } 633:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FRECPS32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 178496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS32),
     /* 178499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178501 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178503 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178505 */     GIR_RootConstrainSelectedInstOperands,
     /* 178506 */     // GIR_Coverage, 1631,
     /* 178506 */     GIR_EraseRootFromParent_Done,
     /* 178507 */   // Label 3453: @178507
     /* 178507 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(178552), // Rule ID 1632 //
     /* 178512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 178515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 178520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 178523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 178526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 178529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178541 */     // (intrinsic_wo_chain:{ *:[f16] } 633:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FRECPS16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 178541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS16),
     /* 178544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178548 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178550 */     GIR_RootConstrainSelectedInstOperands,
     /* 178551 */     // GIR_Coverage, 1632,
     /* 178551 */     GIR_EraseRootFromParent_Done,
     /* 178552 */   // Label 3454: @178552
     /* 178552 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(178597), // Rule ID 1633 //
     /* 178557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 178560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 178565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178586 */     // (intrinsic_wo_chain:{ *:[f64] } 640:{ *:[iPTR] }, FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FRSQRTS64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 178586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS64),
     /* 178589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178591 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178593 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178595 */     GIR_RootConstrainSelectedInstOperands,
     /* 178596 */     // GIR_Coverage, 1633,
     /* 178596 */     GIR_EraseRootFromParent_Done,
     /* 178597 */   // Label 3455: @178597
     /* 178597 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(178642), // Rule ID 1634 //
     /* 178602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 178605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 178610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178631 */     // (intrinsic_wo_chain:{ *:[f32] } 640:{ *:[iPTR] }, FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FRSQRTS32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 178631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS32),
     /* 178634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178640 */     GIR_RootConstrainSelectedInstOperands,
     /* 178641 */     // GIR_Coverage, 1634,
     /* 178641 */     GIR_EraseRootFromParent_Done,
     /* 178642 */   // Label 3456: @178642
     /* 178642 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(178687), // Rule ID 1635 //
     /* 178647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 178650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 178655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s16,
     /* 178658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 178661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 178664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 178676 */     // (intrinsic_wo_chain:{ *:[f16] } 640:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FRSQRTS16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 178676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS16),
     /* 178679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178681 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178683 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178685 */     GIR_RootConstrainSelectedInstOperands,
     /* 178686 */     // GIR_Coverage, 1635,
     /* 178686 */     GIR_EraseRootFromParent_Done,
     /* 178687 */   // Label 3457: @178687
     /* 178687 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(178732), // Rule ID 1636 //
     /* 178692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 178700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178721 */     // (intrinsic_wo_chain:{ *:[v1i64] } 679:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv1i64),
     /* 178724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178730 */     GIR_RootConstrainSelectedInstOperands,
     /* 178731 */     // GIR_Coverage, 1636,
     /* 178731 */     GIR_EraseRootFromParent_Done,
     /* 178732 */   // Label 3458: @178732
     /* 178732 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(178777), // Rule ID 1637 //
     /* 178737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulh),
     /* 178745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178766 */     // (intrinsic_wo_chain:{ *:[i32] } 680:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQDMULHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 178766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULHv1i32),
     /* 178769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178771 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178773 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178775 */     GIR_RootConstrainSelectedInstOperands,
     /* 178776 */     // GIR_Coverage, 1637,
     /* 178776 */     GIR_EraseRootFromParent_Done,
     /* 178777 */   // Label 3459: @178777
     /* 178777 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(178822), // Rule ID 1638 //
     /* 178782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmulh),
     /* 178790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 178793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 178796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 178799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 178811 */     // (intrinsic_wo_chain:{ *:[i32] } 688:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRDMULHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 178811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULHv1i32),
     /* 178814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178816 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178818 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178820 */     GIR_RootConstrainSelectedInstOperands,
     /* 178821 */     // GIR_Coverage, 1638,
     /* 178821 */     GIR_EraseRootFromParent_Done,
     /* 178822 */   // Label 3460: @178822
     /* 178822 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(178867), // Rule ID 1639 //
     /* 178827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 178835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178856 */     // (intrinsic_wo_chain:{ *:[v1i64] } 691:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQRSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv1i64),
     /* 178859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178863 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178865 */     GIR_RootConstrainSelectedInstOperands,
     /* 178866 */     // GIR_Coverage, 1639,
     /* 178866 */     GIR_EraseRootFromParent_Done,
     /* 178867 */   // Label 3461: @178867
     /* 178867 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(178912), // Rule ID 1640 //
     /* 178872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 178880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178901 */     // (intrinsic_wo_chain:{ *:[v1i64] } 694:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv1i64),
     /* 178904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178906 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178908 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178910 */     GIR_RootConstrainSelectedInstOperands,
     /* 178911 */     // GIR_Coverage, 1640,
     /* 178911 */     GIR_EraseRootFromParent_Done,
     /* 178912 */   // Label 3462: @178912
     /* 178912 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(178957), // Rule ID 1641 //
     /* 178917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 178925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178946 */     // (intrinsic_wo_chain:{ *:[v1i64] } 698:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SQSUBv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv1i64),
     /* 178949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178951 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178953 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 178955 */     GIR_RootConstrainSelectedInstOperands,
     /* 178956 */     // GIR_Coverage, 1641,
     /* 178956 */     GIR_EraseRootFromParent_Done,
     /* 178957 */   // Label 3463: @178957
     /* 178957 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(179002), // Rule ID 1642 //
     /* 178962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 178965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 178970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 178973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 178976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 178979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 178991 */     // (intrinsic_wo_chain:{ *:[v1i64] } 702:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SRSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 178991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv1i64),
     /* 178994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 178996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 178998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179000 */     GIR_RootConstrainSelectedInstOperands,
     /* 179001 */     // GIR_Coverage, 1642,
     /* 179001 */     GIR_EraseRootFromParent_Done,
     /* 179002 */   // Label 3464: @179002
     /* 179002 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(179047), // Rule ID 1643 //
     /* 179007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 179015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179036 */     // (intrinsic_wo_chain:{ *:[v1i64] } 703:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (SSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv1i64),
     /* 179039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179041 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179043 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179045 */     GIR_RootConstrainSelectedInstOperands,
     /* 179046 */     // GIR_Coverage, 1643,
     /* 179046 */     GIR_EraseRootFromParent_Done,
     /* 179047 */   // Label 3465: @179047
     /* 179047 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(179092), // Rule ID 1645 //
     /* 179052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 179060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179081 */     // (intrinsic_wo_chain:{ *:[v1i64] } 739:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv1i64),
     /* 179084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179090 */     GIR_RootConstrainSelectedInstOperands,
     /* 179091 */     // GIR_Coverage, 1645,
     /* 179091 */     GIR_EraseRootFromParent_Done,
     /* 179092 */   // Label 3466: @179092
     /* 179092 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(179137), // Rule ID 1646 //
     /* 179097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 179105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179126 */     // (intrinsic_wo_chain:{ *:[v1i64] } 740:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQRSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv1i64),
     /* 179129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179131 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179133 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179135 */     GIR_RootConstrainSelectedInstOperands,
     /* 179136 */     // GIR_Coverage, 1646,
     /* 179136 */     GIR_EraseRootFromParent_Done,
     /* 179137 */   // Label 3467: @179137
     /* 179137 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(179182), // Rule ID 1647 //
     /* 179142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 179150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179171 */     // (intrinsic_wo_chain:{ *:[v1i64] } 742:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv1i64),
     /* 179174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179178 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179180 */     GIR_RootConstrainSelectedInstOperands,
     /* 179181 */     // GIR_Coverage, 1647,
     /* 179181 */     GIR_EraseRootFromParent_Done,
     /* 179182 */   // Label 3468: @179182
     /* 179182 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(179227), // Rule ID 1648 //
     /* 179187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 179195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179216 */     // (intrinsic_wo_chain:{ *:[v1i64] } 744:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (UQSUBv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv1i64),
     /* 179219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179221 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179223 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179225 */     GIR_RootConstrainSelectedInstOperands,
     /* 179226 */     // GIR_Coverage, 1648,
     /* 179226 */     GIR_EraseRootFromParent_Done,
     /* 179227 */   // Label 3469: @179227
     /* 179227 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(179272), // Rule ID 1649 //
     /* 179232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 179240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179261 */     // (intrinsic_wo_chain:{ *:[v1i64] } 748:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (URSHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv1i64),
     /* 179264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179268 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179270 */     GIR_RootConstrainSelectedInstOperands,
     /* 179271 */     // GIR_Coverage, 1649,
     /* 179271 */     GIR_EraseRootFromParent_Done,
     /* 179272 */   // Label 3470: @179272
     /* 179272 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(179317), // Rule ID 1650 //
     /* 179277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 179285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179306 */     // (intrinsic_wo_chain:{ *:[v1i64] } 751:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)  =>  (USHLv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 179306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv1i64),
     /* 179309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179311 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179313 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179315 */     GIR_RootConstrainSelectedInstOperands,
     /* 179316 */     // GIR_Coverage, 1650,
     /* 179316 */     GIR_EraseRootFromParent_Done,
     /* 179317 */   // Label 3471: @179317
     /* 179317 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(179362), // Rule ID 1651 //
     /* 179322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmulls_scalar),
     /* 179330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 179336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 179339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179351 */     // (intrinsic_wo_chain:{ *:[i64] } 684:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQDMULLi32:{ *:[i64] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 179351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLi32),
     /* 179354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179358 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179360 */     GIR_RootConstrainSelectedInstOperands,
     /* 179361 */     // GIR_Coverage, 1651,
     /* 179361 */     GIR_EraseRootFromParent_Done,
     /* 179362 */   // Label 3472: @179362
     /* 179362 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(179407), // Rule ID 1665 //
     /* 179367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 179375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179396 */     // (intrinsic_wo_chain:{ *:[i64] } 715:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)  =>  (SUQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)
     /* 179396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv1i64),
     /* 179399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179401 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 179403 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 179405 */     GIR_RootConstrainSelectedInstOperands,
     /* 179406 */     // GIR_Coverage, 1665,
     /* 179406 */     GIR_EraseRootFromParent_Done,
     /* 179407 */   // Label 3473: @179407
     /* 179407 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(179452), // Rule ID 1666 //
     /* 179412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 179420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 179423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 179426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 179429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179441 */     // (intrinsic_wo_chain:{ *:[i32] } 715:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)  =>  (SUQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)
     /* 179441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv1i32),
     /* 179444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 179448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 179450 */     GIR_RootConstrainSelectedInstOperands,
     /* 179451 */     // GIR_Coverage, 1666,
     /* 179451 */     GIR_EraseRootFromParent_Done,
     /* 179452 */   // Label 3474: @179452
     /* 179452 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(179497), // Rule ID 1671 //
     /* 179457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 179465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 179468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 179471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 179474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179486 */     // (intrinsic_wo_chain:{ *:[i64] } 754:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)  =>  (USQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rd, FPR64:{ *:[i64] }:$Rn)
     /* 179486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv1i64),
     /* 179489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179491 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 179493 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 179495 */     GIR_RootConstrainSelectedInstOperands,
     /* 179496 */     // GIR_Coverage, 1671,
     /* 179496 */     GIR_EraseRootFromParent_Done,
     /* 179497 */   // Label 3475: @179497
     /* 179497 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(179542), // Rule ID 1672 //
     /* 179502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 179510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 179513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 179516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 179519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 179531 */     // (intrinsic_wo_chain:{ *:[i32] } 754:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)  =>  (USQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn)
     /* 179531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv1i32),
     /* 179534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 179536 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 179538 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 179540 */     GIR_RootConstrainSelectedInstOperands,
     /* 179541 */     // GIR_Coverage, 1672,
     /* 179541 */     GIR_EraseRootFromParent_Done,
     /* 179542 */   // Label 3476: @179542
     /* 179542 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(179587), // Rule ID 1673 //
     /* 179547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /* 179555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 179558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 179561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 179564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179576 */     // (intrinsic_wo_chain:{ *:[v8i8] } 569:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 179576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v8i8),
     /* 179579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179581 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179583 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179585 */     GIR_RootConstrainSelectedInstOperands,
     /* 179586 */     // GIR_Coverage, 1673,
     /* 179586 */     GIR_EraseRootFromParent_Done,
     /* 179587 */   // Label 3477: @179587
     /* 179587 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(179632), // Rule ID 1674 //
     /* 179592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /* 179600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 179603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 179606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 179609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179621 */     // (intrinsic_wo_chain:{ *:[v4i16] } 569:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 179621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v4i16),
     /* 179624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179626 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179628 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179630 */     GIR_RootConstrainSelectedInstOperands,
     /* 179631 */     // GIR_Coverage, 1674,
     /* 179631 */     GIR_EraseRootFromParent_Done,
     /* 179632 */   // Label 3478: @179632
     /* 179632 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(179677), // Rule ID 1675 //
     /* 179637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_addhn),
     /* 179645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 179648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 179651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 179654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179666 */     // (intrinsic_wo_chain:{ *:[v2i32] } 569:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 179666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v2i32),
     /* 179669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179671 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179673 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179675 */     GIR_RootConstrainSelectedInstOperands,
     /* 179676 */     // GIR_Coverage, 1675,
     /* 179676 */     GIR_EraseRootFromParent_Done,
     /* 179677 */   // Label 3479: @179677
     /* 179677 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(179722), // Rule ID 1676 //
     /* 179682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /* 179690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 179693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 179696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 179699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179711 */     // (intrinsic_wo_chain:{ *:[v8i8] } 714:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 179711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v8i8),
     /* 179714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179716 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179718 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179720 */     GIR_RootConstrainSelectedInstOperands,
     /* 179721 */     // GIR_Coverage, 1676,
     /* 179721 */     GIR_EraseRootFromParent_Done,
     /* 179722 */   // Label 3480: @179722
     /* 179722 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(179767), // Rule ID 1677 //
     /* 179727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /* 179735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 179738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 179741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 179744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179756 */     // (intrinsic_wo_chain:{ *:[v4i16] } 714:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 179756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v4i16),
     /* 179759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179761 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179763 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179765 */     GIR_RootConstrainSelectedInstOperands,
     /* 179766 */     // GIR_Coverage, 1677,
     /* 179766 */     GIR_EraseRootFromParent_Done,
     /* 179767 */   // Label 3481: @179767
     /* 179767 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(179812), // Rule ID 1678 //
     /* 179772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_subhn),
     /* 179780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 179783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 179786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 179789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179801 */     // (intrinsic_wo_chain:{ *:[v2i32] } 714:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (SUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 179801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v2i32),
     /* 179804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179810 */     GIR_RootConstrainSelectedInstOperands,
     /* 179811 */     // GIR_Coverage, 1678,
     /* 179811 */     GIR_EraseRootFromParent_Done,
     /* 179812 */   // Label 3482: @179812
     /* 179812 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(179857), // Rule ID 1679 //
     /* 179817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /* 179825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 179828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 179831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 179834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179846 */     // (intrinsic_wo_chain:{ *:[v8i8] } 656:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (RADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 179846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv8i16_v8i8),
     /* 179849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179851 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179853 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179855 */     GIR_RootConstrainSelectedInstOperands,
     /* 179856 */     // GIR_Coverage, 1679,
     /* 179856 */     GIR_EraseRootFromParent_Done,
     /* 179857 */   // Label 3483: @179857
     /* 179857 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(179902), // Rule ID 1680 //
     /* 179862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /* 179870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 179873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 179876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 179879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179891 */     // (intrinsic_wo_chain:{ *:[v4i16] } 656:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (RADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 179891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv4i32_v4i16),
     /* 179894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179898 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179900 */     GIR_RootConstrainSelectedInstOperands,
     /* 179901 */     // GIR_Coverage, 1680,
     /* 179901 */     GIR_EraseRootFromParent_Done,
     /* 179902 */   // Label 3484: @179902
     /* 179902 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(179947), // Rule ID 1681 //
     /* 179907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_raddhn),
     /* 179915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 179918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 179921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 179924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179936 */     // (intrinsic_wo_chain:{ *:[v2i32] } 656:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (RADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 179936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNv2i64_v2i32),
     /* 179939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179943 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179945 */     GIR_RootConstrainSelectedInstOperands,
     /* 179946 */     // GIR_Coverage, 1681,
     /* 179946 */     GIR_EraseRootFromParent_Done,
     /* 179947 */   // Label 3485: @179947
     /* 179947 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(179992), // Rule ID 1682 //
     /* 179952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 179955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /* 179960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 179963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 179966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 179969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 179973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 179981 */     // (intrinsic_wo_chain:{ *:[v8i8] } 658:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (RSUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 179981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv8i16_v8i8),
     /* 179984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 179986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 179988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 179990 */     GIR_RootConstrainSelectedInstOperands,
     /* 179991 */     // GIR_Coverage, 1682,
     /* 179991 */     GIR_EraseRootFromParent_Done,
     /* 179992 */   // Label 3486: @179992
     /* 179992 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(180037), // Rule ID 1683 //
     /* 179997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /* 180005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 180008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180026 */     // (intrinsic_wo_chain:{ *:[v4i16] } 658:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (RSUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 180026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv4i32_v4i16),
     /* 180029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180031 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180033 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180035 */     GIR_RootConstrainSelectedInstOperands,
     /* 180036 */     // GIR_Coverage, 1683,
     /* 180036 */     GIR_EraseRootFromParent_Done,
     /* 180037 */   // Label 3487: @180037
     /* 180037 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(180082), // Rule ID 1684 //
     /* 180042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_rsubhn),
     /* 180050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 180053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 180056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 180059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180071 */     // (intrinsic_wo_chain:{ *:[v2i32] } 658:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (RSUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 180071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNv2i64_v2i32),
     /* 180074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180078 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180080 */     GIR_RootConstrainSelectedInstOperands,
     /* 180081 */     // GIR_Coverage, 1684,
     /* 180081 */     GIR_EraseRootFromParent_Done,
     /* 180082 */   // Label 3488: @180082
     /* 180082 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(180127), // Rule ID 1750 //
     /* 180087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 180095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 180101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 180104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180116 */     // (intrinsic_wo_chain:{ *:[v4i32] } 683:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQDMULLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 180116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv4i16_v4i32),
     /* 180119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180123 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180125 */     GIR_RootConstrainSelectedInstOperands,
     /* 180126 */     // GIR_Coverage, 1750,
     /* 180126 */     GIR_EraseRootFromParent_Done,
     /* 180127 */   // Label 3489: @180127
     /* 180127 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(180172), // Rule ID 1752 //
     /* 180132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 180135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqdmull),
     /* 180140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 180143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 180146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 180149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180161 */     // (intrinsic_wo_chain:{ *:[v2i64] } 683:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQDMULLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 180161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLv2i32_v2i64),
     /* 180164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180166 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180168 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180170 */     GIR_RootConstrainSelectedInstOperands,
     /* 180171 */     // GIR_Coverage, 1752,
     /* 180171 */     GIR_EraseRootFromParent_Done,
     /* 180172 */   // Label 3490: @180172
     /* 180172 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(180217), // Rule ID 2303 //
     /* 180177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 180180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aese),
     /* 180185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 180188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 180191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 180194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180206 */     // (intrinsic_wo_chain:{ *:[v16i8] } 512:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (AESErr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 180206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESErr),
     /* 180209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180211 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 180213 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 180215 */     GIR_RootConstrainSelectedInstOperands,
     /* 180216 */     // GIR_Coverage, 2303,
     /* 180216 */     GIR_EraseRootFromParent_Done,
     /* 180217 */   // Label 3491: @180217
     /* 180217 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(180262), // Rule ID 2304 //
     /* 180222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAES),
     /* 180225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_aesd),
     /* 180230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 180233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 180236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 180239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180251 */     // (intrinsic_wo_chain:{ *:[v16i8] } 511:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)  =>  (AESDrr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn)
     /* 180251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESDrr),
     /* 180254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 180258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 180260 */     GIR_RootConstrainSelectedInstOperands,
     /* 180261 */     // GIR_Coverage, 2304,
     /* 180261 */     GIR_EraseRootFromParent_Done,
     /* 180262 */   // Label 3492: @180262
     /* 180262 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(180307), // Rule ID 2315 //
     /* 180267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 180270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1su1),
     /* 180275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180296 */     // (intrinsic_wo_chain:{ *:[v4i32] } 525:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (SHA1SU1rr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 180296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1SU1rr),
     /* 180299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180301 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 180303 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 180305 */     GIR_RootConstrainSelectedInstOperands,
     /* 180306 */     // GIR_Coverage, 2315,
     /* 180306 */     GIR_EraseRootFromParent_Done,
     /* 180307 */   // Label 3493: @180307
     /* 180307 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(180352), // Rule ID 2316 //
     /* 180312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 180315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256su0),
     /* 180320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180341 */     // (intrinsic_wo_chain:{ *:[v4i32] } 528:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)  =>  (SHA256SU0rr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn)
     /* 180341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256SU0rr),
     /* 180344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 180346 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 180348 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 180350 */     GIR_RootConstrainSelectedInstOperands,
     /* 180351 */     // GIR_Coverage, 2316,
     /* 180351 */     GIR_EraseRootFromParent_Done,
     /* 180352 */   // Label 3494: @180352
     /* 180352 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(180397), // Rule ID 2339 //
     /* 180357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 180360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 180365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 180368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 180371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 180374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180386 */     // (intrinsic_wo_chain:{ *:[v4f16] } 631:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (FSCALEv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 180386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv4f16),
     /* 180389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180391 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180393 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180395 */     GIR_RootConstrainSelectedInstOperands,
     /* 180396 */     // GIR_Coverage, 2339,
     /* 180396 */     GIR_EraseRootFromParent_Done,
     /* 180397 */   // Label 3495: @180397
     /* 180397 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(180442), // Rule ID 2340 //
     /* 180402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 180405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 180410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 180413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 180416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 180419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180431 */     // (intrinsic_wo_chain:{ *:[v8f16] } 631:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (FSCALEv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 180431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv8f16),
     /* 180434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180436 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180438 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180440 */     GIR_RootConstrainSelectedInstOperands,
     /* 180441 */     // GIR_Coverage, 2340,
     /* 180441 */     GIR_EraseRootFromParent_Done,
     /* 180442 */   // Label 3496: @180442
     /* 180442 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(180487), // Rule ID 2341 //
     /* 180447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 180450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 180455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 180458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 180461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 180464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180476 */     // (intrinsic_wo_chain:{ *:[v2f32] } 631:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (FSCALEv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 180476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv2f32),
     /* 180479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180481 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180483 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180485 */     GIR_RootConstrainSelectedInstOperands,
     /* 180486 */     // GIR_Coverage, 2341,
     /* 180486 */     GIR_EraseRootFromParent_Done,
     /* 180487 */   // Label 3497: @180487
     /* 180487 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(180532), // Rule ID 2342 //
     /* 180492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 180495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 180500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180521 */     // (intrinsic_wo_chain:{ *:[v4f32] } 631:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (FSCALEv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 180521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv4f32),
     /* 180524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180530 */     GIR_RootConstrainSelectedInstOperands,
     /* 180531 */     // GIR_Coverage, 2342,
     /* 180531 */     GIR_EraseRootFromParent_Done,
     /* 180532 */   // Label 3498: @180532
     /* 180532 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(180577), // Rule ID 2343 //
     /* 180537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 180540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fscale),
     /* 180545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 180548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 180551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 180554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180566 */     // (intrinsic_wo_chain:{ *:[v2f64] } 631:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (FSCALEv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 180566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALEv2f64),
     /* 180569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180571 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180573 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180575 */     GIR_RootConstrainSelectedInstOperands,
     /* 180576 */     // GIR_Coverage, 2343,
     /* 180576 */     GIR_EraseRootFromParent_Done,
     /* 180577 */   // Label 3499: @180577
     /* 180577 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(180622), // Rule ID 2344 //
     /* 180582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 180590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 180593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 180596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 180599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180611 */     // (intrinsic_wo_chain:{ *:[v4f16] } 581:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FAMAXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 180611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f16),
     /* 180614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180620 */     GIR_RootConstrainSelectedInstOperands,
     /* 180621 */     // GIR_Coverage, 2344,
     /* 180621 */     GIR_EraseRootFromParent_Done,
     /* 180622 */   // Label 3500: @180622
     /* 180622 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(180667), // Rule ID 2347 //
     /* 180627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 180635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 180638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 180641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 180644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180656 */     // (intrinsic_wo_chain:{ *:[v8f16] } 581:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FAMAXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 180656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv8f16),
     /* 180659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180661 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180663 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180665 */     GIR_RootConstrainSelectedInstOperands,
     /* 180666 */     // GIR_Coverage, 2347,
     /* 180666 */     GIR_EraseRootFromParent_Done,
     /* 180667 */   // Label 3501: @180667
     /* 180667 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(180712), // Rule ID 2350 //
     /* 180672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 180680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 180683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 180686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 180689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180701 */     // (intrinsic_wo_chain:{ *:[v2f32] } 581:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FAMAXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 180701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f32),
     /* 180704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180710 */     GIR_RootConstrainSelectedInstOperands,
     /* 180711 */     // GIR_Coverage, 2350,
     /* 180711 */     GIR_EraseRootFromParent_Done,
     /* 180712 */   // Label 3502: @180712
     /* 180712 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(180757), // Rule ID 2353 //
     /* 180717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 180725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180746 */     // (intrinsic_wo_chain:{ *:[v4f32] } 581:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FAMAXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 180746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f32),
     /* 180749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180751 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180753 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180755 */     GIR_RootConstrainSelectedInstOperands,
     /* 180756 */     // GIR_Coverage, 2353,
     /* 180756 */     GIR_EraseRootFromParent_Done,
     /* 180757 */   // Label 3503: @180757
     /* 180757 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(180802), // Rule ID 2356 //
     /* 180762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famax),
     /* 180770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 180773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 180776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 180779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180791 */     // (intrinsic_wo_chain:{ *:[v2f64] } 581:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FAMAXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 180791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f64),
     /* 180794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180798 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180800 */     GIR_RootConstrainSelectedInstOperands,
     /* 180801 */     // GIR_Coverage, 2356,
     /* 180801 */     GIR_EraseRootFromParent_Done,
     /* 180802 */   // Label 3504: @180802
     /* 180802 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(180847), // Rule ID 2359 //
     /* 180807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 180815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 180818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 180821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 180824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180836 */     // (intrinsic_wo_chain:{ *:[v4f16] } 582:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FAMINv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 180836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f16),
     /* 180839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180841 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180843 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180845 */     GIR_RootConstrainSelectedInstOperands,
     /* 180846 */     // GIR_Coverage, 2359,
     /* 180846 */     GIR_EraseRootFromParent_Done,
     /* 180847 */   // Label 3505: @180847
     /* 180847 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(180892), // Rule ID 2362 //
     /* 180852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 180860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 180863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 180866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 180869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180881 */     // (intrinsic_wo_chain:{ *:[v8f16] } 582:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FAMINv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 180881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv8f16),
     /* 180884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180888 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180890 */     GIR_RootConstrainSelectedInstOperands,
     /* 180891 */     // GIR_Coverage, 2362,
     /* 180891 */     GIR_EraseRootFromParent_Done,
     /* 180892 */   // Label 3506: @180892
     /* 180892 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(180937), // Rule ID 2365 //
     /* 180897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 180905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 180908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 180911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 180914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 180926 */     // (intrinsic_wo_chain:{ *:[v2f32] } 582:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FAMINv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 180926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f32),
     /* 180929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180931 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180933 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180935 */     GIR_RootConstrainSelectedInstOperands,
     /* 180936 */     // GIR_Coverage, 2365,
     /* 180936 */     GIR_EraseRootFromParent_Done,
     /* 180937 */   // Label 3507: @180937
     /* 180937 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(180982), // Rule ID 2368 //
     /* 180942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 180950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 180953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 180956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 180959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 180971 */     // (intrinsic_wo_chain:{ *:[v4f32] } 582:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FAMINv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 180971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f32),
     /* 180974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 180976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 180978 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 180980 */     GIR_RootConstrainSelectedInstOperands,
     /* 180981 */     // GIR_Coverage, 2368,
     /* 180981 */     GIR_EraseRootFromParent_Done,
     /* 180982 */   // Label 3508: @180982
     /* 180982 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(181027), // Rule ID 2371 //
     /* 180987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 180990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_famin),
     /* 180995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 180998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 181001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 181004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181016 */     // (intrinsic_wo_chain:{ *:[v2f64] } 582:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FAMINv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 181016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f64),
     /* 181019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181021 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181023 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181025 */     GIR_RootConstrainSelectedInstOperands,
     /* 181026 */     // GIR_Coverage, 2371,
     /* 181026 */     GIR_EraseRootFromParent_Done,
     /* 181027 */   // Label 3509: @181027
     /* 181027 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(181072), // Rule ID 2508 //
     /* 181032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 181040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181061 */     // (intrinsic_wo_chain:{ *:[i64] } 679:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 181061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv1i64),
     /* 181064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181066 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181068 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181070 */     GIR_RootConstrainSelectedInstOperands,
     /* 181071 */     // GIR_Coverage, 2508,
     /* 181071 */     GIR_EraseRootFromParent_Done,
     /* 181072 */   // Label 3510: @181072
     /* 181072 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(181117), // Rule ID 2509 //
     /* 181077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqadd),
     /* 181085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 181088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 181094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 181098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 181102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 181106 */     // (intrinsic_wo_chain:{ *:[i32] } 679:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 181106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADDv1i32),
     /* 181109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181111 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181113 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181115 */     GIR_RootConstrainSelectedInstOperands,
     /* 181116 */     // GIR_Coverage, 2509,
     /* 181116 */     GIR_EraseRootFromParent_Done,
     /* 181117 */   // Label 3511: @181117
     /* 181117 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(181162), // Rule ID 2510 //
     /* 181122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sisd_fabd),
     /* 181130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181151 */     // (intrinsic_wo_chain:{ *:[v1f64] } 785:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FABD64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 181151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 181154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181156 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181158 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181160 */     GIR_RootConstrainSelectedInstOperands,
     /* 181161 */     // GIR_Coverage, 2510,
     /* 181161 */     GIR_EraseRootFromParent_Done,
     /* 181162 */   // Label 3512: @181162
     /* 181162 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(181207), // Rule ID 2511 //
     /* 181167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 181175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181196 */     // (intrinsic_wo_chain:{ *:[v1i64] } 577:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FACGE64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 181196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE64),
     /* 181199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181201 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181203 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181205 */     GIR_RootConstrainSelectedInstOperands,
     /* 181206 */     // GIR_Coverage, 2511,
     /* 181206 */     GIR_EraseRootFromParent_Done,
     /* 181207 */   // Label 3513: @181207
     /* 181207 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(181252), // Rule ID 2516 //
     /* 181212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 181215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_suqadd),
     /* 181220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 181229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181241 */     // (intrinsic_wo_chain:{ *:[v1i64] } 715:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)  =>  (SUQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)
     /* 181241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADDv1i64),
     /* 181244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 181246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 181248 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 181250 */     GIR_RootConstrainSelectedInstOperands,
     /* 181251 */     // GIR_Coverage, 2516,
     /* 181251 */     GIR_EraseRootFromParent_Done,
     /* 181252 */   // Label 3514: @181252
     /* 181252 */   GIM_Try, /*On fail goto*//*Label 3515*/ GIMT_Encode4(181297), // Rule ID 2634 //
     /* 181257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 181265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 181268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 181274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181286 */     // (intrinsic_wo_chain:{ *:[i32] } 2025:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQINCP_WP_B:{ *:[i32] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 181286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_B),
     /* 181289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181291 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181293 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181295 */     GIR_RootConstrainSelectedInstOperands,
     /* 181296 */     // GIR_Coverage, 2634,
     /* 181296 */     GIR_EraseRootFromParent_Done,
     /* 181297 */   // Label 3515: @181297
     /* 181297 */   GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(181342), // Rule ID 2635 //
     /* 181302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 181310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 181313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 181319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181331 */     // (intrinsic_wo_chain:{ *:[i32] } 2025:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQINCP_WP_H:{ *:[i32] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 181331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_H),
     /* 181334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181336 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181340 */     GIR_RootConstrainSelectedInstOperands,
     /* 181341 */     // GIR_Coverage, 2635,
     /* 181341 */     GIR_EraseRootFromParent_Done,
     /* 181342 */   // Label 3516: @181342
     /* 181342 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(181387), // Rule ID 2636 //
     /* 181347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 181355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 181358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 181364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181376 */     // (intrinsic_wo_chain:{ *:[i32] } 2025:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQINCP_WP_S:{ *:[i32] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 181376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_S),
     /* 181379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181381 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181383 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181385 */     GIR_RootConstrainSelectedInstOperands,
     /* 181386 */     // GIR_Coverage, 2636,
     /* 181386 */     GIR_EraseRootFromParent_Done,
     /* 181387 */   // Label 3517: @181387
     /* 181387 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(181432), // Rule ID 2637 //
     /* 181392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n32),
     /* 181400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 181403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 181406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 181409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 181417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181421 */     // (intrinsic_wo_chain:{ *:[i32] } 2025:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQINCP_WP_D:{ *:[i32] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 181421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_WP_D),
     /* 181424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181426 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181430 */     GIR_RootConstrainSelectedInstOperands,
     /* 181431 */     // GIR_Coverage, 2637,
     /* 181431 */     GIR_EraseRootFromParent_Done,
     /* 181432 */   // Label 3518: @181432
     /* 181432 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(181477), // Rule ID 2638 //
     /* 181437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 181445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 181454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181466 */     // (intrinsic_wo_chain:{ *:[i64] } 1815:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (SQINCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 181466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_B),
     /* 181469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181471 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181475 */     GIR_RootConstrainSelectedInstOperands,
     /* 181476 */     // GIR_Coverage, 2638,
     /* 181476 */     GIR_EraseRootFromParent_Done,
     /* 181477 */   // Label 3519: @181477
     /* 181477 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(181522), // Rule ID 2639 //
     /* 181482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 181490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 181499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181511 */     // (intrinsic_wo_chain:{ *:[i64] } 1815:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (SQINCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 181511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_H),
     /* 181514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181516 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181520 */     GIR_RootConstrainSelectedInstOperands,
     /* 181521 */     // GIR_Coverage, 2639,
     /* 181521 */     GIR_EraseRootFromParent_Done,
     /* 181522 */   // Label 3520: @181522
     /* 181522 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(181567), // Rule ID 2640 //
     /* 181527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 181535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 181544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181556 */     // (intrinsic_wo_chain:{ *:[i64] } 1815:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (SQINCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 181556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_S),
     /* 181559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181561 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181563 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181565 */     GIR_RootConstrainSelectedInstOperands,
     /* 181566 */     // GIR_Coverage, 2640,
     /* 181566 */     GIR_EraseRootFromParent_Done,
     /* 181567 */   // Label 3521: @181567
     /* 181567 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(181612), // Rule ID 2641 //
     /* 181572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 181575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp_n64),
     /* 181580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 181583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 181586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 181589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 181597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 181601 */     // (intrinsic_wo_chain:{ *:[i64] } 1815:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (SQINCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 181601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_XP_D),
     /* 181604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 181606 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 181608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181610 */     GIR_RootConstrainSelectedInstOperands,
     /* 181611 */     // GIR_Coverage, 2641,
     /* 181611 */     GIR_EraseRootFromParent_Done,
     /* 181612 */   // Label 3522: @181612
     /* 181612 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(181657), // Rule ID 3815 //
     /* 181617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 181620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512su0),
     /* 181625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 181628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 181631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 181634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181646 */     // (intrinsic_wo_chain:{ *:[v2i64] } 532:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512SU0:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 181646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512SU0),
     /* 181649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 181651 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 181653 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 181655 */     GIR_RootConstrainSelectedInstOperands,
     /* 181656 */     // GIR_Coverage, 3815,
     /* 181656 */     GIR_EraseRootFromParent_Done,
     /* 181657 */   // Label 3523: @181657
     /* 181657 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(181702), // Rule ID 3843 //
     /* 181662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 181665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_rax1),
     /* 181670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 181673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 181676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 181679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181691 */     // (intrinsic_wo_chain:{ *:[v2i64] } 519:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (RAX1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 181691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RAX1),
     /* 181694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 181696 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 181698 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 181700 */     GIR_RootConstrainSelectedInstOperands,
     /* 181701 */     // GIR_Coverage, 3843,
     /* 181701 */     GIR_EraseRootFromParent_Done,
     /* 181702 */   // Label 3524: @181702
     /* 181702 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(181747), // Rule ID 3853 //
     /* 181707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 181710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm4ekey),
     /* 181715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 181718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 181721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 181724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181736 */     // (intrinsic_wo_chain:{ *:[v4i32] } 542:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM4ENCKEY:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 181736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4ENCKEY),
     /* 181739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 181741 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 181743 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 181745 */     GIR_RootConstrainSelectedInstOperands,
     /* 181746 */     // GIR_Coverage, 3853,
     /* 181746 */     GIR_EraseRootFromParent_Done,
     /* 181747 */   // Label 3525: @181747
     /* 181747 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(181792), // Rule ID 3854 //
     /* 181752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 181755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm4e),
     /* 181760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 181763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 181766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 181769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181781 */     // (intrinsic_wo_chain:{ *:[v4i32] } 541:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM4E:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 181781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4E),
     /* 181784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 181786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 181788 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 181790 */     GIR_RootConstrainSelectedInstOperands,
     /* 181791 */     // GIR_Coverage, 3854,
     /* 181791 */     GIR_EraseRootFromParent_Done,
     /* 181792 */   // Label 3526: @181792
     /* 181792 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(181840), // Rule ID 3855 //
     /* 181797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 181800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 181805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 181808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 181811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 181814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181826 */     // (intrinsic_wo_chain:{ *:[v4f16] } 756:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, 0:{ *:[i32] })
     /* 181826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f16),
     /* 181829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181831 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181833 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181838 */     GIR_RootConstrainSelectedInstOperands,
     /* 181839 */     // GIR_Coverage, 3855,
     /* 181839 */     GIR_EraseRootFromParent_Done,
     /* 181840 */   // Label 3527: @181840
     /* 181840 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(181888), // Rule ID 3856 //
     /* 181845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 181848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 181853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 181856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 181859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 181862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 181874 */     // (intrinsic_wo_chain:{ *:[v4f16] } 755:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, 1:{ *:[i32] })
     /* 181874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f16),
     /* 181877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181881 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 181886 */     GIR_RootConstrainSelectedInstOperands,
     /* 181887 */     // GIR_Coverage, 3856,
     /* 181887 */     GIR_EraseRootFromParent_Done,
     /* 181888 */   // Label 3528: @181888
     /* 181888 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(181936), // Rule ID 3857 //
     /* 181893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 181896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 181901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 181904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 181907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 181910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181922 */     // (intrinsic_wo_chain:{ *:[v8f16] } 756:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, 0:{ *:[i32] })
     /* 181922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv8f16),
     /* 181925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181927 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181929 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 181934 */     GIR_RootConstrainSelectedInstOperands,
     /* 181935 */     // GIR_Coverage, 3857,
     /* 181935 */     GIR_EraseRootFromParent_Done,
     /* 181936 */   // Label 3529: @181936
     /* 181936 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(181984), // Rule ID 3858 //
     /* 181941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 181944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 181949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 181952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 181955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 181958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 181970 */     // (intrinsic_wo_chain:{ *:[v8f16] } 755:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, 1:{ *:[i32] })
     /* 181970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv8f16),
     /* 181973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 181975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 181977 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 181979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 181982 */     GIR_RootConstrainSelectedInstOperands,
     /* 181983 */     // GIR_Coverage, 3858,
     /* 181983 */     GIR_EraseRootFromParent_Done,
     /* 181984 */   // Label 3530: @181984
     /* 181984 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(182032), // Rule ID 3859 //
     /* 181989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 181992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 181997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 182000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 182003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 182006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182018 */     // (intrinsic_wo_chain:{ *:[v2f32] } 756:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, 0:{ *:[i32] })
     /* 182018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f32),
     /* 182021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182023 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182025 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182030 */     GIR_RootConstrainSelectedInstOperands,
     /* 182031 */     // GIR_Coverage, 3859,
     /* 182031 */     GIR_EraseRootFromParent_Done,
     /* 182032 */   // Label 3531: @182032
     /* 182032 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(182080), // Rule ID 3860 //
     /* 182037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 182040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 182045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 182048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 182051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 182054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182066 */     // (intrinsic_wo_chain:{ *:[v2f32] } 755:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, 1:{ *:[i32] })
     /* 182066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f32),
     /* 182069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182071 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182073 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 182078 */     GIR_RootConstrainSelectedInstOperands,
     /* 182079 */     // GIR_Coverage, 3860,
     /* 182079 */     GIR_EraseRootFromParent_Done,
     /* 182080 */   // Label 3532: @182080
     /* 182080 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(182128), // Rule ID 3861 //
     /* 182085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 182088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 182093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 182096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 182099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 182102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182114 */     // (intrinsic_wo_chain:{ *:[v4f32] } 756:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, 0:{ *:[i32] })
     /* 182114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f32),
     /* 182117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182119 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182121 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182126 */     GIR_RootConstrainSelectedInstOperands,
     /* 182127 */     // GIR_Coverage, 3861,
     /* 182127 */     GIR_EraseRootFromParent_Done,
     /* 182128 */   // Label 3533: @182128
     /* 182128 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(182176), // Rule ID 3862 //
     /* 182133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 182136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 182141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 182144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 182147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 182150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182162 */     // (intrinsic_wo_chain:{ *:[v4f32] } 755:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, 1:{ *:[i32] })
     /* 182162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv4f32),
     /* 182165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182167 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182169 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 182174 */     GIR_RootConstrainSelectedInstOperands,
     /* 182175 */     // GIR_Coverage, 3862,
     /* 182175 */     GIR_EraseRootFromParent_Done,
     /* 182176 */   // Label 3534: @182176
     /* 182176 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(182224), // Rule ID 3863 //
     /* 182181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 182184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot90),
     /* 182189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 182192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 182195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 182198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182210 */     // (intrinsic_wo_chain:{ *:[v2f64] } 756:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, 0:{ *:[i32] })
     /* 182210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f64),
     /* 182213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182215 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182217 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 182222 */     GIR_RootConstrainSelectedInstOperands,
     /* 182223 */     // GIR_Coverage, 3863,
     /* 182223 */     GIR_EraseRootFromParent_Done,
     /* 182224 */   // Label 3535: @182224
     /* 182224 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(182272), // Rule ID 3864 //
     /* 182229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 182232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcadd_rot270),
     /* 182237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 182240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 182243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 182246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 182258 */     // (intrinsic_wo_chain:{ *:[v2f64] } 755:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, 1:{ *:[i32] })
     /* 182258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCADDv2f64),
     /* 182261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182263 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182265 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 182270 */     GIR_RootConstrainSelectedInstOperands,
     /* 182271 */     // GIR_Coverage, 3864,
     /* 182271 */     GIR_EraseRootFromParent_Done,
     /* 182272 */   // Label 3536: @182272
     /* 182272 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(182314), // Rule ID 3929 //
     /* 182277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_udiv),
     /* 182282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 182295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 182299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 182303 */     // (intrinsic_wo_chain:{ *:[i32] } 2169:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 182303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVWr),
     /* 182306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182310 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182312 */     GIR_RootConstrainSelectedInstOperands,
     /* 182313 */     // GIR_Coverage, 3929,
     /* 182313 */     GIR_EraseRootFromParent_Done,
     /* 182314 */   // Label 3537: @182314
     /* 182314 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(182356), // Rule ID 3930 //
     /* 182319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_udiv),
     /* 182324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 182337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 182341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 182345 */     // (intrinsic_wo_chain:{ *:[i64] } 2169:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 182345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVXr),
     /* 182348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182354 */     GIR_RootConstrainSelectedInstOperands,
     /* 182355 */     // GIR_Coverage, 3930,
     /* 182355 */     GIR_EraseRootFromParent_Done,
     /* 182356 */   // Label 3538: @182356
     /* 182356 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(182398), // Rule ID 3931 //
     /* 182361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sdiv),
     /* 182366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 182379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 182383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 182387 */     // (intrinsic_wo_chain:{ *:[i32] } 779:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SDIVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 182387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVWr),
     /* 182390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182392 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182394 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182396 */     GIR_RootConstrainSelectedInstOperands,
     /* 182397 */     // GIR_Coverage, 3931,
     /* 182397 */     GIR_EraseRootFromParent_Done,
     /* 182398 */   // Label 3539: @182398
     /* 182398 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(182440), // Rule ID 3932 //
     /* 182403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sdiv),
     /* 182408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 182421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 182425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 182429 */     // (intrinsic_wo_chain:{ *:[i64] } 779:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SDIVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 182429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVXr),
     /* 182432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182436 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182438 */     GIR_RootConstrainSelectedInstOperands,
     /* 182439 */     // GIR_Coverage, 3932,
     /* 182439 */     GIR_EraseRootFromParent_Done,
     /* 182440 */   // Label 3540: @182440
     /* 182440 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(182482), // Rule ID 5207 //
     /* 182445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fabd),
     /* 182450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182471 */     // (intrinsic_wo_chain:{ *:[v1f64] } 576:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FABD64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 182471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 182474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182476 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182478 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182480 */     GIR_RootConstrainSelectedInstOperands,
     /* 182481 */     // GIR_Coverage, 5207,
     /* 182481 */     GIR_EraseRootFromParent_Done,
     /* 182482 */   // Label 3541: @182482
     /* 182482 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(182527), // Rule ID 5211 //
     /* 182487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 182495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182516 */     // (intrinsic_wo_chain:{ *:[v1i64] } 578:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FACGT64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 182516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT64),
     /* 182519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182521 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182523 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182525 */     GIR_RootConstrainSelectedInstOperands,
     /* 182526 */     // GIR_Coverage, 5211,
     /* 182526 */     GIR_EraseRootFromParent_Done,
     /* 182527 */   // Label 3542: @182527
     /* 182527 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(182572), // Rule ID 5215 //
     /* 182532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmulx),
     /* 182540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182561 */     // (intrinsic_wo_chain:{ *:[v1f64] } 610:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMULX64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 182561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX64),
     /* 182564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182568 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182570 */     GIR_RootConstrainSelectedInstOperands,
     /* 182571 */     // GIR_Coverage, 5215,
     /* 182571 */     GIR_EraseRootFromParent_Done,
     /* 182572 */   // Label 3543: @182572
     /* 182572 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(182617), // Rule ID 5216 //
     /* 182577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frecps),
     /* 182585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182606 */     // (intrinsic_wo_chain:{ *:[v1f64] } 633:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FRECPS64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 182606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRECPS64),
     /* 182609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182613 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182615 */     GIR_RootConstrainSelectedInstOperands,
     /* 182616 */     // GIR_Coverage, 5216,
     /* 182616 */     GIR_EraseRootFromParent_Done,
     /* 182617 */   // Label 3544: @182617
     /* 182617 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(182662), // Rule ID 5217 //
     /* 182622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_frsqrts),
     /* 182630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182651 */     // (intrinsic_wo_chain:{ *:[v1f64] } 640:{ *:[iPTR] }, FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FRSQRTS64:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 182651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FRSQRTS64),
     /* 182654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182658 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182660 */     GIR_RootConstrainSelectedInstOperands,
     /* 182661 */     // GIR_Coverage, 5217,
     /* 182661 */     GIR_EraseRootFromParent_Done,
     /* 182662 */   // Label 3545: @182662
     /* 182662 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(182707), // Rule ID 5218 //
     /* 182667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 182675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182696 */     // (intrinsic_wo_chain:{ *:[i64] } 691:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQRSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv1i64),
     /* 182699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182703 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182705 */     GIR_RootConstrainSelectedInstOperands,
     /* 182706 */     // GIR_Coverage, 5218,
     /* 182706 */     GIR_EraseRootFromParent_Done,
     /* 182707 */   // Label 3546: @182707
     /* 182707 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(182752), // Rule ID 5219 //
     /* 182712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrshl),
     /* 182720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182741 */     // (intrinsic_wo_chain:{ *:[i32] } 691:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 182741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHLv1i32),
     /* 182744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182746 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182748 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182750 */     GIR_RootConstrainSelectedInstOperands,
     /* 182751 */     // GIR_Coverage, 5219,
     /* 182751 */     GIR_EraseRootFromParent_Done,
     /* 182752 */   // Label 3547: @182752
     /* 182752 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(182797), // Rule ID 5220 //
     /* 182757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 182765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182786 */     // (intrinsic_wo_chain:{ *:[i64] } 694:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv1i64),
     /* 182789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182791 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182793 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182795 */     GIR_RootConstrainSelectedInstOperands,
     /* 182796 */     // GIR_Coverage, 5220,
     /* 182796 */     GIR_EraseRootFromParent_Done,
     /* 182797 */   // Label 3548: @182797
     /* 182797 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(182842), // Rule ID 5221 //
     /* 182802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqshl),
     /* 182810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182831 */     // (intrinsic_wo_chain:{ *:[i32] } 694:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 182831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLv1i32),
     /* 182834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182840 */     GIR_RootConstrainSelectedInstOperands,
     /* 182841 */     // GIR_Coverage, 5221,
     /* 182841 */     GIR_EraseRootFromParent_Done,
     /* 182842 */   // Label 3549: @182842
     /* 182842 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(182887), // Rule ID 5222 //
     /* 182847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 182855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182876 */     // (intrinsic_wo_chain:{ *:[i64] } 698:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SQSUBv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv1i64),
     /* 182879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182881 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182883 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182885 */     GIR_RootConstrainSelectedInstOperands,
     /* 182886 */     // GIR_Coverage, 5222,
     /* 182886 */     GIR_EraseRootFromParent_Done,
     /* 182887 */   // Label 3550: @182887
     /* 182887 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(182932), // Rule ID 5223 //
     /* 182892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqsub),
     /* 182900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 182921 */     // (intrinsic_wo_chain:{ *:[i32] } 698:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQSUBv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 182921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv1i32),
     /* 182924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182928 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182930 */     GIR_RootConstrainSelectedInstOperands,
     /* 182931 */     // GIR_Coverage, 5223,
     /* 182931 */     GIR_EraseRootFromParent_Done,
     /* 182932 */   // Label 3551: @182932
     /* 182932 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(182977), // Rule ID 5224 //
     /* 182937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 182945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 182948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 182951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 182954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 182966 */     // (intrinsic_wo_chain:{ *:[i64] } 739:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQADDv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 182966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv1i64),
     /* 182969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 182971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 182973 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 182975 */     GIR_RootConstrainSelectedInstOperands,
     /* 182976 */     // GIR_Coverage, 5224,
     /* 182976 */     GIR_EraseRootFromParent_Done,
     /* 182977 */   // Label 3552: @182977
     /* 182977 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(183022), // Rule ID 5225 //
     /* 182982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 182985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqadd),
     /* 182990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 182993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 182996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 182999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183011 */     // (intrinsic_wo_chain:{ *:[i32] } 739:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQADDv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 183011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADDv1i32),
     /* 183014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183018 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183020 */     GIR_RootConstrainSelectedInstOperands,
     /* 183021 */     // GIR_Coverage, 5225,
     /* 183021 */     GIR_EraseRootFromParent_Done,
     /* 183022 */   // Label 3553: @183022
     /* 183022 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(183067), // Rule ID 5226 //
     /* 183027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 183035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183056 */     // (intrinsic_wo_chain:{ *:[i64] } 740:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQRSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv1i64),
     /* 183059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183061 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183063 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183065 */     GIR_RootConstrainSelectedInstOperands,
     /* 183066 */     // GIR_Coverage, 5226,
     /* 183066 */     GIR_EraseRootFromParent_Done,
     /* 183067 */   // Label 3554: @183067
     /* 183067 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(183112), // Rule ID 5227 //
     /* 183072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqrshl),
     /* 183080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 183086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 183089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183101 */     // (intrinsic_wo_chain:{ *:[i32] } 740:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQRSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 183101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHLv1i32),
     /* 183104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183108 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183110 */     GIR_RootConstrainSelectedInstOperands,
     /* 183111 */     // GIR_Coverage, 5227,
     /* 183111 */     GIR_EraseRootFromParent_Done,
     /* 183112 */   // Label 3555: @183112
     /* 183112 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(183157), // Rule ID 5228 //
     /* 183117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 183125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183146 */     // (intrinsic_wo_chain:{ *:[i64] } 742:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv1i64),
     /* 183149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183151 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183153 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183155 */     GIR_RootConstrainSelectedInstOperands,
     /* 183156 */     // GIR_Coverage, 5228,
     /* 183156 */     GIR_EraseRootFromParent_Done,
     /* 183157 */   // Label 3556: @183157
     /* 183157 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(183202), // Rule ID 5229 //
     /* 183162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqshl),
     /* 183170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 183176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 183179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183191 */     // (intrinsic_wo_chain:{ *:[i32] } 742:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQSHLv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 183191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHLv1i32),
     /* 183194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183200 */     GIR_RootConstrainSelectedInstOperands,
     /* 183201 */     // GIR_Coverage, 5229,
     /* 183201 */     GIR_EraseRootFromParent_Done,
     /* 183202 */   // Label 3557: @183202
     /* 183202 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(183247), // Rule ID 5230 //
     /* 183207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 183215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183236 */     // (intrinsic_wo_chain:{ *:[i64] } 744:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (UQSUBv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv1i64),
     /* 183239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183243 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183245 */     GIR_RootConstrainSelectedInstOperands,
     /* 183246 */     // GIR_Coverage, 5230,
     /* 183246 */     GIR_EraseRootFromParent_Done,
     /* 183247 */   // Label 3558: @183247
     /* 183247 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(183292), // Rule ID 5231 //
     /* 183252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uqsub),
     /* 183260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 183266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 183269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183281 */     // (intrinsic_wo_chain:{ *:[i32] } 744:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (UQSUBv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 183281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv1i32),
     /* 183284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183290 */     GIR_RootConstrainSelectedInstOperands,
     /* 183291 */     // GIR_Coverage, 5231,
     /* 183291 */     GIR_EraseRootFromParent_Done,
     /* 183292 */   // Label 3559: @183292
     /* 183292 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(183337), // Rule ID 5250 //
     /* 183297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 183300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usqadd),
     /* 183305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183326 */     // (intrinsic_wo_chain:{ *:[v1i64] } 754:{ *:[iPTR] }, FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)  =>  (USQADDv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rd, FPR64:{ *:[v1i64] }:$Rn)
     /* 183326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADDv1i64),
     /* 183329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183331 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 183333 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 183335 */     GIR_RootConstrainSelectedInstOperands,
     /* 183336 */     // GIR_Coverage, 5250,
     /* 183336 */     GIR_EraseRootFromParent_Done,
     /* 183337 */   // Label 3560: @183337
     /* 183337 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(183379), // Rule ID 5584 //
     /* 183342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbl1),
     /* 183347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 183350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 183353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 183356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 183364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183368 */     // (intrinsic_wo_chain:{ *:[v8i8] } 716:{ *:[iPTR] }, VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)  =>  (TBLv8i8One:{ *:[v8i8] } VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)
     /* 183368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLv8i8One),
     /* 183371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 183373 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183375 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ri
     /* 183377 */     GIR_RootConstrainSelectedInstOperands,
     /* 183378 */     // GIR_Coverage, 5584,
     /* 183378 */     GIR_EraseRootFromParent_Done,
     /* 183379 */   // Label 3561: @183379
     /* 183379 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(183421), // Rule ID 5585 //
     /* 183384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbl1),
     /* 183389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 183392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 183395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 183398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 183402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 183406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 183410 */     // (intrinsic_wo_chain:{ *:[v16i8] } 716:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)  =>  (TBLv16i8One:{ *:[v16i8] } V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)
     /* 183410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLv16i8One),
     /* 183413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 183415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Ri
     /* 183417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 183419 */     GIR_RootConstrainSelectedInstOperands,
     /* 183420 */     // GIR_Coverage, 5585,
     /* 183420 */     GIR_EraseRootFromParent_Done,
     /* 183421 */   // Label 3562: @183421
     /* 183421 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(183518), // Rule ID 6286 //
     /* 183426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facge),
     /* 183431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 183437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 183440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 183448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 183452 */     // (intrinsic_wo_chain:{ *:[i32] } 577:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FACGE16:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm), hsub:{ *:[i32] })
     /* 183452 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 183455 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FACGE16),
     /* 183459 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183464 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 183468 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 183472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 183474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 183477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 183481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 183488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 183491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 183496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 183499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 183502 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183507 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183512 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 183517 */     // GIR_Coverage, 6286,
     /* 183517 */     GIR_EraseRootFromParent_Done,
     /* 183518 */   // Label 3563: @183518
     /* 183518 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(183615), // Rule ID 6287 //
     /* 183523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_facgt),
     /* 183528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 183531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 183534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 183537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 183545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 183549 */     // (intrinsic_wo_chain:{ *:[i32] } 578:{ *:[iPTR] }, FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), (FACGT16:{ *:[i16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm), hsub:{ *:[i32] })
     /* 183549 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 183552 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FACGT16),
     /* 183556 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183561 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 183565 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 183569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 183571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 183574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 183578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 183583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 183585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 183588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 183590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 183593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 183596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 183599 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183604 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 183609 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 183614 */     // GIR_Coverage, 6287,
     /* 183614 */     GIR_EraseRootFromParent_Done,
     /* 183615 */   // Label 3564: @183615
     /* 183615 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(183657), // Rule ID 6932 //
     /* 183620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sshl),
     /* 183625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183646 */     // (intrinsic_wo_chain:{ *:[i64] } 703:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLv1i64),
     /* 183649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183651 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183653 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183655 */     GIR_RootConstrainSelectedInstOperands,
     /* 183656 */     // GIR_Coverage, 6932,
     /* 183656 */     GIR_EraseRootFromParent_Done,
     /* 183657 */   // Label 3565: @183657
     /* 183657 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(183699), // Rule ID 6933 //
     /* 183662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ushl),
     /* 183667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183688 */     // (intrinsic_wo_chain:{ *:[i64] } 751:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (USHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLv1i64),
     /* 183691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183695 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183697 */     GIR_RootConstrainSelectedInstOperands,
     /* 183698 */     // GIR_Coverage, 6933,
     /* 183698 */     GIR_EraseRootFromParent_Done,
     /* 183699 */   // Label 3566: @183699
     /* 183699 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(183741), // Rule ID 6934 //
     /* 183704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_srshl),
     /* 183709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183730 */     // (intrinsic_wo_chain:{ *:[i64] } 702:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (SRSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHLv1i64),
     /* 183733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183735 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183737 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183739 */     GIR_RootConstrainSelectedInstOperands,
     /* 183740 */     // GIR_Coverage, 6934,
     /* 183740 */     GIR_EraseRootFromParent_Done,
     /* 183741 */   // Label 3567: @183741
     /* 183741 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(183783), // Rule ID 6935 //
     /* 183746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_urshl),
     /* 183751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 183772 */     // (intrinsic_wo_chain:{ *:[i64] } 748:{ *:[iPTR] }, FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)  =>  (URSHLv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i64] }:$Rm)
     /* 183772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHLv1i64),
     /* 183775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183777 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183779 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 183781 */     GIR_RootConstrainSelectedInstOperands,
     /* 183782 */     // GIR_Coverage, 6935,
     /* 183782 */     GIR_EraseRootFromParent_Done,
     /* 183783 */   // Label 3568: @183783
     /* 183783 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(183831), // Rule ID 6975 //
     /* 183788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_blend),
     /* 183793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 183802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183814 */     // (intrinsic_wo_chain:{ *:[i64] } 294:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, GPR64:{ *:[i64] }:$Rn)  =>  (BFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64:{ *:[i64] }:$Rn, 16:{ *:[i64] }, 15:{ *:[i64] })
     /* 183814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BFMXri),
     /* 183817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 183819 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 183821 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 183823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 183826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 183829 */     GIR_RootConstrainSelectedInstOperands,
     /* 183830 */     // GIR_Coverage, 6975,
     /* 183830 */     GIR_EraseRootFromParent_Done,
     /* 183831 */   // Label 3569: @183831
     /* 183831 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(183876), // Rule ID 10001 //
     /* 183836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 183844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 183853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183865 */     // (intrinsic_wo_chain:{ *:[i64] } 2026:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQINCP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_B),
     /* 183868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183870 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183872 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183874 */     GIR_RootConstrainSelectedInstOperands,
     /* 183875 */     // GIR_Coverage, 10001,
     /* 183875 */     GIR_EraseRootFromParent_Done,
     /* 183876 */   // Label 3570: @183876
     /* 183876 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(183921), // Rule ID 10002 //
     /* 183881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 183889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 183898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183910 */     // (intrinsic_wo_chain:{ *:[i64] } 2026:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQINCP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_H),
     /* 183913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183915 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183919 */     GIR_RootConstrainSelectedInstOperands,
     /* 183920 */     // GIR_Coverage, 10002,
     /* 183920 */     GIR_EraseRootFromParent_Done,
     /* 183921 */   // Label 3571: @183921
     /* 183921 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(183966), // Rule ID 10003 //
     /* 183926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 183934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 183943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 183955 */     // (intrinsic_wo_chain:{ *:[i64] } 2026:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQINCP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 183955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_S),
     /* 183958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 183960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 183962 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 183964 */     GIR_RootConstrainSelectedInstOperands,
     /* 183965 */     // GIR_Coverage, 10003,
     /* 183965 */     GIR_EraseRootFromParent_Done,
     /* 183966 */   // Label 3572: @183966
     /* 183966 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(184011), // Rule ID 10004 //
     /* 183971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 183974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp_n64),
     /* 183979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 183982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 183985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 183988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 183996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184000 */     // (intrinsic_wo_chain:{ *:[i64] } 2026:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQINCP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_XP_D),
     /* 184003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184009 */     GIR_RootConstrainSelectedInstOperands,
     /* 184010 */     // GIR_Coverage, 10004,
     /* 184010 */     GIR_EraseRootFromParent_Done,
     /* 184011 */   // Label 3573: @184011
     /* 184011 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(184056), // Rule ID 10013 //
     /* 184016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 184024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184045 */     // (intrinsic_wo_chain:{ *:[i64] } 1781:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (SQDECP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_B),
     /* 184048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184052 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184054 */     GIR_RootConstrainSelectedInstOperands,
     /* 184055 */     // GIR_Coverage, 10013,
     /* 184055 */     GIR_EraseRootFromParent_Done,
     /* 184056 */   // Label 3574: @184056
     /* 184056 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(184101), // Rule ID 10014 //
     /* 184061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 184069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 184078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184090 */     // (intrinsic_wo_chain:{ *:[i64] } 1781:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (SQDECP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_H),
     /* 184093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184097 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184099 */     GIR_RootConstrainSelectedInstOperands,
     /* 184100 */     // GIR_Coverage, 10014,
     /* 184100 */     GIR_EraseRootFromParent_Done,
     /* 184101 */   // Label 3575: @184101
     /* 184101 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(184146), // Rule ID 10015 //
     /* 184106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 184114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 184123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184135 */     // (intrinsic_wo_chain:{ *:[i64] } 1781:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (SQDECP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_S),
     /* 184138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184144 */     GIR_RootConstrainSelectedInstOperands,
     /* 184145 */     // GIR_Coverage, 10015,
     /* 184145 */     GIR_EraseRootFromParent_Done,
     /* 184146 */   // Label 3576: @184146
     /* 184146 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(184191), // Rule ID 10016 //
     /* 184151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp_n64),
     /* 184159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 184168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184180 */     // (intrinsic_wo_chain:{ *:[i64] } 1781:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (SQDECP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_XP_D),
     /* 184183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184185 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184189 */     GIR_RootConstrainSelectedInstOperands,
     /* 184190 */     // GIR_Coverage, 10016,
     /* 184190 */     GIR_EraseRootFromParent_Done,
     /* 184191 */   // Label 3577: @184191
     /* 184191 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(184236), // Rule ID 10017 //
     /* 184196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 184204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 184207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 184210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184225 */     // (intrinsic_wo_chain:{ *:[i32] } 2011:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQDECP_WP_B:{ *:[i32] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 184225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_B),
     /* 184228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184232 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184234 */     GIR_RootConstrainSelectedInstOperands,
     /* 184235 */     // GIR_Coverage, 10017,
     /* 184235 */     GIR_EraseRootFromParent_Done,
     /* 184236 */   // Label 3578: @184236
     /* 184236 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(184281), // Rule ID 10018 //
     /* 184241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 184249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 184252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 184255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 184258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184270 */     // (intrinsic_wo_chain:{ *:[i32] } 2011:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQDECP_WP_H:{ *:[i32] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 184270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_H),
     /* 184273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184275 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184279 */     GIR_RootConstrainSelectedInstOperands,
     /* 184280 */     // GIR_Coverage, 10018,
     /* 184280 */     GIR_EraseRootFromParent_Done,
     /* 184281 */   // Label 3579: @184281
     /* 184281 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(184326), // Rule ID 10019 //
     /* 184286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 184294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 184297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 184300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 184303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184315 */     // (intrinsic_wo_chain:{ *:[i32] } 2011:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQDECP_WP_S:{ *:[i32] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 184315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_S),
     /* 184318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184320 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184324 */     GIR_RootConstrainSelectedInstOperands,
     /* 184325 */     // GIR_Coverage, 10019,
     /* 184325 */     GIR_EraseRootFromParent_Done,
     /* 184326 */   // Label 3580: @184326
     /* 184326 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(184371), // Rule ID 10020 //
     /* 184331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n32),
     /* 184339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 184342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 184345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 184348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 184356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184360 */     // (intrinsic_wo_chain:{ *:[i32] } 2011:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQDECP_WP_D:{ *:[i32] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i32] }:$Rn)
     /* 184360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_WP_D),
     /* 184363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184365 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184367 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184369 */     GIR_RootConstrainSelectedInstOperands,
     /* 184370 */     // GIR_Coverage, 10020,
     /* 184370 */     GIR_EraseRootFromParent_Done,
     /* 184371 */   // Label 3581: @184371
     /* 184371 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(184416), // Rule ID 10021 //
     /* 184376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 184384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184405 */     // (intrinsic_wo_chain:{ *:[i64] } 2012:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (UQDECP_XP_B:{ *:[i64] } PPRAny:{ *:[nxv16i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_B),
     /* 184408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184410 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184414 */     GIR_RootConstrainSelectedInstOperands,
     /* 184415 */     // GIR_Coverage, 10021,
     /* 184415 */     GIR_EraseRootFromParent_Done,
     /* 184416 */   // Label 3582: @184416
     /* 184416 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(184461), // Rule ID 10022 //
     /* 184421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 184429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 184438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184450 */     // (intrinsic_wo_chain:{ *:[i64] } 2012:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv8i1] }:$Pg)  =>  (UQDECP_XP_H:{ *:[i64] } PPRAny:{ *:[nxv8i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_H),
     /* 184453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184455 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184457 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184459 */     GIR_RootConstrainSelectedInstOperands,
     /* 184460 */     // GIR_Coverage, 10022,
     /* 184460 */     GIR_EraseRootFromParent_Done,
     /* 184461 */   // Label 3583: @184461
     /* 184461 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(184506), // Rule ID 10023 //
     /* 184466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 184474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 184483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184495 */     // (intrinsic_wo_chain:{ *:[i64] } 2012:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv4i1] }:$Pg)  =>  (UQDECP_XP_S:{ *:[i64] } PPRAny:{ *:[nxv4i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_S),
     /* 184498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184502 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184504 */     GIR_RootConstrainSelectedInstOperands,
     /* 184505 */     // GIR_Coverage, 10023,
     /* 184505 */     GIR_EraseRootFromParent_Done,
     /* 184506 */   // Label 3584: @184506
     /* 184506 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(184551), // Rule ID 10024 //
     /* 184511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp_n64),
     /* 184519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 184525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 184528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184540 */     // (intrinsic_wo_chain:{ *:[i64] } 2012:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, PPRAny:{ *:[nxv2i1] }:$Pg)  =>  (UQDECP_XP_D:{ *:[i64] } PPRAny:{ *:[nxv2i1] }:$Pg, ?:{ *:[i64] }:$Rn)
     /* 184540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_XP_D),
     /* 184543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 184545 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pg
     /* 184547 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184549 */     GIR_RootConstrainSelectedInstOperands,
     /* 184550 */     // GIR_Coverage, 10024,
     /* 184550 */     GIR_EraseRootFromParent_Done,
     /* 184551 */   // Label 3585: @184551
     /* 184551 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(184597), // Rule ID 138 //
     /* 184556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 184559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_gmi),
     /* 184564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 184570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184574 */     // MIs[0] Rn
     /* 184574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 184578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 184582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184586 */     // (intrinsic_wo_chain:{ *:[i64] } 555:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (GMI:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 184586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::GMI),
     /* 184589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 184591 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184593 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 184595 */     GIR_RootConstrainSelectedInstOperands,
     /* 184596 */     // GIR_Coverage, 138,
     /* 184596 */     GIR_EraseRootFromParent_Done,
     /* 184597 */   // Label 3586: @184597
     /* 184597 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(184644), // Rule ID 139 //
     /* 184602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 184605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_subp),
     /* 184610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 184613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 184617 */     // MIs[0] Rn
     /* 184617 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 184621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 184625 */     // MIs[0] Rm
     /* 184625 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 184629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 184633 */     // (intrinsic_wo_chain:{ *:[i64] } 1242:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)  =>  (SUBP:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64sp:{ *:[i64] }:$Rm)
     /* 184633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBP),
     /* 184636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 184638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 184640 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 184642 */     GIR_RootConstrainSelectedInstOperands,
     /* 184643 */     // GIR_Coverage, 139,
     /* 184643 */     GIR_EraseRootFromParent_Done,
     /* 184644 */   // Label 3587: @184644
     /* 184644 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(184681), // Rule ID 2399 //
     /* 184649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1_b16),
     /* 184657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184670 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2151:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_H),
     /* 184673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184675 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184677 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184679 */     GIR_RootConstrainSelectedInstOperands,
     /* 184680 */     // GIR_Coverage, 2399,
     /* 184680 */     GIR_EraseRootFromParent_Done,
     /* 184681 */   // Label 3588: @184681
     /* 184681 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(184718), // Rule ID 2400 //
     /* 184686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1_b32),
     /* 184694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184707 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2152:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_S),
     /* 184710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184712 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184714 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184716 */     GIR_RootConstrainSelectedInstOperands,
     /* 184717 */     // GIR_Coverage, 2400,
     /* 184717 */     GIR_EraseRootFromParent_Done,
     /* 184718 */   // Label 3589: @184718
     /* 184718 */   GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(184755), // Rule ID 2401 //
     /* 184723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1_b64),
     /* 184731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184744 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2153:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_D),
     /* 184747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184749 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184751 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184753 */     GIR_RootConstrainSelectedInstOperands,
     /* 184754 */     // GIR_Coverage, 2401,
     /* 184754 */     GIR_EraseRootFromParent_Done,
     /* 184755 */   // Label 3590: @184755
     /* 184755 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(184792), // Rule ID 2403 //
     /* 184760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2_b16),
     /* 184768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184781 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2156:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_H),
     /* 184784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184788 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184790 */     GIR_RootConstrainSelectedInstOperands,
     /* 184791 */     // GIR_Coverage, 2403,
     /* 184791 */     GIR_EraseRootFromParent_Done,
     /* 184792 */   // Label 3591: @184792
     /* 184792 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(184829), // Rule ID 2404 //
     /* 184797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2_b32),
     /* 184805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184818 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2157:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_S),
     /* 184821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184823 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184825 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184827 */     GIR_RootConstrainSelectedInstOperands,
     /* 184828 */     // GIR_Coverage, 2404,
     /* 184828 */     GIR_EraseRootFromParent_Done,
     /* 184829 */   // Label 3592: @184829
     /* 184829 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(184866), // Rule ID 2405 //
     /* 184834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2_b64),
     /* 184842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184855 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2158:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_D),
     /* 184858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184862 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184864 */     GIR_RootConstrainSelectedInstOperands,
     /* 184865 */     // GIR_Coverage, 2405,
     /* 184865 */     GIR_EraseRootFromParent_Done,
     /* 184866 */   // Label 3593: @184866
     /* 184866 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(184903), // Rule ID 2407 //
     /* 184871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1_b16),
     /* 184879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184892 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2077:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_H),
     /* 184895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184897 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184899 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184901 */     GIR_RootConstrainSelectedInstOperands,
     /* 184902 */     // GIR_Coverage, 2407,
     /* 184902 */     GIR_EraseRootFromParent_Done,
     /* 184903 */   // Label 3594: @184903
     /* 184903 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(184940), // Rule ID 2408 //
     /* 184908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1_b32),
     /* 184916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184929 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2078:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_S),
     /* 184932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184934 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184936 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184938 */     GIR_RootConstrainSelectedInstOperands,
     /* 184939 */     // GIR_Coverage, 2408,
     /* 184939 */     GIR_EraseRootFromParent_Done,
     /* 184940 */   // Label 3595: @184940
     /* 184940 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(184977), // Rule ID 2409 //
     /* 184945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1_b64),
     /* 184953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 184966 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2079:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 184966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_D),
     /* 184969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 184971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 184973 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 184975 */     GIR_RootConstrainSelectedInstOperands,
     /* 184976 */     // GIR_Coverage, 2409,
     /* 184976 */     GIR_EraseRootFromParent_Done,
     /* 184977 */   // Label 3596: @184977
     /* 184977 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(185014), // Rule ID 2411 //
     /* 184982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 184985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2_b16),
     /* 184990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 184993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 184996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 184999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185003 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2082:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_H),
     /* 185006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185008 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185010 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185012 */     GIR_RootConstrainSelectedInstOperands,
     /* 185013 */     // GIR_Coverage, 2411,
     /* 185013 */     GIR_EraseRootFromParent_Done,
     /* 185014 */   // Label 3597: @185014
     /* 185014 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(185051), // Rule ID 2412 //
     /* 185019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2_b32),
     /* 185027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185040 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2083:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_S),
     /* 185043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185045 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185049 */     GIR_RootConstrainSelectedInstOperands,
     /* 185050 */     // GIR_Coverage, 2412,
     /* 185050 */     GIR_EraseRootFromParent_Done,
     /* 185051 */   // Label 3598: @185051
     /* 185051 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(185088), // Rule ID 2413 //
     /* 185056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2_b64),
     /* 185064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185077 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2084:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_D),
     /* 185080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185082 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185084 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185086 */     GIR_RootConstrainSelectedInstOperands,
     /* 185087 */     // GIR_Coverage, 2413,
     /* 185087 */     GIR_EraseRootFromParent_Done,
     /* 185088 */   // Label 3599: @185088
     /* 185088 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(185125), // Rule ID 2415 //
     /* 185093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1_b16),
     /* 185101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185114 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1921:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_H),
     /* 185117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185119 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185121 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185123 */     GIR_RootConstrainSelectedInstOperands,
     /* 185124 */     // GIR_Coverage, 2415,
     /* 185124 */     GIR_EraseRootFromParent_Done,
     /* 185125 */   // Label 3600: @185125
     /* 185125 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(185162), // Rule ID 2416 //
     /* 185130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1_b32),
     /* 185138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185151 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1922:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_S),
     /* 185154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185156 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185158 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185160 */     GIR_RootConstrainSelectedInstOperands,
     /* 185161 */     // GIR_Coverage, 2416,
     /* 185161 */     GIR_EraseRootFromParent_Done,
     /* 185162 */   // Label 3601: @185162
     /* 185162 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(185199), // Rule ID 2417 //
     /* 185167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1_b64),
     /* 185175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1923:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_D),
     /* 185191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185195 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185197 */     GIR_RootConstrainSelectedInstOperands,
     /* 185198 */     // GIR_Coverage, 2417,
     /* 185198 */     GIR_EraseRootFromParent_Done,
     /* 185199 */   // Label 3602: @185199
     /* 185199 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(185236), // Rule ID 2419 //
     /* 185204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2_b16),
     /* 185212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185225 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1926:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_H:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_H),
     /* 185228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185234 */     GIR_RootConstrainSelectedInstOperands,
     /* 185235 */     // GIR_Coverage, 2419,
     /* 185235 */     GIR_EraseRootFromParent_Done,
     /* 185236 */   // Label 3603: @185236
     /* 185236 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(185273), // Rule ID 2420 //
     /* 185241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2_b32),
     /* 185249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185262 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1927:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_S:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_S),
     /* 185265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185267 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185269 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185271 */     GIR_RootConstrainSelectedInstOperands,
     /* 185272 */     // GIR_Coverage, 2420,
     /* 185272 */     GIR_EraseRootFromParent_Done,
     /* 185273 */   // Label 3604: @185273
     /* 185273 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(185310), // Rule ID 2421 //
     /* 185278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2_b64),
     /* 185286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185299 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1928:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_D:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 185299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_D),
     /* 185302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 185304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 185306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 185308 */     GIR_RootConstrainSelectedInstOperands,
     /* 185309 */     // GIR_Coverage, 2421,
     /* 185309 */     GIR_EraseRootFromParent_Done,
     /* 185310 */   // Label 3605: @185310
     /* 185310 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(185347), // Rule ID 2422 //
     /* 185315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 185318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_histseg),
     /* 185323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 185326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1546:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (HISTSEG_ZZZ:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)
     /* 185336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HISTSEG_ZZZ),
     /* 185339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185341 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 185343 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 185345 */     GIR_RootConstrainSelectedInstOperands,
     /* 185346 */     // GIR_Coverage, 2422,
     /* 185346 */     GIR_EraseRootFromParent_Done,
     /* 185347 */   // Label 3606: @185347
     /* 185347 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(185387), // Rule ID 2621 //
     /* 185352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pfirst),
     /* 185360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185373 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1625:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (PFIRST_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 185373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PFIRST_B),
     /* 185376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 185378 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 185385 */     GIR_RootConstrainSelectedInstOperands,
     /* 185386 */     // GIR_Coverage, 2621,
     /* 185386 */     GIR_EraseRootFromParent_Done,
     /* 185387 */   // Label 3607: @185387
     /* 185387 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(185427), // Rule ID 2622 //
     /* 185392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 185400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 185403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185413 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1633:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (PNEXT_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 185413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_B),
     /* 185416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 185418 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185420 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 185425 */     GIR_RootConstrainSelectedInstOperands,
     /* 185426 */     // GIR_Coverage, 2622,
     /* 185426 */     GIR_EraseRootFromParent_Done,
     /* 185427 */   // Label 3608: @185427
     /* 185427 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(185467), // Rule ID 2623 //
     /* 185432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 185440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 185443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 185446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 185449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185453 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1633:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (PNEXT_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 185453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_H),
     /* 185456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 185458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185460 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 185465 */     GIR_RootConstrainSelectedInstOperands,
     /* 185466 */     // GIR_Coverage, 2623,
     /* 185466 */     GIR_EraseRootFromParent_Done,
     /* 185467 */   // Label 3609: @185467
     /* 185467 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(185507), // Rule ID 2624 //
     /* 185472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 185480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 185483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 185486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 185489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185493 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1633:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (PNEXT_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 185493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_S),
     /* 185496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 185498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 185505 */     GIR_RootConstrainSelectedInstOperands,
     /* 185506 */     // GIR_Coverage, 2624,
     /* 185506 */     GIR_EraseRootFromParent_Done,
     /* 185507 */   // Label 3610: @185507
     /* 185507 */   GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(185547), // Rule ID 2625 //
     /* 185512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pnext),
     /* 185520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 185523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 185526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 185529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 185533 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1633:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (PNEXT_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 185533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PNEXT_D),
     /* 185536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdn]
     /* 185538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185540 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 185545 */     GIR_RootConstrainSelectedInstOperands,
     /* 185546 */     // GIR_Coverage, 2625,
     /* 185546 */     GIR_EraseRootFromParent_Done,
     /* 185547 */   // Label 3611: @185547
     /* 185547 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(185584), // Rule ID 2642 //
     /* 185552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp),
     /* 185560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 185569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185573 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1813:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (SQINCP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 185573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_ZP_H),
     /* 185576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 185578 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185580 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185582 */     GIR_RootConstrainSelectedInstOperands,
     /* 185583 */     // GIR_Coverage, 2642,
     /* 185583 */     GIR_EraseRootFromParent_Done,
     /* 185584 */   // Label 3612: @185584
     /* 185584 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(185621), // Rule ID 2643 //
     /* 185589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp),
     /* 185597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 185606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1813:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (SQINCP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 185610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_ZP_S),
     /* 185613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 185615 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185617 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185619 */     GIR_RootConstrainSelectedInstOperands,
     /* 185620 */     // GIR_Coverage, 2643,
     /* 185620 */     GIR_EraseRootFromParent_Done,
     /* 185621 */   // Label 3613: @185621
     /* 185621 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(185658), // Rule ID 2644 //
     /* 185626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincp),
     /* 185634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 185640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 185643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185647 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1813:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (SQINCP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 185647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCP_ZP_D),
     /* 185650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 185652 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185654 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185656 */     GIR_RootConstrainSelectedInstOperands,
     /* 185657 */     // GIR_Coverage, 2644,
     /* 185657 */     GIR_EraseRootFromParent_Done,
     /* 185658 */   // Label 3614: @185658
     /* 185658 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(185695), // Rule ID 2645 //
     /* 185663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 185671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 185674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 185677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 185680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 185684 */     // (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (CNTP_XPP_B:{ *:[i64] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 185684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_B),
     /* 185687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 185689 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185691 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185693 */     GIR_RootConstrainSelectedInstOperands,
     /* 185694 */     // GIR_Coverage, 2645,
     /* 185694 */     GIR_EraseRootFromParent_Done,
     /* 185695 */   // Label 3615: @185695
     /* 185695 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(185732), // Rule ID 2646 //
     /* 185700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 185708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 185711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 185714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 185717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 185721 */     // (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (CNTP_XPP_H:{ *:[i64] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 185721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_H),
     /* 185724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 185726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185730 */     GIR_RootConstrainSelectedInstOperands,
     /* 185731 */     // GIR_Coverage, 2646,
     /* 185731 */     GIR_EraseRootFromParent_Done,
     /* 185732 */   // Label 3616: @185732
     /* 185732 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(185769), // Rule ID 2647 //
     /* 185737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 185745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 185748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 185751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 185754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 185758 */     // (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (CNTP_XPP_S:{ *:[i64] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 185758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_S),
     /* 185761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 185763 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185765 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185767 */     GIR_RootConstrainSelectedInstOperands,
     /* 185768 */     // GIR_Coverage, 2647,
     /* 185768 */     GIR_EraseRootFromParent_Done,
     /* 185769 */   // Label 3617: @185769
     /* 185769 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(185806), // Rule ID 2648 //
     /* 185774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 185777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cntp),
     /* 185782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 185785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 185788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 185791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 185795 */     // (intrinsic_wo_chain:{ *:[i64] } 1335:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (CNTP_XPP_D:{ *:[i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 185795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNTP_XPP_D),
     /* 185798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 185800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185802 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185804 */     GIR_RootConstrainSelectedInstOperands,
     /* 185805 */     // GIR_Coverage, 2648,
     /* 185805 */     GIR_EraseRootFromParent_Done,
     /* 185806 */   // Label 3618: @185806
     /* 185806 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(185843), // Rule ID 2826 //
     /* 185811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 185814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftsmul_x),
     /* 185819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185832 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1543:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (FTSMUL_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSMUL_ZZZ_H),
     /* 185835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185837 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185839 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185841 */     GIR_RootConstrainSelectedInstOperands,
     /* 185842 */     // GIR_Coverage, 2826,
     /* 185842 */     GIR_EraseRootFromParent_Done,
     /* 185843 */   // Label 3619: @185843
     /* 185843 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(185880), // Rule ID 2827 //
     /* 185848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 185851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftsmul_x),
     /* 185856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 185859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 185862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 185865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185869 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1543:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (FTSMUL_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 185869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSMUL_ZZZ_S),
     /* 185872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185874 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185876 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185878 */     GIR_RootConstrainSelectedInstOperands,
     /* 185879 */     // GIR_Coverage, 2827,
     /* 185879 */     GIR_EraseRootFromParent_Done,
     /* 185880 */   // Label 3620: @185880
     /* 185880 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(185917), // Rule ID 2828 //
     /* 185885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 185888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftsmul_x),
     /* 185893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 185896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 185899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 185902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185906 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1543:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (FTSMUL_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 185906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSMUL_ZZZ_D),
     /* 185909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185911 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185913 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185915 */     GIR_RootConstrainSelectedInstOperands,
     /* 185916 */     // GIR_Coverage, 2828,
     /* 185916 */     GIR_EraseRootFromParent_Done,
     /* 185917 */   // Label 3621: @185917
     /* 185917 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(185954), // Rule ID 2999 //
     /* 185922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 185930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 185933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 185936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 185939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185943 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1795:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQDMULH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 185943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_B),
     /* 185946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185948 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185950 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185952 */     GIR_RootConstrainSelectedInstOperands,
     /* 185953 */     // GIR_Coverage, 2999,
     /* 185953 */     GIR_EraseRootFromParent_Done,
     /* 185954 */   // Label 3622: @185954
     /* 185954 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(185991), // Rule ID 3000 //
     /* 185959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 185967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 185970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 185973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 185976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 185980 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1795:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQDMULH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 185980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_H),
     /* 185983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 185985 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 185987 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 185989 */     GIR_RootConstrainSelectedInstOperands,
     /* 185990 */     // GIR_Coverage, 3000,
     /* 185990 */     GIR_EraseRootFromParent_Done,
     /* 185991 */   // Label 3623: @185991
     /* 185991 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(186028), // Rule ID 3001 //
     /* 185996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 185999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 186004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186017 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1795:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQDMULH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_S),
     /* 186020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186024 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186026 */     GIR_RootConstrainSelectedInstOperands,
     /* 186027 */     // GIR_Coverage, 3001,
     /* 186027 */     GIR_EraseRootFromParent_Done,
     /* 186028 */   // Label 3624: @186028
     /* 186028 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(186065), // Rule ID 3002 //
     /* 186033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh),
     /* 186041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 186047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186054 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1795:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQDMULH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZ_D),
     /* 186057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186059 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186061 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186063 */     GIR_RootConstrainSelectedInstOperands,
     /* 186064 */     // GIR_Coverage, 3002,
     /* 186064 */     GIR_EraseRootFromParent_Done,
     /* 186065 */   // Label 3625: @186065
     /* 186065 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(186102), // Rule ID 3003 //
     /* 186070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmul),
     /* 186078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186091 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1630:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (PMUL_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMUL_ZZZ_B),
     /* 186094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186098 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186100 */     GIR_RootConstrainSelectedInstOperands,
     /* 186101 */     // GIR_Coverage, 3003,
     /* 186101 */     GIR_EraseRootFromParent_Done,
     /* 186102 */   // Label 3626: @186102
     /* 186102 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(186139), // Rule ID 3025 //
     /* 186107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlb),
     /* 186115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1688:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SADDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLB_ZZZ_H),
     /* 186131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186133 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186135 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186137 */     GIR_RootConstrainSelectedInstOperands,
     /* 186138 */     // GIR_Coverage, 3025,
     /* 186138 */     GIR_EraseRootFromParent_Done,
     /* 186139 */   // Label 3627: @186139
     /* 186139 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(186176), // Rule ID 3026 //
     /* 186144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlb),
     /* 186152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186165 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1688:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SADDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLB_ZZZ_S),
     /* 186168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186174 */     GIR_RootConstrainSelectedInstOperands,
     /* 186175 */     // GIR_Coverage, 3026,
     /* 186175 */     GIR_EraseRootFromParent_Done,
     /* 186176 */   // Label 3628: @186176
     /* 186176 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(186213), // Rule ID 3027 //
     /* 186181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlb),
     /* 186189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186202 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1688:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SADDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLB_ZZZ_D),
     /* 186205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186207 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186209 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186211 */     GIR_RootConstrainSelectedInstOperands,
     /* 186212 */     // GIR_Coverage, 3027,
     /* 186212 */     GIR_EraseRootFromParent_Done,
     /* 186213 */   // Label 3629: @186213
     /* 186213 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(186250), // Rule ID 3031 //
     /* 186218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 186221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullb_pair),
     /* 186226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 186232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186239 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1631:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (PMULLB_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLB_ZZZ_Q),
     /* 186242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186246 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186248 */     GIR_RootConstrainSelectedInstOperands,
     /* 186249 */     // GIR_Coverage, 3031,
     /* 186249 */     GIR_EraseRootFromParent_Done,
     /* 186250 */   // Label 3630: @186250
     /* 186250 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(186287), // Rule ID 3032 //
     /* 186255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullb_pair),
     /* 186263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186276 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1631:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (PMULLB_ZZZ_H:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLB_ZZZ_H),
     /* 186279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186283 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186285 */     GIR_RootConstrainSelectedInstOperands,
     /* 186286 */     // GIR_Coverage, 3032,
     /* 186286 */     GIR_EraseRootFromParent_Done,
     /* 186287 */   // Label 3631: @186287
     /* 186287 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(186324), // Rule ID 3033 //
     /* 186292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullb_pair),
     /* 186300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186313 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1631:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (PMULLB_ZZZ_D:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLB_ZZZ_D),
     /* 186316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186318 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186320 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186322 */     GIR_RootConstrainSelectedInstOperands,
     /* 186323 */     // GIR_Coverage, 3033,
     /* 186323 */     GIR_EraseRootFromParent_Done,
     /* 186324 */   // Label 3632: @186324
     /* 186324 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(186361), // Rule ID 3034 //
     /* 186329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 186332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 186337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186350 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1273:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BEXT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_B),
     /* 186353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186355 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186357 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186359 */     GIR_RootConstrainSelectedInstOperands,
     /* 186360 */     // GIR_Coverage, 3034,
     /* 186360 */     GIR_EraseRootFromParent_Done,
     /* 186361 */   // Label 3633: @186361
     /* 186361 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(186398), // Rule ID 3035 //
     /* 186366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 186369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 186374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186387 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1273:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BEXT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_H),
     /* 186390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186392 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186394 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186396 */     GIR_RootConstrainSelectedInstOperands,
     /* 186397 */     // GIR_Coverage, 3035,
     /* 186397 */     GIR_EraseRootFromParent_Done,
     /* 186398 */   // Label 3634: @186398
     /* 186398 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(186435), // Rule ID 3036 //
     /* 186403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 186406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 186411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1273:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BEXT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_S),
     /* 186427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186429 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186431 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186433 */     GIR_RootConstrainSelectedInstOperands,
     /* 186434 */     // GIR_Coverage, 3036,
     /* 186434 */     GIR_EraseRootFromParent_Done,
     /* 186435 */   // Label 3635: @186435
     /* 186435 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(186472), // Rule ID 3037 //
     /* 186440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 186443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bext_x),
     /* 186448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 186454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1273:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BEXT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BEXT_ZZZ_D),
     /* 186464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186468 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186470 */     GIR_RootConstrainSelectedInstOperands,
     /* 186471 */     // GIR_Coverage, 3037,
     /* 186471 */     GIR_EraseRootFromParent_Done,
     /* 186472 */   // Label 3636: @186472
     /* 186472 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(186509), // Rule ID 3038 //
     /* 186477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlbt),
     /* 186485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 186494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1689:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SADDLBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 186498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLBT_ZZZ_H),
     /* 186501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186503 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186505 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186507 */     GIR_RootConstrainSelectedInstOperands,
     /* 186508 */     // GIR_Coverage, 3038,
     /* 186508 */     GIR_EraseRootFromParent_Done,
     /* 186509 */   // Label 3637: @186509
     /* 186509 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(186546), // Rule ID 3039 //
     /* 186514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlbt),
     /* 186522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186535 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1689:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SADDLBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLBT_ZZZ_S),
     /* 186538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186542 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186544 */     GIR_RootConstrainSelectedInstOperands,
     /* 186545 */     // GIR_Coverage, 3039,
     /* 186545 */     GIR_EraseRootFromParent_Done,
     /* 186546 */   // Label 3638: @186546
     /* 186546 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(186583), // Rule ID 3040 //
     /* 186551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlbt),
     /* 186559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 186562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186572 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1689:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SADDLBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLBT_ZZZ_D),
     /* 186575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186577 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186579 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186581 */     GIR_RootConstrainSelectedInstOperands,
     /* 186582 */     // GIR_Coverage, 3040,
     /* 186582 */     GIR_EraseRootFromParent_Done,
     /* 186583 */   // Label 3639: @186583
     /* 186583 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(186620), // Rule ID 3087 //
     /* 186588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnb),
     /* 186596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186609 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1250:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ADDHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNB_ZZZ_B),
     /* 186612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186614 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186616 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186618 */     GIR_RootConstrainSelectedInstOperands,
     /* 186619 */     // GIR_Coverage, 3087,
     /* 186619 */     GIR_EraseRootFromParent_Done,
     /* 186620 */   // Label 3640: @186620
     /* 186620 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(186657), // Rule ID 3088 //
     /* 186625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnb),
     /* 186633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1250:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADDHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNB_ZZZ_H),
     /* 186649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186651 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186653 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186655 */     GIR_RootConstrainSelectedInstOperands,
     /* 186656 */     // GIR_Coverage, 3088,
     /* 186656 */     GIR_EraseRootFromParent_Done,
     /* 186657 */   // Label 3641: @186657
     /* 186657 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(186694), // Rule ID 3089 //
     /* 186662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnb),
     /* 186670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 186676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1250:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADDHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNB_ZZZ_S),
     /* 186686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186690 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186692 */     GIR_RootConstrainSelectedInstOperands,
     /* 186693 */     // GIR_Coverage, 3089,
     /* 186693 */     GIR_EraseRootFromParent_Done,
     /* 186694 */   // Label 3642: @186694
     /* 186694 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(186731), // Rule ID 3096 //
     /* 186699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnt),
     /* 186707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 186710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 186713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 186716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186720 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1852:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQXTNT_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 186720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNT_ZZ_B),
     /* 186723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186725 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186727 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186729 */     GIR_RootConstrainSelectedInstOperands,
     /* 186730 */     // GIR_Coverage, 3096,
     /* 186730 */     GIR_EraseRootFromParent_Done,
     /* 186731 */   // Label 3643: @186731
     /* 186731 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(186768), // Rule ID 3097 //
     /* 186736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnt),
     /* 186744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 186747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 186750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 186753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186757 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1852:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQXTNT_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 186757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNT_ZZ_H),
     /* 186760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186764 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186766 */     GIR_RootConstrainSelectedInstOperands,
     /* 186767 */     // GIR_Coverage, 3097,
     /* 186767 */     GIR_EraseRootFromParent_Done,
     /* 186768 */   // Label 3644: @186768
     /* 186768 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(186805), // Rule ID 3098 //
     /* 186773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 186776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtnt),
     /* 186781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 186784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 186787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 186790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 186794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1852:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQXTNT_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 186794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTNT_ZZ_S),
     /* 186797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 186799 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186801 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186803 */     GIR_RootConstrainSelectedInstOperands,
     /* 186804 */     // GIR_Coverage, 3098,
     /* 186804 */     GIR_EraseRootFromParent_Done,
     /* 186805 */   // Label 3645: @186805
     /* 186805 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(186845), // Rule ID 3202 //
     /* 186810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 186818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 186821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 186824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 186827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 186831 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2132:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 186831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_B),
     /* 186834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 186836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 186843 */     GIR_RootConstrainSelectedInstOperands,
     /* 186844 */     // GIR_Coverage, 3202,
     /* 186844 */     GIR_EraseRootFromParent_Done,
     /* 186845 */   // Label 3646: @186845
     /* 186845 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(186885), // Rule ID 3203 //
     /* 186850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 186858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 186861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 186864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 186867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 186871 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2132:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 186871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_H),
     /* 186874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 186876 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186878 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 186883 */     GIR_RootConstrainSelectedInstOperands,
     /* 186884 */     // GIR_Coverage, 3203,
     /* 186884 */     GIR_EraseRootFromParent_Done,
     /* 186885 */   // Label 3647: @186885
     /* 186885 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(186925), // Rule ID 3204 //
     /* 186890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 186898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 186901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 186904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 186907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 186911 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2132:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 186911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_S),
     /* 186914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 186916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 186923 */     GIR_RootConstrainSelectedInstOperands,
     /* 186924 */     // GIR_Coverage, 3204,
     /* 186924 */     GIR_EraseRootFromParent_Done,
     /* 186925 */   // Label 3648: @186925
     /* 186925 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(186965), // Rule ID 3205 //
     /* 186930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 186938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 186941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 186944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 186947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 186951 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2132:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELT_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 186951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PWW_D),
     /* 186954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 186956 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186958 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 186960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 186963 */     GIR_RootConstrainSelectedInstOperands,
     /* 186964 */     // GIR_Coverage, 3205,
     /* 186964 */     GIR_EraseRootFromParent_Done,
     /* 186965 */   // Label 3649: @186965
     /* 186965 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(187005), // Rule ID 3210 //
     /* 186970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 186973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 186978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 186981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 186984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 186987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 186991 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2132:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 186991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_B),
     /* 186994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 186996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 186998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187003 */     GIR_RootConstrainSelectedInstOperands,
     /* 187004 */     // GIR_Coverage, 3210,
     /* 187004 */     GIR_EraseRootFromParent_Done,
     /* 187005 */   // Label 3650: @187005
     /* 187005 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(187045), // Rule ID 3211 //
     /* 187010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 187013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 187018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 187021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 187024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 187027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187031 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2132:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 187031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_H),
     /* 187034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187038 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187043 */     GIR_RootConstrainSelectedInstOperands,
     /* 187044 */     // GIR_Coverage, 3211,
     /* 187044 */     GIR_EraseRootFromParent_Done,
     /* 187045 */   // Label 3651: @187045
     /* 187045 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(187085), // Rule ID 3212 //
     /* 187050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 187053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 187058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 187061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 187064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 187067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187071 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2132:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 187071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_S),
     /* 187074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187078 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187083 */     GIR_RootConstrainSelectedInstOperands,
     /* 187084 */     // GIR_Coverage, 3212,
     /* 187084 */     GIR_EraseRootFromParent_Done,
     /* 187085 */   // Label 3652: @187085
     /* 187085 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(187125), // Rule ID 3213 //
     /* 187090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 187093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelt),
     /* 187098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 187101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 187104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 187107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187111 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2132:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELT_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 187111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELT_PXX_D),
     /* 187114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187116 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187118 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 187123 */     GIR_RootConstrainSelectedInstOperands,
     /* 187124 */     // GIR_Coverage, 3213,
     /* 187124 */     GIR_EraseRootFromParent_Done,
     /* 187125 */   // Label 3653: @187125
     /* 187125 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(187162), // Rule ID 3402 //
     /* 187130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 187133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 187138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 187144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187151 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1341:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (COMPACT_ZPZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_S),
     /* 187154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187156 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187158 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187160 */     GIR_RootConstrainSelectedInstOperands,
     /* 187161 */     // GIR_Coverage, 3402,
     /* 187161 */     GIR_EraseRootFromParent_Done,
     /* 187162 */   // Label 3654: @187162
     /* 187162 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(187199), // Rule ID 3403 //
     /* 187167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 187170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 187175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 187181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187188 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1341:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (COMPACT_ZPZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 187188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_S),
     /* 187191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187193 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187195 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187197 */     GIR_RootConstrainSelectedInstOperands,
     /* 187198 */     // GIR_Coverage, 3403,
     /* 187198 */     GIR_EraseRootFromParent_Done,
     /* 187199 */   // Label 3655: @187199
     /* 187199 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(187236), // Rule ID 3404 //
     /* 187204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 187207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 187212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 187218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187225 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1341:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (COMPACT_ZPZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_D),
     /* 187228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187234 */     GIR_RootConstrainSelectedInstOperands,
     /* 187235 */     // GIR_Coverage, 3404,
     /* 187235 */     GIR_EraseRootFromParent_Done,
     /* 187236 */   // Label 3656: @187236
     /* 187236 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(187273), // Rule ID 3405 //
     /* 187241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE_or_SME2p2),
     /* 187244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_compact),
     /* 187249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 187255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187262 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1341:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (COMPACT_ZPZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 187262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::COMPACT_ZPZ_D),
     /* 187265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187267 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187269 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187271 */     GIR_RootConstrainSelectedInstOperands,
     /* 187272 */     // GIR_Coverage, 3405,
     /* 187272 */     GIR_EraseRootFromParent_Done,
     /* 187273 */   // Label 3657: @187273
     /* 187273 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(187310), // Rule ID 3427 //
     /* 187278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 187281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftssel_x),
     /* 187286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 187289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 187292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187299 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1544:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (FTSSEL_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 187299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSSEL_ZZZ_H),
     /* 187302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187308 */     GIR_RootConstrainSelectedInstOperands,
     /* 187309 */     // GIR_Coverage, 3427,
     /* 187309 */     GIR_EraseRootFromParent_Done,
     /* 187310 */   // Label 3658: @187310
     /* 187310 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(187347), // Rule ID 3428 //
     /* 187315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 187318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftssel_x),
     /* 187323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187336 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1544:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (FTSSEL_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSSEL_ZZZ_S),
     /* 187339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187341 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187343 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187345 */     GIR_RootConstrainSelectedInstOperands,
     /* 187346 */     // GIR_Coverage, 3428,
     /* 187346 */     GIR_EraseRootFromParent_Done,
     /* 187347 */   // Label 3659: @187347
     /* 187347 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(187384), // Rule ID 3429 //
     /* 187352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 187355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftssel_x),
     /* 187360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 187366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187373 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1544:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (FTSSEL_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTSSEL_ZZZ_D),
     /* 187376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187378 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187382 */     GIR_RootConstrainSelectedInstOperands,
     /* 187383 */     // GIR_Coverage, 3429,
     /* 187383 */     GIR_EraseRootFromParent_Done,
     /* 187384 */   // Label 3660: @187384
     /* 187384 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(187421), // Rule ID 3451 //
     /* 187389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 187392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brka_z),
     /* 187397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 187400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 187403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 187406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 187410 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1294:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (BRKA_PPzP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 187410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKA_PPzP),
     /* 187413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 187415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187419 */     GIR_RootConstrainSelectedInstOperands,
     /* 187420 */     // GIR_Coverage, 3451,
     /* 187420 */     GIR_EraseRootFromParent_Done,
     /* 187421 */   // Label 3661: @187421
     /* 187421 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(187458), // Rule ID 3456 //
     /* 187426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2SM4),
     /* 187429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sm4ekey),
     /* 187434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187447 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1724:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SM4EKEY_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4EKEY_ZZZ_S),
     /* 187450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187452 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187454 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187456 */     GIR_RootConstrainSelectedInstOperands,
     /* 187457 */     // GIR_Coverage, 3456,
     /* 187457 */     GIR_EraseRootFromParent_Done,
     /* 187458 */   // Label 3662: @187458
     /* 187458 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(187495), // Rule ID 3457 //
     /* 187463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 187466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aese),
     /* 187471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 187474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 187477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 187480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187484 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1259:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (AESE_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 187484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESE_ZZZ_B),
     /* 187487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 187489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187491 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187493 */     GIR_RootConstrainSelectedInstOperands,
     /* 187494 */     // GIR_Coverage, 3457,
     /* 187494 */     GIR_EraseRootFromParent_Done,
     /* 187495 */   // Label 3663: @187495
     /* 187495 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(187532), // Rule ID 3466 //
     /* 187500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 187503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 187508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 187511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 187514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 187517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187521 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2154:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 187521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 187524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187530 */     GIR_RootConstrainSelectedInstOperands,
     /* 187531 */     // GIR_Coverage, 3466,
     /* 187531 */     GIR_EraseRootFromParent_Done,
     /* 187532 */   // Label 3664: @187532
     /* 187532 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(187569), // Rule ID 3467 //
     /* 187537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 187540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 187545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 187548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 187551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2154:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 187558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 187561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187563 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187565 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187567 */     GIR_RootConstrainSelectedInstOperands,
     /* 187568 */     // GIR_Coverage, 3467,
     /* 187568 */     GIR_EraseRootFromParent_Done,
     /* 187569 */   // Label 3665: @187569
     /* 187569 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(187606), // Rule ID 3468 //
     /* 187574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 187577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 187582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 187585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 187588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187595 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2154:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 187595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 187598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187604 */     GIR_RootConstrainSelectedInstOperands,
     /* 187605 */     // GIR_Coverage, 3468,
     /* 187605 */     GIR_EraseRootFromParent_Done,
     /* 187606 */   // Label 3666: @187606
     /* 187606 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(187643), // Rule ID 3469 //
     /* 187611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 187614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 187619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2154:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 187635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187637 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187639 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187641 */     GIR_RootConstrainSelectedInstOperands,
     /* 187642 */     // GIR_Coverage, 3469,
     /* 187642 */     GIR_EraseRootFromParent_Done,
     /* 187643 */   // Label 3667: @187643
     /* 187643 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(187680), // Rule ID 3470 //
     /* 187648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 187651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 187656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 187659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 187662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187669 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2154:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 187669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 187672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187676 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187678 */     GIR_RootConstrainSelectedInstOperands,
     /* 187679 */     // GIR_Coverage, 3470,
     /* 187679 */     GIR_EraseRootFromParent_Done,
     /* 187680 */   // Label 3668: @187680
     /* 187680 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(187717), // Rule ID 3471 //
     /* 187685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 187688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 187693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 187699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187706 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2154:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 187706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 187709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187711 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187713 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187715 */     GIR_RootConstrainSelectedInstOperands,
     /* 187716 */     // GIR_Coverage, 3471,
     /* 187716 */     GIR_EraseRootFromParent_Done,
     /* 187717 */   // Label 3669: @187717
     /* 187717 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(187754), // Rule ID 3472 //
     /* 187722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 187725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip1q),
     /* 187730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 187733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 187736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 187743 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2154:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP1_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 187743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_Q),
     /* 187746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 187748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187752 */     GIR_RootConstrainSelectedInstOperands,
     /* 187753 */     // GIR_Coverage, 3472,
     /* 187753 */     GIR_EraseRootFromParent_Done,
     /* 187754 */   // Label 3670: @187754
     /* 187754 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(187791), // Rule ID 3527 //
     /* 187759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddqv),
     /* 187767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 187770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 187773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 187780 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1367:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FADDQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 187780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDQV_H),
     /* 187783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 187785 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187789 */     GIR_RootConstrainSelectedInstOperands,
     /* 187790 */     // GIR_Coverage, 3527,
     /* 187790 */     GIR_EraseRootFromParent_Done,
     /* 187791 */   // Label 3671: @187791
     /* 187791 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(187828), // Rule ID 3528 //
     /* 187796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddqv),
     /* 187804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 187807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 187810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 187817 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1367:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FADDQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 187817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDQV_S),
     /* 187820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 187822 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187824 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187826 */     GIR_RootConstrainSelectedInstOperands,
     /* 187827 */     // GIR_Coverage, 3528,
     /* 187827 */     GIR_EraseRootFromParent_Done,
     /* 187828 */   // Label 3672: @187828
     /* 187828 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(187865), // Rule ID 3529 //
     /* 187833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddqv),
     /* 187841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 187844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 187847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 187854 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1367:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FADDQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 187854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDQV_D),
     /* 187857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 187859 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187861 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187863 */     GIR_RootConstrainSelectedInstOperands,
     /* 187864 */     // GIR_Coverage, 3529,
     /* 187864 */     GIR_EraseRootFromParent_Done,
     /* 187865 */   // Label 3673: @187865
     /* 187865 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(187902), // Rule ID 3559 //
     /* 187870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 187878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 187881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 187884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 187887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 187891 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1618:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ORQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 187891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_B),
     /* 187894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 187896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187898 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187900 */     GIR_RootConstrainSelectedInstOperands,
     /* 187901 */     // GIR_Coverage, 3559,
     /* 187901 */     GIR_EraseRootFromParent_Done,
     /* 187902 */   // Label 3674: @187902
     /* 187902 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(187939), // Rule ID 3560 //
     /* 187907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 187915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 187918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 187921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 187924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 187928 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1618:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ORQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 187928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_H),
     /* 187931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 187933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187935 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187937 */     GIR_RootConstrainSelectedInstOperands,
     /* 187938 */     // GIR_Coverage, 3560,
     /* 187938 */     GIR_EraseRootFromParent_Done,
     /* 187939 */   // Label 3675: @187939
     /* 187939 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(187976), // Rule ID 3561 //
     /* 187944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 187952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 187955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 187958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 187961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 187965 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1618:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ORQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 187965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_S),
     /* 187968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 187970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 187972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 187974 */     GIR_RootConstrainSelectedInstOperands,
     /* 187975 */     // GIR_Coverage, 3561,
     /* 187975 */     GIR_EraseRootFromParent_Done,
     /* 187976 */   // Label 3676: @187976
     /* 187976 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(188013), // Rule ID 3562 //
     /* 187981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 187984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orqv),
     /* 187989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 187992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 187995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 187998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 188002 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1618:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ORQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORQV_VPZ_D),
     /* 188005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 188007 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188009 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188011 */     GIR_RootConstrainSelectedInstOperands,
     /* 188012 */     // GIR_Coverage, 3562,
     /* 188012 */     GIR_EraseRootFromParent_Done,
     /* 188013 */   // Label 3677: @188013
     /* 188013 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(188050), // Rule ID 3563 //
     /* 188018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 188026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 188029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 188032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 188035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188039 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2162:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIPQ1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 188039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_B),
     /* 188042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188044 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188048 */     GIR_RootConstrainSelectedInstOperands,
     /* 188049 */     // GIR_Coverage, 3563,
     /* 188049 */     GIR_EraseRootFromParent_Done,
     /* 188050 */   // Label 3678: @188050
     /* 188050 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(188087), // Rule ID 3564 //
     /* 188055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 188063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 188066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 188069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 188072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2162:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIPQ1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 188076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_H),
     /* 188079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188081 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188083 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188085 */     GIR_RootConstrainSelectedInstOperands,
     /* 188086 */     // GIR_Coverage, 3564,
     /* 188086 */     GIR_EraseRootFromParent_Done,
     /* 188087 */   // Label 3679: @188087
     /* 188087 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(188124), // Rule ID 3565 //
     /* 188092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 188100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188113 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2162:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIPQ1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_S),
     /* 188116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188122 */     GIR_RootConstrainSelectedInstOperands,
     /* 188123 */     // GIR_Coverage, 3565,
     /* 188123 */     GIR_EraseRootFromParent_Done,
     /* 188124 */   // Label 3680: @188124
     /* 188124 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(188161), // Rule ID 3566 //
     /* 188129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 188137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188150 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2162:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIPQ1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_D),
     /* 188153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188155 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188157 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188159 */     GIR_RootConstrainSelectedInstOperands,
     /* 188160 */     // GIR_Coverage, 3566,
     /* 188160 */     GIR_EraseRootFromParent_Done,
     /* 188161 */   // Label 3681: @188161
     /* 188161 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(188198), // Rule ID 3567 //
     /* 188166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 188174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 188177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 188180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 188183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188187 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2162:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIPQ1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 188187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_H),
     /* 188190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188192 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188194 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188196 */     GIR_RootConstrainSelectedInstOperands,
     /* 188197 */     // GIR_Coverage, 3567,
     /* 188197 */     GIR_EraseRootFromParent_Done,
     /* 188198 */   // Label 3682: @188198
     /* 188198 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(188235), // Rule ID 3568 //
     /* 188203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 188211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188224 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2162:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIPQ1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 188224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_S),
     /* 188227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188231 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188233 */     GIR_RootConstrainSelectedInstOperands,
     /* 188234 */     // GIR_Coverage, 3568,
     /* 188234 */     GIR_EraseRootFromParent_Done,
     /* 188235 */   // Label 3683: @188235
     /* 188235 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(188272), // Rule ID 3569 //
     /* 188240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq1),
     /* 188248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188261 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2162:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIPQ1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 188261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ1_ZZZ_D),
     /* 188264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188268 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188270 */     GIR_RootConstrainSelectedInstOperands,
     /* 188271 */     // GIR_Coverage, 3569,
     /* 188271 */     GIR_EraseRootFromParent_Done,
     /* 188272 */   // Label 3684: @188272
     /* 188272 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(188309), // Rule ID 3570 //
     /* 188277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 188285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 188288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 188291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 188294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188298 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1917:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TBLQ_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 188298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_B),
     /* 188301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188303 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188305 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188307 */     GIR_RootConstrainSelectedInstOperands,
     /* 188308 */     // GIR_Coverage, 3570,
     /* 188308 */     GIR_EraseRootFromParent_Done,
     /* 188309 */   // Label 3685: @188309
     /* 188309 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(188346), // Rule ID 3571 //
     /* 188314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 188322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 188325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 188328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 188331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188335 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1917:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TBLQ_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 188335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_H),
     /* 188338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188344 */     GIR_RootConstrainSelectedInstOperands,
     /* 188345 */     // GIR_Coverage, 3571,
     /* 188345 */     GIR_EraseRootFromParent_Done,
     /* 188346 */   // Label 3686: @188346
     /* 188346 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(188383), // Rule ID 3572 //
     /* 188351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 188359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1917:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TBLQ_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_S),
     /* 188375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188377 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188379 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188381 */     GIR_RootConstrainSelectedInstOperands,
     /* 188382 */     // GIR_Coverage, 3572,
     /* 188382 */     GIR_EraseRootFromParent_Done,
     /* 188383 */   // Label 3687: @188383
     /* 188383 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(188420), // Rule ID 3573 //
     /* 188388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 188396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188409 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1917:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TBLQ_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_D),
     /* 188412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188416 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188418 */     GIR_RootConstrainSelectedInstOperands,
     /* 188419 */     // GIR_Coverage, 3573,
     /* 188419 */     GIR_EraseRootFromParent_Done,
     /* 188420 */   // Label 3688: @188420
     /* 188420 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(188457), // Rule ID 3574 //
     /* 188425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 188433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 188436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 188439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 188442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188446 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1917:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TBLQ_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 188446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_H),
     /* 188449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188451 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188453 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188455 */     GIR_RootConstrainSelectedInstOperands,
     /* 188456 */     // GIR_Coverage, 3574,
     /* 188456 */     GIR_EraseRootFromParent_Done,
     /* 188457 */   // Label 3689: @188457
     /* 188457 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(188494), // Rule ID 3575 //
     /* 188462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 188470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188483 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1917:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TBLQ_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_S),
     /* 188486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188492 */     GIR_RootConstrainSelectedInstOperands,
     /* 188493 */     // GIR_Coverage, 3575,
     /* 188493 */     GIR_EraseRootFromParent_Done,
     /* 188494 */   // Label 3690: @188494
     /* 188494 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(188531), // Rule ID 3576 //
     /* 188499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 188502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tblq),
     /* 188507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188520 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1917:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TBLQ_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBLQ_ZZZ_D),
     /* 188523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188525 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188527 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188529 */     GIR_RootConstrainSelectedInstOperands,
     /* 188530 */     // GIR_Coverage, 3576,
     /* 188530 */     GIR_EraseRootFromParent_Done,
     /* 188531 */   // Label 3691: @188531
     /* 188531 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(188568), // Rule ID 8384 //
     /* 188536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkb_z),
     /* 188544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 188547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 188550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 188553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188557 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1296:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2)  =>  (BRKB_PPzP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2)
     /* 188557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKB_PPzP),
     /* 188560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188562 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188564 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188566 */     GIR_RootConstrainSelectedInstOperands,
     /* 188567 */     // GIR_Coverage, 8384,
     /* 188567 */     GIR_EraseRootFromParent_Done,
     /* 188568 */   // Label 3692: @188568
     /* 188568 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(188605), // Rule ID 8860 //
     /* 188573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrb),
     /* 188581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1254:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_0:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_0),
     /* 188597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188599 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188601 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188603 */     GIR_RootConstrainSelectedInstOperands,
     /* 188604 */     // GIR_Coverage, 8860,
     /* 188604 */     GIR_EraseRootFromParent_Done,
     /* 188605 */   // Label 3693: @188605
     /* 188605 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(188642), // Rule ID 8861 //
     /* 188610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrh),
     /* 188618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188631 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1256:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_1:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_1),
     /* 188634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188640 */     GIR_RootConstrainSelectedInstOperands,
     /* 188641 */     // GIR_Coverage, 8861,
     /* 188641 */     GIR_EraseRootFromParent_Done,
     /* 188642 */   // Label 3694: @188642
     /* 188642 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(188679), // Rule ID 8862 //
     /* 188647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrw),
     /* 188655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1257:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_2),
     /* 188671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188673 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188675 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188677 */     GIR_RootConstrainSelectedInstOperands,
     /* 188678 */     // GIR_Coverage, 8862,
     /* 188678 */     GIR_EraseRootFromParent_Done,
     /* 188679 */   // Label 3695: @188679
     /* 188679 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(188716), // Rule ID 8863 //
     /* 188684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrd),
     /* 188692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 188695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 188698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 188701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188705 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1255:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADR_LSL_ZZZ_S_3:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 188705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_S_3),
     /* 188708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188714 */     GIR_RootConstrainSelectedInstOperands,
     /* 188715 */     // GIR_Coverage, 8863,
     /* 188715 */     GIR_EraseRootFromParent_Done,
     /* 188716 */   // Label 3696: @188716
     /* 188716 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(188753), // Rule ID 8864 //
     /* 188721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrb),
     /* 188729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188742 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1254:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_0:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_0),
     /* 188745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188747 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188749 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188751 */     GIR_RootConstrainSelectedInstOperands,
     /* 188752 */     // GIR_Coverage, 8864,
     /* 188752 */     GIR_EraseRootFromParent_Done,
     /* 188753 */   // Label 3697: @188753
     /* 188753 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(188790), // Rule ID 8865 //
     /* 188758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrh),
     /* 188766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188779 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1256:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_1:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_1),
     /* 188782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188786 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188788 */     GIR_RootConstrainSelectedInstOperands,
     /* 188789 */     // GIR_Coverage, 8865,
     /* 188789 */     GIR_EraseRootFromParent_Done,
     /* 188790 */   // Label 3698: @188790
     /* 188790 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(188827), // Rule ID 8866 //
     /* 188795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrw),
     /* 188803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1257:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_2),
     /* 188819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188821 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188823 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188825 */     GIR_RootConstrainSelectedInstOperands,
     /* 188826 */     // GIR_Coverage, 8866,
     /* 188826 */     GIR_EraseRootFromParent_Done,
     /* 188827 */   // Label 3699: @188827
     /* 188827 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(188864), // Rule ID 8867 //
     /* 188832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 188835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adrd),
     /* 188840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 188843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 188846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 188849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 188853 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1255:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADR_LSL_ZZZ_D_3:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 188853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADR_LSL_ZZZ_D_3),
     /* 188856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 188858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188860 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188862 */     GIR_RootConstrainSelectedInstOperands,
     /* 188863 */     // GIR_Coverage, 8867,
     /* 188863 */     GIR_EraseRootFromParent_Done,
     /* 188864 */   // Label 3700: @188864
     /* 188864 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(188904), // Rule ID 9867 //
     /* 188869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 188877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 188880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188890 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2114:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_B),
     /* 188893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188895 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188897 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188902 */     GIR_RootConstrainSelectedInstOperands,
     /* 188903 */     // GIR_Coverage, 9867,
     /* 188903 */     GIR_EraseRootFromParent_Done,
     /* 188904 */   // Label 3701: @188904
     /* 188904 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(188944), // Rule ID 9868 //
     /* 188909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 188917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 188920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188930 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2114:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_H),
     /* 188933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188935 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188937 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188942 */     GIR_RootConstrainSelectedInstOperands,
     /* 188943 */     // GIR_Coverage, 9868,
     /* 188943 */     GIR_EraseRootFromParent_Done,
     /* 188944 */   // Label 3702: @188944
     /* 188944 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(188984), // Rule ID 9869 //
     /* 188949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 188957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 188960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 188963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 188966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 188970 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2114:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 188970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_S),
     /* 188973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 188975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 188977 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 188979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 188982 */     GIR_RootConstrainSelectedInstOperands,
     /* 188983 */     // GIR_Coverage, 9869,
     /* 188983 */     GIR_EraseRootFromParent_Done,
     /* 188984 */   // Label 3703: @188984
     /* 188984 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(189024), // Rule ID 9870 //
     /* 188989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 188992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 188997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 189000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189010 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2114:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELE_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PWW_D),
     /* 189013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189015 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189017 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189019 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189022 */     GIR_RootConstrainSelectedInstOperands,
     /* 189023 */     // GIR_Coverage, 9870,
     /* 189023 */     GIR_EraseRootFromParent_Done,
     /* 189024 */   // Label 3704: @189024
     /* 189024 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(189064), // Rule ID 9871 //
     /* 189029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 189040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189050 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2120:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_B),
     /* 189053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189057 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189062 */     GIR_RootConstrainSelectedInstOperands,
     /* 189063 */     // GIR_Coverage, 9871,
     /* 189063 */     GIR_EraseRootFromParent_Done,
     /* 189064 */   // Label 3705: @189064
     /* 189064 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(189104), // Rule ID 9872 //
     /* 189069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 189080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189090 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2120:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_H),
     /* 189093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189095 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189097 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189102 */     GIR_RootConstrainSelectedInstOperands,
     /* 189103 */     // GIR_Coverage, 9872,
     /* 189103 */     GIR_EraseRootFromParent_Done,
     /* 189104 */   // Label 3706: @189104
     /* 189104 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(189144), // Rule ID 9873 //
     /* 189109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 189120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189130 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2120:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_S),
     /* 189133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189135 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189137 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189139 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189142 */     GIR_RootConstrainSelectedInstOperands,
     /* 189143 */     // GIR_Coverage, 9873,
     /* 189143 */     GIR_EraseRootFromParent_Done,
     /* 189144 */   // Label 3707: @189144
     /* 189144 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(189184), // Rule ID 9874 //
     /* 189149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 189160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189170 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2120:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELO_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PWW_D),
     /* 189173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189177 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189182 */     GIR_RootConstrainSelectedInstOperands,
     /* 189183 */     // GIR_Coverage, 9874,
     /* 189183 */     GIR_EraseRootFromParent_Done,
     /* 189184 */   // Label 3708: @189184
     /* 189184 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(189224), // Rule ID 9879 //
     /* 189189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 189200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189210 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2126:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_B),
     /* 189213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189215 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189217 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189222 */     GIR_RootConstrainSelectedInstOperands,
     /* 189223 */     // GIR_Coverage, 9879,
     /* 189223 */     GIR_EraseRootFromParent_Done,
     /* 189224 */   // Label 3709: @189224
     /* 189224 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(189264), // Rule ID 9880 //
     /* 189229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 189240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189250 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2126:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_H),
     /* 189253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189255 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189257 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189262 */     GIR_RootConstrainSelectedInstOperands,
     /* 189263 */     // GIR_Coverage, 9880,
     /* 189263 */     GIR_EraseRootFromParent_Done,
     /* 189264 */   // Label 3710: @189264
     /* 189264 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(189304), // Rule ID 9881 //
     /* 189269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 189280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189290 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2126:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_S),
     /* 189293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189297 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189302 */     GIR_RootConstrainSelectedInstOperands,
     /* 189303 */     // GIR_Coverage, 9881,
     /* 189303 */     GIR_EraseRootFromParent_Done,
     /* 189304 */   // Label 3711: @189304
     /* 189304 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(189344), // Rule ID 9882 //
     /* 189309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 189320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 189323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 189326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189330 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2126:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILELS_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 189330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PWW_D),
     /* 189333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189335 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189337 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189342 */     GIR_RootConstrainSelectedInstOperands,
     /* 189343 */     // GIR_Coverage, 9882,
     /* 189343 */     GIR_EraseRootFromParent_Done,
     /* 189344 */   // Label 3712: @189344
     /* 189344 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(189384), // Rule ID 9883 //
     /* 189349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 189357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 189360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189370 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2114:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_B),
     /* 189373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189377 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189382 */     GIR_RootConstrainSelectedInstOperands,
     /* 189383 */     // GIR_Coverage, 9883,
     /* 189383 */     GIR_EraseRootFromParent_Done,
     /* 189384 */   // Label 3713: @189384
     /* 189384 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(189424), // Rule ID 9884 //
     /* 189389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 189397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 189400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189410 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2114:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_H),
     /* 189413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189422 */     GIR_RootConstrainSelectedInstOperands,
     /* 189423 */     // GIR_Coverage, 9884,
     /* 189423 */     GIR_EraseRootFromParent_Done,
     /* 189424 */   // Label 3714: @189424
     /* 189424 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(189464), // Rule ID 9885 //
     /* 189429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 189437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 189440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189450 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2114:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_S),
     /* 189453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189455 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189457 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189462 */     GIR_RootConstrainSelectedInstOperands,
     /* 189463 */     // GIR_Coverage, 9885,
     /* 189463 */     GIR_EraseRootFromParent_Done,
     /* 189464 */   // Label 3715: @189464
     /* 189464 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(189504), // Rule ID 9886 //
     /* 189469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilele),
     /* 189477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 189480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189490 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2114:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELE_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELE_PXX_D),
     /* 189493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189495 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189497 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189502 */     GIR_RootConstrainSelectedInstOperands,
     /* 189503 */     // GIR_Coverage, 9886,
     /* 189503 */     GIR_EraseRootFromParent_Done,
     /* 189504 */   // Label 3716: @189504
     /* 189504 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(189544), // Rule ID 9887 //
     /* 189509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 189520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189530 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2120:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_B),
     /* 189533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189537 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189542 */     GIR_RootConstrainSelectedInstOperands,
     /* 189543 */     // GIR_Coverage, 9887,
     /* 189543 */     GIR_EraseRootFromParent_Done,
     /* 189544 */   // Label 3717: @189544
     /* 189544 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(189584), // Rule ID 9888 //
     /* 189549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 189560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189570 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2120:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_H),
     /* 189573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189577 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189582 */     GIR_RootConstrainSelectedInstOperands,
     /* 189583 */     // GIR_Coverage, 9888,
     /* 189583 */     GIR_EraseRootFromParent_Done,
     /* 189584 */   // Label 3718: @189584
     /* 189584 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(189624), // Rule ID 9889 //
     /* 189589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 189600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189610 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2120:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_S),
     /* 189613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189615 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189617 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189622 */     GIR_RootConstrainSelectedInstOperands,
     /* 189623 */     // GIR_Coverage, 9889,
     /* 189623 */     GIR_EraseRootFromParent_Done,
     /* 189624 */   // Label 3719: @189624
     /* 189624 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(189664), // Rule ID 9890 //
     /* 189629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilelo),
     /* 189637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 189640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189650 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2120:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELO_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELO_PXX_D),
     /* 189653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189655 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189657 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189662 */     GIR_RootConstrainSelectedInstOperands,
     /* 189663 */     // GIR_Coverage, 9890,
     /* 189663 */     GIR_EraseRootFromParent_Done,
     /* 189664 */   // Label 3720: @189664
     /* 189664 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(189704), // Rule ID 9895 //
     /* 189669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 189680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189690 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2126:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_B),
     /* 189693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189695 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189697 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189702 */     GIR_RootConstrainSelectedInstOperands,
     /* 189703 */     // GIR_Coverage, 9895,
     /* 189703 */     GIR_EraseRootFromParent_Done,
     /* 189704 */   // Label 3721: @189704
     /* 189704 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(189744), // Rule ID 9896 //
     /* 189709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 189720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189730 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2126:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_H),
     /* 189733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189735 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189737 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189742 */     GIR_RootConstrainSelectedInstOperands,
     /* 189743 */     // GIR_Coverage, 9896,
     /* 189743 */     GIR_EraseRootFromParent_Done,
     /* 189744 */   // Label 3722: @189744
     /* 189744 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(189784), // Rule ID 9897 //
     /* 189749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 189760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189770 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2126:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 189773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189775 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189777 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189782 */     GIR_RootConstrainSelectedInstOperands,
     /* 189783 */     // GIR_Coverage, 9897,
     /* 189783 */     GIR_EraseRootFromParent_Done,
     /* 189784 */   // Label 3723: @189784
     /* 189784 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(189824), // Rule ID 9898 //
     /* 189789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilels),
     /* 189797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 189800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 189803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 189806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 189810 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2126:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILELS_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 189810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 189813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 189815 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189817 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 189822 */     GIR_RootConstrainSelectedInstOperands,
     /* 189823 */     // GIR_Coverage, 9898,
     /* 189823 */     GIR_EraseRootFromParent_Done,
     /* 189824 */   // Label 3724: @189824
     /* 189824 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(189861), // Rule ID 10057 //
     /* 189829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp),
     /* 189837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 189840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 189843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 189846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189850 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2024:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UQINCP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 189850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_ZP_H),
     /* 189853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 189855 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189857 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189859 */     GIR_RootConstrainSelectedInstOperands,
     /* 189860 */     // GIR_Coverage, 10057,
     /* 189860 */     GIR_EraseRootFromParent_Done,
     /* 189861 */   // Label 3725: @189861
     /* 189861 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(189898), // Rule ID 10058 //
     /* 189866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp),
     /* 189874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 189877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 189880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 189883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2024:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UQINCP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 189887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_ZP_S),
     /* 189890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 189892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189894 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189896 */     GIR_RootConstrainSelectedInstOperands,
     /* 189897 */     // GIR_Coverage, 10058,
     /* 189897 */     GIR_EraseRootFromParent_Done,
     /* 189898 */   // Label 3726: @189898
     /* 189898 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(189935), // Rule ID 10059 //
     /* 189903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincp),
     /* 189911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 189914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 189917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 189920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189924 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2024:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UQINCP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 189924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCP_ZP_D),
     /* 189927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 189929 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189931 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189933 */     GIR_RootConstrainSelectedInstOperands,
     /* 189934 */     // GIR_Coverage, 10059,
     /* 189934 */     GIR_EraseRootFromParent_Done,
     /* 189935 */   // Label 3727: @189935
     /* 189935 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(189972), // Rule ID 10060 //
     /* 189940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp),
     /* 189948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 189951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 189954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 189957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189961 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1779:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (SQDECP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 189961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_ZP_H),
     /* 189964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 189966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 189968 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 189970 */     GIR_RootConstrainSelectedInstOperands,
     /* 189971 */     // GIR_Coverage, 10060,
     /* 189971 */     GIR_EraseRootFromParent_Done,
     /* 189972 */   // Label 3728: @189972
     /* 189972 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(190009), // Rule ID 10061 //
     /* 189977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 189980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp),
     /* 189985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 189988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 189991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 189994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 189998 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1779:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (SQDECP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 189998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_ZP_S),
     /* 190001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 190003 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190007 */     GIR_RootConstrainSelectedInstOperands,
     /* 190008 */     // GIR_Coverage, 10061,
     /* 190008 */     GIR_EraseRootFromParent_Done,
     /* 190009 */   // Label 3729: @190009
     /* 190009 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(190046), // Rule ID 10062 //
     /* 190014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 190017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecp),
     /* 190022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 190031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190035 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1779:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (SQDECP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 190035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECP_ZP_D),
     /* 190038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 190040 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190042 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190044 */     GIR_RootConstrainSelectedInstOperands,
     /* 190045 */     // GIR_Coverage, 10062,
     /* 190045 */     GIR_EraseRootFromParent_Done,
     /* 190046 */   // Label 3730: @190046
     /* 190046 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(190083), // Rule ID 10063 //
     /* 190051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 190054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp),
     /* 190059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 190068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190072 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2010:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UQDECP_ZP_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 190072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_ZP_H),
     /* 190075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 190077 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190079 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190081 */     GIR_RootConstrainSelectedInstOperands,
     /* 190082 */     // GIR_Coverage, 10063,
     /* 190082 */     GIR_EraseRootFromParent_Done,
     /* 190083 */   // Label 3731: @190083
     /* 190083 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(190120), // Rule ID 10064 //
     /* 190088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 190091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp),
     /* 190096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 190105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190109 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2010:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UQDECP_ZP_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 190109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_ZP_S),
     /* 190112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 190114 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190116 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190118 */     GIR_RootConstrainSelectedInstOperands,
     /* 190119 */     // GIR_Coverage, 10064,
     /* 190119 */     GIR_EraseRootFromParent_Done,
     /* 190120 */   // Label 3732: @190120
     /* 190120 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(190157), // Rule ID 10065 //
     /* 190125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 190128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecp),
     /* 190133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 190142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2010:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UQDECP_ZP_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 190146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECP_ZP_D),
     /* 190149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 190151 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190153 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190155 */     GIR_RootConstrainSelectedInstOperands,
     /* 190156 */     // GIR_Coverage, 10065,
     /* 190156 */     GIR_EraseRootFromParent_Done,
     /* 190157 */   // Label 3733: @190157
     /* 190157 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(190194), // Rule ID 11253 //
     /* 190162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 190170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 190173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 190176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190183 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2159:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 190186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190192 */     GIR_RootConstrainSelectedInstOperands,
     /* 190193 */     // GIR_Coverage, 11253,
     /* 190193 */     GIR_EraseRootFromParent_Done,
     /* 190194 */   // Label 3734: @190194
     /* 190194 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(190231), // Rule ID 11254 //
     /* 190199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 190207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190220 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2159:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 190223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190229 */     GIR_RootConstrainSelectedInstOperands,
     /* 190230 */     // GIR_Coverage, 11254,
     /* 190230 */     GIR_EraseRootFromParent_Done,
     /* 190231 */   // Label 3735: @190231
     /* 190231 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(190268), // Rule ID 11255 //
     /* 190236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 190244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190257 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2159:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 190257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 190260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190262 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190264 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190266 */     GIR_RootConstrainSelectedInstOperands,
     /* 190267 */     // GIR_Coverage, 11255,
     /* 190267 */     GIR_EraseRootFromParent_Done,
     /* 190268 */   // Label 3736: @190268
     /* 190268 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(190305), // Rule ID 11256 //
     /* 190273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 190281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2159:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 190297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190299 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190301 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190303 */     GIR_RootConstrainSelectedInstOperands,
     /* 190304 */     // GIR_Coverage, 11256,
     /* 190304 */     GIR_EraseRootFromParent_Done,
     /* 190305 */   // Label 3737: @190305
     /* 190305 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(190342), // Rule ID 11257 //
     /* 190310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 190318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190331 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2159:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 190331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 190334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190338 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190340 */     GIR_RootConstrainSelectedInstOperands,
     /* 190341 */     // GIR_Coverage, 11257,
     /* 190341 */     GIR_EraseRootFromParent_Done,
     /* 190342 */   // Label 3738: @190342
     /* 190342 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(190379), // Rule ID 11258 //
     /* 190347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 190355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190368 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2159:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 190371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190373 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190375 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190377 */     GIR_RootConstrainSelectedInstOperands,
     /* 190378 */     // GIR_Coverage, 11258,
     /* 190378 */     GIR_EraseRootFromParent_Done,
     /* 190379 */   // Label 3739: @190379
     /* 190379 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(190416), // Rule ID 11259 //
     /* 190384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zip2q),
     /* 190392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190405 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2159:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP2_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 190405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_Q),
     /* 190408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190410 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190412 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190414 */     GIR_RootConstrainSelectedInstOperands,
     /* 190415 */     // GIR_Coverage, 11259,
     /* 190415 */     GIR_EraseRootFromParent_Done,
     /* 190416 */   // Label 3740: @190416
     /* 190416 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(190453), // Rule ID 11260 //
     /* 190421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 190429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 190432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 190435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190442 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2080:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 190445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190447 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190449 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190451 */     GIR_RootConstrainSelectedInstOperands,
     /* 190452 */     // GIR_Coverage, 11260,
     /* 190452 */     GIR_EraseRootFromParent_Done,
     /* 190453 */   // Label 3741: @190453
     /* 190453 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(190490), // Rule ID 11261 //
     /* 190458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 190466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190479 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2080:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 190482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190484 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190486 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190488 */     GIR_RootConstrainSelectedInstOperands,
     /* 190489 */     // GIR_Coverage, 11261,
     /* 190489 */     GIR_EraseRootFromParent_Done,
     /* 190490 */   // Label 3742: @190490
     /* 190490 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(190527), // Rule ID 11262 //
     /* 190495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 190503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190516 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2080:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 190516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 190519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190521 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190523 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190525 */     GIR_RootConstrainSelectedInstOperands,
     /* 190526 */     // GIR_Coverage, 11262,
     /* 190526 */     GIR_EraseRootFromParent_Done,
     /* 190527 */   // Label 3743: @190527
     /* 190527 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(190564), // Rule ID 11263 //
     /* 190532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 190540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190553 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2080:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 190556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190560 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190562 */     GIR_RootConstrainSelectedInstOperands,
     /* 190563 */     // GIR_Coverage, 11263,
     /* 190563 */     GIR_EraseRootFromParent_Done,
     /* 190564 */   // Label 3744: @190564
     /* 190564 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(190601), // Rule ID 11264 //
     /* 190569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 190577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190590 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2080:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 190590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 190593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190595 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190597 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190599 */     GIR_RootConstrainSelectedInstOperands,
     /* 190600 */     // GIR_Coverage, 11264,
     /* 190600 */     GIR_EraseRootFromParent_Done,
     /* 190601 */   // Label 3745: @190601
     /* 190601 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(190638), // Rule ID 11265 //
     /* 190606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 190614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2080:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 190630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190632 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190634 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190636 */     GIR_RootConstrainSelectedInstOperands,
     /* 190637 */     // GIR_Coverage, 11265,
     /* 190637 */     GIR_EraseRootFromParent_Done,
     /* 190638 */   // Label 3746: @190638
     /* 190638 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(190675), // Rule ID 11266 //
     /* 190643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp1q),
     /* 190651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190664 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2080:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP1_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 190664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_Q),
     /* 190667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190669 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190671 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190673 */     GIR_RootConstrainSelectedInstOperands,
     /* 190674 */     // GIR_Coverage, 11266,
     /* 190674 */     GIR_EraseRootFromParent_Done,
     /* 190675 */   // Label 3747: @190675
     /* 190675 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(190712), // Rule ID 11267 //
     /* 190680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 190691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 190694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190701 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2085:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190710 */     GIR_RootConstrainSelectedInstOperands,
     /* 190711 */     // GIR_Coverage, 11267,
     /* 190711 */     GIR_EraseRootFromParent_Done,
     /* 190712 */   // Label 3748: @190712
     /* 190712 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(190749), // Rule ID 11268 //
     /* 190717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190738 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2085:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190743 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190745 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190747 */     GIR_RootConstrainSelectedInstOperands,
     /* 190748 */     // GIR_Coverage, 11268,
     /* 190748 */     GIR_EraseRootFromParent_Done,
     /* 190749 */   // Label 3749: @190749
     /* 190749 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(190786), // Rule ID 11269 //
     /* 190754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190775 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2085:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 190775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190780 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190782 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190784 */     GIR_RootConstrainSelectedInstOperands,
     /* 190785 */     // GIR_Coverage, 11269,
     /* 190785 */     GIR_EraseRootFromParent_Done,
     /* 190786 */   // Label 3750: @190786
     /* 190786 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(190823), // Rule ID 11270 //
     /* 190791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190812 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2085:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 190812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190817 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190819 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190821 */     GIR_RootConstrainSelectedInstOperands,
     /* 190822 */     // GIR_Coverage, 11270,
     /* 190822 */     GIR_EraseRootFromParent_Done,
     /* 190823 */   // Label 3751: @190823
     /* 190823 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(190860), // Rule ID 11271 //
     /* 190828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 190839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 190842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 190845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190849 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2085:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 190849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190854 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190856 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190858 */     GIR_RootConstrainSelectedInstOperands,
     /* 190859 */     // GIR_Coverage, 11271,
     /* 190859 */     GIR_EraseRootFromParent_Done,
     /* 190860 */   // Label 3752: @190860
     /* 190860 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(190897), // Rule ID 11272 //
     /* 190865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2085:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 190886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190891 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190893 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190895 */     GIR_RootConstrainSelectedInstOperands,
     /* 190896 */     // GIR_Coverage, 11272,
     /* 190896 */     GIR_EraseRootFromParent_Done,
     /* 190897 */   // Label 3753: @190897
     /* 190897 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(190934), // Rule ID 11273 //
     /* 190902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzp2q),
     /* 190910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 190913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 190916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 190919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190923 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2085:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP2_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 190923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_Q),
     /* 190926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190930 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190932 */     GIR_RootConstrainSelectedInstOperands,
     /* 190933 */     // GIR_Coverage, 11273,
     /* 190933 */     GIR_EraseRootFromParent_Done,
     /* 190934 */   // Label 3754: @190934
     /* 190934 */   GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(190971), // Rule ID 11274 //
     /* 190939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 190947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 190950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 190953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 190956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190960 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1924:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 190960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 190963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 190965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 190967 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 190969 */     GIR_RootConstrainSelectedInstOperands,
     /* 190970 */     // GIR_Coverage, 11274,
     /* 190970 */     GIR_EraseRootFromParent_Done,
     /* 190971 */   // Label 3755: @190971
     /* 190971 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(191008), // Rule ID 11275 //
     /* 190976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 190979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 190984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 190987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 190990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 190993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 190997 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1924:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 190997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 191000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191004 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191006 */     GIR_RootConstrainSelectedInstOperands,
     /* 191007 */     // GIR_Coverage, 11275,
     /* 191007 */     GIR_EraseRootFromParent_Done,
     /* 191008 */   // Label 3756: @191008
     /* 191008 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(191045), // Rule ID 11276 //
     /* 191013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 191021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191034 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1924:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 191034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 191037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191039 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191041 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191043 */     GIR_RootConstrainSelectedInstOperands,
     /* 191044 */     // GIR_Coverage, 11276,
     /* 191044 */     GIR_EraseRootFromParent_Done,
     /* 191045 */   // Label 3757: @191045
     /* 191045 */   GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(191082), // Rule ID 11277 //
     /* 191050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 191058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1924:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 191074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191078 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191080 */     GIR_RootConstrainSelectedInstOperands,
     /* 191081 */     // GIR_Coverage, 11277,
     /* 191081 */     GIR_EraseRootFromParent_Done,
     /* 191082 */   // Label 3758: @191082
     /* 191082 */   GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(191119), // Rule ID 11278 //
     /* 191087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 191095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191108 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1924:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 191108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 191111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191115 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191117 */     GIR_RootConstrainSelectedInstOperands,
     /* 191118 */     // GIR_Coverage, 11278,
     /* 191118 */     GIR_EraseRootFromParent_Done,
     /* 191119 */   // Label 3759: @191119
     /* 191119 */   GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(191156), // Rule ID 11279 //
     /* 191124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 191132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191145 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1924:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 191145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 191148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191150 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191154 */     GIR_RootConstrainSelectedInstOperands,
     /* 191155 */     // GIR_Coverage, 11279,
     /* 191155 */     GIR_EraseRootFromParent_Done,
     /* 191156 */   // Label 3760: @191156
     /* 191156 */   GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(191193), // Rule ID 11280 //
     /* 191161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn1q),
     /* 191169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191182 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1924:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN1_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 191182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_Q),
     /* 191185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191187 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191189 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191191 */     GIR_RootConstrainSelectedInstOperands,
     /* 191192 */     // GIR_Coverage, 11280,
     /* 191192 */     GIR_EraseRootFromParent_Done,
     /* 191193 */   // Label 3761: @191193
     /* 191193 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(191230), // Rule ID 11281 //
     /* 191198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 191206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 191209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191219 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1929:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 191222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191226 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191228 */     GIR_RootConstrainSelectedInstOperands,
     /* 191229 */     // GIR_Coverage, 11281,
     /* 191229 */     GIR_EraseRootFromParent_Done,
     /* 191230 */   // Label 3762: @191230
     /* 191230 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(191267), // Rule ID 11282 //
     /* 191235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 191243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191256 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1929:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 191259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191261 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191263 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191265 */     GIR_RootConstrainSelectedInstOperands,
     /* 191266 */     // GIR_Coverage, 11282,
     /* 191266 */     GIR_EraseRootFromParent_Done,
     /* 191267 */   // Label 3763: @191267
     /* 191267 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(191304), // Rule ID 11283 //
     /* 191272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 191280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191293 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1929:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 191293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 191296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191300 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191302 */     GIR_RootConstrainSelectedInstOperands,
     /* 191303 */     // GIR_Coverage, 11283,
     /* 191303 */     GIR_EraseRootFromParent_Done,
     /* 191304 */   // Label 3764: @191304
     /* 191304 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(191341), // Rule ID 11284 //
     /* 191309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 191317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1929:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 191333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191335 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191337 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191339 */     GIR_RootConstrainSelectedInstOperands,
     /* 191340 */     // GIR_Coverage, 11284,
     /* 191340 */     GIR_EraseRootFromParent_Done,
     /* 191341 */   // Label 3765: @191341
     /* 191341 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(191378), // Rule ID 11285 //
     /* 191346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 191354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191367 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1929:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 191367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 191370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191372 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191374 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191376 */     GIR_RootConstrainSelectedInstOperands,
     /* 191377 */     // GIR_Coverage, 11285,
     /* 191377 */     GIR_EraseRootFromParent_Done,
     /* 191378 */   // Label 3766: @191378
     /* 191378 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(191415), // Rule ID 11286 //
     /* 191383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 191391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191404 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1929:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 191404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 191407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191409 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191411 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191413 */     GIR_RootConstrainSelectedInstOperands,
     /* 191414 */     // GIR_Coverage, 11286,
     /* 191414 */     GIR_EraseRootFromParent_Done,
     /* 191415 */   // Label 3767: @191415
     /* 191415 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(191452), // Rule ID 11287 //
     /* 191420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE_or_SME),
     /* 191423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_trn2q),
     /* 191428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191441 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1929:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN2_ZZZ_Q:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 191441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_Q),
     /* 191444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191450 */     GIR_RootConstrainSelectedInstOperands,
     /* 191451 */     // GIR_Coverage, 11287,
     /* 191451 */     GIR_EraseRootFromParent_Done,
     /* 191452 */   // Label 3768: @191452
     /* 191452 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(191489), // Rule ID 11307 //
     /* 191457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 191465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 191468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191478 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1826:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQRDMULH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_B),
     /* 191481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191483 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191485 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191487 */     GIR_RootConstrainSelectedInstOperands,
     /* 191488 */     // GIR_Coverage, 11307,
     /* 191488 */     GIR_EraseRootFromParent_Done,
     /* 191489 */   // Label 3769: @191489
     /* 191489 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(191526), // Rule ID 11308 //
     /* 191494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 191502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191515 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1826:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQRDMULH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_H),
     /* 191518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191520 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191524 */     GIR_RootConstrainSelectedInstOperands,
     /* 191525 */     // GIR_Coverage, 11308,
     /* 191525 */     GIR_EraseRootFromParent_Done,
     /* 191526 */   // Label 3770: @191526
     /* 191526 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(191563), // Rule ID 11309 //
     /* 191531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 191539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1826:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQRDMULH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_S),
     /* 191555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191557 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191559 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191561 */     GIR_RootConstrainSelectedInstOperands,
     /* 191562 */     // GIR_Coverage, 11309,
     /* 191562 */     GIR_EraseRootFromParent_Done,
     /* 191563 */   // Label 3771: @191563
     /* 191563 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(191600), // Rule ID 11310 //
     /* 191568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh),
     /* 191576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 191582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 191585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191589 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1826:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQRDMULH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 191589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZ_D),
     /* 191592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191594 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191596 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191598 */     GIR_RootConstrainSelectedInstOperands,
     /* 191599 */     // GIR_Coverage, 11310,
     /* 191599 */     GIR_EraseRootFromParent_Done,
     /* 191600 */   // Label 3772: @191600
     /* 191600 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(191637), // Rule ID 11598 //
     /* 191605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlt),
     /* 191613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191626 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1690:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SADDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLT_ZZZ_H),
     /* 191629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191631 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191633 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191635 */     GIR_RootConstrainSelectedInstOperands,
     /* 191636 */     // GIR_Coverage, 11598,
     /* 191636 */     GIR_EraseRootFromParent_Done,
     /* 191637 */   // Label 3773: @191637
     /* 191637 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(191674), // Rule ID 11599 //
     /* 191642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlt),
     /* 191650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191663 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1690:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SADDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLT_ZZZ_S),
     /* 191666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191668 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191670 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191672 */     GIR_RootConstrainSelectedInstOperands,
     /* 191673 */     // GIR_Coverage, 11599,
     /* 191673 */     GIR_EraseRootFromParent_Done,
     /* 191674 */   // Label 3774: @191674
     /* 191674 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(191711), // Rule ID 11600 //
     /* 191679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saddlt),
     /* 191687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191700 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1690:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SADDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLT_ZZZ_D),
     /* 191703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191709 */     GIR_RootConstrainSelectedInstOperands,
     /* 191710 */     // GIR_Coverage, 11600,
     /* 191710 */     GIR_EraseRootFromParent_Done,
     /* 191711 */   // Label 3775: @191711
     /* 191711 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(191748), // Rule ID 11601 //
     /* 191716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlb),
     /* 191724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191737 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1938:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UADDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLB_ZZZ_H),
     /* 191740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191746 */     GIR_RootConstrainSelectedInstOperands,
     /* 191747 */     // GIR_Coverage, 11601,
     /* 191747 */     GIR_EraseRootFromParent_Done,
     /* 191748 */   // Label 3776: @191748
     /* 191748 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(191785), // Rule ID 11602 //
     /* 191753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlb),
     /* 191761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1938:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UADDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLB_ZZZ_S),
     /* 191777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191779 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191781 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191783 */     GIR_RootConstrainSelectedInstOperands,
     /* 191784 */     // GIR_Coverage, 11602,
     /* 191784 */     GIR_EraseRootFromParent_Done,
     /* 191785 */   // Label 3777: @191785
     /* 191785 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(191822), // Rule ID 11603 //
     /* 191790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlb),
     /* 191798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1938:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UADDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLB_ZZZ_D),
     /* 191814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191816 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191818 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191820 */     GIR_RootConstrainSelectedInstOperands,
     /* 191821 */     // GIR_Coverage, 11603,
     /* 191821 */     GIR_EraseRootFromParent_Done,
     /* 191822 */   // Label 3778: @191822
     /* 191822 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(191859), // Rule ID 11604 //
     /* 191827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlt),
     /* 191835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191848 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1939:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UADDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLT_ZZZ_H),
     /* 191851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191853 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191855 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191857 */     GIR_RootConstrainSelectedInstOperands,
     /* 191858 */     // GIR_Coverage, 11604,
     /* 191858 */     GIR_EraseRootFromParent_Done,
     /* 191859 */   // Label 3779: @191859
     /* 191859 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(191896), // Rule ID 11605 //
     /* 191864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlt),
     /* 191872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191885 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1939:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UADDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLT_ZZZ_S),
     /* 191888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191890 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191892 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191894 */     GIR_RootConstrainSelectedInstOperands,
     /* 191895 */     // GIR_Coverage, 11605,
     /* 191895 */     GIR_EraseRootFromParent_Done,
     /* 191896 */   // Label 3780: @191896
     /* 191896 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(191933), // Rule ID 11606 //
     /* 191901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaddlt),
     /* 191909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 191912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 191915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 191918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1939:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UADDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 191922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLT_ZZZ_D),
     /* 191925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191927 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191929 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191931 */     GIR_RootConstrainSelectedInstOperands,
     /* 191932 */     // GIR_Coverage, 11606,
     /* 191932 */     GIR_EraseRootFromParent_Done,
     /* 191933 */   // Label 3781: @191933
     /* 191933 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(191970), // Rule ID 11607 //
     /* 191938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublb),
     /* 191946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 191949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 191952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 191955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191959 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1867:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 191959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLB_ZZZ_H),
     /* 191962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 191964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 191966 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 191968 */     GIR_RootConstrainSelectedInstOperands,
     /* 191969 */     // GIR_Coverage, 11607,
     /* 191969 */     GIR_EraseRootFromParent_Done,
     /* 191970 */   // Label 3782: @191970
     /* 191970 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(192007), // Rule ID 11608 //
     /* 191975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 191978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublb),
     /* 191983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 191986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 191989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 191992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 191996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1867:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 191996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLB_ZZZ_S),
     /* 191999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192001 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192003 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192005 */     GIR_RootConstrainSelectedInstOperands,
     /* 192006 */     // GIR_Coverage, 11608,
     /* 192006 */     GIR_EraseRootFromParent_Done,
     /* 192007 */   // Label 3783: @192007
     /* 192007 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(192044), // Rule ID 11609 //
     /* 192012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublb),
     /* 192020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1867:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLB_ZZZ_D),
     /* 192036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192038 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192040 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192042 */     GIR_RootConstrainSelectedInstOperands,
     /* 192043 */     // GIR_Coverage, 11609,
     /* 192043 */     GIR_EraseRootFromParent_Done,
     /* 192044 */   // Label 3784: @192044
     /* 192044 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(192081), // Rule ID 11610 //
     /* 192049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublt),
     /* 192057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192070 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1869:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLT_ZZZ_H),
     /* 192073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192075 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192077 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192079 */     GIR_RootConstrainSelectedInstOperands,
     /* 192080 */     // GIR_Coverage, 11610,
     /* 192080 */     GIR_EraseRootFromParent_Done,
     /* 192081 */   // Label 3785: @192081
     /* 192081 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(192118), // Rule ID 11611 //
     /* 192086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublt),
     /* 192094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192107 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1869:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLT_ZZZ_S),
     /* 192110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192116 */     GIR_RootConstrainSelectedInstOperands,
     /* 192117 */     // GIR_Coverage, 11611,
     /* 192117 */     GIR_EraseRootFromParent_Done,
     /* 192118 */   // Label 3786: @192118
     /* 192118 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(192155), // Rule ID 11612 //
     /* 192123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublt),
     /* 192131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1869:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLT_ZZZ_D),
     /* 192147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192151 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192153 */     GIR_RootConstrainSelectedInstOperands,
     /* 192154 */     // GIR_Coverage, 11612,
     /* 192154 */     GIR_EraseRootFromParent_Done,
     /* 192155 */   // Label 3787: @192155
     /* 192155 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(192192), // Rule ID 11613 //
     /* 192160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublb),
     /* 192168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192181 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2063:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLB_ZZZ_H),
     /* 192184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192188 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192190 */     GIR_RootConstrainSelectedInstOperands,
     /* 192191 */     // GIR_Coverage, 11613,
     /* 192191 */     GIR_EraseRootFromParent_Done,
     /* 192192 */   // Label 3788: @192192
     /* 192192 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(192229), // Rule ID 11614 //
     /* 192197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublb),
     /* 192205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192218 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2063:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLB_ZZZ_S),
     /* 192221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192223 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192225 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192227 */     GIR_RootConstrainSelectedInstOperands,
     /* 192228 */     // GIR_Coverage, 11614,
     /* 192228 */     GIR_EraseRootFromParent_Done,
     /* 192229 */   // Label 3789: @192229
     /* 192229 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(192266), // Rule ID 11615 //
     /* 192234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublb),
     /* 192242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192255 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2063:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLB_ZZZ_D),
     /* 192258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192264 */     GIR_RootConstrainSelectedInstOperands,
     /* 192265 */     // GIR_Coverage, 11615,
     /* 192265 */     GIR_EraseRootFromParent_Done,
     /* 192266 */   // Label 3790: @192266
     /* 192266 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(192303), // Rule ID 11616 //
     /* 192271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublt),
     /* 192279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2064:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLT_ZZZ_H),
     /* 192295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192297 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192299 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192301 */     GIR_RootConstrainSelectedInstOperands,
     /* 192302 */     // GIR_Coverage, 11616,
     /* 192302 */     GIR_EraseRootFromParent_Done,
     /* 192303 */   // Label 3791: @192303
     /* 192303 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(192340), // Rule ID 11617 //
     /* 192308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublt),
     /* 192316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192329 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2064:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLT_ZZZ_S),
     /* 192332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192334 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192336 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192338 */     GIR_RootConstrainSelectedInstOperands,
     /* 192339 */     // GIR_Coverage, 11617,
     /* 192339 */     GIR_EraseRootFromParent_Done,
     /* 192340 */   // Label 3792: @192340
     /* 192340 */   GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(192377), // Rule ID 11618 //
     /* 192345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usublt),
     /* 192353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192366 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2064:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBLT_ZZZ_D),
     /* 192369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192371 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192373 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192375 */     GIR_RootConstrainSelectedInstOperands,
     /* 192376 */     // GIR_Coverage, 11618,
     /* 192376 */     GIR_EraseRootFromParent_Done,
     /* 192377 */   // Label 3793: @192377
     /* 192377 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(192414), // Rule ID 11619 //
     /* 192382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlb),
     /* 192390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192403 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1685:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SABDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLB_ZZZ_H),
     /* 192406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192408 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192410 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192412 */     GIR_RootConstrainSelectedInstOperands,
     /* 192413 */     // GIR_Coverage, 11619,
     /* 192413 */     GIR_EraseRootFromParent_Done,
     /* 192414 */   // Label 3794: @192414
     /* 192414 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(192451), // Rule ID 11620 //
     /* 192419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlb),
     /* 192427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1685:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SABDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLB_ZZZ_S),
     /* 192443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192445 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192447 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192449 */     GIR_RootConstrainSelectedInstOperands,
     /* 192450 */     // GIR_Coverage, 11620,
     /* 192450 */     GIR_EraseRootFromParent_Done,
     /* 192451 */   // Label 3795: @192451
     /* 192451 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(192488), // Rule ID 11621 //
     /* 192456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlb),
     /* 192464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192477 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1685:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SABDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLB_ZZZ_D),
     /* 192480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192486 */     GIR_RootConstrainSelectedInstOperands,
     /* 192487 */     // GIR_Coverage, 11621,
     /* 192487 */     GIR_EraseRootFromParent_Done,
     /* 192488 */   // Label 3796: @192488
     /* 192488 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(192525), // Rule ID 11622 //
     /* 192493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlt),
     /* 192501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192514 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1686:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SABDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLT_ZZZ_H),
     /* 192517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192519 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192521 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192523 */     GIR_RootConstrainSelectedInstOperands,
     /* 192524 */     // GIR_Coverage, 11622,
     /* 192524 */     GIR_EraseRootFromParent_Done,
     /* 192525 */   // Label 3797: @192525
     /* 192525 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(192562), // Rule ID 11623 //
     /* 192530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlt),
     /* 192538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192551 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1686:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SABDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLT_ZZZ_S),
     /* 192554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192558 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192560 */     GIR_RootConstrainSelectedInstOperands,
     /* 192561 */     // GIR_Coverage, 11623,
     /* 192561 */     GIR_EraseRootFromParent_Done,
     /* 192562 */   // Label 3798: @192562
     /* 192562 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(192599), // Rule ID 11624 //
     /* 192567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabdlt),
     /* 192575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192588 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1686:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SABDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLT_ZZZ_D),
     /* 192591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192593 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192595 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192597 */     GIR_RootConstrainSelectedInstOperands,
     /* 192598 */     // GIR_Coverage, 11624,
     /* 192598 */     GIR_EraseRootFromParent_Done,
     /* 192599 */   // Label 3799: @192599
     /* 192599 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(192636), // Rule ID 11625 //
     /* 192604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlb),
     /* 192612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192625 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1935:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UABDLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLB_ZZZ_H),
     /* 192628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192632 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192634 */     GIR_RootConstrainSelectedInstOperands,
     /* 192635 */     // GIR_Coverage, 11625,
     /* 192635 */     GIR_EraseRootFromParent_Done,
     /* 192636 */   // Label 3800: @192636
     /* 192636 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(192673), // Rule ID 11626 //
     /* 192641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlb),
     /* 192649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192662 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1935:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UABDLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLB_ZZZ_S),
     /* 192665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192667 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192669 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192671 */     GIR_RootConstrainSelectedInstOperands,
     /* 192672 */     // GIR_Coverage, 11626,
     /* 192672 */     GIR_EraseRootFromParent_Done,
     /* 192673 */   // Label 3801: @192673
     /* 192673 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(192710), // Rule ID 11627 //
     /* 192678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlb),
     /* 192686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192699 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1935:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UABDLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLB_ZZZ_D),
     /* 192702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192704 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192706 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192708 */     GIR_RootConstrainSelectedInstOperands,
     /* 192709 */     // GIR_Coverage, 11627,
     /* 192709 */     GIR_EraseRootFromParent_Done,
     /* 192710 */   // Label 3802: @192710
     /* 192710 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(192747), // Rule ID 11628 //
     /* 192715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlt),
     /* 192723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 192729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192736 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1936:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UABDLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLT_ZZZ_H),
     /* 192739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192741 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192743 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192745 */     GIR_RootConstrainSelectedInstOperands,
     /* 192746 */     // GIR_Coverage, 11628,
     /* 192746 */     GIR_EraseRootFromParent_Done,
     /* 192747 */   // Label 3803: @192747
     /* 192747 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(192784), // Rule ID 11629 //
     /* 192752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlt),
     /* 192760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192773 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1936:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UABDLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLT_ZZZ_S),
     /* 192776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192778 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192780 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192782 */     GIR_RootConstrainSelectedInstOperands,
     /* 192783 */     // GIR_Coverage, 11629,
     /* 192783 */     GIR_EraseRootFromParent_Done,
     /* 192784 */   // Label 3804: @192784
     /* 192784 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(192821), // Rule ID 11630 //
     /* 192789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabdlt),
     /* 192797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192810 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1936:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UABDLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLT_ZZZ_D),
     /* 192813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192815 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192817 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192819 */     GIR_RootConstrainSelectedInstOperands,
     /* 192820 */     // GIR_Coverage, 11630,
     /* 192820 */     GIR_EraseRootFromParent_Done,
     /* 192821 */   // Label 3805: @192821
     /* 192821 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(192858), // Rule ID 11640 //
     /* 192826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwb),
     /* 192834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192847 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1871:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBWB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWB_ZZZ_H),
     /* 192850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192854 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192856 */     GIR_RootConstrainSelectedInstOperands,
     /* 192857 */     // GIR_Coverage, 11640,
     /* 192857 */     GIR_EraseRootFromParent_Done,
     /* 192858 */   // Label 3806: @192858
     /* 192858 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(192895), // Rule ID 11641 //
     /* 192863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwb),
     /* 192871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192884 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1871:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBWB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWB_ZZZ_S),
     /* 192887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192891 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192893 */     GIR_RootConstrainSelectedInstOperands,
     /* 192894 */     // GIR_Coverage, 11641,
     /* 192894 */     GIR_EraseRootFromParent_Done,
     /* 192895 */   // Label 3807: @192895
     /* 192895 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(192932), // Rule ID 11642 //
     /* 192900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwb),
     /* 192908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 192911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 192914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 192917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192921 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1871:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBWB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 192921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWB_ZZZ_D),
     /* 192924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192928 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192930 */     GIR_RootConstrainSelectedInstOperands,
     /* 192931 */     // GIR_Coverage, 11642,
     /* 192931 */     GIR_EraseRootFromParent_Done,
     /* 192932 */   // Label 3808: @192932
     /* 192932 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(192969), // Rule ID 11643 //
     /* 192937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwt),
     /* 192945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 192948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 192951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 192954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1872:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBWT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 192958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWT_ZZZ_H),
     /* 192961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 192963 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 192965 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 192967 */     GIR_RootConstrainSelectedInstOperands,
     /* 192968 */     // GIR_Coverage, 11643,
     /* 192968 */     GIR_EraseRootFromParent_Done,
     /* 192969 */   // Label 3809: @192969
     /* 192969 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(193006), // Rule ID 11644 //
     /* 192974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 192977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwt),
     /* 192982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 192985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 192988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 192991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 192995 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1872:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBWT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 192995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWT_ZZZ_S),
     /* 192998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193002 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193004 */     GIR_RootConstrainSelectedInstOperands,
     /* 193005 */     // GIR_Coverage, 11644,
     /* 193005 */     GIR_EraseRootFromParent_Done,
     /* 193006 */   // Label 3810: @193006
     /* 193006 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(193043), // Rule ID 11645 //
     /* 193011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubwt),
     /* 193019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 193025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193032 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1872:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBWT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBWT_ZZZ_D),
     /* 193035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193037 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193039 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193041 */     GIR_RootConstrainSelectedInstOperands,
     /* 193042 */     // GIR_Coverage, 11645,
     /* 193042 */     GIR_EraseRootFromParent_Done,
     /* 193043 */   // Label 3811: @193043
     /* 193043 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(193080), // Rule ID 11646 //
     /* 193048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwb),
     /* 193056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193069 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2065:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBWB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWB_ZZZ_H),
     /* 193072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193074 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193076 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193078 */     GIR_RootConstrainSelectedInstOperands,
     /* 193079 */     // GIR_Coverage, 11646,
     /* 193079 */     GIR_EraseRootFromParent_Done,
     /* 193080 */   // Label 3812: @193080
     /* 193080 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(193117), // Rule ID 11647 //
     /* 193085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwb),
     /* 193093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193106 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2065:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBWB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWB_ZZZ_S),
     /* 193109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193111 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193113 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193115 */     GIR_RootConstrainSelectedInstOperands,
     /* 193116 */     // GIR_Coverage, 11647,
     /* 193116 */     GIR_EraseRootFromParent_Done,
     /* 193117 */   // Label 3813: @193117
     /* 193117 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(193154), // Rule ID 11648 //
     /* 193122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwb),
     /* 193130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 193136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193143 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2065:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBWB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWB_ZZZ_D),
     /* 193146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193152 */     GIR_RootConstrainSelectedInstOperands,
     /* 193153 */     // GIR_Coverage, 11648,
     /* 193153 */     GIR_EraseRootFromParent_Done,
     /* 193154 */   // Label 3814: @193154
     /* 193154 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(193191), // Rule ID 11649 //
     /* 193159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwt),
     /* 193167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193180 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2066:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (USUBWT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWT_ZZZ_H),
     /* 193183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193185 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193187 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193189 */     GIR_RootConstrainSelectedInstOperands,
     /* 193190 */     // GIR_Coverage, 11649,
     /* 193190 */     GIR_EraseRootFromParent_Done,
     /* 193191 */   // Label 3815: @193191
     /* 193191 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(193228), // Rule ID 11650 //
     /* 193196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwt),
     /* 193204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193217 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2066:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (USUBWT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWT_ZZZ_S),
     /* 193220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193224 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193226 */     GIR_RootConstrainSelectedInstOperands,
     /* 193227 */     // GIR_Coverage, 11650,
     /* 193227 */     GIR_EraseRootFromParent_Done,
     /* 193228 */   // Label 3816: @193228
     /* 193228 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(193265), // Rule ID 11651 //
     /* 193233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usubwt),
     /* 193241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 193247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193254 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2066:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (USUBWT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USUBWT_ZZZ_D),
     /* 193257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193259 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193261 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193263 */     GIR_RootConstrainSelectedInstOperands,
     /* 193264 */     // GIR_Coverage, 11651,
     /* 193264 */     GIR_EraseRootFromParent_Done,
     /* 193265 */   // Label 3817: @193265
     /* 193265 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(193302), // Rule ID 11652 //
     /* 193270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb),
     /* 193278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193291 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1801:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQDMULLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZ_H),
     /* 193294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193298 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193300 */     GIR_RootConstrainSelectedInstOperands,
     /* 193301 */     // GIR_Coverage, 11652,
     /* 193301 */     GIR_EraseRootFromParent_Done,
     /* 193302 */   // Label 3818: @193302
     /* 193302 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(193339), // Rule ID 11653 //
     /* 193307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb),
     /* 193315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1801:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQDMULLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZ_S),
     /* 193331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193335 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193337 */     GIR_RootConstrainSelectedInstOperands,
     /* 193338 */     // GIR_Coverage, 11653,
     /* 193338 */     GIR_EraseRootFromParent_Done,
     /* 193339 */   // Label 3819: @193339
     /* 193339 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(193376), // Rule ID 11654 //
     /* 193344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb),
     /* 193352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193365 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1801:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQDMULLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZ_D),
     /* 193368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193374 */     GIR_RootConstrainSelectedInstOperands,
     /* 193375 */     // GIR_Coverage, 11654,
     /* 193375 */     GIR_EraseRootFromParent_Done,
     /* 193376 */   // Label 3820: @193376
     /* 193376 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(193413), // Rule ID 11655 //
     /* 193381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt),
     /* 193389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1803:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQDMULLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZ_H),
     /* 193405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193407 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193409 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193411 */     GIR_RootConstrainSelectedInstOperands,
     /* 193412 */     // GIR_Coverage, 11655,
     /* 193412 */     GIR_EraseRootFromParent_Done,
     /* 193413 */   // Label 3821: @193413
     /* 193413 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(193450), // Rule ID 11656 //
     /* 193418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt),
     /* 193426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193439 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1803:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQDMULLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZ_S),
     /* 193442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193444 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193446 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193448 */     GIR_RootConstrainSelectedInstOperands,
     /* 193449 */     // GIR_Coverage, 11656,
     /* 193449 */     GIR_EraseRootFromParent_Done,
     /* 193450 */   // Label 3822: @193450
     /* 193450 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(193487), // Rule ID 11657 //
     /* 193455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt),
     /* 193463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193476 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1803:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQDMULLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZ_D),
     /* 193479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193481 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193483 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193485 */     GIR_RootConstrainSelectedInstOperands,
     /* 193486 */     // GIR_Coverage, 11657,
     /* 193486 */     GIR_EraseRootFromParent_Done,
     /* 193487 */   // Label 3823: @193487
     /* 193487 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(193524), // Rule ID 11658 //
     /* 193492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb),
     /* 193500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193513 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1754:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMULLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZ_H),
     /* 193516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193520 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193522 */     GIR_RootConstrainSelectedInstOperands,
     /* 193523 */     // GIR_Coverage, 11658,
     /* 193523 */     GIR_EraseRootFromParent_Done,
     /* 193524 */   // Label 3824: @193524
     /* 193524 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(193561), // Rule ID 11659 //
     /* 193529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb),
     /* 193537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193550 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1754:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMULLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZ_S),
     /* 193553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193555 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193557 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193559 */     GIR_RootConstrainSelectedInstOperands,
     /* 193560 */     // GIR_Coverage, 11659,
     /* 193560 */     GIR_EraseRootFromParent_Done,
     /* 193561 */   // Label 3825: @193561
     /* 193561 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(193598), // Rule ID 11660 //
     /* 193566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb),
     /* 193574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193587 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1754:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMULLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZ_D),
     /* 193590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193594 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193596 */     GIR_RootConstrainSelectedInstOperands,
     /* 193597 */     // GIR_Coverage, 11660,
     /* 193597 */     GIR_EraseRootFromParent_Done,
     /* 193598 */   // Label 3826: @193598
     /* 193598 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(193635), // Rule ID 11661 //
     /* 193603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt),
     /* 193611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193624 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1756:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMULLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZ_H),
     /* 193627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193631 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193633 */     GIR_RootConstrainSelectedInstOperands,
     /* 193634 */     // GIR_Coverage, 11661,
     /* 193634 */     GIR_EraseRootFromParent_Done,
     /* 193635 */   // Label 3827: @193635
     /* 193635 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(193672), // Rule ID 11662 //
     /* 193640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt),
     /* 193648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193661 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1756:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMULLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZ_S),
     /* 193664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193668 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193670 */     GIR_RootConstrainSelectedInstOperands,
     /* 193671 */     // GIR_Coverage, 11662,
     /* 193671 */     GIR_EraseRootFromParent_Done,
     /* 193672 */   // Label 3828: @193672
     /* 193672 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(193709), // Rule ID 11663 //
     /* 193677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt),
     /* 193685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193698 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1756:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMULLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZ_D),
     /* 193701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193703 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193705 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193707 */     GIR_RootConstrainSelectedInstOperands,
     /* 193708 */     // GIR_Coverage, 11663,
     /* 193708 */     GIR_EraseRootFromParent_Done,
     /* 193709 */   // Label 3829: @193709
     /* 193709 */   GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(193746), // Rule ID 11664 //
     /* 193714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb),
     /* 193722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193735 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1992:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMULLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZ_H),
     /* 193738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193744 */     GIR_RootConstrainSelectedInstOperands,
     /* 193745 */     // GIR_Coverage, 11664,
     /* 193745 */     GIR_EraseRootFromParent_Done,
     /* 193746 */   // Label 3830: @193746
     /* 193746 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(193783), // Rule ID 11665 //
     /* 193751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb),
     /* 193759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1992:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMULLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZ_S),
     /* 193775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193777 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193779 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193781 */     GIR_RootConstrainSelectedInstOperands,
     /* 193782 */     // GIR_Coverage, 11665,
     /* 193782 */     GIR_EraseRootFromParent_Done,
     /* 193783 */   // Label 3831: @193783
     /* 193783 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(193820), // Rule ID 11666 //
     /* 193788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb),
     /* 193796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193809 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1992:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMULLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZ_D),
     /* 193812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193814 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193816 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193818 */     GIR_RootConstrainSelectedInstOperands,
     /* 193819 */     // GIR_Coverage, 11666,
     /* 193819 */     GIR_EraseRootFromParent_Done,
     /* 193820 */   // Label 3832: @193820
     /* 193820 */   GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(193857), // Rule ID 11667 //
     /* 193825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt),
     /* 193833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 193836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193846 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1994:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMULLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZ_H),
     /* 193849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193851 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193853 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193855 */     GIR_RootConstrainSelectedInstOperands,
     /* 193856 */     // GIR_Coverage, 11667,
     /* 193856 */     GIR_EraseRootFromParent_Done,
     /* 193857 */   // Label 3833: @193857
     /* 193857 */   GIM_Try, /*On fail goto*//*Label 3834*/ GIMT_Encode4(193894), // Rule ID 11668 //
     /* 193862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt),
     /* 193870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 193876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 193879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1994:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMULLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 193883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZ_S),
     /* 193886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193890 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193892 */     GIR_RootConstrainSelectedInstOperands,
     /* 193893 */     // GIR_Coverage, 11668,
     /* 193893 */     GIR_EraseRootFromParent_Done,
     /* 193894 */   // Label 3834: @193894
     /* 193894 */   GIM_Try, /*On fail goto*//*Label 3835*/ GIMT_Encode4(193931), // Rule ID 11669 //
     /* 193899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt),
     /* 193907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 193910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193920 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1994:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMULLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZ_D),
     /* 193923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193927 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193929 */     GIR_RootConstrainSelectedInstOperands,
     /* 193930 */     // GIR_Coverage, 11669,
     /* 193930 */     GIR_EraseRootFromParent_Done,
     /* 193931 */   // Label 3835: @193931
     /* 193931 */   GIM_Try, /*On fail goto*//*Label 3836*/ GIMT_Encode4(193968), // Rule ID 11670 //
     /* 193936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullt_pair),
     /* 193944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 193947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 193950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 193953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193957 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1632:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (PMULLT_ZZZ_H:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 193957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLT_ZZZ_H),
     /* 193960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193962 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 193964 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 193966 */     GIR_RootConstrainSelectedInstOperands,
     /* 193967 */     // GIR_Coverage, 11670,
     /* 193967 */     GIR_EraseRootFromParent_Done,
     /* 193968 */   // Label 3836: @193968
     /* 193968 */   GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(194005), // Rule ID 11671 //
     /* 193973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 193976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullt_pair),
     /* 193981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 193984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 193987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 193990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 193994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1632:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (PMULLT_ZZZ_D:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 193994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLT_ZZZ_D),
     /* 193997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 193999 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194001 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194003 */     GIR_RootConstrainSelectedInstOperands,
     /* 194004 */     // GIR_Coverage, 11671,
     /* 194004 */     GIR_EraseRootFromParent_Done,
     /* 194005 */   // Label 3837: @194005
     /* 194005 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(194042), // Rule ID 11772 //
     /* 194010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnb),
     /* 194018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 194021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194031 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1662:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (RADDHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNB_ZZZ_B),
     /* 194034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194038 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194040 */     GIR_RootConstrainSelectedInstOperands,
     /* 194041 */     // GIR_Coverage, 11772,
     /* 194041 */     GIR_EraseRootFromParent_Done,
     /* 194042 */   // Label 3838: @194042
     /* 194042 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(194079), // Rule ID 11773 //
     /* 194047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnb),
     /* 194055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194068 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1662:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (RADDHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNB_ZZZ_H),
     /* 194071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194075 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194077 */     GIR_RootConstrainSelectedInstOperands,
     /* 194078 */     // GIR_Coverage, 11773,
     /* 194078 */     GIR_EraseRootFromParent_Done,
     /* 194079 */   // Label 3839: @194079
     /* 194079 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(194116), // Rule ID 11774 //
     /* 194084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnb),
     /* 194092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 194098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 194101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194105 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1662:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (RADDHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 194105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNB_ZZZ_S),
     /* 194108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194114 */     GIR_RootConstrainSelectedInstOperands,
     /* 194115 */     // GIR_Coverage, 11774,
     /* 194115 */     GIR_EraseRootFromParent_Done,
     /* 194116 */   // Label 3840: @194116
     /* 194116 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(194153), // Rule ID 11775 //
     /* 194121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnb),
     /* 194129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 194132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194142 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1903:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SUBHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNB_ZZZ_B),
     /* 194145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194147 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194149 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194151 */     GIR_RootConstrainSelectedInstOperands,
     /* 194152 */     // GIR_Coverage, 11775,
     /* 194152 */     GIR_EraseRootFromParent_Done,
     /* 194153 */   // Label 3841: @194153
     /* 194153 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(194190), // Rule ID 11776 //
     /* 194158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnb),
     /* 194166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194179 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1903:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SUBHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNB_ZZZ_H),
     /* 194182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194184 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194186 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194188 */     GIR_RootConstrainSelectedInstOperands,
     /* 194189 */     // GIR_Coverage, 11776,
     /* 194189 */     GIR_EraseRootFromParent_Done,
     /* 194190 */   // Label 3842: @194190
     /* 194190 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(194227), // Rule ID 11777 //
     /* 194195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnb),
     /* 194203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 194209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 194212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194216 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1903:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SUBHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 194216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNB_ZZZ_S),
     /* 194219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194221 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194223 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194225 */     GIR_RootConstrainSelectedInstOperands,
     /* 194226 */     // GIR_Coverage, 11777,
     /* 194226 */     GIR_EraseRootFromParent_Done,
     /* 194227 */   // Label 3843: @194227
     /* 194227 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(194264), // Rule ID 11778 //
     /* 194232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnb),
     /* 194240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 194243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194253 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1678:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (RSUBHNB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNB_ZZZ_B),
     /* 194256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194258 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194260 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194262 */     GIR_RootConstrainSelectedInstOperands,
     /* 194263 */     // GIR_Coverage, 11778,
     /* 194263 */     GIR_EraseRootFromParent_Done,
     /* 194264 */   // Label 3844: @194264
     /* 194264 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(194301), // Rule ID 11779 //
     /* 194269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnb),
     /* 194277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194290 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1678:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (RSUBHNB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNB_ZZZ_H),
     /* 194293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194295 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194297 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194299 */     GIR_RootConstrainSelectedInstOperands,
     /* 194300 */     // GIR_Coverage, 11779,
     /* 194300 */     GIR_EraseRootFromParent_Done,
     /* 194301 */   // Label 3845: @194301
     /* 194301 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(194338), // Rule ID 11780 //
     /* 194306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnb),
     /* 194314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 194320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 194323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194327 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1678:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (RSUBHNB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 194327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNB_ZZZ_S),
     /* 194330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194332 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194334 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194336 */     GIR_RootConstrainSelectedInstOperands,
     /* 194337 */     // GIR_Coverage, 11780,
     /* 194337 */     GIR_EraseRootFromParent_Done,
     /* 194338 */   // Label 3846: @194338
     /* 194338 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(194375), // Rule ID 11796 //
     /* 194343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnt),
     /* 194351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 194354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 194357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194364 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2045:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UQXTNT_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNT_ZZ_B),
     /* 194367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194369 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194371 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194373 */     GIR_RootConstrainSelectedInstOperands,
     /* 194374 */     // GIR_Coverage, 11796,
     /* 194374 */     GIR_EraseRootFromParent_Done,
     /* 194375 */   // Label 3847: @194375
     /* 194375 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(194412), // Rule ID 11797 //
     /* 194380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnt),
     /* 194388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194401 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2045:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UQXTNT_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNT_ZZ_H),
     /* 194404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194408 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194410 */     GIR_RootConstrainSelectedInstOperands,
     /* 194411 */     // GIR_Coverage, 11797,
     /* 194411 */     GIR_EraseRootFromParent_Done,
     /* 194412 */   // Label 3848: @194412
     /* 194412 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(194449), // Rule ID 11798 //
     /* 194417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqxtnt),
     /* 194425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 194434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194438 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2045:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UQXTNT_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 194438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQXTNT_ZZ_S),
     /* 194441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194443 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194445 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194447 */     GIR_RootConstrainSelectedInstOperands,
     /* 194448 */     // GIR_Coverage, 11798,
     /* 194448 */     GIR_EraseRootFromParent_Done,
     /* 194449 */   // Label 3849: @194449
     /* 194449 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(194486), // Rule ID 11799 //
     /* 194454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunt),
     /* 194462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 194465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 194468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194475 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1854:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQXTUNT_ZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNT_ZZ_B),
     /* 194478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194480 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194482 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194484 */     GIR_RootConstrainSelectedInstOperands,
     /* 194485 */     // GIR_Coverage, 11799,
     /* 194485 */     GIR_EraseRootFromParent_Done,
     /* 194486 */   // Label 3850: @194486
     /* 194486 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(194523), // Rule ID 11800 //
     /* 194491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunt),
     /* 194499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194512 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1854:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQXTUNT_ZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNT_ZZ_H),
     /* 194515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194517 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194519 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194521 */     GIR_RootConstrainSelectedInstOperands,
     /* 194522 */     // GIR_Coverage, 11800,
     /* 194522 */     GIR_EraseRootFromParent_Done,
     /* 194523 */   // Label 3851: @194523
     /* 194523 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(194560), // Rule ID 11801 //
     /* 194528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqxtunt),
     /* 194536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 194545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1854:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQXTUNT_ZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 194549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQXTUNT_ZZ_S),
     /* 194552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194556 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194558 */     GIR_RootConstrainSelectedInstOperands,
     /* 194559 */     // GIR_Coverage, 11801,
     /* 194559 */     GIR_EraseRootFromParent_Done,
     /* 194560 */   // Label 3852: @194560
     /* 194560 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(194597), // Rule ID 11817 //
     /* 194565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublbt),
     /* 194573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 194579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 194582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194586 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1868:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 194586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLBT_ZZZ_H),
     /* 194589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194591 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194593 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194595 */     GIR_RootConstrainSelectedInstOperands,
     /* 194596 */     // GIR_Coverage, 11817,
     /* 194596 */     GIR_EraseRootFromParent_Done,
     /* 194597 */   // Label 3853: @194597
     /* 194597 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(194634), // Rule ID 11818 //
     /* 194602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublbt),
     /* 194610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194623 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1868:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLBT_ZZZ_S),
     /* 194626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194628 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194630 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194632 */     GIR_RootConstrainSelectedInstOperands,
     /* 194633 */     // GIR_Coverage, 11818,
     /* 194633 */     GIR_EraseRootFromParent_Done,
     /* 194634 */   // Label 3854: @194634
     /* 194634 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(194671), // Rule ID 11819 //
     /* 194639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssublbt),
     /* 194647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 194650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194660 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1868:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLBT_ZZZ_D),
     /* 194663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194667 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194669 */     GIR_RootConstrainSelectedInstOperands,
     /* 194670 */     // GIR_Coverage, 11819,
     /* 194670 */     GIR_EraseRootFromParent_Done,
     /* 194671 */   // Label 3855: @194671
     /* 194671 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(194708), // Rule ID 11820 //
     /* 194676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubltb),
     /* 194684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 194687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 194690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 194693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194697 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1870:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SSUBLTB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 194697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLTB_ZZZ_H),
     /* 194700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194702 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194704 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194706 */     GIR_RootConstrainSelectedInstOperands,
     /* 194707 */     // GIR_Coverage, 11820,
     /* 194707 */     GIR_EraseRootFromParent_Done,
     /* 194708 */   // Label 3856: @194708
     /* 194708 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(194745), // Rule ID 11821 //
     /* 194713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubltb),
     /* 194721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 194724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 194727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 194730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1870:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SSUBLTB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 194734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLTB_ZZZ_S),
     /* 194737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194739 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194741 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194743 */     GIR_RootConstrainSelectedInstOperands,
     /* 194744 */     // GIR_Coverage, 11821,
     /* 194744 */     GIR_EraseRootFromParent_Done,
     /* 194745 */   // Label 3857: @194745
     /* 194745 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(194782), // Rule ID 11822 //
     /* 194750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssubltb),
     /* 194758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 194761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 194764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 194767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 194771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1870:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SSUBLTB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 194771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSUBLTB_ZZZ_D),
     /* 194774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 194776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194778 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194780 */     GIR_RootConstrainSelectedInstOperands,
     /* 194781 */     // GIR_Coverage, 11822,
     /* 194781 */     GIR_EraseRootFromParent_Done,
     /* 194782 */   // Label 3858: @194782
     /* 194782 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(194822), // Rule ID 11897 //
     /* 194787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 194795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 194798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194808 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2090:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_B),
     /* 194811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194815 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194820 */     GIR_RootConstrainSelectedInstOperands,
     /* 194821 */     // GIR_Coverage, 11897,
     /* 194821 */     GIR_EraseRootFromParent_Done,
     /* 194822 */   // Label 3859: @194822
     /* 194822 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(194862), // Rule ID 11898 //
     /* 194827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 194835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 194838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194848 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2090:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_H),
     /* 194851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194853 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194855 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194860 */     GIR_RootConstrainSelectedInstOperands,
     /* 194861 */     // GIR_Coverage, 11898,
     /* 194861 */     GIR_EraseRootFromParent_Done,
     /* 194862 */   // Label 3860: @194862
     /* 194862 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(194902), // Rule ID 11899 //
     /* 194867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 194875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 194878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2090:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_S),
     /* 194891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194895 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194900 */     GIR_RootConstrainSelectedInstOperands,
     /* 194901 */     // GIR_Coverage, 11899,
     /* 194901 */     GIR_EraseRootFromParent_Done,
     /* 194902 */   // Label 3861: @194902
     /* 194902 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(194942), // Rule ID 11900 //
     /* 194907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 194915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 194918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194928 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2090:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGE_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PWW_D),
     /* 194931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194935 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194940 */     GIR_RootConstrainSelectedInstOperands,
     /* 194941 */     // GIR_Coverage, 11900,
     /* 194941 */     GIR_EraseRootFromParent_Done,
     /* 194942 */   // Label 3862: @194942
     /* 194942 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(194982), // Rule ID 11901 //
     /* 194947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 194955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 194958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 194961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 194964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 194968 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2096:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 194968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_B),
     /* 194971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 194973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 194975 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 194977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 194980 */     GIR_RootConstrainSelectedInstOperands,
     /* 194981 */     // GIR_Coverage, 11901,
     /* 194981 */     GIR_EraseRootFromParent_Done,
     /* 194982 */   // Label 3863: @194982
     /* 194982 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(195022), // Rule ID 11902 //
     /* 194987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 194990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 194995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 194998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195008 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2096:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_H),
     /* 195011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195013 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195015 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195020 */     GIR_RootConstrainSelectedInstOperands,
     /* 195021 */     // GIR_Coverage, 11902,
     /* 195021 */     GIR_EraseRootFromParent_Done,
     /* 195022 */   // Label 3864: @195022
     /* 195022 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(195062), // Rule ID 11903 //
     /* 195027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 195035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195048 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2096:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_S),
     /* 195051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195053 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195055 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195060 */     GIR_RootConstrainSelectedInstOperands,
     /* 195061 */     // GIR_Coverage, 11903,
     /* 195061 */     GIR_EraseRootFromParent_Done,
     /* 195062 */   // Label 3865: @195062
     /* 195062 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(195102), // Rule ID 11904 //
     /* 195067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 195075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 195078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2096:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEGT_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PWW_D),
     /* 195091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195100 */     GIR_RootConstrainSelectedInstOperands,
     /* 195101 */     // GIR_Coverage, 11904,
     /* 195101 */     GIR_EraseRootFromParent_Done,
     /* 195102 */   // Label 3866: @195102
     /* 195102 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(195142), // Rule ID 11909 //
     /* 195107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 195118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195128 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2108:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_B),
     /* 195131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195133 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195135 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195140 */     GIR_RootConstrainSelectedInstOperands,
     /* 195141 */     // GIR_Coverage, 11909,
     /* 195141 */     GIR_EraseRootFromParent_Done,
     /* 195142 */   // Label 3867: @195142
     /* 195142 */   GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(195182), // Rule ID 11910 //
     /* 195147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2108:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_H),
     /* 195171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195175 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195180 */     GIR_RootConstrainSelectedInstOperands,
     /* 195181 */     // GIR_Coverage, 11910,
     /* 195181 */     GIR_EraseRootFromParent_Done,
     /* 195182 */   // Label 3868: @195182
     /* 195182 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(195222), // Rule ID 11911 //
     /* 195187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195208 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2108:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_S),
     /* 195211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195213 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195215 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195220 */     GIR_RootConstrainSelectedInstOperands,
     /* 195221 */     // GIR_Coverage, 11911,
     /* 195221 */     GIR_EraseRootFromParent_Done,
     /* 195222 */   // Label 3869: @195222
     /* 195222 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(195262), // Rule ID 11912 //
     /* 195227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 195238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195248 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2108:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHS_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PWW_D),
     /* 195251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195253 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195255 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195260 */     GIR_RootConstrainSelectedInstOperands,
     /* 195261 */     // GIR_Coverage, 11912,
     /* 195261 */     GIR_EraseRootFromParent_Done,
     /* 195262 */   // Label 3870: @195262
     /* 195262 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(195302), // Rule ID 11913 //
     /* 195267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 195278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195288 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2102:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_B),
     /* 195291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195293 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195295 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195300 */     GIR_RootConstrainSelectedInstOperands,
     /* 195301 */     // GIR_Coverage, 11913,
     /* 195301 */     GIR_EraseRootFromParent_Done,
     /* 195302 */   // Label 3871: @195302
     /* 195302 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(195342), // Rule ID 11914 //
     /* 195307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195328 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2102:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_H),
     /* 195331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195335 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195340 */     GIR_RootConstrainSelectedInstOperands,
     /* 195341 */     // GIR_Coverage, 11914,
     /* 195341 */     GIR_EraseRootFromParent_Done,
     /* 195342 */   // Label 3872: @195342
     /* 195342 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(195382), // Rule ID 11915 //
     /* 195347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2102:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_S),
     /* 195371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195373 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195375 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195380 */     GIR_RootConstrainSelectedInstOperands,
     /* 195381 */     // GIR_Coverage, 11915,
     /* 195381 */     GIR_EraseRootFromParent_Done,
     /* 195382 */   // Label 3873: @195382
     /* 195382 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(195422), // Rule ID 11916 //
     /* 195387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 195398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 195401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 195404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2102:{ *:[iPTR] }, i32:{ *:[i32] }:$Op1, i32:{ *:[i32] }:$Op2)  =>  (WHILEHI_PWW_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i32] }:$Op1, ?:{ *:[i32] }:$Op2)
     /* 195408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PWW_D),
     /* 195411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195415 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195420 */     GIR_RootConstrainSelectedInstOperands,
     /* 195421 */     // GIR_Coverage, 11916,
     /* 195421 */     GIR_EraseRootFromParent_Done,
     /* 195422 */   // Label 3874: @195422
     /* 195422 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(195462), // Rule ID 11921 //
     /* 195427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 195435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 195438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2090:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_B),
     /* 195451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195453 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195455 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195460 */     GIR_RootConstrainSelectedInstOperands,
     /* 195461 */     // GIR_Coverage, 11921,
     /* 195461 */     GIR_EraseRootFromParent_Done,
     /* 195462 */   // Label 3875: @195462
     /* 195462 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(195502), // Rule ID 11922 //
     /* 195467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 195475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195488 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2090:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_H),
     /* 195491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195493 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195495 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195500 */     GIR_RootConstrainSelectedInstOperands,
     /* 195501 */     // GIR_Coverage, 11922,
     /* 195501 */     GIR_EraseRootFromParent_Done,
     /* 195502 */   // Label 3876: @195502
     /* 195502 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(195542), // Rule ID 11923 //
     /* 195507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 195515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2090:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_S),
     /* 195531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195535 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195540 */     GIR_RootConstrainSelectedInstOperands,
     /* 195541 */     // GIR_Coverage, 11923,
     /* 195541 */     GIR_EraseRootFromParent_Done,
     /* 195542 */   // Label 3877: @195542
     /* 195542 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(195582), // Rule ID 11924 //
     /* 195547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilege),
     /* 195555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 195558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195568 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2090:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGE_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGE_PXX_D),
     /* 195571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195575 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195580 */     GIR_RootConstrainSelectedInstOperands,
     /* 195581 */     // GIR_Coverage, 11924,
     /* 195581 */     GIR_EraseRootFromParent_Done,
     /* 195582 */   // Label 3878: @195582
     /* 195582 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(195622), // Rule ID 11925 //
     /* 195587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 195595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 195598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195608 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2096:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_B),
     /* 195611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195613 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195615 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195620 */     GIR_RootConstrainSelectedInstOperands,
     /* 195621 */     // GIR_Coverage, 11925,
     /* 195621 */     GIR_EraseRootFromParent_Done,
     /* 195622 */   // Label 3879: @195622
     /* 195622 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(195662), // Rule ID 11926 //
     /* 195627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 195635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2096:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_H),
     /* 195651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195655 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195660 */     GIR_RootConstrainSelectedInstOperands,
     /* 195661 */     // GIR_Coverage, 11926,
     /* 195661 */     GIR_EraseRootFromParent_Done,
     /* 195662 */   // Label 3880: @195662
     /* 195662 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(195702), // Rule ID 11927 //
     /* 195667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 195675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195688 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2096:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_S),
     /* 195691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195695 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195700 */     GIR_RootConstrainSelectedInstOperands,
     /* 195701 */     // GIR_Coverage, 11927,
     /* 195701 */     GIR_EraseRootFromParent_Done,
     /* 195702 */   // Label 3881: @195702
     /* 195702 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(195742), // Rule ID 11928 //
     /* 195707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilegt),
     /* 195715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 195718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195728 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2096:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEGT_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEGT_PXX_D),
     /* 195731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195733 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195735 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195740 */     GIR_RootConstrainSelectedInstOperands,
     /* 195741 */     // GIR_Coverage, 11928,
     /* 195741 */     GIR_EraseRootFromParent_Done,
     /* 195742 */   // Label 3882: @195742
     /* 195742 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(195782), // Rule ID 11933 //
     /* 195747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 195758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195768 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2108:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_B),
     /* 195771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195773 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195775 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195780 */     GIR_RootConstrainSelectedInstOperands,
     /* 195781 */     // GIR_Coverage, 11933,
     /* 195781 */     GIR_EraseRootFromParent_Done,
     /* 195782 */   // Label 3883: @195782
     /* 195782 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(195822), // Rule ID 11934 //
     /* 195787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2108:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_H),
     /* 195811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195815 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195820 */     GIR_RootConstrainSelectedInstOperands,
     /* 195821 */     // GIR_Coverage, 11934,
     /* 195821 */     GIR_EraseRootFromParent_Done,
     /* 195822 */   // Label 3884: @195822
     /* 195822 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(195862), // Rule ID 11935 //
     /* 195827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2108:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_S),
     /* 195851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195853 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195855 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195860 */     GIR_RootConstrainSelectedInstOperands,
     /* 195861 */     // GIR_Coverage, 11935,
     /* 195861 */     GIR_EraseRootFromParent_Done,
     /* 195862 */   // Label 3885: @195862
     /* 195862 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(195902), // Rule ID 11936 //
     /* 195867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehs),
     /* 195875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 195878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195888 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2108:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHS_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHS_PXX_D),
     /* 195891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195895 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195900 */     GIR_RootConstrainSelectedInstOperands,
     /* 195901 */     // GIR_Coverage, 11936,
     /* 195901 */     GIR_EraseRootFromParent_Done,
     /* 195902 */   // Label 3886: @195902
     /* 195902 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(195942), // Rule ID 11937 //
     /* 195907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 195918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195928 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2102:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_B),
     /* 195931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195933 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195935 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195940 */     GIR_RootConstrainSelectedInstOperands,
     /* 195941 */     // GIR_Coverage, 11937,
     /* 195941 */     GIR_EraseRootFromParent_Done,
     /* 195942 */   // Label 3887: @195942
     /* 195942 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(195982), // Rule ID 11938 //
     /* 195947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 195958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 195961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 195964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 195968 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2102:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 195968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_H),
     /* 195971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 195973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 195975 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 195977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 195980 */     GIR_RootConstrainSelectedInstOperands,
     /* 195981 */     // GIR_Coverage, 11938,
     /* 195981 */     GIR_EraseRootFromParent_Done,
     /* 195982 */   // Label 3888: @195982
     /* 195982 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(196022), // Rule ID 11939 //
     /* 195987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 195990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 195995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 195998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 196001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 196004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 196008 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2102:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 196008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_S),
     /* 196011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 196013 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196015 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 196020 */     GIR_RootConstrainSelectedInstOperands,
     /* 196021 */     // GIR_Coverage, 11939,
     /* 196021 */     GIR_EraseRootFromParent_Done,
     /* 196022 */   // Label 3889: @196022
     /* 196022 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(196062), // Rule ID 11940 //
     /* 196027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 196030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilehi),
     /* 196035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 196038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 196041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 196044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 196048 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2102:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEHI_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 196048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEHI_PXX_D),
     /* 196051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 196053 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196055 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 196060 */     GIR_RootConstrainSelectedInstOperands,
     /* 196061 */     // GIR_Coverage, 11940,
     /* 196061 */     GIR_EraseRootFromParent_Done,
     /* 196062 */   // Label 3890: @196062
     /* 196062 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(196099), // Rule ID 11949 //
     /* 196067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 196070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_aesd),
     /* 196075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 196078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 196081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 196084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196088 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1258:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (AESD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 196088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AESD_ZZZ_B),
     /* 196091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 196093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196097 */     GIR_RootConstrainSelectedInstOperands,
     /* 196098 */     // GIR_Coverage, 11949,
     /* 196098 */     GIR_EraseRootFromParent_Done,
     /* 196099 */   // Label 3891: @196099
     /* 196099 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(196136), // Rule ID 11951 //
     /* 196104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_AES_HasSVEAES),
     /* 196107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmullt_pair),
     /* 196112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 196115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 196118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196125 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1632:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (PMULLT_ZZZ_Q:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 196125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMULLT_ZZZ_Q),
     /* 196128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196130 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196132 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196134 */     GIR_RootConstrainSelectedInstOperands,
     /* 196135 */     // GIR_Coverage, 11951,
     /* 196135 */     GIR_EraseRootFromParent_Done,
     /* 196136 */   // Label 3892: @196136
     /* 196136 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(196173), // Rule ID 11952 //
     /* 196141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2SM4),
     /* 196144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sm4e),
     /* 196149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 196152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 196155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1723:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SM4E_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 196162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM4E_ZZZ_S),
     /* 196165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 196167 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196169 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196171 */     GIR_RootConstrainSelectedInstOperands,
     /* 196172 */     // GIR_Coverage, 11952,
     /* 196172 */     GIR_EraseRootFromParent_Done,
     /* 196173 */   // Label 3893: @196173
     /* 196173 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(196210), // Rule ID 11953 //
     /* 196178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2SHA3),
     /* 196181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rax1),
     /* 196186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 196189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 196192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196199 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1664:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (RAX1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 196199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RAX1_ZZZ_D),
     /* 196202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196206 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196208 */     GIR_RootConstrainSelectedInstOperands,
     /* 196209 */     // GIR_Coverage, 11953,
     /* 196209 */     GIR_EraseRootFromParent_Done,
     /* 196210 */   // Label 3894: @196210
     /* 196210 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(196247), // Rule ID 11954 //
     /* 196215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 196223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 196226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 196229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 196232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1272:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BDEP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 196236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_B),
     /* 196239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196241 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196243 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196245 */     GIR_RootConstrainSelectedInstOperands,
     /* 196246 */     // GIR_Coverage, 11954,
     /* 196246 */     GIR_EraseRootFromParent_Done,
     /* 196247 */   // Label 3895: @196247
     /* 196247 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(196284), // Rule ID 11955 //
     /* 196252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 196260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 196263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 196266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196273 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1272:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BDEP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 196273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_H),
     /* 196276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196278 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196280 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196282 */     GIR_RootConstrainSelectedInstOperands,
     /* 196283 */     // GIR_Coverage, 11955,
     /* 196283 */     GIR_EraseRootFromParent_Done,
     /* 196284 */   // Label 3896: @196284
     /* 196284 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(196321), // Rule ID 11956 //
     /* 196289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 196297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 196300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 196303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196310 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1272:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BDEP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 196310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_S),
     /* 196313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196315 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196317 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196319 */     GIR_RootConstrainSelectedInstOperands,
     /* 196320 */     // GIR_Coverage, 11956,
     /* 196320 */     GIR_EraseRootFromParent_Done,
     /* 196321 */   // Label 3897: @196321
     /* 196321 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(196358), // Rule ID 11957 //
     /* 196326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bdep_x),
     /* 196334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 196337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 196340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196347 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1272:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BDEP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 196347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BDEP_ZZZ_D),
     /* 196350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196352 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196354 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196356 */     GIR_RootConstrainSelectedInstOperands,
     /* 196357 */     // GIR_Coverage, 11957,
     /* 196357 */     GIR_EraseRootFromParent_Done,
     /* 196358 */   // Label 3898: @196358
     /* 196358 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(196395), // Rule ID 11958 //
     /* 196363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 196371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 196374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 196377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 196380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196384 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1289:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BGRP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 196384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_B),
     /* 196387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196389 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196391 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196393 */     GIR_RootConstrainSelectedInstOperands,
     /* 196394 */     // GIR_Coverage, 11958,
     /* 196394 */     GIR_EraseRootFromParent_Done,
     /* 196395 */   // Label 3899: @196395
     /* 196395 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(196432), // Rule ID 11959 //
     /* 196400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 196408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 196411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 196414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1289:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BGRP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 196421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_H),
     /* 196424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196426 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196428 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196430 */     GIR_RootConstrainSelectedInstOperands,
     /* 196431 */     // GIR_Coverage, 11959,
     /* 196431 */     GIR_EraseRootFromParent_Done,
     /* 196432 */   // Label 3900: @196432
     /* 196432 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(196469), // Rule ID 11960 //
     /* 196437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 196445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 196448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 196451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196458 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1289:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BGRP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 196458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_S),
     /* 196461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196463 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196465 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196467 */     GIR_RootConstrainSelectedInstOperands,
     /* 196468 */     // GIR_Coverage, 11960,
     /* 196468 */     GIR_EraseRootFromParent_Done,
     /* 196469 */   // Label 3901: @196469
     /* 196469 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(196506), // Rule ID 11961 //
     /* 196474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNonStreamingSVE2_or_SSVE_BitPerm_HasSVEBitPerm),
     /* 196477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bgrp_x),
     /* 196482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 196485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 196488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 196495 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1289:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BGRP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 196495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BGRP_ZZZ_D),
     /* 196498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 196500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196504 */     GIR_RootConstrainSelectedInstOperands,
     /* 196505 */     // GIR_Coverage, 11961,
     /* 196505 */     GIR_EraseRootFromParent_Done,
     /* 196506 */   // Label 3902: @196506
     /* 196506 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(196543), // Rule ID 12074 //
     /* 196511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmqv),
     /* 196519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 196525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196532 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1438:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMAXNMQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 196532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMQV_H),
     /* 196535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196539 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196541 */     GIR_RootConstrainSelectedInstOperands,
     /* 196542 */     // GIR_Coverage, 12074,
     /* 196542 */     GIR_EraseRootFromParent_Done,
     /* 196543 */   // Label 3903: @196543
     /* 196543 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(196580), // Rule ID 12075 //
     /* 196548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmqv),
     /* 196556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 196562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196569 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1438:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMAXNMQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 196569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMQV_S),
     /* 196572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196576 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196578 */     GIR_RootConstrainSelectedInstOperands,
     /* 196579 */     // GIR_Coverage, 12075,
     /* 196579 */     GIR_EraseRootFromParent_Done,
     /* 196580 */   // Label 3904: @196580
     /* 196580 */   GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(196617), // Rule ID 12076 //
     /* 196585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmqv),
     /* 196593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 196596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 196599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196606 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1438:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMAXNMQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 196606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMQV_D),
     /* 196609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196613 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196615 */     GIR_RootConstrainSelectedInstOperands,
     /* 196616 */     // GIR_Coverage, 12076,
     /* 196616 */     GIR_EraseRootFromParent_Done,
     /* 196617 */   // Label 3905: @196617
     /* 196617 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(196654), // Rule ID 12077 //
     /* 196622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmqv),
     /* 196630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 196636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196643 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1456:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMINNMQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 196643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMQV_H),
     /* 196646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196650 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196652 */     GIR_RootConstrainSelectedInstOperands,
     /* 196653 */     // GIR_Coverage, 12077,
     /* 196653 */     GIR_EraseRootFromParent_Done,
     /* 196654 */   // Label 3906: @196654
     /* 196654 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(196691), // Rule ID 12078 //
     /* 196659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmqv),
     /* 196667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 196673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196680 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1456:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMINNMQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 196680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMQV_S),
     /* 196683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196685 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196687 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196689 */     GIR_RootConstrainSelectedInstOperands,
     /* 196690 */     // GIR_Coverage, 12078,
     /* 196690 */     GIR_EraseRootFromParent_Done,
     /* 196691 */   // Label 3907: @196691
     /* 196691 */   GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(196728), // Rule ID 12079 //
     /* 196696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmqv),
     /* 196704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 196707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 196710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196717 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1456:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMINNMQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 196717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMQV_D),
     /* 196720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196722 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196726 */     GIR_RootConstrainSelectedInstOperands,
     /* 196727 */     // GIR_Coverage, 12079,
     /* 196727 */     GIR_EraseRootFromParent_Done,
     /* 196728 */   // Label 3908: @196728
     /* 196728 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(196765), // Rule ID 12080 //
     /* 196733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxqv),
     /* 196741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 196747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196754 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1441:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMAXQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 196754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXQV_H),
     /* 196757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196759 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196761 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196763 */     GIR_RootConstrainSelectedInstOperands,
     /* 196764 */     // GIR_Coverage, 12080,
     /* 196764 */     GIR_EraseRootFromParent_Done,
     /* 196765 */   // Label 3909: @196765
     /* 196765 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(196802), // Rule ID 12081 //
     /* 196770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxqv),
     /* 196778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 196784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196791 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1441:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMAXQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 196791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXQV_S),
     /* 196794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196798 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196800 */     GIR_RootConstrainSelectedInstOperands,
     /* 196801 */     // GIR_Coverage, 12081,
     /* 196801 */     GIR_EraseRootFromParent_Done,
     /* 196802 */   // Label 3910: @196802
     /* 196802 */   GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(196839), // Rule ID 12082 //
     /* 196807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxqv),
     /* 196815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 196818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 196821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196828 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1441:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMAXQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 196828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXQV_D),
     /* 196831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196835 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196837 */     GIR_RootConstrainSelectedInstOperands,
     /* 196838 */     // GIR_Coverage, 12082,
     /* 196838 */     GIR_EraseRootFromParent_Done,
     /* 196839 */   // Label 3911: @196839
     /* 196839 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(196876), // Rule ID 12083 //
     /* 196844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminqv),
     /* 196852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 196855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 196858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 196861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196865 */     // (intrinsic_wo_chain:{ *:[v8f16] } 1459:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMINQV_H:{ *:[v8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 196865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINQV_H),
     /* 196868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196872 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196874 */     GIR_RootConstrainSelectedInstOperands,
     /* 196875 */     // GIR_Coverage, 12083,
     /* 196875 */     GIR_EraseRootFromParent_Done,
     /* 196876 */   // Label 3912: @196876
     /* 196876 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(196913), // Rule ID 12084 //
     /* 196881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminqv),
     /* 196889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 196892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 196895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 196898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196902 */     // (intrinsic_wo_chain:{ *:[v4f32] } 1459:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMINQV_S:{ *:[v4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 196902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINQV_S),
     /* 196905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196907 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196909 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196911 */     GIR_RootConstrainSelectedInstOperands,
     /* 196912 */     // GIR_Coverage, 12084,
     /* 196912 */     GIR_EraseRootFromParent_Done,
     /* 196913 */   // Label 3913: @196913
     /* 196913 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(196950), // Rule ID 12085 //
     /* 196918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminqv),
     /* 196926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 196929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 196932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 196935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196939 */     // (intrinsic_wo_chain:{ *:[v2f64] } 1459:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMINQV_D:{ *:[v2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 196939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINQV_D),
     /* 196942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196946 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196948 */     GIR_RootConstrainSelectedInstOperands,
     /* 196949 */     // GIR_Coverage, 12085,
     /* 196949 */     GIR_EraseRootFromParent_Done,
     /* 196950 */   // Label 3914: @196950
     /* 196950 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(196987), // Rule ID 12086 //
     /* 196955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 196963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 196966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 196969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 196972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 196976 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1353:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (EORQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 196976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_B),
     /* 196979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 196981 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 196983 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 196985 */     GIR_RootConstrainSelectedInstOperands,
     /* 196986 */     // GIR_Coverage, 12086,
     /* 196986 */     GIR_EraseRootFromParent_Done,
     /* 196987 */   // Label 3915: @196987
     /* 196987 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(197024), // Rule ID 12087 //
     /* 196992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 196995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 197000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197013 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1353:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (EORQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_H),
     /* 197016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197022 */     GIR_RootConstrainSelectedInstOperands,
     /* 197023 */     // GIR_Coverage, 12087,
     /* 197023 */     GIR_EraseRootFromParent_Done,
     /* 197024 */   // Label 3916: @197024
     /* 197024 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(197061), // Rule ID 12088 //
     /* 197029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 197037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197050 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1353:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (EORQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_S),
     /* 197053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197057 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197059 */     GIR_RootConstrainSelectedInstOperands,
     /* 197060 */     // GIR_Coverage, 12088,
     /* 197060 */     GIR_EraseRootFromParent_Done,
     /* 197061 */   // Label 3917: @197061
     /* 197061 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(197098), // Rule ID 12089 //
     /* 197066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorqv),
     /* 197074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197087 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1353:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (EORQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORQV_VPZ_D),
     /* 197090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197096 */     GIR_RootConstrainSelectedInstOperands,
     /* 197097 */     // GIR_Coverage, 12089,
     /* 197097 */     GIR_EraseRootFromParent_Done,
     /* 197098 */   // Label 3918: @197098
     /* 197098 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(197135), // Rule ID 12090 //
     /* 197103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 197111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 197114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 197117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197124 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1265:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ANDQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_B),
     /* 197127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197131 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197133 */     GIR_RootConstrainSelectedInstOperands,
     /* 197134 */     // GIR_Coverage, 12090,
     /* 197134 */     GIR_EraseRootFromParent_Done,
     /* 197135 */   // Label 3919: @197135
     /* 197135 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(197172), // Rule ID 12091 //
     /* 197140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 197148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197161 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1265:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ANDQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_H),
     /* 197164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197166 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197168 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197170 */     GIR_RootConstrainSelectedInstOperands,
     /* 197171 */     // GIR_Coverage, 12091,
     /* 197171 */     GIR_EraseRootFromParent_Done,
     /* 197172 */   // Label 3920: @197172
     /* 197172 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(197209), // Rule ID 12092 //
     /* 197177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 197185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197198 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1265:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ANDQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_S),
     /* 197201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197205 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197207 */     GIR_RootConstrainSelectedInstOperands,
     /* 197208 */     // GIR_Coverage, 12092,
     /* 197208 */     GIR_EraseRootFromParent_Done,
     /* 197209 */   // Label 3921: @197209
     /* 197209 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(197246), // Rule ID 12093 //
     /* 197214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_andqv),
     /* 197222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197235 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1265:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ANDQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ANDQV_VPZ_D),
     /* 197238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197240 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197242 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197244 */     GIR_RootConstrainSelectedInstOperands,
     /* 197245 */     // GIR_Coverage, 12093,
     /* 197245 */     GIR_EraseRootFromParent_Done,
     /* 197246 */   // Label 3922: @197246
     /* 197246 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(197283), // Rule ID 12094 //
     /* 197251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 197259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 197262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 197265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197272 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1253:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ADDQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_B),
     /* 197275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197279 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197281 */     GIR_RootConstrainSelectedInstOperands,
     /* 197282 */     // GIR_Coverage, 12094,
     /* 197282 */     GIR_EraseRootFromParent_Done,
     /* 197283 */   // Label 3923: @197283
     /* 197283 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(197320), // Rule ID 12095 //
     /* 197288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 197296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197309 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1253:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ADDQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_H),
     /* 197312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197318 */     GIR_RootConstrainSelectedInstOperands,
     /* 197319 */     // GIR_Coverage, 12095,
     /* 197319 */     GIR_EraseRootFromParent_Done,
     /* 197320 */   // Label 3924: @197320
     /* 197320 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(197357), // Rule ID 12096 //
     /* 197325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 197333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197346 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1253:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ADDQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_S),
     /* 197349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197351 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197353 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197355 */     GIR_RootConstrainSelectedInstOperands,
     /* 197356 */     // GIR_Coverage, 12096,
     /* 197356 */     GIR_EraseRootFromParent_Done,
     /* 197357 */   // Label 3925: @197357
     /* 197357 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(197394), // Rule ID 12097 //
     /* 197362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addqv),
     /* 197370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197383 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1253:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ADDQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDQV_VPZ_D),
     /* 197386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197392 */     GIR_RootConstrainSelectedInstOperands,
     /* 197393 */     // GIR_Coverage, 12097,
     /* 197393 */     GIR_EraseRootFromParent_Done,
     /* 197394 */   // Label 3926: @197394
     /* 197394 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(197431), // Rule ID 12098 //
     /* 197399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 197407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 197410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 197413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197420 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1732:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMAXQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_B),
     /* 197423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197425 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197427 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197429 */     GIR_RootConstrainSelectedInstOperands,
     /* 197430 */     // GIR_Coverage, 12098,
     /* 197430 */     GIR_EraseRootFromParent_Done,
     /* 197431 */   // Label 3927: @197431
     /* 197431 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(197468), // Rule ID 12099 //
     /* 197436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 197444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197457 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1732:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMAXQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_H),
     /* 197460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197462 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197464 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197466 */     GIR_RootConstrainSelectedInstOperands,
     /* 197467 */     // GIR_Coverage, 12099,
     /* 197467 */     GIR_EraseRootFromParent_Done,
     /* 197468 */   // Label 3928: @197468
     /* 197468 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(197505), // Rule ID 12100 //
     /* 197473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 197481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197494 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1732:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMAXQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_S),
     /* 197497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197499 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197501 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197503 */     GIR_RootConstrainSelectedInstOperands,
     /* 197504 */     // GIR_Coverage, 12100,
     /* 197504 */     GIR_EraseRootFromParent_Done,
     /* 197505 */   // Label 3929: @197505
     /* 197505 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(197542), // Rule ID 12101 //
     /* 197510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxqv),
     /* 197518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197531 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1732:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SMAXQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXQV_VPZ_D),
     /* 197534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197536 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197538 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197540 */     GIR_RootConstrainSelectedInstOperands,
     /* 197541 */     // GIR_Coverage, 12101,
     /* 197541 */     GIR_EraseRootFromParent_Done,
     /* 197542 */   // Label 3930: @197542
     /* 197542 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(197579), // Rule ID 12102 //
     /* 197547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 197555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 197558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 197561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197568 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1970:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMAXQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_B),
     /* 197571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197575 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197577 */     GIR_RootConstrainSelectedInstOperands,
     /* 197578 */     // GIR_Coverage, 12102,
     /* 197578 */     GIR_EraseRootFromParent_Done,
     /* 197579 */   // Label 3931: @197579
     /* 197579 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(197616), // Rule ID 12103 //
     /* 197584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 197592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197605 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1970:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMAXQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_H),
     /* 197608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197614 */     GIR_RootConstrainSelectedInstOperands,
     /* 197615 */     // GIR_Coverage, 12103,
     /* 197615 */     GIR_EraseRootFromParent_Done,
     /* 197616 */   // Label 3932: @197616
     /* 197616 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(197653), // Rule ID 12104 //
     /* 197621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 197629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197642 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1970:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMAXQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_S),
     /* 197645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197649 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197651 */     GIR_RootConstrainSelectedInstOperands,
     /* 197652 */     // GIR_Coverage, 12104,
     /* 197652 */     GIR_EraseRootFromParent_Done,
     /* 197653 */   // Label 3933: @197653
     /* 197653 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(197690), // Rule ID 12105 //
     /* 197658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxqv),
     /* 197666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197679 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1970:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UMAXQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXQV_VPZ_D),
     /* 197682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197688 */     GIR_RootConstrainSelectedInstOperands,
     /* 197689 */     // GIR_Coverage, 12105,
     /* 197689 */     GIR_EraseRootFromParent_Done,
     /* 197690 */   // Label 3934: @197690
     /* 197690 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(197727), // Rule ID 12106 //
     /* 197695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 197703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 197706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 197709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197716 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1741:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SMINQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_B),
     /* 197719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197723 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197725 */     GIR_RootConstrainSelectedInstOperands,
     /* 197726 */     // GIR_Coverage, 12106,
     /* 197726 */     GIR_EraseRootFromParent_Done,
     /* 197727 */   // Label 3935: @197727
     /* 197727 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(197764), // Rule ID 12107 //
     /* 197732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 197740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197753 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1741:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SMINQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_H),
     /* 197756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197760 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197762 */     GIR_RootConstrainSelectedInstOperands,
     /* 197763 */     // GIR_Coverage, 12107,
     /* 197763 */     GIR_EraseRootFromParent_Done,
     /* 197764 */   // Label 3936: @197764
     /* 197764 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(197801), // Rule ID 12108 //
     /* 197769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 197777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197790 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1741:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SMINQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_S),
     /* 197793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197797 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197799 */     GIR_RootConstrainSelectedInstOperands,
     /* 197800 */     // GIR_Coverage, 12108,
     /* 197800 */     GIR_EraseRootFromParent_Done,
     /* 197801 */   // Label 3937: @197801
     /* 197801 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(197838), // Rule ID 12109 //
     /* 197806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminqv),
     /* 197814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197827 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1741:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SMINQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINQV_VPZ_D),
     /* 197830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197836 */     GIR_RootConstrainSelectedInstOperands,
     /* 197837 */     // GIR_Coverage, 12109,
     /* 197837 */     GIR_EraseRootFromParent_Done,
     /* 197838 */   // Label 3938: @197838
     /* 197838 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(197875), // Rule ID 12110 //
     /* 197843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 197851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 197854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 197857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 197860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197864 */     // (intrinsic_wo_chain:{ *:[v16i8] } 1979:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UMINQV_VPZ_B:{ *:[v16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 197864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_B),
     /* 197867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197869 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197871 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197873 */     GIR_RootConstrainSelectedInstOperands,
     /* 197874 */     // GIR_Coverage, 12110,
     /* 197874 */     GIR_EraseRootFromParent_Done,
     /* 197875 */   // Label 3939: @197875
     /* 197875 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(197912), // Rule ID 12111 //
     /* 197880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 197888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 197891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 197894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 197897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197901 */     // (intrinsic_wo_chain:{ *:[v8i16] } 1979:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UMINQV_VPZ_H:{ *:[v8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 197901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_H),
     /* 197904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197906 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197908 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197910 */     GIR_RootConstrainSelectedInstOperands,
     /* 197911 */     // GIR_Coverage, 12111,
     /* 197911 */     GIR_EraseRootFromParent_Done,
     /* 197912 */   // Label 3940: @197912
     /* 197912 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(197949), // Rule ID 12112 //
     /* 197917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 197925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 197928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 197931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 197934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197938 */     // (intrinsic_wo_chain:{ *:[v4i32] } 1979:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UMINQV_VPZ_S:{ *:[v4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 197938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_S),
     /* 197941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197943 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197945 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197947 */     GIR_RootConstrainSelectedInstOperands,
     /* 197948 */     // GIR_Coverage, 12112,
     /* 197948 */     GIR_EraseRootFromParent_Done,
     /* 197949 */   // Label 3941: @197949
     /* 197949 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(197986), // Rule ID 12113 //
     /* 197954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminqv),
     /* 197962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 197965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 197968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 197971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 197975 */     // (intrinsic_wo_chain:{ *:[v2i64] } 1979:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UMINQV_VPZ_D:{ *:[v2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 197975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINQV_VPZ_D),
     /* 197978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 197980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 197982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 197984 */     GIR_RootConstrainSelectedInstOperands,
     /* 197985 */     // GIR_Coverage, 12113,
     /* 197985 */     GIR_EraseRootFromParent_Done,
     /* 197986 */   // Label 3942: @197986
     /* 197986 */   GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(198023), // Rule ID 12114 //
     /* 197991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 197994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 197999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 198002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 198005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 198008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198012 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2163:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIPQ2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 198012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_B),
     /* 198015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198017 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198019 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198021 */     GIR_RootConstrainSelectedInstOperands,
     /* 198022 */     // GIR_Coverage, 12114,
     /* 198022 */     GIR_EraseRootFromParent_Done,
     /* 198023 */   // Label 3943: @198023
     /* 198023 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(198060), // Rule ID 12115 //
     /* 198028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 198036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 198042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198049 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2163:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIPQ2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 198049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_H),
     /* 198052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198058 */     GIR_RootConstrainSelectedInstOperands,
     /* 198059 */     // GIR_Coverage, 12115,
     /* 198059 */     GIR_EraseRootFromParent_Done,
     /* 198060 */   // Label 3944: @198060
     /* 198060 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(198097), // Rule ID 12116 //
     /* 198065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 198073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 198079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198086 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2163:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIPQ2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 198086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_S),
     /* 198089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198091 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198093 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198095 */     GIR_RootConstrainSelectedInstOperands,
     /* 198096 */     // GIR_Coverage, 12116,
     /* 198096 */     GIR_EraseRootFromParent_Done,
     /* 198097 */   // Label 3945: @198097
     /* 198097 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(198134), // Rule ID 12117 //
     /* 198102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 198110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 198116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198123 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2163:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIPQ2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 198123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_D),
     /* 198126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198132 */     GIR_RootConstrainSelectedInstOperands,
     /* 198133 */     // GIR_Coverage, 12117,
     /* 198133 */     GIR_EraseRootFromParent_Done,
     /* 198134 */   // Label 3946: @198134
     /* 198134 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(198171), // Rule ID 12118 //
     /* 198139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 198147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 198153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198160 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2163:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIPQ2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 198160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_H),
     /* 198163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198165 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198167 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198169 */     GIR_RootConstrainSelectedInstOperands,
     /* 198170 */     // GIR_Coverage, 12118,
     /* 198170 */     GIR_EraseRootFromParent_Done,
     /* 198171 */   // Label 3947: @198171
     /* 198171 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(198208), // Rule ID 12119 //
     /* 198176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 198184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 198190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198197 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2163:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIPQ2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 198197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_S),
     /* 198200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198206 */     GIR_RootConstrainSelectedInstOperands,
     /* 198207 */     // GIR_Coverage, 12119,
     /* 198207 */     GIR_EraseRootFromParent_Done,
     /* 198208 */   // Label 3948: @198208
     /* 198208 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(198245), // Rule ID 12120 //
     /* 198213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_zipq2),
     /* 198221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 198227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198234 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2163:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIPQ2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 198234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIPQ2_ZZZ_D),
     /* 198237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198241 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198243 */     GIR_RootConstrainSelectedInstOperands,
     /* 198244 */     // GIR_Coverage, 12120,
     /* 198244 */     GIR_EraseRootFromParent_Done,
     /* 198245 */   // Label 3949: @198245
     /* 198245 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(198282), // Rule ID 12121 //
     /* 198250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 198258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 198261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 198264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 198267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198271 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2088:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZPQ1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 198271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_B),
     /* 198274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198278 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198280 */     GIR_RootConstrainSelectedInstOperands,
     /* 198281 */     // GIR_Coverage, 12121,
     /* 198281 */     GIR_EraseRootFromParent_Done,
     /* 198282 */   // Label 3950: @198282
     /* 198282 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(198319), // Rule ID 12122 //
     /* 198287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 198295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 198301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2088:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZPQ1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 198308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_H),
     /* 198311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198313 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198315 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198317 */     GIR_RootConstrainSelectedInstOperands,
     /* 198318 */     // GIR_Coverage, 12122,
     /* 198318 */     GIR_EraseRootFromParent_Done,
     /* 198319 */   // Label 3951: @198319
     /* 198319 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(198356), // Rule ID 12123 //
     /* 198324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 198332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 198338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198345 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2088:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZPQ1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 198345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_S),
     /* 198348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198354 */     GIR_RootConstrainSelectedInstOperands,
     /* 198355 */     // GIR_Coverage, 12123,
     /* 198355 */     GIR_EraseRootFromParent_Done,
     /* 198356 */   // Label 3952: @198356
     /* 198356 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(198393), // Rule ID 12124 //
     /* 198361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 198369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 198375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198382 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2088:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZPQ1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 198382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_D),
     /* 198385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198387 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198389 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198391 */     GIR_RootConstrainSelectedInstOperands,
     /* 198392 */     // GIR_Coverage, 12124,
     /* 198392 */     GIR_EraseRootFromParent_Done,
     /* 198393 */   // Label 3953: @198393
     /* 198393 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(198430), // Rule ID 12125 //
     /* 198398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 198406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 198412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198419 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2088:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZPQ1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 198419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_H),
     /* 198422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198426 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198428 */     GIR_RootConstrainSelectedInstOperands,
     /* 198429 */     // GIR_Coverage, 12125,
     /* 198429 */     GIR_EraseRootFromParent_Done,
     /* 198430 */   // Label 3954: @198430
     /* 198430 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(198467), // Rule ID 12126 //
     /* 198435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 198443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 198449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198456 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2088:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZPQ1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 198456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_S),
     /* 198459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198461 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198463 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198465 */     GIR_RootConstrainSelectedInstOperands,
     /* 198466 */     // GIR_Coverage, 12126,
     /* 198466 */     GIR_EraseRootFromParent_Done,
     /* 198467 */   // Label 3955: @198467
     /* 198467 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(198504), // Rule ID 12127 //
     /* 198472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq1),
     /* 198480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 198486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198493 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2088:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZPQ1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 198493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ1_ZZZ_D),
     /* 198496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198502 */     GIR_RootConstrainSelectedInstOperands,
     /* 198503 */     // GIR_Coverage, 12127,
     /* 198503 */     GIR_EraseRootFromParent_Done,
     /* 198504 */   // Label 3956: @198504
     /* 198504 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(198541), // Rule ID 12128 //
     /* 198509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 198517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 198520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 198523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 198526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198530 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2089:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZPQ2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 198530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_B),
     /* 198533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198535 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198537 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198539 */     GIR_RootConstrainSelectedInstOperands,
     /* 198540 */     // GIR_Coverage, 12128,
     /* 198540 */     GIR_EraseRootFromParent_Done,
     /* 198541 */   // Label 3957: @198541
     /* 198541 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(198578), // Rule ID 12129 //
     /* 198546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 198554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 198560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198567 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2089:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZPQ2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 198567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_H),
     /* 198570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198572 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198574 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198576 */     GIR_RootConstrainSelectedInstOperands,
     /* 198577 */     // GIR_Coverage, 12129,
     /* 198577 */     GIR_EraseRootFromParent_Done,
     /* 198578 */   // Label 3958: @198578
     /* 198578 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(198615), // Rule ID 12130 //
     /* 198583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 198591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 198597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198604 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2089:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZPQ2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 198604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_S),
     /* 198607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198609 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198611 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198613 */     GIR_RootConstrainSelectedInstOperands,
     /* 198614 */     // GIR_Coverage, 12130,
     /* 198614 */     GIR_EraseRootFromParent_Done,
     /* 198615 */   // Label 3959: @198615
     /* 198615 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(198652), // Rule ID 12131 //
     /* 198620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 198628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 198634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198641 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2089:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZPQ2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 198641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_D),
     /* 198644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198646 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198648 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198650 */     GIR_RootConstrainSelectedInstOperands,
     /* 198651 */     // GIR_Coverage, 12131,
     /* 198651 */     GIR_EraseRootFromParent_Done,
     /* 198652 */   // Label 3960: @198652
     /* 198652 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(198689), // Rule ID 12132 //
     /* 198657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 198665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 198668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 198671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 198674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198678 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 2089:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZPQ2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 198678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_H),
     /* 198681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198683 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198685 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198687 */     GIR_RootConstrainSelectedInstOperands,
     /* 198688 */     // GIR_Coverage, 12132,
     /* 198688 */     GIR_EraseRootFromParent_Done,
     /* 198689 */   // Label 3961: @198689
     /* 198689 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(198726), // Rule ID 12133 //
     /* 198694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 198702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 198705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 198708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 198711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198715 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 2089:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZPQ2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 198715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_S),
     /* 198718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198724 */     GIR_RootConstrainSelectedInstOperands,
     /* 198725 */     // GIR_Coverage, 12133,
     /* 198725 */     GIR_EraseRootFromParent_Done,
     /* 198726 */   // Label 3962: @198726
     /* 198726 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(198763), // Rule ID 12134 //
     /* 198731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 198734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uzpq2),
     /* 198739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 198742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 198745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 198748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 198752 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 2089:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZPQ2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 198752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZPQ2_ZZZ_D),
     /* 198755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 198757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198759 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198761 */     GIR_RootConstrainSelectedInstOperands,
     /* 198762 */     // GIR_Coverage, 12134,
     /* 198762 */     GIR_EraseRootFromParent_Done,
     /* 198763 */   // Label 3963: @198763
     /* 198763 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(198805), // Rule ID 3218 //
     /* 198768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_b),
     /* 198776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 198779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 198783 */     // MIs[0] Op1
     /* 198783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 198787 */     // MIs[0] Op2
     /* 198787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 198791 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2142:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 198791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_B),
     /* 198794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 198796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198798 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 198803 */     GIR_RootConstrainSelectedInstOperands,
     /* 198804 */     // GIR_Coverage, 3218,
     /* 198804 */     GIR_EraseRootFromParent_Done,
     /* 198805 */   // Label 3964: @198805
     /* 198805 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(198847), // Rule ID 3219 //
     /* 198810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_h),
     /* 198818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 198821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 198825 */     // MIs[0] Op1
     /* 198825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 198829 */     // MIs[0] Op2
     /* 198829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 198833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2144:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 198833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_H),
     /* 198836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 198838 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198840 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 198845 */     GIR_RootConstrainSelectedInstOperands,
     /* 198846 */     // GIR_Coverage, 3219,
     /* 198846 */     GIR_EraseRootFromParent_Done,
     /* 198847 */   // Label 3965: @198847
     /* 198847 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(198889), // Rule ID 3220 //
     /* 198852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_s),
     /* 198860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 198863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 198867 */     // MIs[0] Op1
     /* 198867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 198871 */     // MIs[0] Op2
     /* 198871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 198875 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2145:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 198875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_S),
     /* 198878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 198880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198882 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 198887 */     GIR_RootConstrainSelectedInstOperands,
     /* 198888 */     // GIR_Coverage, 3220,
     /* 198888 */     GIR_EraseRootFromParent_Done,
     /* 198889 */   // Label 3966: @198889
     /* 198889 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(198931), // Rule ID 3221 //
     /* 198894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilewr_d),
     /* 198902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 198905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 198909 */     // MIs[0] Op1
     /* 198909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 198913 */     // MIs[0] Op2
     /* 198913 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 198917 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2143:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILEWR_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 198917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILEWR_PXX_D),
     /* 198920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 198922 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198924 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 198929 */     GIR_RootConstrainSelectedInstOperands,
     /* 198930 */     // GIR_Coverage, 3221,
     /* 198930 */     GIR_EraseRootFromParent_Done,
     /* 198931 */   // Label 3967: @198931
     /* 198931 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(198973), // Rule ID 11945 //
     /* 198936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_b),
     /* 198944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 198947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 198951 */     // MIs[0] Op1
     /* 198951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 198955 */     // MIs[0] Op2
     /* 198955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 198959 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 2138:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 198959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_B),
     /* 198962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 198964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 198966 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 198968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 198971 */     GIR_RootConstrainSelectedInstOperands,
     /* 198972 */     // GIR_Coverage, 11945,
     /* 198972 */     GIR_EraseRootFromParent_Done,
     /* 198973 */   // Label 3968: @198973
     /* 198973 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(199015), // Rule ID 11946 //
     /* 198978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 198981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_h),
     /* 198986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 198989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 198993 */     // MIs[0] Op1
     /* 198993 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 198997 */     // MIs[0] Op2
     /* 198997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 199001 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 2140:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 199001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_H),
     /* 199004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 199006 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 199008 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 199010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 199013 */     GIR_RootConstrainSelectedInstOperands,
     /* 199014 */     // GIR_Coverage, 11946,
     /* 199014 */     GIR_EraseRootFromParent_Done,
     /* 199015 */   // Label 3969: @199015
     /* 199015 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(199057), // Rule ID 11947 //
     /* 199020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 199023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_s),
     /* 199028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 199031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 199035 */     // MIs[0] Op1
     /* 199035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 199039 */     // MIs[0] Op2
     /* 199039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 199043 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 2141:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 199043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_S),
     /* 199046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 199048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 199050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 199052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 199055 */     GIR_RootConstrainSelectedInstOperands,
     /* 199056 */     // GIR_Coverage, 11947,
     /* 199056 */     GIR_EraseRootFromParent_Done,
     /* 199057 */   // Label 3970: @199057
     /* 199057 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(199099), // Rule ID 11948 //
     /* 199062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 199065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_whilerw_d),
     /* 199070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 199073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 199077 */     // MIs[0] Op1
     /* 199077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 199081 */     // MIs[0] Op2
     /* 199081 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 199085 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 2139:{ *:[iPTR] }, i64:{ *:[i64] }:$Op1, i64:{ *:[i64] }:$Op2)  =>  (WHILERW_PXX_D:{ *:[nxv2i1] }:{ *:[i32] } ?:{ *:[i64] }:$Op1, ?:{ *:[i64] }:$Op2)
     /* 199085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WHILERW_PXX_D),
     /* 199088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 199090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 199092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 199094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 199097 */     GIR_RootConstrainSelectedInstOperands,
     /* 199098 */     // GIR_Coverage, 11948,
     /* 199098 */     GIR_EraseRootFromParent_Done,
     /* 199099 */   // Label 3971: @199099
     /* 199099 */   GIM_Reject,
     /* 199100 */ // Label 3018: @199100
     /* 199100 */ GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(242883),
     /* 199105 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /* 199108 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(199221), // Rule ID 2069 //
     /* 199113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 199116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 199121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 199124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 199127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 199130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 199133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 199153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 199157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 199165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 199169 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 199178 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199182 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199186 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 199190 */     // MIs[3] Operand 1
     /* 199190 */     // No operand predicates
     /* 199190 */     // MIs[1] Operand 2
     /* 199190 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 199201 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199203 */     // (intrinsic_wo_chain:{ *:[v4i16] } 686:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLAHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 199203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i16_indexed),
     /* 199206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199210 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199219 */     GIR_RootConstrainSelectedInstOperands,
     /* 199220 */     // GIR_Coverage, 2069,
     /* 199220 */     GIR_EraseRootFromParent_Done,
     /* 199221 */   // Label 3973: @199221
     /* 199221 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(199334), // Rule ID 2076 //
     /* 199226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 199229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 199234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 199237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 199240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 199243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 199246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 199266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 199270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 199278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 199282 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 199291 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199295 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199299 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 199303 */     // MIs[3] Operand 1
     /* 199303 */     // No operand predicates
     /* 199303 */     // MIs[1] Operand 2
     /* 199303 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 199314 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199316 */     // (intrinsic_wo_chain:{ *:[v4i16] } 687:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLSHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 199316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i16_indexed),
     /* 199319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199321 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199323 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199332 */     GIR_RootConstrainSelectedInstOperands,
     /* 199333 */     // GIR_Coverage, 2076,
     /* 199333 */     GIR_EraseRootFromParent_Done,
     /* 199334 */   // Label 3974: @199334
     /* 199334 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(199447), // Rule ID 2072 //
     /* 199339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 199342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 199347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 199350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 199353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 199356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 199359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 199379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199395 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199399 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199404 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199408 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199412 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 199416 */     // MIs[3] Operand 1
     /* 199416 */     // No operand predicates
     /* 199416 */     // MIs[1] Operand 2
     /* 199416 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 199427 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199429 */     // (intrinsic_wo_chain:{ *:[v2i32] } 686:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLAHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 199429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv2i32_indexed),
     /* 199432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199436 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199445 */     GIR_RootConstrainSelectedInstOperands,
     /* 199446 */     // GIR_Coverage, 2072,
     /* 199446 */     GIR_EraseRootFromParent_Done,
     /* 199447 */   // Label 3975: @199447
     /* 199447 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(199560), // Rule ID 2079 //
     /* 199452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 199455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 199460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 199463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 199466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 199469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 199472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 199492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199508 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199512 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199517 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199521 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199525 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 199529 */     // MIs[3] Operand 1
     /* 199529 */     // No operand predicates
     /* 199529 */     // MIs[1] Operand 2
     /* 199529 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 199540 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199542 */     // (intrinsic_wo_chain:{ *:[v2i32] } 687:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SQRDMLSHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 199542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv2i32_indexed),
     /* 199545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199547 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199549 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199558 */     GIR_RootConstrainSelectedInstOperands,
     /* 199559 */     // GIR_Coverage, 2079,
     /* 199559 */     GIR_EraseRootFromParent_Done,
     /* 199560 */   // Label 3976: @199560
     /* 199560 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(199665), // Rule ID 3869 //
     /* 199565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 199568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 199573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 199576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 199579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 199582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 199585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 199609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199621 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199630 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199634 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199638 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 199642 */     // MIs[3] Operand 1
     /* 199642 */     // No operand predicates
     /* 199642 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199644 */     // (intrinsic_wo_chain:{ *:[v4f16] } 757:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 0:{ *:[i32] })
     /* 199644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 199647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199649 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199651 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 199663 */     GIR_RootConstrainSelectedInstOperands,
     /* 199664 */     // GIR_Coverage, 3869,
     /* 199664 */     GIR_EraseRootFromParent_Done,
     /* 199665 */   // Label 3977: @199665
     /* 199665 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(199770), // Rule ID 3870 //
     /* 199670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 199673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 199678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 199681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 199684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 199687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 199690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 199714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199726 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199735 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199739 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199743 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 199747 */     // MIs[3] Operand 1
     /* 199747 */     // No operand predicates
     /* 199747 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199749 */     // (intrinsic_wo_chain:{ *:[v4f16] } 760:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 1:{ *:[i32] })
     /* 199749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 199752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199754 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199756 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 199768 */     GIR_RootConstrainSelectedInstOperands,
     /* 199769 */     // GIR_Coverage, 3870,
     /* 199769 */     GIR_EraseRootFromParent_Done,
     /* 199770 */   // Label 3978: @199770
     /* 199770 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(199875), // Rule ID 3871 //
     /* 199775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 199778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 199783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 199786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 199789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 199792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 199795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 199819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199831 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199840 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199844 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199848 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 199852 */     // MIs[3] Operand 1
     /* 199852 */     // No operand predicates
     /* 199852 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199854 */     // (intrinsic_wo_chain:{ *:[v4f16] } 758:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 2:{ *:[i32] })
     /* 199854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 199857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199859 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199861 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 199873 */     GIR_RootConstrainSelectedInstOperands,
     /* 199874 */     // GIR_Coverage, 3871,
     /* 199874 */     GIR_EraseRootFromParent_Done,
     /* 199875 */   // Label 3979: @199875
     /* 199875 */   GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(199980), // Rule ID 3872 //
     /* 199880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 199883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 199888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 199891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 199894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 199897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 199900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 199912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 199916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 199920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 199924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 199928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 199932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 199936 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 199940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 199945 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 199949 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 199953 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 199957 */     // MIs[3] Operand 1
     /* 199957 */     // No operand predicates
     /* 199957 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 199959 */     // (intrinsic_wo_chain:{ *:[v4f16] } 759:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (bitconvert:{ *:[v4f16] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f16_indexed:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 3:{ *:[i32] })
     /* 199959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16_indexed),
     /* 199962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 199964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 199966 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 199968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 199972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 199975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 199978 */     GIR_RootConstrainSelectedInstOperands,
     /* 199979 */     // GIR_Coverage, 3872,
     /* 199979 */     GIR_EraseRootFromParent_Done,
     /* 199980 */   // Label 3980: @199980
     /* 199980 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(200085), // Rule ID 3877 //
     /* 199985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 199988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 199993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 199996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 199999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 200002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 200005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 200037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200041 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200050 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200054 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200058 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 200062 */     // MIs[3] Operand 1
     /* 200062 */     // No operand predicates
     /* 200062 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200064 */     // (intrinsic_wo_chain:{ *:[v8f16] } 757:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 0:{ *:[i32] })
     /* 200064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 200067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200071 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200083 */     GIR_RootConstrainSelectedInstOperands,
     /* 200084 */     // GIR_Coverage, 3877,
     /* 200084 */     GIR_EraseRootFromParent_Done,
     /* 200085 */   // Label 3981: @200085
     /* 200085 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(200190), // Rule ID 3878 //
     /* 200090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 200093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 200098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 200101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 200104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 200107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 200110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200134 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200138 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 200142 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200146 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200155 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200159 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200163 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 200167 */     // MIs[3] Operand 1
     /* 200167 */     // No operand predicates
     /* 200167 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200169 */     // (intrinsic_wo_chain:{ *:[v8f16] } 760:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 1:{ *:[i32] })
     /* 200169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 200172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200176 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200188 */     GIR_RootConstrainSelectedInstOperands,
     /* 200189 */     // GIR_Coverage, 3878,
     /* 200189 */     GIR_EraseRootFromParent_Done,
     /* 200190 */   // Label 3982: @200190
     /* 200190 */   GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(200295), // Rule ID 3879 //
     /* 200195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 200198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 200203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 200206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 200209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 200212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 200215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200239 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200243 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 200247 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200251 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200255 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200260 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200264 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200268 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 200272 */     // MIs[3] Operand 1
     /* 200272 */     // No operand predicates
     /* 200272 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200274 */     // (intrinsic_wo_chain:{ *:[v8f16] } 758:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 2:{ *:[i32] })
     /* 200274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 200277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200279 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200281 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 200293 */     GIR_RootConstrainSelectedInstOperands,
     /* 200294 */     // GIR_Coverage, 3879,
     /* 200294 */     GIR_EraseRootFromParent_Done,
     /* 200295 */   // Label 3983: @200295
     /* 200295 */   GIM_Try, /*On fail goto*//*Label 3984*/ GIMT_Encode4(200400), // Rule ID 3880 //
     /* 200300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 200303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 200308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 200311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 200314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 200317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 200320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 200352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 200356 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200365 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200369 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200373 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 200377 */     // MIs[3] Operand 1
     /* 200377 */     // No operand predicates
     /* 200377 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200379 */     // (intrinsic_wo_chain:{ *:[v8f16] } 759:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (bitconvert:{ *:[v8f16] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (FCMLAv8f16_indexed:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 3:{ *:[i32] })
     /* 200379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16_indexed),
     /* 200382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200384 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200386 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 200398 */     GIR_RootConstrainSelectedInstOperands,
     /* 200399 */     // GIR_Coverage, 3880,
     /* 200399 */     GIR_EraseRootFromParent_Done,
     /* 200400 */   // Label 3984: @200400
     /* 200400 */   GIM_Try, /*On fail goto*//*Label 3985*/ GIMT_Encode4(200505), // Rule ID 3893 //
     /* 200405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 200408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 200413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 200416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 200419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 200422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 200425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 200457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200461 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200465 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200470 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200474 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200478 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 200482 */     // MIs[3] Operand 1
     /* 200482 */     // No operand predicates
     /* 200482 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200484 */     // (intrinsic_wo_chain:{ *:[v4f32] } 757:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 0:{ *:[i32] })
     /* 200484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 200487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200491 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 200503 */     GIR_RootConstrainSelectedInstOperands,
     /* 200504 */     // GIR_Coverage, 3893,
     /* 200504 */     GIR_EraseRootFromParent_Done,
     /* 200505 */   // Label 3985: @200505
     /* 200505 */   GIM_Try, /*On fail goto*//*Label 3986*/ GIMT_Encode4(200610), // Rule ID 3894 //
     /* 200510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 200513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 200518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 200521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 200524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 200527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 200530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 200562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200566 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200575 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200579 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200583 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 200587 */     // MIs[3] Operand 1
     /* 200587 */     // No operand predicates
     /* 200587 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200589 */     // (intrinsic_wo_chain:{ *:[v4f32] } 760:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 1:{ *:[i32] })
     /* 200589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 200592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200594 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200596 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 200608 */     GIR_RootConstrainSelectedInstOperands,
     /* 200609 */     // GIR_Coverage, 3894,
     /* 200609 */     GIR_EraseRootFromParent_Done,
     /* 200610 */   // Label 3986: @200610
     /* 200610 */   GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(200715), // Rule ID 3895 //
     /* 200615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 200618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 200623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 200626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 200629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 200632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 200635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 200667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200671 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200675 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200680 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200684 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200688 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 200692 */     // MIs[3] Operand 1
     /* 200692 */     // No operand predicates
     /* 200692 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200694 */     // (intrinsic_wo_chain:{ *:[v4f32] } 758:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 2:{ *:[i32] })
     /* 200694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 200697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200699 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200701 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 200713 */     GIR_RootConstrainSelectedInstOperands,
     /* 200714 */     // GIR_Coverage, 3895,
     /* 200714 */     GIR_EraseRootFromParent_Done,
     /* 200715 */   // Label 3987: @200715
     /* 200715 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(200820), // Rule ID 3896 //
     /* 200720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 200723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 200728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 200731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 200734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 200737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 200740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 200756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 200760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 200768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 200772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 200776 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 200780 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 200785 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 200789 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 200793 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 200797 */     // MIs[3] Operand 1
     /* 200797 */     // No operand predicates
     /* 200797 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 200799 */     // (intrinsic_wo_chain:{ *:[v4f32] } 759:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (bitconvert:{ *:[v4f32] } (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)))  =>  (FCMLAv4f32_indexed:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, 3:{ *:[i32] })
     /* 200799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32_indexed),
     /* 200802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200806 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 200808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 200812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 200815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 200818 */     GIR_RootConstrainSelectedInstOperands,
     /* 200819 */     // GIR_Coverage, 3896,
     /* 200819 */     GIR_EraseRootFromParent_Done,
     /* 200820 */   // Label 3988: @200820
     /* 200820 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(200874), // Rule ID 59 //
     /* 200825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 200828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 200833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 200842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200850 */     // MIs[0] Operand 3
     /* 200850 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 200861 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 200865 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 0:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACIZA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 200865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIZA),
     /* 200868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200872 */     GIR_RootConstrainSelectedInstOperands,
     /* 200873 */     // GIR_Coverage, 59,
     /* 200873 */     GIR_EraseRootFromParent_Done,
     /* 200874 */   // Label 3989: @200874
     /* 200874 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(200928), // Rule ID 60 //
     /* 200879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 200882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 200887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 200896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200904 */     // MIs[0] Operand 3
     /* 200904 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(2),
     /* 200915 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 200919 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 2:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACDZA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 200919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDZA),
     /* 200922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200926 */     GIR_RootConstrainSelectedInstOperands,
     /* 200927 */     // GIR_Coverage, 60,
     /* 200927 */     GIR_EraseRootFromParent_Done,
     /* 200928 */   // Label 3990: @200928
     /* 200928 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(200982), // Rule ID 61 //
     /* 200933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 200936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 200941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 200947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 200950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 200958 */     // MIs[0] Operand 3
     /* 200958 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(1),
     /* 200969 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 200973 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 1:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACIZB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 200973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIZB),
     /* 200976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 200978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 200980 */     GIR_RootConstrainSelectedInstOperands,
     /* 200981 */     // GIR_Coverage, 61,
     /* 200981 */     GIR_EraseRootFromParent_Done,
     /* 200982 */   // Label 3991: @200982
     /* 200982 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(201036), // Rule ID 62 //
     /* 200987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 200990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 200995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 200998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 201004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201012 */     // MIs[0] Operand 3
     /* 201012 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(3),
     /* 201023 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 0,
     /* 201027 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 3:{ *:[i32] }, 0:{ *:[i64] })  =>  (PACDZB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd)
     /* 201027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDZB),
     /* 201030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 201032 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 201034 */     GIR_RootConstrainSelectedInstOperands,
     /* 201035 */     // GIR_Coverage, 62,
     /* 201035 */     GIR_EraseRootFromParent_Done,
     /* 201036 */   // Label 3992: @201036
     /* 201036 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(201092), // Rule ID 2652 //
     /* 201041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqinch),
     /* 201049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 201052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 201055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 201063 */     // MIs[0] pattern
     /* 201063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201066 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201071 */     // MIs[0] imm4
     /* 201071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201074 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201079 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1810:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCH_ZPiI),
     /* 201082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 201084 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 201086 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201088 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201090 */     GIR_RootConstrainSelectedInstOperands,
     /* 201091 */     // GIR_Coverage, 2652,
     /* 201091 */     GIR_EraseRootFromParent_Done,
     /* 201092 */   // Label 3993: @201092
     /* 201092 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(201148), // Rule ID 2661 //
     /* 201097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincb_n32),
     /* 201105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 201108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 201111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201119 */     // MIs[0] pattern
     /* 201119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201122 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201127 */     // MIs[0] imm4
     /* 201127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201135 */     // (intrinsic_wo_chain:{ *:[i32] } 2016:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCB_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCB_WPiI),
     /* 201138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201142 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201144 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201146 */     GIR_RootConstrainSelectedInstOperands,
     /* 201147 */     // GIR_Coverage, 2661,
     /* 201147 */     GIR_EraseRootFromParent_Done,
     /* 201148 */   // Label 3994: @201148
     /* 201148 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(201204), // Rule ID 2662 //
     /* 201153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincb_n64),
     /* 201161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201175 */     // MIs[0] pattern
     /* 201175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201178 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201183 */     // MIs[0] imm4
     /* 201183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201191 */     // (intrinsic_wo_chain:{ *:[i64] } 1806:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCB_XPiI),
     /* 201194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201198 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201200 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201202 */     GIR_RootConstrainSelectedInstOperands,
     /* 201203 */     // GIR_Coverage, 2662,
     /* 201203 */     GIR_EraseRootFromParent_Done,
     /* 201204 */   // Label 3995: @201204
     /* 201204 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(201260), // Rule ID 9956 //
     /* 201209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecb_n32),
     /* 201217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 201220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 201223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201231 */     // MIs[0] pattern
     /* 201231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201239 */     // MIs[0] imm4
     /* 201239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201242 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201247 */     // (intrinsic_wo_chain:{ *:[i32] } 2002:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECB_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECB_WPiI),
     /* 201250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201254 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201256 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201258 */     GIR_RootConstrainSelectedInstOperands,
     /* 201259 */     // GIR_Coverage, 9956,
     /* 201259 */     GIR_EraseRootFromParent_Done,
     /* 201260 */   // Label 3996: @201260
     /* 201260 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(201316), // Rule ID 9957 //
     /* 201265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincb_n64),
     /* 201273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201287 */     // MIs[0] pattern
     /* 201287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201290 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201295 */     // MIs[0] imm4
     /* 201295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201298 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201303 */     // (intrinsic_wo_chain:{ *:[i64] } 2017:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCB_XPiI),
     /* 201306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201310 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201312 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201314 */     GIR_RootConstrainSelectedInstOperands,
     /* 201315 */     // GIR_Coverage, 9957,
     /* 201315 */     GIR_EraseRootFromParent_Done,
     /* 201316 */   // Label 3997: @201316
     /* 201316 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(201372), // Rule ID 9958 //
     /* 201321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecb_n64),
     /* 201329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201343 */     // MIs[0] pattern
     /* 201343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201351 */     // MIs[0] imm4
     /* 201351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201359 */     // (intrinsic_wo_chain:{ *:[i64] } 1772:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECB_XPiI),
     /* 201362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201366 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201368 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201370 */     GIR_RootConstrainSelectedInstOperands,
     /* 201371 */     // GIR_Coverage, 9958,
     /* 201371 */     GIR_EraseRootFromParent_Done,
     /* 201372 */   // Label 3998: @201372
     /* 201372 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(201428), // Rule ID 9959 //
     /* 201377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecb_n64),
     /* 201385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201399 */     // MIs[0] pattern
     /* 201399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201402 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201407 */     // MIs[0] imm4
     /* 201407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201410 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201415 */     // (intrinsic_wo_chain:{ *:[i64] } 2003:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECB_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECB_XPiI),
     /* 201418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201422 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201424 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201426 */     GIR_RootConstrainSelectedInstOperands,
     /* 201427 */     // GIR_Coverage, 9959,
     /* 201427 */     GIR_EraseRootFromParent_Done,
     /* 201428 */   // Label 3999: @201428
     /* 201428 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(201484), // Rule ID 9962 //
     /* 201433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqinch_n32),
     /* 201441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 201444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 201447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201455 */     // MIs[0] pattern
     /* 201455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201458 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201463 */     // MIs[0] imm4
     /* 201463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201466 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201471 */     // (intrinsic_wo_chain:{ *:[i32] } 2022:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCH_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCH_WPiI),
     /* 201474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201476 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201478 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201480 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201482 */     GIR_RootConstrainSelectedInstOperands,
     /* 201483 */     // GIR_Coverage, 9962,
     /* 201483 */     GIR_EraseRootFromParent_Done,
     /* 201484 */   // Label 4000: @201484
     /* 201484 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(201540), // Rule ID 9965 //
     /* 201489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdech_n32),
     /* 201497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 201500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 201503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201511 */     // MIs[0] pattern
     /* 201511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201519 */     // MIs[0] imm4
     /* 201519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201527 */     // (intrinsic_wo_chain:{ *:[i32] } 2008:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECH_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECH_WPiI),
     /* 201530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201532 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201534 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201536 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201538 */     GIR_RootConstrainSelectedInstOperands,
     /* 201539 */     // GIR_Coverage, 9965,
     /* 201539 */     GIR_EraseRootFromParent_Done,
     /* 201540 */   // Label 4001: @201540
     /* 201540 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(201596), // Rule ID 9966 //
     /* 201545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqinch_n64),
     /* 201553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201567 */     // MIs[0] pattern
     /* 201567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201570 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201575 */     // MIs[0] imm4
     /* 201575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201578 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201583 */     // (intrinsic_wo_chain:{ *:[i64] } 1812:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCH_XPiI),
     /* 201586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201588 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201590 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201592 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201594 */     GIR_RootConstrainSelectedInstOperands,
     /* 201595 */     // GIR_Coverage, 9966,
     /* 201595 */     GIR_EraseRootFromParent_Done,
     /* 201596 */   // Label 4002: @201596
     /* 201596 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(201652), // Rule ID 9967 //
     /* 201601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqinch_n64),
     /* 201609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201623 */     // MIs[0] pattern
     /* 201623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201626 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201631 */     // MIs[0] imm4
     /* 201631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201639 */     // (intrinsic_wo_chain:{ *:[i64] } 2023:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCH_XPiI),
     /* 201642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201646 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201648 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201650 */     GIR_RootConstrainSelectedInstOperands,
     /* 201651 */     // GIR_Coverage, 9967,
     /* 201651 */     GIR_EraseRootFromParent_Done,
     /* 201652 */   // Label 4003: @201652
     /* 201652 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(201708), // Rule ID 9968 //
     /* 201657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdech_n64),
     /* 201665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201679 */     // MIs[0] pattern
     /* 201679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201687 */     // MIs[0] imm4
     /* 201687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201690 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201695 */     // (intrinsic_wo_chain:{ *:[i64] } 1778:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECH_XPiI),
     /* 201698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201702 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201704 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201706 */     GIR_RootConstrainSelectedInstOperands,
     /* 201707 */     // GIR_Coverage, 9968,
     /* 201707 */     GIR_EraseRootFromParent_Done,
     /* 201708 */   // Label 4004: @201708
     /* 201708 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(201764), // Rule ID 9969 //
     /* 201713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdech_n64),
     /* 201721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201735 */     // MIs[0] pattern
     /* 201735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201738 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201743 */     // MIs[0] imm4
     /* 201743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201746 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201751 */     // (intrinsic_wo_chain:{ *:[i64] } 2009:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECH_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECH_XPiI),
     /* 201754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201756 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201758 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201760 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201762 */     GIR_RootConstrainSelectedInstOperands,
     /* 201763 */     // GIR_Coverage, 9969,
     /* 201763 */     GIR_EraseRootFromParent_Done,
     /* 201764 */   // Label 4005: @201764
     /* 201764 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(201820), // Rule ID 9972 //
     /* 201769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincw_n32),
     /* 201777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 201780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 201783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201791 */     // MIs[0] pattern
     /* 201791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201794 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201799 */     // MIs[0] imm4
     /* 201799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201802 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201807 */     // (intrinsic_wo_chain:{ *:[i32] } 2028:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCW_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCW_WPiI),
     /* 201810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201812 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201814 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201816 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201818 */     GIR_RootConstrainSelectedInstOperands,
     /* 201819 */     // GIR_Coverage, 9972,
     /* 201819 */     GIR_EraseRootFromParent_Done,
     /* 201820 */   // Label 4006: @201820
     /* 201820 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(201876), // Rule ID 9975 //
     /* 201825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecw_n32),
     /* 201833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 201836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 201839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 201847 */     // MIs[0] pattern
     /* 201847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201850 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201855 */     // MIs[0] imm4
     /* 201855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201863 */     // (intrinsic_wo_chain:{ *:[i32] } 2014:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECW_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECW_WPiI),
     /* 201866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201870 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201872 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201874 */     GIR_RootConstrainSelectedInstOperands,
     /* 201875 */     // GIR_Coverage, 9975,
     /* 201875 */     GIR_EraseRootFromParent_Done,
     /* 201876 */   // Label 4007: @201876
     /* 201876 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(201932), // Rule ID 9976 //
     /* 201881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincw_n64),
     /* 201889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201903 */     // MIs[0] pattern
     /* 201903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201906 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201911 */     // MIs[0] imm4
     /* 201911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201914 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201919 */     // (intrinsic_wo_chain:{ *:[i64] } 1818:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCW_XPiI),
     /* 201922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201926 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201928 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201930 */     GIR_RootConstrainSelectedInstOperands,
     /* 201931 */     // GIR_Coverage, 9976,
     /* 201931 */     GIR_EraseRootFromParent_Done,
     /* 201932 */   // Label 4008: @201932
     /* 201932 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(201988), // Rule ID 9977 //
     /* 201937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincw_n64),
     /* 201945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 201948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 201951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 201959 */     // MIs[0] pattern
     /* 201959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 201962 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 201967 */     // MIs[0] imm4
     /* 201967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 201970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 201975 */     // (intrinsic_wo_chain:{ *:[i64] } 2029:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 201975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCW_XPiI),
     /* 201978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 201980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 201982 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 201984 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 201986 */     GIR_RootConstrainSelectedInstOperands,
     /* 201987 */     // GIR_Coverage, 9977,
     /* 201987 */     GIR_EraseRootFromParent_Done,
     /* 201988 */   // Label 4009: @201988
     /* 201988 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(202044), // Rule ID 9978 //
     /* 201993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 201996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecw_n64),
     /* 202001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 202004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 202007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202015 */     // MIs[0] pattern
     /* 202015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202023 */     // MIs[0] imm4
     /* 202023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202026 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202031 */     // (intrinsic_wo_chain:{ *:[i64] } 1784:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECW_XPiI),
     /* 202034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202038 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202040 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202042 */     GIR_RootConstrainSelectedInstOperands,
     /* 202043 */     // GIR_Coverage, 9978,
     /* 202043 */     GIR_EraseRootFromParent_Done,
     /* 202044 */   // Label 4010: @202044
     /* 202044 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(202100), // Rule ID 9979 //
     /* 202049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecw_n64),
     /* 202057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 202060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 202063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202071 */     // MIs[0] pattern
     /* 202071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202074 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202079 */     // MIs[0] imm4
     /* 202079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202082 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202087 */     // (intrinsic_wo_chain:{ *:[i64] } 2015:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECW_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECW_XPiI),
     /* 202090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202094 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202096 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202098 */     GIR_RootConstrainSelectedInstOperands,
     /* 202099 */     // GIR_Coverage, 9979,
     /* 202099 */     GIR_EraseRootFromParent_Done,
     /* 202100 */   // Label 4011: @202100
     /* 202100 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(202156), // Rule ID 9982 //
     /* 202105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincd_n32),
     /* 202113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 202116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 202119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 202123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 202127 */     // MIs[0] pattern
     /* 202127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202135 */     // MIs[0] imm4
     /* 202135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202138 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202143 */     // (intrinsic_wo_chain:{ *:[i32] } 2019:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCD_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCD_WPiI),
     /* 202146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202150 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202152 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202154 */     GIR_RootConstrainSelectedInstOperands,
     /* 202155 */     // GIR_Coverage, 9982,
     /* 202155 */     GIR_EraseRootFromParent_Done,
     /* 202156 */   // Label 4012: @202156
     /* 202156 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(202212), // Rule ID 9985 //
     /* 202161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecd_n32),
     /* 202169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 202172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 202175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 202179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 202183 */     // MIs[0] pattern
     /* 202183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202191 */     // MIs[0] imm4
     /* 202191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202194 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202199 */     // (intrinsic_wo_chain:{ *:[i32] } 2005:{ *:[iPTR] }, GPR32:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECD_WPiI:{ *:[i32] } ?:{ *:[i32] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECD_WPiI),
     /* 202202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202206 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202208 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202210 */     GIR_RootConstrainSelectedInstOperands,
     /* 202211 */     // GIR_Coverage, 9985,
     /* 202211 */     GIR_EraseRootFromParent_Done,
     /* 202212 */   // Label 4013: @202212
     /* 202212 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(202268), // Rule ID 9986 //
     /* 202217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincd_n64),
     /* 202225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 202228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 202231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202239 */     // MIs[0] pattern
     /* 202239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202242 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202247 */     // MIs[0] imm4
     /* 202247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202250 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202255 */     // (intrinsic_wo_chain:{ *:[i64] } 1809:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCD_XPiI),
     /* 202258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202260 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202262 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202264 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202266 */     GIR_RootConstrainSelectedInstOperands,
     /* 202267 */     // GIR_Coverage, 9986,
     /* 202267 */     GIR_EraseRootFromParent_Done,
     /* 202268 */   // Label 4014: @202268
     /* 202268 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(202324), // Rule ID 9987 //
     /* 202273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincd_n64),
     /* 202281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 202284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 202287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202295 */     // MIs[0] pattern
     /* 202295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202298 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202303 */     // MIs[0] imm4
     /* 202303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202306 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202311 */     // (intrinsic_wo_chain:{ *:[i64] } 2020:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCD_XPiI),
     /* 202314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202318 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202320 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202322 */     GIR_RootConstrainSelectedInstOperands,
     /* 202323 */     // GIR_Coverage, 9987,
     /* 202323 */     GIR_EraseRootFromParent_Done,
     /* 202324 */   // Label 4015: @202324
     /* 202324 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(202380), // Rule ID 9988 //
     /* 202329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecd_n64),
     /* 202337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 202340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 202343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202351 */     // MIs[0] pattern
     /* 202351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202359 */     // MIs[0] imm4
     /* 202359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202362 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202367 */     // (intrinsic_wo_chain:{ *:[i64] } 1775:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECD_XPiI),
     /* 202370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202372 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202374 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202376 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202378 */     GIR_RootConstrainSelectedInstOperands,
     /* 202379 */     // GIR_Coverage, 9988,
     /* 202379 */     GIR_EraseRootFromParent_Done,
     /* 202380 */   // Label 4016: @202380
     /* 202380 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(202436), // Rule ID 9989 //
     /* 202385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecd_n64),
     /* 202393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 202396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 202399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 202407 */     // MIs[0] pattern
     /* 202407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202410 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202415 */     // MIs[0] imm4
     /* 202415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202418 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202423 */     // (intrinsic_wo_chain:{ *:[i64] } 2006:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECD_XPiI:{ *:[i64] } ?:{ *:[i64] }:$Rn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECD_XPiI),
     /* 202426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rdn]
     /* 202428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 202430 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202432 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202434 */     GIR_RootConstrainSelectedInstOperands,
     /* 202435 */     // GIR_Coverage, 9989,
     /* 202435 */     GIR_EraseRootFromParent_Done,
     /* 202436 */   // Label 4017: @202436
     /* 202436 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(202492), // Rule ID 9990 //
     /* 202441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqinch),
     /* 202449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 202452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 202455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202463 */     // MIs[0] pattern
     /* 202463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202466 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202471 */     // MIs[0] imm4
     /* 202471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202474 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202479 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2021:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCH_ZPiI),
     /* 202482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202484 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202486 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202488 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202490 */     GIR_RootConstrainSelectedInstOperands,
     /* 202491 */     // GIR_Coverage, 9990,
     /* 202491 */     GIR_EraseRootFromParent_Done,
     /* 202492 */   // Label 4018: @202492
     /* 202492 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(202548), // Rule ID 9991 //
     /* 202497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdech),
     /* 202505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 202508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 202511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202519 */     // MIs[0] pattern
     /* 202519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202527 */     // MIs[0] imm4
     /* 202527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202535 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1776:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECH_ZPiI),
     /* 202538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202542 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202544 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202546 */     GIR_RootConstrainSelectedInstOperands,
     /* 202547 */     // GIR_Coverage, 9991,
     /* 202547 */     GIR_EraseRootFromParent_Done,
     /* 202548 */   // Label 4019: @202548
     /* 202548 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(202604), // Rule ID 9992 //
     /* 202553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdech),
     /* 202561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 202564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 202567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202575 */     // MIs[0] pattern
     /* 202575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202578 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202583 */     // MIs[0] imm4
     /* 202583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202586 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202591 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2007:{ *:[iPTR] }, ZPR16:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECH_ZPiI:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECH_ZPiI),
     /* 202594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202598 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202600 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202602 */     GIR_RootConstrainSelectedInstOperands,
     /* 202603 */     // GIR_Coverage, 9992,
     /* 202603 */     GIR_EraseRootFromParent_Done,
     /* 202604 */   // Label 4020: @202604
     /* 202604 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(202660), // Rule ID 9993 //
     /* 202609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincw),
     /* 202617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 202620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 202623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202631 */     // MIs[0] pattern
     /* 202631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202639 */     // MIs[0] imm4
     /* 202639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202642 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202647 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1816:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCW_ZPiI),
     /* 202650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202652 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202654 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202656 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202658 */     GIR_RootConstrainSelectedInstOperands,
     /* 202659 */     // GIR_Coverage, 9993,
     /* 202659 */     GIR_EraseRootFromParent_Done,
     /* 202660 */   // Label 4021: @202660
     /* 202660 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(202716), // Rule ID 9994 //
     /* 202665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincw),
     /* 202673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 202676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 202679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202687 */     // MIs[0] pattern
     /* 202687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202690 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202695 */     // MIs[0] imm4
     /* 202695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202698 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202703 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2027:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCW_ZPiI),
     /* 202706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202710 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202712 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202714 */     GIR_RootConstrainSelectedInstOperands,
     /* 202715 */     // GIR_Coverage, 9994,
     /* 202715 */     GIR_EraseRootFromParent_Done,
     /* 202716 */   // Label 4022: @202716
     /* 202716 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(202772), // Rule ID 9995 //
     /* 202721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecw),
     /* 202729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 202732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 202735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202743 */     // MIs[0] pattern
     /* 202743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202746 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202751 */     // MIs[0] imm4
     /* 202751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202754 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202759 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1782:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECW_ZPiI),
     /* 202762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202764 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202766 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202768 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202770 */     GIR_RootConstrainSelectedInstOperands,
     /* 202771 */     // GIR_Coverage, 9995,
     /* 202771 */     GIR_EraseRootFromParent_Done,
     /* 202772 */   // Label 4023: @202772
     /* 202772 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(202828), // Rule ID 9996 //
     /* 202777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecw),
     /* 202785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 202788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 202791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202799 */     // MIs[0] pattern
     /* 202799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202802 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202807 */     // MIs[0] imm4
     /* 202807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202810 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202815 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2013:{ *:[iPTR] }, ZPR32:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECW_ZPiI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECW_ZPiI),
     /* 202818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202822 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202824 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202826 */     GIR_RootConstrainSelectedInstOperands,
     /* 202827 */     // GIR_Coverage, 9996,
     /* 202827 */     GIR_EraseRootFromParent_Done,
     /* 202828 */   // Label 4024: @202828
     /* 202828 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(202884), // Rule ID 9997 //
     /* 202833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqincd),
     /* 202841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 202844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 202847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202855 */     // MIs[0] pattern
     /* 202855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202863 */     // MIs[0] imm4
     /* 202863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202866 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202871 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1807:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQINCD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQINCD_ZPiI),
     /* 202874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202876 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202878 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202880 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202882 */     GIR_RootConstrainSelectedInstOperands,
     /* 202883 */     // GIR_Coverage, 9997,
     /* 202883 */     GIR_EraseRootFromParent_Done,
     /* 202884 */   // Label 4025: @202884
     /* 202884 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(202940), // Rule ID 9998 //
     /* 202889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqincd),
     /* 202897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 202900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 202903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202911 */     // MIs[0] pattern
     /* 202911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202914 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202919 */     // MIs[0] imm4
     /* 202919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202922 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202927 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2018:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQINCD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQINCD_ZPiI),
     /* 202930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202932 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202934 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202936 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202938 */     GIR_RootConstrainSelectedInstOperands,
     /* 202939 */     // GIR_Coverage, 9998,
     /* 202939 */     GIR_EraseRootFromParent_Done,
     /* 202940 */   // Label 4026: @202940
     /* 202940 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(202996), // Rule ID 9999 //
     /* 202945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 202948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdecd),
     /* 202953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 202956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 202959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 202967 */     // MIs[0] pattern
     /* 202967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 202970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 202975 */     // MIs[0] imm4
     /* 202975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 202978 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 202983 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1773:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (SQDECD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 202983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDECD_ZPiI),
     /* 202986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 202988 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 202990 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 202992 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 202994 */     GIR_RootConstrainSelectedInstOperands,
     /* 202995 */     // GIR_Coverage, 9999,
     /* 202995 */     GIR_EraseRootFromParent_Done,
     /* 202996 */   // Label 4027: @202996
     /* 202996 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(203052), // Rule ID 10000 //
     /* 203001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 203004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqdecd),
     /* 203009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 203012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 203015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 203023 */     // MIs[0] pattern
     /* 203023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 203026 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_pred_enum),
     /* 203031 */     // MIs[0] imm4
     /* 203031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 203034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_incdec_imm),
     /* 203039 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2004:{ *:[iPTR] }, ZPR64:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)  =>  (UQDECD_ZPiI:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Zn, (timm:{ *:[i32] })<<P:Predicate_sve_pred_enum>>:$pattern, (timm:{ *:[i32] })<<P:Predicate_sve_incdec_imm>>:$imm4)
     /* 203039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQDECD_ZPiI),
     /* 203042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 203044 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 203046 */     GIR_RootToRootCopy, /*OpIdx*/3, // pattern
     /* 203048 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm4
     /* 203050 */     GIR_RootConstrainSelectedInstOperands,
     /* 203051 */     // GIR_Coverage, 10000,
     /* 203051 */     GIR_EraseRootFromParent_Done,
     /* 203052 */   // Label 4028: @203052
     /* 203052 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(203142), // Rule ID 47 //
     /* 203057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 203065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 203068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 203071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 203074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 203077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203101 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203118 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203122 */     // MIs[2] Operand 1
     /* 203122 */     // No operand predicates
     /* 203122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203124 */     // (intrinsic_wo_chain:{ *:[v2f32] } 606:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLALlanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALlanev4f16),
     /* 203127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203131 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203140 */     GIR_RootConstrainSelectedInstOperands,
     /* 203141 */     // GIR_Coverage, 47,
     /* 203141 */     GIR_EraseRootFromParent_Done,
     /* 203142 */   // Label 4029: @203142
     /* 203142 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(203232), // Rule ID 48 //
     /* 203147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 203155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 203158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 203161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 203164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 203167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203191 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203200 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203204 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203208 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203212 */     // MIs[2] Operand 1
     /* 203212 */     // No operand predicates
     /* 203212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203214 */     // (intrinsic_wo_chain:{ *:[v4f32] } 606:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLALlanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALlanev8f16),
     /* 203217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203219 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203221 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203230 */     GIR_RootConstrainSelectedInstOperands,
     /* 203231 */     // GIR_Coverage, 48,
     /* 203231 */     GIR_EraseRootFromParent_Done,
     /* 203232 */   // Label 4030: @203232
     /* 203232 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(203322), // Rule ID 49 //
     /* 203237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 203245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 203248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 203251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 203254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 203257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203281 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203298 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203302 */     // MIs[2] Operand 1
     /* 203302 */     // No operand predicates
     /* 203302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203304 */     // (intrinsic_wo_chain:{ *:[v2f32] } 608:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSLlanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLlanev4f16),
     /* 203307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203309 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203311 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203320 */     GIR_RootConstrainSelectedInstOperands,
     /* 203321 */     // GIR_Coverage, 49,
     /* 203321 */     GIR_EraseRootFromParent_Done,
     /* 203322 */   // Label 4031: @203322
     /* 203322 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(203412), // Rule ID 50 //
     /* 203327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 203335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 203338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 203341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 203344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 203347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203380 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203384 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203388 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203392 */     // MIs[2] Operand 1
     /* 203392 */     // No operand predicates
     /* 203392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203394 */     // (intrinsic_wo_chain:{ *:[v4f32] } 608:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSLlanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLlanev8f16),
     /* 203397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203399 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203401 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203410 */     GIR_RootConstrainSelectedInstOperands,
     /* 203411 */     // GIR_Coverage, 50,
     /* 203411 */     GIR_EraseRootFromParent_Done,
     /* 203412 */   // Label 4032: @203412
     /* 203412 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(203502), // Rule ID 51 //
     /* 203417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 203425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 203428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 203431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 203434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 203437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203461 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203478 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203482 */     // MIs[2] Operand 1
     /* 203482 */     // No operand predicates
     /* 203482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203484 */     // (intrinsic_wo_chain:{ *:[v2f32] } 607:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLAL2lanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2lanev4f16),
     /* 203487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203491 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203500 */     GIR_RootConstrainSelectedInstOperands,
     /* 203501 */     // GIR_Coverage, 51,
     /* 203501 */     GIR_EraseRootFromParent_Done,
     /* 203502 */   // Label 4033: @203502
     /* 203502 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(203592), // Rule ID 52 //
     /* 203507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 203515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 203518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 203521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 203524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 203527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203551 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203568 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203572 */     // MIs[2] Operand 1
     /* 203572 */     // No operand predicates
     /* 203572 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203574 */     // (intrinsic_wo_chain:{ *:[v4f32] } 607:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLAL2lanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2lanev8f16),
     /* 203577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203579 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203581 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203590 */     GIR_RootConstrainSelectedInstOperands,
     /* 203591 */     // GIR_Coverage, 52,
     /* 203591 */     GIR_EraseRootFromParent_Done,
     /* 203592 */   // Label 4034: @203592
     /* 203592 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(203682), // Rule ID 53 //
     /* 203597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 203605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 203608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 203611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 203614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 203617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203641 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203658 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203662 */     // MIs[2] Operand 1
     /* 203662 */     // No operand predicates
     /* 203662 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203664 */     // (intrinsic_wo_chain:{ *:[v2f32] } 609:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSL2lanev4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2lanev4f16),
     /* 203667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203669 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203671 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203680 */     GIR_RootConstrainSelectedInstOperands,
     /* 203681 */     // GIR_Coverage, 53,
     /* 203681 */     GIR_EraseRootFromParent_Done,
     /* 203682 */   // Label 4035: @203682
     /* 203682 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(203772), // Rule ID 54 //
     /* 203687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 203690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 203695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 203698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 203701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 203704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 203707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203731 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203748 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203752 */     // MIs[2] Operand 1
     /* 203752 */     // No operand predicates
     /* 203752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203754 */     // (intrinsic_wo_chain:{ *:[v4f32] } 609:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMLSL2lanev8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2lanev8f16),
     /* 203757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203759 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203761 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203770 */     GIR_RootConstrainSelectedInstOperands,
     /* 203771 */     // GIR_Coverage, 54,
     /* 203771 */     GIR_EraseRootFromParent_Done,
     /* 203772 */   // Label 4036: @203772
     /* 203772 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(203862), // Rule ID 2070 //
     /* 203777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 203780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 203785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 203788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 203791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 203794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 203797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203821 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203838 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203842 */     // MIs[2] Operand 1
     /* 203842 */     // No operand predicates
     /* 203842 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203844 */     // (intrinsic_wo_chain:{ *:[v4i16] } 686:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLAHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i16_indexed),
     /* 203847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203860 */     GIR_RootConstrainSelectedInstOperands,
     /* 203861 */     // GIR_Coverage, 2070,
     /* 203861 */     GIR_EraseRootFromParent_Done,
     /* 203862 */   // Label 4037: @203862
     /* 203862 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(203952), // Rule ID 2071 //
     /* 203867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 203870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 203875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 203878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 203881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 203884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 203887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 203899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 203911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 203915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 203920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 203924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 203928 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 203932 */     // MIs[2] Operand 1
     /* 203932 */     // No operand predicates
     /* 203932 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 203934 */     // (intrinsic_wo_chain:{ *:[v8i16] } 686:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLAHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 203934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv8i16_indexed),
     /* 203937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 203939 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 203941 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 203943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 203947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 203950 */     GIR_RootConstrainSelectedInstOperands,
     /* 203951 */     // GIR_Coverage, 2071,
     /* 203951 */     GIR_EraseRootFromParent_Done,
     /* 203952 */   // Label 4038: @203952
     /* 203952 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(204042), // Rule ID 2077 //
     /* 203957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 203960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 203965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 203968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 203971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 203974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 203977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 203989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 203993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 203997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 204001 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 204010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204018 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 204022 */     // MIs[2] Operand 1
     /* 204022 */     // No operand predicates
     /* 204022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204024 */     // (intrinsic_wo_chain:{ *:[v4i16] } 687:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLSHv4i16_indexed:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i16_indexed),
     /* 204027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204031 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204040 */     GIR_RootConstrainSelectedInstOperands,
     /* 204041 */     // GIR_Coverage, 2077,
     /* 204041 */     GIR_EraseRootFromParent_Done,
     /* 204042 */   // Label 4039: @204042
     /* 204042 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(204132), // Rule ID 2078 //
     /* 204047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 204055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 204058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 204061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 204064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 204067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 204087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 204091 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 204100 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204108 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 204112 */     // MIs[2] Operand 1
     /* 204112 */     // No operand predicates
     /* 204112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204114 */     // (intrinsic_wo_chain:{ *:[v8i16] } 687:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SQRDMLSHv8i16_indexed:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv8i16_indexed),
     /* 204117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204119 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204121 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204130 */     GIR_RootConstrainSelectedInstOperands,
     /* 204131 */     // GIR_Coverage, 2078,
     /* 204131 */     GIR_EraseRootFromParent_Done,
     /* 204132 */   // Label 4040: @204132
     /* 204132 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(204222), // Rule ID 2073 //
     /* 204137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 204145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 204148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 204151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 204154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 204157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 204177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 204181 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204198 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 204202 */     // MIs[2] Operand 1
     /* 204202 */     // No operand predicates
     /* 204202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204204 */     // (intrinsic_wo_chain:{ *:[v2i32] } 686:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLAHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv2i32_indexed),
     /* 204207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204209 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204211 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204220 */     GIR_RootConstrainSelectedInstOperands,
     /* 204221 */     // GIR_Coverage, 2073,
     /* 204221 */     GIR_EraseRootFromParent_Done,
     /* 204222 */   // Label 4041: @204222
     /* 204222 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(204312), // Rule ID 2074 //
     /* 204227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 204235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 204238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 204241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 204244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 204247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 204267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 204271 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204288 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 204292 */     // MIs[2] Operand 1
     /* 204292 */     // No operand predicates
     /* 204292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204294 */     // (intrinsic_wo_chain:{ *:[v4i32] } 686:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLAHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i32_indexed),
     /* 204297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204299 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204301 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204310 */     GIR_RootConstrainSelectedInstOperands,
     /* 204311 */     // GIR_Coverage, 2074,
     /* 204311 */     GIR_EraseRootFromParent_Done,
     /* 204312 */   // Label 4042: @204312
     /* 204312 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(204402), // Rule ID 2080 //
     /* 204317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 204325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 204328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 204331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 204334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 204337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 204349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 204357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 204361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204378 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 204382 */     // MIs[2] Operand 1
     /* 204382 */     // No operand predicates
     /* 204382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204384 */     // (intrinsic_wo_chain:{ *:[v2i32] } 687:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLSHv2i32_indexed:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv2i32_indexed),
     /* 204387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204389 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204391 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204400 */     GIR_RootConstrainSelectedInstOperands,
     /* 204401 */     // GIR_Coverage, 2080,
     /* 204401 */     GIR_EraseRootFromParent_Done,
     /* 204402 */   // Label 4043: @204402
     /* 204402 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(204492), // Rule ID 2081 //
     /* 204407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 204415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 204418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 204421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 204424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 204427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 204447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 204451 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204468 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 204472 */     // MIs[2] Operand 1
     /* 204472 */     // No operand predicates
     /* 204472 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204474 */     // (intrinsic_wo_chain:{ *:[v4i32] } 687:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLSHv4i32_indexed:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i32_indexed),
     /* 204477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204479 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204481 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204490 */     GIR_RootConstrainSelectedInstOperands,
     /* 204491 */     // GIR_Coverage, 2081,
     /* 204491 */     GIR_EraseRootFromParent_Done,
     /* 204492 */   // Label 4044: @204492
     /* 204492 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(204582), // Rule ID 2075 //
     /* 204497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 204505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 204508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 204511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 204514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 204517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 204521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 204525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 204529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 204537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 204541 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204558 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 204562 */     // MIs[2] Operand 1
     /* 204562 */     // No operand predicates
     /* 204562 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204564 */     // (intrinsic_wo_chain:{ *:[i32] } 686:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLAHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv1i32_indexed),
     /* 204567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204571 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204580 */     GIR_RootConstrainSelectedInstOperands,
     /* 204581 */     // GIR_Coverage, 2075,
     /* 204581 */     GIR_EraseRootFromParent_Done,
     /* 204582 */   // Label 4045: @204582
     /* 204582 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(204672), // Rule ID 2082 //
     /* 204587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 204590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 204595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 204598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 204601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 204604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 204607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 204611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 204615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 204619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 204627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 204631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 204635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 204640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 204644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 204648 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 204652 */     // MIs[2] Operand 1
     /* 204652 */     // No operand predicates
     /* 204652 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204654 */     // (intrinsic_wo_chain:{ *:[i32] } 687:{ *:[iPTR] }, FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SQRDMLSHv1i32_indexed:{ *:[i32] } FPR32Op:{ *:[i32] }:$Rd, FPR32Op:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 204654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv1i32_indexed),
     /* 204657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 204659 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 204661 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 204663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 204667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 204670 */     GIR_RootConstrainSelectedInstOperands,
     /* 204671 */     // GIR_Coverage, 2082,
     /* 204671 */     GIR_EraseRootFromParent_Done,
     /* 204672 */   // Label 4046: @204672
     /* 204672 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(204749), // Rule ID 2781 //
     /* 204677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 204685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 204688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 204691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 204694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 204697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 204721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204729 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 204733 */     // MIs[2] Operand 1
     /* 204733 */     // No operand predicates
     /* 204733 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204735 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1363:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FADD_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 204735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_H),
     /* 204738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204747 */     GIR_RootConstrainSelectedInstOperands,
     /* 204748 */     // GIR_Coverage, 2781,
     /* 204748 */     GIR_EraseRootFromParent_Done,
     /* 204749 */   // Label 4047: @204749
     /* 204749 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(204826), // Rule ID 2782 //
     /* 204754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 204762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 204765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 204768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 204771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 204774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 204798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204806 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 204810 */     // MIs[2] Operand 1
     /* 204810 */     // No operand predicates
     /* 204810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204812 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1363:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FADD_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 204812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_H),
     /* 204815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204817 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204819 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204824 */     GIR_RootConstrainSelectedInstOperands,
     /* 204825 */     // GIR_Coverage, 2782,
     /* 204825 */     GIR_EraseRootFromParent_Done,
     /* 204826 */   // Label 4048: @204826
     /* 204826 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(204903), // Rule ID 2783 //
     /* 204831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 204839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 204842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 204845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 204848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 204851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 204875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204883 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 204887 */     // MIs[2] Operand 1
     /* 204887 */     // No operand predicates
     /* 204887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204889 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1363:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FADD_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 204889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_S),
     /* 204892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204896 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 204901 */     GIR_RootConstrainSelectedInstOperands,
     /* 204902 */     // GIR_Coverage, 2783,
     /* 204902 */     GIR_EraseRootFromParent_Done,
     /* 204903 */   // Label 4049: @204903
     /* 204903 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(204980), // Rule ID 2784 //
     /* 204908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 204916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 204919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 204922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 204925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 204928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 204936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 204940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 204944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 204948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 204952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 204956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 204960 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 204964 */     // MIs[2] Operand 1
     /* 204964 */     // No operand predicates
     /* 204964 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 204966 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1363:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FADD_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 204966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_S),
     /* 204969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 204971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 204973 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 204975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 204978 */     GIR_RootConstrainSelectedInstOperands,
     /* 204979 */     // GIR_Coverage, 2784,
     /* 204979 */     GIR_EraseRootFromParent_Done,
     /* 204980 */   // Label 4050: @204980
     /* 204980 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(205057), // Rule ID 2785 //
     /* 204985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 204988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 204993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 204996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 204999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 205005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 205029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205037 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205041 */     // MIs[2] Operand 1
     /* 205041 */     // No operand predicates
     /* 205041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205043 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1363:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FADD_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 205043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_D),
     /* 205046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205055 */     GIR_RootConstrainSelectedInstOperands,
     /* 205056 */     // GIR_Coverage, 2785,
     /* 205056 */     GIR_EraseRootFromParent_Done,
     /* 205057 */   // Label 4051: @205057
     /* 205057 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(205134), // Rule ID 2786 //
     /* 205062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 205070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 205073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 205076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 205082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 205106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205114 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 205118 */     // MIs[2] Operand 1
     /* 205118 */     // No operand predicates
     /* 205118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205120 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1363:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FADD_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 205120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmI_D),
     /* 205123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205125 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205132 */     GIR_RootConstrainSelectedInstOperands,
     /* 205133 */     // GIR_Coverage, 2786,
     /* 205133 */     GIR_EraseRootFromParent_Done,
     /* 205134 */   // Label 4052: @205134
     /* 205134 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(205211), // Rule ID 7843 //
     /* 205139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 205147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 205153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 205159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 205183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205191 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205195 */     // MIs[2] Operand 1
     /* 205195 */     // No operand predicates
     /* 205195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205197 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FSUB_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 205197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_H),
     /* 205200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205209 */     GIR_RootConstrainSelectedInstOperands,
     /* 205210 */     // GIR_Coverage, 7843,
     /* 205210 */     GIR_EraseRootFromParent_Done,
     /* 205211 */   // Label 4053: @205211
     /* 205211 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(205288), // Rule ID 7844 //
     /* 205216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 205224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 205230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 205236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 205260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205268 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 205272 */     // MIs[2] Operand 1
     /* 205272 */     // No operand predicates
     /* 205272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205274 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FSUB_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 205274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_H),
     /* 205277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205279 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205281 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205286 */     GIR_RootConstrainSelectedInstOperands,
     /* 205287 */     // GIR_Coverage, 7844,
     /* 205287 */     GIR_EraseRootFromParent_Done,
     /* 205288 */   // Label 4054: @205288
     /* 205288 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(205365), // Rule ID 7845 //
     /* 205293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 205301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 205307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 205337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205345 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205349 */     // MIs[2] Operand 1
     /* 205349 */     // No operand predicates
     /* 205349 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205351 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FSUB_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 205351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_S),
     /* 205354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205358 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205363 */     GIR_RootConstrainSelectedInstOperands,
     /* 205364 */     // GIR_Coverage, 7845,
     /* 205364 */     GIR_EraseRootFromParent_Done,
     /* 205365 */   // Label 4055: @205365
     /* 205365 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(205442), // Rule ID 7846 //
     /* 205370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 205378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 205384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 205414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205422 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 205426 */     // MIs[2] Operand 1
     /* 205426 */     // No operand predicates
     /* 205426 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205428 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FSUB_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 205428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_S),
     /* 205431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205435 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205440 */     GIR_RootConstrainSelectedInstOperands,
     /* 205441 */     // GIR_Coverage, 7846,
     /* 205441 */     GIR_EraseRootFromParent_Done,
     /* 205442 */   // Label 4056: @205442
     /* 205442 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(205519), // Rule ID 7847 //
     /* 205447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 205455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 205458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 205461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 205467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 205491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205499 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205503 */     // MIs[2] Operand 1
     /* 205503 */     // No operand predicates
     /* 205503 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205505 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FSUB_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 205505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_D),
     /* 205508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205517 */     GIR_RootConstrainSelectedInstOperands,
     /* 205518 */     // GIR_Coverage, 7847,
     /* 205518 */     GIR_EraseRootFromParent_Done,
     /* 205519 */   // Label 4057: @205519
     /* 205519 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(205596), // Rule ID 7848 //
     /* 205524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 205532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 205535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 205538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 205544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 205568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205576 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 205580 */     // MIs[2] Operand 1
     /* 205580 */     // No operand predicates
     /* 205580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205582 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1539:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FSUB_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 205582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmI_D),
     /* 205585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205587 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205589 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205594 */     GIR_RootConstrainSelectedInstOperands,
     /* 205595 */     // GIR_Coverage, 7848,
     /* 205595 */     GIR_EraseRootFromParent_Done,
     /* 205596 */   // Label 4058: @205596
     /* 205596 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(205673), // Rule ID 7849 //
     /* 205601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 205609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 205615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 205621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 205645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205653 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205657 */     // MIs[2] Operand 1
     /* 205657 */     // No operand predicates
     /* 205657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205659 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1477:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FMUL_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 205659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_H),
     /* 205662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205664 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205666 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205671 */     GIR_RootConstrainSelectedInstOperands,
     /* 205672 */     // GIR_Coverage, 7849,
     /* 205672 */     GIR_EraseRootFromParent_Done,
     /* 205673 */   // Label 4059: @205673
     /* 205673 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(205750), // Rule ID 7850 //
     /* 205678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 205686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 205689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 205692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 205695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 205698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 205722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205730 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_two),
     /* 205734 */     // MIs[2] Operand 1
     /* 205734 */     // No operand predicates
     /* 205734 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205736 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1477:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_two>>))  =>  (FMUL_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 205736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_H),
     /* 205739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205741 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205743 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205748 */     GIR_RootConstrainSelectedInstOperands,
     /* 205749 */     // GIR_Coverage, 7850,
     /* 205749 */     GIR_EraseRootFromParent_Done,
     /* 205750 */   // Label 4060: @205750
     /* 205750 */   GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(205827), // Rule ID 7851 //
     /* 205755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 205763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 205769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 205799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205807 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205811 */     // MIs[2] Operand 1
     /* 205811 */     // No operand predicates
     /* 205811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205813 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1477:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FMUL_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 205813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_S),
     /* 205816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205820 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205825 */     GIR_RootConstrainSelectedInstOperands,
     /* 205826 */     // GIR_Coverage, 7851,
     /* 205826 */     GIR_EraseRootFromParent_Done,
     /* 205827 */   // Label 4061: @205827
     /* 205827 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(205904), // Rule ID 7852 //
     /* 205832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 205840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 205843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 205846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 205849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 205852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 205876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205884 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_two),
     /* 205888 */     // MIs[2] Operand 1
     /* 205888 */     // No operand predicates
     /* 205888 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205890 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1477:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_two>>))  =>  (FMUL_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 205890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_S),
     /* 205893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205895 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205897 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 205902 */     GIR_RootConstrainSelectedInstOperands,
     /* 205903 */     // GIR_Coverage, 7852,
     /* 205903 */     GIR_EraseRootFromParent_Done,
     /* 205904 */   // Label 4062: @205904
     /* 205904 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(205981), // Rule ID 7853 //
     /* 205909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 205917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 205920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 205923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 205926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 205929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 205937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 205941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 205945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 205949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 205953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 205957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 205961 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 205965 */     // MIs[2] Operand 1
     /* 205965 */     // No operand predicates
     /* 205965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 205967 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1477:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FMUL_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 205967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_D),
     /* 205970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 205972 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 205974 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 205976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 205979 */     GIR_RootConstrainSelectedInstOperands,
     /* 205980 */     // GIR_Coverage, 7853,
     /* 205980 */     GIR_EraseRootFromParent_Done,
     /* 205981 */   // Label 4063: @205981
     /* 205981 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(206058), // Rule ID 7854 //
     /* 205986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 205989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul),
     /* 205994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 205997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 206000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 206003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 206030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206038 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_two),
     /* 206042 */     // MIs[2] Operand 1
     /* 206042 */     // No operand predicates
     /* 206042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206044 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1477:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_two>>))  =>  (FMUL_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 206044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZPmI_D),
     /* 206047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206049 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206051 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206056 */     GIR_RootConstrainSelectedInstOperands,
     /* 206057 */     // GIR_Coverage, 7854,
     /* 206057 */     GIR_EraseRootFromParent_Done,
     /* 206058 */   // Label 4064: @206058
     /* 206058 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(206135), // Rule ID 7855 //
     /* 206063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 206071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 206077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 206080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 206107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206115 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 206119 */     // MIs[2] Operand 1
     /* 206119 */     // No operand predicates
     /* 206119 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206121 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1541:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_half>>))  =>  (FSUBR_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 206121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_H),
     /* 206124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206128 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206133 */     GIR_RootConstrainSelectedInstOperands,
     /* 206134 */     // GIR_Coverage, 7855,
     /* 206134 */     GIR_EraseRootFromParent_Done,
     /* 206135 */   // Label 4065: @206135
     /* 206135 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(206212), // Rule ID 7856 //
     /* 206140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 206148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 206154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 206157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 206184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206192 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206196 */     // MIs[2] Operand 1
     /* 206196 */     // No operand predicates
     /* 206196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206198 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1541:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FSUBR_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 206198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_H),
     /* 206201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206205 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206210 */     GIR_RootConstrainSelectedInstOperands,
     /* 206211 */     // GIR_Coverage, 7856,
     /* 206211 */     GIR_EraseRootFromParent_Done,
     /* 206212 */   // Label 4066: @206212
     /* 206212 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(206289), // Rule ID 7857 //
     /* 206217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 206225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 206231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 206234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 206261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206269 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 206273 */     // MIs[2] Operand 1
     /* 206273 */     // No operand predicates
     /* 206273 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206275 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1541:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_half>>))  =>  (FSUBR_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 206275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_S),
     /* 206278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206287 */     GIR_RootConstrainSelectedInstOperands,
     /* 206288 */     // GIR_Coverage, 7857,
     /* 206288 */     GIR_EraseRootFromParent_Done,
     /* 206289 */   // Label 4067: @206289
     /* 206289 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(206366), // Rule ID 7858 //
     /* 206294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 206302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 206308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 206311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 206338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206346 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206350 */     // MIs[2] Operand 1
     /* 206350 */     // No operand predicates
     /* 206350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206352 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1541:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FSUBR_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 206352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_S),
     /* 206355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206357 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206359 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206364 */     GIR_RootConstrainSelectedInstOperands,
     /* 206365 */     // GIR_Coverage, 7858,
     /* 206365 */     GIR_EraseRootFromParent_Done,
     /* 206366 */   // Label 4068: @206366
     /* 206366 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(206443), // Rule ID 7859 //
     /* 206371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 206379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 206385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 206388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 206415 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206419 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206423 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_half),
     /* 206427 */     // MIs[2] Operand 1
     /* 206427 */     // No operand predicates
     /* 206427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206429 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1541:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_half>>))  =>  (FSUBR_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 206429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_D),
     /* 206432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206436 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206441 */     GIR_RootConstrainSelectedInstOperands,
     /* 206442 */     // GIR_Coverage, 7859,
     /* 206442 */     GIR_EraseRootFromParent_Done,
     /* 206443 */   // Label 4069: @206443
     /* 206443 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(206520), // Rule ID 7860 //
     /* 206448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 206456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 206462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 206465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 206492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206500 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206504 */     // MIs[2] Operand 1
     /* 206504 */     // No operand predicates
     /* 206504 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206506 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1541:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FSUBR_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 206506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmI_D),
     /* 206509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206511 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206513 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206518 */     GIR_RootConstrainSelectedInstOperands,
     /* 206519 */     // GIR_Coverage, 7860,
     /* 206519 */     GIR_EraseRootFromParent_Done,
     /* 206520 */   // Label 4070: @206520
     /* 206520 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(206597), // Rule ID 7861 //
     /* 206525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 206533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 206539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 206542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 206569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206577 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 206581 */     // MIs[2] Operand 1
     /* 206581 */     // No operand predicates
     /* 206581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206583 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1431:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMAXNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 206583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_H),
     /* 206586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206588 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206590 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206595 */     GIR_RootConstrainSelectedInstOperands,
     /* 206596 */     // GIR_Coverage, 7861,
     /* 206596 */     GIR_EraseRootFromParent_Done,
     /* 206597 */   // Label 4071: @206597
     /* 206597 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(206674), // Rule ID 7862 //
     /* 206602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 206610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 206616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 206619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 206622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 206646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206654 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206658 */     // MIs[2] Operand 1
     /* 206658 */     // No operand predicates
     /* 206658 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206660 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1431:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMAXNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 206660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_H),
     /* 206663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206667 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206672 */     GIR_RootConstrainSelectedInstOperands,
     /* 206673 */     // GIR_Coverage, 7862,
     /* 206673 */     GIR_EraseRootFromParent_Done,
     /* 206674 */   // Label 4072: @206674
     /* 206674 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(206751), // Rule ID 7863 //
     /* 206679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 206687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 206693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 206696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 206723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206731 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 206735 */     // MIs[2] Operand 1
     /* 206735 */     // No operand predicates
     /* 206735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206737 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1431:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMAXNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 206737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_S),
     /* 206740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206749 */     GIR_RootConstrainSelectedInstOperands,
     /* 206750 */     // GIR_Coverage, 7863,
     /* 206750 */     GIR_EraseRootFromParent_Done,
     /* 206751 */   // Label 4073: @206751
     /* 206751 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(206828), // Rule ID 7864 //
     /* 206756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 206764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 206767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 206770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 206773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 206776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 206800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206808 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206812 */     // MIs[2] Operand 1
     /* 206812 */     // No operand predicates
     /* 206812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206814 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1431:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMAXNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 206814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_S),
     /* 206817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206819 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206821 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206826 */     GIR_RootConstrainSelectedInstOperands,
     /* 206827 */     // GIR_Coverage, 7864,
     /* 206827 */     GIR_EraseRootFromParent_Done,
     /* 206828 */   // Label 4074: @206828
     /* 206828 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(206905), // Rule ID 7865 //
     /* 206833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 206841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 206847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 206850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 206877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206885 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 206889 */     // MIs[2] Operand 1
     /* 206889 */     // No operand predicates
     /* 206889 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206891 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1431:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMAXNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 206891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_D),
     /* 206894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206898 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 206903 */     GIR_RootConstrainSelectedInstOperands,
     /* 206904 */     // GIR_Coverage, 7865,
     /* 206904 */     GIR_EraseRootFromParent_Done,
     /* 206905 */   // Label 4075: @206905
     /* 206905 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(206982), // Rule ID 7866 //
     /* 206910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnm),
     /* 206918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 206921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 206924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 206927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 206930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 206938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 206942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 206946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 206950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 206954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 206958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 206962 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 206966 */     // MIs[2] Operand 1
     /* 206966 */     // No operand predicates
     /* 206966 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 206968 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1431:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMAXNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 206968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNM_ZPmI_D),
     /* 206971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 206973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 206975 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 206977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 206980 */     GIR_RootConstrainSelectedInstOperands,
     /* 206981 */     // GIR_Coverage, 7866,
     /* 206981 */     GIR_EraseRootFromParent_Done,
     /* 206982 */   // Label 4076: @206982
     /* 206982 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(207059), // Rule ID 7867 //
     /* 206987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 206990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 206995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 206998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 207001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 207004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 207007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 207031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207039 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207043 */     // MIs[2] Operand 1
     /* 207043 */     // No operand predicates
     /* 207043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207045 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1449:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMINNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 207045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_H),
     /* 207048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207050 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207057 */     GIR_RootConstrainSelectedInstOperands,
     /* 207058 */     // GIR_Coverage, 7867,
     /* 207058 */     GIR_EraseRootFromParent_Done,
     /* 207059 */   // Label 4077: @207059
     /* 207059 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(207136), // Rule ID 7868 //
     /* 207064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 207072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 207075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 207078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 207081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 207084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 207108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207116 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207120 */     // MIs[2] Operand 1
     /* 207120 */     // No operand predicates
     /* 207120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207122 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1449:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMINNM_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 207122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_H),
     /* 207125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207129 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207134 */     GIR_RootConstrainSelectedInstOperands,
     /* 207135 */     // GIR_Coverage, 7868,
     /* 207135 */     GIR_EraseRootFromParent_Done,
     /* 207136 */   // Label 4078: @207136
     /* 207136 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(207213), // Rule ID 7869 //
     /* 207141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 207149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 207152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 207155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 207158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 207161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 207185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207193 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207197 */     // MIs[2] Operand 1
     /* 207197 */     // No operand predicates
     /* 207197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207199 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1449:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMINNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 207199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_S),
     /* 207202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207206 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207211 */     GIR_RootConstrainSelectedInstOperands,
     /* 207212 */     // GIR_Coverage, 7869,
     /* 207212 */     GIR_EraseRootFromParent_Done,
     /* 207213 */   // Label 4079: @207213
     /* 207213 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(207290), // Rule ID 7870 //
     /* 207218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 207226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 207229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 207232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 207235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 207238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 207262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207270 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207274 */     // MIs[2] Operand 1
     /* 207274 */     // No operand predicates
     /* 207274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207276 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1449:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMINNM_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 207276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_S),
     /* 207279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207281 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207283 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207288 */     GIR_RootConstrainSelectedInstOperands,
     /* 207289 */     // GIR_Coverage, 7870,
     /* 207289 */     GIR_EraseRootFromParent_Done,
     /* 207290 */   // Label 4080: @207290
     /* 207290 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(207367), // Rule ID 7871 //
     /* 207295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 207303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 207306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 207309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 207312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 207315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 207339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207347 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207351 */     // MIs[2] Operand 1
     /* 207351 */     // No operand predicates
     /* 207351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207353 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1449:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMINNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 207353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_D),
     /* 207356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207358 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207360 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207365 */     GIR_RootConstrainSelectedInstOperands,
     /* 207366 */     // GIR_Coverage, 7871,
     /* 207366 */     GIR_EraseRootFromParent_Done,
     /* 207367 */   // Label 4081: @207367
     /* 207367 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(207444), // Rule ID 7872 //
     /* 207372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnm),
     /* 207380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 207383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 207386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 207389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 207392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 207416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207424 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207428 */     // MIs[2] Operand 1
     /* 207428 */     // No operand predicates
     /* 207428 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207430 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1449:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMINNM_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 207430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNM_ZPmI_D),
     /* 207433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207435 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207437 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207442 */     GIR_RootConstrainSelectedInstOperands,
     /* 207443 */     // GIR_Coverage, 7872,
     /* 207443 */     GIR_EraseRootFromParent_Done,
     /* 207444 */   // Label 4082: @207444
     /* 207444 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(207521), // Rule ID 7873 //
     /* 207449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 207457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 207460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 207463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 207466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 207469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 207493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207501 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207505 */     // MIs[2] Operand 1
     /* 207505 */     // No operand predicates
     /* 207505 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207507 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1425:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMAX_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 207507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_H),
     /* 207510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207512 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207514 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207519 */     GIR_RootConstrainSelectedInstOperands,
     /* 207520 */     // GIR_Coverage, 7873,
     /* 207520 */     GIR_EraseRootFromParent_Done,
     /* 207521 */   // Label 4083: @207521
     /* 207521 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(207598), // Rule ID 7874 //
     /* 207526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 207534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 207537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 207540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 207543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 207546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 207570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207578 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207582 */     // MIs[2] Operand 1
     /* 207582 */     // No operand predicates
     /* 207582 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207584 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1425:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMAX_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 207584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_H),
     /* 207587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207591 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207596 */     GIR_RootConstrainSelectedInstOperands,
     /* 207597 */     // GIR_Coverage, 7874,
     /* 207597 */     GIR_EraseRootFromParent_Done,
     /* 207598 */   // Label 4084: @207598
     /* 207598 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(207675), // Rule ID 7875 //
     /* 207603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 207611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 207614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 207617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 207620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 207623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 207647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207655 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207659 */     // MIs[2] Operand 1
     /* 207659 */     // No operand predicates
     /* 207659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207661 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1425:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMAX_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 207661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_S),
     /* 207664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207668 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207673 */     GIR_RootConstrainSelectedInstOperands,
     /* 207674 */     // GIR_Coverage, 7875,
     /* 207674 */     GIR_EraseRootFromParent_Done,
     /* 207675 */   // Label 4085: @207675
     /* 207675 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(207752), // Rule ID 7876 //
     /* 207680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 207688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 207691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 207694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 207697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 207700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 207724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207732 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207736 */     // MIs[2] Operand 1
     /* 207736 */     // No operand predicates
     /* 207736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207738 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1425:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMAX_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 207738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_S),
     /* 207741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207743 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207745 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207750 */     GIR_RootConstrainSelectedInstOperands,
     /* 207751 */     // GIR_Coverage, 7876,
     /* 207751 */     GIR_EraseRootFromParent_Done,
     /* 207752 */   // Label 4086: @207752
     /* 207752 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(207829), // Rule ID 7877 //
     /* 207757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 207765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 207768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 207771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 207774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 207777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 207801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207809 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207813 */     // MIs[2] Operand 1
     /* 207813 */     // No operand predicates
     /* 207813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207815 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1425:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMAX_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 207815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_D),
     /* 207818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207820 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207822 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207827 */     GIR_RootConstrainSelectedInstOperands,
     /* 207828 */     // GIR_Coverage, 7877,
     /* 207828 */     GIR_EraseRootFromParent_Done,
     /* 207829 */   // Label 4087: @207829
     /* 207829 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(207906), // Rule ID 7878 //
     /* 207834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmax),
     /* 207842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 207845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 207848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 207851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 207854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 207878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207886 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 207890 */     // MIs[2] Operand 1
     /* 207890 */     // No operand predicates
     /* 207890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207892 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1425:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMAX_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 207892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAX_ZPmI_D),
     /* 207895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207897 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207899 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 207904 */     GIR_RootConstrainSelectedInstOperands,
     /* 207905 */     // GIR_Coverage, 7878,
     /* 207905 */     GIR_EraseRootFromParent_Done,
     /* 207906 */   // Label 4088: @207906
     /* 207906 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(207983), // Rule ID 7879 //
     /* 207911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 207919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 207922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 207925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 207928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 207931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 207939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 207943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 207947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 207951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 207955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 207959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 207963 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 207967 */     // MIs[2] Operand 1
     /* 207967 */     // No operand predicates
     /* 207967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 207969 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1443:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>))  =>  (FMIN_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 0:{ *:[i32] })
     /* 207969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_H),
     /* 207972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 207974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 207976 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 207978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 207981 */     GIR_RootConstrainSelectedInstOperands,
     /* 207982 */     // GIR_Coverage, 7879,
     /* 207982 */     GIR_EraseRootFromParent_Done,
     /* 207983 */   // Label 4089: @207983
     /* 207983 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(208060), // Rule ID 7880 //
     /* 207988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 207991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 207996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 207999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 208002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 208005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 208008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 208016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 208024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 208028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 208032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 208036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 208040 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 208044 */     // MIs[2] Operand 1
     /* 208044 */     // No operand predicates
     /* 208044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 208046 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1443:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$Pg, ZPR:{ *:[nxv8f16] }:$Zs1, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm_one>>))  =>  (FMIN_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Pg, ?:{ *:[nxv8f16] }:$Zs1, 1:{ *:[i32] })
     /* 208046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_H),
     /* 208049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208051 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 208053 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 208055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208058 */     GIR_RootConstrainSelectedInstOperands,
     /* 208059 */     // GIR_Coverage, 7880,
     /* 208059 */     GIR_EraseRootFromParent_Done,
     /* 208060 */   // Label 4090: @208060
     /* 208060 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(208137), // Rule ID 7881 //
     /* 208065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 208073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 208076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 208079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 208082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 208085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 208093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 208101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 208105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 208109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 208113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 208117 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 208121 */     // MIs[2] Operand 1
     /* 208121 */     // No operand predicates
     /* 208121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 208123 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1443:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>))  =>  (FMIN_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 0:{ *:[i32] })
     /* 208123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_S),
     /* 208126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 208130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 208132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208135 */     GIR_RootConstrainSelectedInstOperands,
     /* 208136 */     // GIR_Coverage, 7881,
     /* 208136 */     GIR_EraseRootFromParent_Done,
     /* 208137 */   // Label 4091: @208137
     /* 208137 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(208214), // Rule ID 7882 //
     /* 208142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 208150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 208153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 208156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 208159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 208162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 208170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 208178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 208182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 208186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 208190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 208194 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 208198 */     // MIs[2] Operand 1
     /* 208198 */     // No operand predicates
     /* 208198 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 208200 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1443:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR:{ *:[nxv4f32] }:$Zs1, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm_one>>))  =>  (FMIN_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Pg, ?:{ *:[nxv4f32] }:$Zs1, 1:{ *:[i32] })
     /* 208200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_S),
     /* 208203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208205 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 208207 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 208209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208212 */     GIR_RootConstrainSelectedInstOperands,
     /* 208213 */     // GIR_Coverage, 7882,
     /* 208213 */     GIR_EraseRootFromParent_Done,
     /* 208214 */   // Label 4092: @208214
     /* 208214 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(208291), // Rule ID 7883 //
     /* 208219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 208227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 208230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 208233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 208236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 208239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 208247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 208255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 208259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 208263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 208267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 208271 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 208275 */     // MIs[2] Operand 1
     /* 208275 */     // No operand predicates
     /* 208275 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 208277 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1443:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>))  =>  (FMIN_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 0:{ *:[i32] })
     /* 208277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_D),
     /* 208280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208282 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 208284 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 208286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 208289 */     GIR_RootConstrainSelectedInstOperands,
     /* 208290 */     // GIR_Coverage, 7883,
     /* 208290 */     GIR_EraseRootFromParent_Done,
     /* 208291 */   // Label 4093: @208291
     /* 208291 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(208368), // Rule ID 7884 //
     /* 208296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmin),
     /* 208304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 208307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 208310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 208313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 208316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 208324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 208332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 208336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 208340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 208344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 208348 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm_one),
     /* 208352 */     // MIs[2] Operand 1
     /* 208352 */     // No operand predicates
     /* 208352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 208354 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1443:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR:{ *:[nxv2f64] }:$Zs1, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm_one>>))  =>  (FMIN_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Pg, ?:{ *:[nxv2f64] }:$Zs1, 1:{ *:[i32] })
     /* 208354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMIN_ZPmI_D),
     /* 208357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208359 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 208361 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zs1
     /* 208363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 208366 */     GIR_RootConstrainSelectedInstOperands,
     /* 208367 */     // GIR_Coverage, 7884,
     /* 208367 */     GIR_EraseRootFromParent_Done,
     /* 208368 */   // Label 4094: @208368
     /* 208368 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(208424), // Rule ID 55 //
     /* 208373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 208376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 208381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 208384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 208387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 208390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208398 */     // MIs[0] Operand 3
     /* 208398 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(0),
     /* 208409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 208413 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 0:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACIA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 208413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIA),
     /* 208416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208418 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208420 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 208422 */     GIR_RootConstrainSelectedInstOperands,
     /* 208423 */     // GIR_Coverage, 55,
     /* 208423 */     GIR_EraseRootFromParent_Done,
     /* 208424 */   // Label 4095: @208424
     /* 208424 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(208480), // Rule ID 56 //
     /* 208429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 208432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 208437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 208440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 208443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 208446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208454 */     // MIs[0] Operand 3
     /* 208454 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(1),
     /* 208465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 208469 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 1:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACIB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 208469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACIB),
     /* 208472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208476 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 208478 */     GIR_RootConstrainSelectedInstOperands,
     /* 208479 */     // GIR_Coverage, 56,
     /* 208479 */     GIR_EraseRootFromParent_Done,
     /* 208480 */   // Label 4096: @208480
     /* 208480 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(208536), // Rule ID 57 //
     /* 208485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 208488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 208493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 208496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 208499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 208502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208510 */     // MIs[0] Operand 3
     /* 208510 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(2),
     /* 208521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 208525 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 2:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACDA:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 208525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDA),
     /* 208528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208532 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 208534 */     GIR_RootConstrainSelectedInstOperands,
     /* 208535 */     // GIR_Coverage, 57,
     /* 208535 */     GIR_EraseRootFromParent_Done,
     /* 208536 */   // Label 4097: @208536
     /* 208536 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(208592), // Rule ID 58 //
     /* 208541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasPAuth),
     /* 208544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::ptrauth_sign),
     /* 208549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 208552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 208555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 208558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 208566 */     // MIs[0] Operand 3
     /* 208566 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/3, GIMT_Encode8(3),
     /* 208577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 208581 */     // (intrinsic_wo_chain:{ *:[i64] } 296:{ *:[iPTR] }, GPR64:{ *:[i64] }:$Rd, 3:{ *:[i32] }, GPR64sp:{ *:[i64] }:$Rn)  =>  (PACDB:{ *:[i64] } GPR64:{ *:[i64] }:$Rd, GPR64sp:{ *:[i64] }:$Rn)
     /* 208581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PACDB),
     /* 208584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 208586 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 208588 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 208590 */     GIR_RootConstrainSelectedInstOperands,
     /* 208591 */     // GIR_Coverage, 58,
     /* 208591 */     GIR_EraseRootFromParent_Done,
     /* 208592 */   // Label 4098: @208592
     /* 208592 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(208647), // Rule ID 2799 //
     /* 208597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 208600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftmad_x),
     /* 208605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 208608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 208611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 208614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208626 */     // MIs[0] imm
     /* 208626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208629 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 208634 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1542:{ *:[iPTR] }, ZPR16:{ *:[nxv8f16] }:$Zn, ZPR16:{ *:[nxv8f16] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)  =>  (FTMAD_ZZI_H:{ *:[nxv8f16] } ZPR16:{ *:[nxv8f16] }:$Zn, ZPR16:{ *:[nxv8f16] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)
     /* 208634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTMAD_ZZI_H),
     /* 208637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208639 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 208641 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 208643 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 208645 */     GIR_RootConstrainSelectedInstOperands,
     /* 208646 */     // GIR_Coverage, 2799,
     /* 208646 */     GIR_EraseRootFromParent_Done,
     /* 208647 */   // Label 4099: @208647
     /* 208647 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(208702), // Rule ID 2800 //
     /* 208652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 208655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftmad_x),
     /* 208660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 208663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 208666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 208669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208681 */     // MIs[0] imm
     /* 208681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208684 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 208689 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1542:{ *:[iPTR] }, ZPR32:{ *:[nxv4f32] }:$Zn, ZPR32:{ *:[nxv4f32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)  =>  (FTMAD_ZZI_S:{ *:[nxv4f32] } ZPR32:{ *:[nxv4f32] }:$Zn, ZPR32:{ *:[nxv4f32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)
     /* 208689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTMAD_ZZI_S),
     /* 208692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208694 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 208696 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 208698 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 208700 */     GIR_RootConstrainSelectedInstOperands,
     /* 208701 */     // GIR_Coverage, 2800,
     /* 208701 */     GIR_EraseRootFromParent_Done,
     /* 208702 */   // Label 4100: @208702
     /* 208702 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(208757), // Rule ID 2801 //
     /* 208707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 208710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ftmad_x),
     /* 208715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 208718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 208721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 208724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208736 */     // MIs[0] imm
     /* 208736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208739 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 208744 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1542:{ *:[iPTR] }, ZPR64:{ *:[nxv2f64] }:$Zn, ZPR64:{ *:[nxv2f64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)  =>  (FTMAD_ZZI_D:{ *:[nxv2f64] } ZPR64:{ *:[nxv2f64] }:$Zn, ZPR64:{ *:[nxv2f64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$imm)
     /* 208744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FTMAD_ZZI_D),
     /* 208747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 208749 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 208751 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 208753 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 208755 */     GIR_RootConstrainSelectedInstOperands,
     /* 208756 */     // GIR_Coverage, 2801,
     /* 208756 */     GIR_EraseRootFromParent_Done,
     /* 208757 */   // Label 4101: @208757
     /* 208757 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(208812), // Rule ID 3552 //
     /* 208762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 208765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_merging),
     /* 208770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 208773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 208776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 208779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208791 */     // MIs[0] Idx
     /* 208791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208794 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_1_1),
     /* 208799 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1628:{ *:[iPTR] }, ZPRAny:{ *:[nxv8i16] }:$Zd, PPR16:{ *:[nxv8i1] }:$Pn, (timm:{ *:[i32] })<<P:Predicate_timm32_1_1>>:$Idx)  =>  (PMOV_ZIP_H:{ *:[nxv8i16] } ZPRAny:{ *:[nxv8i16] }:$Zd, (timm:{ *:[i32] })<<P:Predicate_timm32_1_1>>:$Idx, PPR16:{ *:[nxv8i1] }:$Pn)
     /* 208799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_H),
     /* 208802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zd
     /* 208806 */     GIR_RootToRootCopy, /*OpIdx*/4, // Idx
     /* 208808 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pn
     /* 208810 */     GIR_RootConstrainSelectedInstOperands,
     /* 208811 */     // GIR_Coverage, 3552,
     /* 208811 */     GIR_EraseRootFromParent_Done,
     /* 208812 */   // Label 4102: @208812
     /* 208812 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(208867), // Rule ID 3553 //
     /* 208817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 208820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_merging),
     /* 208825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 208828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 208831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 208834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208846 */     // MIs[0] Idx
     /* 208846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208849 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_1_3),
     /* 208854 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1628:{ *:[iPTR] }, ZPRAny:{ *:[nxv4i32] }:$Zd, PPR32:{ *:[nxv4i1] }:$Pn, (timm:{ *:[i32] })<<P:Predicate_timm32_1_3>>:$Idx)  =>  (PMOV_ZIP_S:{ *:[nxv4i32] } ZPRAny:{ *:[nxv4i32] }:$Zd, (timm:{ *:[i32] })<<P:Predicate_timm32_1_3>>:$Idx, PPR32:{ *:[nxv4i1] }:$Pn)
     /* 208854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_S),
     /* 208857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208859 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zd
     /* 208861 */     GIR_RootToRootCopy, /*OpIdx*/4, // Idx
     /* 208863 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pn
     /* 208865 */     GIR_RootConstrainSelectedInstOperands,
     /* 208866 */     // GIR_Coverage, 3553,
     /* 208866 */     GIR_EraseRootFromParent_Done,
     /* 208867 */   // Label 4103: @208867
     /* 208867 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(208922), // Rule ID 3554 //
     /* 208872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 208875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_pmov_to_vector_lane_merging),
     /* 208880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 208883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 208886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 208889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 208897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 208901 */     // MIs[0] Idx
     /* 208901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208904 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_1_7),
     /* 208909 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1628:{ *:[iPTR] }, ZPRAny:{ *:[nxv2i64] }:$Zd, PPR64:{ *:[nxv2i1] }:$Pn, (timm:{ *:[i32] })<<P:Predicate_timm32_1_7>>:$Idx)  =>  (PMOV_ZIP_D:{ *:[nxv2i64] } ZPRAny:{ *:[nxv2i64] }:$Zd, (timm:{ *:[i32] })<<P:Predicate_timm32_1_7>>:$Idx, PPR64:{ *:[nxv2i1] }:$Pn)
     /* 208909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PMOV_ZIP_D),
     /* 208912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 208914 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zd
     /* 208916 */     GIR_RootToRootCopy, /*OpIdx*/4, // Idx
     /* 208918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pn
     /* 208920 */     GIR_RootConstrainSelectedInstOperands,
     /* 208921 */     // GIR_Coverage, 3554,
     /* 208921 */     GIR_EraseRootFromParent_Done,
     /* 208922 */   // Label 4104: @208922
     /* 208922 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(208977), // Rule ID 3844 //
     /* 208927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 208930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_xar),
     /* 208935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 208938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 208941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 208944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 208956 */     // MIs[0] imm
     /* 208956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 208959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm0_63),
     /* 208964 */     // (intrinsic_wo_chain:{ *:[v2i64] } 543:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_timm0_63>>:$imm)  =>  (XAR:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_timm0_63>>:$imm)
     /* 208964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR),
     /* 208967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 208969 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 208971 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 208973 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /* 208975 */     GIR_RootConstrainSelectedInstOperands,
     /* 208976 */     // GIR_Coverage, 3844,
     /* 208976 */     GIR_EraseRootFromParent_Done,
     /* 208977 */   // Label 4105: @208977
     /* 208977 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(209024), // Rule ID 2853 //
     /* 208982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 208985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul_lane),
     /* 208990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 208993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 208996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 208999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209003 */     // MIs[0] idx
     /* 209003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 209011 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1478:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)  =>  (FMUL_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)
     /* 209011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZI_H),
     /* 209014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209018 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209020 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 209022 */     GIR_RootConstrainSelectedInstOperands,
     /* 209023 */     // GIR_Coverage, 2853,
     /* 209023 */     GIR_EraseRootFromParent_Done,
     /* 209024 */   // Label 4106: @209024
     /* 209024 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(209071), // Rule ID 2854 //
     /* 209029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 209032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul_lane),
     /* 209037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209050 */     // MIs[0] idx
     /* 209050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209053 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 209058 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1478:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)  =>  (FMUL_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 209058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZI_S),
     /* 209061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209063 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209065 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209067 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 209069 */     GIR_RootConstrainSelectedInstOperands,
     /* 209070 */     // GIR_Coverage, 2854,
     /* 209070 */     GIR_EraseRootFromParent_Done,
     /* 209071 */   // Label 4107: @209071
     /* 209071 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(209118), // Rule ID 2855 //
     /* 209076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 209079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmul_lane),
     /* 209084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 209090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 209093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209097 */     // MIs[0] idx
     /* 209097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209100 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 209105 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1478:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)  =>  (FMUL_ZZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 209105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZI_D),
     /* 209108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209114 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 209116 */     GIR_RootConstrainSelectedInstOperands,
     /* 209117 */     // GIR_Coverage, 2855,
     /* 209117 */     GIR_EraseRootFromParent_Done,
     /* 209118 */   // Label 4108: @209118
     /* 209118 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(209165), // Rule ID 3004 //
     /* 209123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mul_lane),
     /* 209131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209144 */     // MIs[0] Op3
     /* 209144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209147 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 209152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1609:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (MUL_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 209152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MUL_ZZZI_H),
     /* 209155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209157 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209159 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209161 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209163 */     GIR_RootConstrainSelectedInstOperands,
     /* 209164 */     // GIR_Coverage, 3004,
     /* 209164 */     GIR_EraseRootFromParent_Done,
     /* 209165 */   // Label 4109: @209165
     /* 209165 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(209212), // Rule ID 3005 //
     /* 209170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mul_lane),
     /* 209178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209191 */     // MIs[0] Op3
     /* 209191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209194 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 209199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1609:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (MUL_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 209199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MUL_ZZZI_S),
     /* 209202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209206 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209208 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209210 */     GIR_RootConstrainSelectedInstOperands,
     /* 209211 */     // GIR_Coverage, 3005,
     /* 209211 */     GIR_EraseRootFromParent_Done,
     /* 209212 */   // Label 4110: @209212
     /* 209212 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(209259), // Rule ID 3006 //
     /* 209217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mul_lane),
     /* 209225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 209231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 209234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209238 */     // MIs[0] Op3
     /* 209238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209241 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 209246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1609:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)  =>  (MUL_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)
     /* 209246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MUL_ZZZI_D),
     /* 209249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209251 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209253 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209255 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209257 */     GIR_RootConstrainSelectedInstOperands,
     /* 209258 */     // GIR_Coverage, 3006,
     /* 209258 */     GIR_EraseRootFromParent_Done,
     /* 209259 */   // Label 4111: @209259
     /* 209259 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(209306), // Rule ID 3007 //
     /* 209264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb_lane),
     /* 209272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209285 */     // MIs[0] Op3
     /* 209285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209288 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 209293 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1755:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SMULLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 209293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZI_S),
     /* 209296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209300 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209302 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209304 */     GIR_RootConstrainSelectedInstOperands,
     /* 209305 */     // GIR_Coverage, 3007,
     /* 209305 */     GIR_EraseRootFromParent_Done,
     /* 209306 */   // Label 4112: @209306
     /* 209306 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(209353), // Rule ID 3008 //
     /* 209311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullb_lane),
     /* 209319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209332 */     // MIs[0] Op3
     /* 209332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209335 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 209340 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1755:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SMULLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 209340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLB_ZZZI_D),
     /* 209343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209347 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209349 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209351 */     GIR_RootConstrainSelectedInstOperands,
     /* 209352 */     // GIR_Coverage, 3008,
     /* 209352 */     GIR_EraseRootFromParent_Done,
     /* 209353 */   // Label 4113: @209353
     /* 209353 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(209400), // Rule ID 3056 //
     /* 209358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 209366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 209369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 209372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 209375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209379 */     // MIs[0] Op3
     /* 209379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 209387 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1866:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SSRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 209387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_B),
     /* 209390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 209392 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209394 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209396 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209398 */     GIR_RootConstrainSelectedInstOperands,
     /* 209399 */     // GIR_Coverage, 3056,
     /* 209399 */     GIR_EraseRootFromParent_Done,
     /* 209400 */   // Label 4114: @209400
     /* 209400 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(209447), // Rule ID 3058 //
     /* 209405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 209413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209426 */     // MIs[0] Op3
     /* 209426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209429 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 209434 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1866:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SSRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 209434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_H),
     /* 209437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 209439 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209441 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209443 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209445 */     GIR_RootConstrainSelectedInstOperands,
     /* 209446 */     // GIR_Coverage, 3058,
     /* 209446 */     GIR_EraseRootFromParent_Done,
     /* 209447 */   // Label 4115: @209447
     /* 209447 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(209494), // Rule ID 3060 //
     /* 209452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 209460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209473 */     // MIs[0] Op3
     /* 209473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209476 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 209481 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1866:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SSRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 209481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_S),
     /* 209484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 209486 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209488 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209490 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209492 */     GIR_RootConstrainSelectedInstOperands,
     /* 209493 */     // GIR_Coverage, 3060,
     /* 209493 */     GIR_EraseRootFromParent_Done,
     /* 209494 */   // Label 4116: @209494
     /* 209494 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(209541), // Rule ID 3062 //
     /* 209499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ssra),
     /* 209507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 209513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 209516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209520 */     // MIs[0] Op3
     /* 209520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209523 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 209528 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1866:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (SSRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 209528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSRA_ZZI_D),
     /* 209531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 209533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209535 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209537 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209539 */     GIR_RootConstrainSelectedInstOperands,
     /* 209540 */     // GIR_Coverage, 3062,
     /* 209540 */     GIR_EraseRootFromParent_Done,
     /* 209541 */   // Label 4117: @209541
     /* 209541 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(209588), // Rule ID 3084 //
     /* 209546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunt),
     /* 209554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 209557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 209560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209567 */     // MIs[0] Op3
     /* 209567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209570 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 209575 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1846:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQSHRUNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 209575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNT_ZZI_B),
     /* 209578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209584 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209586 */     GIR_RootConstrainSelectedInstOperands,
     /* 209587 */     // GIR_Coverage, 3084,
     /* 209587 */     GIR_EraseRootFromParent_Done,
     /* 209588 */   // Label 4118: @209588
     /* 209588 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(209635), // Rule ID 3085 //
     /* 209593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunt),
     /* 209601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209614 */     // MIs[0] Op3
     /* 209614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209617 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 209622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1846:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQSHRUNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 209622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNT_ZZI_H),
     /* 209625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209627 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209629 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209631 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209633 */     GIR_RootConstrainSelectedInstOperands,
     /* 209634 */     // GIR_Coverage, 3085,
     /* 209634 */     GIR_EraseRootFromParent_Done,
     /* 209635 */   // Label 4119: @209635
     /* 209635 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(209682), // Rule ID 3086 //
     /* 209640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrunt),
     /* 209648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 209657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209661 */     // MIs[0] Op3
     /* 209661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 209669 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1846:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQSHRUNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 209669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRUNT_ZZI_S),
     /* 209672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209676 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209678 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209680 */     GIR_RootConstrainSelectedInstOperands,
     /* 209681 */     // GIR_Coverage, 3086,
     /* 209681 */     GIR_EraseRootFromParent_Done,
     /* 209682 */   // Label 4120: @209682
     /* 209682 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(209729), // Rule ID 3155 //
     /* 209687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 209695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 209698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 209701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 209704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209708 */     // MIs[0] Op3
     /* 209708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209711 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 209716 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2147:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (XAR_ZZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 209716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_B),
     /* 209719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 209721 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209723 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209725 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209727 */     GIR_RootConstrainSelectedInstOperands,
     /* 209728 */     // GIR_Coverage, 3155,
     /* 209728 */     GIR_EraseRootFromParent_Done,
     /* 209729 */   // Label 4121: @209729
     /* 209729 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(209776), // Rule ID 3156 //
     /* 209734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 209742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 209751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209755 */     // MIs[0] Op3
     /* 209755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209758 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 209763 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2147:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (XAR_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 209763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_H),
     /* 209766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 209768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209770 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209772 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209774 */     GIR_RootConstrainSelectedInstOperands,
     /* 209775 */     // GIR_Coverage, 3156,
     /* 209775 */     GIR_EraseRootFromParent_Done,
     /* 209776 */   // Label 4122: @209776
     /* 209776 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(209823), // Rule ID 3157 //
     /* 209781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 209789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 209792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 209795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 209798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209802 */     // MIs[0] Op3
     /* 209802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 209810 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2147:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (XAR_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 209810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_S),
     /* 209813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 209815 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209817 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209819 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209821 */     GIR_RootConstrainSelectedInstOperands,
     /* 209822 */     // GIR_Coverage, 3157,
     /* 209822 */     GIR_EraseRootFromParent_Done,
     /* 209823 */   // Label 4123: @209823
     /* 209823 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(209870), // Rule ID 3158 //
     /* 209828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 209831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_xar),
     /* 209836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 209839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 209842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 209845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209849 */     // MIs[0] Op3
     /* 209849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209852 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 209857 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2147:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (XAR_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 209857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XAR_ZZZI_D),
     /* 209860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 209862 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209864 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209866 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209868 */     GIR_RootConstrainSelectedInstOperands,
     /* 209869 */     // GIR_Coverage, 3158,
     /* 209869 */     GIR_EraseRootFromParent_Done,
     /* 209870 */   // Label 4124: @209870
     /* 209870 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(209917), // Rule ID 3537 //
     /* 209875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 209878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_extq),
     /* 209883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 209886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 209889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 209892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209896 */     // MIs[0] Op3
     /* 209896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_15),
     /* 209904 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1357:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_15>>:$Op3)  =>  (EXTQ_ZZI:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_15>>:$Op3)
     /* 209904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTQ_ZZI),
     /* 209907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 209909 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209911 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209913 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209915 */     GIR_RootConstrainSelectedInstOperands,
     /* 209916 */     // GIR_Coverage, 3537,
     /* 209916 */     GIR_EraseRootFromParent_Done,
     /* 209917 */   // Label 4125: @209917
     /* 209917 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(209964), // Rule ID 3585 //
     /* 209922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 209925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti2_lane),
     /* 209930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 209933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 209936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 209939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209943 */     // MIs[0] Op3
     /* 209943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209946 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 209951 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1596:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)  =>  (LUTI2_ZZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)
     /* 209951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI2_ZZZI_B),
     /* 209954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 209956 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 209958 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 209960 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 209962 */     GIR_RootConstrainSelectedInstOperands,
     /* 209963 */     // GIR_Coverage, 3585,
     /* 209963 */     GIR_EraseRootFromParent_Done,
     /* 209964 */   // Label 4126: @209964
     /* 209964 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(210011), // Rule ID 3586 //
     /* 209969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 209972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti2_lane),
     /* 209977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 209980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 209983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 209986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 209990 */     // MIs[0] Op3
     /* 209990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 209993 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 209998 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1596:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)  =>  (LUTI2_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)
     /* 209998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI2_ZZZI_H),
     /* 210001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210003 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210007 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210009 */     GIR_RootConstrainSelectedInstOperands,
     /* 210010 */     // GIR_Coverage, 3586,
     /* 210010 */     GIR_EraseRootFromParent_Done,
     /* 210011 */   // Label 4127: @210011
     /* 210011 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(210058), // Rule ID 3587 //
     /* 210016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 210019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti2_lane),
     /* 210024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210037 */     // MIs[0] Op3
     /* 210037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210040 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 210045 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1596:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)  =>  (LUTI2_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$Op3)
     /* 210045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI2_ZZZI_H),
     /* 210048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210050 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210054 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210056 */     GIR_RootConstrainSelectedInstOperands,
     /* 210057 */     // GIR_Coverage, 3587,
     /* 210057 */     GIR_EraseRootFromParent_Done,
     /* 210058 */   // Label 4128: @210058
     /* 210058 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(210105), // Rule ID 3588 //
     /* 210063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 210066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti4_lane),
     /* 210071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 210074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 210077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210084 */     // MIs[0] Op3
     /* 210084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210087 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 210092 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1597:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Op3)  =>  (LUTI4_ZZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$Op3)
     /* 210092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI4_ZZZI_B),
     /* 210095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210097 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210099 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210101 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210103 */     GIR_RootConstrainSelectedInstOperands,
     /* 210104 */     // GIR_Coverage, 3588,
     /* 210104 */     GIR_EraseRootFromParent_Done,
     /* 210105 */   // Label 4129: @210105
     /* 210105 */   GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(210152), // Rule ID 3589 //
     /* 210110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 210113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti4_lane),
     /* 210118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210131 */     // MIs[0] Op3
     /* 210131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210134 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 210139 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1597:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)  =>  (LUTI4_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)
     /* 210139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI4_ZZZI_H),
     /* 210142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210146 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210148 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210150 */     GIR_RootConstrainSelectedInstOperands,
     /* 210151 */     // GIR_Coverage, 3589,
     /* 210151 */     GIR_EraseRootFromParent_Done,
     /* 210152 */   // Label 4130: @210152
     /* 210152 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(210199), // Rule ID 3590 //
     /* 210157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT_HasSVE2_or_SME2),
     /* 210160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_luti4_lane),
     /* 210165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210178 */     // MIs[0] Op3
     /* 210178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210181 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 210186 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1597:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)  =>  (LUTI4_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$Op3)
     /* 210186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUTI4_ZZZI_H),
     /* 210189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210191 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210193 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210195 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210197 */     GIR_RootConstrainSelectedInstOperands,
     /* 210198 */     // GIR_Coverage, 3590,
     /* 210198 */     GIR_EraseRootFromParent_Done,
     /* 210199 */   // Label 4131: @210199
     /* 210199 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(210246), // Rule ID 11301 //
     /* 210204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh_lane),
     /* 210212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210225 */     // MIs[0] Op3
     /* 210225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210228 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1796:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQDMULH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZI_H),
     /* 210236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210240 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210242 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210244 */     GIR_RootConstrainSelectedInstOperands,
     /* 210245 */     // GIR_Coverage, 11301,
     /* 210245 */     GIR_EraseRootFromParent_Done,
     /* 210246 */   // Label 4132: @210246
     /* 210246 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(210293), // Rule ID 11302 //
     /* 210251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh_lane),
     /* 210259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210272 */     // MIs[0] Op3
     /* 210272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210275 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 210280 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1796:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQDMULH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 210280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZI_S),
     /* 210283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210285 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210287 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210289 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210291 */     GIR_RootConstrainSelectedInstOperands,
     /* 210292 */     // GIR_Coverage, 11302,
     /* 210292 */     GIR_EraseRootFromParent_Done,
     /* 210293 */   // Label 4133: @210293
     /* 210293 */   GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(210340), // Rule ID 11303 //
     /* 210298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmulh_lane),
     /* 210306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 210312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 210315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210319 */     // MIs[0] Op3
     /* 210319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210322 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 210327 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1796:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)  =>  (SQDMULH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)
     /* 210327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULH_ZZZI_D),
     /* 210330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210332 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210334 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210336 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210338 */     GIR_RootConstrainSelectedInstOperands,
     /* 210339 */     // GIR_Coverage, 11303,
     /* 210339 */     GIR_EraseRootFromParent_Done,
     /* 210340 */   // Label 4134: @210340
     /* 210340 */   GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(210387), // Rule ID 11304 //
     /* 210345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh_lane),
     /* 210353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 210356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210366 */     // MIs[0] Op3
     /* 210366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210369 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210374 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1827:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQRDMULH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZI_H),
     /* 210377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210379 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210381 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210383 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210385 */     GIR_RootConstrainSelectedInstOperands,
     /* 210386 */     // GIR_Coverage, 11304,
     /* 210386 */     GIR_EraseRootFromParent_Done,
     /* 210387 */   // Label 4135: @210387
     /* 210387 */   GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(210434), // Rule ID 11305 //
     /* 210392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh_lane),
     /* 210400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210413 */     // MIs[0] Op3
     /* 210413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210416 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 210421 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1827:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQRDMULH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 210421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZI_S),
     /* 210424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210426 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210428 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210430 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210432 */     GIR_RootConstrainSelectedInstOperands,
     /* 210433 */     // GIR_Coverage, 11305,
     /* 210433 */     GIR_EraseRootFromParent_Done,
     /* 210434 */   // Label 4136: @210434
     /* 210434 */   GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(210481), // Rule ID 11306 //
     /* 210439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmulh_lane),
     /* 210447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 210453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 210456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210460 */     // MIs[0] Op3
     /* 210460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210463 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 210468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1827:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)  =>  (SQRDMULH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op3)
     /* 210468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMULH_ZZZI_D),
     /* 210471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210473 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210475 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210477 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210479 */     GIR_RootConstrainSelectedInstOperands,
     /* 210480 */     // GIR_Coverage, 11306,
     /* 210480 */     GIR_EraseRootFromParent_Done,
     /* 210481 */   // Label 4137: @210481
     /* 210481 */   GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(210528), // Rule ID 11329 //
     /* 210486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt_lane),
     /* 210494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210507 */     // MIs[0] Op3
     /* 210507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210515 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1757:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SMULLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZI_S),
     /* 210518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210520 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210524 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210526 */     GIR_RootConstrainSelectedInstOperands,
     /* 210527 */     // GIR_Coverage, 11329,
     /* 210527 */     GIR_EraseRootFromParent_Done,
     /* 210528 */   // Label 4138: @210528
     /* 210528 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(210575), // Rule ID 11330 //
     /* 210533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smullt_lane),
     /* 210541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210554 */     // MIs[0] Op3
     /* 210554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210557 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 210562 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1757:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SMULLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 210562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLT_ZZZI_D),
     /* 210565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210567 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210569 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210571 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210573 */     GIR_RootConstrainSelectedInstOperands,
     /* 210574 */     // GIR_Coverage, 11330,
     /* 210574 */     GIR_EraseRootFromParent_Done,
     /* 210575 */   // Label 4139: @210575
     /* 210575 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(210622), // Rule ID 11331 //
     /* 210580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb_lane),
     /* 210588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210601 */     // MIs[0] Op3
     /* 210601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210604 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210609 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1993:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (UMULLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZI_S),
     /* 210612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210614 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210616 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210618 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210620 */     GIR_RootConstrainSelectedInstOperands,
     /* 210621 */     // GIR_Coverage, 11331,
     /* 210621 */     GIR_EraseRootFromParent_Done,
     /* 210622 */   // Label 4140: @210622
     /* 210622 */   GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(210669), // Rule ID 11332 //
     /* 210627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullb_lane),
     /* 210635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210648 */     // MIs[0] Op3
     /* 210648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210651 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 210656 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1993:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (UMULLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 210656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLB_ZZZI_D),
     /* 210659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210661 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210663 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210665 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210667 */     GIR_RootConstrainSelectedInstOperands,
     /* 210668 */     // GIR_Coverage, 11332,
     /* 210668 */     GIR_EraseRootFromParent_Done,
     /* 210669 */   // Label 4141: @210669
     /* 210669 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(210716), // Rule ID 11333 //
     /* 210674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt_lane),
     /* 210682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210695 */     // MIs[0] Op3
     /* 210695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210698 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210703 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1995:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (UMULLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZI_S),
     /* 210706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210710 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210712 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210714 */     GIR_RootConstrainSelectedInstOperands,
     /* 210715 */     // GIR_Coverage, 11333,
     /* 210715 */     GIR_EraseRootFromParent_Done,
     /* 210716 */   // Label 4142: @210716
     /* 210716 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(210763), // Rule ID 11334 //
     /* 210721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umullt_lane),
     /* 210729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210742 */     // MIs[0] Op3
     /* 210742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 210750 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1995:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (UMULLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 210750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLT_ZZZI_D),
     /* 210753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210755 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210757 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210759 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210761 */     GIR_RootConstrainSelectedInstOperands,
     /* 210762 */     // GIR_Coverage, 11334,
     /* 210762 */     GIR_EraseRootFromParent_Done,
     /* 210763 */   // Label 4143: @210763
     /* 210763 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(210810), // Rule ID 11335 //
     /* 210768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb_lane),
     /* 210776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210789 */     // MIs[0] Op3
     /* 210789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210792 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1802:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQDMULLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZI_S),
     /* 210800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210802 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210804 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210806 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210808 */     GIR_RootConstrainSelectedInstOperands,
     /* 210809 */     // GIR_Coverage, 11335,
     /* 210809 */     GIR_EraseRootFromParent_Done,
     /* 210810 */   // Label 4144: @210810
     /* 210810 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(210857), // Rule ID 11336 //
     /* 210815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullb_lane),
     /* 210823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210836 */     // MIs[0] Op3
     /* 210836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210839 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 210844 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1802:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQDMULLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 210844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLB_ZZZI_D),
     /* 210847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210849 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210853 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210855 */     GIR_RootConstrainSelectedInstOperands,
     /* 210856 */     // GIR_Coverage, 11336,
     /* 210856 */     GIR_EraseRootFromParent_Done,
     /* 210857 */   // Label 4145: @210857
     /* 210857 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(210904), // Rule ID 11337 //
     /* 210862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt_lane),
     /* 210870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 210873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 210876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 210879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210883 */     // MIs[0] Op3
     /* 210883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210886 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 210891 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1804:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)  =>  (SQDMULLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op3)
     /* 210891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZI_S),
     /* 210894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210898 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210900 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210902 */     GIR_RootConstrainSelectedInstOperands,
     /* 210903 */     // GIR_Coverage, 11337,
     /* 210903 */     GIR_EraseRootFromParent_Done,
     /* 210904 */   // Label 4146: @210904
     /* 210904 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(210951), // Rule ID 11338 //
     /* 210909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmullt_lane),
     /* 210917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 210920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 210923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 210926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210930 */     // MIs[0] Op3
     /* 210930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210933 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 210938 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1804:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)  =>  (SQDMULLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op3)
     /* 210938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMULLT_ZZZI_D),
     /* 210941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 210943 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210945 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210947 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210949 */     GIR_RootConstrainSelectedInstOperands,
     /* 210950 */     // GIR_Coverage, 11338,
     /* 210950 */     GIR_EraseRootFromParent_Done,
     /* 210951 */   // Label 4147: @210951
     /* 210951 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(210998), // Rule ID 11582 //
     /* 210956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 210959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 210964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 210967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 210970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 210973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 210977 */     // MIs[0] Op3
     /* 210977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 210980 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 210985 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1862:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SRSHR_ZPmI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 210985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_B),
     /* 210988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 210990 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 210992 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 210994 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 210996 */     GIR_RootConstrainSelectedInstOperands,
     /* 210997 */     // GIR_Coverage, 11582,
     /* 210997 */     GIR_EraseRootFromParent_Done,
     /* 210998 */   // Label 4148: @210998
     /* 210998 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(211045), // Rule ID 11583 //
     /* 211003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 211011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 211017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211024 */     // MIs[0] Op3
     /* 211024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211027 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1862:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SRSHR_ZPmI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_H),
     /* 211035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211037 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211039 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211041 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211043 */     GIR_RootConstrainSelectedInstOperands,
     /* 211044 */     // GIR_Coverage, 11583,
     /* 211044 */     GIR_EraseRootFromParent_Done,
     /* 211045 */   // Label 4149: @211045
     /* 211045 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(211092), // Rule ID 11584 //
     /* 211050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 211058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 211064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211071 */     // MIs[0] Op3
     /* 211071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211074 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 211079 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1862:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SRSHR_ZPmI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 211079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_S),
     /* 211082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211084 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211086 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211088 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211090 */     GIR_RootConstrainSelectedInstOperands,
     /* 211091 */     // GIR_Coverage, 11584,
     /* 211091 */     GIR_EraseRootFromParent_Done,
     /* 211092 */   // Label 4150: @211092
     /* 211092 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(211139), // Rule ID 11585 //
     /* 211097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshr),
     /* 211105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 211111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211118 */     // MIs[0] Op3
     /* 211118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 211126 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1862:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (SRSHR_ZPmI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 211126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHR_ZPmI_D),
     /* 211129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211131 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211133 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211135 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211137 */     GIR_RootConstrainSelectedInstOperands,
     /* 211138 */     // GIR_Coverage, 11585,
     /* 211138 */     GIR_EraseRootFromParent_Done,
     /* 211139 */   // Label 4151: @211139
     /* 211139 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(211186), // Rule ID 11586 //
     /* 211144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 211152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 211158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 211161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211165 */     // MIs[0] Op3
     /* 211165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 211173 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2053:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (URSHR_ZPmI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 211173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_B),
     /* 211176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211182 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211184 */     GIR_RootConstrainSelectedInstOperands,
     /* 211185 */     // GIR_Coverage, 11586,
     /* 211185 */     GIR_EraseRootFromParent_Done,
     /* 211186 */   // Label 4152: @211186
     /* 211186 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(211233), // Rule ID 11588 //
     /* 211191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 211199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 211205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211212 */     // MIs[0] Op3
     /* 211212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211220 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2053:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (URSHR_ZPmI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_H),
     /* 211223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211229 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211231 */     GIR_RootConstrainSelectedInstOperands,
     /* 211232 */     // GIR_Coverage, 11588,
     /* 211232 */     GIR_EraseRootFromParent_Done,
     /* 211233 */   // Label 4153: @211233
     /* 211233 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(211280), // Rule ID 11590 //
     /* 211238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 211246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 211252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211259 */     // MIs[0] Op3
     /* 211259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211262 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 211267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2053:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (URSHR_ZPmI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 211267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_S),
     /* 211270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211276 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211278 */     GIR_RootConstrainSelectedInstOperands,
     /* 211279 */     // GIR_Coverage, 11590,
     /* 211279 */     GIR_EraseRootFromParent_Done,
     /* 211280 */   // Label 4154: @211280
     /* 211280 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(211327), // Rule ID 11592 //
     /* 211285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshr),
     /* 211293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 211299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211306 */     // MIs[0] Op3
     /* 211306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211309 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 211314 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2053:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (URSHR_ZPmI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 211314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHR_ZPmI_D),
     /* 211317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211319 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211321 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211323 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211325 */     GIR_RootConstrainSelectedInstOperands,
     /* 211326 */     // GIR_Coverage, 11592,
     /* 211326 */     GIR_EraseRootFromParent_Done,
     /* 211327 */   // Label 4155: @211327
     /* 211327 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(211374), // Rule ID 11594 //
     /* 211332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 211340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 211346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 211349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211353 */     // MIs[0] Op3
     /* 211353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211356 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL8),
     /* 211361 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1842:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op3)  =>  (SQSHLU_ZPmI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL8>>:$Op3)
     /* 211361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_B),
     /* 211364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211368 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211370 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211372 */     GIR_RootConstrainSelectedInstOperands,
     /* 211373 */     // GIR_Coverage, 11594,
     /* 211373 */     GIR_EraseRootFromParent_Done,
     /* 211374 */   // Label 4156: @211374
     /* 211374 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(211421), // Rule ID 11595 //
     /* 211379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 211387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 211393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211400 */     // MIs[0] Op3
     /* 211400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211403 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL16),
     /* 211408 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1842:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op3)  =>  (SQSHLU_ZPmI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL16>>:$Op3)
     /* 211408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_H),
     /* 211411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211415 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211417 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211419 */     GIR_RootConstrainSelectedInstOperands,
     /* 211420 */     // GIR_Coverage, 11595,
     /* 211420 */     GIR_EraseRootFromParent_Done,
     /* 211421 */   // Label 4157: @211421
     /* 211421 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(211468), // Rule ID 11596 //
     /* 211426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 211434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 211440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211447 */     // MIs[0] Op3
     /* 211447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211450 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL32),
     /* 211455 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1842:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op3)  =>  (SQSHLU_ZPmI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL32>>:$Op3)
     /* 211455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_S),
     /* 211458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211460 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211462 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211464 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211466 */     GIR_RootConstrainSelectedInstOperands,
     /* 211467 */     // GIR_Coverage, 11596,
     /* 211467 */     GIR_EraseRootFromParent_Done,
     /* 211468 */   // Label 4158: @211468
     /* 211468 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(211515), // Rule ID 11597 //
     /* 211473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshlu),
     /* 211481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 211487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211494 */     // MIs[0] Op3
     /* 211494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211497 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftL64),
     /* 211502 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1842:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL64>>:$Op3)  =>  (SQSHLU_ZPmI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftL64>>:$Op3)
     /* 211502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHLU_ZPmI_D),
     /* 211505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 211507 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211509 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211511 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211513 */     GIR_RootConstrainSelectedInstOperands,
     /* 211514 */     // GIR_Coverage, 11597,
     /* 211514 */     GIR_EraseRootFromParent_Done,
     /* 211515 */   // Label 4159: @211515
     /* 211515 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(211562), // Rule ID 11672 //
     /* 211520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 211528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 211534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 211537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211541 */     // MIs[0] Op3
     /* 211541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 211549 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2062:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (USRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 211549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_B),
     /* 211552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211556 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211558 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211560 */     GIR_RootConstrainSelectedInstOperands,
     /* 211561 */     // GIR_Coverage, 11672,
     /* 211561 */     GIR_EraseRootFromParent_Done,
     /* 211562 */   // Label 4160: @211562
     /* 211562 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(211609), // Rule ID 11674 //
     /* 211567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 211575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 211581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211588 */     // MIs[0] Op3
     /* 211588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211596 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2062:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (USRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_H),
     /* 211599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211601 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211603 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211605 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211607 */     GIR_RootConstrainSelectedInstOperands,
     /* 211608 */     // GIR_Coverage, 11674,
     /* 211608 */     GIR_EraseRootFromParent_Done,
     /* 211609 */   // Label 4161: @211609
     /* 211609 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(211656), // Rule ID 11676 //
     /* 211614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 211622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 211628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211635 */     // MIs[0] Op3
     /* 211635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 211643 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2062:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (USRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 211643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_S),
     /* 211646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211650 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211652 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211654 */     GIR_RootConstrainSelectedInstOperands,
     /* 211655 */     // GIR_Coverage, 11676,
     /* 211655 */     GIR_EraseRootFromParent_Done,
     /* 211656 */   // Label 4162: @211656
     /* 211656 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(211703), // Rule ID 11678 //
     /* 211661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usra),
     /* 211669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 211675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211682 */     // MIs[0] Op3
     /* 211682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211685 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 211690 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2062:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (USRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 211690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USRA_ZZI_D),
     /* 211693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211695 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211697 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211699 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211701 */     GIR_RootConstrainSelectedInstOperands,
     /* 211702 */     // GIR_Coverage, 11678,
     /* 211702 */     GIR_EraseRootFromParent_Done,
     /* 211703 */   // Label 4163: @211703
     /* 211703 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(211750), // Rule ID 11680 //
     /* 211708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 211716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 211722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 211725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211729 */     // MIs[0] Op3
     /* 211729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211732 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 211737 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1863:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SRSRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 211737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_B),
     /* 211740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211746 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211748 */     GIR_RootConstrainSelectedInstOperands,
     /* 211749 */     // GIR_Coverage, 11680,
     /* 211749 */     GIR_EraseRootFromParent_Done,
     /* 211750 */   // Label 4164: @211750
     /* 211750 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(211797), // Rule ID 11681 //
     /* 211755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 211763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 211769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211776 */     // MIs[0] Op3
     /* 211776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211779 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1863:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SRSRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_H),
     /* 211787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211789 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211791 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211793 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211795 */     GIR_RootConstrainSelectedInstOperands,
     /* 211796 */     // GIR_Coverage, 11681,
     /* 211796 */     GIR_EraseRootFromParent_Done,
     /* 211797 */   // Label 4165: @211797
     /* 211797 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(211844), // Rule ID 11682 //
     /* 211802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 211810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 211813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 211816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 211819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211823 */     // MIs[0] Op3
     /* 211823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 211831 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1863:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SRSRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 211831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_S),
     /* 211834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211840 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211842 */     GIR_RootConstrainSelectedInstOperands,
     /* 211843 */     // GIR_Coverage, 11682,
     /* 211843 */     GIR_EraseRootFromParent_Done,
     /* 211844 */   // Label 4166: @211844
     /* 211844 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(211891), // Rule ID 11683 //
     /* 211849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srsra),
     /* 211857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 211860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 211863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 211866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211870 */     // MIs[0] Op3
     /* 211870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211873 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 211878 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1863:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (SRSRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 211878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSRA_ZZI_D),
     /* 211881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211883 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211885 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211887 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211889 */     GIR_RootConstrainSelectedInstOperands,
     /* 211890 */     // GIR_Coverage, 11683,
     /* 211890 */     GIR_EraseRootFromParent_Done,
     /* 211891 */   // Label 4167: @211891
     /* 211891 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(211938), // Rule ID 11688 //
     /* 211896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 211904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 211907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 211910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 211913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211917 */     // MIs[0] Op3
     /* 211917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211920 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 211925 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2055:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (URSRA_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 211925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_B),
     /* 211928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211932 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211934 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211936 */     GIR_RootConstrainSelectedInstOperands,
     /* 211937 */     // GIR_Coverage, 11688,
     /* 211937 */     GIR_EraseRootFromParent_Done,
     /* 211938 */   // Label 4168: @211938
     /* 211938 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(211985), // Rule ID 11689 //
     /* 211943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 211951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 211954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 211957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 211960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 211964 */     // MIs[0] Op3
     /* 211964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 211967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 211972 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2055:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (URSRA_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 211972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_H),
     /* 211975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 211977 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 211979 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 211981 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 211983 */     GIR_RootConstrainSelectedInstOperands,
     /* 211984 */     // GIR_Coverage, 11689,
     /* 211984 */     GIR_EraseRootFromParent_Done,
     /* 211985 */   // Label 4169: @211985
     /* 211985 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(212032), // Rule ID 11690 //
     /* 211990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 211993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 211998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212011 */     // MIs[0] Op3
     /* 212011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2055:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (URSRA_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_S),
     /* 212022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 212024 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212026 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212028 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212030 */     GIR_RootConstrainSelectedInstOperands,
     /* 212031 */     // GIR_Coverage, 11690,
     /* 212031 */     GIR_EraseRootFromParent_Done,
     /* 212032 */   // Label 4170: @212032
     /* 212032 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(212079), // Rule ID 11691 //
     /* 212037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursra),
     /* 212045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 212048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 212051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212058 */     // MIs[0] Op3
     /* 212058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR64),
     /* 212066 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2055:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)  =>  (URSRA_ZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR64>>:$Op3)
     /* 212066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSRA_ZZI_D),
     /* 212069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 212071 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212073 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212075 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212077 */     GIR_RootConstrainSelectedInstOperands,
     /* 212078 */     // GIR_Coverage, 11691,
     /* 212078 */     GIR_EraseRootFromParent_Done,
     /* 212079 */   // Label 4171: @212079
     /* 212079 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(212126), // Rule ID 11751 //
     /* 212084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunt),
     /* 212092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212105 */     // MIs[0] Op3
     /* 212105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212108 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212113 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1840:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQRSHRUNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNT_ZZI_B),
     /* 212116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212122 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212124 */     GIR_RootConstrainSelectedInstOperands,
     /* 212125 */     // GIR_Coverage, 11751,
     /* 212125 */     GIR_EraseRootFromParent_Done,
     /* 212126 */   // Label 4172: @212126
     /* 212126 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(212173), // Rule ID 11752 //
     /* 212131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunt),
     /* 212139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212152 */     // MIs[0] Op3
     /* 212152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212155 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 212160 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1840:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQRSHRUNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 212160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNT_ZZI_H),
     /* 212163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212165 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212167 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212169 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212171 */     GIR_RootConstrainSelectedInstOperands,
     /* 212172 */     // GIR_Coverage, 11752,
     /* 212172 */     GIR_EraseRootFromParent_Done,
     /* 212173 */   // Label 4173: @212173
     /* 212173 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(212220), // Rule ID 11753 //
     /* 212178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrunt),
     /* 212186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212199 */     // MIs[0] Op3
     /* 212199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212202 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212207 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1840:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQRSHRUNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRUNT_ZZI_S),
     /* 212210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212214 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212216 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212218 */     GIR_RootConstrainSelectedInstOperands,
     /* 212219 */     // GIR_Coverage, 11753,
     /* 212219 */     GIR_EraseRootFromParent_Done,
     /* 212220 */   // Label 4174: @212220
     /* 212220 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(212267), // Rule ID 11754 //
     /* 212225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnt),
     /* 212233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212246 */     // MIs[0] Op3
     /* 212246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212249 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212254 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1719:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNT_ZZI_B),
     /* 212257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212259 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212261 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212263 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212265 */     GIR_RootConstrainSelectedInstOperands,
     /* 212266 */     // GIR_Coverage, 11754,
     /* 212266 */     GIR_EraseRootFromParent_Done,
     /* 212267 */   // Label 4175: @212267
     /* 212267 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(212314), // Rule ID 11755 //
     /* 212272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnt),
     /* 212280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212293 */     // MIs[0] Op3
     /* 212293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212296 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 212301 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1719:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 212301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNT_ZZI_H),
     /* 212304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212308 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212310 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212312 */     GIR_RootConstrainSelectedInstOperands,
     /* 212313 */     // GIR_Coverage, 11755,
     /* 212313 */     GIR_EraseRootFromParent_Done,
     /* 212314 */   // Label 4176: @212314
     /* 212314 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(212361), // Rule ID 11756 //
     /* 212319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shrnt),
     /* 212327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212340 */     // MIs[0] Op3
     /* 212340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212343 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1719:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNT_ZZI_S),
     /* 212351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212353 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212355 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212357 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212359 */     GIR_RootConstrainSelectedInstOperands,
     /* 212360 */     // GIR_Coverage, 11756,
     /* 212360 */     GIR_EraseRootFromParent_Done,
     /* 212361 */   // Label 4177: @212361
     /* 212361 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(212408), // Rule ID 11757 //
     /* 212366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnt),
     /* 212374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212387 */     // MIs[0] Op3
     /* 212387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212395 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1677:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (RSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNT_ZZI_B),
     /* 212398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212400 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212402 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212404 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212406 */     GIR_RootConstrainSelectedInstOperands,
     /* 212407 */     // GIR_Coverage, 11757,
     /* 212407 */     GIR_EraseRootFromParent_Done,
     /* 212408 */   // Label 4178: @212408
     /* 212408 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(212455), // Rule ID 11758 //
     /* 212413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnt),
     /* 212421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212434 */     // MIs[0] Op3
     /* 212434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 212442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1677:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (RSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 212442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNT_ZZI_H),
     /* 212445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212447 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212449 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212451 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212453 */     GIR_RootConstrainSelectedInstOperands,
     /* 212454 */     // GIR_Coverage, 11758,
     /* 212454 */     GIR_EraseRootFromParent_Done,
     /* 212455 */   // Label 4179: @212455
     /* 212455 */   GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(212502), // Rule ID 11759 //
     /* 212460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rshrnt),
     /* 212468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212481 */     // MIs[0] Op3
     /* 212481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212489 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1677:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (RSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSHRNT_ZZI_S),
     /* 212492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212494 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212496 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212498 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212500 */     GIR_RootConstrainSelectedInstOperands,
     /* 212501 */     // GIR_Coverage, 11759,
     /* 212501 */     GIR_EraseRootFromParent_Done,
     /* 212502 */   // Label 4180: @212502
     /* 212502 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(212549), // Rule ID 11760 //
     /* 212507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnt),
     /* 212515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212528 */     // MIs[0] Op3
     /* 212528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212531 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1844:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNT_ZZI_B),
     /* 212539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212541 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212543 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212545 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212547 */     GIR_RootConstrainSelectedInstOperands,
     /* 212548 */     // GIR_Coverage, 11760,
     /* 212548 */     GIR_EraseRootFromParent_Done,
     /* 212549 */   // Label 4181: @212549
     /* 212549 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(212596), // Rule ID 11761 //
     /* 212554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnt),
     /* 212562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212575 */     // MIs[0] Op3
     /* 212575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212578 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 212583 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1844:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 212583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNT_ZZI_H),
     /* 212586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212588 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212590 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212592 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212594 */     GIR_RootConstrainSelectedInstOperands,
     /* 212595 */     // GIR_Coverage, 11761,
     /* 212595 */     GIR_EraseRootFromParent_Done,
     /* 212596 */   // Label 4182: @212596
     /* 212596 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(212643), // Rule ID 11762 //
     /* 212601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshrnt),
     /* 212609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212622 */     // MIs[0] Op3
     /* 212622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212625 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1844:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHRNT_ZZI_S),
     /* 212633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212635 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212637 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212639 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212641 */     GIR_RootConstrainSelectedInstOperands,
     /* 212642 */     // GIR_Coverage, 11762,
     /* 212642 */     GIR_EraseRootFromParent_Done,
     /* 212643 */   // Label 4183: @212643
     /* 212643 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(212690), // Rule ID 11763 //
     /* 212648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnt),
     /* 212656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212669 */     // MIs[0] Op3
     /* 212669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212672 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212677 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1834:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (SQRSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNT_ZZI_B),
     /* 212680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212682 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212684 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212686 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212688 */     GIR_RootConstrainSelectedInstOperands,
     /* 212689 */     // GIR_Coverage, 11763,
     /* 212689 */     GIR_EraseRootFromParent_Done,
     /* 212690 */   // Label 4184: @212690
     /* 212690 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(212737), // Rule ID 11764 //
     /* 212695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnt),
     /* 212703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212716 */     // MIs[0] Op3
     /* 212716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212719 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 212724 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1834:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (SQRSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 212724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNT_ZZI_H),
     /* 212727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212729 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212731 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212733 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212735 */     GIR_RootConstrainSelectedInstOperands,
     /* 212736 */     // GIR_Coverage, 11764,
     /* 212736 */     GIR_EraseRootFromParent_Done,
     /* 212737 */   // Label 4185: @212737
     /* 212737 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(212784), // Rule ID 11765 //
     /* 212742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshrnt),
     /* 212750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212763 */     // MIs[0] Op3
     /* 212763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212766 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1834:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (SQRSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHRNT_ZZI_S),
     /* 212774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212778 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212780 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212782 */     GIR_RootConstrainSelectedInstOperands,
     /* 212783 */     // GIR_Coverage, 11765,
     /* 212783 */     GIR_EraseRootFromParent_Done,
     /* 212784 */   // Label 4186: @212784
     /* 212784 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(212831), // Rule ID 11766 //
     /* 212789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnt),
     /* 212797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212810 */     // MIs[0] Op3
     /* 212810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212818 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2039:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (UQSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNT_ZZI_B),
     /* 212821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212823 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212825 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212827 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212829 */     GIR_RootConstrainSelectedInstOperands,
     /* 212830 */     // GIR_Coverage, 11766,
     /* 212830 */     GIR_EraseRootFromParent_Done,
     /* 212831 */   // Label 4187: @212831
     /* 212831 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(212878), // Rule ID 11767 //
     /* 212836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnt),
     /* 212844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212857 */     // MIs[0] Op3
     /* 212857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 212865 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2039:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (UQSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 212865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNT_ZZI_H),
     /* 212868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212872 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212874 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212876 */     GIR_RootConstrainSelectedInstOperands,
     /* 212877 */     // GIR_Coverage, 11767,
     /* 212877 */     GIR_EraseRootFromParent_Done,
     /* 212878 */   // Label 4188: @212878
     /* 212878 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(212925), // Rule ID 11768 //
     /* 212883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshrnt),
     /* 212891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 212894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 212897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 212900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212904 */     // MIs[0] Op3
     /* 212904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212907 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 212912 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2039:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (UQSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 212912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHRNT_ZZI_S),
     /* 212915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212919 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212921 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212923 */     GIR_RootConstrainSelectedInstOperands,
     /* 212924 */     // GIR_Coverage, 11768,
     /* 212924 */     GIR_EraseRootFromParent_Done,
     /* 212925 */   // Label 4189: @212925
     /* 212925 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(212972), // Rule ID 11769 //
     /* 212930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnt),
     /* 212938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 212941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 212944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 212947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212951 */     // MIs[0] Op3
     /* 212951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 212954 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR8),
     /* 212959 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2036:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)  =>  (UQRSHRNT_ZZI_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR8>>:$Op3)
     /* 212959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNT_ZZI_B),
     /* 212962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 212964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 212966 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 212968 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 212970 */     GIR_RootConstrainSelectedInstOperands,
     /* 212971 */     // GIR_Coverage, 11769,
     /* 212971 */     GIR_EraseRootFromParent_Done,
     /* 212972 */   // Label 4190: @212972
     /* 212972 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(213019), // Rule ID 11770 //
     /* 212977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 212980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnt),
     /* 212985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 212988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 212991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 212994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 212998 */     // MIs[0] Op3
     /* 212998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 213001 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR16),
     /* 213006 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2036:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)  =>  (UQRSHRNT_ZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR16>>:$Op3)
     /* 213006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNT_ZZI_H),
     /* 213009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213011 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213013 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213015 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213017 */     GIR_RootConstrainSelectedInstOperands,
     /* 213018 */     // GIR_Coverage, 11770,
     /* 213018 */     GIR_EraseRootFromParent_Done,
     /* 213019 */   // Label 4191: @213019
     /* 213019 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(213066), // Rule ID 11771 //
     /* 213024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshrnt),
     /* 213032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 213041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213045 */     // MIs[0] Op3
     /* 213045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 213048 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tvecshiftR32),
     /* 213053 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2036:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)  =>  (UQRSHRNT_ZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, (timm:{ *:[i32] })<<P:Predicate_tvecshiftR32>>:$Op3)
     /* 213053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHRNT_ZZI_S),
     /* 213056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213058 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 213060 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 213062 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 213064 */     GIR_RootConstrainSelectedInstOperands,
     /* 213065 */     // GIR_Coverage, 11771,
     /* 213065 */     GIR_EraseRootFromParent_Done,
     /* 213066 */   // Label 4192: @213066
     /* 213066 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(213133), // Rule ID 2604 //
     /* 213071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urecpe),
     /* 213079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 213088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213105 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2046:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (URECPE_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 213105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPE_ZPmZ_S_UNDEF),
     /* 213122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213129 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213131 */     GIR_RootConstrainSelectedInstOperands,
     /* 213132 */     // GIR_Coverage, 2604,
     /* 213132 */     GIR_EraseRootFromParent_Done,
     /* 213133 */   // Label 4193: @213133
     /* 213133 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(213200), // Rule ID 7682 //
     /* 213138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 213146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 213149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 213152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 213155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 213158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1310:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CLS_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 213172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_B_UNDEF),
     /* 213189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213194 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213196 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213198 */     GIR_RootConstrainSelectedInstOperands,
     /* 213199 */     // GIR_Coverage, 7682,
     /* 213199 */     GIR_EraseRootFromParent_Done,
     /* 213200 */   // Label 4194: @213200
     /* 213200 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(213267), // Rule ID 7684 //
     /* 213205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 213213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 213219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 213222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 213225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213239 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1310:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CLS_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 213239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_H_UNDEF),
     /* 213256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213261 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213263 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213265 */     GIR_RootConstrainSelectedInstOperands,
     /* 213266 */     // GIR_Coverage, 7684,
     /* 213266 */     GIR_EraseRootFromParent_Done,
     /* 213267 */   // Label 4195: @213267
     /* 213267 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(213334), // Rule ID 7686 //
     /* 213272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 213280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 213289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213306 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1310:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CLS_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 213306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_S_UNDEF),
     /* 213323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213328 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213330 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213332 */     GIR_RootConstrainSelectedInstOperands,
     /* 213333 */     // GIR_Coverage, 7686,
     /* 213333 */     GIR_EraseRootFromParent_Done,
     /* 213334 */   // Label 4196: @213334
     /* 213334 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(213401), // Rule ID 7688 //
     /* 213339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 213347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 213350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 213353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 213356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 213359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213373 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1310:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CLS_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 213373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_D_UNDEF),
     /* 213390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213395 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213397 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213399 */     GIR_RootConstrainSelectedInstOperands,
     /* 213400 */     // GIR_Coverage, 7688,
     /* 213400 */     GIR_EraseRootFromParent_Done,
     /* 213401 */   // Label 4197: @213401
     /* 213401 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(213468), // Rule ID 7718 //
     /* 213406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 213414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 213417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 213420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 213423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 213426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213440 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1330:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CNOT_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 213440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_B_UNDEF),
     /* 213457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213462 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213464 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213466 */     GIR_RootConstrainSelectedInstOperands,
     /* 213467 */     // GIR_Coverage, 7718,
     /* 213467 */     GIR_EraseRootFromParent_Done,
     /* 213468 */   // Label 4198: @213468
     /* 213468 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(213535), // Rule ID 7720 //
     /* 213473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 213481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 213487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 213490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 213493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213507 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1330:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CNOT_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 213507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_H_UNDEF),
     /* 213524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213529 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213531 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213533 */     GIR_RootConstrainSelectedInstOperands,
     /* 213534 */     // GIR_Coverage, 7720,
     /* 213534 */     GIR_EraseRootFromParent_Done,
     /* 213535 */   // Label 4199: @213535
     /* 213535 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(213602), // Rule ID 7722 //
     /* 213540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 213548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 213557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1330:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CNOT_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 213574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_S_UNDEF),
     /* 213591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213596 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213598 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213600 */     GIR_RootConstrainSelectedInstOperands,
     /* 213601 */     // GIR_Coverage, 7722,
     /* 213601 */     GIR_EraseRootFromParent_Done,
     /* 213602 */   // Label 4200: @213602
     /* 213602 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(213669), // Rule ID 7724 //
     /* 213607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 213615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 213618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 213621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 213624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 213627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213641 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1330:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CNOT_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 213641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_D_UNDEF),
     /* 213658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213663 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213665 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213667 */     GIR_RootConstrainSelectedInstOperands,
     /* 213668 */     // GIR_Coverage, 7724,
     /* 213668 */     GIR_EraseRootFromParent_Done,
     /* 213669 */   // Label 4201: @213669
     /* 213669 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(213736), // Rule ID 7730 //
     /* 213674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 213682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 213685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 213688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 213691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 213694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213708 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1616:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (NOT_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 213708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_B_UNDEF),
     /* 213725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213730 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213732 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213734 */     GIR_RootConstrainSelectedInstOperands,
     /* 213735 */     // GIR_Coverage, 7730,
     /* 213735 */     GIR_EraseRootFromParent_Done,
     /* 213736 */   // Label 4202: @213736
     /* 213736 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(213803), // Rule ID 7732 //
     /* 213741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 213749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 213752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 213755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 213758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 213761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213775 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1616:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (NOT_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 213775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_H_UNDEF),
     /* 213792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213797 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213799 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213801 */     GIR_RootConstrainSelectedInstOperands,
     /* 213802 */     // GIR_Coverage, 7732,
     /* 213802 */     GIR_EraseRootFromParent_Done,
     /* 213803 */   // Label 4203: @213803
     /* 213803 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(213870), // Rule ID 7734 //
     /* 213808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 213816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 213825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1616:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (NOT_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 213842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_S_UNDEF),
     /* 213859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213864 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213866 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213868 */     GIR_RootConstrainSelectedInstOperands,
     /* 213869 */     // GIR_Coverage, 7734,
     /* 213869 */     GIR_EraseRootFromParent_Done,
     /* 213870 */   // Label 4204: @213870
     /* 213870 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(213937), // Rule ID 7736 //
     /* 213875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 213878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 213883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 213886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 213889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 213892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 213895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213909 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1616:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (NOT_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 213909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_D_UNDEF),
     /* 213926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213931 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 213933 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 213935 */     GIR_RootConstrainSelectedInstOperands,
     /* 213936 */     // GIR_Coverage, 7736,
     /* 213936 */     GIR_EraseRootFromParent_Done,
     /* 213937 */   // Label 4205: @213937
     /* 213937 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(214004), // Rule ID 11464 //
     /* 213942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 213945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursqrte),
     /* 213950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 213953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 213956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 213959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 213962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 213966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 213970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 213974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 213976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2054:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (URSQRTE_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 213976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 213979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 213983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 213988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 213990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTE_ZPmZ_S_UNDEF),
     /* 213993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 213995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 213998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214000 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214002 */     GIR_RootConstrainSelectedInstOperands,
     /* 214003 */     // GIR_Coverage, 11464,
     /* 214003 */     GIR_EraseRootFromParent_Done,
     /* 214004 */   // Label 4206: @214004
     /* 214004 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(214071), // Rule ID 11466 //
     /* 214009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 214017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 214020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 214023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 214026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 214029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214043 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1759:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQABS_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 214043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_B_UNDEF),
     /* 214060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214065 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214067 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214069 */     GIR_RootConstrainSelectedInstOperands,
     /* 214070 */     // GIR_Coverage, 11466,
     /* 214070 */     GIR_EraseRootFromParent_Done,
     /* 214071 */   // Label 4207: @214071
     /* 214071 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(214138), // Rule ID 11468 //
     /* 214076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 214084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 214087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 214090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 214093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 214096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214110 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1759:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQABS_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 214110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_H_UNDEF),
     /* 214127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214132 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214134 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214136 */     GIR_RootConstrainSelectedInstOperands,
     /* 214137 */     // GIR_Coverage, 11468,
     /* 214137 */     GIR_EraseRootFromParent_Done,
     /* 214138 */   // Label 4208: @214138
     /* 214138 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(214205), // Rule ID 11470 //
     /* 214143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 214151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 214154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 214157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 214160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 214163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214177 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1759:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQABS_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 214177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_S_UNDEF),
     /* 214194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214199 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214201 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214203 */     GIR_RootConstrainSelectedInstOperands,
     /* 214204 */     // GIR_Coverage, 11470,
     /* 214204 */     GIR_EraseRootFromParent_Done,
     /* 214205 */   // Label 4209: @214205
     /* 214205 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(214272), // Rule ID 11472 //
     /* 214210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 214218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 214221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 214224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 214227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214244 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1759:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQABS_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 214244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_D_UNDEF),
     /* 214261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214266 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214268 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214270 */     GIR_RootConstrainSelectedInstOperands,
     /* 214271 */     // GIR_Coverage, 11472,
     /* 214271 */     GIR_EraseRootFromParent_Done,
     /* 214272 */   // Label 4210: @214272
     /* 214272 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(214339), // Rule ID 11478 //
     /* 214277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 214285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 214288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 214291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 214294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 214297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214311 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1819:{ *:[iPTR] }, (undef:{ *:[nxv16i8] }), nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQNEG_ZPmZ_B_UNDEF:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 214311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_B_UNDEF),
     /* 214328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214333 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214335 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214337 */     GIR_RootConstrainSelectedInstOperands,
     /* 214338 */     // GIR_Coverage, 11478,
     /* 214338 */     GIR_EraseRootFromParent_Done,
     /* 214339 */   // Label 4211: @214339
     /* 214339 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(214406), // Rule ID 11480 //
     /* 214344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 214352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 214355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 214358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 214361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 214364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214378 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1819:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQNEG_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 214378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_H_UNDEF),
     /* 214395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214402 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214404 */     GIR_RootConstrainSelectedInstOperands,
     /* 214405 */     // GIR_Coverage, 11480,
     /* 214405 */     GIR_EraseRootFromParent_Done,
     /* 214406 */   // Label 4212: @214406
     /* 214406 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(214473), // Rule ID 11482 //
     /* 214411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 214419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 214422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 214425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 214428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 214431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214445 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1819:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQNEG_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 214445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_S_UNDEF),
     /* 214462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214467 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214469 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214471 */     GIR_RootConstrainSelectedInstOperands,
     /* 214472 */     // GIR_Coverage, 11482,
     /* 214472 */     GIR_EraseRootFromParent_Done,
     /* 214473 */   // Label 4213: @214473
     /* 214473 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(214540), // Rule ID 11484 //
     /* 214478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 214481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 214486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 214489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 214492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 214495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 214498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 214502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 214506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 214510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 214512 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1819:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQNEG_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 214512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 214515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 214519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 214524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 214526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_D_UNDEF),
     /* 214529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 214531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 214534 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 214536 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 214538 */     GIR_RootConstrainSelectedInstOperands,
     /* 214539 */     // GIR_Coverage, 11484,
     /* 214539 */     GIR_EraseRootFromParent_Done,
     /* 214540 */   // Label 4214: @214540
     /* 214540 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(214594), // Rule ID 30 //
     /* 214545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /* 214548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smmla),
     /* 214553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 214562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 214565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214581 */     // (intrinsic_wo_chain:{ *:[v4i32] } 676:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMMLA:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 214581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMMLA),
     /* 214584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214586 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214588 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214590 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214592 */     GIR_RootConstrainSelectedInstOperands,
     /* 214593 */     // GIR_Coverage, 30,
     /* 214593 */     GIR_EraseRootFromParent_Done,
     /* 214594 */   // Label 4215: @214594
     /* 214594 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(214648), // Rule ID 31 //
     /* 214599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /* 214602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_ummla),
     /* 214607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 214616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 214619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214635 */     // (intrinsic_wo_chain:{ *:[v4i32] } 737:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMMLA:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 214635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMMLA),
     /* 214638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214642 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214644 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214646 */     GIR_RootConstrainSelectedInstOperands,
     /* 214647 */     // GIR_Coverage, 31,
     /* 214647 */     GIR_EraseRootFromParent_Done,
     /* 214648 */   // Label 4216: @214648
     /* 214648 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(214702), // Rule ID 32 //
     /* 214653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8),
     /* 214656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_usmmla),
     /* 214661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 214670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 214673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214689 */     // (intrinsic_wo_chain:{ *:[v4i32] } 753:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (USMMLA:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 214689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMMLA),
     /* 214692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214694 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214696 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214698 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214700 */     GIR_RootConstrainSelectedInstOperands,
     /* 214701 */     // GIR_Coverage, 32,
     /* 214701 */     GIR_EraseRootFromParent_Done,
     /* 214702 */   // Label 4217: @214702
     /* 214702 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(214756), // Rule ID 39 //
     /* 214707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 214710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 214715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 214718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 214721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 214724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 214727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214743 */     // (intrinsic_wo_chain:{ *:[v2f32] } 606:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLALv4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 214743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALv4f16),
     /* 214746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214752 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214754 */     GIR_RootConstrainSelectedInstOperands,
     /* 214755 */     // GIR_Coverage, 39,
     /* 214755 */     GIR_EraseRootFromParent_Done,
     /* 214756 */   // Label 4218: @214756
     /* 214756 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(214810), // Rule ID 40 //
     /* 214761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 214764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal),
     /* 214769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 214778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 214781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214797 */     // (intrinsic_wo_chain:{ *:[v4f32] } 606:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLALv8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 214797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALv8f16),
     /* 214800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214802 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214804 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214806 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214808 */     GIR_RootConstrainSelectedInstOperands,
     /* 214809 */     // GIR_Coverage, 40,
     /* 214809 */     GIR_EraseRootFromParent_Done,
     /* 214810 */   // Label 4219: @214810
     /* 214810 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(214864), // Rule ID 41 //
     /* 214815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 214818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 214823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 214826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 214829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 214832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 214835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214851 */     // (intrinsic_wo_chain:{ *:[v2f32] } 608:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLSLv4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 214851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLv4f16),
     /* 214854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214856 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214858 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214860 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214862 */     GIR_RootConstrainSelectedInstOperands,
     /* 214863 */     // GIR_Coverage, 41,
     /* 214863 */     GIR_EraseRootFromParent_Done,
     /* 214864 */   // Label 4220: @214864
     /* 214864 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(214918), // Rule ID 42 //
     /* 214869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 214872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl),
     /* 214877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 214886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 214889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 214905 */     // (intrinsic_wo_chain:{ *:[v4f32] } 608:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLSLv8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 214905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLv8f16),
     /* 214908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214914 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214916 */     GIR_RootConstrainSelectedInstOperands,
     /* 214917 */     // GIR_Coverage, 42,
     /* 214917 */     GIR_EraseRootFromParent_Done,
     /* 214918 */   // Label 4221: @214918
     /* 214918 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(214972), // Rule ID 43 //
     /* 214923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 214926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 214931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 214934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 214937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 214940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 214943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 214959 */     // (intrinsic_wo_chain:{ *:[v2f32] } 607:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLAL2v4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 214959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2v4f16),
     /* 214962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 214964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 214966 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 214968 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 214970 */     GIR_RootConstrainSelectedInstOperands,
     /* 214971 */     // GIR_Coverage, 43,
     /* 214971 */     GIR_EraseRootFromParent_Done,
     /* 214972 */   // Label 4222: @214972
     /* 214972 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(215026), // Rule ID 44 //
     /* 214977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 214980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlal2),
     /* 214985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 214988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 214991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 214994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 214997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215013 */     // (intrinsic_wo_chain:{ *:[v4f32] } 607:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLAL2v8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 215013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAL2v8f16),
     /* 215016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215022 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215024 */     GIR_RootConstrainSelectedInstOperands,
     /* 215025 */     // GIR_Coverage, 44,
     /* 215025 */     GIR_EraseRootFromParent_Done,
     /* 215026 */   // Label 4223: @215026
     /* 215026 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(215080), // Rule ID 45 //
     /* 215031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 215034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 215039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 215042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 215045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 215048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 215051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215067 */     // (intrinsic_wo_chain:{ *:[v2f32] } 609:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMLSL2v4f16:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 215067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2v4f16),
     /* 215070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215074 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215076 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215078 */     GIR_RootConstrainSelectedInstOperands,
     /* 215079 */     // GIR_Coverage, 45,
     /* 215079 */     GIR_EraseRootFromParent_Done,
     /* 215080 */   // Label 4224: @215080
     /* 215080 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(215134), // Rule ID 46 //
     /* 215085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP16FML_HasNEON),
     /* 215088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fmlsl2),
     /* 215093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 215102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 215105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215121 */     // (intrinsic_wo_chain:{ *:[v4f32] } 609:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMLSL2v8f16:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 215121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSL2v8f16),
     /* 215124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215128 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215130 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215132 */     GIR_RootConstrainSelectedInstOperands,
     /* 215133 */     // GIR_Coverage, 46,
     /* 215133 */     GIR_EraseRootFromParent_Done,
     /* 215134 */   // Label 4225: @215134
     /* 215134 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(215188), // Rule ID 1587 //
     /* 215139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 215147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 215150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 215153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 215156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 215159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215175 */     // (intrinsic_wo_chain:{ *:[v4i16] } 686:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRDMLAHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 215175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i16),
     /* 215178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215184 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215186 */     GIR_RootConstrainSelectedInstOperands,
     /* 215187 */     // GIR_Coverage, 1587,
     /* 215187 */     GIR_EraseRootFromParent_Done,
     /* 215188 */   // Label 4226: @215188
     /* 215188 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(215242), // Rule ID 1588 //
     /* 215193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 215201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 215204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 215207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 215210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 215213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215229 */     // (intrinsic_wo_chain:{ *:[v8i16] } 686:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRDMLAHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 215229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv8i16),
     /* 215232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215234 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215236 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215238 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215240 */     GIR_RootConstrainSelectedInstOperands,
     /* 215241 */     // GIR_Coverage, 1588,
     /* 215241 */     GIR_EraseRootFromParent_Done,
     /* 215242 */   // Label 4227: @215242
     /* 215242 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(215296), // Rule ID 1589 //
     /* 215247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 215255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 215258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 215261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 215264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 215267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215283 */     // (intrinsic_wo_chain:{ *:[v2i32] } 686:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRDMLAHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 215283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv2i32),
     /* 215286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215292 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215294 */     GIR_RootConstrainSelectedInstOperands,
     /* 215295 */     // GIR_Coverage, 1589,
     /* 215295 */     GIR_EraseRootFromParent_Done,
     /* 215296 */   // Label 4228: @215296
     /* 215296 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(215350), // Rule ID 1590 //
     /* 215301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 215309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215337 */     // (intrinsic_wo_chain:{ *:[v4i32] } 686:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRDMLAHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv4i32),
     /* 215340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215342 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215344 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215346 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215348 */     GIR_RootConstrainSelectedInstOperands,
     /* 215349 */     // GIR_Coverage, 1590,
     /* 215349 */     GIR_EraseRootFromParent_Done,
     /* 215350 */   // Label 4229: @215350
     /* 215350 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(215404), // Rule ID 1591 //
     /* 215355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 215363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 215366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 215369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 215372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 215375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215391 */     // (intrinsic_wo_chain:{ *:[v4i16] } 687:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SQRDMLSHv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 215391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i16),
     /* 215394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215396 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215398 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215400 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215402 */     GIR_RootConstrainSelectedInstOperands,
     /* 215403 */     // GIR_Coverage, 1591,
     /* 215403 */     GIR_EraseRootFromParent_Done,
     /* 215404 */   // Label 4230: @215404
     /* 215404 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(215458), // Rule ID 1592 //
     /* 215409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 215417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 215420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 215423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 215426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 215429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215445 */     // (intrinsic_wo_chain:{ *:[v8i16] } 687:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SQRDMLSHv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 215445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv8i16),
     /* 215448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215450 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215452 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215454 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215456 */     GIR_RootConstrainSelectedInstOperands,
     /* 215457 */     // GIR_Coverage, 1592,
     /* 215457 */     GIR_EraseRootFromParent_Done,
     /* 215458 */   // Label 4231: @215458
     /* 215458 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(215512), // Rule ID 1593 //
     /* 215463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 215471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 215474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 215477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 215480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 215483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 215499 */     // (intrinsic_wo_chain:{ *:[v2i32] } 687:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SQRDMLSHv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 215499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv2i32),
     /* 215502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215504 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215506 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215508 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215510 */     GIR_RootConstrainSelectedInstOperands,
     /* 215511 */     // GIR_Coverage, 1593,
     /* 215511 */     GIR_EraseRootFromParent_Done,
     /* 215512 */   // Label 4232: @215512
     /* 215512 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(215566), // Rule ID 1594 //
     /* 215517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRDM),
     /* 215520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 215525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215553 */     // (intrinsic_wo_chain:{ *:[v4i32] } 687:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SQRDMLSHv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv4i32),
     /* 215556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215560 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215562 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215564 */     GIR_RootConstrainSelectedInstOperands,
     /* 215565 */     // GIR_Coverage, 1594,
     /* 215565 */     GIR_EraseRootFromParent_Done,
     /* 215566 */   // Label 4233: @215566
     /* 215566 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(215620), // Rule ID 2307 //
     /* 215571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1c),
     /* 215579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 215588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 215603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215607 */     // (intrinsic_wo_chain:{ *:[v4i32] } 520:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1Crrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Crrr),
     /* 215610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215612 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215614 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215616 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215618 */     GIR_RootConstrainSelectedInstOperands,
     /* 215619 */     // GIR_Coverage, 2307,
     /* 215619 */     GIR_EraseRootFromParent_Done,
     /* 215620 */   // Label 4234: @215620
     /* 215620 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(215674), // Rule ID 2308 //
     /* 215625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1p),
     /* 215633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 215642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 215657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215661 */     // (intrinsic_wo_chain:{ *:[v4i32] } 523:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1Prrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Prrr),
     /* 215664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215668 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215670 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215672 */     GIR_RootConstrainSelectedInstOperands,
     /* 215673 */     // GIR_Coverage, 2308,
     /* 215673 */     GIR_EraseRootFromParent_Done,
     /* 215674 */   // Label 4235: @215674
     /* 215674 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(215728), // Rule ID 2309 //
     /* 215679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1m),
     /* 215687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 215696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 215711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215715 */     // (intrinsic_wo_chain:{ *:[v4i32] } 522:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1Mrrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1Mrrr),
     /* 215718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215724 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215726 */     GIR_RootConstrainSelectedInstOperands,
     /* 215727 */     // GIR_Coverage, 2309,
     /* 215727 */     GIR_EraseRootFromParent_Done,
     /* 215728 */   // Label 4236: @215728
     /* 215728 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(215782), // Rule ID 2310 //
     /* 215733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha1su0),
     /* 215741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215769 */     // (intrinsic_wo_chain:{ *:[v4i32] } 524:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA1SU0rrr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA1SU0rrr),
     /* 215772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215776 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215778 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215780 */     GIR_RootConstrainSelectedInstOperands,
     /* 215781 */     // GIR_Coverage, 2310,
     /* 215781 */     GIR_EraseRootFromParent_Done,
     /* 215782 */   // Label 4237: @215782
     /* 215782 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(215836), // Rule ID 2311 //
     /* 215787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256h),
     /* 215795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215823 */     // (intrinsic_wo_chain:{ *:[v4i32] } 526:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA256Hrrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256Hrrr),
     /* 215826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215828 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215830 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215832 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215834 */     GIR_RootConstrainSelectedInstOperands,
     /* 215835 */     // GIR_Coverage, 2311,
     /* 215835 */     GIR_EraseRootFromParent_Done,
     /* 215836 */   // Label 4238: @215836
     /* 215836 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(215890), // Rule ID 2312 //
     /* 215841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256h2),
     /* 215849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215877 */     // (intrinsic_wo_chain:{ *:[v4i32] } 527:{ *:[iPTR] }, FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA256H2rrr:{ *:[v4i32] } FPR128:{ *:[v4i32] }:$Rd, FPR128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256H2rrr),
     /* 215880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215882 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215884 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215886 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215888 */     GIR_RootConstrainSelectedInstOperands,
     /* 215889 */     // GIR_Coverage, 2312,
     /* 215889 */     GIR_EraseRootFromParent_Done,
     /* 215890 */   // Label 4239: @215890
     /* 215890 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(215944), // Rule ID 2313 //
     /* 215895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA2),
     /* 215898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha256su1),
     /* 215903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 215906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 215909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 215912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 215915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 215931 */     // (intrinsic_wo_chain:{ *:[v4i32] } 529:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SHA256SU1rrr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 215931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA256SU1rrr),
     /* 215934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 215936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 215938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 215940 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 215942 */     GIR_RootConstrainSelectedInstOperands,
     /* 215943 */     // GIR_Coverage, 2313,
     /* 215943 */     GIR_EraseRootFromParent_Done,
     /* 215944 */   // Label 4240: @215944
     /* 215944 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(216001), // Rule ID 3640 //
     /* 215949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 215952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 215957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 215960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 215963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 215966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 215969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 215973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 215981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 215985 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1651:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR8:{ *:[nxv16i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_B:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 215985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_B),
     /* 215988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 215990 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 215992 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 215994 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 215996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 215999 */     GIR_RootConstrainSelectedInstOperands,
     /* 216000 */     // GIR_Coverage, 3640,
     /* 216000 */     GIR_EraseRootFromParent_Done,
     /* 216001 */   // Label 4241: @216001
     /* 216001 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(216058), // Rule ID 3641 //
     /* 216006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 216009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 216014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 216017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 216020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 216023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 216026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 216030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 216034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 216038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 216042 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1651:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR16:{ *:[nxv8i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_H:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 216042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_H),
     /* 216045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 216047 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 216049 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 216051 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 216053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216056 */     GIR_RootConstrainSelectedInstOperands,
     /* 216057 */     // GIR_Coverage, 3641,
     /* 216057 */     GIR_EraseRootFromParent_Done,
     /* 216058 */   // Label 4242: @216058
     /* 216058 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(216115), // Rule ID 3642 //
     /* 216063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 216066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 216071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 216074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 216077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 216080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 216083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 216087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 216091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 216095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 216099 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1651:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR32:{ *:[nxv4i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_S:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 216099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_S),
     /* 216102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 216104 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 216106 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 216108 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 216110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216113 */     GIR_RootConstrainSelectedInstOperands,
     /* 216114 */     // GIR_Coverage, 3642,
     /* 216114 */     GIR_EraseRootFromParent_Done,
     /* 216115 */   // Label 4243: @216115
     /* 216115 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(216172), // Rule ID 3643 //
     /* 216120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 216123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_psel),
     /* 216128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 216131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 216134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 216137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 216140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 216144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 216148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 216152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::MatrixIndexGPR32_12_15RegClassID),
     /* 216156 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1651:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pn, PPR64:{ *:[nxv2i1] }:$Pm, MatrixIndexGPR32Op12_15:{ *:[i32] }:$idx)  =>  (PSEL_PPPRI_D:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv2i1] }:$Pm, ?:{ *:[i32] }:$idx, 0:{ *:[i32] })
     /* 216156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PSEL_PPPRI_D),
     /* 216159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 216161 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 216163 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 216165 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 216167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 216170 */     GIR_RootConstrainSelectedInstOperands,
     /* 216171 */     // GIR_Coverage, 3643,
     /* 216171 */     GIR_EraseRootFromParent_Done,
     /* 216172 */   // Label 4244: @216172
     /* 216172 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(216226), // Rule ID 3816 //
     /* 216177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512h),
     /* 216185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 216188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 216191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 216194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 216197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216213 */     // (intrinsic_wo_chain:{ *:[v2i64] } 530:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512H:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 216213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512H),
     /* 216216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 216218 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216220 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216222 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216224 */     GIR_RootConstrainSelectedInstOperands,
     /* 216225 */     // GIR_Coverage, 3816,
     /* 216225 */     GIR_EraseRootFromParent_Done,
     /* 216226 */   // Label 4245: @216226
     /* 216226 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(216280), // Rule ID 3817 //
     /* 216231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512h2),
     /* 216239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 216242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 216245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 216248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 216251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216267 */     // (intrinsic_wo_chain:{ *:[v2i64] } 531:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512H2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 216267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512H2),
     /* 216270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 216272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216276 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216278 */     GIR_RootConstrainSelectedInstOperands,
     /* 216279 */     // GIR_Coverage, 3817,
     /* 216279 */     GIR_EraseRootFromParent_Done,
     /* 216280 */   // Label 4246: @216280
     /* 216280 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(216334), // Rule ID 3818 //
     /* 216285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sha512su1),
     /* 216293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 216296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 216299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 216302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 216305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216321 */     // (intrinsic_wo_chain:{ *:[v2i64] } 533:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (SHA512SU1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 216321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHA512SU1),
     /* 216324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 216326 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216328 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216330 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216332 */     GIR_RootConstrainSelectedInstOperands,
     /* 216333 */     // GIR_Coverage, 3818,
     /* 216333 */     GIR_EraseRootFromParent_Done,
     /* 216334 */   // Label 4247: @216334
     /* 216334 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(216388), // Rule ID 3819 //
     /* 216339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 216347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 216350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 216353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 216356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 216359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216375 */     // (intrinsic_wo_chain:{ *:[v16i8] } 518:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 216375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216384 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216386 */     GIR_RootConstrainSelectedInstOperands,
     /* 216387 */     // GIR_Coverage, 3819,
     /* 216387 */     GIR_EraseRootFromParent_Done,
     /* 216388 */   // Label 4248: @216388
     /* 216388 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(216442), // Rule ID 3820 //
     /* 216393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 216401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 216404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 216407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 216410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 216413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216429 */     // (intrinsic_wo_chain:{ *:[v8i16] } 518:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 216429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216436 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216438 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216440 */     GIR_RootConstrainSelectedInstOperands,
     /* 216441 */     // GIR_Coverage, 3820,
     /* 216441 */     GIR_EraseRootFromParent_Done,
     /* 216442 */   // Label 4249: @216442
     /* 216442 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(216496), // Rule ID 3821 //
     /* 216447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 216455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 216458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 216461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 216464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 216467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216483 */     // (intrinsic_wo_chain:{ *:[v4i32] } 518:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 216483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216492 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216494 */     GIR_RootConstrainSelectedInstOperands,
     /* 216495 */     // GIR_Coverage, 3821,
     /* 216495 */     GIR_EraseRootFromParent_Done,
     /* 216496 */   // Label 4250: @216496
     /* 216496 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(216550), // Rule ID 3822 //
     /* 216501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3u),
     /* 216509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 216512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 216515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 216518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 216521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216537 */     // (intrinsic_wo_chain:{ *:[v2i64] } 518:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 216537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216544 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216546 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216548 */     GIR_RootConstrainSelectedInstOperands,
     /* 216549 */     // GIR_Coverage, 3822,
     /* 216549 */     GIR_EraseRootFromParent_Done,
     /* 216550 */   // Label 4251: @216550
     /* 216550 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(216604), // Rule ID 3831 //
     /* 216555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 216563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 216566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 216569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 216572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 216575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216591 */     // (intrinsic_wo_chain:{ *:[v16i8] } 516:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 216591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 216594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216598 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216600 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216602 */     GIR_RootConstrainSelectedInstOperands,
     /* 216603 */     // GIR_Coverage, 3831,
     /* 216603 */     GIR_EraseRootFromParent_Done,
     /* 216604 */   // Label 4252: @216604
     /* 216604 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(216658), // Rule ID 3832 //
     /* 216609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 216617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 216620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 216623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 216626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 216629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216645 */     // (intrinsic_wo_chain:{ *:[v8i16] } 516:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 216645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 216648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216654 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216656 */     GIR_RootConstrainSelectedInstOperands,
     /* 216657 */     // GIR_Coverage, 3832,
     /* 216657 */     GIR_EraseRootFromParent_Done,
     /* 216658 */   // Label 4253: @216658
     /* 216658 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(216712), // Rule ID 3833 //
     /* 216663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 216671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 216674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 216677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 216680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 216683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216699 */     // (intrinsic_wo_chain:{ *:[v4i32] } 516:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 216699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 216702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216704 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216706 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216708 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216710 */     GIR_RootConstrainSelectedInstOperands,
     /* 216711 */     // GIR_Coverage, 3833,
     /* 216711 */     GIR_EraseRootFromParent_Done,
     /* 216712 */   // Label 4254: @216712
     /* 216712 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(216766), // Rule ID 3834 //
     /* 216717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxu),
     /* 216725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 216728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 216731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 216734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 216737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216753 */     // (intrinsic_wo_chain:{ *:[v2i64] } 516:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 216753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 216756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216760 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216762 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216764 */     GIR_RootConstrainSelectedInstOperands,
     /* 216765 */     // GIR_Coverage, 3834,
     /* 216765 */     GIR_EraseRootFromParent_Done,
     /* 216766 */   // Label 4255: @216766
     /* 216766 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(216820), // Rule ID 3835 //
     /* 216771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 216779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 216782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 216785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 216788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 216791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216807 */     // (intrinsic_wo_chain:{ *:[v16i8] } 517:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (EOR3:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 216807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216812 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216814 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216816 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216818 */     GIR_RootConstrainSelectedInstOperands,
     /* 216819 */     // GIR_Coverage, 3835,
     /* 216819 */     GIR_EraseRootFromParent_Done,
     /* 216820 */   // Label 4256: @216820
     /* 216820 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(216874), // Rule ID 3836 //
     /* 216825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 216833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 216836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 216839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 216842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 216845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216861 */     // (intrinsic_wo_chain:{ *:[v8i16] } 517:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (EOR3:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 216861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216868 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216870 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216872 */     GIR_RootConstrainSelectedInstOperands,
     /* 216873 */     // GIR_Coverage, 3836,
     /* 216873 */     GIR_EraseRootFromParent_Done,
     /* 216874 */   // Label 4257: @216874
     /* 216874 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(216928), // Rule ID 3837 //
     /* 216879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 216887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 216890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 216893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 216896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 216899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216915 */     // (intrinsic_wo_chain:{ *:[v4i32] } 517:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (EOR3:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 216915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216922 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216924 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216926 */     GIR_RootConstrainSelectedInstOperands,
     /* 216927 */     // GIR_Coverage, 3837,
     /* 216927 */     GIR_EraseRootFromParent_Done,
     /* 216928 */   // Label 4258: @216928
     /* 216928 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(216982), // Rule ID 3838 //
     /* 216933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_eor3s),
     /* 216941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 216944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 216947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 216950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 216953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 216969 */     // (intrinsic_wo_chain:{ *:[v2i64] } 517:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (EOR3:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 216969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3),
     /* 216972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 216974 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 216976 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 216978 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 216980 */     GIR_RootConstrainSelectedInstOperands,
     /* 216981 */     // GIR_Coverage, 3838,
     /* 216981 */     GIR_EraseRootFromParent_Done,
     /* 216982 */   // Label 4259: @216982
     /* 216982 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(217036), // Rule ID 3839 //
     /* 216987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 216990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 216995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 216998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 217001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 217004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 217007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217023 */     // (intrinsic_wo_chain:{ *:[v16i8] } 515:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)  =>  (BCAX:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, V128:{ *:[v16i8] }:$Vn, V128:{ *:[v16i8] }:$Vm)
     /* 217023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 217026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 217028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217032 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217034 */     GIR_RootConstrainSelectedInstOperands,
     /* 217035 */     // GIR_Coverage, 3839,
     /* 217035 */     GIR_EraseRootFromParent_Done,
     /* 217036 */   // Label 4260: @217036
     /* 217036 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(217090), // Rule ID 3840 //
     /* 217041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 217044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 217049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 217052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 217055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 217058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 217061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217077 */     // (intrinsic_wo_chain:{ *:[v8i16] } 515:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)  =>  (BCAX:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, V128:{ *:[v8i16] }:$Vn, V128:{ *:[v8i16] }:$Vm)
     /* 217077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 217080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 217082 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217084 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217086 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217088 */     GIR_RootConstrainSelectedInstOperands,
     /* 217089 */     // GIR_Coverage, 3840,
     /* 217089 */     GIR_EraseRootFromParent_Done,
     /* 217090 */   // Label 4261: @217090
     /* 217090 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(217144), // Rule ID 3841 //
     /* 217095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 217098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 217103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 217106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 217109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 217112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 217115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217131 */     // (intrinsic_wo_chain:{ *:[v4i32] } 515:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (BCAX:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 217131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 217134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 217136 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217138 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217140 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217142 */     GIR_RootConstrainSelectedInstOperands,
     /* 217143 */     // GIR_Coverage, 3841,
     /* 217143 */     GIR_EraseRootFromParent_Done,
     /* 217144 */   // Label 4262: @217144
     /* 217144 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(217198), // Rule ID 3842 //
     /* 217149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSHA3),
     /* 217152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_bcaxs),
     /* 217157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 217160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 217163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 217166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 217169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217185 */     // (intrinsic_wo_chain:{ *:[v2i64] } 515:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)  =>  (BCAX:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm)
     /* 217185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX),
     /* 217188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 217190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217194 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217196 */     GIR_RootConstrainSelectedInstOperands,
     /* 217197 */     // GIR_Coverage, 3842,
     /* 217197 */     GIR_EraseRootFromParent_Done,
     /* 217198 */   // Label 4263: @217198
     /* 217198 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(217252), // Rule ID 3846 //
     /* 217203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 217206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3ss1),
     /* 217211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 217214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 217217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 217220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 217223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217239 */     // (intrinsic_wo_chain:{ *:[v4i32] } 536:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)  =>  (SM3SS1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, V128:{ *:[v4i32] }:$Va)
     /* 217239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3SS1),
     /* 217242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 217244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vn
     /* 217246 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vm
     /* 217248 */     GIR_RootToRootCopy, /*OpIdx*/4, // Va
     /* 217250 */     GIR_RootConstrainSelectedInstOperands,
     /* 217251 */     // GIR_Coverage, 3846,
     /* 217251 */     GIR_EraseRootFromParent_Done,
     /* 217252 */   // Label 4264: @217252
     /* 217252 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(217306), // Rule ID 3847 //
     /* 217257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 217260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3partw1),
     /* 217265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 217268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 217271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 217274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 217277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217293 */     // (intrinsic_wo_chain:{ *:[v4i32] } 534:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM3PARTW1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 217293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3PARTW1),
     /* 217296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 217298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217300 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217302 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217304 */     GIR_RootConstrainSelectedInstOperands,
     /* 217305 */     // GIR_Coverage, 3847,
     /* 217305 */     GIR_EraseRootFromParent_Done,
     /* 217306 */   // Label 4265: @217306
     /* 217306 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(217360), // Rule ID 3848 //
     /* 217311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 217314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3partw2),
     /* 217319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 217322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 217325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 217328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 217331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217347 */     // (intrinsic_wo_chain:{ *:[v4i32] } 535:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)  =>  (SM3PARTW2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm)
     /* 217347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3PARTW2),
     /* 217350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 217352 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 217354 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 217356 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 217358 */     GIR_RootConstrainSelectedInstOperands,
     /* 217359 */     // GIR_Coverage, 3848,
     /* 217359 */     GIR_EraseRootFromParent_Done,
     /* 217360 */   // Label 4266: @217360
     /* 217360 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(217417), // Rule ID 3865 //
     /* 217365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 217373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 217376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 217379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 217382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 217385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217401 */     // (intrinsic_wo_chain:{ *:[v4f16] } 757:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 0:{ *:[i32] })
     /* 217401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 217404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217408 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217410 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217415 */     GIR_RootConstrainSelectedInstOperands,
     /* 217416 */     // GIR_Coverage, 3865,
     /* 217416 */     GIR_EraseRootFromParent_Done,
     /* 217417 */   // Label 4267: @217417
     /* 217417 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(217474), // Rule ID 3866 //
     /* 217422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 217430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 217433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 217436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 217439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 217442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217458 */     // (intrinsic_wo_chain:{ *:[v4f16] } 760:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 1:{ *:[i32] })
     /* 217458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 217461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217463 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217465 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217467 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217472 */     GIR_RootConstrainSelectedInstOperands,
     /* 217473 */     // GIR_Coverage, 3866,
     /* 217473 */     GIR_EraseRootFromParent_Done,
     /* 217474 */   // Label 4268: @217474
     /* 217474 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(217531), // Rule ID 3867 //
     /* 217479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 217487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 217490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 217493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 217496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 217499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217515 */     // (intrinsic_wo_chain:{ *:[v4f16] } 758:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 2:{ *:[i32] })
     /* 217515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 217518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217520 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217522 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217524 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 217529 */     GIR_RootConstrainSelectedInstOperands,
     /* 217530 */     // GIR_Coverage, 3867,
     /* 217530 */     GIR_EraseRootFromParent_Done,
     /* 217531 */   // Label 4269: @217531
     /* 217531 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(217588), // Rule ID 3868 //
     /* 217536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 217544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 217547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 217550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 217553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s16,
     /* 217556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217572 */     // (intrinsic_wo_chain:{ *:[v4f16] } 759:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMLAv4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v4f16] }:$Rn, ?:{ *:[v4f16] }:$Rm, 3:{ *:[i32] })
     /* 217572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f16),
     /* 217575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217577 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217579 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217581 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 217586 */     GIR_RootConstrainSelectedInstOperands,
     /* 217587 */     // GIR_Coverage, 3868,
     /* 217587 */     GIR_EraseRootFromParent_Done,
     /* 217588 */   // Label 4270: @217588
     /* 217588 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(217645), // Rule ID 3873 //
     /* 217593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 217601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 217604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 217607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 217610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 217613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217629 */     // (intrinsic_wo_chain:{ *:[v8f16] } 757:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 0:{ *:[i32] })
     /* 217629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 217632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217634 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217636 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217638 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217643 */     GIR_RootConstrainSelectedInstOperands,
     /* 217644 */     // GIR_Coverage, 3873,
     /* 217644 */     GIR_EraseRootFromParent_Done,
     /* 217645 */   // Label 4271: @217645
     /* 217645 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(217702), // Rule ID 3874 //
     /* 217650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 217658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 217661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 217664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 217667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 217670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217686 */     // (intrinsic_wo_chain:{ *:[v8f16] } 760:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 1:{ *:[i32] })
     /* 217686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 217689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217691 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217693 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217695 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217700 */     GIR_RootConstrainSelectedInstOperands,
     /* 217701 */     // GIR_Coverage, 3874,
     /* 217701 */     GIR_EraseRootFromParent_Done,
     /* 217702 */   // Label 4272: @217702
     /* 217702 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(217759), // Rule ID 3875 //
     /* 217707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 217715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 217718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 217721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 217724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 217727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217743 */     // (intrinsic_wo_chain:{ *:[v8f16] } 758:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 2:{ *:[i32] })
     /* 217743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 217746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217752 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 217757 */     GIR_RootConstrainSelectedInstOperands,
     /* 217758 */     // GIR_Coverage, 3875,
     /* 217758 */     GIR_EraseRootFromParent_Done,
     /* 217759 */   // Label 4273: @217759
     /* 217759 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(217816), // Rule ID 3876 //
     /* 217764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasFullFP16_HasNEON),
     /* 217767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 217772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 217775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 217778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 217781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 217784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 217800 */     // (intrinsic_wo_chain:{ *:[v8f16] } 759:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMLAv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm, 3:{ *:[i32] })
     /* 217800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv8f16),
     /* 217803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217805 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217807 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217809 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 217814 */     GIR_RootConstrainSelectedInstOperands,
     /* 217815 */     // GIR_Coverage, 3876,
     /* 217815 */     GIR_EraseRootFromParent_Done,
     /* 217816 */   // Label 4274: @217816
     /* 217816 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(217873), // Rule ID 3881 //
     /* 217821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 217829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 217832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 217835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 217838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 217841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217857 */     // (intrinsic_wo_chain:{ *:[v2f32] } 757:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 0:{ *:[i32] })
     /* 217857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 217860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217862 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217864 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217866 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 217871 */     GIR_RootConstrainSelectedInstOperands,
     /* 217872 */     // GIR_Coverage, 3881,
     /* 217872 */     GIR_EraseRootFromParent_Done,
     /* 217873 */   // Label 4275: @217873
     /* 217873 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(217930), // Rule ID 3882 //
     /* 217878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 217886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 217889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 217892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 217895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 217898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217914 */     // (intrinsic_wo_chain:{ *:[v2f32] } 760:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 1:{ *:[i32] })
     /* 217914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 217917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217919 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217921 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217923 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 217928 */     GIR_RootConstrainSelectedInstOperands,
     /* 217929 */     // GIR_Coverage, 3882,
     /* 217929 */     GIR_EraseRootFromParent_Done,
     /* 217930 */   // Label 4276: @217930
     /* 217930 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(217987), // Rule ID 3883 //
     /* 217935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 217943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 217946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 217949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 217952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 217955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 217971 */     // (intrinsic_wo_chain:{ *:[v2f32] } 758:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 2:{ *:[i32] })
     /* 217971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 217974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 217976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 217978 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 217980 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 217982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 217985 */     GIR_RootConstrainSelectedInstOperands,
     /* 217986 */     // GIR_Coverage, 3883,
     /* 217986 */     GIR_EraseRootFromParent_Done,
     /* 217987 */   // Label 4277: @217987
     /* 217987 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(218044), // Rule ID 3884 //
     /* 217992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 217995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 218000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 218003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 218006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 218009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s32,
     /* 218012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218028 */     // (intrinsic_wo_chain:{ *:[v2f32] } 759:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMLAv2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v2f32] }:$Rn, ?:{ *:[v2f32] }:$Rm, 3:{ *:[i32] })
     /* 218028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f32),
     /* 218031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218033 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218035 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218037 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 218042 */     GIR_RootConstrainSelectedInstOperands,
     /* 218043 */     // GIR_Coverage, 3884,
     /* 218043 */     GIR_EraseRootFromParent_Done,
     /* 218044 */   // Label 4278: @218044
     /* 218044 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(218101), // Rule ID 3885 //
     /* 218049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 218057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 218060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 218063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 218066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 218069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218085 */     // (intrinsic_wo_chain:{ *:[v4f32] } 757:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 0:{ *:[i32] })
     /* 218085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 218088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218094 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218099 */     GIR_RootConstrainSelectedInstOperands,
     /* 218100 */     // GIR_Coverage, 3885,
     /* 218100 */     GIR_EraseRootFromParent_Done,
     /* 218101 */   // Label 4279: @218101
     /* 218101 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(218158), // Rule ID 3886 //
     /* 218106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 218114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 218117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 218120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 218123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 218126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218142 */     // (intrinsic_wo_chain:{ *:[v4f32] } 760:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 1:{ *:[i32] })
     /* 218142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 218145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218147 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218149 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218151 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 218156 */     GIR_RootConstrainSelectedInstOperands,
     /* 218157 */     // GIR_Coverage, 3886,
     /* 218157 */     GIR_EraseRootFromParent_Done,
     /* 218158 */   // Label 4280: @218158
     /* 218158 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(218215), // Rule ID 3887 //
     /* 218163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 218171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 218174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 218177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 218180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 218183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218199 */     // (intrinsic_wo_chain:{ *:[v4f32] } 758:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 2:{ *:[i32] })
     /* 218199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 218202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218206 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218208 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 218213 */     GIR_RootConstrainSelectedInstOperands,
     /* 218214 */     // GIR_Coverage, 3887,
     /* 218214 */     GIR_EraseRootFromParent_Done,
     /* 218215 */   // Label 4281: @218215
     /* 218215 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(218272), // Rule ID 3888 //
     /* 218220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 218228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 218231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 218234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 218237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 218240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218256 */     // (intrinsic_wo_chain:{ *:[v4f32] } 759:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMLAv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm, 3:{ *:[i32] })
     /* 218256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv4f32),
     /* 218259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218261 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218263 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218265 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 218270 */     GIR_RootConstrainSelectedInstOperands,
     /* 218271 */     // GIR_Coverage, 3888,
     /* 218271 */     GIR_EraseRootFromParent_Done,
     /* 218272 */   // Label 4282: @218272
     /* 218272 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(218329), // Rule ID 3889 //
     /* 218277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot0),
     /* 218285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 218288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 218291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 218294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 218297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218313 */     // (intrinsic_wo_chain:{ *:[v2f64] } 757:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 0:{ *:[i32] })
     /* 218313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 218316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218318 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218320 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218322 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 218327 */     GIR_RootConstrainSelectedInstOperands,
     /* 218328 */     // GIR_Coverage, 3889,
     /* 218328 */     GIR_EraseRootFromParent_Done,
     /* 218329 */   // Label 4283: @218329
     /* 218329 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(218386), // Rule ID 3890 //
     /* 218334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot90),
     /* 218342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 218345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 218348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 218351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 218354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218370 */     // (intrinsic_wo_chain:{ *:[v2f64] } 760:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 1:{ *:[i32] })
     /* 218370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 218373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218375 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218377 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218379 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 218384 */     GIR_RootConstrainSelectedInstOperands,
     /* 218385 */     // GIR_Coverage, 3890,
     /* 218385 */     GIR_EraseRootFromParent_Done,
     /* 218386 */   // Label 4284: @218386
     /* 218386 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(218443), // Rule ID 3891 //
     /* 218391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot180),
     /* 218399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 218402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 218405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 218408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 218411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218427 */     // (intrinsic_wo_chain:{ *:[v2f64] } 758:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 2:{ *:[i32] })
     /* 218427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 218430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218434 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218436 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 218441 */     GIR_RootConstrainSelectedInstOperands,
     /* 218442 */     // GIR_Coverage, 3891,
     /* 218442 */     GIR_EraseRootFromParent_Done,
     /* 218443 */   // Label 4285: @218443
     /* 218443 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(218500), // Rule ID 3892 //
     /* 218448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasComplxNum_HasNEON),
     /* 218451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcmla_rot270),
     /* 218456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 218459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 218462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 218465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 218468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218484 */     // (intrinsic_wo_chain:{ *:[v2f64] } 759:{ *:[iPTR] }, V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMLAv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rd, ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm, 3:{ *:[i32] })
     /* 218484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLAv2f64),
     /* 218487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218491 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218493 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 218498 */     GIR_RootConstrainSelectedInstOperands,
     /* 218499 */     // GIR_Coverage, 3892,
     /* 218499 */     GIR_EraseRootFromParent_Done,
     /* 218500 */   // Label 4286: @218500
     /* 218500 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(218554), // Rule ID 5232 //
     /* 218505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRDM),
     /* 218508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlah),
     /* 218513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 218516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 218519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 218522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 218525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218541 */     // (intrinsic_wo_chain:{ *:[i32] } 686:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRDMLAHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 218541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAHv1i32),
     /* 218544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218548 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218550 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218552 */     GIR_RootConstrainSelectedInstOperands,
     /* 218553 */     // GIR_Coverage, 5232,
     /* 218553 */     GIR_EraseRootFromParent_Done,
     /* 218554 */   // Label 4287: @218554
     /* 218554 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(218608), // Rule ID 5233 //
     /* 218559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasRDM),
     /* 218562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sqrdmlsh),
     /* 218567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 218570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 218573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 218576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 218579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 218595 */     // (intrinsic_wo_chain:{ *:[i32] } 687:{ *:[iPTR] }, FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)  =>  (SQRDMLSHv1i32:{ *:[i32] } FPR32:{ *:[i32] }:$Rd, FPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }:$Rm)
     /* 218595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSHv1i32),
     /* 218598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218604 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 218606 */     GIR_RootConstrainSelectedInstOperands,
     /* 218607 */     // GIR_Coverage, 5233,
     /* 218607 */     GIR_EraseRootFromParent_Done,
     /* 218608 */   // Label 4288: @218608
     /* 218608 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(218659), // Rule ID 5586 //
     /* 218613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbx1),
     /* 218618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 218621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 218624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 218627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /* 218630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 218646 */     // (intrinsic_wo_chain:{ *:[v8i8] } 720:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rd, VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)  =>  (TBXv8i8One:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, VecListOne128:{ *:[v16i8] }:$Rn, V64:{ *:[v8i8] }:$Ri)
     /* 218646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXv8i8One),
     /* 218649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218651 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218653 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 218655 */     GIR_RootToRootCopy, /*OpIdx*/4, // Ri
     /* 218657 */     GIR_RootConstrainSelectedInstOperands,
     /* 218658 */     // GIR_Coverage, 5586,
     /* 218658 */     GIR_EraseRootFromParent_Done,
     /* 218659 */   // Label 4289: @218659
     /* 218659 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(218710), // Rule ID 5587 //
     /* 218664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_tbx1),
     /* 218669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 218672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 218675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 218678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 218681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 218697 */     // (intrinsic_wo_chain:{ *:[v16i8] } 720:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)  =>  (TBXv16i8One:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Ri, V128:{ *:[v16i8] }:$Rn)
     /* 218697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXv16i8One),
     /* 218700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 218702 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 218704 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ri
     /* 218706 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rn
     /* 218708 */     GIR_RootConstrainSelectedInstOperands,
     /* 218709 */     // GIR_Coverage, 5587,
     /* 218709 */     GIR_EraseRootFromParent_Done,
     /* 218710 */   // Label 4290: @218710
     /* 218710 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(218752), // Rule ID 2699 //
     /* 218715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 218726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 218729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 218732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 218735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218739 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1918:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (TBX_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 218739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_B),
     /* 218742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218744 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218746 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218748 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218750 */     GIR_RootConstrainSelectedInstOperands,
     /* 218751 */     // GIR_Coverage, 2699,
     /* 218751 */     GIR_EraseRootFromParent_Done,
     /* 218752 */   // Label 4291: @218752
     /* 218752 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(218794), // Rule ID 2700 //
     /* 218757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 218771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 218774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218781 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1918:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBX_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 218781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_H),
     /* 218784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218786 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218788 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218790 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218792 */     GIR_RootConstrainSelectedInstOperands,
     /* 218793 */     // GIR_Coverage, 2700,
     /* 218793 */     GIR_EraseRootFromParent_Done,
     /* 218794 */   // Label 4292: @218794
     /* 218794 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(218836), // Rule ID 2701 //
     /* 218799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 218813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 218816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218823 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1918:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBX_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 218823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_S),
     /* 218826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218828 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218830 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218832 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218834 */     GIR_RootConstrainSelectedInstOperands,
     /* 218835 */     // GIR_Coverage, 2701,
     /* 218835 */     GIR_EraseRootFromParent_Done,
     /* 218836 */   // Label 4293: @218836
     /* 218836 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(218878), // Rule ID 2702 //
     /* 218841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 218855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 218858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218865 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1918:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBX_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 218865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_D),
     /* 218868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218870 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218872 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218874 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218876 */     GIR_RootConstrainSelectedInstOperands,
     /* 218877 */     // GIR_Coverage, 2702,
     /* 218877 */     GIR_EraseRootFromParent_Done,
     /* 218878 */   // Label 4294: @218878
     /* 218878 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(218920), // Rule ID 2703 //
     /* 218883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 218894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 218897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 218900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 218903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218907 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1918:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBX_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 218907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_H),
     /* 218910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218912 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218914 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218916 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218918 */     GIR_RootConstrainSelectedInstOperands,
     /* 218919 */     // GIR_Coverage, 2703,
     /* 218919 */     GIR_EraseRootFromParent_Done,
     /* 218920 */   // Label 4295: @218920
     /* 218920 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(218962), // Rule ID 2704 //
     /* 218925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 218936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 218939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 218942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 218945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218949 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1918:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBX_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 218949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_S),
     /* 218952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218956 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 218958 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 218960 */     GIR_RootConstrainSelectedInstOperands,
     /* 218961 */     // GIR_Coverage, 2704,
     /* 218961 */     GIR_EraseRootFromParent_Done,
     /* 218962 */   // Label 4296: @218962
     /* 218962 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(219004), // Rule ID 2705 //
     /* 218967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 218970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbx),
     /* 218975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 218978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 218981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 218984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 218987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 218991 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1918:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBX_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 218991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBX_ZZZ_D),
     /* 218994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 218996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 218998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219000 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219002 */     GIR_RootConstrainSelectedInstOperands,
     /* 219003 */     // GIR_Coverage, 2705,
     /* 219003 */     GIR_EraseRootFromParent_Done,
     /* 219004 */   // Label 4297: @219004
     /* 219004 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(219046), // Rule ID 2744 //
     /* 219009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 219017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 219020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 219023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 219026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 219029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219033 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1264:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 219033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 219036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219038 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219040 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219042 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219044 */     GIR_RootConstrainSelectedInstOperands,
     /* 219045 */     // GIR_Coverage, 2744,
     /* 219045 */     GIR_EraseRootFromParent_Done,
     /* 219046 */   // Label 4298: @219046
     /* 219046 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(219088), // Rule ID 2745 //
     /* 219051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 219059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 219062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 219065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 219068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 219071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219075 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1264:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 219075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 219078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219080 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219082 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219084 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219086 */     GIR_RootConstrainSelectedInstOperands,
     /* 219087 */     // GIR_Coverage, 2745,
     /* 219087 */     GIR_EraseRootFromParent_Done,
     /* 219088 */   // Label 4299: @219088
     /* 219088 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(219130), // Rule ID 2746 //
     /* 219093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 219101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 219104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 219113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219117 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1264:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 219117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 219120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219124 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219126 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219128 */     GIR_RootConstrainSelectedInstOperands,
     /* 219129 */     // GIR_Coverage, 2746,
     /* 219129 */     GIR_EraseRootFromParent_Done,
     /* 219130 */   // Label 4300: @219130
     /* 219130 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(219172), // Rule ID 2747 //
     /* 219135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 219143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 219146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 219152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 219155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219159 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1264:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 219159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 219162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219164 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219166 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219168 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219170 */     GIR_RootConstrainSelectedInstOperands,
     /* 219171 */     // GIR_Coverage, 2747,
     /* 219171 */     GIR_EraseRootFromParent_Done,
     /* 219172 */   // Label 4301: @219172
     /* 219172 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(219214), // Rule ID 2748 //
     /* 219177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_and_z),
     /* 219185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 219188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 219191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 219194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 219197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 219201 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1264:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (AND_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 219201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::AND_PPzPP),
     /* 219204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 219206 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219208 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219210 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219212 */     GIR_RootConstrainSelectedInstOperands,
     /* 219213 */     // GIR_Coverage, 2748,
     /* 219213 */     GIR_EraseRootFromParent_Done,
     /* 219214 */   // Label 4302: @219214
     /* 219214 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(219256), // Rule ID 2787 //
     /* 219219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 219227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 219233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 219236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219243 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1363:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FADD_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 219243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmZ_H),
     /* 219246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219250 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219252 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219254 */     GIR_RootConstrainSelectedInstOperands,
     /* 219255 */     // GIR_Coverage, 2787,
     /* 219255 */     GIR_EraseRootFromParent_Done,
     /* 219256 */   // Label 4303: @219256
     /* 219256 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(219298), // Rule ID 2789 //
     /* 219261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 219269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 219278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219285 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1363:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FADD_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 219285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmZ_S),
     /* 219288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219290 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219292 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219294 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219296 */     GIR_RootConstrainSelectedInstOperands,
     /* 219297 */     // GIR_Coverage, 2789,
     /* 219297 */     GIR_EraseRootFromParent_Done,
     /* 219298 */   // Label 4304: @219298
     /* 219298 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(219340), // Rule ID 2791 //
     /* 219303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fadd),
     /* 219311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 219320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219327 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1363:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FADD_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 219327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZPmZ_D),
     /* 219330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219332 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219334 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219336 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219338 */     GIR_RootConstrainSelectedInstOperands,
     /* 219339 */     // GIR_Coverage, 2791,
     /* 219339 */     GIR_EraseRootFromParent_Done,
     /* 219340 */   // Label 4305: @219340
     /* 219340 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(219382), // Rule ID 2793 //
     /* 219345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fscale),
     /* 219353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 219359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 219362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219369 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1537:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (FSCALE_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 219369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALE_ZPmZ_H),
     /* 219372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219374 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219376 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219378 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219380 */     GIR_RootConstrainSelectedInstOperands,
     /* 219381 */     // GIR_Coverage, 2793,
     /* 219381 */     GIR_EraseRootFromParent_Done,
     /* 219382 */   // Label 4306: @219382
     /* 219382 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(219424), // Rule ID 2794 //
     /* 219387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fscale),
     /* 219395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 219404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219411 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1537:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (FSCALE_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 219411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALE_ZPmZ_S),
     /* 219414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219418 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219420 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219422 */     GIR_RootConstrainSelectedInstOperands,
     /* 219423 */     // GIR_Coverage, 2794,
     /* 219423 */     GIR_EraseRootFromParent_Done,
     /* 219424 */   // Label 4307: @219424
     /* 219424 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(219466), // Rule ID 2795 //
     /* 219429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fscale),
     /* 219437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 219446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219453 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1537:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (FSCALE_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 219453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSCALE_ZPmZ_D),
     /* 219456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219460 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219462 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219464 */     GIR_RootConstrainSelectedInstOperands,
     /* 219465 */     // GIR_Coverage, 2795,
     /* 219465 */     GIR_EraseRootFromParent_Done,
     /* 219466 */   // Label 4308: @219466
     /* 219466 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(219508), // Rule ID 2864 //
     /* 219471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtnt_f16f32),
     /* 219479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 219485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219495 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1399:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTNT_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 219495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNT_ZPmZ_StoH),
     /* 219498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219504 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219506 */     GIR_RootConstrainSelectedInstOperands,
     /* 219507 */     // GIR_Coverage, 2864,
     /* 219507 */     GIR_EraseRootFromParent_Done,
     /* 219508 */   // Label 4309: @219508
     /* 219508 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(219550), // Rule ID 2865 //
     /* 219513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtnt_f32f64),
     /* 219521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 219530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219537 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1400:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTNT_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 219537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNT_ZPmZ_DtoS),
     /* 219540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219544 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219546 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219548 */     GIR_RootConstrainSelectedInstOperands,
     /* 219549 */     // GIR_Coverage, 2865,
     /* 219549 */     GIR_EraseRootFromParent_Done,
     /* 219550 */   // Label 4310: @219550
     /* 219550 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(219592), // Rule ID 2866 //
     /* 219555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtlt_f32f16),
     /* 219563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219579 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1395:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTLT_ZPmZ_HtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 219579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLT_ZPmZ_HtoS),
     /* 219582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219586 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219588 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219590 */     GIR_RootConstrainSelectedInstOperands,
     /* 219591 */     // GIR_Coverage, 2866,
     /* 219591 */     GIR_EraseRootFromParent_Done,
     /* 219592 */   // Label 4311: @219592
     /* 219592 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(219634), // Rule ID 2867 //
     /* 219597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtlt_f64f32),
     /* 219605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 219611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 219614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219621 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1396:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTLT_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 219621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLT_ZPmZ_StoD),
     /* 219624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219626 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219628 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219630 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219632 */     GIR_RootConstrainSelectedInstOperands,
     /* 219633 */     // GIR_Coverage, 2867,
     /* 219633 */     GIR_EraseRootFromParent_Done,
     /* 219634 */   // Label 4312: @219634
     /* 219634 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(219676), // Rule ID 2868 //
     /* 219639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtxnt_f32f64),
     /* 219647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 219656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219663 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1402:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTXNT_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 219663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTXNT_ZPmZ_DtoS),
     /* 219666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219668 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219670 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219672 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219674 */     GIR_RootConstrainSelectedInstOperands,
     /* 219675 */     // GIR_Coverage, 2868,
     /* 219675 */     GIR_EraseRootFromParent_Done,
     /* 219676 */   // Label 4313: @219676
     /* 219676 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(219718), // Rule ID 2869 //
     /* 219681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddp),
     /* 219689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 219695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 219698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219705 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1366:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FADDP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 219705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDP_ZPmZZ_H),
     /* 219708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219714 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219716 */     GIR_RootConstrainSelectedInstOperands,
     /* 219717 */     // GIR_Coverage, 2869,
     /* 219717 */     GIR_EraseRootFromParent_Done,
     /* 219718 */   // Label 4314: @219718
     /* 219718 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(219760), // Rule ID 2870 //
     /* 219723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddp),
     /* 219731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 219737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 219740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219747 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1366:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FADDP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 219747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDP_ZPmZZ_S),
     /* 219750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219752 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219754 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219756 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219758 */     GIR_RootConstrainSelectedInstOperands,
     /* 219759 */     // GIR_Coverage, 2870,
     /* 219759 */     GIR_EraseRootFromParent_Done,
     /* 219760 */   // Label 4315: @219760
     /* 219760 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(219802), // Rule ID 2871 //
     /* 219765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_faddp),
     /* 219773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 219779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 219782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219789 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1366:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FADDP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 219789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDP_ZPmZZ_D),
     /* 219792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 219794 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219796 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219798 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219800 */     GIR_RootConstrainSelectedInstOperands,
     /* 219801 */     // GIR_Coverage, 2871,
     /* 219801 */     GIR_EraseRootFromParent_Done,
     /* 219802 */   // Label 4316: @219802
     /* 219802 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(219844), // Rule ID 2882 //
     /* 219807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f32f16),
     /* 219815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219831 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1388:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVT_ZPmZ_HtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 219831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_HtoS),
     /* 219834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219840 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219842 */     GIR_RootConstrainSelectedInstOperands,
     /* 219843 */     // GIR_Coverage, 2882,
     /* 219843 */     GIR_EraseRootFromParent_Done,
     /* 219844 */   // Label 4317: @219844
     /* 219844 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(219886), // Rule ID 2884 //
     /* 219849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 219852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f16f32),
     /* 219857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 219863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219873 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1386:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVT_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 219873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_StoH),
     /* 219876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219880 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219882 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219884 */     GIR_RootConstrainSelectedInstOperands,
     /* 219885 */     // GIR_Coverage, 2884,
     /* 219885 */     GIR_EraseRootFromParent_Done,
     /* 219886 */   // Label 4318: @219886
     /* 219886 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(219928), // Rule ID 2892 //
     /* 219891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_flogb),
     /* 219899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 219902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 219905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 219908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 219911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219915 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1423:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FLOGB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 219915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FLOGB_ZPmZ_H),
     /* 219918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219922 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219924 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219926 */     GIR_RootConstrainSelectedInstOperands,
     /* 219927 */     // GIR_Coverage, 2892,
     /* 219927 */     GIR_EraseRootFromParent_Done,
     /* 219928 */   // Label 4319: @219928
     /* 219928 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(219970), // Rule ID 2893 //
     /* 219933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_flogb),
     /* 219941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 219944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 219947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 219950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 219953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219957 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1423:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FLOGB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 219957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FLOGB_ZPmZ_S),
     /* 219960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 219962 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 219964 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 219966 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 219968 */     GIR_RootConstrainSelectedInstOperands,
     /* 219969 */     // GIR_Coverage, 2893,
     /* 219969 */     GIR_EraseRootFromParent_Done,
     /* 219970 */   // Label 4320: @219970
     /* 219970 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(220012), // Rule ID 2894 //
     /* 219975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 219978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_flogb),
     /* 219983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 219986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 219989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 219992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 219995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 219999 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1423:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FLOGB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 219999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FLOGB_ZPmZ_D),
     /* 220002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220004 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220006 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220008 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220010 */     GIR_RootConstrainSelectedInstOperands,
     /* 220011 */     // GIR_Coverage, 2894,
     /* 220011 */     GIR_EraseRootFromParent_Done,
     /* 220012 */   // Label 4321: @220012
     /* 220012 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(220054), // Rule ID 2898 //
     /* 220017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtx_f32f64),
     /* 220025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 220034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220041 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1401:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTX_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 220041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTX_ZPmZ_DtoS),
     /* 220044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220046 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220048 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220050 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220052 */     GIR_RootConstrainSelectedInstOperands,
     /* 220053 */     // GIR_Coverage, 2898,
     /* 220053 */     GIR_EraseRootFromParent_Done,
     /* 220054 */   // Label 4322: @220054
     /* 220054 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(220096), // Rule ID 2943 //
     /* 220059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdiv),
     /* 220067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 220073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220083 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1706:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SDIV_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIV_ZPmZ_S),
     /* 220086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220090 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220092 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220094 */     GIR_RootConstrainSelectedInstOperands,
     /* 220095 */     // GIR_Coverage, 2943,
     /* 220095 */     GIR_EraseRootFromParent_Done,
     /* 220096 */   // Label 4323: @220096
     /* 220096 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(220138), // Rule ID 2944 //
     /* 220101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 220104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdiv),
     /* 220109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 220115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 220118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220125 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1706:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SDIV_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIV_ZPmZ_D),
     /* 220128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220130 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220132 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220134 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220136 */     GIR_RootConstrainSelectedInstOperands,
     /* 220137 */     // GIR_Coverage, 2944,
     /* 220137 */     GIR_EraseRootFromParent_Done,
     /* 220138 */   // Label 4324: @220138
     /* 220138 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(220180), // Rule ID 2973 //
     /* 220143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 220151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 220154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 220157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 220160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220167 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1822:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQRDMLAH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_B),
     /* 220170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220172 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220174 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220176 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220178 */     GIR_RootConstrainSelectedInstOperands,
     /* 220179 */     // GIR_Coverage, 2973,
     /* 220179 */     GIR_EraseRootFromParent_Done,
     /* 220180 */   // Label 4325: @220180
     /* 220180 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(220222), // Rule ID 2974 //
     /* 220185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 220193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 220199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220209 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1822:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQRDMLAH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_H),
     /* 220212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220214 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220216 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220218 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220220 */     GIR_RootConstrainSelectedInstOperands,
     /* 220221 */     // GIR_Coverage, 2974,
     /* 220221 */     GIR_EraseRootFromParent_Done,
     /* 220222 */   // Label 4326: @220222
     /* 220222 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(220264), // Rule ID 2975 //
     /* 220227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 220235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1822:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQRDMLAH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_S),
     /* 220254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220260 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220262 */     GIR_RootConstrainSelectedInstOperands,
     /* 220263 */     // GIR_Coverage, 2975,
     /* 220263 */     GIR_EraseRootFromParent_Done,
     /* 220264 */   // Label 4327: @220264
     /* 220264 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(220306), // Rule ID 2976 //
     /* 220269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah),
     /* 220277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 220283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 220286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220293 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1822:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQRDMLAH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZ_D),
     /* 220296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220300 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220302 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220304 */     GIR_RootConstrainSelectedInstOperands,
     /* 220305 */     // GIR_Coverage, 2976,
     /* 220305 */     GIR_EraseRootFromParent_Done,
     /* 220306 */   // Label 4328: @220306
     /* 220306 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(220348), // Rule ID 2977 //
     /* 220311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb),
     /* 220319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 220325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 220328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220335 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1743:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZ_H),
     /* 220338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220344 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220346 */     GIR_RootConstrainSelectedInstOperands,
     /* 220347 */     // GIR_Coverage, 2977,
     /* 220347 */     GIR_EraseRootFromParent_Done,
     /* 220348 */   // Label 4329: @220348
     /* 220348 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(220390), // Rule ID 2978 //
     /* 220353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb),
     /* 220361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220377 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1743:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZ_S),
     /* 220380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220384 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220386 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220388 */     GIR_RootConstrainSelectedInstOperands,
     /* 220389 */     // GIR_Coverage, 2978,
     /* 220389 */     GIR_EraseRootFromParent_Done,
     /* 220390 */   // Label 4330: @220390
     /* 220390 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(220432), // Rule ID 2979 //
     /* 220395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb),
     /* 220403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 220409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220419 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1743:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZ_D),
     /* 220422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220426 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220428 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220430 */     GIR_RootConstrainSelectedInstOperands,
     /* 220431 */     // GIR_Coverage, 2979,
     /* 220431 */     GIR_EraseRootFromParent_Done,
     /* 220432 */   // Label 4331: @220432
     /* 220432 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(220474), // Rule ID 3009 //
     /* 220437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 220445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 220448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 220451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 220454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220461 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1717:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_B),
     /* 220464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220468 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220470 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220472 */     GIR_RootConstrainSelectedInstOperands,
     /* 220473 */     // GIR_Coverage, 3009,
     /* 220473 */     GIR_EraseRootFromParent_Done,
     /* 220474 */   // Label 4332: @220474
     /* 220474 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(220516), // Rule ID 3011 //
     /* 220479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 220487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 220493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220503 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1717:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_H),
     /* 220506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220508 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220510 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220512 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220514 */     GIR_RootConstrainSelectedInstOperands,
     /* 220515 */     // GIR_Coverage, 3011,
     /* 220515 */     GIR_EraseRootFromParent_Done,
     /* 220516 */   // Label 4333: @220516
     /* 220516 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(220558), // Rule ID 3013 //
     /* 220521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 220529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 220535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220545 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1717:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_S),
     /* 220548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220554 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220556 */     GIR_RootConstrainSelectedInstOperands,
     /* 220557 */     // GIR_Coverage, 3013,
     /* 220557 */     GIR_EraseRootFromParent_Done,
     /* 220558 */   // Label 4334: @220558
     /* 220558 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(220600), // Rule ID 3015 //
     /* 220563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shadd),
     /* 220571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 220577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 220580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220587 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1717:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHADD_ZPmZ_D),
     /* 220590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 220592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220594 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220596 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220598 */     GIR_RootConstrainSelectedInstOperands,
     /* 220599 */     // GIR_Coverage, 3015,
     /* 220599 */     GIR_EraseRootFromParent_Done,
     /* 220600 */   // Label 4335: @220600
     /* 220600 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(220642), // Rule ID 3017 //
     /* 220605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sadalp),
     /* 220613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 220619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 220622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220629 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1687:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SADALP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALP_ZPmZ_H),
     /* 220632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220634 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220636 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220638 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220640 */     GIR_RootConstrainSelectedInstOperands,
     /* 220641 */     // GIR_Coverage, 3017,
     /* 220641 */     GIR_EraseRootFromParent_Done,
     /* 220642 */   // Label 4336: @220642
     /* 220642 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(220684), // Rule ID 3018 //
     /* 220647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sadalp),
     /* 220655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 220661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 220664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1687:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SADALP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALP_ZPmZ_S),
     /* 220674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220678 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220680 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220682 */     GIR_RootConstrainSelectedInstOperands,
     /* 220683 */     // GIR_Coverage, 3018,
     /* 220683 */     GIR_EraseRootFromParent_Done,
     /* 220684 */   // Label 4337: @220684
     /* 220684 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(220726), // Rule ID 3019 //
     /* 220689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sadalp),
     /* 220697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 220703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 220706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220713 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1687:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SADALP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADALP_ZPmZ_D),
     /* 220716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 220718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220720 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220722 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220724 */     GIR_RootConstrainSelectedInstOperands,
     /* 220725 */     // GIR_Coverage, 3019,
     /* 220725 */     GIR_EraseRootFromParent_Done,
     /* 220726 */   // Label 4338: @220726
     /* 220726 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(220768), // Rule ID 3020 //
     /* 220731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urecpe),
     /* 220739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 220748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220755 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2046:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URECPE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URECPE_ZPmZ_S),
     /* 220758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220760 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220762 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220764 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220766 */     GIR_RootConstrainSelectedInstOperands,
     /* 220767 */     // GIR_Coverage, 3020,
     /* 220767 */     GIR_EraseRootFromParent_Done,
     /* 220768 */   // Label 4339: @220768
     /* 220768 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(220810), // Rule ID 3021 //
     /* 220773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 220781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 220784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 220787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 220790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220797 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1759:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQABS_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_B),
     /* 220800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220802 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220804 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220806 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220808 */     GIR_RootConstrainSelectedInstOperands,
     /* 220809 */     // GIR_Coverage, 3021,
     /* 220809 */     GIR_EraseRootFromParent_Done,
     /* 220810 */   // Label 4340: @220810
     /* 220810 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(220852), // Rule ID 3022 //
     /* 220815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 220823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 220829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 220832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 220835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220839 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1759:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQABS_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 220839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_H),
     /* 220842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220844 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220846 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220848 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220850 */     GIR_RootConstrainSelectedInstOperands,
     /* 220851 */     // GIR_Coverage, 3022,
     /* 220851 */     GIR_EraseRootFromParent_Done,
     /* 220852 */   // Label 4341: @220852
     /* 220852 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(220894), // Rule ID 3023 //
     /* 220857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 220865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 220868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 220871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 220874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 220877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220881 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1759:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQABS_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 220881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_S),
     /* 220884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220888 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220890 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220892 */     GIR_RootConstrainSelectedInstOperands,
     /* 220893 */     // GIR_Coverage, 3023,
     /* 220893 */     GIR_EraseRootFromParent_Done,
     /* 220894 */   // Label 4342: @220894
     /* 220894 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(220936), // Rule ID 3024 //
     /* 220899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqabs),
     /* 220907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 220910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 220913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 220916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 220919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220923 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1759:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQABS_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 220923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQABS_ZPmZ_D),
     /* 220926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220930 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220932 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220934 */     GIR_RootConstrainSelectedInstOperands,
     /* 220935 */     // GIR_Coverage, 3024,
     /* 220935 */     GIR_EraseRootFromParent_Done,
     /* 220936 */   // Label 4343: @220936
     /* 220936 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(220978), // Rule ID 3041 //
     /* 220941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 220949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 220952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 220955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 220958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 220961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 220965 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1352:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EORBT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 220965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_B),
     /* 220968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 220970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 220972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 220974 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 220976 */     GIR_RootConstrainSelectedInstOperands,
     /* 220977 */     // GIR_Coverage, 3041,
     /* 220977 */     GIR_EraseRootFromParent_Done,
     /* 220978 */   // Label 4344: @220978
     /* 220978 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(221020), // Rule ID 3042 //
     /* 220983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 220986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 220991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 220994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 220997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221007 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1352:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EORBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 221007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_H),
     /* 221010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221014 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221016 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221018 */     GIR_RootConstrainSelectedInstOperands,
     /* 221019 */     // GIR_Coverage, 3042,
     /* 221019 */     GIR_EraseRootFromParent_Done,
     /* 221020 */   // Label 4345: @221020
     /* 221020 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(221062), // Rule ID 3043 //
     /* 221025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 221033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1352:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EORBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_S),
     /* 221052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221058 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221060 */     GIR_RootConstrainSelectedInstOperands,
     /* 221061 */     // GIR_Coverage, 3043,
     /* 221061 */     GIR_EraseRootFromParent_Done,
     /* 221062 */   // Label 4346: @221062
     /* 221062 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(221104), // Rule ID 3044 //
     /* 221067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eorbt),
     /* 221075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 221081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 221084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221091 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1352:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EORBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORBT_ZZZ_D),
     /* 221094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221098 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221100 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221102 */     GIR_RootConstrainSelectedInstOperands,
     /* 221103 */     // GIR_Coverage, 3044,
     /* 221103 */     GIR_EraseRootFromParent_Done,
     /* 221104 */   // Label 4347: @221104
     /* 221104 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(221146), // Rule ID 3068 //
     /* 221109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 221117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 221120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 221123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 221129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221133 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1680:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABA_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 221133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_B),
     /* 221136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221142 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221144 */     GIR_RootConstrainSelectedInstOperands,
     /* 221145 */     // GIR_Coverage, 3068,
     /* 221145 */     GIR_EraseRootFromParent_Done,
     /* 221146 */   // Label 4348: @221146
     /* 221146 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(221188), // Rule ID 3070 //
     /* 221151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 221159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 221165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221175 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1680:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABA_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 221175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_H),
     /* 221178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221184 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221186 */     GIR_RootConstrainSelectedInstOperands,
     /* 221187 */     // GIR_Coverage, 3070,
     /* 221187 */     GIR_EraseRootFromParent_Done,
     /* 221188 */   // Label 4349: @221188
     /* 221188 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(221230), // Rule ID 3072 //
     /* 221193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 221201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221217 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1680:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABA_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_S),
     /* 221220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221224 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221226 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221228 */     GIR_RootConstrainSelectedInstOperands,
     /* 221229 */     // GIR_Coverage, 3072,
     /* 221229 */     GIR_EraseRootFromParent_Done,
     /* 221230 */   // Label 4350: @221230
     /* 221230 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(221272), // Rule ID 3074 //
     /* 221235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_saba),
     /* 221243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 221249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 221252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221259 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1680:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SABA_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABA_ZZZ_D),
     /* 221262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221264 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221266 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221268 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221270 */     GIR_RootConstrainSelectedInstOperands,
     /* 221271 */     // GIR_Coverage, 3074,
     /* 221271 */     GIR_EraseRootFromParent_Done,
     /* 221272 */   // Label 4351: @221272
     /* 221272 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(221314), // Rule ID 3076 //
     /* 221277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalb),
     /* 221285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 221291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 221297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221301 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1681:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 221301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALB_ZZZ_H),
     /* 221304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221308 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221310 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221312 */     GIR_RootConstrainSelectedInstOperands,
     /* 221313 */     // GIR_Coverage, 3076,
     /* 221313 */     GIR_EraseRootFromParent_Done,
     /* 221314 */   // Label 4352: @221314
     /* 221314 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(221356), // Rule ID 3077 //
     /* 221319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalb),
     /* 221327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221343 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1681:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 221343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALB_ZZZ_S),
     /* 221346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221348 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221350 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221352 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221354 */     GIR_RootConstrainSelectedInstOperands,
     /* 221355 */     // GIR_Coverage, 3077,
     /* 221355 */     GIR_EraseRootFromParent_Done,
     /* 221356 */   // Label 4353: @221356
     /* 221356 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(221398), // Rule ID 3078 //
     /* 221361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalb),
     /* 221369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 221375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221385 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1681:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALB_ZZZ_D),
     /* 221388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221390 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221392 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221394 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221396 */     GIR_RootConstrainSelectedInstOperands,
     /* 221397 */     // GIR_Coverage, 3078,
     /* 221397 */     GIR_EraseRootFromParent_Done,
     /* 221398 */   // Label 4354: @221398
     /* 221398 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(221440), // Rule ID 3079 //
     /* 221403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclb),
     /* 221411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1244:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADCLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLB_ZZZ_S),
     /* 221430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221434 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221436 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221438 */     GIR_RootConstrainSelectedInstOperands,
     /* 221439 */     // GIR_Coverage, 3079,
     /* 221439 */     GIR_EraseRootFromParent_Done,
     /* 221440 */   // Label 4355: @221440
     /* 221440 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(221482), // Rule ID 3080 //
     /* 221445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclb),
     /* 221453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 221459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 221462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221469 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1244:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADCLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLB_ZZZ_D),
     /* 221472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 221474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221476 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221478 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221480 */     GIR_RootConstrainSelectedInstOperands,
     /* 221481 */     // GIR_Coverage, 3080,
     /* 221481 */     GIR_EraseRootFromParent_Done,
     /* 221482 */   // Label 4356: @221482
     /* 221482 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(221524), // Rule ID 3090 //
     /* 221487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnt),
     /* 221495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 221498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 221501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221511 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1251:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (ADDHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 221511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNT_ZZZ_B),
     /* 221514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221520 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221522 */     GIR_RootConstrainSelectedInstOperands,
     /* 221523 */     // GIR_Coverage, 3090,
     /* 221523 */     GIR_EraseRootFromParent_Done,
     /* 221524 */   // Label 4357: @221524
     /* 221524 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(221566), // Rule ID 3091 //
     /* 221529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnt),
     /* 221537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 221543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221553 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1251:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADDHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNT_ZZZ_H),
     /* 221556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221560 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221562 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221564 */     GIR_RootConstrainSelectedInstOperands,
     /* 221565 */     // GIR_Coverage, 3091,
     /* 221565 */     GIR_EraseRootFromParent_Done,
     /* 221566 */   // Label 4358: @221566
     /* 221566 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(221608), // Rule ID 3092 //
     /* 221571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addhnt),
     /* 221579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 221588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221595 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1251:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADDHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNT_ZZZ_S),
     /* 221598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221604 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221606 */     GIR_RootConstrainSelectedInstOperands,
     /* 221607 */     // GIR_Coverage, 3092,
     /* 221607 */     GIR_EraseRootFromParent_Done,
     /* 221608 */   // Label 4359: @221608
     /* 221608 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(221650), // Rule ID 3109 //
     /* 221613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 221621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 221624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 221627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 221630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 221633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221637 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1310:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CLS_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 221637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_B),
     /* 221640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 221644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 221646 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 221648 */     GIR_RootConstrainSelectedInstOperands,
     /* 221649 */     // GIR_Coverage, 3109,
     /* 221649 */     GIR_EraseRootFromParent_Done,
     /* 221650 */   // Label 4360: @221650
     /* 221650 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(221692), // Rule ID 3110 //
     /* 221655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 221663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 221669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 221672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221679 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1310:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CLS_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 221679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_H),
     /* 221682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 221686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 221688 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 221690 */     GIR_RootConstrainSelectedInstOperands,
     /* 221691 */     // GIR_Coverage, 3110,
     /* 221691 */     GIR_EraseRootFromParent_Done,
     /* 221692 */   // Label 4361: @221692
     /* 221692 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(221734), // Rule ID 3111 //
     /* 221697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 221705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 221714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221721 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1310:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CLS_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 221721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_S),
     /* 221724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 221728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 221730 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 221732 */     GIR_RootConstrainSelectedInstOperands,
     /* 221733 */     // GIR_Coverage, 3111,
     /* 221733 */     GIR_EraseRootFromParent_Done,
     /* 221734 */   // Label 4362: @221734
     /* 221734 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(221776), // Rule ID 3112 //
     /* 221739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cls),
     /* 221747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 221753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 221756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221763 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1310:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CLS_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 221763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLS_ZPmZ_D),
     /* 221766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 221768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 221770 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 221772 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 221774 */     GIR_RootConstrainSelectedInstOperands,
     /* 221775 */     // GIR_Coverage, 3112,
     /* 221775 */     GIR_EraseRootFromParent_Done,
     /* 221776 */   // Label 4363: @221776
     /* 221776 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(221818), // Rule ID 3147 //
     /* 221781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 221789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 221792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 221795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 221801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221805 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1351:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 221805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 221808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221814 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221816 */     GIR_RootConstrainSelectedInstOperands,
     /* 221817 */     // GIR_Coverage, 3147,
     /* 221817 */     GIR_EraseRootFromParent_Done,
     /* 221818 */   // Label 4364: @221818
     /* 221818 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(221860), // Rule ID 3149 //
     /* 221823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 221831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 221834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 221837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 221840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 221843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221847 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1351:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 221847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 221850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221854 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221856 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221858 */     GIR_RootConstrainSelectedInstOperands,
     /* 221859 */     // GIR_Coverage, 3149,
     /* 221859 */     GIR_EraseRootFromParent_Done,
     /* 221860 */   // Label 4365: @221860
     /* 221860 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(221902), // Rule ID 3151 //
     /* 221865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 221873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 221876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 221879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 221882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 221885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221889 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1351:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 221889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 221892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221896 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221898 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221900 */     GIR_RootConstrainSelectedInstOperands,
     /* 221901 */     // GIR_Coverage, 3151,
     /* 221901 */     GIR_EraseRootFromParent_Done,
     /* 221902 */   // Label 4366: @221902
     /* 221902 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(221944), // Rule ID 3153 //
     /* 221907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 221910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor3),
     /* 221915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 221918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 221921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 221924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 221931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1351:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EOR3_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR3_ZZZZ),
     /* 221934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 221936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221940 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221942 */     GIR_RootConstrainSelectedInstOperands,
     /* 221943 */     // GIR_Coverage, 3153,
     /* 221943 */     GIR_EraseRootFromParent_Done,
     /* 221944 */   // Label 4367: @221944
     /* 221944 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(221989), // Rule ID 3192 //
     /* 221949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpeq_wide),
     /* 221957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 221960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 221963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 221966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 221969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 221973 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1315:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPEQ_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 221973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_WIDE_PPzZZ_B),
     /* 221976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 221978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 221980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 221982 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 221984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 221987 */     GIR_RootConstrainSelectedInstOperands,
     /* 221988 */     // GIR_Coverage, 3192,
     /* 221988 */     GIR_EraseRootFromParent_Done,
     /* 221989 */   // Label 4368: @221989
     /* 221989 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(222034), // Rule ID 3193 //
     /* 221994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 221997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpeq_wide),
     /* 222002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 222005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222018 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1315:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPEQ_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_WIDE_PPzZZ_H),
     /* 222021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222023 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222025 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222027 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 222032 */     GIR_RootConstrainSelectedInstOperands,
     /* 222033 */     // GIR_Coverage, 3193,
     /* 222033 */     GIR_EraseRootFromParent_Done,
     /* 222034 */   // Label 4369: @222034
     /* 222034 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(222079), // Rule ID 3194 //
     /* 222039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpeq_wide),
     /* 222047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 222050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222063 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1315:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPEQ_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_WIDE_PPzZZ_S),
     /* 222066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222070 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222072 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 222077 */     GIR_RootConstrainSelectedInstOperands,
     /* 222078 */     // GIR_Coverage, 3194,
     /* 222078 */     GIR_EraseRootFromParent_Done,
     /* 222079 */   // Label 4370: @222079
     /* 222079 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(222124), // Rule ID 3195 //
     /* 222084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpge_wide),
     /* 222092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 222095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222108 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1317:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGE_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGE_WIDE_PPzZZ_B),
     /* 222111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222113 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222115 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222117 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 222122 */     GIR_RootConstrainSelectedInstOperands,
     /* 222123 */     // GIR_Coverage, 3195,
     /* 222123 */     GIR_EraseRootFromParent_Done,
     /* 222124 */   // Label 4371: @222124
     /* 222124 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(222169), // Rule ID 3196 //
     /* 222129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpge_wide),
     /* 222137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 222140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222153 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1317:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGE_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGE_WIDE_PPzZZ_H),
     /* 222156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222158 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222160 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222162 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 222167 */     GIR_RootConstrainSelectedInstOperands,
     /* 222168 */     // GIR_Coverage, 3196,
     /* 222168 */     GIR_EraseRootFromParent_Done,
     /* 222169 */   // Label 4372: @222169
     /* 222169 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(222214), // Rule ID 3197 //
     /* 222174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpge_wide),
     /* 222182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 222185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222198 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1317:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGE_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGE_WIDE_PPzZZ_S),
     /* 222201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222203 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222205 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222207 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 222212 */     GIR_RootConstrainSelectedInstOperands,
     /* 222213 */     // GIR_Coverage, 3197,
     /* 222213 */     GIR_EraseRootFromParent_Done,
     /* 222214 */   // Label 4373: @222214
     /* 222214 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(222256), // Rule ID 3252 //
     /* 222219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facge),
     /* 222227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 222230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222243 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1361:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FACGE_PPzZZ_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 222243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE_PPzZZ_H),
     /* 222246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222250 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222252 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222254 */     GIR_RootConstrainSelectedInstOperands,
     /* 222255 */     // GIR_Coverage, 3252,
     /* 222255 */     GIR_EraseRootFromParent_Done,
     /* 222256 */   // Label 4374: @222256
     /* 222256 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(222298), // Rule ID 3253 //
     /* 222261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facge),
     /* 222269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 222272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222285 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1361:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FACGE_PPzZZ_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 222285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE_PPzZZ_S),
     /* 222288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222290 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222292 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222294 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222296 */     GIR_RootConstrainSelectedInstOperands,
     /* 222297 */     // GIR_Coverage, 3253,
     /* 222297 */     GIR_EraseRootFromParent_Done,
     /* 222298 */   // Label 4375: @222298
     /* 222298 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(222340), // Rule ID 3254 //
     /* 222303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facge),
     /* 222311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 222314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 222317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222327 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1361:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FACGE_PPzZZ_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 222327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGE_PPzZZ_D),
     /* 222330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222332 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222334 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222336 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222338 */     GIR_RootConstrainSelectedInstOperands,
     /* 222339 */     // GIR_Coverage, 3254,
     /* 222339 */     GIR_EraseRootFromParent_Done,
     /* 222340 */   // Label 4376: @222340
     /* 222340 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(222382), // Rule ID 3306 //
     /* 222345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 222353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 222356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 222365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222369 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1267:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (ASR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 222369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_B),
     /* 222372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222374 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222376 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222378 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222380 */     GIR_RootConstrainSelectedInstOperands,
     /* 222381 */     // GIR_Coverage, 3306,
     /* 222381 */     GIR_EraseRootFromParent_Done,
     /* 222382 */   // Label 4377: @222382
     /* 222382 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(222424), // Rule ID 3307 //
     /* 222387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 222395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222411 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1267:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (ASR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 222411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_H),
     /* 222414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222416 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222418 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222420 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222422 */     GIR_RootConstrainSelectedInstOperands,
     /* 222423 */     // GIR_Coverage, 3307,
     /* 222423 */     GIR_EraseRootFromParent_Done,
     /* 222424 */   // Label 4378: @222424
     /* 222424 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(222466), // Rule ID 3308 //
     /* 222429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 222437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222453 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1267:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ASR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 222453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_S),
     /* 222456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222460 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222462 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222464 */     GIR_RootConstrainSelectedInstOperands,
     /* 222465 */     // GIR_Coverage, 3308,
     /* 222465 */     GIR_EraseRootFromParent_Done,
     /* 222466 */   // Label 4379: @222466
     /* 222466 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(222508), // Rule ID 3309 //
     /* 222471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr),
     /* 222479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 222485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222495 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1267:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_ZPmZ_D),
     /* 222498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222500 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222504 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222506 */     GIR_RootConstrainSelectedInstOperands,
     /* 222507 */     // GIR_Coverage, 3309,
     /* 222507 */     GIR_EraseRootFromParent_Done,
     /* 222508 */   // Label 4380: @222508
     /* 222508 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(222550), // Rule ID 3318 //
     /* 222513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr_wide),
     /* 222521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 222524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222537 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1269:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_WIDE_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_WIDE_ZPmZ_B),
     /* 222540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222544 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222546 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222548 */     GIR_RootConstrainSelectedInstOperands,
     /* 222549 */     // GIR_Coverage, 3318,
     /* 222549 */     GIR_EraseRootFromParent_Done,
     /* 222550 */   // Label 4381: @222550
     /* 222550 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(222592), // Rule ID 3319 //
     /* 222555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr_wide),
     /* 222563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222579 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1269:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_WIDE_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_WIDE_ZPmZ_H),
     /* 222582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222586 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222588 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222590 */     GIR_RootConstrainSelectedInstOperands,
     /* 222591 */     // GIR_Coverage, 3319,
     /* 222591 */     GIR_EraseRootFromParent_Done,
     /* 222592 */   // Label 4382: @222592
     /* 222592 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(222634), // Rule ID 3320 //
     /* 222597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_asr_wide),
     /* 222605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222621 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1269:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ASR_WIDE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASR_WIDE_ZPmZ_S),
     /* 222624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222626 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222628 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222630 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222632 */     GIR_RootConstrainSelectedInstOperands,
     /* 222633 */     // GIR_Coverage, 3320,
     /* 222633 */     GIR_EraseRootFromParent_Done,
     /* 222634 */   // Label 4383: @222634
     /* 222634 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(222676), // Rule ID 3359 //
     /* 222639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 222650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 222656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 222659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222663 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1306:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (CLASTA_ZPZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 222663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_B),
     /* 222666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222668 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222670 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222672 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222674 */     GIR_RootConstrainSelectedInstOperands,
     /* 222675 */     // GIR_Coverage, 3359,
     /* 222675 */     GIR_EraseRootFromParent_Done,
     /* 222676 */   // Label 4384: @222676
     /* 222676 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(222718), // Rule ID 3360 //
     /* 222681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222705 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1306:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (CLASTA_ZPZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 222705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_H),
     /* 222708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222712 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222714 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222716 */     GIR_RootConstrainSelectedInstOperands,
     /* 222717 */     // GIR_Coverage, 3360,
     /* 222717 */     GIR_EraseRootFromParent_Done,
     /* 222718 */   // Label 4385: @222718
     /* 222718 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(222760), // Rule ID 3361 //
     /* 222723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1306:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (CLASTA_ZPZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 222747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_S),
     /* 222750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222752 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222754 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222756 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222758 */     GIR_RootConstrainSelectedInstOperands,
     /* 222759 */     // GIR_Coverage, 3361,
     /* 222759 */     GIR_EraseRootFromParent_Done,
     /* 222760 */   // Label 4386: @222760
     /* 222760 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(222802), // Rule ID 3362 //
     /* 222765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 222779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222789 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1306:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CLASTA_ZPZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 222789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_D),
     /* 222792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222794 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222796 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222798 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222800 */     GIR_RootConstrainSelectedInstOperands,
     /* 222801 */     // GIR_Coverage, 3362,
     /* 222801 */     GIR_EraseRootFromParent_Done,
     /* 222802 */   // Label 4387: @222802
     /* 222802 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(222844), // Rule ID 3363 //
     /* 222807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 222818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 222821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 222824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 222827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222831 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1306:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (CLASTA_ZPZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 222831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_H),
     /* 222834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222840 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222842 */     GIR_RootConstrainSelectedInstOperands,
     /* 222843 */     // GIR_Coverage, 3363,
     /* 222843 */     GIR_EraseRootFromParent_Done,
     /* 222844 */   // Label 4388: @222844
     /* 222844 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(222886), // Rule ID 3364 //
     /* 222849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 222860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 222863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 222866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 222869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222873 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1306:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (CLASTA_ZPZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 222873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_S),
     /* 222876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222878 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222880 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222882 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222884 */     GIR_RootConstrainSelectedInstOperands,
     /* 222885 */     // GIR_Coverage, 3364,
     /* 222885 */     GIR_EraseRootFromParent_Done,
     /* 222886 */   // Label 4389: @222886
     /* 222886 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(222928), // Rule ID 3365 //
     /* 222891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clasta),
     /* 222899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 222902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 222905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 222908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 222911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 222915 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1306:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (CLASTA_ZPZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 222915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTA_ZPZ_D),
     /* 222918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 222920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222922 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222924 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222926 */     GIR_RootConstrainSelectedInstOperands,
     /* 222927 */     // GIR_Coverage, 3365,
     /* 222927 */     GIR_EraseRootFromParent_Done,
     /* 222928 */   // Label 4390: @222928
     /* 222928 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(222970), // Rule ID 3448 //
     /* 222933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkpa_z),
     /* 222941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 222944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 222950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 222953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222957 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1298:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKPA_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 222957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKPA_PPzPP),
     /* 222960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 222962 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 222964 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 222966 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 222968 */     GIR_RootConstrainSelectedInstOperands,
     /* 222969 */     // GIR_Coverage, 3448,
     /* 222969 */     GIR_EraseRootFromParent_Done,
     /* 222970 */   // Label 4391: @222970
     /* 222970 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(223012), // Rule ID 3449 //
     /* 222975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 222978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkn_z),
     /* 222983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 222986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 222989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 222992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 222995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 222999 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1297:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKN_PPzP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 222999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKN_PPzP),
     /* 223002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pdm]
     /* 223004 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223006 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223008 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223010 */     GIR_RootConstrainSelectedInstOperands,
     /* 223011 */     // GIR_Coverage, 3449,
     /* 223011 */     GIR_EraseRootFromParent_Done,
     /* 223012 */   // Label 4392: @223012
     /* 223012 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(223054), // Rule ID 3450 //
     /* 223017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brka),
     /* 223025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 223028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 223031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 223034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 223037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 223041 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1293:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKA_PPmP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 223041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKA_PPmP),
     /* 223044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 223046 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223048 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223050 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223052 */     GIR_RootConstrainSelectedInstOperands,
     /* 223053 */     // GIR_Coverage, 3450,
     /* 223053 */     GIR_EraseRootFromParent_Done,
     /* 223054 */   // Label 4393: @223054
     /* 223054 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(223099), // Rule ID 3452 //
     /* 223059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 223062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_match),
     /* 223067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 223070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 223073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 223083 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1600:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (MATCH_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MATCH_PPzZZ_B),
     /* 223086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 223088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223090 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223092 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 223097 */     GIR_RootConstrainSelectedInstOperands,
     /* 223098 */     // GIR_Coverage, 3452,
     /* 223098 */     GIR_EraseRootFromParent_Done,
     /* 223099 */   // Label 4394: @223099
     /* 223099 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(223144), // Rule ID 3453 //
     /* 223104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 223107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_match),
     /* 223112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 223115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 223118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 223128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1600:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (MATCH_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MATCH_PPzZZ_H),
     /* 223131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 223133 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223135 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223137 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223139 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 223142 */     GIR_RootConstrainSelectedInstOperands,
     /* 223143 */     // GIR_Coverage, 3453,
     /* 223143 */     GIR_EraseRootFromParent_Done,
     /* 223144 */   // Label 4395: @223144
     /* 223144 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(223186), // Rule ID 3454 //
     /* 223149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 223152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_histcnt),
     /* 223157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 223163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223173 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1545:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (HISTCNT_ZPzZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HISTCNT_ZPzZZ_S),
     /* 223176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223182 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223184 */     GIR_RootConstrainSelectedInstOperands,
     /* 223185 */     // GIR_Coverage, 3454,
     /* 223185 */     GIR_EraseRootFromParent_Done,
     /* 223186 */   // Label 4396: @223186
     /* 223186 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(223228), // Rule ID 3455 //
     /* 223191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 223194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_histcnt),
     /* 223199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 223205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223215 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1545:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (HISTCNT_ZPzZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HISTCNT_ZPzZZ_D),
     /* 223218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223222 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223224 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223226 */     GIR_RootConstrainSelectedInstOperands,
     /* 223227 */     // GIR_Coverage, 3455,
     /* 223227 */     GIR_EraseRootFromParent_Done,
     /* 223228 */   // Label 4397: @223228
     /* 223228 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(223270), // Rule ID 3460 //
     /* 223233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE),
     /* 223236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smmla),
     /* 223241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223257 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1751:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMMLA_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMMLA_ZZZ),
     /* 223260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223262 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223264 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223266 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223268 */     GIR_RootConstrainSelectedInstOperands,
     /* 223269 */     // GIR_Coverage, 3460,
     /* 223269 */     GIR_EraseRootFromParent_Done,
     /* 223270 */   // Label 4398: @223270
     /* 223270 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(223312), // Rule ID 3499 //
     /* 223275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 223278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fclamp),
     /* 223283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 223289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223299 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1374:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCLAMP_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 223299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCLAMP_ZZZ_H),
     /* 223302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223308 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223310 */     GIR_RootConstrainSelectedInstOperands,
     /* 223311 */     // GIR_Coverage, 3499,
     /* 223311 */     GIR_EraseRootFromParent_Done,
     /* 223312 */   // Label 4399: @223312
     /* 223312 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(223354), // Rule ID 3501 //
     /* 223317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 223320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fclamp),
     /* 223325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223341 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1374:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCLAMP_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 223341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCLAMP_ZZZ_S),
     /* 223344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223346 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223348 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223350 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223352 */     GIR_RootConstrainSelectedInstOperands,
     /* 223353 */     // GIR_Coverage, 3501,
     /* 223353 */     GIR_EraseRootFromParent_Done,
     /* 223354 */   // Label 4400: @223354
     /* 223354 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(223396), // Rule ID 3503 //
     /* 223359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 223362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fclamp),
     /* 223367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 223373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223383 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1374:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCLAMP_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 223383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCLAMP_ZZZ_D),
     /* 223386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223392 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223394 */     GIR_RootConstrainSelectedInstOperands,
     /* 223395 */     // GIR_Coverage, 3503,
     /* 223395 */     GIR_EraseRootFromParent_Done,
     /* 223396 */   // Label 4401: @223396
     /* 223396 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(223438), // Rule ID 3505 //
     /* 223401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 223404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_x2),
     /* 223409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223425 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1712:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SDOT_ZZZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZ_HtoS),
     /* 223428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 223430 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223432 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223434 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223436 */     GIR_RootConstrainSelectedInstOperands,
     /* 223437 */     // GIR_Coverage, 3505,
     /* 223437 */     GIR_EraseRootFromParent_Done,
     /* 223438 */   // Label 4402: @223438
     /* 223438 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(223480), // Rule ID 3632 //
     /* 223443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 223446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 223451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 223454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 223457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223467 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1696:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SCLAMP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_B),
     /* 223470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223472 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223474 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223476 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223478 */     GIR_RootConstrainSelectedInstOperands,
     /* 223479 */     // GIR_Coverage, 3632,
     /* 223479 */     GIR_EraseRootFromParent_Done,
     /* 223480 */   // Label 4403: @223480
     /* 223480 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(223522), // Rule ID 3634 //
     /* 223485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 223488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 223493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 223499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223509 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1696:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SCLAMP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_H),
     /* 223512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223514 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223516 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223518 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223520 */     GIR_RootConstrainSelectedInstOperands,
     /* 223521 */     // GIR_Coverage, 3634,
     /* 223521 */     GIR_EraseRootFromParent_Done,
     /* 223522 */   // Label 4404: @223522
     /* 223522 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(223564), // Rule ID 3636 //
     /* 223527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 223530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 223535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 223541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223551 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1696:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SCLAMP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_S),
     /* 223554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223558 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223560 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223562 */     GIR_RootConstrainSelectedInstOperands,
     /* 223563 */     // GIR_Coverage, 3636,
     /* 223563 */     GIR_EraseRootFromParent_Done,
     /* 223564 */   // Label 4405: @223564
     /* 223564 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(223606), // Rule ID 3638 //
     /* 223569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 223572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sclamp),
     /* 223577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 223583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223593 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1696:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SCLAMP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCLAMP_ZZZ_D),
     /* 223596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 223598 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223600 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223602 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223604 */     GIR_RootConstrainSelectedInstOperands,
     /* 223605 */     // GIR_Coverage, 3638,
     /* 223605 */     GIR_EraseRootFromParent_Done,
     /* 223606 */   // Label 4406: @223606
     /* 223606 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(223648), // Rule ID 7464 //
     /* 223611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 223619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 223622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 223625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223635 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1905:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_B),
     /* 223638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223642 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223644 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223646 */     GIR_RootConstrainSelectedInstOperands,
     /* 223647 */     // GIR_Coverage, 7464,
     /* 223647 */     GIR_EraseRootFromParent_Done,
     /* 223648 */   // Label 4407: @223648
     /* 223648 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(223690), // Rule ID 7466 //
     /* 223653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 223661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 223667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223677 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1905:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_H),
     /* 223680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223682 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223684 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223686 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223688 */     GIR_RootConstrainSelectedInstOperands,
     /* 223689 */     // GIR_Coverage, 7466,
     /* 223689 */     GIR_EraseRootFromParent_Done,
     /* 223690 */   // Label 4408: @223690
     /* 223690 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(223732), // Rule ID 7468 //
     /* 223695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 223703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 223709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223719 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1905:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_S),
     /* 223722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223724 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223726 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223728 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223730 */     GIR_RootConstrainSelectedInstOperands,
     /* 223731 */     // GIR_Coverage, 7468,
     /* 223731 */     GIR_EraseRootFromParent_Done,
     /* 223732 */   // Label 4409: @223732
     /* 223732 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(223774), // Rule ID 7470 //
     /* 223737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subr),
     /* 223745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 223751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1905:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_D),
     /* 223764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223766 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223768 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223770 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223772 */     GIR_RootConstrainSelectedInstOperands,
     /* 223773 */     // GIR_Coverage, 7470,
     /* 223773 */     GIR_EraseRootFromParent_Done,
     /* 223774 */   // Label 4410: @223774
     /* 223774 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(223816), // Rule ID 7488 //
     /* 223779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 223787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 223790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 223793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223803 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1290:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BIC_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_B),
     /* 223806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223808 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223810 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223812 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223814 */     GIR_RootConstrainSelectedInstOperands,
     /* 223815 */     // GIR_Coverage, 7488,
     /* 223815 */     GIR_EraseRootFromParent_Done,
     /* 223816 */   // Label 4411: @223816
     /* 223816 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(223858), // Rule ID 7489 //
     /* 223821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 223829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 223832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 223835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 223838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 223841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223845 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1290:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BIC_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 223845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_H),
     /* 223848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223852 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223854 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223856 */     GIR_RootConstrainSelectedInstOperands,
     /* 223857 */     // GIR_Coverage, 7489,
     /* 223857 */     GIR_EraseRootFromParent_Done,
     /* 223858 */   // Label 4412: @223858
     /* 223858 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(223900), // Rule ID 7490 //
     /* 223863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 223871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 223874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 223877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 223880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 223883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1290:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BIC_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 223887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_S),
     /* 223890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223894 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223896 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223898 */     GIR_RootConstrainSelectedInstOperands,
     /* 223899 */     // GIR_Coverage, 7490,
     /* 223899 */     GIR_EraseRootFromParent_Done,
     /* 223900 */   // Label 4413: @223900
     /* 223900 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(223942), // Rule ID 7491 //
     /* 223905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic),
     /* 223913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 223916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 223919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 223922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 223925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223929 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1290:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BIC_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 223929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_ZPmZ_D),
     /* 223932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223934 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223936 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223938 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223940 */     GIR_RootConstrainSelectedInstOperands,
     /* 223941 */     // GIR_Coverage, 7491,
     /* 223941 */     GIR_EraseRootFromParent_Done,
     /* 223942 */   // Label 4414: @223942
     /* 223942 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(223984), // Rule ID 7604 //
     /* 223947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 223955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 223958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 223961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 223964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 223967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 223971 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1752:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMULH_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 223971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_B),
     /* 223974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 223976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 223978 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 223980 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 223982 */     GIR_RootConstrainSelectedInstOperands,
     /* 223983 */     // GIR_Coverage, 7604,
     /* 223983 */     GIR_EraseRootFromParent_Done,
     /* 223984 */   // Label 4415: @223984
     /* 223984 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(224026), // Rule ID 7605 //
     /* 223989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 223992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 223997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 224003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224013 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1752:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMULH_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_H),
     /* 224016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224022 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224024 */     GIR_RootConstrainSelectedInstOperands,
     /* 224025 */     // GIR_Coverage, 7605,
     /* 224025 */     GIR_EraseRootFromParent_Done,
     /* 224026 */   // Label 4416: @224026
     /* 224026 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(224068), // Rule ID 7606 //
     /* 224031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 224039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224055 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1752:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMULH_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_S),
     /* 224058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224062 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224064 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224066 */     GIR_RootConstrainSelectedInstOperands,
     /* 224067 */     // GIR_Coverage, 7606,
     /* 224067 */     GIR_EraseRootFromParent_Done,
     /* 224068 */   // Label 4417: @224068
     /* 224068 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(224110), // Rule ID 7607 //
     /* 224073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smulh),
     /* 224081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224097 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1752:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SMULH_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 224097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULH_ZPmZ_D),
     /* 224100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224102 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224104 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224106 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224108 */     GIR_RootConstrainSelectedInstOperands,
     /* 224109 */     // GIR_Coverage, 7607,
     /* 224109 */     GIR_EraseRootFromParent_Done,
     /* 224110 */   // Label 4418: @224110
     /* 224110 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(224152), // Rule ID 7608 //
     /* 224115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 224123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 224126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 224129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 224132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224139 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1990:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMULH_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 224139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_B),
     /* 224142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224146 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224148 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224150 */     GIR_RootConstrainSelectedInstOperands,
     /* 224151 */     // GIR_Coverage, 7608,
     /* 224151 */     GIR_EraseRootFromParent_Done,
     /* 224152 */   // Label 4419: @224152
     /* 224152 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(224194), // Rule ID 7609 //
     /* 224157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 224165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 224171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224181 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1990:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMULH_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_H),
     /* 224184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224188 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224190 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224192 */     GIR_RootConstrainSelectedInstOperands,
     /* 224193 */     // GIR_Coverage, 7609,
     /* 224193 */     GIR_EraseRootFromParent_Done,
     /* 224194 */   // Label 4420: @224194
     /* 224194 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(224236), // Rule ID 7610 //
     /* 224199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 224207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224223 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1990:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMULH_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_S),
     /* 224226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224232 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224234 */     GIR_RootConstrainSelectedInstOperands,
     /* 224235 */     // GIR_Coverage, 7610,
     /* 224235 */     GIR_EraseRootFromParent_Done,
     /* 224236 */   // Label 4421: @224236
     /* 224236 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(224278), // Rule ID 7611 //
     /* 224241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umulh),
     /* 224249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224265 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1990:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UMULH_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 224265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULH_ZPmZ_D),
     /* 224268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224270 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224272 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224274 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224276 */     GIR_RootConstrainSelectedInstOperands,
     /* 224277 */     // GIR_Coverage, 7611,
     /* 224277 */     GIR_EraseRootFromParent_Done,
     /* 224278 */   // Label 4422: @224278
     /* 224278 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(224320), // Rule ID 7620 //
     /* 224283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udiv),
     /* 224291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224307 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1953:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UDIV_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIV_ZPmZ_S),
     /* 224310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224312 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224314 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224316 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224318 */     GIR_RootConstrainSelectedInstOperands,
     /* 224319 */     // GIR_Coverage, 7620,
     /* 224319 */     GIR_EraseRootFromParent_Done,
     /* 224320 */   // Label 4423: @224320
     /* 224320 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(224362), // Rule ID 7621 //
     /* 224325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udiv),
     /* 224333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224349 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1953:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UDIV_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 224349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIV_ZPmZ_D),
     /* 224352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224356 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224358 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224360 */     GIR_RootConstrainSelectedInstOperands,
     /* 224361 */     // GIR_Coverage, 7621,
     /* 224361 */     GIR_EraseRootFromParent_Done,
     /* 224362 */   // Label 4424: @224362
     /* 224362 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(224404), // Rule ID 7622 //
     /* 224367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdivr),
     /* 224375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224391 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1708:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SDIVR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVR_ZPmZ_S),
     /* 224394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224396 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224398 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224400 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224402 */     GIR_RootConstrainSelectedInstOperands,
     /* 224403 */     // GIR_Coverage, 7622,
     /* 224403 */     GIR_EraseRootFromParent_Done,
     /* 224404 */   // Label 4425: @224404
     /* 224404 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(224446), // Rule ID 7623 //
     /* 224409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdivr),
     /* 224417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224433 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1708:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SDIVR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 224433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDIVR_ZPmZ_D),
     /* 224436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224438 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224440 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224442 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224444 */     GIR_RootConstrainSelectedInstOperands,
     /* 224445 */     // GIR_Coverage, 7623,
     /* 224445 */     GIR_EraseRootFromParent_Done,
     /* 224446 */   // Label 4426: @224446
     /* 224446 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(224488), // Rule ID 7624 //
     /* 224451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udivr),
     /* 224459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224475 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1955:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UDIVR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVR_ZPmZ_S),
     /* 224478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224480 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224482 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224484 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224486 */     GIR_RootConstrainSelectedInstOperands,
     /* 224487 */     // GIR_Coverage, 7624,
     /* 224487 */     GIR_EraseRootFromParent_Done,
     /* 224488 */   // Label 4427: @224488
     /* 224488 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(224530), // Rule ID 7625 //
     /* 224493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udivr),
     /* 224501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 224507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 224510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224517 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1955:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UDIVR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 224517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDIVR_ZPmZ_D),
     /* 224520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224524 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224526 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224528 */     GIR_RootConstrainSelectedInstOperands,
     /* 224529 */     // GIR_Coverage, 7625,
     /* 224529 */     GIR_EraseRootFromParent_Done,
     /* 224530 */   // Label 4428: @224530
     /* 224530 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(224572), // Rule ID 7714 //
     /* 224535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 224543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 224546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 224549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 224552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224559 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1330:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (CNOT_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 224559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_B),
     /* 224562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224564 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224566 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224568 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224570 */     GIR_RootConstrainSelectedInstOperands,
     /* 224571 */     // GIR_Coverage, 7714,
     /* 224571 */     GIR_EraseRootFromParent_Done,
     /* 224572 */   // Label 4429: @224572
     /* 224572 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(224614), // Rule ID 7715 //
     /* 224577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 224585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 224591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 224594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224601 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1330:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (CNOT_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 224601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_H),
     /* 224604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224606 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224608 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224610 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224612 */     GIR_RootConstrainSelectedInstOperands,
     /* 224613 */     // GIR_Coverage, 7715,
     /* 224613 */     GIR_EraseRootFromParent_Done,
     /* 224614 */   // Label 4430: @224614
     /* 224614 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(224656), // Rule ID 7716 //
     /* 224619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 224627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 224633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 224636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224643 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1330:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (CNOT_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 224643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_S),
     /* 224646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224650 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224652 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224654 */     GIR_RootConstrainSelectedInstOperands,
     /* 224655 */     // GIR_Coverage, 7716,
     /* 224655 */     GIR_EraseRootFromParent_Done,
     /* 224656 */   // Label 4431: @224656
     /* 224656 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(224698), // Rule ID 7717 //
     /* 224661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cnot),
     /* 224669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 224675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 224678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224685 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1330:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (CNOT_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 224685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CNOT_ZPmZ_D),
     /* 224688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224690 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224692 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224694 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224696 */     GIR_RootConstrainSelectedInstOperands,
     /* 224697 */     // GIR_Coverage, 7717,
     /* 224697 */     GIR_EraseRootFromParent_Done,
     /* 224698 */   // Label 4432: @224698
     /* 224698 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(224740), // Rule ID 7726 //
     /* 224703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 224711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 224714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 224717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 224720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224727 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1616:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (NOT_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 224727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_B),
     /* 224730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224732 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224736 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224738 */     GIR_RootConstrainSelectedInstOperands,
     /* 224739 */     // GIR_Coverage, 7726,
     /* 224739 */     GIR_EraseRootFromParent_Done,
     /* 224740 */   // Label 4433: @224740
     /* 224740 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(224782), // Rule ID 7727 //
     /* 224745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 224753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 224759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 224762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224769 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1616:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (NOT_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 224769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_H),
     /* 224772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224776 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224778 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224780 */     GIR_RootConstrainSelectedInstOperands,
     /* 224781 */     // GIR_Coverage, 7727,
     /* 224781 */     GIR_EraseRootFromParent_Done,
     /* 224782 */   // Label 4434: @224782
     /* 224782 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(224824), // Rule ID 7728 //
     /* 224787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 224795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 224801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 224804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1616:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (NOT_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 224811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_S),
     /* 224814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224816 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224818 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224820 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224822 */     GIR_RootConstrainSelectedInstOperands,
     /* 224823 */     // GIR_Coverage, 7728,
     /* 224823 */     GIR_EraseRootFromParent_Done,
     /* 224824 */   // Label 4435: @224824
     /* 224824 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(224866), // Rule ID 7729 //
     /* 224829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_not),
     /* 224837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 224840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 224843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 224846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 224849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224853 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1616:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (NOT_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 224853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOT_ZPmZ_D),
     /* 224856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 224858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op3
     /* 224860 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op1
     /* 224862 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op2
     /* 224864 */     GIR_RootConstrainSelectedInstOperands,
     /* 224865 */     // GIR_Coverage, 7729,
     /* 224865 */     GIR_EraseRootFromParent_Done,
     /* 224866 */   // Label 4436: @224866
     /* 224866 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(224908), // Rule ID 7808 //
     /* 224871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 224879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 224882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 224885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 224888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 224891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224895 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1683:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 224895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_B),
     /* 224898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224902 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224904 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224906 */     GIR_RootConstrainSelectedInstOperands,
     /* 224907 */     // GIR_Coverage, 7808,
     /* 224907 */     GIR_EraseRootFromParent_Done,
     /* 224908 */   // Label 4437: @224908
     /* 224908 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(224950), // Rule ID 7809 //
     /* 224913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 224921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 224924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 224927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 224930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 224933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224937 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1683:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 224937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_H),
     /* 224940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224944 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224946 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224948 */     GIR_RootConstrainSelectedInstOperands,
     /* 224949 */     // GIR_Coverage, 7809,
     /* 224949 */     GIR_EraseRootFromParent_Done,
     /* 224950 */   // Label 4438: @224950
     /* 224950 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(224992), // Rule ID 7810 //
     /* 224955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 224958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 224963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 224966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 224969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 224972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 224975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 224979 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1683:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 224979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_S),
     /* 224982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 224984 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 224986 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 224988 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 224990 */     GIR_RootConstrainSelectedInstOperands,
     /* 224991 */     // GIR_Coverage, 7810,
     /* 224991 */     GIR_EraseRootFromParent_Done,
     /* 224992 */   // Label 4439: @224992
     /* 224992 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(225034), // Rule ID 7811 //
     /* 224997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabd),
     /* 225005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1683:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SABD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 225021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABD_ZPmZ_D),
     /* 225024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225028 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225030 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225032 */     GIR_RootConstrainSelectedInstOperands,
     /* 225033 */     // GIR_Coverage, 7811,
     /* 225033 */     GIR_EraseRootFromParent_Done,
     /* 225034 */   // Label 4440: @225034
     /* 225034 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(225076), // Rule ID 7812 //
     /* 225039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 225047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 225050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 225053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 225056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 225059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225063 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1933:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 225063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_B),
     /* 225066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225070 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225072 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225074 */     GIR_RootConstrainSelectedInstOperands,
     /* 225075 */     // GIR_Coverage, 7812,
     /* 225075 */     GIR_EraseRootFromParent_Done,
     /* 225076 */   // Label 4441: @225076
     /* 225076 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(225118), // Rule ID 7813 //
     /* 225081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 225089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225105 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1933:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 225105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_H),
     /* 225108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225114 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225116 */     GIR_RootConstrainSelectedInstOperands,
     /* 225117 */     // GIR_Coverage, 7813,
     /* 225117 */     GIR_EraseRootFromParent_Done,
     /* 225118 */   // Label 4442: @225118
     /* 225118 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(225160), // Rule ID 7814 //
     /* 225123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 225131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1933:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 225147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_S),
     /* 225150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225152 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225154 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225156 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225158 */     GIR_RootConstrainSelectedInstOperands,
     /* 225159 */     // GIR_Coverage, 7814,
     /* 225159 */     GIR_EraseRootFromParent_Done,
     /* 225160 */   // Label 4443: @225160
     /* 225160 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(225202), // Rule ID 7815 //
     /* 225165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabd),
     /* 225173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225189 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1933:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UABD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 225189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABD_ZPmZ_D),
     /* 225192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225194 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225196 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225198 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225200 */     GIR_RootConstrainSelectedInstOperands,
     /* 225201 */     // GIR_Coverage, 7815,
     /* 225201 */     GIR_EraseRootFromParent_Done,
     /* 225202 */   // Label 4444: @225202
     /* 225202 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(225244), // Rule ID 8011 //
     /* 225207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 225215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225231 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1539:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FSUB_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmZ_H),
     /* 225234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225238 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225240 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225242 */     GIR_RootConstrainSelectedInstOperands,
     /* 225243 */     // GIR_Coverage, 8011,
     /* 225243 */     GIR_EraseRootFromParent_Done,
     /* 225244 */   // Label 4445: @225244
     /* 225244 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(225286), // Rule ID 8013 //
     /* 225249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 225257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225273 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1539:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FSUB_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 225273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmZ_S),
     /* 225276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225278 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225280 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225282 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225284 */     GIR_RootConstrainSelectedInstOperands,
     /* 225285 */     // GIR_Coverage, 8013,
     /* 225285 */     GIR_EraseRootFromParent_Done,
     /* 225286 */   // Label 4446: @225286
     /* 225286 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(225328), // Rule ID 8015 //
     /* 225291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsub),
     /* 225299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225315 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1539:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FSUB_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 225315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZPmZ_D),
     /* 225318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225320 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225322 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225324 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225326 */     GIR_RootConstrainSelectedInstOperands,
     /* 225327 */     // GIR_Coverage, 8015,
     /* 225327 */     GIR_EraseRootFromParent_Done,
     /* 225328 */   // Label 4447: @225328
     /* 225328 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(225370), // Rule ID 8023 //
     /* 225333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 225341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225357 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1541:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FSUBR_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmZ_H),
     /* 225360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225366 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225368 */     GIR_RootConstrainSelectedInstOperands,
     /* 225369 */     // GIR_Coverage, 8023,
     /* 225369 */     GIR_EraseRootFromParent_Done,
     /* 225370 */   // Label 4448: @225370
     /* 225370 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(225412), // Rule ID 8025 //
     /* 225375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 225383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225399 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1541:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FSUBR_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 225399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmZ_S),
     /* 225402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225404 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225406 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225408 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225410 */     GIR_RootConstrainSelectedInstOperands,
     /* 225411 */     // GIR_Coverage, 8025,
     /* 225411 */     GIR_EraseRootFromParent_Done,
     /* 225412 */   // Label 4449: @225412
     /* 225412 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(225454), // Rule ID 8027 //
     /* 225417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fsubr),
     /* 225425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225441 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1541:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FSUBR_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 225441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FSUBR_ZPmZ_D),
     /* 225444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225450 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225452 */     GIR_RootConstrainSelectedInstOperands,
     /* 225453 */     // GIR_Coverage, 8027,
     /* 225453 */     GIR_EraseRootFromParent_Done,
     /* 225454 */   // Label 4450: @225454
     /* 225454 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(225496), // Rule ID 8065 //
     /* 225459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd),
     /* 225467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225483 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1358:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FABD_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPmZ_H),
     /* 225486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225492 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225494 */     GIR_RootConstrainSelectedInstOperands,
     /* 225495 */     // GIR_Coverage, 8065,
     /* 225495 */     GIR_EraseRootFromParent_Done,
     /* 225496 */   // Label 4451: @225496
     /* 225496 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(225538), // Rule ID 8066 //
     /* 225501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd),
     /* 225509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225525 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1358:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FABD_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 225525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPmZ_S),
     /* 225528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225534 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225536 */     GIR_RootConstrainSelectedInstOperands,
     /* 225537 */     // GIR_Coverage, 8066,
     /* 225537 */     GIR_EraseRootFromParent_Done,
     /* 225538 */   // Label 4452: @225538
     /* 225538 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(225580), // Rule ID 8067 //
     /* 225543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd),
     /* 225551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225567 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1358:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FABD_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 225567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPmZ_D),
     /* 225570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225572 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225574 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225576 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225578 */     GIR_RootConstrainSelectedInstOperands,
     /* 225579 */     // GIR_Coverage, 8067,
     /* 225579 */     GIR_EraseRootFromParent_Done,
     /* 225580 */   // Label 4453: @225580
     /* 225580 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(225622), // Rule ID 8068 //
     /* 225585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx),
     /* 225593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225609 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1480:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMULX_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPmZ_H),
     /* 225612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225614 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225616 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225618 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225620 */     GIR_RootConstrainSelectedInstOperands,
     /* 225621 */     // GIR_Coverage, 8068,
     /* 225621 */     GIR_EraseRootFromParent_Done,
     /* 225622 */   // Label 4454: @225622
     /* 225622 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(225664), // Rule ID 8069 //
     /* 225627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx),
     /* 225635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225651 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1480:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMULX_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 225651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPmZ_S),
     /* 225654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225658 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225660 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225662 */     GIR_RootConstrainSelectedInstOperands,
     /* 225663 */     // GIR_Coverage, 8069,
     /* 225663 */     GIR_EraseRootFromParent_Done,
     /* 225664 */   // Label 4455: @225664
     /* 225664 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(225706), // Rule ID 8070 //
     /* 225669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx),
     /* 225677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225693 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1480:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMULX_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 225693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPmZ_D),
     /* 225696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225698 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225700 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225702 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225704 */     GIR_RootConstrainSelectedInstOperands,
     /* 225705 */     // GIR_Coverage, 8070,
     /* 225705 */     GIR_EraseRootFromParent_Done,
     /* 225706 */   // Label 4456: @225706
     /* 225706 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(225748), // Rule ID 8071 //
     /* 225711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdivr),
     /* 225719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225735 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1419:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FDIVR_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIVR_ZPmZ_H),
     /* 225738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225744 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225746 */     GIR_RootConstrainSelectedInstOperands,
     /* 225747 */     // GIR_Coverage, 8071,
     /* 225747 */     GIR_EraseRootFromParent_Done,
     /* 225748 */   // Label 4457: @225748
     /* 225748 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(225790), // Rule ID 8072 //
     /* 225753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdivr),
     /* 225761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225777 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1419:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FDIVR_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 225777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIVR_ZPmZ_S),
     /* 225780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225784 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225786 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225788 */     GIR_RootConstrainSelectedInstOperands,
     /* 225789 */     // GIR_Coverage, 8072,
     /* 225789 */     GIR_EraseRootFromParent_Done,
     /* 225790 */   // Label 4458: @225790
     /* 225790 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(225832), // Rule ID 8073 //
     /* 225795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdivr),
     /* 225803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225819 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1419:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FDIVR_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 225819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIVR_ZPmZ_D),
     /* 225822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225826 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225828 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225830 */     GIR_RootConstrainSelectedInstOperands,
     /* 225831 */     // GIR_Coverage, 8073,
     /* 225831 */     GIR_EraseRootFromParent_Done,
     /* 225832 */   // Label 4459: @225832
     /* 225832 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(225874), // Rule ID 8074 //
     /* 225837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdiv),
     /* 225845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225861 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1417:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FDIV_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIV_ZPmZ_H),
     /* 225864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225868 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225870 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225872 */     GIR_RootConstrainSelectedInstOperands,
     /* 225873 */     // GIR_Coverage, 8074,
     /* 225873 */     GIR_EraseRootFromParent_Done,
     /* 225874 */   // Label 4460: @225874
     /* 225874 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(225916), // Rule ID 8075 //
     /* 225879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdiv),
     /* 225887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 225890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 225893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 225896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 225899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225903 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1417:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FDIV_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 225903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIV_ZPmZ_S),
     /* 225906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225910 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225912 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225914 */     GIR_RootConstrainSelectedInstOperands,
     /* 225915 */     // GIR_Coverage, 8075,
     /* 225915 */     GIR_EraseRootFromParent_Done,
     /* 225916 */   // Label 4461: @225916
     /* 225916 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(225958), // Rule ID 8076 //
     /* 225921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdiv),
     /* 225929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 225932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 225935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 225938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 225941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225945 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1417:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FDIV_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 225945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDIV_ZPmZ_D),
     /* 225948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 225950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225954 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225956 */     GIR_RootConstrainSelectedInstOperands,
     /* 225957 */     // GIR_Coverage, 8076,
     /* 225957 */     GIR_EraseRootFromParent_Done,
     /* 225958 */   // Label 4462: @225958
     /* 225958 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(226000), // Rule ID 8113 //
     /* 225963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 225966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 225971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 225974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 225977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 225980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 225983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 225987 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1359:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FABD_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 225987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_H_UNDEF),
     /* 225990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 225992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 225994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 225996 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 225998 */     GIR_RootConstrainSelectedInstOperands,
     /* 225999 */     // GIR_Coverage, 8113,
     /* 225999 */     GIR_EraseRootFromParent_Done,
     /* 226000 */   // Label 4463: @226000
     /* 226000 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(226042), // Rule ID 8115 //
     /* 226005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 226013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 226016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 226022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 226025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226029 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1359:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FABD_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 226029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_H_UNDEF),
     /* 226032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226034 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226036 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226038 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226040 */     GIR_RootConstrainSelectedInstOperands,
     /* 226041 */     // GIR_Coverage, 8115,
     /* 226041 */     GIR_EraseRootFromParent_Done,
     /* 226042 */   // Label 4464: @226042
     /* 226042 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(226084), // Rule ID 8117 //
     /* 226047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 226055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 226058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 226064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 226067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226071 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1359:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FABD_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 226071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_H_UNDEF),
     /* 226074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226078 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226080 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226082 */     GIR_RootConstrainSelectedInstOperands,
     /* 226083 */     // GIR_Coverage, 8117,
     /* 226083 */     GIR_EraseRootFromParent_Done,
     /* 226084 */   // Label 4465: @226084
     /* 226084 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(226126), // Rule ID 8119 //
     /* 226089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 226097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 226100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 226106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 226109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226113 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1359:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FABD_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 226113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_S_UNDEF),
     /* 226116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226122 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226124 */     GIR_RootConstrainSelectedInstOperands,
     /* 226125 */     // GIR_Coverage, 8119,
     /* 226125 */     GIR_EraseRootFromParent_Done,
     /* 226126 */   // Label 4466: @226126
     /* 226126 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(226168), // Rule ID 8121 //
     /* 226131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 226139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 226142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 226148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 226151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226155 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1359:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FABD_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 226155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_S_UNDEF),
     /* 226158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226164 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226166 */     GIR_RootConstrainSelectedInstOperands,
     /* 226167 */     // GIR_Coverage, 8121,
     /* 226167 */     GIR_EraseRootFromParent_Done,
     /* 226168 */   // Label 4467: @226168
     /* 226168 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(226210), // Rule ID 8123 //
     /* 226173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fabd_u),
     /* 226181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 226184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 226190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 226193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226197 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1359:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FABD_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 226197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD_ZPZZ_D_UNDEF),
     /* 226200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226206 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226208 */     GIR_RootConstrainSelectedInstOperands,
     /* 226209 */     // GIR_Coverage, 8123,
     /* 226209 */     GIR_EraseRootFromParent_Done,
     /* 226210 */   // Label 4468: @226210
     /* 226210 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(226252), // Rule ID 8125 //
     /* 226215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 226223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 226226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 226232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 226235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226239 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1481:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMULX_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 226239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_H_UNDEF),
     /* 226242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226246 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226248 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226250 */     GIR_RootConstrainSelectedInstOperands,
     /* 226251 */     // GIR_Coverage, 8125,
     /* 226251 */     GIR_EraseRootFromParent_Done,
     /* 226252 */   // Label 4469: @226252
     /* 226252 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(226294), // Rule ID 8126 //
     /* 226257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 226265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 226268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 226274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 226277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226281 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1481:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FMULX_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 226281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_H_UNDEF),
     /* 226284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226290 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226292 */     GIR_RootConstrainSelectedInstOperands,
     /* 226293 */     // GIR_Coverage, 8126,
     /* 226293 */     GIR_EraseRootFromParent_Done,
     /* 226294 */   // Label 4470: @226294
     /* 226294 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(226336), // Rule ID 8127 //
     /* 226299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 226307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 226310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 226316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 226319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226323 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1481:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FMULX_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 226323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_H_UNDEF),
     /* 226326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226332 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226334 */     GIR_RootConstrainSelectedInstOperands,
     /* 226335 */     // GIR_Coverage, 8127,
     /* 226335 */     GIR_EraseRootFromParent_Done,
     /* 226336 */   // Label 4471: @226336
     /* 226336 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(226378), // Rule ID 8128 //
     /* 226341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 226349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 226352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 226358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 226361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226365 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1481:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMULX_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 226365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_S_UNDEF),
     /* 226368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226374 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226376 */     GIR_RootConstrainSelectedInstOperands,
     /* 226377 */     // GIR_Coverage, 8128,
     /* 226377 */     GIR_EraseRootFromParent_Done,
     /* 226378 */   // Label 4472: @226378
     /* 226378 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(226420), // Rule ID 8129 //
     /* 226383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 226391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 226394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 226400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 226403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226407 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1481:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FMULX_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 226407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_S_UNDEF),
     /* 226410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226414 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226416 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226418 */     GIR_RootConstrainSelectedInstOperands,
     /* 226419 */     // GIR_Coverage, 8129,
     /* 226419 */     GIR_EraseRootFromParent_Done,
     /* 226420 */   // Label 4473: @226420
     /* 226420 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(226462), // Rule ID 8130 //
     /* 226425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmulx_u),
     /* 226433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 226436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 226442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 226445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 226449 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1481:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMULX_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 226449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULX_ZPZZ_D_UNDEF),
     /* 226452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 226454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226456 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226458 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226460 */     GIR_RootConstrainSelectedInstOperands,
     /* 226461 */     // GIR_Coverage, 8130,
     /* 226461 */     GIR_EraseRootFromParent_Done,
     /* 226462 */   // Label 4474: @226462
     /* 226462 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(226504), // Rule ID 8383 //
     /* 226467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkpb_z),
     /* 226475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 226478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 226484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 226487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 226491 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1299:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKPB_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 226491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKPB_PPzPP),
     /* 226494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226496 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226498 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226500 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226502 */     GIR_RootConstrainSelectedInstOperands,
     /* 226503 */     // GIR_Coverage, 8383,
     /* 226503 */     GIR_EraseRootFromParent_Done,
     /* 226504 */   // Label 4475: @226504
     /* 226504 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(226546), // Rule ID 8385 //
     /* 226509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_brkb),
     /* 226517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 226520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 226526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 226529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 226533 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1295:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BRKB_PPmP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 226533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRKB_PPmP),
     /* 226536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226540 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226542 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226544 */     GIR_RootConstrainSelectedInstOperands,
     /* 226545 */     // GIR_Coverage, 8385,
     /* 226545 */     GIR_EraseRootFromParent_Done,
     /* 226546 */   // Label 4476: @226546
     /* 226546 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(226588), // Rule ID 8386 //
     /* 226551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 226559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 226562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 226568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 226571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226575 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1292:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 226575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 226578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226584 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226586 */     GIR_RootConstrainSelectedInstOperands,
     /* 226587 */     // GIR_Coverage, 8386,
     /* 226587 */     GIR_EraseRootFromParent_Done,
     /* 226588 */   // Label 4477: @226588
     /* 226588 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(226630), // Rule ID 8387 //
     /* 226593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 226601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 226604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 226610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 226613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226617 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1292:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 226617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 226620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226624 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226626 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226628 */     GIR_RootConstrainSelectedInstOperands,
     /* 226629 */     // GIR_Coverage, 8387,
     /* 226629 */     GIR_EraseRootFromParent_Done,
     /* 226630 */   // Label 4478: @226630
     /* 226630 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(226672), // Rule ID 8388 //
     /* 226635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 226643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 226646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 226652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 226655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226659 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1292:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 226659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 226662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226664 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226666 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226668 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226670 */     GIR_RootConstrainSelectedInstOperands,
     /* 226671 */     // GIR_Coverage, 8388,
     /* 226671 */     GIR_EraseRootFromParent_Done,
     /* 226672 */   // Label 4479: @226672
     /* 226672 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(226714), // Rule ID 8389 //
     /* 226677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 226685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 226688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 226694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 226697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226701 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1292:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 226701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 226704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226706 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226708 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226710 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226712 */     GIR_RootConstrainSelectedInstOperands,
     /* 226713 */     // GIR_Coverage, 8389,
     /* 226713 */     GIR_EraseRootFromParent_Done,
     /* 226714 */   // Label 4480: @226714
     /* 226714 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(226756), // Rule ID 8390 //
     /* 226719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bic_z),
     /* 226727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 226730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 226733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 226736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 226739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226743 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1292:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (BIC_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 226743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BIC_PPzPP),
     /* 226746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226752 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226754 */     GIR_RootConstrainSelectedInstOperands,
     /* 226755 */     // GIR_Coverage, 8390,
     /* 226755 */     GIR_EraseRootFromParent_Done,
     /* 226756 */   // Label 4481: @226756
     /* 226756 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(226798), // Rule ID 8411 //
     /* 226761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 226769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 226772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 226778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 226781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226785 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1350:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 226785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 226788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226790 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226792 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226794 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226796 */     GIR_RootConstrainSelectedInstOperands,
     /* 226797 */     // GIR_Coverage, 8411,
     /* 226797 */     GIR_EraseRootFromParent_Done,
     /* 226798 */   // Label 4482: @226798
     /* 226798 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(226840), // Rule ID 8412 //
     /* 226803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 226811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 226814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 226817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 226820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 226823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226827 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1350:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 226827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 226830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226834 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226836 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226838 */     GIR_RootConstrainSelectedInstOperands,
     /* 226839 */     // GIR_Coverage, 8412,
     /* 226839 */     GIR_EraseRootFromParent_Done,
     /* 226840 */   // Label 4483: @226840
     /* 226840 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(226882), // Rule ID 8413 //
     /* 226845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 226853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 226856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 226859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 226862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 226865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1350:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 226869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 226872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226874 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226876 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226878 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226880 */     GIR_RootConstrainSelectedInstOperands,
     /* 226881 */     // GIR_Coverage, 8413,
     /* 226881 */     GIR_EraseRootFromParent_Done,
     /* 226882 */   // Label 4484: @226882
     /* 226882 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(226924), // Rule ID 8414 //
     /* 226887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 226895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 226898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 226901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 226904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 226907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226911 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1350:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 226911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 226914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226916 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226920 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226922 */     GIR_RootConstrainSelectedInstOperands,
     /* 226923 */     // GIR_Coverage, 8414,
     /* 226923 */     GIR_EraseRootFromParent_Done,
     /* 226924 */   // Label 4485: @226924
     /* 226924 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(226966), // Rule ID 8415 //
     /* 226929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eor_z),
     /* 226937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 226940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 226943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 226946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 226949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226953 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1350:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (EOR_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 226953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EOR_PPzPP),
     /* 226956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 226958 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 226960 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 226962 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 226964 */     GIR_RootConstrainSelectedInstOperands,
     /* 226965 */     // GIR_Coverage, 8415,
     /* 226965 */     GIR_EraseRootFromParent_Done,
     /* 226966 */   // Label 4486: @226966
     /* 226966 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(227008), // Rule ID 8431 //
     /* 226971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 226974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 226979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 226982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 226985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 226988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 226991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 226995 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1621:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 226995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 226998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227000 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227002 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227004 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227006 */     GIR_RootConstrainSelectedInstOperands,
     /* 227007 */     // GIR_Coverage, 8431,
     /* 227007 */     GIR_EraseRootFromParent_Done,
     /* 227008 */   // Label 4487: @227008
     /* 227008 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(227050), // Rule ID 8432 //
     /* 227013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 227021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 227024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 227030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 227033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227037 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1621:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 227037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 227040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227042 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227044 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227046 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227048 */     GIR_RootConstrainSelectedInstOperands,
     /* 227049 */     // GIR_Coverage, 8432,
     /* 227049 */     GIR_EraseRootFromParent_Done,
     /* 227050 */   // Label 4488: @227050
     /* 227050 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(227092), // Rule ID 8433 //
     /* 227055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 227063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 227066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 227072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 227075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227079 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1621:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 227079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 227082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227084 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227086 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227088 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227090 */     GIR_RootConstrainSelectedInstOperands,
     /* 227091 */     // GIR_Coverage, 8433,
     /* 227091 */     GIR_EraseRootFromParent_Done,
     /* 227092 */   // Label 4489: @227092
     /* 227092 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(227134), // Rule ID 8434 //
     /* 227097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 227105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 227108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 227114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 227117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227121 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1621:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 227121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 227124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227126 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227128 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227130 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227132 */     GIR_RootConstrainSelectedInstOperands,
     /* 227133 */     // GIR_Coverage, 8434,
     /* 227133 */     GIR_EraseRootFromParent_Done,
     /* 227134 */   // Label 4490: @227134
     /* 227134 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(227176), // Rule ID 8435 //
     /* 227139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orr_z),
     /* 227147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 227150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 227153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 227156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 227159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227163 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1621:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (ORR_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 227163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORR_PPzPP),
     /* 227166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227168 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227170 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227172 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227174 */     GIR_RootConstrainSelectedInstOperands,
     /* 227175 */     // GIR_Coverage, 8435,
     /* 227175 */     GIR_EraseRootFromParent_Done,
     /* 227176 */   // Label 4491: @227176
     /* 227176 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(227218), // Rule ID 8436 //
     /* 227181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 227189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 227192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 227198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 227201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227205 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1617:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 227205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 227208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227212 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227214 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227216 */     GIR_RootConstrainSelectedInstOperands,
     /* 227217 */     // GIR_Coverage, 8436,
     /* 227217 */     GIR_EraseRootFromParent_Done,
     /* 227218 */   // Label 4492: @227218
     /* 227218 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(227260), // Rule ID 8437 //
     /* 227223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 227231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 227234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 227240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 227243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227247 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1617:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 227247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 227250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227252 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227254 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227256 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227258 */     GIR_RootConstrainSelectedInstOperands,
     /* 227259 */     // GIR_Coverage, 8437,
     /* 227259 */     GIR_EraseRootFromParent_Done,
     /* 227260 */   // Label 4493: @227260
     /* 227260 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(227302), // Rule ID 8438 //
     /* 227265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 227273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 227276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 227282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 227285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227289 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1617:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 227289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 227292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227296 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227298 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227300 */     GIR_RootConstrainSelectedInstOperands,
     /* 227301 */     // GIR_Coverage, 8438,
     /* 227301 */     GIR_EraseRootFromParent_Done,
     /* 227302 */   // Label 4494: @227302
     /* 227302 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(227344), // Rule ID 8439 //
     /* 227307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 227315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 227318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 227324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 227327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227331 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1617:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 227331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 227334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227336 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227338 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227340 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227342 */     GIR_RootConstrainSelectedInstOperands,
     /* 227343 */     // GIR_Coverage, 8439,
     /* 227343 */     GIR_EraseRootFromParent_Done,
     /* 227344 */   // Label 4495: @227344
     /* 227344 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(227386), // Rule ID 8440 //
     /* 227349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_orn_z),
     /* 227357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 227360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 227363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 227366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 227369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227373 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1617:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (ORN_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 227373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ORN_PPzPP),
     /* 227376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227378 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227382 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227384 */     GIR_RootConstrainSelectedInstOperands,
     /* 227385 */     // GIR_Coverage, 8440,
     /* 227385 */     GIR_EraseRootFromParent_Done,
     /* 227386 */   // Label 4496: @227386
     /* 227386 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(227428), // Rule ID 8441 //
     /* 227391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 227399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 227402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 227408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 227411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227415 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1615:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 227415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 227418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227420 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227422 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227424 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227426 */     GIR_RootConstrainSelectedInstOperands,
     /* 227427 */     // GIR_Coverage, 8441,
     /* 227427 */     GIR_EraseRootFromParent_Done,
     /* 227428 */   // Label 4497: @227428
     /* 227428 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(227470), // Rule ID 8442 //
     /* 227433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 227441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 227444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 227450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 227453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227457 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1615:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 227457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 227460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227462 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227464 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227466 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227468 */     GIR_RootConstrainSelectedInstOperands,
     /* 227469 */     // GIR_Coverage, 8442,
     /* 227469 */     GIR_EraseRootFromParent_Done,
     /* 227470 */   // Label 4498: @227470
     /* 227470 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(227512), // Rule ID 8443 //
     /* 227475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 227483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 227486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 227492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 227495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227499 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1615:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 227499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 227502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227504 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227506 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227508 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227510 */     GIR_RootConstrainSelectedInstOperands,
     /* 227511 */     // GIR_Coverage, 8443,
     /* 227511 */     GIR_EraseRootFromParent_Done,
     /* 227512 */   // Label 4499: @227512
     /* 227512 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(227554), // Rule ID 8444 //
     /* 227517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 227525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 227528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 227534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 227537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227541 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1615:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 227541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 227544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227546 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227548 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227550 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227552 */     GIR_RootConstrainSelectedInstOperands,
     /* 227553 */     // GIR_Coverage, 8444,
     /* 227553 */     GIR_EraseRootFromParent_Done,
     /* 227554 */   // Label 4500: @227554
     /* 227554 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(227596), // Rule ID 8445 //
     /* 227559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nor_z),
     /* 227567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 227570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 227573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 227576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 227579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227583 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1615:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (NOR_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 227583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NOR_PPzPP),
     /* 227586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227588 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227590 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227592 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227594 */     GIR_RootConstrainSelectedInstOperands,
     /* 227595 */     // GIR_Coverage, 8445,
     /* 227595 */     GIR_EraseRootFromParent_Done,
     /* 227596 */   // Label 4501: @227596
     /* 227596 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(227638), // Rule ID 8446 //
     /* 227601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 227609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 227612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 227618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 227621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227625 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1611:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 227625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 227628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227632 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227634 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227636 */     GIR_RootConstrainSelectedInstOperands,
     /* 227637 */     // GIR_Coverage, 8446,
     /* 227637 */     GIR_EraseRootFromParent_Done,
     /* 227638 */   // Label 4502: @227638
     /* 227638 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(227680), // Rule ID 8447 //
     /* 227643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 227651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 227654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 227660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 227663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227667 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1611:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 227667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 227670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227672 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227676 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227678 */     GIR_RootConstrainSelectedInstOperands,
     /* 227679 */     // GIR_Coverage, 8447,
     /* 227679 */     GIR_EraseRootFromParent_Done,
     /* 227680 */   // Label 4503: @227680
     /* 227680 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(227722), // Rule ID 8448 //
     /* 227685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 227693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 227696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 227702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 227705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227709 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1611:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 227709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 227712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227716 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227718 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227720 */     GIR_RootConstrainSelectedInstOperands,
     /* 227721 */     // GIR_Coverage, 8448,
     /* 227721 */     GIR_EraseRootFromParent_Done,
     /* 227722 */   // Label 4504: @227722
     /* 227722 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(227764), // Rule ID 8449 //
     /* 227727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 227735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 227738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 227744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 227747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227751 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1611:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 227751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 227754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227756 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227758 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227760 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227762 */     GIR_RootConstrainSelectedInstOperands,
     /* 227763 */     // GIR_Coverage, 8449,
     /* 227763 */     GIR_EraseRootFromParent_Done,
     /* 227764 */   // Label 4505: @227764
     /* 227764 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(227806), // Rule ID 8450 //
     /* 227769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nand_z),
     /* 227777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 227780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 227783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 227786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 227789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 227793 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 1611:{ *:[iPTR] }, nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (NAND_PPzPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 227793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NAND_PPzPP),
     /* 227796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 227798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227802 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227804 */     GIR_RootConstrainSelectedInstOperands,
     /* 227805 */     // GIR_Coverage, 8450,
     /* 227805 */     GIR_EraseRootFromParent_Done,
     /* 227806 */   // Label 4506: @227806
     /* 227806 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(227848), // Rule ID 8458 //
     /* 227811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 227819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 227822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 227825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 227828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 227831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227835 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1308:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (CLASTB_ZPZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 227835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_B),
     /* 227838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227840 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227842 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227844 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227846 */     GIR_RootConstrainSelectedInstOperands,
     /* 227847 */     // GIR_Coverage, 8458,
     /* 227847 */     GIR_EraseRootFromParent_Done,
     /* 227848 */   // Label 4507: @227848
     /* 227848 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(227890), // Rule ID 8459 //
     /* 227853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 227861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 227864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 227870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 227873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227877 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1308:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (CLASTB_ZPZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 227877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_H),
     /* 227880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227882 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227884 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227886 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227888 */     GIR_RootConstrainSelectedInstOperands,
     /* 227889 */     // GIR_Coverage, 8459,
     /* 227889 */     GIR_EraseRootFromParent_Done,
     /* 227890 */   // Label 4508: @227890
     /* 227890 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(227932), // Rule ID 8460 //
     /* 227895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 227903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 227906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 227909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 227912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 227915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227919 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1308:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (CLASTB_ZPZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 227919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_S),
     /* 227922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227924 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227926 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227928 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227930 */     GIR_RootConstrainSelectedInstOperands,
     /* 227931 */     // GIR_Coverage, 8460,
     /* 227931 */     GIR_EraseRootFromParent_Done,
     /* 227932 */   // Label 4509: @227932
     /* 227932 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(227974), // Rule ID 8461 //
     /* 227937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 227945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 227948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 227951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 227954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 227957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 227961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1308:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CLASTB_ZPZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 227961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_D),
     /* 227964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 227966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 227968 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 227970 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 227972 */     GIR_RootConstrainSelectedInstOperands,
     /* 227973 */     // GIR_Coverage, 8461,
     /* 227973 */     GIR_EraseRootFromParent_Done,
     /* 227974 */   // Label 4510: @227974
     /* 227974 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(228016), // Rule ID 8462 //
     /* 227979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 227982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 227987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 227990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 227993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 227996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 227999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228003 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1308:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (CLASTB_ZPZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 228003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_H),
     /* 228006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228008 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228010 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228012 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228014 */     GIR_RootConstrainSelectedInstOperands,
     /* 228015 */     // GIR_Coverage, 8462,
     /* 228015 */     GIR_EraseRootFromParent_Done,
     /* 228016 */   // Label 4511: @228016
     /* 228016 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(228058), // Rule ID 8463 //
     /* 228021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 228029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 228032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 228041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228045 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1308:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (CLASTB_ZPZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 228045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_S),
     /* 228048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228050 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228052 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228054 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228056 */     GIR_RootConstrainSelectedInstOperands,
     /* 228057 */     // GIR_Coverage, 8463,
     /* 228057 */     GIR_EraseRootFromParent_Done,
     /* 228058 */   // Label 4512: @228058
     /* 228058 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(228100), // Rule ID 8464 //
     /* 228063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_clastb),
     /* 228071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 228074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 228077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 228080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 228087 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1308:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (CLASTB_ZPZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 228087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLASTB_ZPZ_D),
     /* 228090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 228092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228096 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228098 */     GIR_RootConstrainSelectedInstOperands,
     /* 228099 */     // GIR_Coverage, 8464,
     /* 228099 */     GIR_EraseRootFromParent_Done,
     /* 228100 */   // Label 4513: @228100
     /* 228100 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(228145), // Rule ID 9160 //
     /* 228105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpne_wide),
     /* 228113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228129 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1329:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPNE_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPNE_WIDE_PPzZZ_B),
     /* 228132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228134 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228136 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228138 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228143 */     GIR_RootConstrainSelectedInstOperands,
     /* 228144 */     // GIR_Coverage, 9160,
     /* 228144 */     GIR_EraseRootFromParent_Done,
     /* 228145 */   // Label 4514: @228145
     /* 228145 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(228190), // Rule ID 9161 //
     /* 228150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpne_wide),
     /* 228158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228174 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1329:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPNE_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPNE_WIDE_PPzZZ_H),
     /* 228177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228179 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228181 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228183 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228188 */     GIR_RootConstrainSelectedInstOperands,
     /* 228189 */     // GIR_Coverage, 9161,
     /* 228189 */     GIR_EraseRootFromParent_Done,
     /* 228190 */   // Label 4515: @228190
     /* 228190 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(228235), // Rule ID 9162 //
     /* 228195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpne_wide),
     /* 228203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228219 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1329:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPNE_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPNE_WIDE_PPzZZ_S),
     /* 228222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228226 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228228 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228233 */     GIR_RootConstrainSelectedInstOperands,
     /* 228234 */     // GIR_Coverage, 9162,
     /* 228234 */     GIR_EraseRootFromParent_Done,
     /* 228235 */   // Label 4516: @228235
     /* 228235 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(228280), // Rule ID 9163 //
     /* 228240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpgt_wide),
     /* 228248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228264 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1319:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGT_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGT_WIDE_PPzZZ_B),
     /* 228267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228269 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228271 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228273 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228278 */     GIR_RootConstrainSelectedInstOperands,
     /* 228279 */     // GIR_Coverage, 9163,
     /* 228279 */     GIR_EraseRootFromParent_Done,
     /* 228280 */   // Label 4517: @228280
     /* 228280 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(228325), // Rule ID 9164 //
     /* 228285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpgt_wide),
     /* 228293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228309 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1319:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGT_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGT_WIDE_PPzZZ_H),
     /* 228312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228318 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228323 */     GIR_RootConstrainSelectedInstOperands,
     /* 228324 */     // GIR_Coverage, 9164,
     /* 228324 */     GIR_EraseRootFromParent_Done,
     /* 228325 */   // Label 4518: @228325
     /* 228325 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(228370), // Rule ID 9165 //
     /* 228330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpgt_wide),
     /* 228338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228354 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1319:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPGT_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPGT_WIDE_PPzZZ_S),
     /* 228357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228359 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228361 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228363 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228368 */     GIR_RootConstrainSelectedInstOperands,
     /* 228369 */     // GIR_Coverage, 9165,
     /* 228369 */     GIR_EraseRootFromParent_Done,
     /* 228370 */   // Label 4519: @228370
     /* 228370 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(228415), // Rule ID 9166 //
     /* 228375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplt_wide),
     /* 228383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228399 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1327:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLT_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLT_WIDE_PPzZZ_B),
     /* 228402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228404 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228406 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228408 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228413 */     GIR_RootConstrainSelectedInstOperands,
     /* 228414 */     // GIR_Coverage, 9166,
     /* 228414 */     GIR_EraseRootFromParent_Done,
     /* 228415 */   // Label 4520: @228415
     /* 228415 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(228460), // Rule ID 9167 //
     /* 228420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplt_wide),
     /* 228428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228444 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1327:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLT_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLT_WIDE_PPzZZ_H),
     /* 228447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228449 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228451 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228453 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228458 */     GIR_RootConstrainSelectedInstOperands,
     /* 228459 */     // GIR_Coverage, 9167,
     /* 228459 */     GIR_EraseRootFromParent_Done,
     /* 228460 */   // Label 4521: @228460
     /* 228460 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(228505), // Rule ID 9168 //
     /* 228465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplt_wide),
     /* 228473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228489 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1327:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLT_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLT_WIDE_PPzZZ_S),
     /* 228492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228494 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228496 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228498 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228503 */     GIR_RootConstrainSelectedInstOperands,
     /* 228504 */     // GIR_Coverage, 9168,
     /* 228504 */     GIR_EraseRootFromParent_Done,
     /* 228505 */   // Label 4522: @228505
     /* 228505 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(228550), // Rule ID 9169 //
     /* 228510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmple_wide),
     /* 228518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228534 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1324:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLE_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLE_WIDE_PPzZZ_B),
     /* 228537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228539 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228541 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228543 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228548 */     GIR_RootConstrainSelectedInstOperands,
     /* 228549 */     // GIR_Coverage, 9169,
     /* 228549 */     GIR_EraseRootFromParent_Done,
     /* 228550 */   // Label 4523: @228550
     /* 228550 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(228595), // Rule ID 9170 //
     /* 228555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmple_wide),
     /* 228563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228579 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1324:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLE_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLE_WIDE_PPzZZ_H),
     /* 228582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228584 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228586 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228588 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228593 */     GIR_RootConstrainSelectedInstOperands,
     /* 228594 */     // GIR_Coverage, 9170,
     /* 228594 */     GIR_EraseRootFromParent_Done,
     /* 228595 */   // Label 4524: @228595
     /* 228595 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(228640), // Rule ID 9171 //
     /* 228600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmple_wide),
     /* 228608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228624 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1324:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLE_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLE_WIDE_PPzZZ_S),
     /* 228627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228629 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228631 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228633 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228638 */     GIR_RootConstrainSelectedInstOperands,
     /* 228639 */     // GIR_Coverage, 9171,
     /* 228639 */     GIR_EraseRootFromParent_Done,
     /* 228640 */   // Label 4525: @228640
     /* 228640 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(228685), // Rule ID 9172 //
     /* 228645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphs_wide),
     /* 228653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228669 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1323:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHS_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHS_WIDE_PPzZZ_B),
     /* 228672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228676 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228678 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228683 */     GIR_RootConstrainSelectedInstOperands,
     /* 228684 */     // GIR_Coverage, 9172,
     /* 228684 */     GIR_EraseRootFromParent_Done,
     /* 228685 */   // Label 4526: @228685
     /* 228685 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(228730), // Rule ID 9173 //
     /* 228690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphs_wide),
     /* 228698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228714 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1323:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHS_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHS_WIDE_PPzZZ_H),
     /* 228717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228719 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228721 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228723 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228728 */     GIR_RootConstrainSelectedInstOperands,
     /* 228729 */     // GIR_Coverage, 9173,
     /* 228729 */     GIR_EraseRootFromParent_Done,
     /* 228730 */   // Label 4527: @228730
     /* 228730 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(228775), // Rule ID 9174 //
     /* 228735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphs_wide),
     /* 228743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228759 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1323:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHS_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHS_WIDE_PPzZZ_S),
     /* 228762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228764 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228766 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228768 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228773 */     GIR_RootConstrainSelectedInstOperands,
     /* 228774 */     // GIR_Coverage, 9174,
     /* 228774 */     GIR_EraseRootFromParent_Done,
     /* 228775 */   // Label 4528: @228775
     /* 228775 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(228820), // Rule ID 9175 //
     /* 228780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphi_wide),
     /* 228788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228804 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1321:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHI_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHI_WIDE_PPzZZ_B),
     /* 228807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228809 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228811 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228813 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228818 */     GIR_RootConstrainSelectedInstOperands,
     /* 228819 */     // GIR_Coverage, 9175,
     /* 228819 */     GIR_EraseRootFromParent_Done,
     /* 228820 */   // Label 4529: @228820
     /* 228820 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(228865), // Rule ID 9176 //
     /* 228825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphi_wide),
     /* 228833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228849 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1321:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHI_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHI_WIDE_PPzZZ_H),
     /* 228852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228854 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228856 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228858 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228863 */     GIR_RootConstrainSelectedInstOperands,
     /* 228864 */     // GIR_Coverage, 9176,
     /* 228864 */     GIR_EraseRootFromParent_Done,
     /* 228865 */   // Label 4530: @228865
     /* 228865 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(228910), // Rule ID 9177 //
     /* 228870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmphi_wide),
     /* 228878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 228881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 228884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 228887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228894 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1321:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPHI_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPHI_WIDE_PPzZZ_S),
     /* 228897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228899 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228901 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228903 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228908 */     GIR_RootConstrainSelectedInstOperands,
     /* 228909 */     // GIR_Coverage, 9177,
     /* 228909 */     GIR_EraseRootFromParent_Done,
     /* 228910 */   // Label 4531: @228910
     /* 228910 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(228955), // Rule ID 9178 //
     /* 228915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplo_wide),
     /* 228923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 228926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 228929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 228932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228939 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1325:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLO_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLO_WIDE_PPzZZ_B),
     /* 228942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228946 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228948 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228953 */     GIR_RootConstrainSelectedInstOperands,
     /* 228954 */     // GIR_Coverage, 9178,
     /* 228954 */     GIR_EraseRootFromParent_Done,
     /* 228955 */   // Label 4532: @228955
     /* 228955 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(229000), // Rule ID 9179 //
     /* 228960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 228963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplo_wide),
     /* 228968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 228971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 228974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 228977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 228980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 228984 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1325:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLO_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 228984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLO_WIDE_PPzZZ_H),
     /* 228987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 228989 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 228991 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 228993 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 228995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 228998 */     GIR_RootConstrainSelectedInstOperands,
     /* 228999 */     // GIR_Coverage, 9179,
     /* 228999 */     GIR_EraseRootFromParent_Done,
     /* 229000 */   // Label 4533: @229000
     /* 229000 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(229045), // Rule ID 9180 //
     /* 229005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmplo_wide),
     /* 229013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 229016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229029 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1325:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLO_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLO_WIDE_PPzZZ_S),
     /* 229032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229034 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229036 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229038 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 229043 */     GIR_RootConstrainSelectedInstOperands,
     /* 229044 */     // GIR_Coverage, 9180,
     /* 229044 */     GIR_EraseRootFromParent_Done,
     /* 229045 */   // Label 4534: @229045
     /* 229045 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(229090), // Rule ID 9181 //
     /* 229050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpls_wide),
     /* 229058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 229061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229074 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1326:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLS_WIDE_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLS_WIDE_PPzZZ_B),
     /* 229077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229079 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229081 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229083 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 229088 */     GIR_RootConstrainSelectedInstOperands,
     /* 229089 */     // GIR_Coverage, 9181,
     /* 229089 */     GIR_EraseRootFromParent_Done,
     /* 229090 */   // Label 4535: @229090
     /* 229090 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(229135), // Rule ID 9182 //
     /* 229095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpls_wide),
     /* 229103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 229106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229119 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1326:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLS_WIDE_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLS_WIDE_PPzZZ_H),
     /* 229122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229124 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229126 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229128 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 229133 */     GIR_RootConstrainSelectedInstOperands,
     /* 229134 */     // GIR_Coverage, 9182,
     /* 229134 */     GIR_EraseRootFromParent_Done,
     /* 229135 */   // Label 4536: @229135
     /* 229135 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(229180), // Rule ID 9183 //
     /* 229140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_cmpls_wide),
     /* 229148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 229151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1326:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (CMPLS_WIDE_PPzZZ_S:{ *:[nxv4i1] }:{ *:[i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMPLS_WIDE_PPzZZ_S),
     /* 229167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229169 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229171 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229173 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 229178 */     GIR_RootConstrainSelectedInstOperands,
     /* 229179 */     // GIR_Coverage, 9183,
     /* 229179 */     GIR_EraseRootFromParent_Done,
     /* 229180 */   // Label 4537: @229180
     /* 229180 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(229222), // Rule ID 9580 //
     /* 229185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facgt),
     /* 229193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 229196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229209 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1362:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FACGT_PPzZZ_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 229209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT_PPzZZ_H),
     /* 229212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229214 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229216 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229218 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229220 */     GIR_RootConstrainSelectedInstOperands,
     /* 229221 */     // GIR_Coverage, 9580,
     /* 229221 */     GIR_EraseRootFromParent_Done,
     /* 229222 */   // Label 4538: @229222
     /* 229222 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(229264), // Rule ID 9581 //
     /* 229227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facgt),
     /* 229235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 229238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229251 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 1362:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FACGT_PPzZZ_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 229251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT_PPzZZ_S),
     /* 229254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229256 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229260 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229262 */     GIR_RootConstrainSelectedInstOperands,
     /* 229263 */     // GIR_Coverage, 9581,
     /* 229263 */     GIR_EraseRootFromParent_Done,
     /* 229264 */   // Label 4539: @229264
     /* 229264 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(229306), // Rule ID 9582 //
     /* 229269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_facgt),
     /* 229277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 229280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 229283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 229286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 229293 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 1362:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FACGT_PPzZZ_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 229293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGT_PPzZZ_D),
     /* 229296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 229298 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229300 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229302 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229304 */     GIR_RootConstrainSelectedInstOperands,
     /* 229305 */     // GIR_Coverage, 9582,
     /* 229305 */     GIR_EraseRootFromParent_Done,
     /* 229306 */   // Label 4540: @229306
     /* 229306 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(229348), // Rule ID 10120 //
     /* 229311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 229319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 229322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 229331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229335 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1593:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (LSR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 229335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_B),
     /* 229338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229344 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229346 */     GIR_RootConstrainSelectedInstOperands,
     /* 229347 */     // GIR_Coverage, 10120,
     /* 229347 */     GIR_EraseRootFromParent_Done,
     /* 229348 */   // Label 4541: @229348
     /* 229348 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(229390), // Rule ID 10121 //
     /* 229353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 229361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229377 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1593:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (LSR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 229377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_H),
     /* 229380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229382 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229384 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229386 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229388 */     GIR_RootConstrainSelectedInstOperands,
     /* 229389 */     // GIR_Coverage, 10121,
     /* 229389 */     GIR_EraseRootFromParent_Done,
     /* 229390 */   // Label 4542: @229390
     /* 229390 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(229432), // Rule ID 10122 //
     /* 229395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 229403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1593:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (LSR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 229419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_S),
     /* 229422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229424 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229426 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229428 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229430 */     GIR_RootConstrainSelectedInstOperands,
     /* 229431 */     // GIR_Coverage, 10122,
     /* 229431 */     GIR_EraseRootFromParent_Done,
     /* 229432 */   // Label 4543: @229432
     /* 229432 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(229474), // Rule ID 10123 //
     /* 229437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr),
     /* 229445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 229451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 229454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1593:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_ZPmZ_D),
     /* 229464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229468 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229470 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229472 */     GIR_RootConstrainSelectedInstOperands,
     /* 229473 */     // GIR_Coverage, 10123,
     /* 229473 */     GIR_EraseRootFromParent_Done,
     /* 229474 */   // Label 4544: @229474
     /* 229474 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(229516), // Rule ID 10124 //
     /* 229479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 229487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 229490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 229499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229503 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1590:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (LSL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 229503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_B),
     /* 229506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229508 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229510 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229512 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229514 */     GIR_RootConstrainSelectedInstOperands,
     /* 229515 */     // GIR_Coverage, 10124,
     /* 229515 */     GIR_EraseRootFromParent_Done,
     /* 229516 */   // Label 4545: @229516
     /* 229516 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(229558), // Rule ID 10125 //
     /* 229521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 229529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229545 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1590:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (LSL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 229545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_H),
     /* 229548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229550 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229554 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229556 */     GIR_RootConstrainSelectedInstOperands,
     /* 229557 */     // GIR_Coverage, 10125,
     /* 229557 */     GIR_EraseRootFromParent_Done,
     /* 229558 */   // Label 4546: @229558
     /* 229558 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(229600), // Rule ID 10126 //
     /* 229563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 229571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 229583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229587 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1590:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (LSL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 229587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_S),
     /* 229590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229592 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229594 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229596 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229598 */     GIR_RootConstrainSelectedInstOperands,
     /* 229599 */     // GIR_Coverage, 10126,
     /* 229599 */     GIR_EraseRootFromParent_Done,
     /* 229600 */   // Label 4547: @229600
     /* 229600 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(229642), // Rule ID 10127 //
     /* 229605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl),
     /* 229613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 229619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 229622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229629 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1590:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_ZPmZ_D),
     /* 229632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229634 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229636 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229638 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229640 */     GIR_RootConstrainSelectedInstOperands,
     /* 229641 */     // GIR_Coverage, 10127,
     /* 229641 */     GIR_EraseRootFromParent_Done,
     /* 229642 */   // Label 4548: @229642
     /* 229642 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(229684), // Rule ID 10140 //
     /* 229647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr_wide),
     /* 229655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 229658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229671 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1595:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_WIDE_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_WIDE_ZPmZ_B),
     /* 229674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229678 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229680 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229682 */     GIR_RootConstrainSelectedInstOperands,
     /* 229683 */     // GIR_Coverage, 10140,
     /* 229683 */     GIR_EraseRootFromParent_Done,
     /* 229684 */   // Label 4549: @229684
     /* 229684 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(229726), // Rule ID 10141 //
     /* 229689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr_wide),
     /* 229697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229713 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1595:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_WIDE_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_WIDE_ZPmZ_H),
     /* 229716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229720 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229722 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229724 */     GIR_RootConstrainSelectedInstOperands,
     /* 229725 */     // GIR_Coverage, 10141,
     /* 229725 */     GIR_EraseRootFromParent_Done,
     /* 229726 */   // Label 4550: @229726
     /* 229726 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(229768), // Rule ID 10142 //
     /* 229731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsr_wide),
     /* 229739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229755 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1595:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSR_WIDE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSR_WIDE_ZPmZ_S),
     /* 229758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229760 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229762 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229764 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229766 */     GIR_RootConstrainSelectedInstOperands,
     /* 229767 */     // GIR_Coverage, 10142,
     /* 229767 */     GIR_EraseRootFromParent_Done,
     /* 229768 */   // Label 4551: @229768
     /* 229768 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(229810), // Rule ID 10143 //
     /* 229773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl_wide),
     /* 229781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 229784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 229787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 229790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229797 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1592:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_WIDE_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_WIDE_ZPmZ_B),
     /* 229800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229802 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229804 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229806 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229808 */     GIR_RootConstrainSelectedInstOperands,
     /* 229809 */     // GIR_Coverage, 10143,
     /* 229809 */     GIR_EraseRootFromParent_Done,
     /* 229810 */   // Label 4552: @229810
     /* 229810 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(229852), // Rule ID 10144 //
     /* 229815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl_wide),
     /* 229823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 229829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 229832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229839 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1592:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_WIDE_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_WIDE_ZPmZ_H),
     /* 229842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229844 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229846 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229848 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229850 */     GIR_RootConstrainSelectedInstOperands,
     /* 229851 */     // GIR_Coverage, 10144,
     /* 229851 */     GIR_EraseRootFromParent_Done,
     /* 229852 */   // Label 4553: @229852
     /* 229852 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(229894), // Rule ID 10145 //
     /* 229857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_lsl_wide),
     /* 229865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 229871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 229874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229881 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1592:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (LSL_WIDE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 229881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSL_WIDE_ZPmZ_S),
     /* 229884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 229886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229888 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229890 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229892 */     GIR_RootConstrainSelectedInstOperands,
     /* 229893 */     // GIR_Coverage, 10145,
     /* 229893 */     GIR_EraseRootFromParent_Done,
     /* 229894 */   // Label 4554: @229894
     /* 229894 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(229936), // Rule ID 10172 //
     /* 229899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f16f64),
     /* 229907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 229910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 229913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 229919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229923 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1387:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVT_ZPmZ_DtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 229923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_DtoH),
     /* 229926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229930 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229932 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229934 */     GIR_RootConstrainSelectedInstOperands,
     /* 229935 */     // GIR_Coverage, 10172,
     /* 229935 */     GIR_EraseRootFromParent_Done,
     /* 229936 */   // Label 4555: @229936
     /* 229936 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(229978), // Rule ID 10176 //
     /* 229941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f64f16),
     /* 229949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 229952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 229955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 229958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 229961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 229965 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1390:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVT_ZPmZ_HtoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 229965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_HtoD),
     /* 229968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 229970 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 229972 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 229974 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 229976 */     GIR_RootConstrainSelectedInstOperands,
     /* 229977 */     // GIR_Coverage, 10176,
     /* 229977 */     GIR_EraseRootFromParent_Done,
     /* 229978 */   // Label 4556: @229978
     /* 229978 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(230020), // Rule ID 10180 //
     /* 229983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 229986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f32f64),
     /* 229991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 229994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 229997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230007 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1389:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVT_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 230007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_DtoS),
     /* 230010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230012 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230014 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230016 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230018 */     GIR_RootConstrainSelectedInstOperands,
     /* 230019 */     // GIR_Coverage, 10180,
     /* 230019 */     GIR_EraseRootFromParent_Done,
     /* 230020 */   // Label 4557: @230020
     /* 230020 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(230062), // Rule ID 10184 //
     /* 230025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvt_f64f32),
     /* 230033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230049 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1391:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVT_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 230049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVT_ZPmZ_StoD),
     /* 230052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230058 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230060 */     GIR_RootConstrainSelectedInstOperands,
     /* 230061 */     // GIR_Coverage, 10184,
     /* 230061 */     GIR_EraseRootFromParent_Done,
     /* 230062 */   // Label 4558: @230062
     /* 230062 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(230104), // Rule ID 10188 //
     /* 230067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f64i32),
     /* 230075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230091 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1703:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SCVTF_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_StoD),
     /* 230094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230098 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230100 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230102 */     GIR_RootConstrainSelectedInstOperands,
     /* 230103 */     // GIR_Coverage, 10188,
     /* 230103 */     GIR_EraseRootFromParent_Done,
     /* 230104 */   // Label 4559: @230104
     /* 230104 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(230146), // Rule ID 10189 //
     /* 230109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f64i32),
     /* 230117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230133 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1950:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UCVTF_ZPmZ_StoD:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_StoD),
     /* 230136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230138 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230140 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230142 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230144 */     GIR_RootConstrainSelectedInstOperands,
     /* 230145 */     // GIR_Coverage, 10189,
     /* 230145 */     GIR_EraseRootFromParent_Done,
     /* 230146 */   // Label 4560: @230146
     /* 230146 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(230188), // Rule ID 10190 //
     /* 230151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f16i32),
     /* 230159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 230168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230175 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1947:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UCVTF_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_StoH),
     /* 230178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230180 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230182 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230184 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230186 */     GIR_RootConstrainSelectedInstOperands,
     /* 230187 */     // GIR_Coverage, 10190,
     /* 230187 */     GIR_EraseRootFromParent_Done,
     /* 230188 */   // Label 4561: @230188
     /* 230188 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(230230), // Rule ID 10194 //
     /* 230193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f32i64),
     /* 230201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230217 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1702:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SCVTF_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_DtoS),
     /* 230220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230222 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230224 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230226 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230228 */     GIR_RootConstrainSelectedInstOperands,
     /* 230229 */     // GIR_Coverage, 10194,
     /* 230229 */     GIR_EraseRootFromParent_Done,
     /* 230230 */   // Label 4562: @230230
     /* 230230 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(230272), // Rule ID 10198 //
     /* 230235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f16i32),
     /* 230243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 230252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230259 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1700:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SCVTF_ZPmZ_StoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 230259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_StoH),
     /* 230262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230264 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230266 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230268 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230270 */     GIR_RootConstrainSelectedInstOperands,
     /* 230271 */     // GIR_Coverage, 10198,
     /* 230271 */     GIR_EraseRootFromParent_Done,
     /* 230272 */   // Label 4563: @230272
     /* 230272 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(230314), // Rule ID 10202 //
     /* 230277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_scvtf_f16i64),
     /* 230285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230301 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1701:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SCVTF_ZPmZ_DtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTF_ZPmZ_DtoH),
     /* 230304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230308 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230310 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230312 */     GIR_RootConstrainSelectedInstOperands,
     /* 230313 */     // GIR_Coverage, 10202,
     /* 230313 */     GIR_EraseRootFromParent_Done,
     /* 230314 */   // Label 4564: @230314
     /* 230314 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(230356), // Rule ID 10206 //
     /* 230319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f32i64),
     /* 230327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230343 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1949:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UCVTF_ZPmZ_DtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_DtoS),
     /* 230346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230348 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230350 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230352 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230354 */     GIR_RootConstrainSelectedInstOperands,
     /* 230355 */     // GIR_Coverage, 10206,
     /* 230355 */     GIR_EraseRootFromParent_Done,
     /* 230356 */   // Label 4565: @230356
     /* 230356 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(230398), // Rule ID 10210 //
     /* 230361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ucvtf_f16i64),
     /* 230369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230385 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1948:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UCVTF_ZPmZ_DtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 230385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTF_ZPmZ_DtoH),
     /* 230388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230390 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230392 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230394 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230396 */     GIR_RootConstrainSelectedInstOperands,
     /* 230397 */     // GIR_Coverage, 10210,
     /* 230397 */     GIR_EraseRootFromParent_Done,
     /* 230398 */   // Label 4566: @230398
     /* 230398 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(230440), // Rule ID 10220 //
     /* 230403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i32f64),
     /* 230411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1405:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTZS_ZPmZ_DtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 230427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_DtoS),
     /* 230430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230434 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230436 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230438 */     GIR_RootConstrainSelectedInstOperands,
     /* 230439 */     // GIR_Coverage, 10220,
     /* 230439 */     GIR_EraseRootFromParent_Done,
     /* 230440 */   // Label 4567: @230440
     /* 230440 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(230482), // Rule ID 10221 //
     /* 230445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i32f64),
     /* 230453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230469 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1412:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FCVTZU_ZPmZ_DtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 230469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_DtoS),
     /* 230472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230474 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230476 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230478 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230480 */     GIR_RootConstrainSelectedInstOperands,
     /* 230481 */     // GIR_Coverage, 10221,
     /* 230481 */     GIR_EraseRootFromParent_Done,
     /* 230482 */   // Label 4568: @230482
     /* 230482 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(230524), // Rule ID 10222 //
     /* 230487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i64f32),
     /* 230495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230511 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1407:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTZS_ZPmZ_StoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 230511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_StoD),
     /* 230514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230516 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230518 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230520 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230522 */     GIR_RootConstrainSelectedInstOperands,
     /* 230523 */     // GIR_Coverage, 10222,
     /* 230523 */     GIR_EraseRootFromParent_Done,
     /* 230524 */   // Label 4569: @230524
     /* 230524 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(230566), // Rule ID 10226 //
     /* 230529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i32f16),
     /* 230537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 230546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230553 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1404:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZS_ZPmZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 230553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_HtoS),
     /* 230556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230558 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230560 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230562 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230564 */     GIR_RootConstrainSelectedInstOperands,
     /* 230565 */     // GIR_Coverage, 10226,
     /* 230565 */     GIR_EraseRootFromParent_Done,
     /* 230566 */   // Label 4570: @230566
     /* 230566 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(230608), // Rule ID 10230 //
     /* 230571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzs_i64f16),
     /* 230579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230595 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1406:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZS_ZPmZ_HtoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 230595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZS_ZPmZ_HtoD),
     /* 230598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230600 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230602 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230604 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230606 */     GIR_RootConstrainSelectedInstOperands,
     /* 230607 */     // GIR_Coverage, 10230,
     /* 230607 */     GIR_EraseRootFromParent_Done,
     /* 230608 */   // Label 4571: @230608
     /* 230608 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(230650), // Rule ID 10234 //
     /* 230613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i32f16),
     /* 230621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 230630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230637 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1411:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZU_ZPmZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 230637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_HtoS),
     /* 230640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230644 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230646 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230648 */     GIR_RootConstrainSelectedInstOperands,
     /* 230649 */     // GIR_Coverage, 10234,
     /* 230649 */     GIR_EraseRootFromParent_Done,
     /* 230650 */   // Label 4572: @230650
     /* 230650 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(230692), // Rule ID 10238 //
     /* 230655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i64f16),
     /* 230663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230679 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1413:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FCVTZU_ZPmZ_HtoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 230679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_HtoD),
     /* 230682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230684 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230688 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230690 */     GIR_RootConstrainSelectedInstOperands,
     /* 230691 */     // GIR_Coverage, 10238,
     /* 230691 */     GIR_EraseRootFromParent_Done,
     /* 230692 */   // Label 4573: @230692
     /* 230692 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(230734), // Rule ID 10242 //
     /* 230697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 230700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fcvtzu_i64f32),
     /* 230705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 230714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230721 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1414:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FCVTZU_ZPmZ_StoD:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 230721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZU_ZPmZ_StoD),
     /* 230724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 230726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230730 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230732 */     GIR_RootConstrainSelectedInstOperands,
     /* 230733 */     // GIR_Coverage, 10242,
     /* 230733 */     GIR_EraseRootFromParent_Done,
     /* 230734 */   // Label 4574: @230734
     /* 230734 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(230776), // Rule ID 11239 //
     /* 230739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE),
     /* 230742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ummla),
     /* 230747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230763 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1989:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMMLA_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMMLA_ZZZ),
     /* 230766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230768 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230770 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230772 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230774 */     GIR_RootConstrainSelectedInstOperands,
     /* 230775 */     // GIR_Coverage, 11239,
     /* 230775 */     GIR_EraseRootFromParent_Done,
     /* 230776 */   // Label 4575: @230776
     /* 230776 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(230818), // Rule ID 11240 //
     /* 230781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE),
     /* 230784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usmmla),
     /* 230789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2060:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (USMMLA_ZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMMLA_ZZZ),
     /* 230808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230814 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230816 */     GIR_RootConstrainSelectedInstOperands,
     /* 230817 */     // GIR_Coverage, 11240,
     /* 230817 */     GIR_EraseRootFromParent_Done,
     /* 230818 */   // Label 4576: @230818
     /* 230818 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(230860), // Rule ID 11242 //
     /* 230823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP32_HasSVE),
     /* 230826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmmla),
     /* 230831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 230834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 230837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 230840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 230843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230847 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1475:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMMLA_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 230847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMMLA_ZZZ_S),
     /* 230850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230852 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230854 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230856 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230858 */     GIR_RootConstrainSelectedInstOperands,
     /* 230859 */     // GIR_Coverage, 11242,
     /* 230859 */     GIR_EraseRootFromParent_Done,
     /* 230860 */   // Label 4577: @230860
     /* 230860 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(230902), // Rule ID 11243 //
     /* 230865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulFP64_HasSVE),
     /* 230868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmmla),
     /* 230873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 230876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 230879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 230882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 230885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230889 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1475:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMMLA_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 230889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMMLA_ZZZ_D),
     /* 230892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230894 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230896 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230898 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230900 */     GIR_RootConstrainSelectedInstOperands,
     /* 230901 */     // GIR_Coverage, 11243,
     /* 230901 */     GIR_EraseRootFromParent_Done,
     /* 230902 */   // Label 4578: @230902
     /* 230902 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(230944), // Rule ID 11297 //
     /* 230907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 230915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 230918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 230921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 230924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 230927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230931 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1824:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQRDMLSH_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 230931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_B),
     /* 230934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230940 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230942 */     GIR_RootConstrainSelectedInstOperands,
     /* 230943 */     // GIR_Coverage, 11297,
     /* 230943 */     GIR_EraseRootFromParent_Done,
     /* 230944 */   // Label 4579: @230944
     /* 230944 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(230986), // Rule ID 11298 //
     /* 230949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 230957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 230960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 230963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 230966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 230969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 230973 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1824:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQRDMLSH_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 230973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_H),
     /* 230976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 230978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 230980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 230982 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 230984 */     GIR_RootConstrainSelectedInstOperands,
     /* 230985 */     // GIR_Coverage, 11298,
     /* 230985 */     GIR_EraseRootFromParent_Done,
     /* 230986 */   // Label 4580: @230986
     /* 230986 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(231028), // Rule ID 11299 //
     /* 230991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 230994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 230999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231015 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1824:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQRDMLSH_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_S),
     /* 231018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231024 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231026 */     GIR_RootConstrainSelectedInstOperands,
     /* 231027 */     // GIR_Coverage, 11299,
     /* 231027 */     GIR_EraseRootFromParent_Done,
     /* 231028 */   // Label 4581: @231028
     /* 231028 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(231070), // Rule ID 11300 //
     /* 231033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh),
     /* 231041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 231050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 231053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231057 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1824:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQRDMLSH_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 231057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZ_D),
     /* 231060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231062 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231064 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231066 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231068 */     GIR_RootConstrainSelectedInstOperands,
     /* 231069 */     // GIR_Coverage, 11300,
     /* 231069 */     GIR_EraseRootFromParent_Done,
     /* 231070 */   // Label 4582: @231070
     /* 231070 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(231112), // Rule ID 11353 //
     /* 231075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt),
     /* 231083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1745:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZ_H),
     /* 231102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231104 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231106 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231108 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231110 */     GIR_RootConstrainSelectedInstOperands,
     /* 231111 */     // GIR_Coverage, 11353,
     /* 231111 */     GIR_EraseRootFromParent_Done,
     /* 231112 */   // Label 4583: @231112
     /* 231112 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(231154), // Rule ID 11354 //
     /* 231117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt),
     /* 231125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231141 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1745:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZ_S),
     /* 231144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231150 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231152 */     GIR_RootConstrainSelectedInstOperands,
     /* 231153 */     // GIR_Coverage, 11354,
     /* 231153 */     GIR_EraseRootFromParent_Done,
     /* 231154 */   // Label 4584: @231154
     /* 231154 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(231196), // Rule ID 11355 //
     /* 231159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt),
     /* 231167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231183 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1745:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZ_D),
     /* 231186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231192 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231194 */     GIR_RootConstrainSelectedInstOperands,
     /* 231195 */     // GIR_Coverage, 11355,
     /* 231195 */     GIR_EraseRootFromParent_Done,
     /* 231196 */   // Label 4585: @231196
     /* 231196 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(231238), // Rule ID 11356 //
     /* 231201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb),
     /* 231209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231225 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1981:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZ_H),
     /* 231228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231234 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231236 */     GIR_RootConstrainSelectedInstOperands,
     /* 231237 */     // GIR_Coverage, 11356,
     /* 231237 */     GIR_EraseRootFromParent_Done,
     /* 231238 */   // Label 4586: @231238
     /* 231238 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(231280), // Rule ID 11357 //
     /* 231243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb),
     /* 231251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1981:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZ_S),
     /* 231270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231276 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231278 */     GIR_RootConstrainSelectedInstOperands,
     /* 231279 */     // GIR_Coverage, 11357,
     /* 231279 */     GIR_EraseRootFromParent_Done,
     /* 231280 */   // Label 4587: @231280
     /* 231280 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(231322), // Rule ID 11358 //
     /* 231285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb),
     /* 231293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231309 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1981:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZ_D),
     /* 231312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231318 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231320 */     GIR_RootConstrainSelectedInstOperands,
     /* 231321 */     // GIR_Coverage, 11358,
     /* 231321 */     GIR_EraseRootFromParent_Done,
     /* 231322 */   // Label 4588: @231322
     /* 231322 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(231364), // Rule ID 11359 //
     /* 231327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt),
     /* 231335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231351 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1983:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZ_H),
     /* 231354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231358 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231360 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231362 */     GIR_RootConstrainSelectedInstOperands,
     /* 231363 */     // GIR_Coverage, 11359,
     /* 231363 */     GIR_EraseRootFromParent_Done,
     /* 231364 */   // Label 4589: @231364
     /* 231364 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(231406), // Rule ID 11360 //
     /* 231369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt),
     /* 231377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231393 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1983:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZ_S),
     /* 231396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231402 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231404 */     GIR_RootConstrainSelectedInstOperands,
     /* 231405 */     // GIR_Coverage, 11360,
     /* 231405 */     GIR_EraseRootFromParent_Done,
     /* 231406 */   // Label 4590: @231406
     /* 231406 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(231448), // Rule ID 11361 //
     /* 231411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt),
     /* 231419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231435 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1983:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZ_D),
     /* 231438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231444 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231446 */     GIR_RootConstrainSelectedInstOperands,
     /* 231447 */     // GIR_Coverage, 11361,
     /* 231447 */     GIR_EraseRootFromParent_Done,
     /* 231448 */   // Label 4591: @231448
     /* 231448 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(231490), // Rule ID 11362 //
     /* 231453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb),
     /* 231461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231477 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1747:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLSLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZ_H),
     /* 231480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231486 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231488 */     GIR_RootConstrainSelectedInstOperands,
     /* 231489 */     // GIR_Coverage, 11362,
     /* 231489 */     GIR_EraseRootFromParent_Done,
     /* 231490 */   // Label 4592: @231490
     /* 231490 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(231532), // Rule ID 11363 //
     /* 231495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb),
     /* 231503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1747:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLSLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZ_S),
     /* 231522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231526 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231528 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231530 */     GIR_RootConstrainSelectedInstOperands,
     /* 231531 */     // GIR_Coverage, 11363,
     /* 231531 */     GIR_EraseRootFromParent_Done,
     /* 231532 */   // Label 4593: @231532
     /* 231532 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(231574), // Rule ID 11364 //
     /* 231537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb),
     /* 231545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231561 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1747:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLSLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZ_D),
     /* 231564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231568 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231570 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231572 */     GIR_RootConstrainSelectedInstOperands,
     /* 231573 */     // GIR_Coverage, 11364,
     /* 231573 */     GIR_EraseRootFromParent_Done,
     /* 231574 */   // Label 4594: @231574
     /* 231574 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(231616), // Rule ID 11365 //
     /* 231579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt),
     /* 231587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231603 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1749:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMLSLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZ_H),
     /* 231606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231612 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231614 */     GIR_RootConstrainSelectedInstOperands,
     /* 231615 */     // GIR_Coverage, 11365,
     /* 231615 */     GIR_EraseRootFromParent_Done,
     /* 231616 */   // Label 4595: @231616
     /* 231616 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(231658), // Rule ID 11366 //
     /* 231621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt),
     /* 231629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231645 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1749:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMLSLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZ_S),
     /* 231648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231654 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231656 */     GIR_RootConstrainSelectedInstOperands,
     /* 231657 */     // GIR_Coverage, 11366,
     /* 231657 */     GIR_EraseRootFromParent_Done,
     /* 231658 */   // Label 4596: @231658
     /* 231658 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(231700), // Rule ID 11367 //
     /* 231663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt),
     /* 231671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231687 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1749:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMLSLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZ_D),
     /* 231690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231696 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231698 */     GIR_RootConstrainSelectedInstOperands,
     /* 231699 */     // GIR_Coverage, 11367,
     /* 231699 */     GIR_EraseRootFromParent_Done,
     /* 231700 */   // Label 4597: @231700
     /* 231700 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(231742), // Rule ID 11368 //
     /* 231705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb),
     /* 231713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231729 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1985:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLSLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZ_H),
     /* 231732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231736 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231738 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231740 */     GIR_RootConstrainSelectedInstOperands,
     /* 231741 */     // GIR_Coverage, 11368,
     /* 231741 */     GIR_EraseRootFromParent_Done,
     /* 231742 */   // Label 4598: @231742
     /* 231742 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(231784), // Rule ID 11369 //
     /* 231747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb),
     /* 231755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1985:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLSLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZ_S),
     /* 231774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231778 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231780 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231782 */     GIR_RootConstrainSelectedInstOperands,
     /* 231783 */     // GIR_Coverage, 11369,
     /* 231783 */     GIR_EraseRootFromParent_Done,
     /* 231784 */   // Label 4599: @231784
     /* 231784 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(231826), // Rule ID 11370 //
     /* 231789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb),
     /* 231797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231813 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1985:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLSLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZ_D),
     /* 231816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231820 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231822 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231824 */     GIR_RootConstrainSelectedInstOperands,
     /* 231825 */     // GIR_Coverage, 11370,
     /* 231825 */     GIR_EraseRootFromParent_Done,
     /* 231826 */   // Label 4600: @231826
     /* 231826 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(231868), // Rule ID 11371 //
     /* 231831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt),
     /* 231839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231855 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1987:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMLSLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZ_H),
     /* 231858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231862 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231864 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231866 */     GIR_RootConstrainSelectedInstOperands,
     /* 231867 */     // GIR_Coverage, 11371,
     /* 231867 */     GIR_EraseRootFromParent_Done,
     /* 231868 */   // Label 4601: @231868
     /* 231868 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(231910), // Rule ID 11372 //
     /* 231873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt),
     /* 231881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 231884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 231887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 231890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 231893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1987:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMLSLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 231897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZ_S),
     /* 231900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231902 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231904 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231906 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231908 */     GIR_RootConstrainSelectedInstOperands,
     /* 231909 */     // GIR_Coverage, 11372,
     /* 231909 */     GIR_EraseRootFromParent_Done,
     /* 231910 */   // Label 4602: @231910
     /* 231910 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(231952), // Rule ID 11373 //
     /* 231915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt),
     /* 231923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 231926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 231929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 231932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 231935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231939 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1987:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMLSLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 231939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZ_D),
     /* 231942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231946 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231948 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231950 */     GIR_RootConstrainSelectedInstOperands,
     /* 231951 */     // GIR_Coverage, 11373,
     /* 231951 */     GIR_EraseRootFromParent_Done,
     /* 231952 */   // Label 4603: @231952
     /* 231952 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(231994), // Rule ID 11382 //
     /* 231957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 231960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb),
     /* 231965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 231968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 231971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 231974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 231977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 231981 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1785:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 231981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZ_H),
     /* 231984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 231986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 231988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 231990 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 231992 */     GIR_RootConstrainSelectedInstOperands,
     /* 231993 */     // GIR_Coverage, 11382,
     /* 231993 */     GIR_EraseRootFromParent_Done,
     /* 231994 */   // Label 4604: @231994
     /* 231994 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(232036), // Rule ID 11383 //
     /* 231999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb),
     /* 232007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232023 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1785:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZ_S),
     /* 232026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232032 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232034 */     GIR_RootConstrainSelectedInstOperands,
     /* 232035 */     // GIR_Coverage, 11383,
     /* 232035 */     GIR_EraseRootFromParent_Done,
     /* 232036 */   // Label 4605: @232036
     /* 232036 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(232078), // Rule ID 11384 //
     /* 232041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb),
     /* 232049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232065 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1785:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZ_D),
     /* 232068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232074 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232076 */     GIR_RootConstrainSelectedInstOperands,
     /* 232077 */     // GIR_Coverage, 11384,
     /* 232077 */     GIR_EraseRootFromParent_Done,
     /* 232078 */   // Label 4606: @232078
     /* 232078 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(232120), // Rule ID 11385 //
     /* 232083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt),
     /* 232091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232107 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1788:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZ_H),
     /* 232110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232116 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232118 */     GIR_RootConstrainSelectedInstOperands,
     /* 232119 */     // GIR_Coverage, 11385,
     /* 232119 */     GIR_EraseRootFromParent_Done,
     /* 232120 */   // Label 4607: @232120
     /* 232120 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(232162), // Rule ID 11386 //
     /* 232125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt),
     /* 232133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232149 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1788:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZ_S),
     /* 232152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232154 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232156 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232158 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232160 */     GIR_RootConstrainSelectedInstOperands,
     /* 232161 */     // GIR_Coverage, 11386,
     /* 232161 */     GIR_EraseRootFromParent_Done,
     /* 232162 */   // Label 4608: @232162
     /* 232162 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(232204), // Rule ID 11387 //
     /* 232167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt),
     /* 232175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232191 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1788:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZ_D),
     /* 232194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232200 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232202 */     GIR_RootConstrainSelectedInstOperands,
     /* 232203 */     // GIR_Coverage, 11387,
     /* 232203 */     GIR_EraseRootFromParent_Done,
     /* 232204 */   // Label 4609: @232204
     /* 232204 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(232246), // Rule ID 11388 //
     /* 232209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb),
     /* 232217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1790:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLSLB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZ_H),
     /* 232236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232238 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232240 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232242 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232244 */     GIR_RootConstrainSelectedInstOperands,
     /* 232245 */     // GIR_Coverage, 11388,
     /* 232245 */     GIR_EraseRootFromParent_Done,
     /* 232246 */   // Label 4610: @232246
     /* 232246 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(232288), // Rule ID 11389 //
     /* 232251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb),
     /* 232259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232275 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1790:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLSLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZ_S),
     /* 232278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232280 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232282 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232284 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232286 */     GIR_RootConstrainSelectedInstOperands,
     /* 232287 */     // GIR_Coverage, 11389,
     /* 232287 */     GIR_EraseRootFromParent_Done,
     /* 232288 */   // Label 4611: @232288
     /* 232288 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(232330), // Rule ID 11390 //
     /* 232293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb),
     /* 232301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1790:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLSLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZ_D),
     /* 232320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232322 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232324 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232326 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232328 */     GIR_RootConstrainSelectedInstOperands,
     /* 232329 */     // GIR_Coverage, 11390,
     /* 232329 */     GIR_EraseRootFromParent_Done,
     /* 232330 */   // Label 4612: @232330
     /* 232330 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(232372), // Rule ID 11391 //
     /* 232335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt),
     /* 232343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232359 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1793:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLSLT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZ_H),
     /* 232362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232366 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232368 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232370 */     GIR_RootConstrainSelectedInstOperands,
     /* 232371 */     // GIR_Coverage, 11391,
     /* 232371 */     GIR_EraseRootFromParent_Done,
     /* 232372 */   // Label 4613: @232372
     /* 232372 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(232414), // Rule ID 11392 //
     /* 232377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt),
     /* 232385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232401 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1793:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLSLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZ_S),
     /* 232404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232406 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232408 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232410 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232412 */     GIR_RootConstrainSelectedInstOperands,
     /* 232413 */     // GIR_Coverage, 11392,
     /* 232413 */     GIR_EraseRootFromParent_Done,
     /* 232414 */   // Label 4614: @232414
     /* 232414 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(232456), // Rule ID 11393 //
     /* 232419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt),
     /* 232427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232443 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1793:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLSLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZ_D),
     /* 232446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232448 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232450 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232452 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232454 */     GIR_RootConstrainSelectedInstOperands,
     /* 232455 */     // GIR_Coverage, 11393,
     /* 232455 */     GIR_EraseRootFromParent_Done,
     /* 232456 */   // Label 4615: @232456
     /* 232456 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(232498), // Rule ID 11394 //
     /* 232461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalbt),
     /* 232469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232485 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1787:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLALBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALBT_ZZZ_H),
     /* 232488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232490 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232494 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232496 */     GIR_RootConstrainSelectedInstOperands,
     /* 232497 */     // GIR_Coverage, 11394,
     /* 232497 */     GIR_EraseRootFromParent_Done,
     /* 232498 */   // Label 4616: @232498
     /* 232498 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(232540), // Rule ID 11395 //
     /* 232503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalbt),
     /* 232511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1787:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLALBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALBT_ZZZ_S),
     /* 232530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232532 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232534 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232536 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232538 */     GIR_RootConstrainSelectedInstOperands,
     /* 232539 */     // GIR_Coverage, 11395,
     /* 232539 */     GIR_EraseRootFromParent_Done,
     /* 232540 */   // Label 4617: @232540
     /* 232540 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(232582), // Rule ID 11396 //
     /* 232545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalbt),
     /* 232553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232569 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1787:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLALBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALBT_ZZZ_D),
     /* 232572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232576 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232578 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232580 */     GIR_RootConstrainSelectedInstOperands,
     /* 232581 */     // GIR_Coverage, 11396,
     /* 232581 */     GIR_EraseRootFromParent_Done,
     /* 232582 */   // Label 4618: @232582
     /* 232582 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(232624), // Rule ID 11397 //
     /* 232587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslbt),
     /* 232595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 232601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232611 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1792:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQDMLSLBT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLBT_ZZZ_H),
     /* 232614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232616 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232618 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232620 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232622 */     GIR_RootConstrainSelectedInstOperands,
     /* 232623 */     // GIR_Coverage, 11397,
     /* 232623 */     GIR_EraseRootFromParent_Done,
     /* 232624 */   // Label 4619: @232624
     /* 232624 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(232666), // Rule ID 11398 //
     /* 232629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslbt),
     /* 232637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 232643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232653 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1792:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQDMLSLBT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLBT_ZZZ_S),
     /* 232656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232658 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232660 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232662 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232664 */     GIR_RootConstrainSelectedInstOperands,
     /* 232665 */     // GIR_Coverage, 11398,
     /* 232665 */     GIR_EraseRootFromParent_Done,
     /* 232666 */   // Label 4620: @232666
     /* 232666 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(232708), // Rule ID 11399 //
     /* 232671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslbt),
     /* 232679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 232685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232695 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1792:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQDMLSLBT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLBT_ZZZ_D),
     /* 232698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 232700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232702 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232704 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232706 */     GIR_RootConstrainSelectedInstOperands,
     /* 232707 */     // GIR_Coverage, 11399,
     /* 232707 */     GIR_EraseRootFromParent_Done,
     /* 232708 */   // Label 4621: @232708
     /* 232708 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(232750), // Rule ID 11400 //
     /* 232713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 232721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 232724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 232727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232737 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1960:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_B),
     /* 232740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232742 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232744 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232746 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232748 */     GIR_RootConstrainSelectedInstOperands,
     /* 232749 */     // GIR_Coverage, 11400,
     /* 232749 */     GIR_EraseRootFromParent_Done,
     /* 232750 */   // Label 4622: @232750
     /* 232750 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(232792), // Rule ID 11402 //
     /* 232755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 232763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 232769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232779 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1960:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_H),
     /* 232782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232786 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232788 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232790 */     GIR_RootConstrainSelectedInstOperands,
     /* 232791 */     // GIR_Coverage, 11402,
     /* 232791 */     GIR_EraseRootFromParent_Done,
     /* 232792 */   // Label 4623: @232792
     /* 232792 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(232834), // Rule ID 11404 //
     /* 232797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 232805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 232811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1960:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_S),
     /* 232824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232826 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232830 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232832 */     GIR_RootConstrainSelectedInstOperands,
     /* 232833 */     // GIR_Coverage, 11404,
     /* 232833 */     GIR_EraseRootFromParent_Done,
     /* 232834 */   // Label 4624: @232834
     /* 232834 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(232876), // Rule ID 11406 //
     /* 232839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhadd),
     /* 232847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 232850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 232853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 232856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 232859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232863 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1960:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 232863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHADD_ZPmZ_D),
     /* 232866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232870 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232872 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232874 */     GIR_RootConstrainSelectedInstOperands,
     /* 232875 */     // GIR_Coverage, 11406,
     /* 232875 */     GIR_EraseRootFromParent_Done,
     /* 232876 */   // Label 4625: @232876
     /* 232876 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(232918), // Rule ID 11408 //
     /* 232881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 232889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 232892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 232895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 232898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 232901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232905 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1720:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SHSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 232905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_B),
     /* 232908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232914 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232916 */     GIR_RootConstrainSelectedInstOperands,
     /* 232917 */     // GIR_Coverage, 11408,
     /* 232917 */     GIR_EraseRootFromParent_Done,
     /* 232918 */   // Label 4626: @232918
     /* 232918 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(232960), // Rule ID 11409 //
     /* 232923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 232931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 232934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 232937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 232940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 232943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1720:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SHSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 232947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_H),
     /* 232950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232952 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232954 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232956 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 232958 */     GIR_RootConstrainSelectedInstOperands,
     /* 232959 */     // GIR_Coverage, 11409,
     /* 232959 */     GIR_EraseRootFromParent_Done,
     /* 232960 */   // Label 4627: @232960
     /* 232960 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(233002), // Rule ID 11410 //
     /* 232965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 232968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 232973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 232976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 232979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 232982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 232985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 232989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1720:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SHSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 232989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_S),
     /* 232992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 232994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 232996 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 232998 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233000 */     GIR_RootConstrainSelectedInstOperands,
     /* 233001 */     // GIR_Coverage, 11410,
     /* 233001 */     GIR_EraseRootFromParent_Done,
     /* 233002 */   // Label 4628: @233002
     /* 233002 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(233044), // Rule ID 11411 //
     /* 233007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsub),
     /* 233015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233031 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1720:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SHSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUB_ZPmZ_D),
     /* 233034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233036 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233038 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233040 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233042 */     GIR_RootConstrainSelectedInstOperands,
     /* 233043 */     // GIR_Coverage, 11411,
     /* 233043 */     GIR_EraseRootFromParent_Done,
     /* 233044 */   // Label 4629: @233044
     /* 233044 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(233086), // Rule ID 11412 //
     /* 233049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 233057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233073 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1961:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UHSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_B),
     /* 233076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233078 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233080 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233082 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233084 */     GIR_RootConstrainSelectedInstOperands,
     /* 233085 */     // GIR_Coverage, 11412,
     /* 233085 */     GIR_EraseRootFromParent_Done,
     /* 233086 */   // Label 4630: @233086
     /* 233086 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(233128), // Rule ID 11413 //
     /* 233091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 233099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233115 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1961:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UHSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_H),
     /* 233118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233120 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233122 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233124 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233126 */     GIR_RootConstrainSelectedInstOperands,
     /* 233127 */     // GIR_Coverage, 11413,
     /* 233127 */     GIR_EraseRootFromParent_Done,
     /* 233128 */   // Label 4631: @233128
     /* 233128 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(233170), // Rule ID 11414 //
     /* 233133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 233141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233157 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1961:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UHSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_S),
     /* 233160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233164 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233166 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233168 */     GIR_RootConstrainSelectedInstOperands,
     /* 233169 */     // GIR_Coverage, 11414,
     /* 233169 */     GIR_EraseRootFromParent_Done,
     /* 233170 */   // Label 4632: @233170
     /* 233170 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(233212), // Rule ID 11415 //
     /* 233175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsub),
     /* 233183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233199 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1961:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UHSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUB_ZPmZ_D),
     /* 233202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233204 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233206 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233208 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233210 */     GIR_RootConstrainSelectedInstOperands,
     /* 233211 */     // GIR_Coverage, 11415,
     /* 233211 */     GIR_EraseRootFromParent_Done,
     /* 233212 */   // Label 4633: @233212
     /* 233212 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(233254), // Rule ID 11416 //
     /* 233217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 233225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233241 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1855:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SRHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_B),
     /* 233244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233248 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233250 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233252 */     GIR_RootConstrainSelectedInstOperands,
     /* 233253 */     // GIR_Coverage, 11416,
     /* 233253 */     GIR_EraseRootFromParent_Done,
     /* 233254 */   // Label 4634: @233254
     /* 233254 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(233296), // Rule ID 11418 //
     /* 233259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 233267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233283 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1855:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SRHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_H),
     /* 233286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233288 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233290 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233292 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233294 */     GIR_RootConstrainSelectedInstOperands,
     /* 233295 */     // GIR_Coverage, 11418,
     /* 233295 */     GIR_EraseRootFromParent_Done,
     /* 233296 */   // Label 4635: @233296
     /* 233296 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(233338), // Rule ID 11420 //
     /* 233301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 233309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233325 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1855:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SRHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_S),
     /* 233328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233334 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233336 */     GIR_RootConstrainSelectedInstOperands,
     /* 233337 */     // GIR_Coverage, 11420,
     /* 233337 */     GIR_EraseRootFromParent_Done,
     /* 233338 */   // Label 4636: @233338
     /* 233338 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(233380), // Rule ID 11422 //
     /* 233343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srhadd),
     /* 233351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233367 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1855:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SRHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRHADD_ZPmZ_D),
     /* 233370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233372 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233374 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233376 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233378 */     GIR_RootConstrainSelectedInstOperands,
     /* 233379 */     // GIR_Coverage, 11422,
     /* 233379 */     GIR_EraseRootFromParent_Done,
     /* 233380 */   // Label 4637: @233380
     /* 233380 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(233422), // Rule ID 11424 //
     /* 233385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 233393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233409 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2047:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (URHADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_B),
     /* 233412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233414 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233416 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233418 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233420 */     GIR_RootConstrainSelectedInstOperands,
     /* 233421 */     // GIR_Coverage, 11424,
     /* 233421 */     GIR_EraseRootFromParent_Done,
     /* 233422 */   // Label 4638: @233422
     /* 233422 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(233464), // Rule ID 11426 //
     /* 233427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 233435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233451 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2047:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (URHADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_H),
     /* 233454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233460 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233462 */     GIR_RootConstrainSelectedInstOperands,
     /* 233463 */     // GIR_Coverage, 11426,
     /* 233463 */     GIR_EraseRootFromParent_Done,
     /* 233464 */   // Label 4639: @233464
     /* 233464 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(233506), // Rule ID 11428 //
     /* 233469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 233477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233493 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2047:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URHADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_S),
     /* 233496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233498 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233500 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233502 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233504 */     GIR_RootConstrainSelectedInstOperands,
     /* 233505 */     // GIR_Coverage, 11428,
     /* 233505 */     GIR_EraseRootFromParent_Done,
     /* 233506 */   // Label 4640: @233506
     /* 233506 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(233548), // Rule ID 11430 //
     /* 233511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urhadd),
     /* 233519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233535 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2047:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (URHADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URHADD_ZPmZ_D),
     /* 233538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233542 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233544 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233546 */     GIR_RootConstrainSelectedInstOperands,
     /* 233547 */     // GIR_Coverage, 11430,
     /* 233547 */     GIR_EraseRootFromParent_Done,
     /* 233548 */   // Label 4641: @233548
     /* 233548 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(233590), // Rule ID 11432 //
     /* 233553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 233561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233577 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1721:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SHSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_B),
     /* 233580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233584 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233586 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233588 */     GIR_RootConstrainSelectedInstOperands,
     /* 233589 */     // GIR_Coverage, 11432,
     /* 233589 */     GIR_EraseRootFromParent_Done,
     /* 233590 */   // Label 4642: @233590
     /* 233590 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(233632), // Rule ID 11433 //
     /* 233595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 233603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233619 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1721:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SHSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_H),
     /* 233622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233626 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233628 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233630 */     GIR_RootConstrainSelectedInstOperands,
     /* 233631 */     // GIR_Coverage, 11433,
     /* 233631 */     GIR_EraseRootFromParent_Done,
     /* 233632 */   // Label 4643: @233632
     /* 233632 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(233674), // Rule ID 11434 //
     /* 233637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 233645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233661 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1721:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SHSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_S),
     /* 233664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233666 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233668 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233670 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233672 */     GIR_RootConstrainSelectedInstOperands,
     /* 233673 */     // GIR_Coverage, 11434,
     /* 233673 */     GIR_EraseRootFromParent_Done,
     /* 233674 */   // Label 4644: @233674
     /* 233674 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(233716), // Rule ID 11435 //
     /* 233679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_shsubr),
     /* 233687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233703 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1721:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SHSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHSUBR_ZPmZ_D),
     /* 233706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233708 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233710 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233712 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233714 */     GIR_RootConstrainSelectedInstOperands,
     /* 233715 */     // GIR_Coverage, 11435,
     /* 233715 */     GIR_EraseRootFromParent_Done,
     /* 233716 */   // Label 4645: @233716
     /* 233716 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(233758), // Rule ID 11436 //
     /* 233721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 233729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 233732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 233735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 233738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233745 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1962:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UHSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_B),
     /* 233748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233750 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233752 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233754 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233756 */     GIR_RootConstrainSelectedInstOperands,
     /* 233757 */     // GIR_Coverage, 11436,
     /* 233757 */     GIR_EraseRootFromParent_Done,
     /* 233758 */   // Label 4646: @233758
     /* 233758 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(233800), // Rule ID 11437 //
     /* 233763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 233771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233787 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1962:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UHSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_H),
     /* 233790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233792 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233794 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233796 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233798 */     GIR_RootConstrainSelectedInstOperands,
     /* 233799 */     // GIR_Coverage, 11437,
     /* 233799 */     GIR_EraseRootFromParent_Done,
     /* 233800 */   // Label 4647: @233800
     /* 233800 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(233842), // Rule ID 11438 //
     /* 233805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 233813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233829 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1962:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UHSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_S),
     /* 233832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233834 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233836 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233838 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233840 */     GIR_RootConstrainSelectedInstOperands,
     /* 233841 */     // GIR_Coverage, 11438,
     /* 233841 */     GIR_EraseRootFromParent_Done,
     /* 233842 */   // Label 4648: @233842
     /* 233842 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(233884), // Rule ID 11439 //
     /* 233847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uhsubr),
     /* 233855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 233867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233871 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1962:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UHSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 233871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UHSUBR_ZPmZ_D),
     /* 233874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 233876 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233878 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233880 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233882 */     GIR_RootConstrainSelectedInstOperands,
     /* 233883 */     // GIR_Coverage, 11439,
     /* 233883 */     GIR_EraseRootFromParent_Done,
     /* 233884 */   // Label 4649: @233884
     /* 233884 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(233926), // Rule ID 11440 //
     /* 233889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uadalp),
     /* 233897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 233900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 233903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 233906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 233909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233913 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1937:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UADALP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 233913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALP_ZPmZ_H),
     /* 233916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 233918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233920 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233922 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233924 */     GIR_RootConstrainSelectedInstOperands,
     /* 233925 */     // GIR_Coverage, 11440,
     /* 233925 */     GIR_EraseRootFromParent_Done,
     /* 233926 */   // Label 4650: @233926
     /* 233926 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(233968), // Rule ID 11441 //
     /* 233931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uadalp),
     /* 233939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 233942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 233945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 233948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 233951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233955 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1937:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UADALP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 233955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALP_ZPmZ_S),
     /* 233958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 233960 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 233962 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 233964 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 233966 */     GIR_RootConstrainSelectedInstOperands,
     /* 233967 */     // GIR_Coverage, 11441,
     /* 233967 */     GIR_EraseRootFromParent_Done,
     /* 233968 */   // Label 4651: @233968
     /* 233968 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(234010), // Rule ID 11442 //
     /* 233973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 233976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uadalp),
     /* 233981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 233984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 233987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 233990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 233993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 233997 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1937:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UADALP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 233997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADALP_ZPmZ_D),
     /* 234000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 234002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234004 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234006 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234008 */     GIR_RootConstrainSelectedInstOperands,
     /* 234009 */     // GIR_Coverage, 11442,
     /* 234009 */     GIR_EraseRootFromParent_Done,
     /* 234010 */   // Label 4652: @234010
     /* 234010 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(234052), // Rule ID 11443 //
     /* 234015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 234023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234039 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1252:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (ADDP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_B),
     /* 234042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234044 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234048 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234050 */     GIR_RootConstrainSelectedInstOperands,
     /* 234051 */     // GIR_Coverage, 11443,
     /* 234051 */     GIR_EraseRootFromParent_Done,
     /* 234052 */   // Label 4653: @234052
     /* 234052 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(234094), // Rule ID 11444 //
     /* 234057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 234065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234081 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1252:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (ADDP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_H),
     /* 234084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234086 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234090 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234092 */     GIR_RootConstrainSelectedInstOperands,
     /* 234093 */     // GIR_Coverage, 11444,
     /* 234093 */     GIR_EraseRootFromParent_Done,
     /* 234094 */   // Label 4654: @234094
     /* 234094 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(234136), // Rule ID 11445 //
     /* 234099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 234107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1252:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADDP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_S),
     /* 234126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234128 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234130 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234132 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234134 */     GIR_RootConstrainSelectedInstOperands,
     /* 234135 */     // GIR_Coverage, 11445,
     /* 234135 */     GIR_EraseRootFromParent_Done,
     /* 234136 */   // Label 4655: @234136
     /* 234136 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(234178), // Rule ID 11446 //
     /* 234141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_addp),
     /* 234149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234165 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1252:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADDP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDP_ZPmZ_D),
     /* 234168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234170 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234172 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234174 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234176 */     GIR_RootConstrainSelectedInstOperands,
     /* 234177 */     // GIR_Coverage, 11446,
     /* 234177 */     GIR_EraseRootFromParent_Done,
     /* 234178 */   // Label 4656: @234178
     /* 234178 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(234220), // Rule ID 11447 //
     /* 234183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 234191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234207 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1731:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMAXP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_B),
     /* 234210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234212 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234214 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234216 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234218 */     GIR_RootConstrainSelectedInstOperands,
     /* 234219 */     // GIR_Coverage, 11447,
     /* 234219 */     GIR_EraseRootFromParent_Done,
     /* 234220 */   // Label 4657: @234220
     /* 234220 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(234262), // Rule ID 11448 //
     /* 234225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 234233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234249 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1731:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMAXP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_H),
     /* 234252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234254 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234256 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234258 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234260 */     GIR_RootConstrainSelectedInstOperands,
     /* 234261 */     // GIR_Coverage, 11448,
     /* 234261 */     GIR_EraseRootFromParent_Done,
     /* 234262 */   // Label 4658: @234262
     /* 234262 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(234304), // Rule ID 11449 //
     /* 234267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 234275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1731:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMAXP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_S),
     /* 234294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234296 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234298 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234300 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234302 */     GIR_RootConstrainSelectedInstOperands,
     /* 234303 */     // GIR_Coverage, 11449,
     /* 234303 */     GIR_EraseRootFromParent_Done,
     /* 234304 */   // Label 4659: @234304
     /* 234304 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(234346), // Rule ID 11450 //
     /* 234309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smaxp),
     /* 234317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1731:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SMAXP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXP_ZPmZ_D),
     /* 234336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234340 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234342 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234344 */     GIR_RootConstrainSelectedInstOperands,
     /* 234345 */     // GIR_Coverage, 11450,
     /* 234345 */     GIR_EraseRootFromParent_Done,
     /* 234346 */   // Label 4660: @234346
     /* 234346 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(234388), // Rule ID 11451 //
     /* 234351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 234359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234375 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1969:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMAXP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_B),
     /* 234378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234384 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234386 */     GIR_RootConstrainSelectedInstOperands,
     /* 234387 */     // GIR_Coverage, 11451,
     /* 234387 */     GIR_EraseRootFromParent_Done,
     /* 234388 */   // Label 4661: @234388
     /* 234388 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(234430), // Rule ID 11452 //
     /* 234393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 234401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234417 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1969:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMAXP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_H),
     /* 234420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234422 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234424 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234426 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234428 */     GIR_RootConstrainSelectedInstOperands,
     /* 234429 */     // GIR_Coverage, 11452,
     /* 234429 */     GIR_EraseRootFromParent_Done,
     /* 234430 */   // Label 4662: @234430
     /* 234430 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(234472), // Rule ID 11453 //
     /* 234435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 234443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234459 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1969:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMAXP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_S),
     /* 234462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234464 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234466 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234468 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234470 */     GIR_RootConstrainSelectedInstOperands,
     /* 234471 */     // GIR_Coverage, 11453,
     /* 234471 */     GIR_EraseRootFromParent_Done,
     /* 234472 */   // Label 4663: @234472
     /* 234472 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(234514), // Rule ID 11454 //
     /* 234477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umaxp),
     /* 234485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234501 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1969:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UMAXP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXP_ZPmZ_D),
     /* 234504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234506 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234508 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234510 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234512 */     GIR_RootConstrainSelectedInstOperands,
     /* 234513 */     // GIR_Coverage, 11454,
     /* 234513 */     GIR_EraseRootFromParent_Done,
     /* 234514 */   // Label 4664: @234514
     /* 234514 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(234556), // Rule ID 11455 //
     /* 234519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 234527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234543 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1740:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SMINP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_B),
     /* 234546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234550 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234552 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234554 */     GIR_RootConstrainSelectedInstOperands,
     /* 234555 */     // GIR_Coverage, 11455,
     /* 234555 */     GIR_EraseRootFromParent_Done,
     /* 234556 */   // Label 4665: @234556
     /* 234556 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(234598), // Rule ID 11456 //
     /* 234561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 234569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234585 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1740:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SMINP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_H),
     /* 234588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234592 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234594 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234596 */     GIR_RootConstrainSelectedInstOperands,
     /* 234597 */     // GIR_Coverage, 11456,
     /* 234597 */     GIR_EraseRootFromParent_Done,
     /* 234598 */   // Label 4666: @234598
     /* 234598 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(234640), // Rule ID 11457 //
     /* 234603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 234611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234627 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1740:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SMINP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_S),
     /* 234630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234632 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234634 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234636 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234638 */     GIR_RootConstrainSelectedInstOperands,
     /* 234639 */     // GIR_Coverage, 11457,
     /* 234639 */     GIR_EraseRootFromParent_Done,
     /* 234640 */   // Label 4667: @234640
     /* 234640 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(234682), // Rule ID 11458 //
     /* 234645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sminp),
     /* 234653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234669 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1740:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SMINP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINP_ZPmZ_D),
     /* 234672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234674 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234676 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234678 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234680 */     GIR_RootConstrainSelectedInstOperands,
     /* 234681 */     // GIR_Coverage, 11458,
     /* 234681 */     GIR_EraseRootFromParent_Done,
     /* 234682 */   // Label 4668: @234682
     /* 234682 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(234724), // Rule ID 11459 //
     /* 234687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 234695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 234701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 234704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234711 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1978:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UMINP_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_B),
     /* 234714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234716 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234718 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234720 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234722 */     GIR_RootConstrainSelectedInstOperands,
     /* 234723 */     // GIR_Coverage, 11459,
     /* 234723 */     GIR_EraseRootFromParent_Done,
     /* 234724 */   // Label 4669: @234724
     /* 234724 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(234766), // Rule ID 11460 //
     /* 234729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 234737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 234743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 234746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234753 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1978:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UMINP_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_H),
     /* 234756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234760 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234762 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234764 */     GIR_RootConstrainSelectedInstOperands,
     /* 234765 */     // GIR_Coverage, 11460,
     /* 234765 */     GIR_EraseRootFromParent_Done,
     /* 234766 */   // Label 4670: @234766
     /* 234766 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(234808), // Rule ID 11461 //
     /* 234771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 234779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 234785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 234788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1978:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UMINP_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_S),
     /* 234798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234800 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234802 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234804 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234806 */     GIR_RootConstrainSelectedInstOperands,
     /* 234807 */     // GIR_Coverage, 11461,
     /* 234807 */     GIR_EraseRootFromParent_Done,
     /* 234808 */   // Label 4671: @234808
     /* 234808 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(234850), // Rule ID 11462 //
     /* 234813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uminp),
     /* 234821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 234824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 234827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 234830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 234833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234837 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1978:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UMINP_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 234837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINP_ZPmZ_D),
     /* 234840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 234842 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234844 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234846 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234848 */     GIR_RootConstrainSelectedInstOperands,
     /* 234849 */     // GIR_Coverage, 11462,
     /* 234849 */     GIR_EraseRootFromParent_Done,
     /* 234850 */   // Label 4672: @234850
     /* 234850 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(234892), // Rule ID 11463 //
     /* 234855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ursqrte),
     /* 234863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 234869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 234872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 234875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234879 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2054:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URSQRTE_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 234879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSQRTE_ZPmZ_S),
     /* 234882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234884 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234886 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234888 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234890 */     GIR_RootConstrainSelectedInstOperands,
     /* 234891 */     // GIR_Coverage, 11463,
     /* 234891 */     GIR_EraseRootFromParent_Done,
     /* 234892 */   // Label 4673: @234892
     /* 234892 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(234934), // Rule ID 11474 //
     /* 234897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 234905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 234908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 234911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 234914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 234917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234921 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1819:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQNEG_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 234921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_B),
     /* 234924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234926 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234928 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234930 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234932 */     GIR_RootConstrainSelectedInstOperands,
     /* 234933 */     // GIR_Coverage, 11474,
     /* 234933 */     GIR_EraseRootFromParent_Done,
     /* 234934 */   // Label 4674: @234934
     /* 234934 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(234976), // Rule ID 11475 //
     /* 234939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 234947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 234950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 234953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 234956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 234959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 234963 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1819:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQNEG_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 234963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_H),
     /* 234966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 234968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 234970 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 234972 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 234974 */     GIR_RootConstrainSelectedInstOperands,
     /* 234975 */     // GIR_Coverage, 11475,
     /* 234975 */     GIR_EraseRootFromParent_Done,
     /* 234976 */   // Label 4675: @234976
     /* 234976 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(235018), // Rule ID 11476 //
     /* 234981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 234984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 234989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 234992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 234995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 234998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235005 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1819:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQNEG_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_S),
     /* 235008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235010 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235012 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235014 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235016 */     GIR_RootConstrainSelectedInstOperands,
     /* 235017 */     // GIR_Coverage, 11476,
     /* 235017 */     GIR_EraseRootFromParent_Done,
     /* 235018 */   // Label 4676: @235018
     /* 235018 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(235060), // Rule ID 11477 //
     /* 235023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqneg),
     /* 235031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 235037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 235040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235047 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1819:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQNEG_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQNEG_ZPmZ_D),
     /* 235050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 235052 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235054 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235056 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235058 */     GIR_RootConstrainSelectedInstOperands,
     /* 235059 */     // GIR_Coverage, 11477,
     /* 235059 */     GIR_EraseRootFromParent_Done,
     /* 235060 */   // Label 4677: @235060
     /* 235060 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(235102), // Rule ID 11486 //
     /* 235065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 235073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235089 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1760:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_B),
     /* 235092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235094 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235096 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235098 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235100 */     GIR_RootConstrainSelectedInstOperands,
     /* 235101 */     // GIR_Coverage, 11486,
     /* 235101 */     GIR_EraseRootFromParent_Done,
     /* 235102 */   // Label 4678: @235102
     /* 235102 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(235144), // Rule ID 11487 //
     /* 235107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 235115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235131 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1760:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_H),
     /* 235134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235136 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235138 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235140 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235142 */     GIR_RootConstrainSelectedInstOperands,
     /* 235143 */     // GIR_Coverage, 11487,
     /* 235143 */     GIR_EraseRootFromParent_Done,
     /* 235144 */   // Label 4679: @235144
     /* 235144 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(235186), // Rule ID 11488 //
     /* 235149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 235157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235173 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1760:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_S),
     /* 235176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235182 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235184 */     GIR_RootConstrainSelectedInstOperands,
     /* 235185 */     // GIR_Coverage, 11488,
     /* 235185 */     GIR_EraseRootFromParent_Done,
     /* 235186 */   // Label 4680: @235186
     /* 235186 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(235228), // Rule ID 11489 //
     /* 235191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqadd),
     /* 235199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235215 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1760:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZPmZ_D),
     /* 235218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235222 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235224 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235226 */     GIR_RootConstrainSelectedInstOperands,
     /* 235227 */     // GIR_Coverage, 11489,
     /* 235227 */     GIR_EraseRootFromParent_Done,
     /* 235228 */   // Label 4681: @235228
     /* 235228 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(235270), // Rule ID 11490 //
     /* 235233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 235241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235257 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1996:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_B),
     /* 235260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235262 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235264 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235266 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235268 */     GIR_RootConstrainSelectedInstOperands,
     /* 235269 */     // GIR_Coverage, 11490,
     /* 235269 */     GIR_EraseRootFromParent_Done,
     /* 235270 */   // Label 4682: @235270
     /* 235270 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(235312), // Rule ID 11491 //
     /* 235275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 235283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235299 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1996:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_H),
     /* 235302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235308 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235310 */     GIR_RootConstrainSelectedInstOperands,
     /* 235311 */     // GIR_Coverage, 11491,
     /* 235311 */     GIR_EraseRootFromParent_Done,
     /* 235312 */   // Label 4683: @235312
     /* 235312 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(235354), // Rule ID 11492 //
     /* 235317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 235325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235341 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1996:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_S),
     /* 235344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235346 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235348 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235350 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235352 */     GIR_RootConstrainSelectedInstOperands,
     /* 235353 */     // GIR_Coverage, 11492,
     /* 235353 */     GIR_EraseRootFromParent_Done,
     /* 235354 */   // Label 4684: @235354
     /* 235354 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(235396), // Rule ID 11493 //
     /* 235359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqadd),
     /* 235367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235383 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1996:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZPmZ_D),
     /* 235386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235392 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235394 */     GIR_RootConstrainSelectedInstOperands,
     /* 235395 */     // GIR_Coverage, 11493,
     /* 235395 */     GIR_EraseRootFromParent_Done,
     /* 235396 */   // Label 4685: @235396
     /* 235396 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(235438), // Rule ID 11494 //
     /* 235401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 235409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235425 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1847:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_B),
     /* 235428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235430 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235432 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235434 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235436 */     GIR_RootConstrainSelectedInstOperands,
     /* 235437 */     // GIR_Coverage, 11494,
     /* 235437 */     GIR_EraseRootFromParent_Done,
     /* 235438 */   // Label 4686: @235438
     /* 235438 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(235480), // Rule ID 11495 //
     /* 235443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 235451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235467 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1847:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_H),
     /* 235470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235472 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235474 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235476 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235478 */     GIR_RootConstrainSelectedInstOperands,
     /* 235479 */     // GIR_Coverage, 11495,
     /* 235479 */     GIR_EraseRootFromParent_Done,
     /* 235480 */   // Label 4687: @235480
     /* 235480 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(235522), // Rule ID 11496 //
     /* 235485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 235493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235509 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1847:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_S),
     /* 235512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235514 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235516 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235518 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235520 */     GIR_RootConstrainSelectedInstOperands,
     /* 235521 */     // GIR_Coverage, 11496,
     /* 235521 */     GIR_EraseRootFromParent_Done,
     /* 235522 */   // Label 4688: @235522
     /* 235522 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(235564), // Rule ID 11497 //
     /* 235527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsub),
     /* 235535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235551 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1847:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZPmZ_D),
     /* 235554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235556 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235558 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235560 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235562 */     GIR_RootConstrainSelectedInstOperands,
     /* 235563 */     // GIR_Coverage, 11497,
     /* 235563 */     GIR_EraseRootFromParent_Done,
     /* 235564 */   // Label 4689: @235564
     /* 235564 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(235606), // Rule ID 11498 //
     /* 235569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 235577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235593 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2040:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQSUB_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_B),
     /* 235596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235598 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235600 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235602 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235604 */     GIR_RootConstrainSelectedInstOperands,
     /* 235605 */     // GIR_Coverage, 11498,
     /* 235605 */     GIR_EraseRootFromParent_Done,
     /* 235606 */   // Label 4690: @235606
     /* 235606 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(235648), // Rule ID 11499 //
     /* 235611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 235619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235635 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2040:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQSUB_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_H),
     /* 235638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235642 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235644 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235646 */     GIR_RootConstrainSelectedInstOperands,
     /* 235647 */     // GIR_Coverage, 11499,
     /* 235647 */     GIR_EraseRootFromParent_Done,
     /* 235648 */   // Label 4691: @235648
     /* 235648 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(235690), // Rule ID 11500 //
     /* 235653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 235661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2040:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQSUB_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_S),
     /* 235680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235682 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235684 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235686 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235688 */     GIR_RootConstrainSelectedInstOperands,
     /* 235689 */     // GIR_Coverage, 11500,
     /* 235689 */     GIR_EraseRootFromParent_Done,
     /* 235690 */   // Label 4692: @235690
     /* 235690 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(235732), // Rule ID 11501 //
     /* 235695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsub),
     /* 235703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235719 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2040:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQSUB_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZPmZ_D),
     /* 235722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235724 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235726 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235728 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235730 */     GIR_RootConstrainSelectedInstOperands,
     /* 235731 */     // GIR_Coverage, 11501,
     /* 235731 */     GIR_EraseRootFromParent_Done,
     /* 235732 */   // Label 4693: @235732
     /* 235732 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(235774), // Rule ID 11502 //
     /* 235737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 235745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235761 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1911:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SUQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_B),
     /* 235764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235766 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235768 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235770 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235772 */     GIR_RootConstrainSelectedInstOperands,
     /* 235773 */     // GIR_Coverage, 11502,
     /* 235773 */     GIR_EraseRootFromParent_Done,
     /* 235774 */   // Label 4694: @235774
     /* 235774 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(235816), // Rule ID 11503 //
     /* 235779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 235787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1911:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SUQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_H),
     /* 235806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235808 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235810 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235812 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235814 */     GIR_RootConstrainSelectedInstOperands,
     /* 235815 */     // GIR_Coverage, 11503,
     /* 235815 */     GIR_EraseRootFromParent_Done,
     /* 235816 */   // Label 4695: @235816
     /* 235816 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(235858), // Rule ID 11504 //
     /* 235821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 235829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 235832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 235835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 235838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 235841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235845 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1911:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SUQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 235845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_S),
     /* 235848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235852 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235854 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235856 */     GIR_RootConstrainSelectedInstOperands,
     /* 235857 */     // GIR_Coverage, 11504,
     /* 235857 */     GIR_EraseRootFromParent_Done,
     /* 235858 */   // Label 4696: @235858
     /* 235858 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(235900), // Rule ID 11505 //
     /* 235863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_suqadd),
     /* 235871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 235874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 235877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 235880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 235883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235887 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1911:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SUQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 235887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUQADD_ZPmZ_D),
     /* 235890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235894 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235896 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235898 */     GIR_RootConstrainSelectedInstOperands,
     /* 235899 */     // GIR_Coverage, 11505,
     /* 235899 */     GIR_EraseRootFromParent_Done,
     /* 235900 */   // Label 4697: @235900
     /* 235900 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(235942), // Rule ID 11506 //
     /* 235905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 235913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 235916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 235919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 235922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 235925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235929 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2061:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (USQADD_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 235929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_B),
     /* 235932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235934 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235936 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235938 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235940 */     GIR_RootConstrainSelectedInstOperands,
     /* 235941 */     // GIR_Coverage, 11506,
     /* 235941 */     GIR_EraseRootFromParent_Done,
     /* 235942 */   // Label 4698: @235942
     /* 235942 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(235984), // Rule ID 11507 //
     /* 235947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 235955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 235958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 235961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 235964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 235967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 235971 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2061:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (USQADD_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 235971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_H),
     /* 235974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 235976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 235978 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 235980 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 235982 */     GIR_RootConstrainSelectedInstOperands,
     /* 235983 */     // GIR_Coverage, 11507,
     /* 235983 */     GIR_EraseRootFromParent_Done,
     /* 235984 */   // Label 4699: @235984
     /* 235984 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(236026), // Rule ID 11508 //
     /* 235989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 235992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 235997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236013 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2061:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (USQADD_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_S),
     /* 236016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236018 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236020 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236022 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236024 */     GIR_RootConstrainSelectedInstOperands,
     /* 236025 */     // GIR_Coverage, 11508,
     /* 236025 */     GIR_EraseRootFromParent_Done,
     /* 236026 */   // Label 4700: @236026
     /* 236026 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(236068), // Rule ID 11509 //
     /* 236031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usqadd),
     /* 236039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236055 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2061:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (USQADD_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USQADD_ZPmZ_D),
     /* 236058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236060 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236062 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236064 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236066 */     GIR_RootConstrainSelectedInstOperands,
     /* 236067 */     // GIR_Coverage, 11509,
     /* 236067 */     GIR_EraseRootFromParent_Done,
     /* 236068 */   // Label 4701: @236068
     /* 236068 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(236110), // Rule ID 11510 //
     /* 236073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 236081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236097 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1850:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_B),
     /* 236100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236102 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236104 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236106 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236108 */     GIR_RootConstrainSelectedInstOperands,
     /* 236109 */     // GIR_Coverage, 11510,
     /* 236109 */     GIR_EraseRootFromParent_Done,
     /* 236110 */   // Label 4702: @236110
     /* 236110 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(236152), // Rule ID 11511 //
     /* 236115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 236123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236139 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1850:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_H),
     /* 236142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236146 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236148 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236150 */     GIR_RootConstrainSelectedInstOperands,
     /* 236151 */     // GIR_Coverage, 11511,
     /* 236151 */     GIR_EraseRootFromParent_Done,
     /* 236152 */   // Label 4703: @236152
     /* 236152 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(236194), // Rule ID 11512 //
     /* 236157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 236165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236181 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1850:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_S),
     /* 236184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236186 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236188 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236190 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236192 */     GIR_RootConstrainSelectedInstOperands,
     /* 236193 */     // GIR_Coverage, 11512,
     /* 236193 */     GIR_EraseRootFromParent_Done,
     /* 236194 */   // Label 4704: @236194
     /* 236194 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(236236), // Rule ID 11513 //
     /* 236199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqsubr),
     /* 236207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236223 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1850:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSUBR_ZPmZ_D),
     /* 236226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236232 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236234 */     GIR_RootConstrainSelectedInstOperands,
     /* 236235 */     // GIR_Coverage, 11513,
     /* 236235 */     GIR_EraseRootFromParent_Done,
     /* 236236 */   // Label 4705: @236236
     /* 236236 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(236278), // Rule ID 11514 //
     /* 236241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 236249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236265 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2043:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQSUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_B),
     /* 236268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236270 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236272 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236274 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236276 */     GIR_RootConstrainSelectedInstOperands,
     /* 236277 */     // GIR_Coverage, 11514,
     /* 236277 */     GIR_EraseRootFromParent_Done,
     /* 236278 */   // Label 4706: @236278
     /* 236278 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(236320), // Rule ID 11515 //
     /* 236283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 236291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236307 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2043:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQSUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_H),
     /* 236310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236312 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236314 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236316 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236318 */     GIR_RootConstrainSelectedInstOperands,
     /* 236319 */     // GIR_Coverage, 11515,
     /* 236319 */     GIR_EraseRootFromParent_Done,
     /* 236320 */   // Label 4707: @236320
     /* 236320 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(236362), // Rule ID 11516 //
     /* 236325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 236333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236349 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2043:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQSUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_S),
     /* 236352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236356 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236358 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236360 */     GIR_RootConstrainSelectedInstOperands,
     /* 236361 */     // GIR_Coverage, 11516,
     /* 236361 */     GIR_EraseRootFromParent_Done,
     /* 236362 */   // Label 4708: @236362
     /* 236362 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(236404), // Rule ID 11517 //
     /* 236367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqsubr),
     /* 236375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236391 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2043:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQSUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSUBR_ZPmZ_D),
     /* 236394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236396 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236398 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236400 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236402 */     GIR_RootConstrainSelectedInstOperands,
     /* 236403 */     // GIR_Coverage, 11517,
     /* 236403 */     GIR_EraseRootFromParent_Done,
     /* 236404 */   // Label 4709: @236404
     /* 236404 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(236446), // Rule ID 11518 //
     /* 236409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 236417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236433 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1857:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SRSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_B),
     /* 236436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236438 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236440 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236442 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236444 */     GIR_RootConstrainSelectedInstOperands,
     /* 236445 */     // GIR_Coverage, 11518,
     /* 236445 */     GIR_EraseRootFromParent_Done,
     /* 236446 */   // Label 4710: @236446
     /* 236446 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(236488), // Rule ID 11519 //
     /* 236451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 236459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236475 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1857:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SRSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_H),
     /* 236478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236480 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236482 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236484 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236486 */     GIR_RootConstrainSelectedInstOperands,
     /* 236487 */     // GIR_Coverage, 11519,
     /* 236487 */     GIR_EraseRootFromParent_Done,
     /* 236488 */   // Label 4711: @236488
     /* 236488 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(236530), // Rule ID 11520 //
     /* 236493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 236501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236517 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1857:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SRSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_S),
     /* 236520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236524 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236526 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236528 */     GIR_RootConstrainSelectedInstOperands,
     /* 236529 */     // GIR_Coverage, 11520,
     /* 236529 */     GIR_EraseRootFromParent_Done,
     /* 236530 */   // Label 4712: @236530
     /* 236530 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(236572), // Rule ID 11521 //
     /* 236535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_srshl),
     /* 236543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236559 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1857:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SRSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SRSHL_ZPmZ_D),
     /* 236562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236564 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236566 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236568 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236570 */     GIR_RootConstrainSelectedInstOperands,
     /* 236571 */     // GIR_Coverage, 11521,
     /* 236571 */     GIR_EraseRootFromParent_Done,
     /* 236572 */   // Label 4713: @236572
     /* 236572 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(236614), // Rule ID 11522 //
     /* 236577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 236585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236601 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2048:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (URSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_B),
     /* 236604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236606 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236608 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236610 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236612 */     GIR_RootConstrainSelectedInstOperands,
     /* 236613 */     // GIR_Coverage, 11522,
     /* 236613 */     GIR_EraseRootFromParent_Done,
     /* 236614 */   // Label 4714: @236614
     /* 236614 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(236656), // Rule ID 11523 //
     /* 236619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 236627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236643 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2048:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (URSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_H),
     /* 236646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236650 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236652 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236654 */     GIR_RootConstrainSelectedInstOperands,
     /* 236655 */     // GIR_Coverage, 11523,
     /* 236655 */     GIR_EraseRootFromParent_Done,
     /* 236656 */   // Label 4715: @236656
     /* 236656 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(236698), // Rule ID 11524 //
     /* 236661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 236669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236685 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2048:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (URSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_S),
     /* 236688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236690 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236692 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236694 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236696 */     GIR_RootConstrainSelectedInstOperands,
     /* 236697 */     // GIR_Coverage, 11524,
     /* 236697 */     GIR_EraseRootFromParent_Done,
     /* 236698 */   // Label 4716: @236698
     /* 236698 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(236740), // Rule ID 11525 //
     /* 236703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_urshl),
     /* 236711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236727 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2048:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (URSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::URSHL_ZPmZ_D),
     /* 236730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236732 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236736 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236738 */     GIR_RootConstrainSelectedInstOperands,
     /* 236739 */     // GIR_Coverage, 11525,
     /* 236739 */     GIR_EraseRootFromParent_Done,
     /* 236740 */   // Label 4717: @236740
     /* 236740 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(236782), // Rule ID 11526 //
     /* 236745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 236753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236769 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1841:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_B),
     /* 236772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236776 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236778 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236780 */     GIR_RootConstrainSelectedInstOperands,
     /* 236781 */     // GIR_Coverage, 11526,
     /* 236781 */     GIR_EraseRootFromParent_Done,
     /* 236782 */   // Label 4718: @236782
     /* 236782 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(236824), // Rule ID 11527 //
     /* 236787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 236795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236811 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1841:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_H),
     /* 236814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236816 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236818 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236820 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236822 */     GIR_RootConstrainSelectedInstOperands,
     /* 236823 */     // GIR_Coverage, 11527,
     /* 236823 */     GIR_EraseRootFromParent_Done,
     /* 236824 */   // Label 4719: @236824
     /* 236824 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(236866), // Rule ID 11528 //
     /* 236829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 236837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 236840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 236843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 236846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 236849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236853 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1841:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 236853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_S),
     /* 236856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236860 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236862 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236864 */     GIR_RootConstrainSelectedInstOperands,
     /* 236865 */     // GIR_Coverage, 11528,
     /* 236865 */     GIR_EraseRootFromParent_Done,
     /* 236866 */   // Label 4720: @236866
     /* 236866 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(236908), // Rule ID 11529 //
     /* 236871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqshl),
     /* 236879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 236882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 236885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 236888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 236891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236895 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1841:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 236895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQSHL_ZPmZ_D),
     /* 236898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236900 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236902 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236904 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236906 */     GIR_RootConstrainSelectedInstOperands,
     /* 236907 */     // GIR_Coverage, 11529,
     /* 236907 */     GIR_EraseRootFromParent_Done,
     /* 236908 */   // Label 4721: @236908
     /* 236908 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(236950), // Rule ID 11530 //
     /* 236913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 236921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 236924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 236927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 236930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 236933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236937 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2037:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 236937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_B),
     /* 236940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236942 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236944 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236946 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236948 */     GIR_RootConstrainSelectedInstOperands,
     /* 236949 */     // GIR_Coverage, 11530,
     /* 236949 */     GIR_EraseRootFromParent_Done,
     /* 236950 */   // Label 4722: @236950
     /* 236950 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(236992), // Rule ID 11531 //
     /* 236955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 236958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 236963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 236966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 236969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 236972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 236975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 236979 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2037:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 236979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_H),
     /* 236982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 236984 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 236986 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 236988 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 236990 */     GIR_RootConstrainSelectedInstOperands,
     /* 236991 */     // GIR_Coverage, 11531,
     /* 236991 */     GIR_EraseRootFromParent_Done,
     /* 236992 */   // Label 4723: @236992
     /* 236992 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(237034), // Rule ID 11532 //
     /* 236997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 237005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 237011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237021 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2037:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_S),
     /* 237024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237028 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237030 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237032 */     GIR_RootConstrainSelectedInstOperands,
     /* 237033 */     // GIR_Coverage, 11532,
     /* 237033 */     GIR_EraseRootFromParent_Done,
     /* 237034 */   // Label 4724: @237034
     /* 237034 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(237076), // Rule ID 11533 //
     /* 237039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqshl),
     /* 237047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 237053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237063 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2037:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQSHL_ZPmZ_D),
     /* 237066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237068 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237070 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237072 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237074 */     GIR_RootConstrainSelectedInstOperands,
     /* 237075 */     // GIR_Coverage, 11533,
     /* 237075 */     GIR_EraseRootFromParent_Done,
     /* 237076 */   // Label 4725: @237076
     /* 237076 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(237118), // Rule ID 11534 //
     /* 237081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 237089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 237092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 237095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237105 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1828:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SQRSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_B),
     /* 237108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237114 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237116 */     GIR_RootConstrainSelectedInstOperands,
     /* 237117 */     // GIR_Coverage, 11534,
     /* 237117 */     GIR_EraseRootFromParent_Done,
     /* 237118 */   // Label 4726: @237118
     /* 237118 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(237160), // Rule ID 11535 //
     /* 237123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 237131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 237137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237147 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1828:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SQRSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_H),
     /* 237150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237152 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237154 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237156 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237158 */     GIR_RootConstrainSelectedInstOperands,
     /* 237159 */     // GIR_Coverage, 11535,
     /* 237159 */     GIR_EraseRootFromParent_Done,
     /* 237160 */   // Label 4727: @237160
     /* 237160 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(237202), // Rule ID 11536 //
     /* 237165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 237173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 237179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237189 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1828:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SQRSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_S),
     /* 237192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237194 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237196 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237198 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237200 */     GIR_RootConstrainSelectedInstOperands,
     /* 237201 */     // GIR_Coverage, 11536,
     /* 237201 */     GIR_EraseRootFromParent_Done,
     /* 237202 */   // Label 4728: @237202
     /* 237202 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(237244), // Rule ID 11537 //
     /* 237207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrshl),
     /* 237215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 237221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237231 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1828:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SQRSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRSHL_ZPmZ_D),
     /* 237234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237238 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237240 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237242 */     GIR_RootConstrainSelectedInstOperands,
     /* 237243 */     // GIR_Coverage, 11537,
     /* 237243 */     GIR_EraseRootFromParent_Done,
     /* 237244 */   // Label 4729: @237244
     /* 237244 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(237286), // Rule ID 11538 //
     /* 237249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 237257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 237260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 237263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237273 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 2030:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UQRSHL_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_B),
     /* 237276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237278 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237280 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237282 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237284 */     GIR_RootConstrainSelectedInstOperands,
     /* 237285 */     // GIR_Coverage, 11538,
     /* 237285 */     GIR_EraseRootFromParent_Done,
     /* 237286 */   // Label 4730: @237286
     /* 237286 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(237328), // Rule ID 11539 //
     /* 237291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 237299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 237305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237315 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 2030:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UQRSHL_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_H),
     /* 237318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237320 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237322 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237324 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237326 */     GIR_RootConstrainSelectedInstOperands,
     /* 237327 */     // GIR_Coverage, 11539,
     /* 237327 */     GIR_EraseRootFromParent_Done,
     /* 237328 */   // Label 4731: @237328
     /* 237328 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(237370), // Rule ID 11540 //
     /* 237333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 237341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 237347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237357 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2030:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UQRSHL_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_S),
     /* 237360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237362 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237364 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237366 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237368 */     GIR_RootConstrainSelectedInstOperands,
     /* 237369 */     // GIR_Coverage, 11540,
     /* 237369 */     GIR_EraseRootFromParent_Done,
     /* 237370 */   // Label 4732: @237370
     /* 237370 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(237412), // Rule ID 11541 //
     /* 237375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uqrshl),
     /* 237383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 237389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237399 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 2030:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UQRSHL_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UQRSHL_ZPmZ_D),
     /* 237402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 237404 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237406 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237408 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237410 */     GIR_RootConstrainSelectedInstOperands,
     /* 237411 */     // GIR_Coverage, 11541,
     /* 237411 */     GIR_EraseRootFromParent_Done,
     /* 237412 */   // Label 4733: @237412
     /* 237412 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(237454), // Rule ID 11704 //
     /* 237417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 237425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 237428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 237431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237441 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1930:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABA_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_B),
     /* 237444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237450 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237452 */     GIR_RootConstrainSelectedInstOperands,
     /* 237453 */     // GIR_Coverage, 11704,
     /* 237453 */     GIR_EraseRootFromParent_Done,
     /* 237454 */   // Label 4734: @237454
     /* 237454 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(237496), // Rule ID 11706 //
     /* 237459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 237467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1930:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABA_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_H),
     /* 237486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237492 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237494 */     GIR_RootConstrainSelectedInstOperands,
     /* 237495 */     // GIR_Coverage, 11706,
     /* 237495 */     GIR_EraseRootFromParent_Done,
     /* 237496 */   // Label 4735: @237496
     /* 237496 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(237538), // Rule ID 11708 //
     /* 237501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 237509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1930:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABA_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_S),
     /* 237528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237534 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237536 */     GIR_RootConstrainSelectedInstOperands,
     /* 237537 */     // GIR_Coverage, 11708,
     /* 237537 */     GIR_EraseRootFromParent_Done,
     /* 237538 */   // Label 4736: @237538
     /* 237538 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(237580), // Rule ID 11710 //
     /* 237543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uaba),
     /* 237551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 237560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 237563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237567 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1930:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UABA_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 237567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABA_ZZZ_D),
     /* 237570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237572 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237574 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237576 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237578 */     GIR_RootConstrainSelectedInstOperands,
     /* 237579 */     // GIR_Coverage, 11710,
     /* 237579 */     GIR_EraseRootFromParent_Done,
     /* 237580 */   // Label 4737: @237580
     /* 237580 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(237622), // Rule ID 11712 //
     /* 237585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalt),
     /* 237593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237609 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1682:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SABALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALT_ZZZ_H),
     /* 237612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237614 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237616 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237618 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237620 */     GIR_RootConstrainSelectedInstOperands,
     /* 237621 */     // GIR_Coverage, 11712,
     /* 237621 */     GIR_EraseRootFromParent_Done,
     /* 237622 */   // Label 4738: @237622
     /* 237622 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(237664), // Rule ID 11713 //
     /* 237627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalt),
     /* 237635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237651 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1682:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SABALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALT_ZZZ_S),
     /* 237654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237656 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237658 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237660 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237662 */     GIR_RootConstrainSelectedInstOperands,
     /* 237663 */     // GIR_Coverage, 11713,
     /* 237663 */     GIR_EraseRootFromParent_Done,
     /* 237664 */   // Label 4739: @237664
     /* 237664 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(237706), // Rule ID 11714 //
     /* 237669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sabalt),
     /* 237677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237693 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1682:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SABALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABALT_ZZZ_D),
     /* 237696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237698 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237700 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237702 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237704 */     GIR_RootConstrainSelectedInstOperands,
     /* 237705 */     // GIR_Coverage, 11714,
     /* 237705 */     GIR_EraseRootFromParent_Done,
     /* 237706 */   // Label 4740: @237706
     /* 237706 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(237748), // Rule ID 11715 //
     /* 237711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalb),
     /* 237719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237735 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1931:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABALB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALB_ZZZ_H),
     /* 237738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237744 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237746 */     GIR_RootConstrainSelectedInstOperands,
     /* 237747 */     // GIR_Coverage, 11715,
     /* 237747 */     GIR_EraseRootFromParent_Done,
     /* 237748 */   // Label 4741: @237748
     /* 237748 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(237790), // Rule ID 11716 //
     /* 237753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalb),
     /* 237761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237777 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1931:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABALB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALB_ZZZ_S),
     /* 237780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237782 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237784 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237786 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237788 */     GIR_RootConstrainSelectedInstOperands,
     /* 237789 */     // GIR_Coverage, 11716,
     /* 237789 */     GIR_EraseRootFromParent_Done,
     /* 237790 */   // Label 4742: @237790
     /* 237790 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(237832), // Rule ID 11717 //
     /* 237795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalb),
     /* 237803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237819 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1931:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABALB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALB_ZZZ_D),
     /* 237822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237824 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237826 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237828 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237830 */     GIR_RootConstrainSelectedInstOperands,
     /* 237831 */     // GIR_Coverage, 11717,
     /* 237831 */     GIR_EraseRootFromParent_Done,
     /* 237832 */   // Label 4743: @237832
     /* 237832 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(237874), // Rule ID 11718 //
     /* 237837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalt),
     /* 237845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 237848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 237851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 237854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 237857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237861 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1932:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UABALT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 237861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALT_ZZZ_H),
     /* 237864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237866 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237868 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237870 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237872 */     GIR_RootConstrainSelectedInstOperands,
     /* 237873 */     // GIR_Coverage, 11718,
     /* 237873 */     GIR_EraseRootFromParent_Done,
     /* 237874 */   // Label 4744: @237874
     /* 237874 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(237916), // Rule ID 11719 //
     /* 237879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalt),
     /* 237887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 237896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 237899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237903 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1932:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UABALT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 237903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALT_ZZZ_S),
     /* 237906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237910 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237912 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237914 */     GIR_RootConstrainSelectedInstOperands,
     /* 237915 */     // GIR_Coverage, 11719,
     /* 237915 */     GIR_EraseRootFromParent_Done,
     /* 237916 */   // Label 4745: @237916
     /* 237916 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(237958), // Rule ID 11720 //
     /* 237921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uabalt),
     /* 237929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 237932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 237935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237945 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1932:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UABALT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABALT_ZZZ_D),
     /* 237948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237954 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237956 */     GIR_RootConstrainSelectedInstOperands,
     /* 237957 */     // GIR_Coverage, 11720,
     /* 237957 */     GIR_EraseRootFromParent_Done,
     /* 237958 */   // Label 4746: @237958
     /* 237958 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(238000), // Rule ID 11721 //
     /* 237963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 237966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclt),
     /* 237971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 237974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 237977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 237980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 237983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 237987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1245:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (ADCLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 237987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLT_ZZZ_S),
     /* 237990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 237992 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 237994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 237996 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 237998 */     GIR_RootConstrainSelectedInstOperands,
     /* 237999 */     // GIR_Coverage, 11721,
     /* 237999 */     GIR_EraseRootFromParent_Done,
     /* 238000 */   // Label 4747: @238000
     /* 238000 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(238042), // Rule ID 11722 //
     /* 238005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_adclt),
     /* 238013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238029 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1245:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (ADCLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADCLT_ZZZ_D),
     /* 238032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238034 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238036 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238038 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238040 */     GIR_RootConstrainSelectedInstOperands,
     /* 238041 */     // GIR_Coverage, 11722,
     /* 238041 */     GIR_EraseRootFromParent_Done,
     /* 238042 */   // Label 4748: @238042
     /* 238042 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(238084), // Rule ID 11723 //
     /* 238047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclb),
     /* 238055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1694:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SBCLB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLB_ZZZ_S),
     /* 238074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238076 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238078 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238080 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238082 */     GIR_RootConstrainSelectedInstOperands,
     /* 238083 */     // GIR_Coverage, 11723,
     /* 238083 */     GIR_EraseRootFromParent_Done,
     /* 238084 */   // Label 4749: @238084
     /* 238084 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(238126), // Rule ID 11724 //
     /* 238089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclb),
     /* 238097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238113 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1694:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SBCLB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLB_ZZZ_D),
     /* 238116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238120 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238122 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238124 */     GIR_RootConstrainSelectedInstOperands,
     /* 238125 */     // GIR_Coverage, 11724,
     /* 238125 */     GIR_EraseRootFromParent_Done,
     /* 238126 */   // Label 4750: @238126
     /* 238126 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(238168), // Rule ID 11725 //
     /* 238131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclt),
     /* 238139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1695:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SBCLT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLT_ZZZ_S),
     /* 238158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238162 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238164 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238166 */     GIR_RootConstrainSelectedInstOperands,
     /* 238167 */     // GIR_Coverage, 11725,
     /* 238167 */     GIR_EraseRootFromParent_Done,
     /* 238168 */   // Label 4751: @238168
     /* 238168 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(238210), // Rule ID 11726 //
     /* 238173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sbclt),
     /* 238181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238197 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1695:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SBCLT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBCLT_ZZZ_D),
     /* 238200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 238202 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238204 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238206 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238208 */     GIR_RootConstrainSelectedInstOperands,
     /* 238209 */     // GIR_Coverage, 11726,
     /* 238209 */     GIR_EraseRootFromParent_Done,
     /* 238210 */   // Label 4752: @238210
     /* 238210 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(238252), // Rule ID 11781 //
     /* 238215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnt),
     /* 238223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 238226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 238229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238239 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1663:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (RADDHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 238239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNT_ZZZ_B),
     /* 238242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238246 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238248 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238250 */     GIR_RootConstrainSelectedInstOperands,
     /* 238251 */     // GIR_Coverage, 11781,
     /* 238251 */     GIR_EraseRootFromParent_Done,
     /* 238252 */   // Label 4753: @238252
     /* 238252 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(238294), // Rule ID 11782 //
     /* 238257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnt),
     /* 238265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 238271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238281 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1663:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (RADDHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNT_ZZZ_H),
     /* 238284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238286 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238288 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238290 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238292 */     GIR_RootConstrainSelectedInstOperands,
     /* 238293 */     // GIR_Coverage, 11782,
     /* 238293 */     GIR_EraseRootFromParent_Done,
     /* 238294 */   // Label 4754: @238294
     /* 238294 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(238336), // Rule ID 11783 //
     /* 238299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_raddhnt),
     /* 238307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238323 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1663:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (RADDHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RADDHNT_ZZZ_S),
     /* 238326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238332 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238334 */     GIR_RootConstrainSelectedInstOperands,
     /* 238335 */     // GIR_Coverage, 11783,
     /* 238335 */     GIR_EraseRootFromParent_Done,
     /* 238336 */   // Label 4755: @238336
     /* 238336 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(238378), // Rule ID 11784 //
     /* 238341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnt),
     /* 238349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 238352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 238355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238365 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1904:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SUBHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 238365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNT_ZZZ_B),
     /* 238368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238370 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238372 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238374 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238376 */     GIR_RootConstrainSelectedInstOperands,
     /* 238377 */     // GIR_Coverage, 11784,
     /* 238377 */     GIR_EraseRootFromParent_Done,
     /* 238378 */   // Label 4756: @238378
     /* 238378 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(238420), // Rule ID 11785 //
     /* 238383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnt),
     /* 238391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 238397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238407 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1904:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SUBHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNT_ZZZ_H),
     /* 238410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238414 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238416 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238418 */     GIR_RootConstrainSelectedInstOperands,
     /* 238419 */     // GIR_Coverage, 11785,
     /* 238419 */     GIR_EraseRootFromParent_Done,
     /* 238420 */   // Label 4757: @238420
     /* 238420 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(238462), // Rule ID 11786 //
     /* 238425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_subhnt),
     /* 238433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1904:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SUBHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNT_ZZZ_S),
     /* 238452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238454 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238456 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238458 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238460 */     GIR_RootConstrainSelectedInstOperands,
     /* 238461 */     // GIR_Coverage, 11786,
     /* 238461 */     GIR_EraseRootFromParent_Done,
     /* 238462 */   // Label 4758: @238462
     /* 238462 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(238504), // Rule ID 11787 //
     /* 238467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnt),
     /* 238475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 238478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 238481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238491 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1679:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (RSUBHNT_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 238491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNT_ZZZ_B),
     /* 238494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238496 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238498 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238500 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238502 */     GIR_RootConstrainSelectedInstOperands,
     /* 238503 */     // GIR_Coverage, 11787,
     /* 238503 */     GIR_EraseRootFromParent_Done,
     /* 238504 */   // Label 4759: @238504
     /* 238504 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(238546), // Rule ID 11788 //
     /* 238509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnt),
     /* 238517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 238523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238533 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1679:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (RSUBHNT_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNT_ZZZ_H),
     /* 238536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238538 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238540 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238542 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238544 */     GIR_RootConstrainSelectedInstOperands,
     /* 238545 */     // GIR_Coverage, 11788,
     /* 238545 */     GIR_EraseRootFromParent_Done,
     /* 238546 */   // Label 4760: @238546
     /* 238546 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(238588), // Rule ID 11789 //
     /* 238551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rsubhnt),
     /* 238559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238575 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1679:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (RSUBHNT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RSUBHNT_ZZZ_S),
     /* 238578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238580 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238582 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238584 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238586 */     GIR_RootConstrainSelectedInstOperands,
     /* 238587 */     // GIR_Coverage, 11789,
     /* 238587 */     GIR_EraseRootFromParent_Done,
     /* 238588 */   // Label 4761: @238588
     /* 238588 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(238633), // Rule ID 11802 //
     /* 238593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 238596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nmatch),
     /* 238601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 238604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 238607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 238610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 238613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 238617 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 1614:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (NMATCH_PPzZZ_B:{ *:[nxv16i1] }:{ *:[i32] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 238617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NMATCH_PPzZZ_B),
     /* 238620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 238622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238624 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238626 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 238631 */     GIR_RootConstrainSelectedInstOperands,
     /* 238632 */     // GIR_Coverage, 11802,
     /* 238632 */     GIR_EraseRootFromParent_Done,
     /* 238633 */   // Label 4762: @238633
     /* 238633 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(238678), // Rule ID 11803 //
     /* 238638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2),
     /* 238641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nmatch),
     /* 238646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 238649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 238652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 238662 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 1614:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (NMATCH_PPzZZ_H:{ *:[nxv8i1] }:{ *:[i32] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 238662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NMATCH_PPzZZ_H),
     /* 238665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 238667 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238669 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238671 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 238676 */     GIR_RootConstrainSelectedInstOperands,
     /* 238677 */     // GIR_Coverage, 11803,
     /* 238677 */     GIR_EraseRootFromParent_Done,
     /* 238678 */   // Label 4763: @238678
     /* 238678 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(238720), // Rule ID 11804 //
     /* 238683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 238691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 238694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 238697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 238700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 238703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238707 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1354:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (EORTB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 238707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_B),
     /* 238710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238712 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238714 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238716 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238718 */     GIR_RootConstrainSelectedInstOperands,
     /* 238719 */     // GIR_Coverage, 11804,
     /* 238719 */     GIR_EraseRootFromParent_Done,
     /* 238720 */   // Label 4764: @238720
     /* 238720 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(238762), // Rule ID 11805 //
     /* 238725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 238733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 238739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238749 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1354:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (EORTB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 238749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_H),
     /* 238752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238754 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238756 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238758 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238760 */     GIR_RootConstrainSelectedInstOperands,
     /* 238761 */     // GIR_Coverage, 11805,
     /* 238761 */     GIR_EraseRootFromParent_Done,
     /* 238762 */   // Label 4765: @238762
     /* 238762 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(238804), // Rule ID 11806 //
     /* 238767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 238775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 238781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238791 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1354:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (EORTB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 238791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_S),
     /* 238794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238796 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238798 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238800 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238802 */     GIR_RootConstrainSelectedInstOperands,
     /* 238803 */     // GIR_Coverage, 11806,
     /* 238803 */     GIR_EraseRootFromParent_Done,
     /* 238804 */   // Label 4766: @238804
     /* 238804 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(238846), // Rule ID 11807 //
     /* 238809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_eortb),
     /* 238817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 238823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238833 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1354:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (EORTB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 238833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORTB_ZZZ_D),
     /* 238836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 238838 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238840 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238842 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238844 */     GIR_RootConstrainSelectedInstOperands,
     /* 238845 */     // GIR_Coverage, 11807,
     /* 238845 */     GIR_EraseRootFromParent_Done,
     /* 238846 */   // Label 4767: @238846
     /* 238846 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(238888), // Rule ID 11823 //
     /* 238851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmp),
     /* 238859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 238865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238875 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1437:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMAXNMP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 238875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMP_ZPmZZ_H),
     /* 238878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238882 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238884 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238886 */     GIR_RootConstrainSelectedInstOperands,
     /* 238887 */     // GIR_Coverage, 11823,
     /* 238887 */     GIR_EraseRootFromParent_Done,
     /* 238888 */   // Label 4768: @238888
     /* 238888 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(238930), // Rule ID 11824 //
     /* 238893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmp),
     /* 238901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 238904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 238907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 238910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 238913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238917 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1437:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMAXNMP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 238917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMP_ZPmZZ_S),
     /* 238920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238922 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238924 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238926 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238928 */     GIR_RootConstrainSelectedInstOperands,
     /* 238929 */     // GIR_Coverage, 11824,
     /* 238929 */     GIR_EraseRootFromParent_Done,
     /* 238930 */   // Label 4769: @238930
     /* 238930 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(238972), // Rule ID 11825 //
     /* 238935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxnmp),
     /* 238943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 238946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 238949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 238952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 238955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 238959 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1437:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMAXNMP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 238959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMP_ZPmZZ_D),
     /* 238962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 238964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 238966 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 238968 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 238970 */     GIR_RootConstrainSelectedInstOperands,
     /* 238971 */     // GIR_Coverage, 11825,
     /* 238971 */     GIR_EraseRootFromParent_Done,
     /* 238972 */   // Label 4770: @238972
     /* 238972 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(239014), // Rule ID 11826 //
     /* 238977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 238980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmp),
     /* 238985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 238988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 238991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 238994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 238997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239001 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1455:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMINNMP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMP_ZPmZZ_H),
     /* 239004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239006 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239008 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239010 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239012 */     GIR_RootConstrainSelectedInstOperands,
     /* 239013 */     // GIR_Coverage, 11826,
     /* 239013 */     GIR_EraseRootFromParent_Done,
     /* 239014 */   // Label 4771: @239014
     /* 239014 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(239056), // Rule ID 11827 //
     /* 239019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmp),
     /* 239027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 239033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239043 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1455:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMINNMP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 239043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMP_ZPmZZ_S),
     /* 239046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239052 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239054 */     GIR_RootConstrainSelectedInstOperands,
     /* 239055 */     // GIR_Coverage, 11827,
     /* 239055 */     GIR_EraseRootFromParent_Done,
     /* 239056 */   // Label 4772: @239056
     /* 239056 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(239098), // Rule ID 11828 //
     /* 239061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminnmp),
     /* 239069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 239075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239085 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1455:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMINNMP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 239085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMP_ZPmZZ_D),
     /* 239088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239094 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239096 */     GIR_RootConstrainSelectedInstOperands,
     /* 239097 */     // GIR_Coverage, 11828,
     /* 239097 */     GIR_EraseRootFromParent_Done,
     /* 239098 */   // Label 4773: @239098
     /* 239098 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(239140), // Rule ID 11829 //
     /* 239103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxp),
     /* 239111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 239117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239127 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1440:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMAXP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXP_ZPmZZ_H),
     /* 239130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239132 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239134 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239136 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239138 */     GIR_RootConstrainSelectedInstOperands,
     /* 239139 */     // GIR_Coverage, 11829,
     /* 239139 */     GIR_EraseRootFromParent_Done,
     /* 239140 */   // Label 4774: @239140
     /* 239140 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(239182), // Rule ID 11830 //
     /* 239145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxp),
     /* 239153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 239159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239169 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1440:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMAXP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 239169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXP_ZPmZZ_S),
     /* 239172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239174 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239176 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239178 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239180 */     GIR_RootConstrainSelectedInstOperands,
     /* 239181 */     // GIR_Coverage, 11830,
     /* 239181 */     GIR_EraseRootFromParent_Done,
     /* 239182 */   // Label 4775: @239182
     /* 239182 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(239224), // Rule ID 11831 //
     /* 239187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmaxp),
     /* 239195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 239201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239211 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1440:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMAXP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 239211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAXP_ZPmZZ_D),
     /* 239214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239216 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239218 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239220 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239222 */     GIR_RootConstrainSelectedInstOperands,
     /* 239223 */     // GIR_Coverage, 11831,
     /* 239223 */     GIR_EraseRootFromParent_Done,
     /* 239224 */   // Label 4776: @239224
     /* 239224 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(239266), // Rule ID 11832 //
     /* 239229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminp),
     /* 239237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 239243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239253 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1458:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMINP_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINP_ZPmZZ_H),
     /* 239256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239258 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239260 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239262 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239264 */     GIR_RootConstrainSelectedInstOperands,
     /* 239265 */     // GIR_Coverage, 11832,
     /* 239265 */     GIR_EraseRootFromParent_Done,
     /* 239266 */   // Label 4777: @239266
     /* 239266 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(239308), // Rule ID 11833 //
     /* 239271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminp),
     /* 239279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 239285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239295 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1458:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FMINP_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 239295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINP_ZPmZZ_S),
     /* 239298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239300 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239302 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239304 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239306 */     GIR_RootConstrainSelectedInstOperands,
     /* 239307 */     // GIR_Coverage, 11833,
     /* 239307 */     GIR_EraseRootFromParent_Done,
     /* 239308 */   // Label 4778: @239308
     /* 239308 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(239350), // Rule ID 11834 //
     /* 239313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fminp),
     /* 239321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 239327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239337 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1458:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FMINP_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 239337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINP_ZPmZZ_D),
     /* 239340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239342 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239344 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239346 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239348 */     GIR_RootConstrainSelectedInstOperands,
     /* 239349 */     // GIR_Coverage, 11834,
     /* 239349 */     GIR_EraseRootFromParent_Done,
     /* 239350 */   // Label 4779: @239350
     /* 239350 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(239392), // Rule ID 11839 //
     /* 239355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalb),
     /* 239363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239379 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1464:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLALB_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZ_SHH),
     /* 239382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239384 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239386 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239388 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239390 */     GIR_RootConstrainSelectedInstOperands,
     /* 239391 */     // GIR_Coverage, 11839,
     /* 239391 */     GIR_EraseRootFromParent_Done,
     /* 239392 */   // Label 4780: @239392
     /* 239392 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(239434), // Rule ID 11840 //
     /* 239397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalt),
     /* 239405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239421 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1466:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLALT_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZ_SHH),
     /* 239424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239426 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239428 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239430 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239432 */     GIR_RootConstrainSelectedInstOperands,
     /* 239433 */     // GIR_Coverage, 11840,
     /* 239433 */     GIR_EraseRootFromParent_Done,
     /* 239434 */   // Label 4781: @239434
     /* 239434 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(239476), // Rule ID 11841 //
     /* 239439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslb),
     /* 239447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239463 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1471:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLSLB_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLB_ZZZ_SHH),
     /* 239466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239468 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239470 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239472 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239474 */     GIR_RootConstrainSelectedInstOperands,
     /* 239475 */     // GIR_Coverage, 11841,
     /* 239475 */     GIR_EraseRootFromParent_Done,
     /* 239476 */   // Label 4782: @239476
     /* 239476 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(239518), // Rule ID 11842 //
     /* 239481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslt),
     /* 239489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239505 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1473:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FMLSLT_ZZZ_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 239505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLT_ZZZ_SHH),
     /* 239508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 239510 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239514 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239516 */     GIR_RootConstrainSelectedInstOperands,
     /* 239517 */     // GIR_Coverage, 11842,
     /* 239517 */     GIR_EraseRootFromParent_Done,
     /* 239518 */   // Label 4783: @239518
     /* 239518 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(239560), // Rule ID 11843 //
     /* 239523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 239531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 239534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 239537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 239540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 239543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239547 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1271:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 239547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 239550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239552 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239554 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239556 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239558 */     GIR_RootConstrainSelectedInstOperands,
     /* 239559 */     // GIR_Coverage, 11843,
     /* 239559 */     GIR_EraseRootFromParent_Done,
     /* 239560 */   // Label 4784: @239560
     /* 239560 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(239602), // Rule ID 11845 //
     /* 239565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 239573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 239579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239589 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1271:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 239589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 239592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239594 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239596 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239598 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239600 */     GIR_RootConstrainSelectedInstOperands,
     /* 239601 */     // GIR_Coverage, 11845,
     /* 239601 */     GIR_EraseRootFromParent_Done,
     /* 239602 */   // Label 4785: @239602
     /* 239602 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(239644), // Rule ID 11847 //
     /* 239607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 239615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239631 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1271:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 239631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 239634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239636 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239638 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239640 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239642 */     GIR_RootConstrainSelectedInstOperands,
     /* 239643 */     // GIR_Coverage, 11847,
     /* 239643 */     GIR_EraseRootFromParent_Done,
     /* 239644 */   // Label 4786: @239644
     /* 239644 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(239686), // Rule ID 11849 //
     /* 239649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bcax),
     /* 239657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 239663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239673 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1271:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BCAX_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 239673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BCAX_ZZZZ),
     /* 239676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239680 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239682 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239684 */     GIR_RootConstrainSelectedInstOperands,
     /* 239685 */     // GIR_Coverage, 11849,
     /* 239685 */     GIR_EraseRootFromParent_Done,
     /* 239686 */   // Label 4787: @239686
     /* 239686 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(239728), // Rule ID 11851 //
     /* 239691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 239699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 239702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 239705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 239708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 239711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239715 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1300:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 239715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 239718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239720 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239722 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239724 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239726 */     GIR_RootConstrainSelectedInstOperands,
     /* 239727 */     // GIR_Coverage, 11851,
     /* 239727 */     GIR_EraseRootFromParent_Done,
     /* 239728 */   // Label 4788: @239728
     /* 239728 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(239770), // Rule ID 11853 //
     /* 239733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 239741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 239747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239757 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1300:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 239757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 239760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239764 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239766 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239768 */     GIR_RootConstrainSelectedInstOperands,
     /* 239769 */     // GIR_Coverage, 11853,
     /* 239769 */     GIR_EraseRootFromParent_Done,
     /* 239770 */   // Label 4789: @239770
     /* 239770 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(239812), // Rule ID 11855 //
     /* 239775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 239783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239799 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1300:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 239799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 239802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239804 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239806 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239808 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239810 */     GIR_RootConstrainSelectedInstOperands,
     /* 239811 */     // GIR_Coverage, 11855,
     /* 239811 */     GIR_EraseRootFromParent_Done,
     /* 239812 */   // Label 4790: @239812
     /* 239812 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(239854), // Rule ID 11857 //
     /* 239817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl),
     /* 239825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 239831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 239834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 239837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239841 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1300:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 239841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 239844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239846 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239848 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239850 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239852 */     GIR_RootConstrainSelectedInstOperands,
     /* 239853 */     // GIR_Coverage, 11857,
     /* 239853 */     GIR_EraseRootFromParent_Done,
     /* 239854 */   // Label 4791: @239854
     /* 239854 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(239896), // Rule ID 11859 //
     /* 239859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 239867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 239870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 239873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 239876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 239879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239883 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1301:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 239883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 239886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239888 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239890 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239892 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239894 */     GIR_RootConstrainSelectedInstOperands,
     /* 239895 */     // GIR_Coverage, 11859,
     /* 239895 */     GIR_EraseRootFromParent_Done,
     /* 239896 */   // Label 4792: @239896
     /* 239896 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(239938), // Rule ID 11860 //
     /* 239901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 239909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 239912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 239915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 239918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 239921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239925 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1301:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 239925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 239928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239932 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239934 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239936 */     GIR_RootConstrainSelectedInstOperands,
     /* 239937 */     // GIR_Coverage, 11860,
     /* 239937 */     GIR_EraseRootFromParent_Done,
     /* 239938 */   // Label 4793: @239938
     /* 239938 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(239980), // Rule ID 11861 //
     /* 239943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 239951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 239954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 239957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 239960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 239963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 239967 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1301:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 239967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 239970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 239972 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 239974 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 239976 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 239978 */     GIR_RootConstrainSelectedInstOperands,
     /* 239979 */     // GIR_Coverage, 11861,
     /* 239979 */     GIR_EraseRootFromParent_Done,
     /* 239980 */   // Label 4794: @239980
     /* 239980 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(240022), // Rule ID 11862 //
     /* 239985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 239988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl1n),
     /* 239993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 239996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 239999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240009 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1301:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BSL1N_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 240009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL1N_ZZZZ),
     /* 240012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240014 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240016 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240018 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240020 */     GIR_RootConstrainSelectedInstOperands,
     /* 240021 */     // GIR_Coverage, 11862,
     /* 240021 */     GIR_EraseRootFromParent_Done,
     /* 240022 */   // Label 4795: @240022
     /* 240022 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(240064), // Rule ID 11863 //
     /* 240027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 240035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 240038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 240041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 240044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 240047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240051 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1302:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 240051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 240054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240056 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240058 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240060 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240062 */     GIR_RootConstrainSelectedInstOperands,
     /* 240063 */     // GIR_Coverage, 11863,
     /* 240063 */     GIR_EraseRootFromParent_Done,
     /* 240064 */   // Label 4796: @240064
     /* 240064 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(240106), // Rule ID 11864 //
     /* 240069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 240077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 240083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240093 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1302:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 240093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 240096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240098 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240100 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240102 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240104 */     GIR_RootConstrainSelectedInstOperands,
     /* 240105 */     // GIR_Coverage, 11864,
     /* 240105 */     GIR_EraseRootFromParent_Done,
     /* 240106 */   // Label 4797: @240106
     /* 240106 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(240148), // Rule ID 11865 //
     /* 240111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 240119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240135 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1302:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 240135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 240138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240144 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240146 */     GIR_RootConstrainSelectedInstOperands,
     /* 240147 */     // GIR_Coverage, 11865,
     /* 240147 */     GIR_EraseRootFromParent_Done,
     /* 240148 */   // Label 4798: @240148
     /* 240148 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(240190), // Rule ID 11866 //
     /* 240153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_bsl2n),
     /* 240161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 240167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240177 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1302:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (BSL2N_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 240177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL2N_ZZZZ),
     /* 240180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240182 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240184 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240186 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240188 */     GIR_RootConstrainSelectedInstOperands,
     /* 240189 */     // GIR_Coverage, 11866,
     /* 240189 */     GIR_EraseRootFromParent_Done,
     /* 240190 */   // Label 4799: @240190
     /* 240190 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(240232), // Rule ID 11867 //
     /* 240195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 240203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 240206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 240209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 240212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 240215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240219 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1612:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 240219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 240222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240224 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240226 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240228 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240230 */     GIR_RootConstrainSelectedInstOperands,
     /* 240231 */     // GIR_Coverage, 11867,
     /* 240231 */     GIR_EraseRootFromParent_Done,
     /* 240232 */   // Label 4800: @240232
     /* 240232 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(240274), // Rule ID 11869 //
     /* 240237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 240245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 240251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240261 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1612:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 240261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 240264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240268 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240270 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240272 */     GIR_RootConstrainSelectedInstOperands,
     /* 240273 */     // GIR_Coverage, 11869,
     /* 240273 */     GIR_EraseRootFromParent_Done,
     /* 240274 */   // Label 4801: @240274
     /* 240274 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(240316), // Rule ID 11871 //
     /* 240279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 240287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240303 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1612:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 240303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 240306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240310 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240312 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240314 */     GIR_RootConstrainSelectedInstOperands,
     /* 240315 */     // GIR_Coverage, 11871,
     /* 240315 */     GIR_EraseRootFromParent_Done,
     /* 240316 */   // Label 4802: @240316
     /* 240316 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(240358), // Rule ID 11873 //
     /* 240321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 240324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_nbsl),
     /* 240329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 240335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240345 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1612:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (NBSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 240345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::NBSL_ZZZZ),
     /* 240348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240350 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240354 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240356 */     GIR_RootConstrainSelectedInstOperands,
     /* 240357 */     // GIR_Coverage, 11873,
     /* 240357 */     GIR_EraseRootFromParent_Done,
     /* 240358 */   // Label 4803: @240358
     /* 240358 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(240400), // Rule ID 11962 //
     /* 240363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 240366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 240371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 240374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 240377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 240380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 240383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240387 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1943:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UCLAMP_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 240387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_B),
     /* 240390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240392 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240394 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240396 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240398 */     GIR_RootConstrainSelectedInstOperands,
     /* 240399 */     // GIR_Coverage, 11962,
     /* 240399 */     GIR_EraseRootFromParent_Done,
     /* 240400 */   // Label 4804: @240400
     /* 240400 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(240442), // Rule ID 11964 //
     /* 240405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 240408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 240413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 240419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240429 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1943:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UCLAMP_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 240429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_H),
     /* 240432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240436 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240438 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240440 */     GIR_RootConstrainSelectedInstOperands,
     /* 240441 */     // GIR_Coverage, 11964,
     /* 240441 */     GIR_EraseRootFromParent_Done,
     /* 240442 */   // Label 4805: @240442
     /* 240442 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(240484), // Rule ID 11966 //
     /* 240447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 240450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 240455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1943:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (UCLAMP_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 240471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_S),
     /* 240474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240476 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240478 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240480 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240482 */     GIR_RootConstrainSelectedInstOperands,
     /* 240483 */     // GIR_Coverage, 11966,
     /* 240483 */     GIR_EraseRootFromParent_Done,
     /* 240484 */   // Label 4806: @240484
     /* 240484 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(240526), // Rule ID 11968 //
     /* 240489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME),
     /* 240492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_uclamp),
     /* 240497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 240503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240513 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1943:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (UCLAMP_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 240513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCLAMP_ZZZ_D),
     /* 240516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240518 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240520 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240522 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240524 */     GIR_RootConstrainSelectedInstOperands,
     /* 240525 */     // GIR_Coverage, 11968,
     /* 240525 */     GIR_EraseRootFromParent_Done,
     /* 240526 */   // Label 4807: @240526
     /* 240526 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(240568), // Rule ID 11970 //
     /* 240531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 240534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdot_x2),
     /* 240539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240555 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1421:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FDOT_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 240555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZ_S),
     /* 240558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240562 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240564 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240566 */     GIR_RootConstrainSelectedInstOperands,
     /* 240567 */     // GIR_Coverage, 11970,
     /* 240567 */     GIR_EraseRootFromParent_Done,
     /* 240568 */   // Label 4808: @240568
     /* 240568 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(240610), // Rule ID 11972 //
     /* 240573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 240576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_x2),
     /* 240581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240597 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1959:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UDOT_ZZZ_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 240597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZ_HtoS),
     /* 240600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 240602 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240604 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240606 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240608 */     GIR_RootConstrainSelectedInstOperands,
     /* 240609 */     // GIR_Coverage, 11972,
     /* 240609 */     GIR_EraseRootFromParent_Done,
     /* 240610 */   // Label 4809: @240610
     /* 240610 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(240652), // Rule ID 12135 //
     /* 240615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 240618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 240626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 240629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 240632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 240635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240639 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1919:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (TBXQ_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 240639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_B),
     /* 240642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240644 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240646 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240648 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240650 */     GIR_RootConstrainSelectedInstOperands,
     /* 240651 */     // GIR_Coverage, 12135,
     /* 240651 */     GIR_EraseRootFromParent_Done,
     /* 240652 */   // Label 4810: @240652
     /* 240652 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(240694), // Rule ID 12136 //
     /* 240657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 240660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 240671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240681 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1919:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBXQ_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 240681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_H),
     /* 240684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240688 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240690 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240692 */     GIR_RootConstrainSelectedInstOperands,
     /* 240693 */     // GIR_Coverage, 12136,
     /* 240693 */     GIR_EraseRootFromParent_Done,
     /* 240694 */   // Label 4811: @240694
     /* 240694 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(240736), // Rule ID 12137 //
     /* 240699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 240702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240723 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1919:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBXQ_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 240723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_S),
     /* 240726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240728 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240730 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240732 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240734 */     GIR_RootConstrainSelectedInstOperands,
     /* 240735 */     // GIR_Coverage, 12137,
     /* 240735 */     GIR_EraseRootFromParent_Done,
     /* 240736 */   // Label 4812: @240736
     /* 240736 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(240778), // Rule ID 12138 //
     /* 240741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 240744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 240755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240765 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1919:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBXQ_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 240765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_D),
     /* 240768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240770 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240772 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240774 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240776 */     GIR_RootConstrainSelectedInstOperands,
     /* 240777 */     // GIR_Coverage, 12138,
     /* 240777 */     GIR_EraseRootFromParent_Done,
     /* 240778 */   // Label 4813: @240778
     /* 240778 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(240820), // Rule ID 12139 //
     /* 240783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 240786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 240797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240807 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1919:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (TBXQ_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 240807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_H),
     /* 240810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240812 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240814 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240816 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240818 */     GIR_RootConstrainSelectedInstOperands,
     /* 240819 */     // GIR_Coverage, 12139,
     /* 240819 */     GIR_EraseRootFromParent_Done,
     /* 240820 */   // Label 4814: @240820
     /* 240820 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(240862), // Rule ID 12140 //
     /* 240825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 240828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 240839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240849 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1919:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (TBXQ_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 240849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_S),
     /* 240852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240854 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240856 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240858 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240860 */     GIR_RootConstrainSelectedInstOperands,
     /* 240861 */     // GIR_Coverage, 12140,
     /* 240861 */     GIR_EraseRootFromParent_Done,
     /* 240862 */   // Label 4815: @240862
     /* 240862 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(240904), // Rule ID 12141 //
     /* 240867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2p1),
     /* 240870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_tbxq),
     /* 240875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 240878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 240881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 240884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 240887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240891 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1919:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (TBXQ_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 240891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TBXQ_ZZZ_D),
     /* 240894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 240896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240898 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240900 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240902 */     GIR_RootConstrainSelectedInstOperands,
     /* 240903 */     // GIR_Coverage, 12141,
     /* 240903 */     GIR_EraseRootFromParent_Done,
     /* 240904 */   // Label 4816: @240904
     /* 240904 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(240946), // Rule ID 12486 //
     /* 240909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin),
     /* 240917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 240920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 240923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 240926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 240929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240933 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1371:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMIN_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 240933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPmZ_H),
     /* 240936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240940 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240942 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240944 */     GIR_RootConstrainSelectedInstOperands,
     /* 240945 */     // GIR_Coverage, 12486,
     /* 240945 */     GIR_EraseRootFromParent_Done,
     /* 240946 */   // Label 4817: @240946
     /* 240946 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(240988), // Rule ID 12487 //
     /* 240951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin),
     /* 240959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 240962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 240965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 240968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 240971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 240975 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1371:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMIN_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 240975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPmZ_S),
     /* 240978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 240980 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 240982 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 240984 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 240986 */     GIR_RootConstrainSelectedInstOperands,
     /* 240987 */     // GIR_Coverage, 12487,
     /* 240987 */     GIR_EraseRootFromParent_Done,
     /* 240988 */   // Label 4818: @240988
     /* 240988 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(241030), // Rule ID 12488 //
     /* 240993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 240996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin),
     /* 241001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 241004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 241010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 241013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241017 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1371:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMIN_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 241017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPmZ_D),
     /* 241020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241024 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241026 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241028 */     GIR_RootConstrainSelectedInstOperands,
     /* 241029 */     // GIR_Coverage, 12488,
     /* 241029 */     GIR_EraseRootFromParent_Done,
     /* 241030 */   // Label 4819: @241030
     /* 241030 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(241072), // Rule ID 12489 //
     /* 241035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax),
     /* 241043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 241046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 241049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 241052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 241055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241059 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1369:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMAX_ZPmZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 241059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPmZ_H),
     /* 241062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241064 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241066 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241068 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241070 */     GIR_RootConstrainSelectedInstOperands,
     /* 241071 */     // GIR_Coverage, 12489,
     /* 241071 */     GIR_EraseRootFromParent_Done,
     /* 241072 */   // Label 4820: @241072
     /* 241072 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(241114), // Rule ID 12490 //
     /* 241077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax),
     /* 241085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 241088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 241094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 241097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241101 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1369:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMAX_ZPmZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 241101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPmZ_S),
     /* 241104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241108 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241110 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241112 */     GIR_RootConstrainSelectedInstOperands,
     /* 241113 */     // GIR_Coverage, 12490,
     /* 241113 */     GIR_EraseRootFromParent_Done,
     /* 241114 */   // Label 4821: @241114
     /* 241114 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(241156), // Rule ID 12491 //
     /* 241119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax),
     /* 241127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 241130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 241136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 241139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241143 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1369:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMAX_ZPmZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 241143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPmZ_D),
     /* 241146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 241148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241152 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241154 */     GIR_RootConstrainSelectedInstOperands,
     /* 241155 */     // GIR_Coverage, 12491,
     /* 241155 */     GIR_EraseRootFromParent_Done,
     /* 241156 */   // Label 4822: @241156
     /* 241156 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(241198), // Rule ID 12492 //
     /* 241161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 241169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 241172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 241175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 241178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 241181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241185 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1370:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMAX_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 241185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_H_UNDEF),
     /* 241188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241190 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241192 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241194 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241196 */     GIR_RootConstrainSelectedInstOperands,
     /* 241197 */     // GIR_Coverage, 12492,
     /* 241197 */     GIR_EraseRootFromParent_Done,
     /* 241198 */   // Label 4823: @241198
     /* 241198 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(241240), // Rule ID 12495 //
     /* 241203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 241211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 241214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 241220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 241223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241227 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1370:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FAMAX_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 241227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_H_UNDEF),
     /* 241230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241232 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241234 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241236 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241238 */     GIR_RootConstrainSelectedInstOperands,
     /* 241239 */     // GIR_Coverage, 12495,
     /* 241239 */     GIR_EraseRootFromParent_Done,
     /* 241240 */   // Label 4824: @241240
     /* 241240 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(241282), // Rule ID 12498 //
     /* 241245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 241253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 241256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 241262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 241265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241269 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1370:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FAMAX_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 241269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_H_UNDEF),
     /* 241272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241276 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241278 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241280 */     GIR_RootConstrainSelectedInstOperands,
     /* 241281 */     // GIR_Coverage, 12498,
     /* 241281 */     GIR_EraseRootFromParent_Done,
     /* 241282 */   // Label 4825: @241282
     /* 241282 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(241324), // Rule ID 12501 //
     /* 241287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 241295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 241298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 241304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 241307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241311 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1370:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMAX_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 241311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_S_UNDEF),
     /* 241314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241318 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241320 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241322 */     GIR_RootConstrainSelectedInstOperands,
     /* 241323 */     // GIR_Coverage, 12501,
     /* 241323 */     GIR_EraseRootFromParent_Done,
     /* 241324 */   // Label 4826: @241324
     /* 241324 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(241366), // Rule ID 12504 //
     /* 241329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 241337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 241340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 241346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 241349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241353 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1370:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FAMAX_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 241353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_S_UNDEF),
     /* 241356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241358 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241360 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241362 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241364 */     GIR_RootConstrainSelectedInstOperands,
     /* 241365 */     // GIR_Coverage, 12504,
     /* 241365 */     GIR_EraseRootFromParent_Done,
     /* 241366 */   // Label 4827: @241366
     /* 241366 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(241408), // Rule ID 12507 //
     /* 241371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famax_u),
     /* 241379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 241382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 241388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 241391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241395 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1370:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMAX_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 241395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAX_ZPZZ_D_UNDEF),
     /* 241398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241400 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241402 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241404 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241406 */     GIR_RootConstrainSelectedInstOperands,
     /* 241407 */     // GIR_Coverage, 12507,
     /* 241407 */     GIR_EraseRootFromParent_Done,
     /* 241408 */   // Label 4828: @241408
     /* 241408 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(241450), // Rule ID 12510 //
     /* 241413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 241421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 241424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 241427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 241430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 241433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241437 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1372:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (FAMIN_ZPZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 241437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_H_UNDEF),
     /* 241440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241442 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241444 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241446 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241448 */     GIR_RootConstrainSelectedInstOperands,
     /* 241449 */     // GIR_Coverage, 12510,
     /* 241449 */     GIR_EraseRootFromParent_Done,
     /* 241450 */   // Label 4829: @241450
     /* 241450 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(241492), // Rule ID 12513 //
     /* 241455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 241463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 241466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 241472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 241475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241479 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1372:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (FAMIN_ZPZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 241479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_H_UNDEF),
     /* 241482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241484 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241486 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241488 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241490 */     GIR_RootConstrainSelectedInstOperands,
     /* 241491 */     // GIR_Coverage, 12513,
     /* 241491 */     GIR_EraseRootFromParent_Done,
     /* 241492 */   // Label 4830: @241492
     /* 241492 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(241534), // Rule ID 12516 //
     /* 241497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 241505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 241508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 241514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 241517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241521 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1372:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (FAMIN_ZPZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 241521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_H_UNDEF),
     /* 241524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241530 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241532 */     GIR_RootConstrainSelectedInstOperands,
     /* 241533 */     // GIR_Coverage, 12516,
     /* 241533 */     GIR_EraseRootFromParent_Done,
     /* 241534 */   // Label 4831: @241534
     /* 241534 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(241576), // Rule ID 12519 //
     /* 241539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 241547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 241550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 241553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 241556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 241559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241563 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1372:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (FAMIN_ZPZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 241563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_S_UNDEF),
     /* 241566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241568 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241570 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241572 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241574 */     GIR_RootConstrainSelectedInstOperands,
     /* 241575 */     // GIR_Coverage, 12519,
     /* 241575 */     GIR_EraseRootFromParent_Done,
     /* 241576 */   // Label 4832: @241576
     /* 241576 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(241618), // Rule ID 12522 //
     /* 241581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 241589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 241592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 241598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 241601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241605 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1372:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (FAMIN_ZPZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 241605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_S_UNDEF),
     /* 241608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241610 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241612 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241614 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241616 */     GIR_RootConstrainSelectedInstOperands,
     /* 241617 */     // GIR_Coverage, 12522,
     /* 241617 */     GIR_EraseRootFromParent_Done,
     /* 241618 */   // Label 4833: @241618
     /* 241618 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(241660), // Rule ID 12525 //
     /* 241623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasSVE2_or_SME2),
     /* 241626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_famin_u),
     /* 241631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 241634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 241637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 241640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 241643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 241647 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1372:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (FAMIN_ZPZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 241647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMIN_ZPZZ_D_UNDEF),
     /* 241650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 241652 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 241654 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 241656 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 241658 */     GIR_RootConstrainSelectedInstOperands,
     /* 241659 */     // GIR_Coverage, 12525,
     /* 241659 */     GIR_EraseRootFromParent_Done,
     /* 241660 */   // Label 4834: @241660
     /* 241660 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(241803), // Rule ID 5588 //
     /* 241665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 241673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 241676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 241679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 241682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241686 */     // MIs[0] idx
     /* 241686 */     // No operand predicates
     /* 241686 */     // (intrinsic_wo_chain:{ *:[v16i8] } 768:{ *:[iPTR] }, v8i8:{ *:[v8i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241686 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 241689 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241693 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 241700 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 241703 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241707 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241712 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 241715 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 241719 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 241722 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241727 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241732 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241737 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 241740 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241744 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 241751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 241754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241763 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 241766 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 241770 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 241773 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241778 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241783 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 241791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 241796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 241799 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241801 */     GIR_RootConstrainSelectedInstOperands,
     /* 241802 */     // GIR_Coverage, 5588,
     /* 241802 */     GIR_EraseRootFromParent_Done,
     /* 241803 */   // Label 4835: @241803
     /* 241803 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(241894), // Rule ID 5589 //
     /* 241808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 241816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 241819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 241822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 241825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241829 */     // MIs[0] idx
     /* 241829 */     // No operand predicates
     /* 241829 */     // (intrinsic_wo_chain:{ *:[v16i8] } 769:{ *:[iPTR] }, v8i8:{ *:[v8i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241829 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 241832 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241836 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 241843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 241846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241855 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 241858 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 241862 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 241865 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241870 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241875 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 241883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 241888 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 241890 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241892 */     GIR_RootConstrainSelectedInstOperands,
     /* 241893 */     // GIR_Coverage, 5589,
     /* 241893 */     GIR_EraseRootFromParent_Done,
     /* 241894 */   // Label 4836: @241894
     /* 241894 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(241985), // Rule ID 5590 //
     /* 241899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 241907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 241910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 241913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 241916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241920 */     // MIs[0] idx
     /* 241920 */     // No operand predicates
     /* 241920 */     // (intrinsic_wo_chain:{ *:[v16i8] } 768:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 241920 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 241923 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 241927 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 241934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 241937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 241941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 241946 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 241949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 241953 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 241956 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241961 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 241966 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 241971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 241974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 241976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 241978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 241981 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 241983 */     GIR_RootConstrainSelectedInstOperands,
     /* 241984 */     // GIR_Coverage, 5590,
     /* 241984 */     GIR_EraseRootFromParent_Done,
     /* 241985 */   // Label 4837: @241985
     /* 241985 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(242024), // Rule ID 5591 //
     /* 241990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 241993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 241998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 242001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 242004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 242007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242011 */     // MIs[0] idx
     /* 242011 */     // No operand predicates
     /* 242011 */     // (intrinsic_wo_chain:{ *:[v16i8] } 769:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_B:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_B),
     /* 242014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242016 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242018 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 242020 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242022 */     GIR_RootConstrainSelectedInstOperands,
     /* 242023 */     // GIR_Coverage, 5591,
     /* 242023 */     GIR_EraseRootFromParent_Done,
     /* 242024 */   // Label 4838: @242024
     /* 242024 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(242167), // Rule ID 5592 //
     /* 242029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 242037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 242043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 242046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242050 */     // MIs[0] idx
     /* 242050 */     // No operand predicates
     /* 242050 */     // (intrinsic_wo_chain:{ *:[v8i16] } 768:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242050 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 242053 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242057 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 242064 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 242067 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242071 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242076 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 242079 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 242083 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 242086 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242091 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242096 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242101 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242104 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242108 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242127 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242130 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 242134 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242137 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242142 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242147 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 242163 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242165 */     GIR_RootConstrainSelectedInstOperands,
     /* 242166 */     // GIR_Coverage, 5592,
     /* 242166 */     GIR_EraseRootFromParent_Done,
     /* 242167 */   // Label 4839: @242167
     /* 242167 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(242258), // Rule ID 5593 //
     /* 242172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 242180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 242186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 242189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242193 */     // MIs[0] idx
     /* 242193 */     // No operand predicates
     /* 242193 */     // (intrinsic_wo_chain:{ *:[v8i16] } 769:{ *:[iPTR] }, v4i16:{ *:[v4i16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242193 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242196 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242200 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242219 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242222 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 242226 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242229 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242234 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242239 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242252 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 242254 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242256 */     GIR_RootConstrainSelectedInstOperands,
     /* 242257 */     // GIR_Coverage, 5593,
     /* 242257 */     GIR_EraseRootFromParent_Done,
     /* 242258 */   // Label 4840: @242258
     /* 242258 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(242349), // Rule ID 5594 //
     /* 242263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 242271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 242277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 242280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242284 */     // MIs[0] idx
     /* 242284 */     // No operand predicates
     /* 242284 */     // (intrinsic_wo_chain:{ *:[v8i16] } 768:{ *:[iPTR] }, v8i16:{ *:[v8i16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242284 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242287 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242291 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242310 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242313 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 242317 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242320 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242325 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242330 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242340 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242345 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242347 */     GIR_RootConstrainSelectedInstOperands,
     /* 242348 */     // GIR_Coverage, 5594,
     /* 242348 */     GIR_EraseRootFromParent_Done,
     /* 242349 */   // Label 4841: @242349
     /* 242349 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(242388), // Rule ID 5595 //
     /* 242354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 242362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 242368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 242371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242375 */     // MIs[0] idx
     /* 242375 */     // No operand predicates
     /* 242375 */     // (intrinsic_wo_chain:{ *:[v8i16] } 769:{ *:[iPTR] }, v8i16:{ *:[v8i16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242380 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242382 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 242384 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242386 */     GIR_RootConstrainSelectedInstOperands,
     /* 242387 */     // GIR_Coverage, 5595,
     /* 242387 */     GIR_EraseRootFromParent_Done,
     /* 242388 */   // Label 4842: @242388
     /* 242388 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(242531), // Rule ID 5596 //
     /* 242393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 242401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 242407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 242410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242414 */     // MIs[0] idx
     /* 242414 */     // No operand predicates
     /* 242414 */     // (intrinsic_wo_chain:{ *:[v8f16] } 768:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242414 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 242417 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242421 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 242428 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 242431 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242435 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242440 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 242443 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 242447 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 242450 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242455 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242460 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242465 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242468 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242472 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242491 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242494 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 242498 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242501 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242506 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242511 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/2,
     /* 242527 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242529 */     GIR_RootConstrainSelectedInstOperands,
     /* 242530 */     // GIR_Coverage, 5596,
     /* 242530 */     GIR_EraseRootFromParent_Done,
     /* 242531 */   // Label 4843: @242531
     /* 242531 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(242622), // Rule ID 5597 //
     /* 242536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 242544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 242550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 242553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242557 */     // MIs[0] idx
     /* 242557 */     // No operand predicates
     /* 242557 */     // (intrinsic_wo_chain:{ *:[v8f16] } 769:{ *:[iPTR] }, v4f16:{ *:[v4f16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242557 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242560 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242564 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242583 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242586 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 242590 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242593 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242598 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242603 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242616 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 242618 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242620 */     GIR_RootConstrainSelectedInstOperands,
     /* 242621 */     // GIR_Coverage, 5597,
     /* 242621 */     GIR_EraseRootFromParent_Done,
     /* 242622 */   // Label 4844: @242622
     /* 242622 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(242713), // Rule ID 5598 //
     /* 242627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_lane),
     /* 242635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 242641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 242644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242648 */     // MIs[0] idx
     /* 242648 */     // No operand predicates
     /* 242648 */     // (intrinsic_wo_chain:{ *:[v8f16] } 768:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242648 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242651 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242655 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242674 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 242681 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242684 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242689 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242694 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242704 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242709 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242711 */     GIR_RootConstrainSelectedInstOperands,
     /* 242712 */     // GIR_Coverage, 5598,
     /* 242712 */     GIR_EraseRootFromParent_Done,
     /* 242713 */   // Label 4845: @242713
     /* 242713 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(242752), // Rule ID 5599 //
     /* 242718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti2_laneq),
     /* 242726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 242729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 242732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 242735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242739 */     // MIs[0] idx
     /* 242739 */     // No operand predicates
     /* 242739 */     // (intrinsic_wo_chain:{ *:[v8f16] } 769:{ *:[iPTR] }, v8f16:{ *:[v8f16] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT2_H:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 242739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT2_H),
     /* 242742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242744 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242746 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 242748 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242750 */     GIR_RootConstrainSelectedInstOperands,
     /* 242751 */     // GIR_Coverage, 5599,
     /* 242751 */     GIR_EraseRootFromParent_Done,
     /* 242752 */   // Label 4846: @242752
     /* 242752 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(242791), // Rule ID 5600 //
     /* 242757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti4q_laneq),
     /* 242765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 242768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 242771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 242774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242778 */     // MIs[0] idx
     /* 242778 */     // No operand predicates
     /* 242778 */     // (intrinsic_wo_chain:{ *:[v16i8] } 772:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v16i8:{ *:[v16i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT4_B:{ *:[v16i8] } VecListOne16b:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 242778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT4_B),
     /* 242781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242783 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242785 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 242787 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242789 */     GIR_RootConstrainSelectedInstOperands,
     /* 242790 */     // GIR_Coverage, 5600,
     /* 242790 */     GIR_EraseRootFromParent_Done,
     /* 242791 */   // Label 4847: @242791
     /* 242791 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(242882), // Rule ID 5601 //
     /* 242796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasLUT),
     /* 242799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vluti4q_lane),
     /* 242804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 242807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 242810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 242813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242817 */     // MIs[0] idx
     /* 242817 */     // No operand predicates
     /* 242817 */     // (intrinsic_wo_chain:{ *:[v16i8] } 770:{ *:[iPTR] }, v16i8:{ *:[v16i8] }:$Rn, v8i8:{ *:[v8i8] }:$Rm, i32:{ *:[i32] }:$idx)  =>  (LUT4_B:{ *:[v16i8] } VecListOne16b:{ *:[v16i8] }:$Rn, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), V64:{ *:[v8i8] }:$Rm, dsub:{ *:[i32] }), (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 242817 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 242820 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 242824 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 242831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 242834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 242838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 242843 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 242846 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // Rm
     /* 242850 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 242853 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242858 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 242863 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 242868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LUT4_B),
     /* 242871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 242873 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 242875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 242878 */     GIR_RootToRootCopy, /*OpIdx*/4, // idx
     /* 242880 */     GIR_RootConstrainSelectedInstOperands,
     /* 242881 */     // GIR_Coverage, 5601,
     /* 242881 */     GIR_EraseRootFromParent_Done,
     /* 242882 */   // Label 4848: @242882
     /* 242882 */   GIM_Reject,
     /* 242883 */ // Label 3972: @242883
     /* 242883 */ GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(249994),
     /* 242888 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 242891 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(242938), // Rule ID 2965 //
     /* 242896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 242904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 242907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 242910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 242913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 242916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 242919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242923 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1603:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLA_ZPZZZ_B_UNDEF:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 242923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_B_UNDEF),
     /* 242926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242930 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242932 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242934 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242936 */     GIR_RootConstrainSelectedInstOperands,
     /* 242937 */     // GIR_Coverage, 2965,
     /* 242937 */     GIR_EraseRootFromParent_Done,
     /* 242938 */   // Label 4850: @242938
     /* 242938 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(242985), // Rule ID 2967 //
     /* 242943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 242951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 242954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 242957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 242960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 242963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 242966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 242970 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1603:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLA_ZPZZZ_H_UNDEF:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 242970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_H_UNDEF),
     /* 242973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 242975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 242977 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 242979 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 242981 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 242983 */     GIR_RootConstrainSelectedInstOperands,
     /* 242984 */     // GIR_Coverage, 2967,
     /* 242984 */     GIR_EraseRootFromParent_Done,
     /* 242985 */   // Label 4851: @242985
     /* 242985 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(243032), // Rule ID 2969 //
     /* 242990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 242993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 242998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 243001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 243004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 243007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 243010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 243013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243017 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1603:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLA_ZPZZZ_S_UNDEF:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 243017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_S_UNDEF),
     /* 243020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 243022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243024 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243026 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243028 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243030 */     GIR_RootConstrainSelectedInstOperands,
     /* 243031 */     // GIR_Coverage, 2969,
     /* 243031 */     GIR_EraseRootFromParent_Done,
     /* 243032 */   // Label 4852: @243032
     /* 243032 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(243079), // Rule ID 2971 //
     /* 243037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_u),
     /* 243045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 243048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 243051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 243054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 243057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 243060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243064 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1603:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLA_ZPZZZ_D_UNDEF:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 243064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPZZZ_D_UNDEF),
     /* 243067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 243069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243071 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243073 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243075 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243077 */     GIR_RootConstrainSelectedInstOperands,
     /* 243078 */     // GIR_Coverage, 2971,
     /* 243078 */     GIR_EraseRootFromParent_Done,
     /* 243079 */   // Label 4853: @243079
     /* 243079 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(243126), // Rule ID 7560 //
     /* 243084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 243092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 243095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 243098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 243101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 243104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 243107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243111 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1606:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLS_ZPZZZ_B_UNDEF:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 243111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_B_UNDEF),
     /* 243114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 243116 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243118 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243120 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243122 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243124 */     GIR_RootConstrainSelectedInstOperands,
     /* 243125 */     // GIR_Coverage, 7560,
     /* 243125 */     GIR_EraseRootFromParent_Done,
     /* 243126 */   // Label 4854: @243126
     /* 243126 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(243173), // Rule ID 7562 //
     /* 243131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 243139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 243142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 243145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 243148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 243151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 243154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1606:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLS_ZPZZZ_H_UNDEF:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 243158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_H_UNDEF),
     /* 243161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 243163 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243165 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243167 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243169 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243171 */     GIR_RootConstrainSelectedInstOperands,
     /* 243172 */     // GIR_Coverage, 7562,
     /* 243172 */     GIR_EraseRootFromParent_Done,
     /* 243173 */   // Label 4855: @243173
     /* 243173 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(243220), // Rule ID 7564 //
     /* 243178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 243186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 243189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 243192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 243195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 243198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 243201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243205 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1606:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLS_ZPZZZ_S_UNDEF:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 243205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_S_UNDEF),
     /* 243208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 243210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243212 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243214 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243216 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243218 */     GIR_RootConstrainSelectedInstOperands,
     /* 243219 */     // GIR_Coverage, 7564,
     /* 243219 */     GIR_EraseRootFromParent_Done,
     /* 243220 */   // Label 4856: @243220
     /* 243220 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(243267), // Rule ID 7566 //
     /* 243225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_u),
     /* 243233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 243236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 243239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 243242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 243245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 243248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1606:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLS_ZPZZZ_D_UNDEF:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 243252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPZZZ_D_UNDEF),
     /* 243255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 243257 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243259 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243261 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243263 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 243265 */     GIR_RootConstrainSelectedInstOperands,
     /* 243266 */     // GIR_Coverage, 7566,
     /* 243266 */     GIR_EraseRootFromParent_Done,
     /* 243267 */   // Label 4857: @243267
     /* 243267 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(243347), // Rule ID 5708 //
     /* 243272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 243277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 243280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 243283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 243286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 243289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 243292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 243304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 243312 */     // MIs[1] Operand 1
     /* 243312 */     // No operand predicates
     /* 243312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 243320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243324 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 243328 */     // MIs[2] Operand 1
     /* 243328 */     // No operand predicates
     /* 243328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 243330 */     // (intrinsic_wo_chain:{ *:[v16i8] } 761:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, V128:{ *:[v16i8] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx2)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, V128:{ *:[v16i8] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx2)
     /* 243330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 243333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243335 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 243340 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 243342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 243345 */     GIR_RootConstrainSelectedInstOperands,
     /* 243346 */     // GIR_Coverage, 5708,
     /* 243346 */     GIR_EraseRootFromParent_Done,
     /* 243347 */   // Label 4858: @243347
     /* 243347 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(243427), // Rule ID 5709 //
     /* 243352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 243357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 243360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 243363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 243366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s16,
     /* 243369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 243372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 243384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 243392 */     // MIs[1] Operand 1
     /* 243392 */     // No operand predicates
     /* 243392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 243400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243404 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 243408 */     // MIs[2] Operand 1
     /* 243408 */     // No operand predicates
     /* 243408 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 243410 */     // (intrinsic_wo_chain:{ *:[v8i16] } 761:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, V128:{ *:[v8i16] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx2)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, V128:{ *:[v8i16] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx2)
     /* 243410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 243413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243415 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 243420 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 243422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 243425 */     GIR_RootConstrainSelectedInstOperands,
     /* 243426 */     // GIR_Coverage, 5709,
     /* 243426 */     GIR_EraseRootFromParent_Done,
     /* 243427 */   // Label 4859: @243427
     /* 243427 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(243507), // Rule ID 5710 //
     /* 243432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 243437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 243440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 243443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 243446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 243449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 243452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 243464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 243472 */     // MIs[1] Operand 1
     /* 243472 */     // No operand predicates
     /* 243472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 243480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243484 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 243488 */     // MIs[2] Operand 1
     /* 243488 */     // No operand predicates
     /* 243488 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 243490 */     // (intrinsic_wo_chain:{ *:[v4i32] } 761:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, V128:{ *:[v4i32] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx2)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, V128:{ *:[v4i32] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx2)
     /* 243490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 243493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243495 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 243500 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 243502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 243505 */     GIR_RootConstrainSelectedInstOperands,
     /* 243506 */     // GIR_Coverage, 5710,
     /* 243506 */     GIR_EraseRootFromParent_Done,
     /* 243507 */   // Label 4860: @243507
     /* 243507 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(243587), // Rule ID 5711 //
     /* 243512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_vcopy_lane),
     /* 243517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 243520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 243523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 243526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v2s64,
     /* 243529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 243532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 243544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 243552 */     // MIs[1] Operand 1
     /* 243552 */     // No operand predicates
     /* 243552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243556 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/5, // MIs[2]
     /* 243560 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 243564 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 243568 */     // MIs[2] Operand 1
     /* 243568 */     // No operand predicates
     /* 243568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 243570 */     // (intrinsic_wo_chain:{ *:[v2i64] } 761:{ *:[iPTR] }, V128:{ *:[v2i64] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, V128:{ *:[v2i64] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx2)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$Vd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, V128:{ *:[v2i64] }:$Vs, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx2)
     /* 243570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 243573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 243575 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 243580 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vs
     /* 243582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 243585 */     GIR_RootConstrainSelectedInstOperands,
     /* 243586 */     // GIR_Coverage, 5711,
     /* 243586 */     GIR_EraseRootFromParent_Done,
     /* 243587 */   // Label 4861: @243587
     /* 243587 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(243651), // Rule ID 3849 //
     /* 243592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 243595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt1a),
     /* 243600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 243603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 243606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 243609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 243612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243628 */     // MIs[0] imm
     /* 243628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 243636 */     // (intrinsic_wo_chain:{ *:[v4i32] } 537:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT1A:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 243636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT1A),
     /* 243639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 243641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243643 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 243645 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 243647 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 243649 */     GIR_RootConstrainSelectedInstOperands,
     /* 243650 */     // GIR_Coverage, 3849,
     /* 243650 */     GIR_EraseRootFromParent_Done,
     /* 243651 */   // Label 4862: @243651
     /* 243651 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(243715), // Rule ID 3850 //
     /* 243656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 243659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt1b),
     /* 243664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 243667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 243670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 243673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 243676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243692 */     // MIs[0] imm
     /* 243692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243695 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 243700 */     // (intrinsic_wo_chain:{ *:[v4i32] } 538:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT1B:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 243700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT1B),
     /* 243703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 243705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 243709 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 243711 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 243713 */     GIR_RootConstrainSelectedInstOperands,
     /* 243714 */     // GIR_Coverage, 3850,
     /* 243714 */     GIR_EraseRootFromParent_Done,
     /* 243715 */   // Label 4863: @243715
     /* 243715 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(243779), // Rule ID 3851 //
     /* 243720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 243723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt2a),
     /* 243728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 243731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 243734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 243737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 243740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243756 */     // MIs[0] imm
     /* 243756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 243764 */     // (intrinsic_wo_chain:{ *:[v4i32] } 539:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT2A:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 243764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT2A),
     /* 243767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 243769 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243771 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 243773 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 243775 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 243777 */     GIR_RootConstrainSelectedInstOperands,
     /* 243778 */     // GIR_Coverage, 3851,
     /* 243778 */     GIR_EraseRootFromParent_Done,
     /* 243779 */   // Label 4864: @243779
     /* 243779 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(243843), // Rule ID 3852 //
     /* 243784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSM4),
     /* 243787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_crypto_sm3tt2b),
     /* 243792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 243795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 243798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 243801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 243804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 243820 */     // MIs[0] imm
     /* 243820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243823 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS_timm),
     /* 243828 */     // (intrinsic_wo_chain:{ *:[v4i32] } 540:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)  =>  (SM3TT2B:{ *:[v4i32] } V128:{ *:[v4i32] }:$Vd, V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm, (timm:{ *:[i64] })<<P:Predicate_VectorIndexS_timm>>:$imm)
     /* 243828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SM3TT2B),
     /* 243831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vdst]
     /* 243833 */     GIR_RootToRootCopy, /*OpIdx*/2, // Vd
     /* 243835 */     GIR_RootToRootCopy, /*OpIdx*/3, // Vn
     /* 243837 */     GIR_RootToRootCopy, /*OpIdx*/4, // Vm
     /* 243839 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm
     /* 243841 */     GIR_RootConstrainSelectedInstOperands,
     /* 243842 */     // GIR_Coverage, 3852,
     /* 243842 */     GIR_EraseRootFromParent_Done,
     /* 243843 */   // Label 4865: @243843
     /* 243843 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(243895), // Rule ID 2850 //
     /* 243848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla_lane),
     /* 243856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 243859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 243862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 243865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 243868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243872 */     // MIs[0] idx
     /* 243872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243875 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 243880 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1462:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)  =>  (FMLA_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)
     /* 243880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZZZI_H),
     /* 243883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243885 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243887 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243889 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243891 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 243893 */     GIR_RootConstrainSelectedInstOperands,
     /* 243894 */     // GIR_Coverage, 2850,
     /* 243894 */     GIR_EraseRootFromParent_Done,
     /* 243895 */   // Label 4866: @243895
     /* 243895 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(243947), // Rule ID 2851 //
     /* 243900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla_lane),
     /* 243908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 243911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 243914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 243917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 243920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243924 */     // MIs[0] idx
     /* 243924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243927 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 243932 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1462:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)  =>  (FMLA_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 243932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZZZI_S),
     /* 243935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243937 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243939 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243941 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243943 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 243945 */     GIR_RootConstrainSelectedInstOperands,
     /* 243946 */     // GIR_Coverage, 2851,
     /* 243946 */     GIR_EraseRootFromParent_Done,
     /* 243947 */   // Label 4867: @243947
     /* 243947 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(243999), // Rule ID 2852 //
     /* 243952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 243955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla_lane),
     /* 243960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 243963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 243966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 243969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 243972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 243976 */     // MIs[0] idx
     /* 243976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 243979 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 243984 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1462:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)  =>  (FMLA_ZZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 243984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZZZI_D),
     /* 243987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 243989 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 243991 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 243993 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 243995 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 243997 */     GIR_RootConstrainSelectedInstOperands,
     /* 243998 */     // GIR_Coverage, 2852,
     /* 243998 */     GIR_EraseRootFromParent_Done,
     /* 243999 */   // Label 4868: @243999
     /* 243999 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(244051), // Rule ID 2980 //
     /* 244004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_lane),
     /* 244012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 244018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244028 */     // MIs[0] Op4
     /* 244028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244031 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244036 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1602:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (MLA_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 244036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZZZI_H),
     /* 244039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244041 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244043 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244045 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244047 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244049 */     GIR_RootConstrainSelectedInstOperands,
     /* 244050 */     // GIR_Coverage, 2980,
     /* 244050 */     GIR_EraseRootFromParent_Done,
     /* 244051 */   // Label 4869: @244051
     /* 244051 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(244103), // Rule ID 2981 //
     /* 244056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_lane),
     /* 244064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244080 */     // MIs[0] Op4
     /* 244080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1602:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (MLA_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZZZI_S),
     /* 244091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244093 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244097 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244099 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244101 */     GIR_RootConstrainSelectedInstOperands,
     /* 244102 */     // GIR_Coverage, 2981,
     /* 244102 */     GIR_EraseRootFromParent_Done,
     /* 244103 */   // Label 4870: @244103
     /* 244103 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(244155), // Rule ID 2982 //
     /* 244108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla_lane),
     /* 244116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 244125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 244128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244132 */     // MIs[0] Op4
     /* 244132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244135 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 244140 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1602:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (MLA_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 244140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZZZI_D),
     /* 244143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244145 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244147 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244149 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244151 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244153 */     GIR_RootConstrainSelectedInstOperands,
     /* 244154 */     // GIR_Coverage, 2982,
     /* 244154 */     GIR_EraseRootFromParent_Done,
     /* 244155 */   // Label 4871: @244155
     /* 244155 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(244207), // Rule ID 2983 //
     /* 244160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb_lane),
     /* 244168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244184 */     // MIs[0] Op4
     /* 244184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244187 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244192 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1744:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLALB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 244192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZI_S),
     /* 244195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244199 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244201 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244203 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244205 */     GIR_RootConstrainSelectedInstOperands,
     /* 244206 */     // GIR_Coverage, 2983,
     /* 244206 */     GIR_EraseRootFromParent_Done,
     /* 244207 */   // Label 4872: @244207
     /* 244207 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(244259), // Rule ID 2984 //
     /* 244212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalb_lane),
     /* 244220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244236 */     // MIs[0] Op4
     /* 244236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244244 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1744:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLALB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALB_ZZZI_D),
     /* 244247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244249 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244251 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244253 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244255 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244257 */     GIR_RootConstrainSelectedInstOperands,
     /* 244258 */     // GIR_Coverage, 2984,
     /* 244258 */     GIR_EraseRootFromParent_Done,
     /* 244259 */   // Label 4873: @244259
     /* 244259 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(244311), // Rule ID 2987 //
     /* 244264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_lane),
     /* 244272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 244281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 244284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244288 */     // MIs[0] Op4
     /* 244288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1710:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SDOT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZI_S),
     /* 244299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244301 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244303 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244305 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244307 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244309 */     GIR_RootConstrainSelectedInstOperands,
     /* 244310 */     // GIR_Coverage, 2987,
     /* 244310 */     GIR_EraseRootFromParent_Done,
     /* 244311 */   // Label 4874: @244311
     /* 244311 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(244363), // Rule ID 2988 //
     /* 244316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_lane),
     /* 244324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244340 */     // MIs[0] Op4
     /* 244340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244343 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 244348 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1710:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (SDOT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 244348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZI_D),
     /* 244351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244353 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244355 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244357 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244359 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244361 */     GIR_RootConstrainSelectedInstOperands,
     /* 244362 */     // GIR_Coverage, 2988,
     /* 244362 */     GIR_EraseRootFromParent_Done,
     /* 244363 */   // Label 4875: @244363
     /* 244363 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(244415), // Rule ID 3462 //
     /* 244368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE_or_SME),
     /* 244371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_usdot_lane),
     /* 244376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 244385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 244388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244392 */     // MIs[0] Op4
     /* 244392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244395 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244400 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 2057:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (USDOT_ZZZI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USDOT_ZZZI),
     /* 244403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244407 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244409 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244411 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244413 */     GIR_RootConstrainSelectedInstOperands,
     /* 244414 */     // GIR_Coverage, 3462,
     /* 244414 */     GIR_EraseRootFromParent_Done,
     /* 244415 */   // Label 4876: @244415
     /* 244415 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(244467), // Rule ID 3506 //
     /* 244420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 244423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sdot_lane_x2),
     /* 244428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244444 */     // MIs[0] Op4
     /* 244444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244447 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244452 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1711:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SDOT_ZZZI_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZI_HtoS),
     /* 244455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244457 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244459 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244461 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244463 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244465 */     GIR_RootConstrainSelectedInstOperands,
     /* 244466 */     // GIR_Coverage, 3506,
     /* 244466 */     GIR_EraseRootFromParent_Done,
     /* 244467 */   // Label 4877: @244467
     /* 244467 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(244519), // Rule ID 7634 //
     /* 244472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_lane),
     /* 244480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 244489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 244492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244496 */     // MIs[0] Op4
     /* 244496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244499 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244504 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1957:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UDOT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZI_S),
     /* 244507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244509 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244511 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244513 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244515 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244517 */     GIR_RootConstrainSelectedInstOperands,
     /* 244518 */     // GIR_Coverage, 7634,
     /* 244518 */     GIR_EraseRootFromParent_Done,
     /* 244519 */   // Label 4878: @244519
     /* 244519 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(244571), // Rule ID 7635 //
     /* 244524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_lane),
     /* 244532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244548 */     // MIs[0] Op4
     /* 244548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244551 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 244556 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1957:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (UDOT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 244556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZI_D),
     /* 244559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244561 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244563 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244565 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244567 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244569 */     GIR_RootConstrainSelectedInstOperands,
     /* 244570 */     // GIR_Coverage, 7635,
     /* 244570 */     GIR_EraseRootFromParent_Done,
     /* 244571 */   // Label 4879: @244571
     /* 244571 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(244623), // Rule ID 8275 //
     /* 244576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_lane),
     /* 244584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 244590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244600 */     // MIs[0] idx
     /* 244600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244603 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244608 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1469:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)  =>  (FMLS_ZZZI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$idx)
     /* 244608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZZZI_H),
     /* 244611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244613 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244615 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244617 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244619 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 244621 */     GIR_RootConstrainSelectedInstOperands,
     /* 244622 */     // GIR_Coverage, 8275,
     /* 244622 */     GIR_EraseRootFromParent_Done,
     /* 244623 */   // Label 4880: @244623
     /* 244623 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(244675), // Rule ID 8276 //
     /* 244628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_lane),
     /* 244636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244652 */     // MIs[0] idx
     /* 244652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244655 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244660 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1469:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)  =>  (FMLS_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$idx)
     /* 244660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZZZI_S),
     /* 244663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244665 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244667 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244669 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244671 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 244673 */     GIR_RootConstrainSelectedInstOperands,
     /* 244674 */     // GIR_Coverage, 8276,
     /* 244674 */     GIR_EraseRootFromParent_Done,
     /* 244675 */   // Label 4881: @244675
     /* 244675 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(244727), // Rule ID 8277 //
     /* 244680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 244683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_lane),
     /* 244688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 244697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 244700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244704 */     // MIs[0] idx
     /* 244704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244707 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 244712 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1469:{ *:[iPTR] }, nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)  =>  (FMLS_ZZZI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$idx)
     /* 244712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZZZI_D),
     /* 244715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244717 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244719 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244721 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244723 */     GIR_RootToRootCopy, /*OpIdx*/5, // idx
     /* 244725 */     GIR_RootConstrainSelectedInstOperands,
     /* 244726 */     // GIR_Coverage, 8277,
     /* 244726 */     GIR_EraseRootFromParent_Done,
     /* 244727 */   // Label 4882: @244727
     /* 244727 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(244779), // Rule ID 11241 //
     /* 244732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMatMulInt8_HasSVE_or_SME),
     /* 244735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sudot_lane),
     /* 244740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 244749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 244752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244756 */     // MIs[0] Op4
     /* 244756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1906:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SUDOT_ZZZI:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUDOT_ZZZI),
     /* 244767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244769 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244771 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244773 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244775 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244777 */     GIR_RootConstrainSelectedInstOperands,
     /* 244778 */     // GIR_Coverage, 11241,
     /* 244778 */     GIR_EraseRootFromParent_Done,
     /* 244779 */   // Label 4883: @244779
     /* 244779 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(244831), // Rule ID 11288 //
     /* 244784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_lane),
     /* 244792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 244798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244808 */     // MIs[0] Op4
     /* 244808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244811 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244816 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1605:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (MLS_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 244816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZZZI_H),
     /* 244819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244821 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244823 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244825 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244827 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244829 */     GIR_RootConstrainSelectedInstOperands,
     /* 244830 */     // GIR_Coverage, 11288,
     /* 244830 */     GIR_EraseRootFromParent_Done,
     /* 244831 */   // Label 4884: @244831
     /* 244831 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(244883), // Rule ID 11289 //
     /* 244836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_lane),
     /* 244844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 244847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 244850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 244853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 244856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244860 */     // MIs[0] Op4
     /* 244860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244863 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 244868 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1605:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (MLS_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 244868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZZZI_S),
     /* 244871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244873 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244875 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244877 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244879 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244881 */     GIR_RootConstrainSelectedInstOperands,
     /* 244882 */     // GIR_Coverage, 11289,
     /* 244882 */     GIR_EraseRootFromParent_Done,
     /* 244883 */   // Label 4885: @244883
     /* 244883 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(244935), // Rule ID 11290 //
     /* 244888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls_lane),
     /* 244896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 244899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 244902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 244905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 244908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244912 */     // MIs[0] Op4
     /* 244912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 244920 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1605:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (MLS_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 244920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZZZI_D),
     /* 244923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244927 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244929 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244931 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244933 */     GIR_RootConstrainSelectedInstOperands,
     /* 244934 */     // GIR_Coverage, 11290,
     /* 244934 */     GIR_EraseRootFromParent_Done,
     /* 244935 */   // Label 4886: @244935
     /* 244935 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(244987), // Rule ID 11291 //
     /* 244940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah_lane),
     /* 244948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 244951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 244954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 244957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 244960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 244964 */     // MIs[0] Op4
     /* 244964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 244967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 244972 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1823:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQRDMLAH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 244972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZI_H),
     /* 244975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 244977 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 244979 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 244981 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 244983 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 244985 */     GIR_RootConstrainSelectedInstOperands,
     /* 244986 */     // GIR_Coverage, 11291,
     /* 244986 */     GIR_EraseRootFromParent_Done,
     /* 244987 */   // Label 4887: @244987
     /* 244987 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(245039), // Rule ID 11292 //
     /* 244992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 244995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah_lane),
     /* 245000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245016 */     // MIs[0] Op4
     /* 245016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245019 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1823:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQRDMLAH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZI_S),
     /* 245027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245029 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245031 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245033 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245035 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245037 */     GIR_RootConstrainSelectedInstOperands,
     /* 245038 */     // GIR_Coverage, 11292,
     /* 245038 */     GIR_EraseRootFromParent_Done,
     /* 245039 */   // Label 4888: @245039
     /* 245039 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(245091), // Rule ID 11293 //
     /* 245044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlah_lane),
     /* 245052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 245061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 245064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245068 */     // MIs[0] Op4
     /* 245068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245071 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 245076 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1823:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (SQRDMLAH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 245076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLAH_ZZZI_D),
     /* 245079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245081 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245083 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245085 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245087 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245089 */     GIR_RootConstrainSelectedInstOperands,
     /* 245090 */     // GIR_Coverage, 11293,
     /* 245090 */     GIR_EraseRootFromParent_Done,
     /* 245091 */   // Label 4889: @245091
     /* 245091 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(245143), // Rule ID 11294 //
     /* 245096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh_lane),
     /* 245104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 245107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 245110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245120 */     // MIs[0] Op4
     /* 245120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245123 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1825:{ *:[iPTR] }, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQRDMLSH_ZZZI_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZI_H),
     /* 245131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245133 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245135 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245137 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245139 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245141 */     GIR_RootConstrainSelectedInstOperands,
     /* 245142 */     // GIR_Coverage, 11294,
     /* 245142 */     GIR_EraseRootFromParent_Done,
     /* 245143 */   // Label 4890: @245143
     /* 245143 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(245195), // Rule ID 11295 //
     /* 245148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh_lane),
     /* 245156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245172 */     // MIs[0] Op4
     /* 245172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245175 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245180 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1825:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQRDMLSH_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZI_S),
     /* 245183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245185 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245187 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245189 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245191 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245193 */     GIR_RootConstrainSelectedInstOperands,
     /* 245194 */     // GIR_Coverage, 11295,
     /* 245194 */     GIR_EraseRootFromParent_Done,
     /* 245195 */   // Label 4891: @245195
     /* 245195 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(245247), // Rule ID 11296 //
     /* 245200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqrdmlsh_lane),
     /* 245208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 245217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 245220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245224 */     // MIs[0] Op4
     /* 245224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245227 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD32b_timm),
     /* 245232 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1825:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)  =>  (SQRDMLSH_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexD32b_timm>>:$Op4)
     /* 245232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQRDMLSH_ZZZI_D),
     /* 245235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245237 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245239 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245241 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245243 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245245 */     GIR_RootConstrainSelectedInstOperands,
     /* 245246 */     // GIR_Coverage, 11296,
     /* 245246 */     GIR_EraseRootFromParent_Done,
     /* 245247 */   // Label 4892: @245247
     /* 245247 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(245299), // Rule ID 11339 //
     /* 245252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt_lane),
     /* 245260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245276 */     // MIs[0] Op4
     /* 245276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245279 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1746:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLALT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZI_S),
     /* 245287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245289 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245291 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245293 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245295 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245297 */     GIR_RootConstrainSelectedInstOperands,
     /* 245298 */     // GIR_Coverage, 11339,
     /* 245298 */     GIR_EraseRootFromParent_Done,
     /* 245299 */   // Label 4893: @245299
     /* 245299 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(245351), // Rule ID 11340 //
     /* 245304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlalt_lane),
     /* 245312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245328 */     // MIs[0] Op4
     /* 245328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245331 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245336 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1746:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLALT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLALT_ZZZI_D),
     /* 245339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245341 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245343 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245345 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245347 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245349 */     GIR_RootConstrainSelectedInstOperands,
     /* 245350 */     // GIR_Coverage, 11340,
     /* 245350 */     GIR_EraseRootFromParent_Done,
     /* 245351 */   // Label 4894: @245351
     /* 245351 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(245403), // Rule ID 11341 //
     /* 245356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb_lane),
     /* 245364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245380 */     // MIs[0] Op4
     /* 245380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245383 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245388 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1982:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLALB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZI_S),
     /* 245391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245393 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245395 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245397 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245399 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245401 */     GIR_RootConstrainSelectedInstOperands,
     /* 245402 */     // GIR_Coverage, 11341,
     /* 245402 */     GIR_EraseRootFromParent_Done,
     /* 245403 */   // Label 4895: @245403
     /* 245403 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(245455), // Rule ID 11342 //
     /* 245408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalb_lane),
     /* 245416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245432 */     // MIs[0] Op4
     /* 245432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245435 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245440 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1982:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLALB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALB_ZZZI_D),
     /* 245443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245445 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245447 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245449 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245451 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245453 */     GIR_RootConstrainSelectedInstOperands,
     /* 245454 */     // GIR_Coverage, 11342,
     /* 245454 */     GIR_EraseRootFromParent_Done,
     /* 245455 */   // Label 4896: @245455
     /* 245455 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(245507), // Rule ID 11343 //
     /* 245460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt_lane),
     /* 245468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245484 */     // MIs[0] Op4
     /* 245484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245487 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1984:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLALT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZI_S),
     /* 245495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245497 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245499 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245501 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245503 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245505 */     GIR_RootConstrainSelectedInstOperands,
     /* 245506 */     // GIR_Coverage, 11343,
     /* 245506 */     GIR_EraseRootFromParent_Done,
     /* 245507 */   // Label 4897: @245507
     /* 245507 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(245559), // Rule ID 11344 //
     /* 245512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlalt_lane),
     /* 245520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245536 */     // MIs[0] Op4
     /* 245536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245539 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1984:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLALT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLALT_ZZZI_D),
     /* 245547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245549 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245551 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245553 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245555 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245557 */     GIR_RootConstrainSelectedInstOperands,
     /* 245558 */     // GIR_Coverage, 11344,
     /* 245558 */     GIR_EraseRootFromParent_Done,
     /* 245559 */   // Label 4898: @245559
     /* 245559 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(245611), // Rule ID 11345 //
     /* 245564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb_lane),
     /* 245572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245588 */     // MIs[0] Op4
     /* 245588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1748:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLSLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZI_S),
     /* 245599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245601 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245603 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245605 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245607 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245609 */     GIR_RootConstrainSelectedInstOperands,
     /* 245610 */     // GIR_Coverage, 11345,
     /* 245610 */     GIR_EraseRootFromParent_Done,
     /* 245611 */   // Label 4899: @245611
     /* 245611 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(245663), // Rule ID 11346 //
     /* 245616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslb_lane),
     /* 245624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245640 */     // MIs[0] Op4
     /* 245640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245643 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245648 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1748:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLSLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLB_ZZZI_D),
     /* 245651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245653 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245655 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245657 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245659 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245661 */     GIR_RootConstrainSelectedInstOperands,
     /* 245662 */     // GIR_Coverage, 11346,
     /* 245662 */     GIR_EraseRootFromParent_Done,
     /* 245663 */   // Label 4900: @245663
     /* 245663 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(245715), // Rule ID 11347 //
     /* 245668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt_lane),
     /* 245676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245692 */     // MIs[0] Op4
     /* 245692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245695 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245700 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1750:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SMLSLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZI_S),
     /* 245703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245705 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245707 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245709 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245711 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245713 */     GIR_RootConstrainSelectedInstOperands,
     /* 245714 */     // GIR_Coverage, 11347,
     /* 245714 */     GIR_EraseRootFromParent_Done,
     /* 245715 */   // Label 4901: @245715
     /* 245715 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(245767), // Rule ID 11348 //
     /* 245720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_smlslt_lane),
     /* 245728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245744 */     // MIs[0] Op4
     /* 245744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1750:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SMLSLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMLSLT_ZZZI_D),
     /* 245755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245757 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245759 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245761 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245763 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245765 */     GIR_RootConstrainSelectedInstOperands,
     /* 245766 */     // GIR_Coverage, 11348,
     /* 245766 */     GIR_EraseRootFromParent_Done,
     /* 245767 */   // Label 4902: @245767
     /* 245767 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(245819), // Rule ID 11349 //
     /* 245772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb_lane),
     /* 245780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245796 */     // MIs[0] Op4
     /* 245796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245799 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245804 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1986:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLSLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZI_S),
     /* 245807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245809 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245811 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245813 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245815 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245817 */     GIR_RootConstrainSelectedInstOperands,
     /* 245818 */     // GIR_Coverage, 11349,
     /* 245818 */     GIR_EraseRootFromParent_Done,
     /* 245819 */   // Label 4903: @245819
     /* 245819 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(245871), // Rule ID 11350 //
     /* 245824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslb_lane),
     /* 245832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245848 */     // MIs[0] Op4
     /* 245848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245851 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245856 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1986:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLSLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLB_ZZZI_D),
     /* 245859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245863 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245865 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245867 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245869 */     GIR_RootConstrainSelectedInstOperands,
     /* 245870 */     // GIR_Coverage, 11350,
     /* 245870 */     GIR_EraseRootFromParent_Done,
     /* 245871 */   // Label 4904: @245871
     /* 245871 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(245923), // Rule ID 11351 //
     /* 245876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt_lane),
     /* 245884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 245896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245900 */     // MIs[0] Op4
     /* 245900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 245908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1988:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (UMLSLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 245908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZI_S),
     /* 245911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245913 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245915 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245917 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245919 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245921 */     GIR_RootConstrainSelectedInstOperands,
     /* 245922 */     // GIR_Coverage, 11351,
     /* 245922 */     GIR_EraseRootFromParent_Done,
     /* 245923 */   // Label 4905: @245923
     /* 245923 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(245975), // Rule ID 11352 //
     /* 245928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_umlslt_lane),
     /* 245936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 245939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 245942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 245945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 245948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 245952 */     // MIs[0] Op4
     /* 245952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 245955 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 245960 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1988:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UMLSLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 245960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMLSLT_ZZZI_D),
     /* 245963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 245965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 245967 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 245969 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 245971 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 245973 */     GIR_RootConstrainSelectedInstOperands,
     /* 245974 */     // GIR_Coverage, 11352,
     /* 245974 */     GIR_EraseRootFromParent_Done,
     /* 245975 */   // Label 4906: @245975
     /* 245975 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(246027), // Rule ID 11374 //
     /* 245980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 245983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb_lane),
     /* 245988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 245991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 245994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 245997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246004 */     // MIs[0] Op4
     /* 246004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246007 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1786:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLALB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZI_S),
     /* 246015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246017 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246019 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246021 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246023 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246025 */     GIR_RootConstrainSelectedInstOperands,
     /* 246026 */     // GIR_Coverage, 11374,
     /* 246026 */     GIR_EraseRootFromParent_Done,
     /* 246027 */   // Label 4907: @246027
     /* 246027 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(246079), // Rule ID 11375 //
     /* 246032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalb_lane),
     /* 246040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 246046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246056 */     // MIs[0] Op4
     /* 246056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246059 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 246064 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1786:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLALB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 246064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALB_ZZZI_D),
     /* 246067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246071 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246073 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246075 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246077 */     GIR_RootConstrainSelectedInstOperands,
     /* 246078 */     // GIR_Coverage, 11375,
     /* 246078 */     GIR_EraseRootFromParent_Done,
     /* 246079 */   // Label 4908: @246079
     /* 246079 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(246131), // Rule ID 11376 //
     /* 246084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt_lane),
     /* 246092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246108 */     // MIs[0] Op4
     /* 246108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246111 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246116 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1789:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLALT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZI_S),
     /* 246119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246123 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246125 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246127 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246129 */     GIR_RootConstrainSelectedInstOperands,
     /* 246130 */     // GIR_Coverage, 11376,
     /* 246130 */     GIR_EraseRootFromParent_Done,
     /* 246131 */   // Label 4909: @246131
     /* 246131 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(246183), // Rule ID 11377 //
     /* 246136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlalt_lane),
     /* 246144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 246150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246160 */     // MIs[0] Op4
     /* 246160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246163 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 246168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1789:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLALT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 246168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLALT_ZZZI_D),
     /* 246171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246173 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246175 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246177 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246179 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246181 */     GIR_RootConstrainSelectedInstOperands,
     /* 246182 */     // GIR_Coverage, 11377,
     /* 246182 */     GIR_EraseRootFromParent_Done,
     /* 246183 */   // Label 4910: @246183
     /* 246183 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(246235), // Rule ID 11378 //
     /* 246188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb_lane),
     /* 246196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246212 */     // MIs[0] Op4
     /* 246212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246220 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1791:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLSLB_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZI_S),
     /* 246223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246225 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246229 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246231 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246233 */     GIR_RootConstrainSelectedInstOperands,
     /* 246234 */     // GIR_Coverage, 11378,
     /* 246234 */     GIR_EraseRootFromParent_Done,
     /* 246235 */   // Label 4911: @246235
     /* 246235 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(246287), // Rule ID 11379 //
     /* 246240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslb_lane),
     /* 246248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 246254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246264 */     // MIs[0] Op4
     /* 246264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246267 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 246272 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1791:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLSLB_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 246272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLB_ZZZI_D),
     /* 246275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246279 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246281 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246283 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246285 */     GIR_RootConstrainSelectedInstOperands,
     /* 246286 */     // GIR_Coverage, 11379,
     /* 246286 */     GIR_EraseRootFromParent_Done,
     /* 246287 */   // Label 4912: @246287
     /* 246287 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(246339), // Rule ID 11380 //
     /* 246292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt_lane),
     /* 246300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246316 */     // MIs[0] Op4
     /* 246316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246319 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1794:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (SQDMLSLT_ZZZI_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZI_S),
     /* 246327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246329 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246331 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246333 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246335 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246337 */     GIR_RootConstrainSelectedInstOperands,
     /* 246338 */     // GIR_Coverage, 11380,
     /* 246338 */     GIR_EraseRootFromParent_Done,
     /* 246339 */   // Label 4913: @246339
     /* 246339 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(246391), // Rule ID 11381 //
     /* 246344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_sqdmlslt_lane),
     /* 246352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 246358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246368 */     // MIs[0] Op4
     /* 246368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246371 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 246376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1794:{ *:[iPTR] }, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (SQDMLSLT_ZZZI_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 246376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SQDMLSLT_ZZZI_D),
     /* 246379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246383 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246385 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246387 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246389 */     GIR_RootConstrainSelectedInstOperands,
     /* 246390 */     // GIR_Coverage, 11381,
     /* 246390 */     GIR_EraseRootFromParent_Done,
     /* 246391 */   // Label 4914: @246391
     /* 246391 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(246443), // Rule ID 11835 //
     /* 246396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalb_lane),
     /* 246404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246420 */     // MIs[0] Op4
     /* 246420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246423 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246428 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1465:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLALB_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZI_SHH),
     /* 246431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246435 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246437 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246439 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246441 */     GIR_RootConstrainSelectedInstOperands,
     /* 246442 */     // GIR_Coverage, 11835,
     /* 246442 */     GIR_EraseRootFromParent_Done,
     /* 246443 */   // Label 4915: @246443
     /* 246443 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(246495), // Rule ID 11836 //
     /* 246448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlalt_lane),
     /* 246456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246472 */     // MIs[0] Op4
     /* 246472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246475 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246480 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1467:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLALT_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZI_SHH),
     /* 246483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246487 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246489 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246491 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246493 */     GIR_RootConstrainSelectedInstOperands,
     /* 246494 */     // GIR_Coverage, 11836,
     /* 246494 */     GIR_EraseRootFromParent_Done,
     /* 246495 */   // Label 4916: @246495
     /* 246495 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(246547), // Rule ID 11837 //
     /* 246500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslb_lane),
     /* 246508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246524 */     // MIs[0] Op4
     /* 246524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246527 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246532 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1472:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLSLB_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLB_ZZZI_SHH),
     /* 246535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246537 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246539 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246541 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246543 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246545 */     GIR_RootConstrainSelectedInstOperands,
     /* 246546 */     // GIR_Coverage, 11837,
     /* 246546 */     GIR_EraseRootFromParent_Done,
     /* 246547 */   // Label 4917: @246547
     /* 246547 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(246599), // Rule ID 11838 //
     /* 246552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 246555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmlslt_lane),
     /* 246560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246576 */     // MIs[0] Op4
     /* 246576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246579 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 246584 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1474:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)  =>  (FMLSLT_ZZZI_SHH:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Op4)
     /* 246584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSLT_ZZZI_SHH),
     /* 246587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246589 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246591 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246593 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246595 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246597 */     GIR_RootConstrainSelectedInstOperands,
     /* 246598 */     // GIR_Coverage, 11838,
     /* 246598 */     GIR_EraseRootFromParent_Done,
     /* 246599 */   // Label 4918: @246599
     /* 246599 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(246651), // Rule ID 11971 //
     /* 246604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 246607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fdot_lane_x2),
     /* 246612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246628 */     // MIs[0] Op4
     /* 246628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 246636 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1420:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (FDOT_ZZZI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 246636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZI_S),
     /* 246639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246641 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246643 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246645 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246647 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246649 */     GIR_RootConstrainSelectedInstOperands,
     /* 246650 */     // GIR_Coverage, 11971,
     /* 246650 */     GIR_EraseRootFromParent_Done,
     /* 246651 */   // Label 4919: @246651
     /* 246651 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(246703), // Rule ID 11973 //
     /* 246656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2p1_or_SME2),
     /* 246659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_udot_lane_x2),
     /* 246664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 246670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246680 */     // MIs[0] Op4
     /* 246680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 246683 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 246688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1958:{ *:[iPTR] }, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)  =>  (UDOT_ZZZI_HtoS:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Op4)
     /* 246688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZI_HtoS),
     /* 246691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246693 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246695 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246697 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246699 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246701 */     GIR_RootConstrainSelectedInstOperands,
     /* 246702 */     // GIR_Coverage, 11973,
     /* 246702 */     GIR_EraseRootFromParent_Done,
     /* 246703 */   // Label 4920: @246703
     /* 246703 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(246750), // Rule ID 2829 //
     /* 246708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 246716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 246719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 246722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 246725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 246728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 246731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246735 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1461:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMLA_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 246735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_H),
     /* 246738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246740 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246742 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246744 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246746 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246748 */     GIR_RootConstrainSelectedInstOperands,
     /* 246749 */     // GIR_Coverage, 2829,
     /* 246749 */     GIR_EraseRootFromParent_Done,
     /* 246750 */   // Label 4921: @246750
     /* 246750 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(246797), // Rule ID 2832 //
     /* 246755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 246763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 246766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 246769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 246772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 246775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 246778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246782 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1461:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FMLA_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 246782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_H),
     /* 246785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246787 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246789 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246791 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246793 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246795 */     GIR_RootConstrainSelectedInstOperands,
     /* 246796 */     // GIR_Coverage, 2832,
     /* 246796 */     GIR_EraseRootFromParent_Done,
     /* 246797 */   // Label 4922: @246797
     /* 246797 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(246844), // Rule ID 2835 //
     /* 246802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 246810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 246813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 246816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 246819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 246822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 246825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246829 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1461:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FMLA_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 246829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_H),
     /* 246832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246834 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246836 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246838 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246840 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246842 */     GIR_RootConstrainSelectedInstOperands,
     /* 246843 */     // GIR_Coverage, 2835,
     /* 246843 */     GIR_EraseRootFromParent_Done,
     /* 246844 */   // Label 4923: @246844
     /* 246844 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(246891), // Rule ID 2838 //
     /* 246849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 246857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 246860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 246863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 246866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 246869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 246872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246876 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1461:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMLA_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 246876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_S),
     /* 246879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246881 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246883 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246885 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246887 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246889 */     GIR_RootConstrainSelectedInstOperands,
     /* 246890 */     // GIR_Coverage, 2838,
     /* 246890 */     GIR_EraseRootFromParent_Done,
     /* 246891 */   // Label 4924: @246891
     /* 246891 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(246938), // Rule ID 2841 //
     /* 246896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 246904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 246907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 246910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 246913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 246916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 246919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246923 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1461:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FMLA_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 246923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_S),
     /* 246926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246930 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246932 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246934 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246936 */     GIR_RootConstrainSelectedInstOperands,
     /* 246937 */     // GIR_Coverage, 2841,
     /* 246937 */     GIR_EraseRootFromParent_Done,
     /* 246938 */   // Label 4925: @246938
     /* 246938 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(246985), // Rule ID 2844 //
     /* 246943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmla),
     /* 246951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 246954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 246957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 246960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 246963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 246966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 246970 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1461:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMLA_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 246970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLA_ZPmZZ_D),
     /* 246973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 246975 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 246977 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 246979 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 246981 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 246983 */     GIR_RootConstrainSelectedInstOperands,
     /* 246984 */     // GIR_Coverage, 2844,
     /* 246984 */     GIR_EraseRootFromParent_Done,
     /* 246985 */   // Label 4926: @246985
     /* 246985 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(247032), // Rule ID 2847 //
     /* 246990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 246993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmad),
     /* 246998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247017 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1424:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMAD_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 247017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAD_ZPmZZ_H),
     /* 247020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247024 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247026 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247028 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247030 */     GIR_RootConstrainSelectedInstOperands,
     /* 247031 */     // GIR_Coverage, 2847,
     /* 247031 */     GIR_EraseRootFromParent_Done,
     /* 247032 */   // Label 4927: @247032
     /* 247032 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(247079), // Rule ID 2848 //
     /* 247037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmad),
     /* 247045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247064 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1424:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMAD_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 247064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAD_ZPmZZ_S),
     /* 247067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247071 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247073 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247075 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247077 */     GIR_RootConstrainSelectedInstOperands,
     /* 247078 */     // GIR_Coverage, 2848,
     /* 247078 */     GIR_EraseRootFromParent_Done,
     /* 247079 */   // Label 4928: @247079
     /* 247079 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(247126), // Rule ID 2849 //
     /* 247084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmad),
     /* 247092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 247095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 247107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247111 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1424:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMAD_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 247111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMAD_ZPmZZ_D),
     /* 247114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247116 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247118 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247120 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247122 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247124 */     GIR_RootConstrainSelectedInstOperands,
     /* 247125 */     // GIR_Coverage, 2849,
     /* 247125 */     GIR_EraseRootFromParent_Done,
     /* 247126 */   // Label 4929: @247126
     /* 247126 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(247173), // Rule ID 2945 //
     /* 247131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 247139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 247142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 247145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 247148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 247151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 247154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247158 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1599:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MAD_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 247158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_B),
     /* 247161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247163 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247165 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247167 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247169 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247171 */     GIR_RootConstrainSelectedInstOperands,
     /* 247172 */     // GIR_Coverage, 2945,
     /* 247172 */     GIR_EraseRootFromParent_Done,
     /* 247173 */   // Label 4930: @247173
     /* 247173 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(247220), // Rule ID 2948 //
     /* 247178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 247186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247205 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1599:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MAD_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 247205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_H),
     /* 247208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247212 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247214 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247216 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247218 */     GIR_RootConstrainSelectedInstOperands,
     /* 247219 */     // GIR_Coverage, 2948,
     /* 247219 */     GIR_EraseRootFromParent_Done,
     /* 247220 */   // Label 4931: @247220
     /* 247220 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(247267), // Rule ID 2951 //
     /* 247225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 247233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247252 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1599:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MAD_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 247252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_S),
     /* 247255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247257 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247259 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247261 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247263 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247265 */     GIR_RootConstrainSelectedInstOperands,
     /* 247266 */     // GIR_Coverage, 2951,
     /* 247266 */     GIR_EraseRootFromParent_Done,
     /* 247267 */   // Label 4932: @247267
     /* 247267 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(247314), // Rule ID 2954 //
     /* 247272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mad),
     /* 247280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 247283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 247295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247299 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1599:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MAD_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 247299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MAD_ZPmZZ_D),
     /* 247302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247304 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247308 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247310 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247312 */     GIR_RootConstrainSelectedInstOperands,
     /* 247313 */     // GIR_Coverage, 2954,
     /* 247313 */     GIR_EraseRootFromParent_Done,
     /* 247314 */   // Label 4933: @247314
     /* 247314 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(247361), // Rule ID 2957 //
     /* 247319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 247327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 247330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 247333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 247336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 247339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 247342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247346 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1601:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLA_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 247346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_B),
     /* 247349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247351 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247353 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247355 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247357 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247359 */     GIR_RootConstrainSelectedInstOperands,
     /* 247360 */     // GIR_Coverage, 2957,
     /* 247360 */     GIR_EraseRootFromParent_Done,
     /* 247361 */   // Label 4934: @247361
     /* 247361 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(247408), // Rule ID 2959 //
     /* 247366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 247374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247393 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1601:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLA_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 247393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_H),
     /* 247396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247402 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247404 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247406 */     GIR_RootConstrainSelectedInstOperands,
     /* 247407 */     // GIR_Coverage, 2959,
     /* 247407 */     GIR_EraseRootFromParent_Done,
     /* 247408 */   // Label 4935: @247408
     /* 247408 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(247455), // Rule ID 2961 //
     /* 247413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 247421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1601:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLA_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 247440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_S),
     /* 247443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247445 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247447 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247449 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247451 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247453 */     GIR_RootConstrainSelectedInstOperands,
     /* 247454 */     // GIR_Coverage, 2961,
     /* 247454 */     GIR_EraseRootFromParent_Done,
     /* 247455 */   // Label 4936: @247455
     /* 247455 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(247502), // Rule ID 2963 //
     /* 247460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mla),
     /* 247468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 247471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 247483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247487 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1601:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLA_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 247487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLA_ZPmZZ_D),
     /* 247490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247492 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247494 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247496 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247498 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247500 */     GIR_RootConstrainSelectedInstOperands,
     /* 247501 */     // GIR_Coverage, 2963,
     /* 247501 */     GIR_EraseRootFromParent_Done,
     /* 247502 */   // Label 4937: @247502
     /* 247502 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(247549), // Rule ID 7540 //
     /* 247507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 247515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 247518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 247521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 247524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 247527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 247530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247534 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1607:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MSB_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 247534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_B),
     /* 247537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247539 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247541 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247543 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247545 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247547 */     GIR_RootConstrainSelectedInstOperands,
     /* 247548 */     // GIR_Coverage, 7540,
     /* 247548 */     GIR_EraseRootFromParent_Done,
     /* 247549 */   // Label 4938: @247549
     /* 247549 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(247596), // Rule ID 7543 //
     /* 247554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 247562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247581 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1607:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MSB_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 247581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_H),
     /* 247584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247586 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247588 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247590 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247592 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247594 */     GIR_RootConstrainSelectedInstOperands,
     /* 247595 */     // GIR_Coverage, 7543,
     /* 247595 */     GIR_EraseRootFromParent_Done,
     /* 247596 */   // Label 4939: @247596
     /* 247596 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(247643), // Rule ID 7546 //
     /* 247601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 247609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247628 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1607:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MSB_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 247628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_S),
     /* 247631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247633 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247635 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247637 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247639 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247641 */     GIR_RootConstrainSelectedInstOperands,
     /* 247642 */     // GIR_Coverage, 7546,
     /* 247642 */     GIR_EraseRootFromParent_Done,
     /* 247643 */   // Label 4940: @247643
     /* 247643 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(247690), // Rule ID 7549 //
     /* 247648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_msb),
     /* 247656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 247659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 247671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247675 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1607:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MSB_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 247675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSB_ZPmZZ_D),
     /* 247678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 247680 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247682 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247684 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247686 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247688 */     GIR_RootConstrainSelectedInstOperands,
     /* 247689 */     // GIR_Coverage, 7549,
     /* 247689 */     GIR_EraseRootFromParent_Done,
     /* 247690 */   // Label 4941: @247690
     /* 247690 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(247737), // Rule ID 7552 //
     /* 247695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 247703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 247706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 247709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 247712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 247715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 247718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247722 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 1604:{ *:[iPTR] }, nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op4)  =>  (MLS_ZPmZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[nxv16i8] }:$Op4)
     /* 247722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_B),
     /* 247725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247727 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247729 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247731 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247733 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247735 */     GIR_RootConstrainSelectedInstOperands,
     /* 247736 */     // GIR_Coverage, 7552,
     /* 247736 */     GIR_EraseRootFromParent_Done,
     /* 247737 */   // Label 4942: @247737
     /* 247737 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(247784), // Rule ID 7554 //
     /* 247742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 247750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247769 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 1604:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op4)  =>  (MLS_ZPmZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3, ?:{ *:[nxv8i16] }:$Op4)
     /* 247769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_H),
     /* 247772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247776 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247778 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247780 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247782 */     GIR_RootConstrainSelectedInstOperands,
     /* 247783 */     // GIR_Coverage, 7554,
     /* 247783 */     GIR_EraseRootFromParent_Done,
     /* 247784 */   // Label 4943: @247784
     /* 247784 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(247831), // Rule ID 7556 //
     /* 247789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 247797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 247800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 247806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 247809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 247812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247816 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 1604:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op4)  =>  (MLS_ZPmZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3, ?:{ *:[nxv4i32] }:$Op4)
     /* 247816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_S),
     /* 247819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247821 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247823 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247825 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247827 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247829 */     GIR_RootConstrainSelectedInstOperands,
     /* 247830 */     // GIR_Coverage, 7556,
     /* 247830 */     GIR_EraseRootFromParent_Done,
     /* 247831 */   // Label 4944: @247831
     /* 247831 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(247878), // Rule ID 7558 //
     /* 247836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_mls),
     /* 247844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 247847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 247853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 247856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 247859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247863 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 1604:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op4)  =>  (MLS_ZPmZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3, ?:{ *:[nxv2i64] }:$Op4)
     /* 247863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MLS_ZPmZZ_D),
     /* 247866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247870 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247872 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247874 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247876 */     GIR_RootConstrainSelectedInstOperands,
     /* 247877 */     // GIR_Coverage, 7558,
     /* 247877 */     GIR_EraseRootFromParent_Done,
     /* 247878 */   // Label 4945: @247878
     /* 247878 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(247925), // Rule ID 8188 //
     /* 247883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 247891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 247894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 247897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 247900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 247903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 247906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247910 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1468:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMLS_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 247910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_H),
     /* 247913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247915 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247917 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247919 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247921 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247923 */     GIR_RootConstrainSelectedInstOperands,
     /* 247924 */     // GIR_Coverage, 8188,
     /* 247924 */     GIR_EraseRootFromParent_Done,
     /* 247925 */   // Label 4946: @247925
     /* 247925 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(247972), // Rule ID 8191 //
     /* 247930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 247938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 247941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 247944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 247947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 247950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 247953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 247957 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1468:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FMLS_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 247957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_H),
     /* 247960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 247962 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 247964 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 247966 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 247968 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 247970 */     GIR_RootConstrainSelectedInstOperands,
     /* 247971 */     // GIR_Coverage, 8191,
     /* 247971 */     GIR_EraseRootFromParent_Done,
     /* 247972 */   // Label 4947: @247972
     /* 247972 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(248019), // Rule ID 8194 //
     /* 247977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 247980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 247985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 247988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 247991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 247994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 247997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 248000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248004 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1468:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FMLS_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 248004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_H),
     /* 248007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248009 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248011 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248013 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248015 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248017 */     GIR_RootConstrainSelectedInstOperands,
     /* 248018 */     // GIR_Coverage, 8194,
     /* 248018 */     GIR_EraseRootFromParent_Done,
     /* 248019 */   // Label 4948: @248019
     /* 248019 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(248066), // Rule ID 8197 //
     /* 248024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 248032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 248035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 248044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 248047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248051 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1468:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMLS_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 248051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_S),
     /* 248054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248056 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248058 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248060 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248062 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248064 */     GIR_RootConstrainSelectedInstOperands,
     /* 248065 */     // GIR_Coverage, 8197,
     /* 248065 */     GIR_EraseRootFromParent_Done,
     /* 248066 */   // Label 4949: @248066
     /* 248066 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(248113), // Rule ID 8200 //
     /* 248071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 248079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 248082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 248088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 248091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 248094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248098 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1468:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FMLS_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 248098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_S),
     /* 248101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248103 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248105 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248107 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248109 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248111 */     GIR_RootConstrainSelectedInstOperands,
     /* 248112 */     // GIR_Coverage, 8200,
     /* 248112 */     GIR_EraseRootFromParent_Done,
     /* 248113 */   // Label 4950: @248113
     /* 248113 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(248160), // Rule ID 8203 //
     /* 248118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls),
     /* 248126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 248129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 248138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 248141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248145 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1468:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMLS_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 248145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPmZZ_D),
     /* 248148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248150 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248154 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248156 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248158 */     GIR_RootConstrainSelectedInstOperands,
     /* 248159 */     // GIR_Coverage, 8203,
     /* 248159 */     GIR_EraseRootFromParent_Done,
     /* 248160 */   // Label 4951: @248160
     /* 248160 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(248207), // Rule ID 8206 //
     /* 248165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 248173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 248176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 248179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 248182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 248185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 248188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248192 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1484:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLA_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 248192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_H),
     /* 248195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248199 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248201 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248203 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248205 */     GIR_RootConstrainSelectedInstOperands,
     /* 248206 */     // GIR_Coverage, 8206,
     /* 248206 */     GIR_EraseRootFromParent_Done,
     /* 248207 */   // Label 4952: @248207
     /* 248207 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(248254), // Rule ID 8207 //
     /* 248212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 248220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 248223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 248229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 248232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 248235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248239 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1484:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLA_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 248239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_H),
     /* 248242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248244 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248246 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248248 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248250 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248252 */     GIR_RootConstrainSelectedInstOperands,
     /* 248253 */     // GIR_Coverage, 8207,
     /* 248253 */     GIR_EraseRootFromParent_Done,
     /* 248254 */   // Label 4953: @248254
     /* 248254 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(248301), // Rule ID 8208 //
     /* 248259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 248267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 248270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 248276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 248279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 248282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248286 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1484:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLA_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 248286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_H),
     /* 248289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248291 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248293 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248295 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248297 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248299 */     GIR_RootConstrainSelectedInstOperands,
     /* 248300 */     // GIR_Coverage, 8208,
     /* 248300 */     GIR_EraseRootFromParent_Done,
     /* 248301 */   // Label 4954: @248301
     /* 248301 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(248348), // Rule ID 8209 //
     /* 248306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 248314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 248317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 248326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 248329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248333 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1484:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLA_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 248333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_S),
     /* 248336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248338 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248340 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248342 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248344 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248346 */     GIR_RootConstrainSelectedInstOperands,
     /* 248347 */     // GIR_Coverage, 8209,
     /* 248347 */     GIR_EraseRootFromParent_Done,
     /* 248348 */   // Label 4955: @248348
     /* 248348 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(248395), // Rule ID 8210 //
     /* 248353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 248361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 248364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 248370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 248373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 248376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248380 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1484:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLA_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 248380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_S),
     /* 248383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248385 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248387 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248389 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248391 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248393 */     GIR_RootConstrainSelectedInstOperands,
     /* 248394 */     // GIR_Coverage, 8210,
     /* 248394 */     GIR_EraseRootFromParent_Done,
     /* 248395 */   // Label 4956: @248395
     /* 248395 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(248442), // Rule ID 8211 //
     /* 248400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla),
     /* 248408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 248411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 248420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 248423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248427 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1484:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLA_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 248427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPmZZ_D),
     /* 248430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248432 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248434 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248436 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248438 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248440 */     GIR_RootConstrainSelectedInstOperands,
     /* 248441 */     // GIR_Coverage, 8211,
     /* 248441 */     GIR_EraseRootFromParent_Done,
     /* 248442 */   // Label 4957: @248442
     /* 248442 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(248489), // Rule ID 8212 //
     /* 248447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 248455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 248458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 248461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 248464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 248467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 248470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248474 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1486:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLS_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 248474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_H),
     /* 248477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248479 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248481 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248483 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248485 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248487 */     GIR_RootConstrainSelectedInstOperands,
     /* 248488 */     // GIR_Coverage, 8212,
     /* 248488 */     GIR_EraseRootFromParent_Done,
     /* 248489 */   // Label 4958: @248489
     /* 248489 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(248536), // Rule ID 8213 //
     /* 248494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 248502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 248505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 248511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 248514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 248517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248521 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1486:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLS_ZPmZZ_H:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 248521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_H),
     /* 248524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248528 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248530 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248532 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248534 */     GIR_RootConstrainSelectedInstOperands,
     /* 248535 */     // GIR_Coverage, 8213,
     /* 248535 */     GIR_EraseRootFromParent_Done,
     /* 248536 */   // Label 4959: @248536
     /* 248536 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(248583), // Rule ID 8214 //
     /* 248541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 248549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 248552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 248558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 248561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 248564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248568 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1486:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLS_ZPmZZ_H:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 248568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_H),
     /* 248571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248573 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248575 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248577 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248579 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248581 */     GIR_RootConstrainSelectedInstOperands,
     /* 248582 */     // GIR_Coverage, 8214,
     /* 248582 */     GIR_EraseRootFromParent_Done,
     /* 248583 */   // Label 4960: @248583
     /* 248583 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(248630), // Rule ID 8215 //
     /* 248588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 248596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 248599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 248608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 248611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248615 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1486:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLS_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 248615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_S),
     /* 248618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248620 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248622 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248624 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248626 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248628 */     GIR_RootConstrainSelectedInstOperands,
     /* 248629 */     // GIR_Coverage, 8215,
     /* 248629 */     GIR_EraseRootFromParent_Done,
     /* 248630 */   // Label 4961: @248630
     /* 248630 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(248677), // Rule ID 8216 //
     /* 248635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 248643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 248646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 248652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 248655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 248658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248662 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1486:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLS_ZPmZZ_S:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 248662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_S),
     /* 248665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248667 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248669 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248671 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248673 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248675 */     GIR_RootConstrainSelectedInstOperands,
     /* 248676 */     // GIR_Coverage, 8216,
     /* 248676 */     GIR_EraseRootFromParent_Done,
     /* 248677 */   // Label 4962: @248677
     /* 248677 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(248724), // Rule ID 8217 //
     /* 248682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls),
     /* 248690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 248693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 248702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 248705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248709 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1486:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLS_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 248709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPmZZ_D),
     /* 248712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 248714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248716 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248718 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248720 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248722 */     GIR_RootConstrainSelectedInstOperands,
     /* 248723 */     // GIR_Coverage, 8217,
     /* 248723 */     GIR_EraseRootFromParent_Done,
     /* 248724 */   // Label 4963: @248724
     /* 248724 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(248771), // Rule ID 8218 //
     /* 248729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmsb),
     /* 248737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 248740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 248743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 248746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 248749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 248752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248756 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1476:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMSB_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 248756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSB_ZPmZZ_H),
     /* 248759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248761 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248763 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248765 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248767 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248769 */     GIR_RootConstrainSelectedInstOperands,
     /* 248770 */     // GIR_Coverage, 8218,
     /* 248770 */     GIR_EraseRootFromParent_Done,
     /* 248771 */   // Label 4964: @248771
     /* 248771 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(248818), // Rule ID 8219 //
     /* 248776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmsb),
     /* 248784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 248787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 248796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 248799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248803 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1476:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMSB_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 248803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSB_ZPmZZ_S),
     /* 248806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248808 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248810 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248812 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248814 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248816 */     GIR_RootConstrainSelectedInstOperands,
     /* 248817 */     // GIR_Coverage, 8219,
     /* 248817 */     GIR_EraseRootFromParent_Done,
     /* 248818 */   // Label 4965: @248818
     /* 248818 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(248865), // Rule ID 8220 //
     /* 248823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmsb),
     /* 248831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 248834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 248843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 248846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248850 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1476:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMSB_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 248850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSB_ZPmZZ_D),
     /* 248853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248855 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248857 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248859 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248861 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248863 */     GIR_RootConstrainSelectedInstOperands,
     /* 248864 */     // GIR_Coverage, 8220,
     /* 248864 */     GIR_EraseRootFromParent_Done,
     /* 248865 */   // Label 4966: @248865
     /* 248865 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(248912), // Rule ID 8221 //
     /* 248870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmad),
     /* 248878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 248881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 248884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 248887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 248890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 248893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248897 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1483:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMAD_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 248897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMAD_ZPmZZ_H),
     /* 248900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248902 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248904 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248906 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248908 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248910 */     GIR_RootConstrainSelectedInstOperands,
     /* 248911 */     // GIR_Coverage, 8221,
     /* 248911 */     GIR_EraseRootFromParent_Done,
     /* 248912 */   // Label 4967: @248912
     /* 248912 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(248959), // Rule ID 8222 //
     /* 248917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmad),
     /* 248925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 248928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 248931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 248934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 248937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 248940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248944 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1483:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMAD_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 248944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMAD_ZPmZZ_S),
     /* 248947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248949 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248951 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 248953 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 248955 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 248957 */     GIR_RootConstrainSelectedInstOperands,
     /* 248958 */     // GIR_Coverage, 8222,
     /* 248958 */     GIR_EraseRootFromParent_Done,
     /* 248959 */   // Label 4968: @248959
     /* 248959 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(249006), // Rule ID 8223 //
     /* 248964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 248967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmad),
     /* 248972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 248975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 248978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 248981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 248984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 248987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 248991 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1483:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMAD_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 248991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMAD_ZPmZZ_D),
     /* 248994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 248996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 248998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249000 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249002 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249004 */     GIR_RootConstrainSelectedInstOperands,
     /* 249005 */     // GIR_Coverage, 8223,
     /* 249005 */     GIR_EraseRootFromParent_Done,
     /* 249006 */   // Label 4969: @249006
     /* 249006 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(249053), // Rule ID 8224 //
     /* 249011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmsb),
     /* 249019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 249022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 249025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 249028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 249031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 249034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249038 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1488:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMSB_ZPmZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 249038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSB_ZPmZZ_H),
     /* 249041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 249043 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249045 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249047 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249049 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249051 */     GIR_RootConstrainSelectedInstOperands,
     /* 249052 */     // GIR_Coverage, 8224,
     /* 249052 */     GIR_EraseRootFromParent_Done,
     /* 249053 */   // Label 4970: @249053
     /* 249053 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(249100), // Rule ID 8225 //
     /* 249058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmsb),
     /* 249066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 249069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 249075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 249078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 249081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249085 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1488:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMSB_ZPmZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 249085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSB_ZPmZZ_S),
     /* 249088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 249090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249094 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249096 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249098 */     GIR_RootConstrainSelectedInstOperands,
     /* 249099 */     // GIR_Coverage, 8225,
     /* 249099 */     GIR_EraseRootFromParent_Done,
     /* 249100 */   // Label 4971: @249100
     /* 249100 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(249147), // Rule ID 8226 //
     /* 249105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmsb),
     /* 249113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 249116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 249122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 249125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 249128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249132 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1488:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMSB_ZPmZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 249132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSB_ZPmZZ_D),
     /* 249135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 249137 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249139 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249141 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249143 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249145 */     GIR_RootConstrainSelectedInstOperands,
     /* 249146 */     // GIR_Coverage, 8226,
     /* 249146 */     GIR_EraseRootFromParent_Done,
     /* 249147 */   // Label 4972: @249147
     /* 249147 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(249194), // Rule ID 8227 //
     /* 249152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 249160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 249163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 249166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 249169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 249172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 249175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249179 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1470:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FMLS_ZPZZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 249179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_H_UNDEF),
     /* 249182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249184 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249186 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249188 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249190 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249192 */     GIR_RootConstrainSelectedInstOperands,
     /* 249193 */     // GIR_Coverage, 8227,
     /* 249193 */     GIR_EraseRootFromParent_Done,
     /* 249194 */   // Label 4973: @249194
     /* 249194 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(249241), // Rule ID 8230 //
     /* 249199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 249207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 249210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 249216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 249219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 249222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249226 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1470:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FMLS_ZPZZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 249226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_H_UNDEF),
     /* 249229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249231 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249233 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249235 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249237 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249239 */     GIR_RootConstrainSelectedInstOperands,
     /* 249240 */     // GIR_Coverage, 8230,
     /* 249240 */     GIR_EraseRootFromParent_Done,
     /* 249241 */   // Label 4974: @249241
     /* 249241 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(249288), // Rule ID 8233 //
     /* 249246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 249254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 249257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 249263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 249266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 249269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249273 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1470:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FMLS_ZPZZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 249273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_H_UNDEF),
     /* 249276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249278 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249280 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249282 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249284 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249286 */     GIR_RootConstrainSelectedInstOperands,
     /* 249287 */     // GIR_Coverage, 8233,
     /* 249287 */     GIR_EraseRootFromParent_Done,
     /* 249288 */   // Label 4975: @249288
     /* 249288 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(249335), // Rule ID 8236 //
     /* 249293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 249301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 249304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 249310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 249313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 249316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249320 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1470:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FMLS_ZPZZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 249320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_S_UNDEF),
     /* 249323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249327 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249329 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249331 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249333 */     GIR_RootConstrainSelectedInstOperands,
     /* 249334 */     // GIR_Coverage, 8236,
     /* 249334 */     GIR_EraseRootFromParent_Done,
     /* 249335 */   // Label 4976: @249335
     /* 249335 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(249382), // Rule ID 8239 //
     /* 249340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 249348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 249351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 249357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 249360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 249363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249367 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1470:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FMLS_ZPZZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 249367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_S_UNDEF),
     /* 249370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249372 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249374 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249376 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249378 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249380 */     GIR_RootConstrainSelectedInstOperands,
     /* 249381 */     // GIR_Coverage, 8239,
     /* 249381 */     GIR_EraseRootFromParent_Done,
     /* 249382 */   // Label 4977: @249382
     /* 249382 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(249429), // Rule ID 8242 //
     /* 249387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fmls_u),
     /* 249395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 249398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 249404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 249407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 249410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249414 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1470:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FMLS_ZPZZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 249414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLS_ZPZZZ_D_UNDEF),
     /* 249417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249419 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249421 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249423 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249425 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249427 */     GIR_RootConstrainSelectedInstOperands,
     /* 249428 */     // GIR_Coverage, 8242,
     /* 249428 */     GIR_EraseRootFromParent_Done,
     /* 249429 */   // Label 4978: @249429
     /* 249429 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(249476), // Rule ID 8245 //
     /* 249434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 249442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 249445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 249448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 249451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 249454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 249457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249461 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1485:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLA_ZPZZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 249461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_H_UNDEF),
     /* 249464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249466 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249468 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249470 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249472 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249474 */     GIR_RootConstrainSelectedInstOperands,
     /* 249475 */     // GIR_Coverage, 8245,
     /* 249475 */     GIR_EraseRootFromParent_Done,
     /* 249476 */   // Label 4979: @249476
     /* 249476 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(249523), // Rule ID 8248 //
     /* 249481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 249489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 249492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 249498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 249501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 249504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249508 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1485:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLA_ZPZZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 249508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_H_UNDEF),
     /* 249511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249513 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249515 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249517 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249519 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249521 */     GIR_RootConstrainSelectedInstOperands,
     /* 249522 */     // GIR_Coverage, 8248,
     /* 249522 */     GIR_EraseRootFromParent_Done,
     /* 249523 */   // Label 4980: @249523
     /* 249523 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(249570), // Rule ID 8251 //
     /* 249528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 249536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 249539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 249545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 249548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 249551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249555 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1485:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLA_ZPZZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 249555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_H_UNDEF),
     /* 249558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249562 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249564 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249566 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249568 */     GIR_RootConstrainSelectedInstOperands,
     /* 249569 */     // GIR_Coverage, 8251,
     /* 249569 */     GIR_EraseRootFromParent_Done,
     /* 249570 */   // Label 4981: @249570
     /* 249570 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(249617), // Rule ID 8254 //
     /* 249575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 249583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 249586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 249592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 249595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 249598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249602 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1485:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLA_ZPZZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 249602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_S_UNDEF),
     /* 249605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249607 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249609 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249611 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249613 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249615 */     GIR_RootConstrainSelectedInstOperands,
     /* 249616 */     // GIR_Coverage, 8254,
     /* 249616 */     GIR_EraseRootFromParent_Done,
     /* 249617 */   // Label 4982: @249617
     /* 249617 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(249664), // Rule ID 8257 //
     /* 249622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 249630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 249633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 249639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 249642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 249645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249649 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1485:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLA_ZPZZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 249649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_S_UNDEF),
     /* 249652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249654 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249656 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249658 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249660 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249662 */     GIR_RootConstrainSelectedInstOperands,
     /* 249663 */     // GIR_Coverage, 8257,
     /* 249663 */     GIR_EraseRootFromParent_Done,
     /* 249664 */   // Label 4983: @249664
     /* 249664 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(249711), // Rule ID 8260 //
     /* 249669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmla_u),
     /* 249677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 249680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 249686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 249689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 249692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249696 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1485:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLA_ZPZZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 249696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLA_ZPZZZ_D_UNDEF),
     /* 249699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249701 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249703 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249705 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249707 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249709 */     GIR_RootConstrainSelectedInstOperands,
     /* 249710 */     // GIR_Coverage, 8260,
     /* 249710 */     GIR_EraseRootFromParent_Done,
     /* 249711 */   // Label 4984: @249711
     /* 249711 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(249758), // Rule ID 8263 //
     /* 249716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 249724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 249727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 249730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 249733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 249736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 249739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249743 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 1487:{ *:[iPTR] }, nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3, nxv8f16:{ *:[nxv8f16] }:$Op4)  =>  (FNMLS_ZPZZZ_H_UNDEF:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3, ?:{ *:[nxv8f16] }:$Op4)
     /* 249743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_H_UNDEF),
     /* 249746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249752 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249754 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249756 */     GIR_RootConstrainSelectedInstOperands,
     /* 249757 */     // GIR_Coverage, 8263,
     /* 249757 */     GIR_EraseRootFromParent_Done,
     /* 249758 */   // Label 4985: @249758
     /* 249758 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(249805), // Rule ID 8265 //
     /* 249763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 249771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 249774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 249780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 249783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /* 249786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249790 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 1487:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3, nxv4f16:{ *:[nxv4f16] }:$Op4)  =>  (FNMLS_ZPZZZ_H_UNDEF:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3, ?:{ *:[nxv4f16] }:$Op4)
     /* 249790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_H_UNDEF),
     /* 249793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249797 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249799 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249801 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249803 */     GIR_RootConstrainSelectedInstOperands,
     /* 249804 */     // GIR_Coverage, 8265,
     /* 249804 */     GIR_EraseRootFromParent_Done,
     /* 249805 */   // Label 4986: @249805
     /* 249805 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(249852), // Rule ID 8267 //
     /* 249810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 249818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 249821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 249827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 249830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /* 249833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249837 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 1487:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3, nxv2f16:{ *:[nxv2f16] }:$Op4)  =>  (FNMLS_ZPZZZ_H_UNDEF:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3, ?:{ *:[nxv2f16] }:$Op4)
     /* 249837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_H_UNDEF),
     /* 249840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249842 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249844 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249846 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249848 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249850 */     GIR_RootConstrainSelectedInstOperands,
     /* 249851 */     // GIR_Coverage, 8267,
     /* 249851 */     GIR_EraseRootFromParent_Done,
     /* 249852 */   // Label 4987: @249852
     /* 249852 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(249899), // Rule ID 8269 //
     /* 249857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 249865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 249868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 249871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 249874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 249877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 249880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249884 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 1487:{ *:[iPTR] }, nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3, nxv4f32:{ *:[nxv4f32] }:$Op4)  =>  (FNMLS_ZPZZZ_S_UNDEF:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3, ?:{ *:[nxv4f32] }:$Op4)
     /* 249884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_S_UNDEF),
     /* 249887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249889 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249891 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249893 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249895 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249897 */     GIR_RootConstrainSelectedInstOperands,
     /* 249898 */     // GIR_Coverage, 8269,
     /* 249898 */     GIR_EraseRootFromParent_Done,
     /* 249899 */   // Label 4988: @249899
     /* 249899 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(249946), // Rule ID 8271 //
     /* 249904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 249912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 249915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 249921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 249924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /* 249927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249931 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 1487:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3, nxv2f32:{ *:[nxv2f32] }:$Op4)  =>  (FNMLS_ZPZZZ_S_UNDEF:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3, ?:{ *:[nxv2f32] }:$Op4)
     /* 249931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_S_UNDEF),
     /* 249934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249936 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249938 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249940 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249942 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249944 */     GIR_RootConstrainSelectedInstOperands,
     /* 249945 */     // GIR_Coverage, 8271,
     /* 249945 */     GIR_EraseRootFromParent_Done,
     /* 249946 */   // Label 4989: @249946
     /* 249946 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(249993), // Rule ID 8273 //
     /* 249951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 249954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fnmls_u),
     /* 249959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 249962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 249965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 249968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 249971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 249974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 249978 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 1487:{ *:[iPTR] }, nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3, nxv2f64:{ *:[nxv2f64] }:$Op4)  =>  (FNMLS_ZPZZZ_D_UNDEF:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3, ?:{ *:[nxv2f64] }:$Op4)
     /* 249978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMLS_ZPZZZ_D_UNDEF),
     /* 249981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 249983 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 249985 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 249987 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 249989 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 249991 */     GIR_RootConstrainSelectedInstOperands,
     /* 249992 */     // GIR_Coverage, 8273,
     /* 249992 */     GIR_EraseRootFromParent_Done,
     /* 249993 */   // Label 4990: @249993
     /* 249993 */   GIM_Reject,
     /* 249994 */ // Label 4849: @249994
     /* 249994 */ GIM_Reject,
     /* 249995 */ // Label 36: @249995
     /* 249995 */ GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(250073),
     /* 250000 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/1,
     /* 250003 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(250025), // Rule ID 78 //
     /* 250008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 250011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_tcommit),
     /* 250016 */     // (intrinsic_void 2166:{ *:[iPTR] })  =>  (TCOMMIT)
     /* 250016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TCOMMIT),
     /* 250019 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250023 */     GIR_RootConstrainSelectedInstOperands,
     /* 250024 */     // GIR_Coverage, 78,
     /* 250024 */     GIR_EraseRootFromParent_Done,
     /* 250025 */   // Label 4992: @250025
     /* 250025 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(250050), // Rule ID 2386 //
     /* 250030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 250033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_setffr),
     /* 250038 */     // (intrinsic_void 1716:{ *:[iPTR] })  =>  (SETFFR:{ *:[i64] })
     /* 250038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SETFFR),
     /* 250041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FFR*/0,
     /* 250044 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250048 */     GIR_RootConstrainSelectedInstOperands,
     /* 250049 */     // GIR_Coverage, 2386,
     /* 250049 */     GIR_EraseRootFromParent_Done,
     /* 250050 */   // Label 4993: @250050
     /* 250050 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(250072), // Rule ID 7124 //
     /* 250055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_clrex),
     /* 250060 */     // (intrinsic_void 500:{ *:[iPTR] })  =>  (CLREX 15:{ *:[i64] })
     /* 250060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLREX),
     /* 250063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 250066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250070 */     GIR_RootConstrainSelectedInstOperands,
     /* 250071 */     // GIR_Coverage, 7124,
     /* 250071 */     GIR_EraseRootFromParent_Done,
     /* 250072 */   // Label 4994: @250072
     /* 250072 */   GIM_Reject,
     /* 250073 */ // Label 4991: @250073
     /* 250073 */ GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(250673),
     /* 250078 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/2,
     /* 250081 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(250113), // Rule ID 79 //
     /* 250086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 250089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_tcancel),
     /* 250094 */     // MIs[0] imm
     /* 250094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 250097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm64_0_65535),
     /* 250102 */     // (intrinsic_void 2165:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_timm64_0_65535>>:$imm)  =>  (TCANCEL (timm:{ *:[i64] }):$imm)
     /* 250102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TCANCEL),
     /* 250105 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 250107 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250111 */     GIR_RootConstrainSelectedInstOperands,
     /* 250112 */     // GIR_Coverage, 79,
     /* 250112 */     GIR_EraseRootFromParent_Done,
     /* 250113 */   // Label 4996: @250113
     /* 250113 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(250138), // Rule ID 227 //
     /* 250118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_break),
     /* 250123 */     // MIs[0] imm
     /* 250123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 250126 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_65535),
     /* 250131 */     // (intrinsic_void 498:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_65535>>:$imm)  =>  (BRK (timm:{ *:[i32] }):$imm)
     /* 250131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 250134 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 250136 */     GIR_RootConstrainSelectedInstOperands,
     /* 250137 */     // GIR_Coverage, 227,
     /* 250137 */     GIR_EraseRootFromParent_Done,
     /* 250138 */   // Label 4997: @250138
     /* 250138 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(250163), // Rule ID 228 //
     /* 250143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_hlt),
     /* 250148 */     // MIs[0] imm
     /* 250148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 250151 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_65535),
     /* 250156 */     // (intrinsic_void 557:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_65535>>:$imm)  =>  (HLT (timm:{ *:[i32] }):$imm)
     /* 250156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HLT),
     /* 250159 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 250161 */     GIR_RootConstrainSelectedInstOperands,
     /* 250162 */     // GIR_Coverage, 228,
     /* 250162 */     GIR_EraseRootFromParent_Done,
     /* 250163 */   // Label 4998: @250163
     /* 250163 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(250195), // Rule ID 3624 //
     /* 250168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEandIsNonStreamingSafe),
     /* 250171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_zero),
     /* 250176 */     // MIs[0] imm
     /* 250176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 250179 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_255),
     /* 250184 */     // (intrinsic_void 1222:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_255>>:$imm)  =>  (ZERO_M_PSEUDO (timm:{ *:[i32] })<<P:Predicate_timm32_0_255>>:$imm)
     /* 250184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZERO_M_PSEUDO),
     /* 250187 */     GIR_RootToRootCopy, /*OpIdx*/1, // imm
     /* 250189 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250193 */     GIR_RootConstrainSelectedInstOperands,
     /* 250194 */     // GIR_Coverage, 3624,
     /* 250194 */     GIR_EraseRootFromParent_Done,
     /* 250195 */   // Label 4999: @250195
     /* 250195 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(250235), // Rule ID 16 //
     /* 250200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_hint),
     /* 250205 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 250208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 250212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 250216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_127),
     /* 250220 */     // MIs[1] Operand 1
     /* 250220 */     // No operand predicates
     /* 250220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 250222 */     // (intrinsic_void 556:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm0_127>>:$imm)  =>  (HINT (imm:{ *:[i32] }):$imm)
     /* 250222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HINT),
     /* 250225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 250228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 250233 */     GIR_RootConstrainSelectedInstOperands,
     /* 250234 */     // GIR_Coverage, 16,
     /* 250234 */     GIR_EraseRootFromParent_Done,
     /* 250235 */   // Label 5000: @250235
     /* 250235 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(250275), // Rule ID 17 //
     /* 250240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_dmb),
     /* 250245 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 250248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 250252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 250256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 250260 */     // MIs[1] Operand 1
     /* 250260 */     // No operand predicates
     /* 250260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 250262 */     // (intrinsic_void 544:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$CRm)  =>  (DMB (imm:{ *:[i32] }):$CRm)
     /* 250262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DMB),
     /* 250265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // CRm
     /* 250268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 250273 */     GIR_RootConstrainSelectedInstOperands,
     /* 250274 */     // GIR_Coverage, 17,
     /* 250274 */     GIR_EraseRootFromParent_Done,
     /* 250275 */   // Label 5001: @250275
     /* 250275 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(250315), // Rule ID 18 //
     /* 250280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_dsb),
     /* 250285 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 250288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 250292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 250296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 250300 */     // MIs[1] Operand 1
     /* 250300 */     // No operand predicates
     /* 250300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 250302 */     // (intrinsic_void 545:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$CRm)  =>  (DSB (imm:{ *:[i32] }):$CRm)
     /* 250302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DSB),
     /* 250305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // CRm
     /* 250308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 250313 */     GIR_RootConstrainSelectedInstOperands,
     /* 250314 */     // GIR_Coverage, 18,
     /* 250314 */     GIR_EraseRootFromParent_Done,
     /* 250315 */   // Label 5002: @250315
     /* 250315 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(250355), // Rule ID 19 //
     /* 250320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_isb),
     /* 250325 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 250328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 250332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 250336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 250340 */     // MIs[1] Operand 1
     /* 250340 */     // No operand predicates
     /* 250340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 250342 */     // (intrinsic_void 560:{ *:[iPTR] }, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$CRm)  =>  (ISB (imm:{ *:[i32] }):$CRm)
     /* 250342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ISB),
     /* 250345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // CRm
     /* 250348 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 250353 */     GIR_RootConstrainSelectedInstOperands,
     /* 250354 */     // GIR_Coverage, 19,
     /* 250354 */     GIR_EraseRootFromParent_Done,
     /* 250355 */   // Label 5003: @250355
     /* 250355 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(250379), // Rule ID 72 //
     /* 250360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_get_fpcr),
     /* 250365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250372 */     // (intrinsic_w_chain:{ *:[i64] } 553:{ *:[iPTR] })  =>  (MRS_FPCR:{ *:[i64] })
     /* 250372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS_FPCR),
     /* 250375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250377 */     GIR_RootConstrainSelectedInstOperands,
     /* 250378 */     // GIR_Coverage, 72,
     /* 250378 */     GIR_EraseRootFromParent_Done,
     /* 250379 */   // Label 5004: @250379
     /* 250379 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(250403), // Rule ID 74 //
     /* 250384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_get_fpsr),
     /* 250389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250396 */     // (intrinsic_w_chain:{ *:[i64] } 554:{ *:[iPTR] })  =>  (MRS_FPSR:{ *:[i64] })
     /* 250396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS_FPSR),
     /* 250399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250401 */     GIR_RootConstrainSelectedInstOperands,
     /* 250402 */     // GIR_Coverage, 74,
     /* 250402 */     GIR_EraseRootFromParent_Done,
     /* 250403 */   // Label 5005: @250403
     /* 250403 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(250434), // Rule ID 77 //
     /* 250408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 250411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_tstart),
     /* 250416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250423 */     // (intrinsic_w_chain:{ *:[i64] } 2167:{ *:[iPTR] })  =>  (TSTART:{ *:[i64] })
     /* 250423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TSTART),
     /* 250426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 250428 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250432 */     GIR_RootConstrainSelectedInstOperands,
     /* 250433 */     // GIR_Coverage, 77,
     /* 250433 */     GIR_EraseRootFromParent_Done,
     /* 250434 */   // Label 5006: @250434
     /* 250434 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(250461), // Rule ID 80 //
     /* 250439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasTME),
     /* 250442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ttest),
     /* 250447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250454 */     // (intrinsic_w_chain:{ *:[i64] } 2168:{ *:[iPTR] })  =>  (TTEST:{ *:[i64] })
     /* 250454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::TTEST),
     /* 250457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 250459 */     GIR_RootConstrainSelectedInstOperands,
     /* 250460 */     // GIR_Coverage, 80,
     /* 250460 */     GIR_EraseRootFromParent_Done,
     /* 250461 */   // Label 5007: @250461
     /* 250461 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(250492), // Rule ID 2385 //
     /* 250466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 250469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rdffr),
     /* 250474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 250477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 250481 */     // (intrinsic_w_chain:{ *:[nxv16i1] } 1666:{ *:[iPTR] })  =>  (RDFFR_P:{ *:[nxv16i1] })
     /* 250481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RDFFR_P),
     /* 250484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 250486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250490 */     GIR_RootConstrainSelectedInstOperands,
     /* 250491 */     // GIR_Coverage, 2385,
     /* 250491 */     GIR_EraseRootFromParent_Done,
     /* 250492 */   // Label 5008: @250492
     /* 250492 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(250532), // Rule ID 12757 //
     /* 250497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEandIsNonStreamingSafe),
     /* 250500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sme_get_tpidr2),
     /* 250505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250512 */     // (intrinsic_w_chain:{ *:[i64] } 891:{ *:[iPTR] })  =>  (MRS:{ *:[i64] }:{ *:[i32] } 56965:{ *:[i32] })
     /* 250512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MRS),
     /* 250515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 250517 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(56965),
     /* 250527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/0,
     /* 250530 */     GIR_RootConstrainSelectedInstOperands,
     /* 250531 */     // GIR_Coverage, 12757,
     /* 250531 */     GIR_EraseRootFromParent_Done,
     /* 250532 */   // Label 5009: @250532
     /* 250532 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(250566), // Rule ID 2387 //
     /* 250537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 250540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_wrffr),
     /* 250545 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 250548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 250552 */     // (intrinsic_void 2146:{ *:[iPTR] }, PPR8:{ *:[nxv16i1] }:$Pn)  =>  (WRFFR:{ *:[i64] } PPR8:{ *:[nxv16i1] }:$Pn)
     /* 250552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::WRFFR),
     /* 250555 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pn
     /* 250557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FFR*/0,
     /* 250560 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250564 */     GIR_RootConstrainSelectedInstOperands,
     /* 250565 */     // GIR_Coverage, 2387,
     /* 250565 */     GIR_EraseRootFromParent_Done,
     /* 250566 */   // Label 5010: @250566
     /* 250566 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(250589), // Rule ID 73 //
     /* 250571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_set_fpcr),
     /* 250576 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 250579 */     // (intrinsic_void 780:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR_FPCR i64:{ *:[i64] }:$val)
     /* 250579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR_FPCR),
     /* 250582 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 250584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FPCR*/0,
     /* 250587 */     GIR_RootConstrainSelectedInstOperands,
     /* 250588 */     // GIR_Coverage, 73,
     /* 250588 */     GIR_EraseRootFromParent_Done,
     /* 250589 */   // Label 5011: @250589
     /* 250589 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(250612), // Rule ID 75 //
     /* 250594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_set_fpsr),
     /* 250599 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 250602 */     // (intrinsic_void 782:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR_FPSR i64:{ *:[i64] }:$val)
     /* 250602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR_FPSR),
     /* 250605 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 250607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FPSR*/0,
     /* 250610 */     GIR_RootConstrainSelectedInstOperands,
     /* 250611 */     // GIR_Coverage, 75,
     /* 250611 */     GIR_EraseRootFromParent_Done,
     /* 250612 */   // Label 5012: @250612
     /* 250612 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(250639), // Rule ID 76 //
     /* 250617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_set_fpmr),
     /* 250622 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 250625 */     // (intrinsic_void 781:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR_FPMR i64:{ *:[i64] }:$val)
     /* 250625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR_FPMR),
     /* 250628 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 250630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::FPMR*/0,
     /* 250633 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250637 */     GIR_RootConstrainSelectedInstOperands,
     /* 250638 */     // GIR_Coverage, 76,
     /* 250638 */     GIR_EraseRootFromParent_Done,
     /* 250639 */   // Label 5013: @250639
     /* 250639 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(250672), // Rule ID 12756 //
     /* 250644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEandIsNonStreamingSafe),
     /* 250647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_set_tpidr2),
     /* 250652 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 250655 */     // (intrinsic_void 966:{ *:[iPTR] }, i64:{ *:[i64] }:$val)  =>  (MSR 56965:{ *:[i32] }, GPR64:{ *:[i64] }:$val)
     /* 250655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MSR),
     /* 250658 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(56965),
     /* 250668 */     GIR_RootToRootCopy, /*OpIdx*/1, // val
     /* 250670 */     GIR_RootConstrainSelectedInstOperands,
     /* 250671 */     // GIR_Coverage, 12756,
     /* 250671 */     GIR_EraseRootFromParent_Done,
     /* 250672 */   // Label 5014: @250672
     /* 250672 */   GIM_Reject,
     /* 250673 */ // Label 4995: @250673
     /* 250673 */ GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(251644),
     /* 250678 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /* 250681 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(250757), // Rule ID 7090 //
     /* 250686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 250691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250698 */     // MIs[0] addr
     /* 250698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 250702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250706 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_1),
     /* 250710 */     // (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 250710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 250713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRB),
     /* 250717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 250722 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 250726 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 250732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 250735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 250743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 250746 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250751 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 250756 */     // GIR_Coverage, 7090,
     /* 250756 */     GIR_EraseRootFromParent_Done,
     /* 250757 */   // Label 5016: @250757
     /* 250757 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(250833), // Rule ID 7091 //
     /* 250762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 250767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250774 */     // MIs[0] addr
     /* 250774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 250778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250782 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_2),
     /* 250786 */     // (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_2>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 250786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 250789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRH),
     /* 250793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 250798 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 250802 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 250808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 250811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 250819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 250822 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250827 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 250832 */     // GIR_Coverage, 7091,
     /* 250832 */     GIR_EraseRootFromParent_Done,
     /* 250833 */   // Label 5017: @250833
     /* 250833 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(250909), // Rule ID 7092 //
     /* 250838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 250843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250850 */     // MIs[0] addr
     /* 250850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 250854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250858 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_4),
     /* 250862 */     // (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_4>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 250862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 250865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDXRW),
     /* 250869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 250874 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 250878 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 250884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 250887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 250889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 250892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 250895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 250898 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250903 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 250908 */     // GIR_Coverage, 7092,
     /* 250908 */     GIR_EraseRootFromParent_Done,
     /* 250909 */   // Label 5018: @250909
     /* 250909 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(250951), // Rule ID 7093 //
     /* 250914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldxr),
     /* 250919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 250926 */     // MIs[0] addr
     /* 250926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 250930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250934 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldxr_8),
     /* 250938 */     // (intrinsic_w_chain:{ *:[i64] } 566:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldxr_8>>  =>  (LDXRX:{ *:[i64] } GPR64sp:{ *:[i64] }:$addr)
     /* 250938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDXRX),
     /* 250941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 250943 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 250945 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 250949 */     GIR_RootConstrainSelectedInstOperands,
     /* 250950 */     // GIR_Coverage, 7093,
     /* 250950 */     GIR_EraseRootFromParent_Done,
     /* 250951 */   // Label 5019: @250951
     /* 250951 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(251027), // Rule ID 7097 //
     /* 250956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 250961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 250964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 250968 */     // MIs[0] addr
     /* 250968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 250972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 250976 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_1),
     /* 250980 */     // (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_1>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRB:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 250980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 250983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRB),
     /* 250987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 250992 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 250996 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 251002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 251005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 251007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 251010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 251013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 251016 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 251021 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251026 */     // GIR_Coverage, 7097,
     /* 251026 */     GIR_EraseRootFromParent_Done,
     /* 251027 */   // Label 5020: @251027
     /* 251027 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(251103), // Rule ID 7098 //
     /* 251032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 251037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 251044 */     // MIs[0] addr
     /* 251044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 251048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251052 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_2),
     /* 251056 */     // (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_2>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRH:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 251056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 251059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRH),
     /* 251063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 251068 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 251072 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 251078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 251081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 251083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 251086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 251089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 251092 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 251097 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251102 */     // GIR_Coverage, 7098,
     /* 251102 */     GIR_EraseRootFromParent_Done,
     /* 251103 */   // Label 5021: @251103
     /* 251103 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(251179), // Rule ID 7099 //
     /* 251108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 251113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 251120 */     // MIs[0] addr
     /* 251120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 251124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251128 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_4),
     /* 251132 */     // (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_4>>  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (LDAXRW:{ *:[i32] } GPR64sp:{ *:[i64] }:$addr), sub_32:{ *:[i32] })
     /* 251132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 251135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDAXRW),
     /* 251139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 251144 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // addr
     /* 251148 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 251154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 251157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 251159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 251162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 251165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 251168 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 251173 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251178 */     // GIR_Coverage, 7099,
     /* 251178 */     GIR_EraseRootFromParent_Done,
     /* 251179 */   // Label 5022: @251179
     /* 251179 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(251221), // Rule ID 7100 //
     /* 251184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_ldaxr),
     /* 251189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251196 */     // MIs[0] addr
     /* 251196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 251200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251204 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_ldaxr_8),
     /* 251208 */     // (intrinsic_w_chain:{ *:[i64] } 563:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_ldaxr_8>>  =>  (LDAXRX:{ *:[i64] } GPR64sp:{ *:[i64] }:$addr)
     /* 251208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAXRX),
     /* 251211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 251213 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 251215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251219 */     GIR_RootConstrainSelectedInstOperands,
     /* 251220 */     // GIR_Coverage, 7100,
     /* 251220 */     GIR_EraseRootFromParent_Done,
     /* 251221 */   // Label 5023: @251221
     /* 251221 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(251261), // Rule ID 20 //
     /* 251226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasGCS),
     /* 251229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_gcspopm),
     /* 251234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 251248 */     // (intrinsic_w_chain:{ *:[i64] } 551:{ *:[iPTR] }, GPR64:{ *:[i64] }:$src)  =>  (GCSPOPM:{ *:[i64] } GPR64:{ *:[i64] }:$src)
     /* 251248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::GCSPOPM),
     /* 251251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rt]
     /* 251253 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 251255 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251259 */     GIR_RootConstrainSelectedInstOperands,
     /* 251260 */     // GIR_Coverage, 20,
     /* 251260 */     GIR_EraseRootFromParent_Done,
     /* 251261 */   // Label 5024: @251261
     /* 251261 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(251301), // Rule ID 2384 //
     /* 251266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 251269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_rdffr_z),
     /* 251274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 251277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 251280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 251284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 251288 */     // (intrinsic_w_chain:{ *:[nxv16i1] } 1667:{ *:[iPTR] }, PPRAny:{ *:[nxv16i1] }:$Pg)  =>  (RDFFR_PPz:{ *:[nxv16i1] } PPRAny:{ *:[nxv16i1] }:$Pg)
     /* 251288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RDFFR_PPz),
     /* 251291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 251293 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 251295 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251299 */     GIR_RootConstrainSelectedInstOperands,
     /* 251300 */     // GIR_Coverage, 2384,
     /* 251300 */     GIR_EraseRootFromParent_Done,
     /* 251301 */   // Label 5025: @251301
     /* 251301 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(251341), // Rule ID 2495 //
     /* 251306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 251309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl1),
     /* 251314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 251317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 251320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 251324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 251328 */     // (intrinsic_w_chain:{ *:[v8f16] } 611:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (F1CVTL:{ *:[v8f16] } V64:{ *:[v8i8] }:$Rn)
     /* 251328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVTL),
     /* 251331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 251333 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 251335 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251339 */     GIR_RootConstrainSelectedInstOperands,
     /* 251340 */     // GIR_Coverage, 2495,
     /* 251340 */     GIR_EraseRootFromParent_Done,
     /* 251341 */   // Label 5026: @251341
     /* 251341 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(251381), // Rule ID 2496 //
     /* 251346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 251349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl1),
     /* 251354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 251357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 251360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 251364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 251368 */     // (intrinsic_w_chain:{ *:[v8f16] } 611:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (F1CVTL2:{ *:[v8f16] } V128:{ *:[v16i8] }:$Rn)
     /* 251368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVTL2),
     /* 251371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 251373 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 251375 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251379 */     GIR_RootConstrainSelectedInstOperands,
     /* 251380 */     // GIR_Coverage, 2496,
     /* 251380 */     GIR_EraseRootFromParent_Done,
     /* 251381 */   // Label 5027: @251381
     /* 251381 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(251421), // Rule ID 6979 //
     /* 251386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 251389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl2),
     /* 251394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 251397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 251400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 251404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 251408 */     // (intrinsic_w_chain:{ *:[v8f16] } 612:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn)  =>  (F2CVTL:{ *:[v8f16] } V64:{ *:[v8i8] }:$Rn)
     /* 251408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVTL),
     /* 251411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 251413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 251415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251419 */     GIR_RootConstrainSelectedInstOperands,
     /* 251420 */     // GIR_Coverage, 6979,
     /* 251420 */     GIR_EraseRootFromParent_Done,
     /* 251421 */   // Label 5028: @251421
     /* 251421 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(251461), // Rule ID 6980 //
     /* 251426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 251429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_cvtl2),
     /* 251434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 251437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 251440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 251444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 251448 */     // (intrinsic_w_chain:{ *:[v8f16] } 612:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn)  =>  (F2CVTL2:{ *:[v8f16] } V128:{ *:[v16i8] }:$Rn)
     /* 251448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVTL2),
     /* 251451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 251453 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 251455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251459 */     GIR_RootConstrainSelectedInstOperands,
     /* 251460 */     // GIR_Coverage, 6980,
     /* 251460 */     GIR_EraseRootFromParent_Done,
     /* 251461 */   // Label 5029: @251461
     /* 251461 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(251497), // Rule ID 3577 //
     /* 251466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 251469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvt1),
     /* 251474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 251477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 251480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 251484 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1491:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F1CVT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 251484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVT_ZZ_BtoH),
     /* 251487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 251489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 251491 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251495 */     GIR_RootConstrainSelectedInstOperands,
     /* 251496 */     // GIR_Coverage, 3577,
     /* 251496 */     GIR_EraseRootFromParent_Done,
     /* 251497 */   // Label 5030: @251497
     /* 251497 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(251535), // Rule ID 4001 //
     /* 251502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 251505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_irg_sp),
     /* 251510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 251513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251520 */     // (intrinsic_w_chain:{ *:[i64] } 559:{ *:[iPTR] }, i64:{ *:[i64] }:$Rm)  =>  (IRGstack:{ *:[i64] } SP:{ *:[i64] }, i64:{ *:[i64] }:$Rm)
     /* 251520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::IRGstack),
     /* 251523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 251525 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::SP), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 251531 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 251533 */     GIR_RootConstrainSelectedInstOperands,
     /* 251534 */     // GIR_Coverage, 4001,
     /* 251534 */     GIR_EraseRootFromParent_Done,
     /* 251535 */   // Label 5031: @251535
     /* 251535 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(251571), // Rule ID 12482 //
     /* 251540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 251543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvt2),
     /* 251548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 251551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 251554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 251558 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1493:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F2CVT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 251558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVT_ZZ_BtoH),
     /* 251561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 251563 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 251565 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251569 */     GIR_RootConstrainSelectedInstOperands,
     /* 251570 */     // GIR_Coverage, 12482,
     /* 251570 */     GIR_EraseRootFromParent_Done,
     /* 251571 */   // Label 5032: @251571
     /* 251571 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(251607), // Rule ID 12483 //
     /* 251576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 251579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvtlt1),
     /* 251584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 251587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 251590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 251594 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1497:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F1CVTLT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 251594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F1CVTLT_ZZ_BtoH),
     /* 251597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 251599 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 251601 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251605 */     GIR_RootConstrainSelectedInstOperands,
     /* 251606 */     // GIR_Coverage, 12483,
     /* 251606 */     GIR_EraseRootFromParent_Done,
     /* 251607 */   // Label 5033: @251607
     /* 251607 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(251643), // Rule ID 12484 //
     /* 251612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8_HasSVE2_or_SME2),
     /* 251615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_cvtlt2),
     /* 251620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 251623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 251626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 251630 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1498:{ *:[iPTR] }, nxv16i8:{ *:[nxv16i8] }:$Op1)  =>  (F2CVTLT_ZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv16i8] }:$Op1)
     /* 251630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::F2CVTLT_ZZ_BtoH),
     /* 251633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 251635 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 251637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 251641 */     GIR_RootConstrainSelectedInstOperands,
     /* 251642 */     // GIR_Coverage, 12484,
     /* 251642 */     GIR_EraseRootFromParent_Done,
     /* 251643 */   // Label 5034: @251643
     /* 251643 */   GIM_Reject,
     /* 251644 */ // Label 5015: @251644
     /* 251644 */ GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(255812),
     /* 251649 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 251652 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(251749), // Rule ID 7108 //
     /* 251657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 251662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 251680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 251684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 251688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 251696 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 251700 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251705 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(255),
     /* 251716 */     // MIs[0] addr
     /* 251716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 251720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251724 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_1),
     /* 251728 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 251730 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 255:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_1>>  =>  (STXRB:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 251730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRB),
     /* 251733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 251735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 251739 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 251741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 251747 */     GIR_RootConstrainSelectedInstOperands,
     /* 251748 */     // GIR_Coverage, 7108,
     /* 251748 */     GIR_EraseRootFromParent_Done,
     /* 251749 */   // Label 5036: @251749
     /* 251749 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(251846), // Rule ID 7109 //
     /* 251754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 251759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 251777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 251781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 251785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 251793 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 251797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251802 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /* 251813 */     // MIs[0] addr
     /* 251813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 251817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251821 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_2),
     /* 251825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 251827 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 65535:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_2>>  =>  (STXRH:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 251827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRH),
     /* 251830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 251832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 251836 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 251838 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 251844 */     GIR_RootConstrainSelectedInstOperands,
     /* 251845 */     // GIR_Coverage, 7109,
     /* 251845 */     GIR_EraseRootFromParent_Done,
     /* 251846 */   // Label 5037: @251846
     /* 251846 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(251943), // Rule ID 7118 //
     /* 251851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 251856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 251874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 251878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 251882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 251890 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 251894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251899 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(255),
     /* 251910 */     // MIs[0] addr
     /* 251910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 251914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 251918 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_1),
     /* 251922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 251924 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 255:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_1>>  =>  (STLXRB:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 251924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRB),
     /* 251927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 251929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 251933 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 251935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 251941 */     GIR_RootConstrainSelectedInstOperands,
     /* 251942 */     // GIR_Coverage, 7118,
     /* 251942 */     GIR_EraseRootFromParent_Done,
     /* 251943 */   // Label 5038: @251943
     /* 251943 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(252040), // Rule ID 7119 //
     /* 251948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 251953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 251956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 251959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 251967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 251971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 251975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 251979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /* 251983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 251987 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /* 251991 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 251996 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(65535),
     /* 252007 */     // MIs[0] addr
     /* 252007 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252015 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_2),
     /* 252019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 252021 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, (zext:{ *:[i64] } (and:{ *:[i32] } GPR32:{ *:[i32] }:$val, 65535:{ *:[i32] })), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_2>>  =>  (STLXRH:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 252021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRH),
     /* 252024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // val
     /* 252030 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 252038 */     GIR_RootConstrainSelectedInstOperands,
     /* 252039 */     // GIR_Coverage, 7119,
     /* 252039 */     GIR_EraseRootFromParent_Done,
     /* 252040 */   // Label 5039: @252040
     /* 252040 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(252151), // Rule ID 7111 //
     /* 252045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 252050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 252068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 252072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 252076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252081 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /* 252092 */     // MIs[0] addr
     /* 252092 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252100 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_1),
     /* 252104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252106 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 255:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_1>>  =>  (STXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 252106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 252109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252118 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 252124 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252129 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRB),
     /* 252137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 252142 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252144 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252149 */     GIR_RootConstrainSelectedInstOperands,
     /* 252150 */     // GIR_Coverage, 7111,
     /* 252150 */     GIR_EraseRootFromParent_Done,
     /* 252151 */   // Label 5040: @252151
     /* 252151 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(252262), // Rule ID 7112 //
     /* 252156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 252161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 252179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 252183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 252187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252192 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 252203 */     // MIs[0] addr
     /* 252203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252211 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_2),
     /* 252215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252217 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 65535:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_2>>  =>  (STXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 252217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 252220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252229 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 252235 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252240 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRH),
     /* 252248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 252253 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252255 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252260 */     GIR_RootConstrainSelectedInstOperands,
     /* 252261 */     // GIR_Coverage, 7112,
     /* 252261 */     GIR_EraseRootFromParent_Done,
     /* 252262 */   // Label 5041: @252262
     /* 252262 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(252373), // Rule ID 7113 //
     /* 252267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 252272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 252290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 252294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 252298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252303 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 252314 */     // MIs[0] addr
     /* 252314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252322 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_4),
     /* 252326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252328 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 4294967295:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_4>>  =>  (STXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 252328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 252331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252340 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 252346 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252351 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRW),
     /* 252359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 252364 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252371 */     GIR_RootConstrainSelectedInstOperands,
     /* 252372 */     // GIR_Coverage, 7113,
     /* 252372 */     GIR_EraseRootFromParent_Done,
     /* 252373 */   // Label 5042: @252373
     /* 252373 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(252484), // Rule ID 7121 //
     /* 252378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 252383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 252401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 252405 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 252409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252414 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(255),
     /* 252425 */     // MIs[0] addr
     /* 252425 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252433 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_1),
     /* 252437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252439 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 255:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_1>>  =>  (STLXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 252439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 252442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252451 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 252457 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252462 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRB),
     /* 252470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 252475 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252477 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252482 */     GIR_RootConstrainSelectedInstOperands,
     /* 252483 */     // GIR_Coverage, 7121,
     /* 252483 */     GIR_EraseRootFromParent_Done,
     /* 252484 */   // Label 5043: @252484
     /* 252484 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(252595), // Rule ID 7122 //
     /* 252489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 252494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 252512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 252516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 252520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252525 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 252536 */     // MIs[0] addr
     /* 252536 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252544 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_2),
     /* 252548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252550 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 65535:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_2>>  =>  (STLXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 252550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 252553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252562 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 252568 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252573 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRH),
     /* 252581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 252586 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252588 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252593 */     GIR_RootConstrainSelectedInstOperands,
     /* 252594 */     // GIR_Coverage, 7122,
     /* 252594 */     GIR_EraseRootFromParent_Done,
     /* 252595 */   // Label 5044: @252595
     /* 252595 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(252706), // Rule ID 7123 //
     /* 252600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 252605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 252623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 252627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 252631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252636 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 252647 */     // MIs[0] addr
     /* 252647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252655 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_4),
     /* 252659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252661 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, (and:{ *:[i64] } GPR64:{ *:[i64] }:$val, 4294967295:{ *:[i64] }), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_4>>  =>  (STLXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 252661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 252664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 252668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 252673 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 252679 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252684 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 252689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRW),
     /* 252692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 252697 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252699 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252704 */     GIR_RootConstrainSelectedInstOperands,
     /* 252705 */     // GIR_Coverage, 7123,
     /* 252705 */     GIR_EraseRootFromParent_Done,
     /* 252706 */   // Label 5045: @252706
     /* 252706 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(252757), // Rule ID 70 //
     /* 252711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_fixedshadow),
     /* 252716 */     // MIs[0] ptr
     /* 252716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 252720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 252724 */     // MIs[0] accessinfo
     /* 252724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 252727 */     // MIs[0] fixed_shadow
     /* 252727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 252730 */     // (intrinsic_void 191:{ *:[iPTR] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)  =>  (HWASAN_CHECK_MEMACCESS_FIXEDSHADOW:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)
     /* 252730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS_FIXEDSHADOW),
     /* 252733 */     GIR_RootToRootCopy, /*OpIdx*/1, // ptr
     /* 252735 */     GIR_RootToRootCopy, /*OpIdx*/2, // accessinfo
     /* 252737 */     GIR_RootToRootCopy, /*OpIdx*/3, // fixed_shadow
     /* 252739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 252742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 252745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 252748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 252751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252755 */     GIR_RootConstrainSelectedInstOperands,
     /* 252756 */     // GIR_Coverage, 70,
     /* 252756 */     GIR_EraseRootFromParent_Done,
     /* 252757 */   // Label 5046: @252757
     /* 252757 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(252808), // Rule ID 71 //
     /* 252762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules_fixedshadow),
     /* 252767 */     // MIs[0] ptr
     /* 252767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 252771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 252775 */     // MIs[0] accessinfo
     /* 252775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 252778 */     // MIs[0] fixed_shadow
     /* 252778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 252781 */     // (intrinsic_void 193:{ *:[iPTR] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES_FIXEDSHADOW:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo, (timm:{ *:[i64] }):$fixed_shadow)
     /* 252781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS_SHORTGRANULES_FIXEDSHADOW),
     /* 252784 */     GIR_RootToRootCopy, /*OpIdx*/1, // ptr
     /* 252786 */     GIR_RootToRootCopy, /*OpIdx*/2, // accessinfo
     /* 252788 */     GIR_RootToRootCopy, /*OpIdx*/3, // fixed_shadow
     /* 252790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 252793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 252796 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 252799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 252802 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252806 */     GIR_RootConstrainSelectedInstOperands,
     /* 252807 */     // GIR_Coverage, 71,
     /* 252807 */     GIR_EraseRootFromParent_Done,
     /* 252808 */   // Label 5047: @252808
     /* 252808 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(252877), // Rule ID 7110 //
     /* 252813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 252818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 252836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 252840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252845 */     // MIs[0] addr
     /* 252845 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252853 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_4),
     /* 252857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252859 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$val), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_4>>  =>  (STXRW:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 252859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRW),
     /* 252862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 252868 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252870 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252875 */     GIR_RootConstrainSelectedInstOperands,
     /* 252876 */     // GIR_Coverage, 7110,
     /* 252876 */     GIR_EraseRootFromParent_Done,
     /* 252877 */   // Label 5048: @252877
     /* 252877 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(252946), // Rule ID 7120 //
     /* 252882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 252887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 252890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 252893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 252901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 252905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 252909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 252914 */     // MIs[0] addr
     /* 252914 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 252918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 252922 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_4),
     /* 252926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 252928 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$val), GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_4>>  =>  (STLXRW:{ *:[i32] } GPR32:{ *:[i32] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 252928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRW),
     /* 252931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 252933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // val
     /* 252937 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 252939 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 252944 */     GIR_RootConstrainSelectedInstOperands,
     /* 252945 */     // GIR_Coverage, 7120,
     /* 252945 */     GIR_EraseRootFromParent_Done,
     /* 252946 */   // Label 5049: @252946
     /* 252946 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(252988), // Rule ID 3601 //
     /* 252951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4a_wide_1x1),
     /* 252959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 252962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 252965 */     // MIs[0] tile
     /* 252965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 252968 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 252973 */     // (intrinsic_void 1015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SMOP4A_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 252973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4A_MZZ_BToS_PSEUDO),
     /* 252976 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 252978 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 252980 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 252982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 252986 */     GIR_RootConstrainSelectedInstOperands,
     /* 252987 */     // GIR_Coverage, 3601,
     /* 252987 */     GIR_EraseRootFromParent_Done,
     /* 252988 */   // Label 5050: @252988
     /* 252988 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(253030), // Rule ID 3605 //
     /* 252993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 252996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4a_wide_1x1),
     /* 253001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253007 */     // MIs[0] tile
     /* 253007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253015 */     // (intrinsic_void 1015:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOP4A_MZZ_HToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4A_MZZ_HToS_PSEUDO),
     /* 253018 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253020 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253028 */     GIR_RootConstrainSelectedInstOperands,
     /* 253029 */     // GIR_Coverage, 3605,
     /* 253029 */     GIR_EraseRootFromParent_Done,
     /* 253030 */   // Label 5051: @253030
     /* 253030 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(253072), // Rule ID 3609 //
     /* 253035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 253038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4a_za64_wide_1x1),
     /* 253043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253049 */     // MIs[0] tile
     /* 253049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253052 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253057 */     // (intrinsic_void 1019:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOP4A_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4A_MZZ_HtoD_PSEUDO),
     /* 253060 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253062 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253064 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253070 */     GIR_RootConstrainSelectedInstOperands,
     /* 253071 */     // GIR_Coverage, 3609,
     /* 253071 */     GIR_EraseRootFromParent_Done,
     /* 253072 */   // Label 5052: @253072
     /* 253072 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(253114), // Rule ID 3779 //
     /* 253077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF16F16_HasSME_MOP4),
     /* 253080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4a_1x1),
     /* 253085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253091 */     // MIs[0] tile
     /* 253091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253094 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 253099 */     // (intrinsic_void 912:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOP4A_MZZ_H_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 253099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_H_PSEUDO),
     /* 253102 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253104 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253106 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253112 */     GIR_RootConstrainSelectedInstOperands,
     /* 253113 */     // GIR_Coverage, 3779,
     /* 253113 */     GIR_EraseRootFromParent_Done,
     /* 253114 */   // Label 5053: @253114
     /* 253114 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(253156), // Rule ID 3783 //
     /* 253119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF8F32_HasSME_MOP4),
     /* 253122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_fp8_fmop4a_za32_1x1),
     /* 253127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253133 */     // MIs[0] tile
     /* 253133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253136 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253141 */     // (intrinsic_void 875:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (FMOP4A_MZZ_BtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_BtoS_PSEUDO),
     /* 253144 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253146 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253154 */     GIR_RootConstrainSelectedInstOperands,
     /* 253155 */     // GIR_Coverage, 3783,
     /* 253155 */     GIR_EraseRootFromParent_Done,
     /* 253156 */   // Label 5054: @253156
     /* 253156 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(253198), // Rule ID 3787 //
     /* 253161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4a_1x1),
     /* 253169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 253172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 253175 */     // MIs[0] tile
     /* 253175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253178 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253183 */     // (intrinsic_void 912:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv4f32:{ *:[nxv4f32] }:$Zn, nxv4f32:{ *:[nxv4f32] }:$Zm)  =>  (FMOP4A_MZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4f32] }:$Zn, ?:{ *:[nxv4f32] }:$Zm)
     /* 253183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_S_PSEUDO),
     /* 253186 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253192 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253196 */     GIR_RootConstrainSelectedInstOperands,
     /* 253197 */     // GIR_Coverage, 3787,
     /* 253197 */     GIR_EraseRootFromParent_Done,
     /* 253198 */   // Label 5055: @253198
     /* 253198 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(253240), // Rule ID 3791 //
     /* 253203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF64F64_HasSME_MOP4),
     /* 253206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4a_1x1),
     /* 253211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 253214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 253217 */     // MIs[0] tile
     /* 253217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253220 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253225 */     // (intrinsic_void 912:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv2f64:{ *:[nxv2f64] }:$Zn, nxv2f64:{ *:[nxv2f64] }:$Zm)  =>  (FMOP4A_MZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv2f64] }:$Zn, ?:{ *:[nxv2f64] }:$Zm)
     /* 253225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_D_PSEUDO),
     /* 253228 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253230 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253234 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253238 */     GIR_RootConstrainSelectedInstOperands,
     /* 253239 */     // GIR_Coverage, 3791,
     /* 253239 */     GIR_EraseRootFromParent_Done,
     /* 253240 */   // Label 5056: @253240
     /* 253240 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(253282), // Rule ID 3795 //
     /* 253245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4a_wide_1x1),
     /* 253253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253259 */     // MIs[0] tile
     /* 253259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253262 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253267 */     // (intrinsic_void 916:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOP4A_MZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 253267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_HtoS_PSEUDO),
     /* 253270 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253272 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253276 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253280 */     GIR_RootConstrainSelectedInstOperands,
     /* 253281 */     // GIR_Coverage, 3795,
     /* 253281 */     GIR_EraseRootFromParent_Done,
     /* 253282 */   // Label 5057: @253282
     /* 253282 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(253324), // Rule ID 3799 //
     /* 253287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF8F16_HasSME_MOP4),
     /* 253290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_fp8_fmop4a_za16_1x1),
     /* 253295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253301 */     // MIs[0] tile
     /* 253301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253304 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 253309 */     // (intrinsic_void 871:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (FMOP4A_MZZ_BtoH_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4A_MZZ_BtoH_PSEUDO),
     /* 253312 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253316 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253318 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253322 */     GIR_RootConstrainSelectedInstOperands,
     /* 253323 */     // GIR_Coverage, 3799,
     /* 253323 */     GIR_EraseRootFromParent_Done,
     /* 253324 */   // Label 5058: @253324
     /* 253324 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(253366), // Rule ID 12561 //
     /* 253329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4s_wide_1x1),
     /* 253337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253343 */     // MIs[0] tile
     /* 253343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253351 */     // (intrinsic_void 1023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SMOP4S_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4S_MZZ_BToS_PSEUDO),
     /* 253354 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253356 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253358 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253364 */     GIR_RootConstrainSelectedInstOperands,
     /* 253365 */     // GIR_Coverage, 12561,
     /* 253365 */     GIR_EraseRootFromParent_Done,
     /* 253366 */   // Label 5059: @253366
     /* 253366 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(253408), // Rule ID 12565 //
     /* 253371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumop4a_wide_1x1),
     /* 253379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253385 */     // MIs[0] tile
     /* 253385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253388 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253393 */     // (intrinsic_void 1067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SUMOP4A_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOP4A_MZZ_BToS_PSEUDO),
     /* 253396 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253398 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253406 */     GIR_RootConstrainSelectedInstOperands,
     /* 253407 */     // GIR_Coverage, 12565,
     /* 253407 */     GIR_EraseRootFromParent_Done,
     /* 253408 */   // Label 5060: @253408
     /* 253408 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(253450), // Rule ID 12569 //
     /* 253413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumop4s_wide_1x1),
     /* 253421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253427 */     // MIs[0] tile
     /* 253427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253430 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253435 */     // (intrinsic_void 1075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SUMOP4S_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOP4S_MZZ_BToS_PSEUDO),
     /* 253438 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253440 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253442 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253448 */     GIR_RootConstrainSelectedInstOperands,
     /* 253449 */     // GIR_Coverage, 12569,
     /* 253449 */     GIR_EraseRootFromParent_Done,
     /* 253450 */   // Label 5061: @253450
     /* 253450 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(253492), // Rule ID 12573 //
     /* 253455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmop4a_wide_1x1),
     /* 253463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253469 */     // MIs[0] tile
     /* 253469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253472 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253477 */     // (intrinsic_void 1184:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (USMOP4A_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOP4A_MZZ_BToS_PSEUDO),
     /* 253480 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253482 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253490 */     GIR_RootConstrainSelectedInstOperands,
     /* 253491 */     // GIR_Coverage, 12573,
     /* 253491 */     GIR_EraseRootFromParent_Done,
     /* 253492 */   // Label 5062: @253492
     /* 253492 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(253534), // Rule ID 12577 //
     /* 253497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmop4s_wide_1x1),
     /* 253505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253511 */     // MIs[0] tile
     /* 253511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253519 */     // (intrinsic_void 1192:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (USMOP4S_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOP4S_MZZ_BToS_PSEUDO),
     /* 253522 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253524 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253526 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253528 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253532 */     GIR_RootConstrainSelectedInstOperands,
     /* 253533 */     // GIR_Coverage, 12577,
     /* 253533 */     GIR_EraseRootFromParent_Done,
     /* 253534 */   // Label 5063: @253534
     /* 253534 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(253576), // Rule ID 12581 //
     /* 253539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4a_wide_1x1),
     /* 253547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253553 */     // MIs[0] tile
     /* 253553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253556 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253561 */     // (intrinsic_void 1150:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (UMOP4A_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4A_MZZ_BToS_PSEUDO),
     /* 253564 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253568 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253570 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253574 */     GIR_RootConstrainSelectedInstOperands,
     /* 253575 */     // GIR_Coverage, 12581,
     /* 253575 */     GIR_EraseRootFromParent_Done,
     /* 253576 */   // Label 5064: @253576
     /* 253576 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(253618), // Rule ID 12585 //
     /* 253581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4s_wide_1x1),
     /* 253589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 253592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 253595 */     // MIs[0] tile
     /* 253595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253598 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253603 */     // (intrinsic_void 1158:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (UMOP4S_MZZ_BToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 253603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4S_MZZ_BToS_PSEUDO),
     /* 253606 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253612 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253616 */     GIR_RootConstrainSelectedInstOperands,
     /* 253617 */     // GIR_Coverage, 12585,
     /* 253617 */     GIR_EraseRootFromParent_Done,
     /* 253618 */   // Label 5065: @253618
     /* 253618 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(253660), // Rule ID 12589 //
     /* 253623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4s_wide_1x1),
     /* 253631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253637 */     // MIs[0] tile
     /* 253637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253640 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253645 */     // (intrinsic_void 1023:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOP4S_MZZ_HToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4S_MZZ_HToS_PSEUDO),
     /* 253648 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253650 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253654 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253658 */     GIR_RootConstrainSelectedInstOperands,
     /* 253659 */     // GIR_Coverage, 12589,
     /* 253659 */     GIR_EraseRootFromParent_Done,
     /* 253660 */   // Label 5066: @253660
     /* 253660 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(253702), // Rule ID 12593 //
     /* 253665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4a_wide_1x1),
     /* 253673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253679 */     // MIs[0] tile
     /* 253679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253687 */     // (intrinsic_void 1150:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOP4A_MZZ_HToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4A_MZZ_HToS_PSEUDO),
     /* 253690 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253700 */     GIR_RootConstrainSelectedInstOperands,
     /* 253701 */     // GIR_Coverage, 12593,
     /* 253701 */     GIR_EraseRootFromParent_Done,
     /* 253702 */   // Label 5067: @253702
     /* 253702 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(253744), // Rule ID 12597 //
     /* 253707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 253710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4s_wide_1x1),
     /* 253715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253721 */     // MIs[0] tile
     /* 253721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253724 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 253729 */     // (intrinsic_void 1158:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOP4S_MZZ_HToS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4S_MZZ_HToS_PSEUDO),
     /* 253732 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253736 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253742 */     GIR_RootConstrainSelectedInstOperands,
     /* 253743 */     // GIR_Coverage, 12597,
     /* 253743 */     GIR_EraseRootFromParent_Done,
     /* 253744 */   // Label 5068: @253744
     /* 253744 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(253786), // Rule ID 12601 //
     /* 253749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 253752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smop4s_za64_wide_1x1),
     /* 253757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253763 */     // MIs[0] tile
     /* 253763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253766 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253771 */     // (intrinsic_void 1027:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOP4S_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOP4S_MZZ_HtoD_PSEUDO),
     /* 253774 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253776 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253778 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253784 */     GIR_RootConstrainSelectedInstOperands,
     /* 253785 */     // GIR_Coverage, 12601,
     /* 253785 */     GIR_EraseRootFromParent_Done,
     /* 253786 */   // Label 5069: @253786
     /* 253786 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(253828), // Rule ID 12605 //
     /* 253791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 253794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumop4a_za64_wide_1x1),
     /* 253799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253805 */     // MIs[0] tile
     /* 253805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253808 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253813 */     // (intrinsic_void 1071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SUMOP4A_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOP4A_MZZ_HtoD_PSEUDO),
     /* 253816 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253818 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253820 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253826 */     GIR_RootConstrainSelectedInstOperands,
     /* 253827 */     // GIR_Coverage, 12605,
     /* 253827 */     GIR_EraseRootFromParent_Done,
     /* 253828 */   // Label 5070: @253828
     /* 253828 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(253870), // Rule ID 12609 //
     /* 253833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 253836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumop4s_za64_wide_1x1),
     /* 253841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253847 */     // MIs[0] tile
     /* 253847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253850 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253855 */     // (intrinsic_void 1079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SUMOP4S_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOP4S_MZZ_HtoD_PSEUDO),
     /* 253858 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253862 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253868 */     GIR_RootConstrainSelectedInstOperands,
     /* 253869 */     // GIR_Coverage, 12609,
     /* 253869 */     GIR_EraseRootFromParent_Done,
     /* 253870 */   // Label 5071: @253870
     /* 253870 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(253912), // Rule ID 12613 //
     /* 253875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 253878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4a_za64_wide_1x1),
     /* 253883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253889 */     // MIs[0] tile
     /* 253889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253897 */     // (intrinsic_void 1154:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOP4A_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4A_MZZ_HtoD_PSEUDO),
     /* 253900 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253902 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253904 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253910 */     GIR_RootConstrainSelectedInstOperands,
     /* 253911 */     // GIR_Coverage, 12613,
     /* 253911 */     GIR_EraseRootFromParent_Done,
     /* 253912 */   // Label 5072: @253912
     /* 253912 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(253954), // Rule ID 12617 //
     /* 253917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 253920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umop4s_za64_wide_1x1),
     /* 253925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253931 */     // MIs[0] tile
     /* 253931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253934 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253939 */     // (intrinsic_void 1162:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOP4S_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOP4S_MZZ_HtoD_PSEUDO),
     /* 253942 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253944 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253946 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253952 */     GIR_RootConstrainSelectedInstOperands,
     /* 253953 */     // GIR_Coverage, 12617,
     /* 253953 */     GIR_EraseRootFromParent_Done,
     /* 253954 */   // Label 5073: @253954
     /* 253954 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(253996), // Rule ID 12621 //
     /* 253959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 253962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmop4a_za64_wide_1x1),
     /* 253967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 253970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 253973 */     // MIs[0] tile
     /* 253973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 253976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 253981 */     // (intrinsic_void 1188:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (USMOP4A_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 253981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOP4A_MZZ_HtoD_PSEUDO),
     /* 253984 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 253986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 253988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 253990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 253994 */     GIR_RootConstrainSelectedInstOperands,
     /* 253995 */     // GIR_Coverage, 12621,
     /* 253995 */     GIR_EraseRootFromParent_Done,
     /* 253996 */   // Label 5074: @253996
     /* 253996 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(254038), // Rule ID 12625 //
     /* 254001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64_HasSME_MOP4),
     /* 254004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmop4s_za64_wide_1x1),
     /* 254009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 254012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 254015 */     // MIs[0] tile
     /* 254015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 254023 */     // (intrinsic_void 1196:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (USMOP4S_MZZ_HtoD_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 254023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOP4S_MZZ_HtoD_PSEUDO),
     /* 254026 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254036 */     GIR_RootConstrainSelectedInstOperands,
     /* 254037 */     // GIR_Coverage, 12625,
     /* 254037 */     GIR_EraseRootFromParent_Done,
     /* 254038 */   // Label 5075: @254038
     /* 254038 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(254080), // Rule ID 13080 //
     /* 254043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 254046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4s_wide_1x1),
     /* 254051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 254054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 254057 */     // MIs[0] tile
     /* 254057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254060 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 254065 */     // (intrinsic_void 924:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOP4S_MZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 254065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4S_MZZ_HtoS_PSEUDO),
     /* 254068 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254070 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254072 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254074 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254078 */     GIR_RootConstrainSelectedInstOperands,
     /* 254079 */     // GIR_Coverage, 13080,
     /* 254079 */     GIR_EraseRootFromParent_Done,
     /* 254080 */   // Label 5076: @254080
     /* 254080 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(254122), // Rule ID 13084 //
     /* 254085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME_MOP4),
     /* 254088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4s_1x1),
     /* 254093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 254096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 254099 */     // MIs[0] tile
     /* 254099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254102 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 254107 */     // (intrinsic_void 920:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, nxv4f32:{ *:[nxv4f32] }:$Zn, nxv4f32:{ *:[nxv4f32] }:$Zm)  =>  (FMOP4S_MZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4f32] }:$Zn, ?:{ *:[nxv4f32] }:$Zm)
     /* 254107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4S_MZZ_S_PSEUDO),
     /* 254110 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254112 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254120 */     GIR_RootConstrainSelectedInstOperands,
     /* 254121 */     // GIR_Coverage, 13084,
     /* 254121 */     GIR_EraseRootFromParent_Done,
     /* 254122 */   // Label 5077: @254122
     /* 254122 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(254164), // Rule ID 13088 //
     /* 254127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF16F16_HasSME_MOP4),
     /* 254130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4s_1x1),
     /* 254135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 254138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 254141 */     // MIs[0] tile
     /* 254141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254144 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 254149 */     // (intrinsic_void 920:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOP4S_MZZ_H_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 254149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4S_MZZ_H_PSEUDO),
     /* 254152 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254154 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254156 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254162 */     GIR_RootConstrainSelectedInstOperands,
     /* 254163 */     // GIR_Coverage, 13088,
     /* 254163 */     GIR_EraseRootFromParent_Done,
     /* 254164 */   // Label 5078: @254164
     /* 254164 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(254206), // Rule ID 13092 //
     /* 254169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF64F64_HasSME_MOP4),
     /* 254172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mop4s_1x1),
     /* 254177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 254180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 254183 */     // MIs[0] tile
     /* 254183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 254186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 254191 */     // (intrinsic_void 920:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, nxv2f64:{ *:[nxv2f64] }:$Zn, nxv2f64:{ *:[nxv2f64] }:$Zm)  =>  (FMOP4S_MZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv2f64] }:$Zn, ?:{ *:[nxv2f64] }:$Zm)
     /* 254191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOP4S_MZZ_D_PSEUDO),
     /* 254194 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 254196 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 254198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 254200 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254204 */     GIR_RootConstrainSelectedInstOperands,
     /* 254205 */     // GIR_Coverage, 13092,
     /* 254205 */     GIR_EraseRootFromParent_Done,
     /* 254206 */   // Label 5079: @254206
     /* 254206 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(254260), // Rule ID 8827 //
     /* 254211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 254219 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 254222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254226 */     // MIs[0] base
     /* 254226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 254230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254234 */     // MIs[0] prfop
     /* 254234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 254237 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 254242 */     // (intrinsic_void 1634:{ *:[iPTR] }, PPR_3b:{ *:[nxv16i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv16i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_PRI),
     /* 254245 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 254247 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 254249 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 254251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254254 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254258 */     GIR_RootConstrainSelectedInstOperands,
     /* 254259 */     // GIR_Coverage, 8827,
     /* 254259 */     GIR_EraseRootFromParent_Done,
     /* 254260 */   // Label 5080: @254260
     /* 254260 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(254314), // Rule ID 8830 //
     /* 254265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 254273 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 254276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254280 */     // MIs[0] base
     /* 254280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 254284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254288 */     // MIs[0] prfop
     /* 254288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 254291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 254296 */     // (intrinsic_void 1634:{ *:[iPTR] }, PPR_3b:{ *:[nxv8i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv8i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_PRI),
     /* 254299 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 254301 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 254303 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 254305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254312 */     GIR_RootConstrainSelectedInstOperands,
     /* 254313 */     // GIR_Coverage, 8830,
     /* 254313 */     GIR_EraseRootFromParent_Done,
     /* 254314 */   // Label 5081: @254314
     /* 254314 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(254368), // Rule ID 8833 //
     /* 254319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 254327 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 254330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254334 */     // MIs[0] base
     /* 254334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 254338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254342 */     // MIs[0] prfop
     /* 254342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 254345 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 254350 */     // (intrinsic_void 1634:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv4i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_PRI),
     /* 254353 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 254355 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 254357 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 254359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254366 */     GIR_RootConstrainSelectedInstOperands,
     /* 254367 */     // GIR_Coverage, 8833,
     /* 254367 */     GIR_EraseRootFromParent_Done,
     /* 254368 */   // Label 5082: @254368
     /* 254368 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(254422), // Rule ID 8836 //
     /* 254373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 254376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prf),
     /* 254381 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 254384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 254388 */     // MIs[0] base
     /* 254388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 254392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254396 */     // MIs[0] prfop
     /* 254396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 254399 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 254404 */     // (intrinsic_void 1634:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$gp, GPR64:{ *:[i64] }:$base, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_PRI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv2i1] }:$gp, GPR64:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 254404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_PRI),
     /* 254407 */     GIR_RootToRootCopy, /*OpIdx*/3, // prfop
     /* 254409 */     GIR_RootToRootCopy, /*OpIdx*/1, // gp
     /* 254411 */     GIR_RootToRootCopy, /*OpIdx*/2, // base
     /* 254413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 254416 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254420 */     GIR_RootConstrainSelectedInstOperands,
     /* 254421 */     // GIR_Coverage, 8836,
     /* 254421 */     GIR_EraseRootFromParent_Done,
     /* 254422 */   // Label 5083: @254422
     /* 254422 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(254476), // Rule ID 15 //
     /* 254427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_space),
     /* 254432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 254435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 254438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 254441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 254449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 254453 */     // MIs[1] Operand 1
     /* 254453 */     // No operand predicates
     /* 254453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 254459 */     // (intrinsic_w_chain:{ *:[i64] } 1232:{ *:[iPTR] }, (imm:{ *:[i32] }):$size, GPR64:{ *:[i64] }:$Rn)  =>  (SPACE:{ *:[i64] } (imm:{ *:[i32] }):$size, GPR64:{ *:[i64] }:$Rn)
     /* 254459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SPACE),
     /* 254462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 254464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // size
     /* 254467 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 254469 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 254474 */     GIR_RootConstrainSelectedInstOperands,
     /* 254475 */     // GIR_Coverage, 15,
     /* 254475 */     GIR_EraseRootFromParent_Done,
     /* 254476 */   // Label 5084: @254476
     /* 254476 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(254544), // Rule ID 68 //
     /* 254481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess),
     /* 254486 */     // MIs[0] Operand 1
     /* 254486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 254490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64_with_sub_32_in_MatrixIndexGPR32_8_11RegClassID),
     /* 254494 */     // MIs[0] ptr
     /* 254494 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 254498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 254502 */     // MIs[0] accessinfo
     /* 254502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 254505 */     // (intrinsic_void 190:{ *:[iPTR] }, X9:{ *:[i64] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 254505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254509 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::X9), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254515 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X9
     /* 254519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS),
     /* 254522 */     GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 254524 */     GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 254526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 254529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 254532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 254535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 254538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254542 */     GIR_RootConstrainSelectedInstOperands,
     /* 254543 */     // GIR_Coverage, 68,
     /* 254543 */     GIR_EraseRootFromParent_Done,
     /* 254544 */   // Label 5085: @254544
     /* 254544 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(254612), // Rule ID 69 //
     /* 254549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 254554 */     // MIs[0] Operand 1
     /* 254554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 254558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64common_and_GPR64noipRegClassID),
     /* 254562 */     // MIs[0] ptr
     /* 254562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 254566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64noipRegClassID),
     /* 254570 */     // MIs[0] accessinfo
     /* 254570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 254573 */     // (intrinsic_void 192:{ *:[iPTR] }, X20:{ *:[i64] }, GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES:{ *:[i64] } GPR64noip:{ *:[i64] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 254573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254577 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::X20), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254583 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X20
     /* 254587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 254590 */     GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 254592 */     GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 254594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X16*/0,
     /* 254597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::X17*/1,
     /* 254600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::LR*/2,
     /* 254603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for AArch64::NZCV*/3,
     /* 254606 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254610 */     GIR_RootConstrainSelectedInstOperands,
     /* 254611 */     // GIR_Coverage, 69,
     /* 254611 */     GIR_EraseRootFromParent_Done,
     /* 254612 */   // Label 5086: @254612
     /* 254612 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(254692), // Rule ID 7104 //
     /* 254617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 254622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 254628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254636 */     // MIs[0] addr
     /* 254636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254644 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_1),
     /* 254648 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_1>>  =>  (STXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 254648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 254651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254660 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 254666 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254671 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRB),
     /* 254679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 254681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254684 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 254686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254690 */     GIR_RootConstrainSelectedInstOperands,
     /* 254691 */     // GIR_Coverage, 7104,
     /* 254691 */     GIR_EraseRootFromParent_Done,
     /* 254692 */   // Label 5087: @254692
     /* 254692 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(254772), // Rule ID 7105 //
     /* 254697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 254702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 254708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254716 */     // MIs[0] addr
     /* 254716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254724 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_2),
     /* 254728 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_2>>  =>  (STXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 254728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 254731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254740 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 254746 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254751 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRH),
     /* 254759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 254761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254764 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 254766 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254770 */     GIR_RootConstrainSelectedInstOperands,
     /* 254771 */     // GIR_Coverage, 7105,
     /* 254771 */     GIR_EraseRootFromParent_Done,
     /* 254772 */   // Label 5088: @254772
     /* 254772 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(254852), // Rule ID 7106 //
     /* 254777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 254782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 254788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254796 */     // MIs[0] addr
     /* 254796 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254804 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_4),
     /* 254808 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_4>>  =>  (STXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 254808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 254811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254820 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 254826 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254831 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRW),
     /* 254839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 254841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254844 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 254846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254850 */     GIR_RootConstrainSelectedInstOperands,
     /* 254851 */     // GIR_Coverage, 7106,
     /* 254851 */     GIR_EraseRootFromParent_Done,
     /* 254852 */   // Label 5089: @254852
     /* 254852 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(254903), // Rule ID 7107 //
     /* 254857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxr),
     /* 254862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 254868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254876 */     // MIs[0] addr
     /* 254876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254884 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stxr_8),
     /* 254888 */     // (intrinsic_w_chain:{ *:[i32] } 1241:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stxr_8>>  =>  (STXRX:{ *:[i32] } GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 254888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXRX),
     /* 254891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 254893 */     GIR_RootToRootCopy, /*OpIdx*/2, // val
     /* 254895 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 254897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254901 */     GIR_RootConstrainSelectedInstOperands,
     /* 254902 */     // GIR_Coverage, 7107,
     /* 254902 */     GIR_EraseRootFromParent_Done,
     /* 254903 */   // Label 5090: @254903
     /* 254903 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(254983), // Rule ID 7114 //
     /* 254908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 254913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 254919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254927 */     // MIs[0] addr
     /* 254927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 254931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 254935 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_1),
     /* 254939 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_1>>  =>  (STLXRB:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 254939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 254942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 254946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 254951 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 254957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 254962 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 254967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRB),
     /* 254970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 254972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 254975 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 254977 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 254981 */     GIR_RootConstrainSelectedInstOperands,
     /* 254982 */     // GIR_Coverage, 7114,
     /* 254982 */     GIR_EraseRootFromParent_Done,
     /* 254983 */   // Label 5091: @254983
     /* 254983 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(255063), // Rule ID 7115 //
     /* 254988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 254993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 254996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 254999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255007 */     // MIs[0] addr
     /* 255007 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255015 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_2),
     /* 255019 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_2>>  =>  (STLXRH:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 255019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 255022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 255026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255031 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 255037 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255042 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRH),
     /* 255050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 255052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 255055 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 255057 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255061 */     GIR_RootConstrainSelectedInstOperands,
     /* 255062 */     // GIR_Coverage, 7115,
     /* 255062 */     GIR_EraseRootFromParent_Done,
     /* 255063 */   // Label 5092: @255063
     /* 255063 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(255143), // Rule ID 7116 //
     /* 255068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 255073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 255076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 255079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255087 */     // MIs[0] addr
     /* 255087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255095 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_4),
     /* 255099 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_4>>  =>  (STLXRW:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$val, sub_32:{ *:[i32] }), GPR64sp:{ *:[i64] }:$addr)
     /* 255099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 255102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 255106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 255111 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // val
     /* 255117 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255122 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRW),
     /* 255130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 255132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 255135 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 255137 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255141 */     GIR_RootConstrainSelectedInstOperands,
     /* 255142 */     // GIR_Coverage, 7116,
     /* 255142 */     GIR_EraseRootFromParent_Done,
     /* 255143 */   // Label 5093: @255143
     /* 255143 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(255194), // Rule ID 7117 //
     /* 255148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxr),
     /* 255153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 255156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 255159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 255163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255167 */     // MIs[0] addr
     /* 255167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255175 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_stlxr_8),
     /* 255179 */     // (intrinsic_w_chain:{ *:[i32] } 1239:{ *:[iPTR] }, GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)<<P:Predicate_stlxr_8>>  =>  (STLXRX:{ *:[i32] } GPR64:{ *:[i64] }:$val, GPR64sp:{ *:[i64] }:$addr)
     /* 255179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXRX),
     /* 255182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 255184 */     GIR_RootToRootCopy, /*OpIdx*/2, // val
     /* 255186 */     GIR_RootToRootCopy, /*OpIdx*/3, // addr
     /* 255188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255192 */     GIR_RootConstrainSelectedInstOperands,
     /* 255193 */     // GIR_Coverage, 7117,
     /* 255193 */     GIR_EraseRootFromParent_Done,
     /* 255194 */   // Label 5094: @255194
     /* 255194 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(255243), // Rule ID 2488 //
     /* 255199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 255202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn),
     /* 255207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 255210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 255213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 255216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 255220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 255224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 255228 */     // (intrinsic_w_chain:{ *:[v8i8] } 613:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCVTN_F16v8f8:{ *:[v8i8] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 255228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F16v8f8),
     /* 255231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255233 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255235 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 255237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255241 */     GIR_RootConstrainSelectedInstOperands,
     /* 255242 */     // GIR_Coverage, 2488,
     /* 255242 */     GIR_EraseRootFromParent_Done,
     /* 255243 */   // Label 5095: @255243
     /* 255243 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(255292), // Rule ID 2489 //
     /* 255248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 255251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn),
     /* 255256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 255259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 255262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 255265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255277 */     // (intrinsic_w_chain:{ *:[v16i8] } 613:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTN_F16v16f8:{ *:[v16i8] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 255277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F16v16f8),
     /* 255280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255282 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255284 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 255286 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255290 */     GIR_RootConstrainSelectedInstOperands,
     /* 255291 */     // GIR_Coverage, 2489,
     /* 255291 */     GIR_EraseRootFromParent_Done,
     /* 255292 */   // Label 5096: @255292
     /* 255292 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(255341), // Rule ID 2490 //
     /* 255297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 255300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn),
     /* 255305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s8,
     /* 255308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 255311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 255314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 255318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 255326 */     // (intrinsic_w_chain:{ *:[v8i8] } 613:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCVTN_F32v8f8:{ *:[v8i8] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 255326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F32v8f8),
     /* 255329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255331 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255333 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 255335 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255339 */     GIR_RootConstrainSelectedInstOperands,
     /* 255340 */     // GIR_Coverage, 2490,
     /* 255340 */     GIR_EraseRootFromParent_Done,
     /* 255341 */   // Label 5097: @255341
     /* 255341 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(255394), // Rule ID 8713 //
     /* 255346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1uwq),
     /* 255354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 255357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255368 */     // MIs[0] base
     /* 255368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255376 */     // (intrinsic_w_chain:{ *:[nxv4i32] } 1567:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1W_Q_IMM:{ *:[nxv4i32] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_Q_IMM),
     /* 255379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 255381 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255383 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255388 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255392 */     GIR_RootConstrainSelectedInstOperands,
     /* 255393 */     // GIR_Coverage, 8713,
     /* 255393 */     GIR_EraseRootFromParent_Done,
     /* 255394 */   // Label 5098: @255394
     /* 255394 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(255447), // Rule ID 8716 //
     /* 255399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1uwq),
     /* 255407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 255410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255421 */     // MIs[0] base
     /* 255421 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255429 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1567:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1W_Q_IMM:{ *:[nxv4f32] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1W_Q_IMM),
     /* 255432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 255434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255436 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255441 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255445 */     GIR_RootConstrainSelectedInstOperands,
     /* 255446 */     // GIR_Coverage, 8716,
     /* 255446 */     GIR_EraseRootFromParent_Done,
     /* 255447 */   // Label 5099: @255447
     /* 255447 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(255500), // Rule ID 8725 //
     /* 255452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1udq),
     /* 255460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 255463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255474 */     // MIs[0] base
     /* 255474 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255482 */     // (intrinsic_w_chain:{ *:[nxv2i64] } 1566:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1D_Q_IMM:{ *:[nxv2i64] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_Q_IMM),
     /* 255485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 255487 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255489 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255494 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255498 */     GIR_RootConstrainSelectedInstOperands,
     /* 255499 */     // GIR_Coverage, 8725,
     /* 255499 */     GIR_EraseRootFromParent_Done,
     /* 255500 */   // Label 5100: @255500
     /* 255500 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(255553), // Rule ID 8728 //
     /* 255505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_ld1udq),
     /* 255513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 255516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255527 */     // MIs[0] base
     /* 255527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255535 */     // (intrinsic_w_chain:{ *:[nxv2f64] } 1566:{ *:[iPTR] }, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (LD1D_Q_IMM:{ *:[nxv2f64] } PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1D_Q_IMM),
     /* 255538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zt]
     /* 255540 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255542 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255551 */     GIR_RootConstrainSelectedInstOperands,
     /* 255552 */     // GIR_Coverage, 8728,
     /* 255552 */     GIR_EraseRootFromParent_Done,
     /* 255553 */   // Label 5101: @255553
     /* 255553 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(255599), // Rule ID 137 //
     /* 255558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasMTE),
     /* 255561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_irg),
     /* 255566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 255569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 255572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255576 */     // MIs[0] Rn
     /* 255576 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 255580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 255588 */     // (intrinsic_w_chain:{ *:[i64] } 558:{ *:[iPTR] }, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (IRG:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 255588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::IRG),
     /* 255591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 255593 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 255595 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 255597 */     GIR_RootConstrainSelectedInstOperands,
     /* 255598 */     // GIR_Coverage, 137,
     /* 255598 */     GIR_EraseRootFromParent_Done,
     /* 255599 */   // Label 5102: @255599
     /* 255599 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(255652), // Rule ID 8719 //
     /* 255604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1wq),
     /* 255612 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 255615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255626 */     // MIs[0] base
     /* 255626 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255634 */     // (intrinsic_void 1887:{ *:[iPTR] }, ZPR128:{ *:[nxv4i32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1W_Q_IMM Z_q:{ *:[nxv4i32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_Q_IMM),
     /* 255637 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 255639 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255641 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255646 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255650 */     GIR_RootConstrainSelectedInstOperands,
     /* 255651 */     // GIR_Coverage, 8719,
     /* 255651 */     GIR_EraseRootFromParent_Done,
     /* 255652 */   // Label 5103: @255652
     /* 255652 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(255705), // Rule ID 8722 //
     /* 255657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1wq),
     /* 255665 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 255668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255679 */     // MIs[0] base
     /* 255679 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255687 */     // (intrinsic_void 1887:{ *:[iPTR] }, ZPR128:{ *:[nxv4f32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1W_Q_IMM Z_q:{ *:[nxv4f32] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1W_Q_IMM),
     /* 255690 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 255692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255694 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255699 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255703 */     GIR_RootConstrainSelectedInstOperands,
     /* 255704 */     // GIR_Coverage, 8722,
     /* 255704 */     GIR_EraseRootFromParent_Done,
     /* 255705 */   // Label 5104: @255705
     /* 255705 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(255758), // Rule ID 8731 //
     /* 255710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1dq),
     /* 255718 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 255721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255732 */     // MIs[0] base
     /* 255732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255740 */     // (intrinsic_void 1883:{ *:[iPTR] }, ZPR128:{ *:[nxv2i64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1D_Q_IMM Z_q:{ *:[nxv2i64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_Q_IMM),
     /* 255743 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 255745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255747 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255752 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255756 */     GIR_RootConstrainSelectedInstOperands,
     /* 255757 */     // GIR_Coverage, 8731,
     /* 255757 */     GIR_EraseRootFromParent_Done,
     /* 255758 */   // Label 5105: @255758
     /* 255758 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(255811), // Rule ID 8734 //
     /* 255763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 255766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_st1dq),
     /* 255771 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 255774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 255777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255785 */     // MIs[0] base
     /* 255785 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/3, /*SizeInBits*/64,
     /* 255789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 255793 */     // (intrinsic_void 1883:{ *:[iPTR] }, ZPR128:{ *:[nxv2f64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base)  =>  (ST1D_Q_IMM Z_q:{ *:[nxv2f64] }:$Zt, PPR3bAny:{ *:[nxv1i1] }:$Pg, GPR64sp:{ *:[i64] }:$base, 0:{ *:[i64] })
     /* 255793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ST1D_Q_IMM),
     /* 255796 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zt
     /* 255798 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pg
     /* 255800 */     GIR_RootToRootCopy, /*OpIdx*/3, // base
     /* 255802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 255805 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 255809 */     GIR_RootConstrainSelectedInstOperands,
     /* 255810 */     // GIR_Coverage, 8734,
     /* 255810 */     GIR_EraseRootFromParent_Done,
     /* 255811 */   // Label 5106: @255811
     /* 255811 */   GIM_Reject,
     /* 255812 */ // Label 5035: @255812
     /* 255812 */ GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(258517),
     /* 255817 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /* 255820 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(255891), // Rule ID 3413 //
     /* 255825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_scalar_offset),
     /* 255833 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 255836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 255839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 255842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 255854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 255858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 255862 */     // MIs[1] Operand 1
     /* 255862 */     // No operand predicates
     /* 255862 */     // MIs[0] prfop
     /* 255862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255865 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 255872 */     // (intrinsic_void 1636:{ *:[iPTR] }, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR32:{ *:[nxv4i32] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_S_PZI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv4i1] }:$Pg, ZPR32:{ *:[nxv4i32] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)
     /* 255872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_S_PZI),
     /* 255875 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255877 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 255881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 255884 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 255889 */     GIR_RootConstrainSelectedInstOperands,
     /* 255890 */     // GIR_Coverage, 3413,
     /* 255890 */     GIR_EraseRootFromParent_Done,
     /* 255891 */   // Label 5108: @255891
     /* 255891 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(255962), // Rule ID 3426 //
     /* 255896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 255899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_scalar_offset),
     /* 255904 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 255907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 255910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 255913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 255921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 255925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 255929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 255933 */     // MIs[1] Operand 1
     /* 255933 */     // No operand predicates
     /* 255933 */     // MIs[0] prfop
     /* 255933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 255936 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 255941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 255943 */     // (intrinsic_void 1636:{ *:[iPTR] }, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR32:{ *:[nxv2i64] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_PZI (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR_3b:{ *:[nxv2i1] }:$Pg, ZPR32:{ *:[nxv2i64] }:$Zn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)
     /* 255943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_PZI),
     /* 255946 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 255948 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 255950 */     GIR_RootToRootCopy, /*OpIdx*/2, // Zn
     /* 255952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 255955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 255960 */     GIR_RootConstrainSelectedInstOperands,
     /* 255961 */     // GIR_Coverage, 3426,
     /* 255961 */     GIR_EraseRootFromParent_Done,
     /* 255962 */   // Label 5109: @255962
     /* 255962 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(256021), // Rule ID 3613 //
     /* 255967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 255970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addha),
     /* 255975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 255978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 255981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 255984 */     // MIs[0] tile
     /* 255984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 255987 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 255992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 255996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256004 */     // (intrinsic_void 797:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$pn, PPR3bAny:{ *:[nxv4i1] }:$pm, ZPR32:{ *:[nxv4i32] }:$zn)  =>  (ADDHA_MPPZ_S_PSEUDO_S (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, ?:{ *:[nxv4i1] }:$pn, ?:{ *:[nxv4i1] }:$pm, ?:{ *:[nxv4i32] }:$zn)
     /* 256004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHA_MPPZ_S_PSEUDO_S),
     /* 256007 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 256009 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 256011 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 256013 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 256015 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256019 */     GIR_RootConstrainSelectedInstOperands,
     /* 256020 */     // GIR_Coverage, 3613,
     /* 256020 */     GIR_EraseRootFromParent_Done,
     /* 256021 */   // Label 5110: @256021
     /* 256021 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(256080), // Rule ID 3614 //
     /* 256026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 256029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addha),
     /* 256034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 256037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 256040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 256043 */     // MIs[0] tile
     /* 256043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 256046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 256051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256063 */     // (intrinsic_void 797:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$pn, PPR3bAny:{ *:[nxv2i1] }:$pm, ZPR64:{ *:[nxv2i64] }:$zn)  =>  (ADDHA_MPPZ_D_PSEUDO_D (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, ?:{ *:[nxv2i1] }:$pn, ?:{ *:[nxv2i1] }:$pm, ?:{ *:[nxv2i64] }:$zn)
     /* 256063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHA_MPPZ_D_PSEUDO_D),
     /* 256066 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 256068 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 256070 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 256072 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 256074 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256078 */     GIR_RootConstrainSelectedInstOperands,
     /* 256079 */     // GIR_Coverage, 3614,
     /* 256079 */     GIR_EraseRootFromParent_Done,
     /* 256080 */   // Label 5111: @256080
     /* 256080 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(256139), // Rule ID 12542 //
     /* 256085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 256088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addva),
     /* 256093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 256096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 256099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 256102 */     // MIs[0] tile
     /* 256102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 256105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 256110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256122 */     // (intrinsic_void 798:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$pn, PPR3bAny:{ *:[nxv4i1] }:$pm, ZPR32:{ *:[nxv4i32] }:$zn)  =>  (ADDVA_MPPZ_S_PSEUDO_S (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, ?:{ *:[nxv4i1] }:$pn, ?:{ *:[nxv4i1] }:$pm, ?:{ *:[nxv4i32] }:$zn)
     /* 256122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVA_MPPZ_S_PSEUDO_S),
     /* 256125 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 256127 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 256129 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 256131 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 256133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256137 */     GIR_RootConstrainSelectedInstOperands,
     /* 256138 */     // GIR_Coverage, 12542,
     /* 256138 */     GIR_EraseRootFromParent_Done,
     /* 256139 */   // Label 5112: @256139
     /* 256139 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(256198), // Rule ID 12543 //
     /* 256144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 256147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_addva),
     /* 256152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 256155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 256158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 256161 */     // MIs[0] tile
     /* 256161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 256164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 256169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256181 */     // (intrinsic_void 798:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$pn, PPR3bAny:{ *:[nxv2i1] }:$pm, ZPR64:{ *:[nxv2i64] }:$zn)  =>  (ADDVA_MPPZ_D_PSEUDO_D (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, ?:{ *:[nxv2i1] }:$pn, ?:{ *:[nxv2i1] }:$pm, ?:{ *:[nxv2i64] }:$zn)
     /* 256181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDVA_MPPZ_D_PSEUDO_D),
     /* 256184 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 256186 */     GIR_RootToRootCopy, /*OpIdx*/2, // pn
     /* 256188 */     GIR_RootToRootCopy, /*OpIdx*/3, // pm
     /* 256190 */     GIR_RootToRootCopy, /*OpIdx*/4, // zn
     /* 256192 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256196 */     GIR_RootConstrainSelectedInstOperands,
     /* 256197 */     // GIR_Coverage, 12543,
     /* 256197 */     GIR_EraseRootFromParent_Done,
     /* 256198 */   // Label 5113: @256198
     /* 256198 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(256258), // Rule ID 3411 //
     /* 256203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_uxtw_index),
     /* 256211 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256221 */     // MIs[0] Rn
     /* 256221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256233 */     // MIs[0] prfop
     /* 256233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256241 */     // (intrinsic_void 1638:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW8Only:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW8Only:{ *:[nxv4i32] }:$Zm)
     /* 256241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_S_UXTW_SCALED),
     /* 256244 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256246 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256250 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256256 */     GIR_RootConstrainSelectedInstOperands,
     /* 256257 */     // GIR_Coverage, 3411,
     /* 256257 */     GIR_EraseRootFromParent_Done,
     /* 256258 */   // Label 5114: @256258
     /* 256258 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(256318), // Rule ID 3412 //
     /* 256263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_sxtw_index),
     /* 256271 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256281 */     // MIs[0] Rn
     /* 256281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256293 */     // MIs[0] prfop
     /* 256293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256296 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256301 */     // (intrinsic_void 1637:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW8Only:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW8Only:{ *:[nxv4i32] }:$Zm)
     /* 256301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_S_SXTW_SCALED),
     /* 256304 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256306 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256310 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256312 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256316 */     GIR_RootConstrainSelectedInstOperands,
     /* 256317 */     // GIR_Coverage, 3412,
     /* 256317 */     GIR_EraseRootFromParent_Done,
     /* 256318 */   // Label 5115: @256318
     /* 256318 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(256378), // Rule ID 3423 //
     /* 256323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_uxtw_index),
     /* 256331 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256341 */     // MIs[0] Rn
     /* 256341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256353 */     // MIs[0] prfop
     /* 256353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256356 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256361 */     // (intrinsic_void 1638:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW8Only:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW8Only:{ *:[nxv2i64] }:$Zm)
     /* 256361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_UXTW_SCALED),
     /* 256364 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256366 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256368 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256370 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256376 */     GIR_RootConstrainSelectedInstOperands,
     /* 256377 */     // GIR_Coverage, 3423,
     /* 256377 */     GIR_EraseRootFromParent_Done,
     /* 256378 */   // Label 5116: @256378
     /* 256378 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(256438), // Rule ID 3424 //
     /* 256383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_sxtw_index),
     /* 256391 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256401 */     // MIs[0] Rn
     /* 256401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256413 */     // MIs[0] prfop
     /* 256413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256416 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256421 */     // (intrinsic_void 1637:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW8Only:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW8Only:{ *:[nxv2i64] }:$Zm)
     /* 256421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_SXTW_SCALED),
     /* 256424 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256426 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256428 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256430 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256436 */     GIR_RootConstrainSelectedInstOperands,
     /* 256437 */     // GIR_Coverage, 3424,
     /* 256437 */     GIR_EraseRootFromParent_Done,
     /* 256438 */   // Label 5117: @256438
     /* 256438 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(256498), // Rule ID 3425 //
     /* 256443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfb_gather_index),
     /* 256451 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256461 */     // MIs[0] Rn
     /* 256461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256473 */     // MIs[0] prfop
     /* 256473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256476 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256481 */     // (intrinsic_void 1635:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL8:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFB_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL8:{ *:[nxv2i64] }:$Zm)
     /* 256481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFB_D_SCALED),
     /* 256484 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256486 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256496 */     GIR_RootConstrainSelectedInstOperands,
     /* 256497 */     // GIR_Coverage, 3425,
     /* 256497 */     GIR_EraseRootFromParent_Done,
     /* 256498 */   // Label 5118: @256498
     /* 256498 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(256558), // Rule ID 8839 //
     /* 256503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_uxtw_index),
     /* 256511 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256521 */     // MIs[0] Rn
     /* 256521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256533 */     // MIs[0] prfop
     /* 256533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256541 */     // (intrinsic_void 1646:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW16:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW16:{ *:[nxv4i32] }:$Zm)
     /* 256541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_S_UXTW_SCALED),
     /* 256544 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256546 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256550 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256556 */     GIR_RootConstrainSelectedInstOperands,
     /* 256557 */     // GIR_Coverage, 8839,
     /* 256557 */     GIR_EraseRootFromParent_Done,
     /* 256558 */   // Label 5119: @256558
     /* 256558 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(256618), // Rule ID 8840 //
     /* 256563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_sxtw_index),
     /* 256571 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256581 */     // MIs[0] Rn
     /* 256581 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256593 */     // MIs[0] prfop
     /* 256593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256596 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256601 */     // (intrinsic_void 1645:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW16:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW16:{ *:[nxv4i32] }:$Zm)
     /* 256601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_S_SXTW_SCALED),
     /* 256604 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256606 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256608 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256612 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256616 */     GIR_RootConstrainSelectedInstOperands,
     /* 256617 */     // GIR_Coverage, 8840,
     /* 256617 */     GIR_EraseRootFromParent_Done,
     /* 256618 */   // Label 5120: @256618
     /* 256618 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(256678), // Rule ID 8841 //
     /* 256623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_uxtw_index),
     /* 256631 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256641 */     // MIs[0] Rn
     /* 256641 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256653 */     // MIs[0] prfop
     /* 256653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256656 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256661 */     // (intrinsic_void 1650:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW32:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW32:{ *:[nxv4i32] }:$Zm)
     /* 256661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_S_UXTW_SCALED),
     /* 256664 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256666 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256668 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256670 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256672 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256676 */     GIR_RootConstrainSelectedInstOperands,
     /* 256677 */     // GIR_Coverage, 8841,
     /* 256677 */     GIR_EraseRootFromParent_Done,
     /* 256678 */   // Label 5121: @256678
     /* 256678 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(256738), // Rule ID 8842 //
     /* 256683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_sxtw_index),
     /* 256691 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256701 */     // MIs[0] Rn
     /* 256701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256713 */     // MIs[0] prfop
     /* 256713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256716 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256721 */     // (intrinsic_void 1649:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW32:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW32:{ *:[nxv4i32] }:$Zm)
     /* 256721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_S_SXTW_SCALED),
     /* 256724 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256726 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256728 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256730 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256732 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256736 */     GIR_RootConstrainSelectedInstOperands,
     /* 256737 */     // GIR_Coverage, 8842,
     /* 256737 */     GIR_EraseRootFromParent_Done,
     /* 256738 */   // Label 5122: @256738
     /* 256738 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(256798), // Rule ID 8843 //
     /* 256743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_uxtw_index),
     /* 256751 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256761 */     // MIs[0] Rn
     /* 256761 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256773 */     // MIs[0] prfop
     /* 256773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256776 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256781 */     // (intrinsic_void 1642:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW64:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_S_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtUXTW64:{ *:[nxv4i32] }:$Zm)
     /* 256781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_S_UXTW_SCALED),
     /* 256784 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256786 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256788 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256790 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256792 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256796 */     GIR_RootConstrainSelectedInstOperands,
     /* 256797 */     // GIR_Coverage, 8843,
     /* 256797 */     GIR_EraseRootFromParent_Done,
     /* 256798 */   // Label 5123: @256798
     /* 256798 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(256858), // Rule ID 8844 //
     /* 256803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_sxtw_index),
     /* 256811 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 256814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 256817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256821 */     // MIs[0] Rn
     /* 256821 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256833 */     // MIs[0] prfop
     /* 256833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256836 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256841 */     // (intrinsic_void 1641:{ *:[iPTR] }, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW64:{ *:[nxv4i32] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_S_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv4i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR32ExtSXTW64:{ *:[nxv4i32] }:$Zm)
     /* 256841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_S_SXTW_SCALED),
     /* 256844 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256846 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256848 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256850 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256852 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256856 */     GIR_RootConstrainSelectedInstOperands,
     /* 256857 */     // GIR_Coverage, 8844,
     /* 256857 */     GIR_EraseRootFromParent_Done,
     /* 256858 */   // Label 5124: @256858
     /* 256858 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(256918), // Rule ID 8845 //
     /* 256863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_uxtw_index),
     /* 256871 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256881 */     // MIs[0] Rn
     /* 256881 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256893 */     // MIs[0] prfop
     /* 256893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256896 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256901 */     // (intrinsic_void 1646:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW16:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW16:{ *:[nxv2i64] }:$Zm)
     /* 256901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_D_UXTW_SCALED),
     /* 256904 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256906 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256910 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256912 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256916 */     GIR_RootConstrainSelectedInstOperands,
     /* 256917 */     // GIR_Coverage, 8845,
     /* 256917 */     GIR_EraseRootFromParent_Done,
     /* 256918 */   // Label 5125: @256918
     /* 256918 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(256978), // Rule ID 8846 //
     /* 256923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_sxtw_index),
     /* 256931 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 256941 */     // MIs[0] Rn
     /* 256941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 256945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 256949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 256953 */     // MIs[0] prfop
     /* 256953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 256956 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 256961 */     // (intrinsic_void 1645:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW16:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW16:{ *:[nxv2i64] }:$Zm)
     /* 256961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_D_SXTW_SCALED),
     /* 256964 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 256966 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 256968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 256970 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 256972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 256976 */     GIR_RootConstrainSelectedInstOperands,
     /* 256977 */     // GIR_Coverage, 8846,
     /* 256977 */     GIR_EraseRootFromParent_Done,
     /* 256978 */   // Label 5126: @256978
     /* 256978 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(257038), // Rule ID 8847 //
     /* 256983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 256986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_uxtw_index),
     /* 256991 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 256994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 256997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257001 */     // MIs[0] Rn
     /* 257001 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257013 */     // MIs[0] prfop
     /* 257013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257016 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257021 */     // (intrinsic_void 1650:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW32:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW32:{ *:[nxv2i64] }:$Zm)
     /* 257021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_D_UXTW_SCALED),
     /* 257024 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257026 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257028 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257030 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257036 */     GIR_RootConstrainSelectedInstOperands,
     /* 257037 */     // GIR_Coverage, 8847,
     /* 257037 */     GIR_EraseRootFromParent_Done,
     /* 257038 */   // Label 5127: @257038
     /* 257038 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(257098), // Rule ID 8848 //
     /* 257043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_sxtw_index),
     /* 257051 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257061 */     // MIs[0] Rn
     /* 257061 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257073 */     // MIs[0] prfop
     /* 257073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257081 */     // (intrinsic_void 1649:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW32:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW32:{ *:[nxv2i64] }:$Zm)
     /* 257081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_D_SXTW_SCALED),
     /* 257084 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257086 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257088 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257090 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257096 */     GIR_RootConstrainSelectedInstOperands,
     /* 257097 */     // GIR_Coverage, 8848,
     /* 257097 */     GIR_EraseRootFromParent_Done,
     /* 257098 */   // Label 5128: @257098
     /* 257098 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(257158), // Rule ID 8849 //
     /* 257103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_uxtw_index),
     /* 257111 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257121 */     // MIs[0] Rn
     /* 257121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257133 */     // MIs[0] prfop
     /* 257133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257136 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257141 */     // (intrinsic_void 1642:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW64:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_D_UXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtUXTW64:{ *:[nxv2i64] }:$Zm)
     /* 257141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_D_UXTW_SCALED),
     /* 257144 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257146 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257148 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257156 */     GIR_RootConstrainSelectedInstOperands,
     /* 257157 */     // GIR_Coverage, 8849,
     /* 257157 */     GIR_EraseRootFromParent_Done,
     /* 257158 */   // Label 5129: @257158
     /* 257158 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(257218), // Rule ID 8850 //
     /* 257163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_sxtw_index),
     /* 257171 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257181 */     // MIs[0] Rn
     /* 257181 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257193 */     // MIs[0] prfop
     /* 257193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257201 */     // (intrinsic_void 1641:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW64:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_D_SXTW_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtSXTW64:{ *:[nxv2i64] }:$Zm)
     /* 257201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_D_SXTW_SCALED),
     /* 257204 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257206 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257208 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257210 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257212 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257216 */     GIR_RootConstrainSelectedInstOperands,
     /* 257217 */     // GIR_Coverage, 8850,
     /* 257217 */     GIR_EraseRootFromParent_Done,
     /* 257218 */   // Label 5130: @257218
     /* 257218 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(257278), // Rule ID 8851 //
     /* 257223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfh_gather_index),
     /* 257231 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257241 */     // MIs[0] Rn
     /* 257241 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257253 */     // MIs[0] prfop
     /* 257253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257256 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257261 */     // (intrinsic_void 1643:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL16:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFH_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL16:{ *:[nxv2i64] }:$Zm)
     /* 257261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFH_D_SCALED),
     /* 257264 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257266 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257268 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257270 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257276 */     GIR_RootConstrainSelectedInstOperands,
     /* 257277 */     // GIR_Coverage, 8851,
     /* 257277 */     GIR_EraseRootFromParent_Done,
     /* 257278 */   // Label 5131: @257278
     /* 257278 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(257338), // Rule ID 8852 //
     /* 257283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfw_gather_index),
     /* 257291 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257301 */     // MIs[0] Rn
     /* 257301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257313 */     // MIs[0] prfop
     /* 257313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257321 */     // (intrinsic_void 1647:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL32:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFW_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL32:{ *:[nxv2i64] }:$Zm)
     /* 257321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFW_D_SCALED),
     /* 257324 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257326 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257330 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257332 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257336 */     GIR_RootConstrainSelectedInstOperands,
     /* 257337 */     // GIR_Coverage, 8852,
     /* 257337 */     GIR_EraseRootFromParent_Done,
     /* 257338 */   // Label 5132: @257338
     /* 257338 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(257398), // Rule ID 8853 //
     /* 257343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE),
     /* 257346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sve_prfd_gather_index),
     /* 257351 */     GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 257354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 257357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 257361 */     // MIs[0] Rn
     /* 257361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/64,
     /* 257365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 257369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 257373 */     // MIs[0] prfop
     /* 257373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /* 257376 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_prfop),
     /* 257381 */     // (intrinsic_void 1639:{ *:[iPTR] }, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL64:{ *:[nxv2i64] }:$Zm, (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop)  =>  (PRFD_D_SCALED (timm:{ *:[i32] })<<P:Predicate_sve_prfop>>:$prfop, PPR3bAny:{ *:[nxv2i1] }:$Pg, GPR64sp:{ *:[i64] }:$Rn, ZPR64ExtLSL64:{ *:[nxv2i64] }:$Zm)
     /* 257381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFD_D_SCALED),
     /* 257384 */     GIR_RootToRootCopy, /*OpIdx*/4, // prfop
     /* 257386 */     GIR_RootToRootCopy, /*OpIdx*/1, // Pg
     /* 257388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 257390 */     GIR_RootToRootCopy, /*OpIdx*/3, // Zm
     /* 257392 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257396 */     GIR_RootConstrainSelectedInstOperands,
     /* 257397 */     // GIR_Coverage, 8853,
     /* 257397 */     GIR_EraseRootFromParent_Done,
     /* 257398 */   // Label 5133: @257398
     /* 257398 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(257456), // Rule ID 2374 //
     /* 257403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalb),
     /* 257411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 257414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 257417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257439 */     // (intrinsic_w_chain:{ *:[v8f16] } 619:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALBv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 257439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALBv8f16),
     /* 257442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257444 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257446 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257448 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257450 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257454 */     GIR_RootConstrainSelectedInstOperands,
     /* 257455 */     // GIR_Coverage, 2374,
     /* 257455 */     GIR_EraseRootFromParent_Done,
     /* 257456 */   // Label 5134: @257456
     /* 257456 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(257514), // Rule ID 2375 //
     /* 257461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalt),
     /* 257469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 257472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 257475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257497 */     // (intrinsic_w_chain:{ *:[v8f16] } 629:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 257497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALTv8f16),
     /* 257500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257502 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257504 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257506 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257508 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257512 */     GIR_RootConstrainSelectedInstOperands,
     /* 257513 */     // GIR_Coverage, 2375,
     /* 257513 */     GIR_EraseRootFromParent_Done,
     /* 257514 */   // Label 5135: @257514
     /* 257514 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(257572), // Rule ID 2376 //
     /* 257519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbb),
     /* 257527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 257530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 257533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257555 */     // (intrinsic_w_chain:{ *:[v4f32] } 621:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLBBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 257555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBBv4f32),
     /* 257558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257562 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257564 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257570 */     GIR_RootConstrainSelectedInstOperands,
     /* 257571 */     // GIR_Coverage, 2376,
     /* 257571 */     GIR_EraseRootFromParent_Done,
     /* 257572 */   // Label 5136: @257572
     /* 257572 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(257630), // Rule ID 2377 //
     /* 257577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbt),
     /* 257585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 257588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 257591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257613 */     // (intrinsic_w_chain:{ *:[v4f32] } 623:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLBTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 257613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBTv4f32),
     /* 257616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257620 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257622 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257624 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257628 */     GIR_RootConstrainSelectedInstOperands,
     /* 257629 */     // GIR_Coverage, 2377,
     /* 257629 */     GIR_EraseRootFromParent_Done,
     /* 257630 */   // Label 5137: @257630
     /* 257630 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(257688), // Rule ID 2378 //
     /* 257635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltb),
     /* 257643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 257646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 257649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257671 */     // (intrinsic_w_chain:{ *:[v4f32] } 625:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLTBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 257671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTBv4f32),
     /* 257674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257676 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257678 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257680 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257682 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257686 */     GIR_RootConstrainSelectedInstOperands,
     /* 257687 */     // GIR_Coverage, 2378,
     /* 257687 */     GIR_EraseRootFromParent_Done,
     /* 257688 */   // Label 5138: @257688
     /* 257688 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(257746), // Rule ID 2379 //
     /* 257693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 257696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltt),
     /* 257701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 257704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 257707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257729 */     // (intrinsic_w_chain:{ *:[v4f32] } 627:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FMLALLTTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 257729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTTv4f32),
     /* 257732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257736 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257738 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257740 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257744 */     GIR_RootConstrainSelectedInstOperands,
     /* 257745 */     // GIR_Coverage, 2379,
     /* 257745 */     GIR_EraseRootFromParent_Done,
     /* 257746 */   // Label 5139: @257746
     /* 257746 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(257804), // Rule ID 2380 //
     /* 257751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 257754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2),
     /* 257759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 257762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 257765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 257768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /* 257771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257787 */     // (intrinsic_w_chain:{ *:[v4f16] } 615:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (FDOTv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 257787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv4f16),
     /* 257790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257792 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257794 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257796 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257802 */     GIR_RootConstrainSelectedInstOperands,
     /* 257803 */     // GIR_Coverage, 2380,
     /* 257803 */     GIR_EraseRootFromParent_Done,
     /* 257804 */   // Label 5140: @257804
     /* 257804 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(257862), // Rule ID 2381 //
     /* 257809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 257812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2),
     /* 257817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 257820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 257823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257845 */     // (intrinsic_w_chain:{ *:[v8f16] } 615:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FDOTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 257845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv8f16),
     /* 257848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257850 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257852 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257854 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257860 */     GIR_RootConstrainSelectedInstOperands,
     /* 257861 */     // GIR_Coverage, 2381,
     /* 257861 */     GIR_EraseRootFromParent_Done,
     /* 257862 */   // Label 5141: @257862
     /* 257862 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(257920), // Rule ID 2382 //
     /* 257867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 257870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4),
     /* 257875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 257878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 257881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 257884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v8s8,
     /* 257887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 257903 */     // (intrinsic_w_chain:{ *:[v2f32] } 617:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (FDOTv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 257903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv2f32),
     /* 257906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257910 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257912 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257918 */     GIR_RootConstrainSelectedInstOperands,
     /* 257919 */     // GIR_Coverage, 2382,
     /* 257919 */     GIR_EraseRootFromParent_Done,
     /* 257920 */   // Label 5142: @257920
     /* 257920 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(257978), // Rule ID 2383 //
     /* 257925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 257928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4),
     /* 257933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 257936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 257939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 257942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 257945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 257961 */     // (intrinsic_w_chain:{ *:[v4f32] } 617:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (FDOTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 257961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTv4f32),
     /* 257964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 257966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 257968 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 257970 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 257972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 257976 */     GIR_RootConstrainSelectedInstOperands,
     /* 257977 */     // GIR_Coverage, 2383,
     /* 257977 */     GIR_EraseRootFromParent_Done,
     /* 257978 */   // Label 5143: @257978
     /* 257978 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(258036), // Rule ID 2491 //
     /* 257983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8),
     /* 257986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fcvtn2),
     /* 257991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v16s8,
     /* 257994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 257997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 258000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v4s32,
     /* 258003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258019 */     // (intrinsic_w_chain:{ *:[v16i8] } 614:{ *:[iPTR] }, V128:{ *:[v16i8] }:$_Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCVTN_F322v16f8:{ *:[v16i8] } V128:{ *:[v16i8] }:$_Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 258019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTN_F322v16f8),
     /* 258022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258024 */     GIR_RootToRootCopy, /*OpIdx*/2, // _Rd
     /* 258026 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258028 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258034 */     GIR_RootConstrainSelectedInstOperands,
     /* 258035 */     // GIR_Coverage, 2491,
     /* 258035 */     GIR_EraseRootFromParent_Done,
     /* 258036 */   // Label 5144: @258036
     /* 258036 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(258092), // Rule ID 13101 //
     /* 258041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stlxp),
     /* 258046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 258052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 258055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 258059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 258063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 258067 */     // MIs[0] addr
     /* 258067 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/4, /*SizeInBits*/64,
     /* 258071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 258075 */     // (intrinsic_w_chain:{ *:[i32] } 1238:{ *:[iPTR] }, GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)  =>  (STLXPX:{ *:[i32] } GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)
     /* 258075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STLXPX),
     /* 258078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 258080 */     GIR_RootToRootCopy, /*OpIdx*/2, // lo
     /* 258082 */     GIR_RootToRootCopy, /*OpIdx*/3, // hi
     /* 258084 */     GIR_RootToRootCopy, /*OpIdx*/4, // addr
     /* 258086 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258090 */     GIR_RootConstrainSelectedInstOperands,
     /* 258091 */     // GIR_Coverage, 13101,
     /* 258091 */     GIR_EraseRootFromParent_Done,
     /* 258092 */   // Label 5145: @258092
     /* 258092 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(258148), // Rule ID 13102 //
     /* 258097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_stxp),
     /* 258102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 258105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 258108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 258111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 258115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 258119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 258123 */     // MIs[0] addr
     /* 258123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/4, /*SizeInBits*/64,
     /* 258127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 258131 */     // (intrinsic_w_chain:{ *:[i32] } 1240:{ *:[iPTR] }, GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)  =>  (STXPX:{ *:[i32] } GPR64:{ *:[i64] }:$lo, GPR64:{ *:[i64] }:$hi, GPR64:{ *:[i64] }:$addr)
     /* 258131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::STXPX),
     /* 258134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Ws]
     /* 258136 */     GIR_RootToRootCopy, /*OpIdx*/2, // lo
     /* 258138 */     GIR_RootToRootCopy, /*OpIdx*/3, // hi
     /* 258140 */     GIR_RootToRootCopy, /*OpIdx*/4, // addr
     /* 258142 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258146 */     GIR_RootConstrainSelectedInstOperands,
     /* 258147 */     // GIR_Coverage, 13102,
     /* 258147 */     GIR_EraseRootFromParent_Done,
     /* 258148 */   // Label 5146: @258148
     /* 258148 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(258194), // Rule ID 3459 //
     /* 258153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT2),
     /* 258156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot),
     /* 258161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 258164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 258167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258177 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1503:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FDOT_ZZZ_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZ_BtoH),
     /* 258180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258182 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258184 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258186 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258192 */     GIR_RootConstrainSelectedInstOperands,
     /* 258193 */     // GIR_Coverage, 3459,
     /* 258193 */     GIR_EraseRootFromParent_Done,
     /* 258194 */   // Label 5147: @258194
     /* 258194 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(258240), // Rule ID 3581 //
     /* 258199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 258202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalb),
     /* 258207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 258210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 258213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258223 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1505:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALB_ZZZ:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZ),
     /* 258226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258228 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258230 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258232 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258234 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258238 */     GIR_RootConstrainSelectedInstOperands,
     /* 258239 */     // GIR_Coverage, 3581,
     /* 258239 */     GIR_EraseRootFromParent_Done,
     /* 258240 */   // Label 5148: @258240
     /* 258240 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(258286), // Rule ID 12529 //
     /* 258245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 258248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalt),
     /* 258253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 258256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 258259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258269 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1515:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALT_ZZZ:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZ),
     /* 258272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258274 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258276 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258278 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258280 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258284 */     GIR_RootConstrainSelectedInstOperands,
     /* 258285 */     // GIR_Coverage, 12529,
     /* 258285 */     GIR_EraseRootFromParent_Done,
     /* 258286 */   // Label 5149: @258286
     /* 258286 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(258332), // Rule ID 12533 //
     /* 258291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 258294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbb),
     /* 258299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 258302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 258305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258315 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1507:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLBB_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBB_ZZZ),
     /* 258318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258320 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258322 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258324 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258330 */     GIR_RootConstrainSelectedInstOperands,
     /* 258331 */     // GIR_Coverage, 12533,
     /* 258331 */     GIR_EraseRootFromParent_Done,
     /* 258332 */   // Label 5150: @258332
     /* 258332 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(258378), // Rule ID 12534 //
     /* 258337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 258340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbt),
     /* 258345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 258348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 258351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258361 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1509:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLBT_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBT_ZZZ),
     /* 258364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258366 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258368 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258370 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258376 */     GIR_RootConstrainSelectedInstOperands,
     /* 258377 */     // GIR_Coverage, 12534,
     /* 258377 */     GIR_EraseRootFromParent_Done,
     /* 258378 */   // Label 5151: @258378
     /* 258378 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(258424), // Rule ID 12535 //
     /* 258383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 258386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltb),
     /* 258391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 258394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 258397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258407 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1511:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLTB_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTB_ZZZ),
     /* 258410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258414 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258416 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258418 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258422 */     GIR_RootConstrainSelectedInstOperands,
     /* 258423 */     // GIR_Coverage, 12535,
     /* 258423 */     GIR_EraseRootFromParent_Done,
     /* 258424 */   // Label 5152: @258424
     /* 258424 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(258470), // Rule ID 12536 //
     /* 258429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 258432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltt),
     /* 258437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 258440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 258443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258453 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1513:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FMLALLTT_ZZZ:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTT_ZZZ),
     /* 258456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258458 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258460 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258462 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258464 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258468 */     GIR_RootConstrainSelectedInstOperands,
     /* 258469 */     // GIR_Coverage, 12536,
     /* 258469 */     GIR_EraseRootFromParent_Done,
     /* 258470 */   // Label 5153: @258470
     /* 258470 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(258516), // Rule ID 12537 //
     /* 258475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT4),
     /* 258478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot),
     /* 258483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 258486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 258489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 258492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 258495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 258499 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1503:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (FDOT_ZZZ_BtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 258499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZ_BtoS),
     /* 258502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 258504 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 258506 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 258508 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 258510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258514 */     GIR_RootConstrainSelectedInstOperands,
     /* 258515 */     // GIR_Coverage, 12537,
     /* 258515 */     GIR_EraseRootFromParent_Done,
     /* 258516 */   // Label 5154: @258516
     /* 258516 */   GIM_Reject,
     /* 258517 */ // Label 5107: @258517
     /* 258517 */ GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(261510),
     /* 258522 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 258525 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(258593), // Rule ID 2518 //
     /* 258530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 258533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalb_lane),
     /* 258538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 258541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 258544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 258547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 258566 */     // MIs[0] Idx
     /* 258566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 258569 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 258574 */     // (intrinsic_w_chain:{ *:[v8f16] } 620:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALBlanev8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 258574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALBlanev8f16),
     /* 258577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258579 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258581 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258583 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258585 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258587 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258591 */     GIR_RootConstrainSelectedInstOperands,
     /* 258592 */     // GIR_Coverage, 2518,
     /* 258592 */     GIR_EraseRootFromParent_Done,
     /* 258593 */   // Label 5156: @258593
     /* 258593 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(258661), // Rule ID 2519 //
     /* 258598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 258601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbb_lane),
     /* 258606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 258609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 258612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 258615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 258634 */     // MIs[0] Idx
     /* 258634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 258637 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 258642 */     // (intrinsic_w_chain:{ *:[v4f32] } 622:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLBBlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 258642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBBlanev4f32),
     /* 258645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258647 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258649 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258651 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258653 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258659 */     GIR_RootConstrainSelectedInstOperands,
     /* 258660 */     // GIR_Coverage, 2519,
     /* 258660 */     GIR_EraseRootFromParent_Done,
     /* 258661 */   // Label 5157: @258661
     /* 258661 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(258729), // Rule ID 2520 //
     /* 258666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 258669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4_lane),
     /* 258674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s32,
     /* 258677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 258680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 258683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258702 */     // MIs[0] Idx
     /* 258702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 258705 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 258710 */     // (intrinsic_w_chain:{ *:[v2f32] } 618:{ *:[iPTR] }, V64:{ *:[v2f32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Idx)  =>  (FDOTlanev2f32:{ *:[v2f32] } ?:{ *:[v2f32] }:$Rd, ?:{ *:[v8i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 258710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev2f32),
     /* 258713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258715 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258717 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258719 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258721 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258723 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258727 */     GIR_RootConstrainSelectedInstOperands,
     /* 258728 */     // GIR_Coverage, 2520,
     /* 258728 */     GIR_EraseRootFromParent_Done,
     /* 258729 */   // Label 5158: @258729
     /* 258729 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(258797), // Rule ID 2521 //
     /* 258734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT4),
     /* 258737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot4_lane),
     /* 258742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 258745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 258748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 258751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258770 */     // MIs[0] Idx
     /* 258770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 258773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS32b_timm),
     /* 258778 */     // (intrinsic_w_chain:{ *:[v4f32] } 618:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexS32b_timm>>:$Idx)  =>  (FDOTlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 258778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev4f32),
     /* 258781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258783 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258785 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258787 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258789 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258795 */     GIR_RootConstrainSelectedInstOperands,
     /* 258796 */     // GIR_Coverage, 2521,
     /* 258796 */     GIR_EraseRootFromParent_Done,
     /* 258797 */   // Label 5159: @258797
     /* 258797 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(258865), // Rule ID 2522 //
     /* 258802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 258805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2_lane),
     /* 258810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s16,
     /* 258813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 258816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 258819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 258834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 258838 */     // MIs[0] Idx
     /* 258838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 258841 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 258846 */     // (intrinsic_w_chain:{ *:[v4f16] } 616:{ *:[iPTR] }, V64:{ *:[v4f16] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128_lo:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Idx)  =>  (FDOTlanev4f16:{ *:[v4f16] } ?:{ *:[v4f16] }:$Rd, ?:{ *:[v8i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 258846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev4f16),
     /* 258849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258851 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258853 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258855 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258857 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258863 */     GIR_RootConstrainSelectedInstOperands,
     /* 258864 */     // GIR_Coverage, 2522,
     /* 258864 */     GIR_EraseRootFromParent_Done,
     /* 258865 */   // Label 5160: @258865
     /* 258865 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(258933), // Rule ID 2523 //
     /* 258870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8DOT2),
     /* 258873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fdot2_lane),
     /* 258878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 258881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 258884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 258887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 258906 */     // MIs[0] Idx
     /* 258906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 258909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH32b_timm),
     /* 258914 */     // (intrinsic_w_chain:{ *:[v8f16] } 616:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_lo:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexH32b_timm>>:$Idx)  =>  (FDOTlanev8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 258914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOTlanev8f16),
     /* 258917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258919 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258921 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258923 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258925 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258927 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258931 */     GIR_RootConstrainSelectedInstOperands,
     /* 258932 */     // GIR_Coverage, 2523,
     /* 258932 */     GIR_EraseRootFromParent_Done,
     /* 258933 */   // Label 5161: @258933
     /* 258933 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(259001), // Rule ID 6981 //
     /* 258938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 258941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalt_lane),
     /* 258946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v8s16,
     /* 258949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 258952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 258955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 258958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 258970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 258974 */     // MIs[0] Idx
     /* 258974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 258977 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 258982 */     // (intrinsic_w_chain:{ *:[v8f16] } 630:{ *:[iPTR] }, V128:{ *:[v8f16] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALTlanev8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 258982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALTlanev8f16),
     /* 258985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 258987 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 258989 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 258991 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 258993 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 258995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 258999 */     GIR_RootConstrainSelectedInstOperands,
     /* 259000 */     // GIR_Coverage, 6981,
     /* 259000 */     GIR_EraseRootFromParent_Done,
     /* 259001 */   // Label 5162: @259001
     /* 259001 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(259069), // Rule ID 6982 //
     /* 259006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 259009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlallbt_lane),
     /* 259014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 259017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 259020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 259023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 259026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 259042 */     // MIs[0] Idx
     /* 259042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 259045 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 259050 */     // (intrinsic_w_chain:{ *:[v4f32] } 624:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLBTlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 259050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBTlanev4f32),
     /* 259053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 259057 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 259059 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 259061 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 259063 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259067 */     GIR_RootConstrainSelectedInstOperands,
     /* 259068 */     // GIR_Coverage, 6982,
     /* 259068 */     GIR_EraseRootFromParent_Done,
     /* 259069 */   // Label 5163: @259069
     /* 259069 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(259137), // Rule ID 6983 //
     /* 259074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 259077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltb_lane),
     /* 259082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 259085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 259088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 259091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 259094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 259110 */     // MIs[0] Idx
     /* 259110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 259113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 259118 */     // (intrinsic_w_chain:{ *:[v4f32] } 626:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLTBlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 259118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTBlanev4f32),
     /* 259121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259123 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 259125 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 259127 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 259129 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 259131 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259135 */     GIR_RootConstrainSelectedInstOperands,
     /* 259136 */     // GIR_Coverage, 6983,
     /* 259136 */     GIR_EraseRootFromParent_Done,
     /* 259137 */   // Label 5164: @259137
     /* 259137 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(259205), // Rule ID 6984 //
     /* 259142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFP8FMA),
     /* 259145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_fp8_fmlalltt_lane),
     /* 259150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v4s32,
     /* 259153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 259156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 259159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_v16s8,
     /* 259162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 259174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(AArch64::FPR128_0to7RegClassID),
     /* 259178 */     // MIs[0] Idx
     /* 259178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 259181 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB32b_timm),
     /* 259186 */     // (intrinsic_w_chain:{ *:[v4f32] } 628:{ *:[iPTR] }, V128:{ *:[v4f32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128_0to7:{ *:[v16i8] }:$Rm, (timm:{ *:[i32] })<<P:Predicate_VectorIndexB32b_timm>>:$Idx)  =>  (FMLALLTTlanev4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rd, ?:{ *:[v16i8] }:$Rn, ?:{ *:[v16i8] }:$Rm, ?:{ *:[i32] }:$Idx)
     /* 259186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTTlanev4f32),
     /* 259189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 259191 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rd
     /* 259193 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 259195 */     GIR_RootToRootCopy, /*OpIdx*/4, // Rm
     /* 259197 */     GIR_RootToRootCopy, /*OpIdx*/5, // Idx
     /* 259199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259203 */     GIR_RootConstrainSelectedInstOperands,
     /* 259204 */     // GIR_Coverage, 6984,
     /* 259204 */     GIR_EraseRootFromParent_Done,
     /* 259205 */   // Label 5165: @259205
     /* 259205 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(259265), // Rule ID 3593 //
     /* 259210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa),
     /* 259218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 259221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 259224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 259227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 259230 */     // MIs[0] tile
     /* 259230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259233 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259246 */     // (intrinsic_void 928:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4f32:{ *:[nxv4f32] }:$Zn, nxv4f32:{ *:[nxv4f32] }:$Zm)  =>  (FMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4f32] }:$Zn, ?:{ *:[nxv4f32] }:$Zm)
     /* 259246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_S_PSEUDO),
     /* 259249 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259251 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259253 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259255 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259257 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259263 */     GIR_RootConstrainSelectedInstOperands,
     /* 259264 */     // GIR_Coverage, 3593,
     /* 259264 */     GIR_EraseRootFromParent_Done,
     /* 259265 */   // Label 5166: @259265
     /* 259265 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(259325), // Rule ID 3594 //
     /* 259270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF8F32),
     /* 259273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_fp8_fmopa_za32),
     /* 259278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 259281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 259284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 259287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 259290 */     // MIs[0] tile
     /* 259290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259293 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259306 */     // (intrinsic_void 880:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (FMOPA_MPPZZ_BtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 259306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_BtoS_PSEUDO),
     /* 259309 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259311 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259313 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259315 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259317 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259323 */     GIR_RootConstrainSelectedInstOperands,
     /* 259324 */     // GIR_Coverage, 3594,
     /* 259324 */     GIR_EraseRootFromParent_Done,
     /* 259325 */   // Label 5167: @259325
     /* 259325 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(259385), // Rule ID 3595 //
     /* 259330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF64F64),
     /* 259333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa),
     /* 259338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 259341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 259344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 259347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 259350 */     // MIs[0] tile
     /* 259350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259353 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 259358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259366 */     // (intrinsic_void 928:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$Pn, PPR3bAny:{ *:[nxv2i1] }:$Pm, nxv2f64:{ *:[nxv2f64] }:$Zn, nxv2f64:{ *:[nxv2f64] }:$Zm)  =>  (FMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv2i1] }:$Pn, ?:{ *:[nxv2i1] }:$Pm, ?:{ *:[nxv2f64] }:$Zn, ?:{ *:[nxv2f64] }:$Zm)
     /* 259366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_D_PSEUDO),
     /* 259369 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259371 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259373 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259375 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259377 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259383 */     GIR_RootConstrainSelectedInstOperands,
     /* 259384 */     // GIR_Coverage, 3595,
     /* 259384 */     GIR_EraseRootFromParent_Done,
     /* 259385 */   // Label 5168: @259385
     /* 259385 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(259445), // Rule ID 3596 //
     /* 259390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF8F16),
     /* 259393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_fp8_fmopa_za16),
     /* 259398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 259401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 259404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 259407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 259410 */     // MIs[0] tile
     /* 259410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 259418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259426 */     // (intrinsic_void 879:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (FMOPA_MPPZZ_BtoH_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 259426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_BtoH_PSEUDO),
     /* 259429 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259431 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259433 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259435 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259437 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259443 */     GIR_RootConstrainSelectedInstOperands,
     /* 259444 */     // GIR_Coverage, 3596,
     /* 259444 */     GIR_EraseRootFromParent_Done,
     /* 259445 */   // Label 5169: @259445
     /* 259445 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(259505), // Rule ID 3597 //
     /* 259450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF16F16_or_SMEF8F16),
     /* 259453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa),
     /* 259458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259470 */     // MIs[0] tile
     /* 259470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 259478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259486 */     // (intrinsic_void 928:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPA_MPPZZ_H_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 259486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPA_MPPZZ_H_PSEUDO),
     /* 259489 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259491 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259493 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259495 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259497 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259503 */     GIR_RootConstrainSelectedInstOperands,
     /* 259504 */     // GIR_Coverage, 3597,
     /* 259504 */     GIR_EraseRootFromParent_Done,
     /* 259505 */   // Label 5170: @259505
     /* 259505 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(259565), // Rule ID 3598 //
     /* 259510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smopa_wide),
     /* 259518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 259521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 259524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 259527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 259530 */     // MIs[0] tile
     /* 259530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259533 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259546 */     // (intrinsic_void 1031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 259546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPA_MPPZZ_S_PSEUDO),
     /* 259549 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259551 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259553 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259555 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259557 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259563 */     GIR_RootConstrainSelectedInstOperands,
     /* 259564 */     // GIR_Coverage, 3598,
     /* 259564 */     GIR_EraseRootFromParent_Done,
     /* 259565 */   // Label 5171: @259565
     /* 259565 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(259625), // Rule ID 3599 //
     /* 259570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 259573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smopa_wide),
     /* 259578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259590 */     // MIs[0] tile
     /* 259590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259593 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 259598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259606 */     // (intrinsic_void 1031:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 259606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPA_MPPZZ_D_PSEUDO),
     /* 259609 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259611 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259613 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259615 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259617 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259623 */     GIR_RootConstrainSelectedInstOperands,
     /* 259624 */     // GIR_Coverage, 3599,
     /* 259624 */     GIR_EraseRootFromParent_Done,
     /* 259625 */   // Label 5172: @259625
     /* 259625 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(259685), // Rule ID 3600 //
     /* 259630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mopa_wide),
     /* 259638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259650 */     // MIs[0] tile
     /* 259650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259666 */     // (intrinsic_void 930:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPAL_MPPZZ_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 259666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPAL_MPPZZ_PSEUDO),
     /* 259669 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259671 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259673 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259675 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259677 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259679 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259683 */     GIR_RootConstrainSelectedInstOperands,
     /* 259684 */     // GIR_Coverage, 3600,
     /* 259684 */     GIR_EraseRootFromParent_Done,
     /* 259685 */   // Label 5173: @259685
     /* 259685 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(259745), // Rule ID 3694 //
     /* 259690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 259693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smopa_za32),
     /* 259698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259710 */     // MIs[0] tile
     /* 259710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259713 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259726 */     // (intrinsic_void 1032:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPA_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 259726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPA_MPPZZ_HtoS_PSEUDO),
     /* 259729 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259731 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259733 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259735 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259737 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259739 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259743 */     GIR_RootConstrainSelectedInstOperands,
     /* 259744 */     // GIR_Coverage, 3694,
     /* 259744 */     GIR_EraseRootFromParent_Done,
     /* 259745 */   // Label 5174: @259745
     /* 259745 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(259805), // Rule ID 3695 //
     /* 259750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 259753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_bmopa_za32),
     /* 259758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 259761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 259764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 259767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 259770 */     // MIs[0] tile
     /* 259770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259786 */     // (intrinsic_void 799:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4i32:{ *:[nxv4i32] }:$Zn, nxv4i32:{ *:[nxv4i32] }:$Zm)  =>  (BMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4i32] }:$Zn, ?:{ *:[nxv4i32] }:$Zm)
     /* 259786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BMOPA_MPPZZ_S_PSEUDO),
     /* 259789 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259791 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259793 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259795 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259797 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259799 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259803 */     GIR_RootConstrainSelectedInstOperands,
     /* 259804 */     // GIR_Coverage, 3695,
     /* 259804 */     GIR_EraseRootFromParent_Done,
     /* 259805 */   // Label 5175: @259805
     /* 259805 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(259865), // Rule ID 12544 //
     /* 259810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops),
     /* 259818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 259821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 259824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 259827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 259830 */     // MIs[0] tile
     /* 259830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259833 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259846 */     // (intrinsic_void 931:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4f32:{ *:[nxv4f32] }:$Zn, nxv4f32:{ *:[nxv4f32] }:$Zm)  =>  (FMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4f32] }:$Zn, ?:{ *:[nxv4f32] }:$Zm)
     /* 259846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPS_MPPZZ_S_PSEUDO),
     /* 259849 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259851 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259853 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259855 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259857 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259863 */     GIR_RootConstrainSelectedInstOperands,
     /* 259864 */     // GIR_Coverage, 12544,
     /* 259864 */     GIR_EraseRootFromParent_Done,
     /* 259865 */   // Label 5176: @259865
     /* 259865 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(259925), // Rule ID 12545 //
     /* 259870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF64F64),
     /* 259873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops),
     /* 259878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 259881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 259884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 259887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /* 259890 */     // MIs[0] tile
     /* 259890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 259898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259906 */     // (intrinsic_void 931:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv2i1] }:$Pn, PPR3bAny:{ *:[nxv2i1] }:$Pm, nxv2f64:{ *:[nxv2f64] }:$Zn, nxv2f64:{ *:[nxv2f64] }:$Zm)  =>  (FMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv2i1] }:$Pn, ?:{ *:[nxv2i1] }:$Pm, ?:{ *:[nxv2f64] }:$Zn, ?:{ *:[nxv2f64] }:$Zm)
     /* 259906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPS_MPPZZ_D_PSEUDO),
     /* 259909 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259911 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259913 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259915 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259917 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259919 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259923 */     GIR_RootConstrainSelectedInstOperands,
     /* 259924 */     // GIR_Coverage, 12545,
     /* 259924 */     GIR_EraseRootFromParent_Done,
     /* 259925 */   // Label 5177: @259925
     /* 259925 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(259985), // Rule ID 12546 //
     /* 259930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops_wide),
     /* 259938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 259941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 259944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 259947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 259950 */     // MIs[0] tile
     /* 259950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 259953 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 259958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 259966 */     // (intrinsic_void 933:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPSL_MPPZZ_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 259966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPSL_MPPZZ_PSEUDO),
     /* 259969 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 259971 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 259973 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 259975 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 259977 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 259979 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 259983 */     GIR_RootConstrainSelectedInstOperands,
     /* 259984 */     // GIR_Coverage, 12546,
     /* 259984 */     GIR_EraseRootFromParent_Done,
     /* 259985 */   // Label 5178: @259985
     /* 259985 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(260045), // Rule ID 12547 //
     /* 259990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 259993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smops_wide),
     /* 259998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 260001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 260004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 260010 */     // MIs[0] tile
     /* 260010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260013 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260026 */     // (intrinsic_void 1033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 260026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPS_MPPZZ_S_PSEUDO),
     /* 260029 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260031 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260033 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260035 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260037 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260039 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260043 */     GIR_RootConstrainSelectedInstOperands,
     /* 260044 */     // GIR_Coverage, 12547,
     /* 260044 */     GIR_EraseRootFromParent_Done,
     /* 260045 */   // Label 5179: @260045
     /* 260045 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(260105), // Rule ID 12548 //
     /* 260050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 260053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umopa_wide),
     /* 260058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 260061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 260064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 260070 */     // MIs[0] tile
     /* 260070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260073 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260086 */     // (intrinsic_void 1166:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (UMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 260086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPA_MPPZZ_S_PSEUDO),
     /* 260089 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260091 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260093 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260095 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260097 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260103 */     GIR_RootConstrainSelectedInstOperands,
     /* 260104 */     // GIR_Coverage, 12548,
     /* 260104 */     GIR_EraseRootFromParent_Done,
     /* 260105 */   // Label 5180: @260105
     /* 260105 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(260165), // Rule ID 12549 //
     /* 260110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 260113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umops_wide),
     /* 260118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 260121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 260124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 260130 */     // MIs[0] tile
     /* 260130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260146 */     // (intrinsic_void 1168:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (UMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 260146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPS_MPPZZ_S_PSEUDO),
     /* 260149 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260151 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260153 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260155 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260157 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260159 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260163 */     GIR_RootConstrainSelectedInstOperands,
     /* 260164 */     // GIR_Coverage, 12549,
     /* 260164 */     GIR_EraseRootFromParent_Done,
     /* 260165 */   // Label 5181: @260165
     /* 260165 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(260225), // Rule ID 12550 //
     /* 260170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 260173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumopa_wide),
     /* 260178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 260181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 260184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 260190 */     // MIs[0] tile
     /* 260190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260193 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260206 */     // (intrinsic_void 1083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SUMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 260206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPA_MPPZZ_S_PSEUDO),
     /* 260209 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260211 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260213 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260215 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260217 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260223 */     GIR_RootConstrainSelectedInstOperands,
     /* 260224 */     // GIR_Coverage, 12550,
     /* 260224 */     GIR_EraseRootFromParent_Done,
     /* 260225 */   // Label 5182: @260225
     /* 260225 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(260285), // Rule ID 12551 //
     /* 260230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 260233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumops_wide),
     /* 260238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 260241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 260244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 260250 */     // MIs[0] tile
     /* 260250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260266 */     // (intrinsic_void 1084:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (SUMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 260266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPS_MPPZZ_S_PSEUDO),
     /* 260269 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260271 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260273 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260275 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260277 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260283 */     GIR_RootConstrainSelectedInstOperands,
     /* 260284 */     // GIR_Coverage, 12551,
     /* 260284 */     GIR_EraseRootFromParent_Done,
     /* 260285 */   // Label 5183: @260285
     /* 260285 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(260345), // Rule ID 12552 //
     /* 260290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 260293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmopa_wide),
     /* 260298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 260301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 260304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 260310 */     // MIs[0] tile
     /* 260310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260313 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260326 */     // (intrinsic_void 1200:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (USMOPA_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 260326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPA_MPPZZ_S_PSEUDO),
     /* 260329 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260331 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260333 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260335 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260337 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260339 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260343 */     GIR_RootConstrainSelectedInstOperands,
     /* 260344 */     // GIR_Coverage, 12552,
     /* 260344 */     GIR_EraseRootFromParent_Done,
     /* 260345 */   // Label 5184: @260345
     /* 260345 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(260405), // Rule ID 12553 //
     /* 260350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME),
     /* 260353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmops_wide),
     /* 260358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 260361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 260364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 260367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /* 260370 */     // MIs[0] tile
     /* 260370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260373 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260386 */     // (intrinsic_void 1201:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv16i1] }:$Pn, PPR3bAny:{ *:[nxv16i1] }:$Pm, nxv16i8:{ *:[nxv16i8] }:$Zn, nxv16i8:{ *:[nxv16i8] }:$Zm)  =>  (USMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv16i1] }:$Pn, ?:{ *:[nxv16i1] }:$Pm, ?:{ *:[nxv16i8] }:$Zn, ?:{ *:[nxv16i8] }:$Zm)
     /* 260386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPS_MPPZZ_S_PSEUDO),
     /* 260389 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260391 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260393 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260395 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260397 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260403 */     GIR_RootConstrainSelectedInstOperands,
     /* 260404 */     // GIR_Coverage, 12553,
     /* 260404 */     GIR_EraseRootFromParent_Done,
     /* 260405 */   // Label 5185: @260405
     /* 260405 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(260465), // Rule ID 12554 //
     /* 260410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 260413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smops_wide),
     /* 260418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260430 */     // MIs[0] tile
     /* 260430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260446 */     // (intrinsic_void 1033:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPS_MPPZZ_D_PSEUDO),
     /* 260449 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260451 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260453 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260455 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260457 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260459 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260463 */     GIR_RootConstrainSelectedInstOperands,
     /* 260464 */     // GIR_Coverage, 12554,
     /* 260464 */     GIR_EraseRootFromParent_Done,
     /* 260465 */   // Label 5186: @260465
     /* 260465 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(260525), // Rule ID 12555 //
     /* 260470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 260473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umopa_wide),
     /* 260478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260490 */     // MIs[0] tile
     /* 260490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260493 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260506 */     // (intrinsic_void 1166:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPA_MPPZZ_D_PSEUDO),
     /* 260509 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260511 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260513 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260515 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260517 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260519 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260523 */     GIR_RootConstrainSelectedInstOperands,
     /* 260524 */     // GIR_Coverage, 12555,
     /* 260524 */     GIR_EraseRootFromParent_Done,
     /* 260525 */   // Label 5187: @260525
     /* 260525 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(260585), // Rule ID 12556 //
     /* 260530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 260533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umops_wide),
     /* 260538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260550 */     // MIs[0] tile
     /* 260550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260553 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260566 */     // (intrinsic_void 1168:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPS_MPPZZ_D_PSEUDO),
     /* 260569 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260571 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260573 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260575 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260577 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260583 */     GIR_RootConstrainSelectedInstOperands,
     /* 260584 */     // GIR_Coverage, 12556,
     /* 260584 */     GIR_EraseRootFromParent_Done,
     /* 260585 */   // Label 5188: @260585
     /* 260585 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(260645), // Rule ID 12557 //
     /* 260590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 260593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumopa_wide),
     /* 260598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260610 */     // MIs[0] tile
     /* 260610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260613 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260626 */     // (intrinsic_void 1083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SUMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPA_MPPZZ_D_PSEUDO),
     /* 260629 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260631 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260633 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260635 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260637 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260643 */     GIR_RootConstrainSelectedInstOperands,
     /* 260644 */     // GIR_Coverage, 12557,
     /* 260644 */     GIR_EraseRootFromParent_Done,
     /* 260645 */   // Label 5189: @260645
     /* 260645 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(260705), // Rule ID 12558 //
     /* 260650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 260653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_sumops_wide),
     /* 260658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260670 */     // MIs[0] tile
     /* 260670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260673 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260686 */     // (intrinsic_void 1084:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SUMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUMOPS_MPPZZ_D_PSEUDO),
     /* 260689 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260691 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260693 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260695 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260697 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260699 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260703 */     GIR_RootConstrainSelectedInstOperands,
     /* 260704 */     // GIR_Coverage, 12558,
     /* 260704 */     GIR_EraseRootFromParent_Done,
     /* 260705 */   // Label 5190: @260705
     /* 260705 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(260765), // Rule ID 12559 //
     /* 260710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 260713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmopa_wide),
     /* 260718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260730 */     // MIs[0] tile
     /* 260730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260746 */     // (intrinsic_void 1200:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (USMOPA_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPA_MPPZZ_D_PSEUDO),
     /* 260749 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260751 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260753 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260755 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260757 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260763 */     GIR_RootConstrainSelectedInstOperands,
     /* 260764 */     // GIR_Coverage, 12559,
     /* 260764 */     GIR_EraseRootFromParent_Done,
     /* 260765 */   // Label 5191: @260765
     /* 260765 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(260825), // Rule ID 12560 //
     /* 260770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEI16I64),
     /* 260773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_usmops_wide),
     /* 260778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260790 */     // MIs[0] tile
     /* 260790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_7),
     /* 260798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260806 */     // (intrinsic_void 1201:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_7>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (USMOPS_MPPZZ_D_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USMOPS_MPPZZ_D_PSEUDO),
     /* 260809 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260811 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260813 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260815 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260817 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260819 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260823 */     GIR_RootConstrainSelectedInstOperands,
     /* 260824 */     // GIR_Coverage, 12560,
     /* 260824 */     GIR_EraseRootFromParent_Done,
     /* 260825 */   // Label 5192: @260825
     /* 260825 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(260885), // Rule ID 12934 //
     /* 260830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 260833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_bmops_za32),
     /* 260838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 260841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 260844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 260847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /* 260850 */     // MIs[0] tile
     /* 260850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260853 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260866 */     // (intrinsic_void 800:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv4i1] }:$Pn, PPR3bAny:{ *:[nxv4i1] }:$Pm, nxv4i32:{ *:[nxv4i32] }:$Zn, nxv4i32:{ *:[nxv4i32] }:$Zm)  =>  (BMOPS_MPPZZ_S_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv4i1] }:$Pn, ?:{ *:[nxv4i1] }:$Pm, ?:{ *:[nxv4i32] }:$Zn, ?:{ *:[nxv4i32] }:$Zm)
     /* 260866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BMOPS_MPPZZ_S_PSEUDO),
     /* 260869 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260871 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260873 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260875 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260877 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260883 */     GIR_RootConstrainSelectedInstOperands,
     /* 260884 */     // GIR_Coverage, 12934,
     /* 260884 */     GIR_EraseRootFromParent_Done,
     /* 260885 */   // Label 5193: @260885
     /* 260885 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(260945), // Rule ID 12935 //
     /* 260890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 260893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_smops_za32),
     /* 260898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260910 */     // MIs[0] tile
     /* 260910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260926 */     // (intrinsic_void 1034:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (SMOPS_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOPS_MPPZZ_HtoS_PSEUDO),
     /* 260929 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260931 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260933 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260935 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260937 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260939 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 260943 */     GIR_RootConstrainSelectedInstOperands,
     /* 260944 */     // GIR_Coverage, 12935,
     /* 260944 */     GIR_EraseRootFromParent_Done,
     /* 260945 */   // Label 5194: @260945
     /* 260945 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(261005), // Rule ID 12936 //
     /* 260950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 260953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umopa_za32),
     /* 260958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 260961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 260964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 260967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 260970 */     // MIs[0] tile
     /* 260970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 260973 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 260978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 260986 */     // (intrinsic_void 1167:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPA_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 260986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPA_MPPZZ_HtoS_PSEUDO),
     /* 260989 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 260991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 260993 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 260995 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 260997 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 260999 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261003 */     GIR_RootConstrainSelectedInstOperands,
     /* 261004 */     // GIR_Coverage, 12936,
     /* 261004 */     GIR_EraseRootFromParent_Done,
     /* 261005 */   // Label 5195: @261005
     /* 261005 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(261065), // Rule ID 12937 //
     /* 261010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSME2),
     /* 261013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_umops_za32),
     /* 261018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 261021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 261024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 261027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 261030 */     // MIs[0] tile
     /* 261030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 261033 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_3),
     /* 261038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 261042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 261046 */     // (intrinsic_void 1169:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_3>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8i16:{ *:[nxv8i16] }:$Zn, nxv8i16:{ *:[nxv8i16] }:$Zm)  =>  (UMOPS_MPPZZ_HtoS_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8i16] }:$Zn, ?:{ *:[nxv8i16] }:$Zm)
     /* 261046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOPS_MPPZZ_HtoS_PSEUDO),
     /* 261049 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 261051 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 261053 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 261055 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 261057 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 261059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261063 */     GIR_RootConstrainSelectedInstOperands,
     /* 261064 */     // GIR_Coverage, 12937,
     /* 261064 */     GIR_EraseRootFromParent_Done,
     /* 261065 */   // Label 5196: @261065
     /* 261065 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(261125), // Rule ID 13048 //
     /* 261070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSMEF16F16_or_SMEF8F16),
     /* 261073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::aarch64_sme_mops),
     /* 261078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 261081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 261084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 261087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /* 261090 */     // MIs[0] tile
     /* 261090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /* 261093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_timm32_0_1),
     /* 261098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 261102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::PPR_3bRegClassID),
     /* 261106 */     // (intrinsic_void 931:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_timm32_0_1>>:$tile, PPR3bAny:{ *:[nxv8i1] }:$Pn, PPR3bAny:{ *:[nxv8i1] }:$Pm, nxv8f16:{ *:[nxv8f16] }:$Zn, nxv8f16:{ *:[nxv8f16] }:$Zm)  =>  (FMOPS_MPPZZ_H_PSEUDO ?:{ *:[i32] }:$tile, ?:{ *:[nxv8i1] }:$Pn, ?:{ *:[nxv8i1] }:$Pm, ?:{ *:[nxv8f16] }:$Zn, ?:{ *:[nxv8f16] }:$Zm)
     /* 261106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOPS_MPPZZ_H_PSEUDO),
     /* 261109 */     GIR_RootToRootCopy, /*OpIdx*/1, // tile
     /* 261111 */     GIR_RootToRootCopy, /*OpIdx*/2, // Pn
     /* 261113 */     GIR_RootToRootCopy, /*OpIdx*/3, // Pm
     /* 261115 */     GIR_RootToRootCopy, /*OpIdx*/4, // Zn
     /* 261117 */     GIR_RootToRootCopy, /*OpIdx*/5, // Zm
     /* 261119 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261123 */     GIR_RootConstrainSelectedInstOperands,
     /* 261124 */     // GIR_Coverage, 13048,
     /* 261124 */     GIR_EraseRootFromParent_Done,
     /* 261125 */   // Label 5197: @261125
     /* 261125 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(261173), // Rule ID 3580 //
     /* 261130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 261133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalb_lane),
     /* 261138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 261141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 261144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261154 */     // MIs[0] Op4
     /* 261154 */     // No operand predicates
     /* 261154 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1506:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALB_ZZZI:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALB_ZZZI),
     /* 261157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261159 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261161 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261163 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261165 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261167 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261171 */     GIR_RootConstrainSelectedInstOperands,
     /* 261172 */     // GIR_Coverage, 3580,
     /* 261172 */     GIR_EraseRootFromParent_Done,
     /* 261173 */   // Label 5198: @261173
     /* 261173 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(261221), // Rule ID 3582 //
     /* 261178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 261181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbb_lane),
     /* 261186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 261189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 261192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261202 */     // MIs[0] Op4
     /* 261202 */     // No operand predicates
     /* 261202 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1508:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLBB_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBB_ZZZI),
     /* 261205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261207 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261209 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261211 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261213 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261219 */     GIR_RootConstrainSelectedInstOperands,
     /* 261220 */     // GIR_Coverage, 3582,
     /* 261220 */     GIR_EraseRootFromParent_Done,
     /* 261221 */   // Label 5199: @261221
     /* 261221 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(261269), // Rule ID 3583 //
     /* 261226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT2),
     /* 261229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot_lane),
     /* 261234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 261237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 261240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261250 */     // MIs[0] Op4
     /* 261250 */     // No operand predicates
     /* 261250 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1504:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FDOT_ZZZI_BtoH:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZI_BtoH),
     /* 261253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261255 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261257 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261259 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261261 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261263 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261267 */     GIR_RootConstrainSelectedInstOperands,
     /* 261268 */     // GIR_Coverage, 3583,
     /* 261268 */     GIR_EraseRootFromParent_Done,
     /* 261269 */   // Label 5200: @261269
     /* 261269 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(261317), // Rule ID 3584 //
     /* 261274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8DOT4),
     /* 261277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fdot_lane),
     /* 261282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 261285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 261288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261298 */     // MIs[0] Op4
     /* 261298 */     // No operand predicates
     /* 261298 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1504:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FDOT_ZZZI_BtoS:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDOT_ZZZI_BtoS),
     /* 261301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261303 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261305 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261307 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261309 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261315 */     GIR_RootConstrainSelectedInstOperands,
     /* 261316 */     // GIR_Coverage, 3584,
     /* 261316 */     GIR_EraseRootFromParent_Done,
     /* 261317 */   // Label 5201: @261317
     /* 261317 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(261365), // Rule ID 12528 //
     /* 261322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 261325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalt_lane),
     /* 261330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 261333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 261336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261346 */     // MIs[0] Op4
     /* 261346 */     // No operand predicates
     /* 261346 */     // (intrinsic_w_chain:{ *:[nxv8f16] } 1516:{ *:[iPTR] }, nxv8f16:{ *:[nxv8f16] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALT_ZZZI:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALT_ZZZI),
     /* 261349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261351 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261353 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261355 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261357 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261363 */     GIR_RootConstrainSelectedInstOperands,
     /* 261364 */     // GIR_Coverage, 12528,
     /* 261364 */     GIR_EraseRootFromParent_Done,
     /* 261365 */   // Label 5202: @261365
     /* 261365 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(261413), // Rule ID 12530 //
     /* 261370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 261373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlallbt_lane),
     /* 261378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 261381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 261384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261394 */     // MIs[0] Op4
     /* 261394 */     // No operand predicates
     /* 261394 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1510:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLBT_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLBT_ZZZI),
     /* 261397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261399 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261401 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261403 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261405 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261407 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261411 */     GIR_RootConstrainSelectedInstOperands,
     /* 261412 */     // GIR_Coverage, 12530,
     /* 261412 */     GIR_EraseRootFromParent_Done,
     /* 261413 */   // Label 5203: @261413
     /* 261413 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(261461), // Rule ID 12531 //
     /* 261418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 261421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltb_lane),
     /* 261426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 261429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 261432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261442 */     // MIs[0] Op4
     /* 261442 */     // No operand predicates
     /* 261442 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1512:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLTB_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTB_ZZZI),
     /* 261445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261447 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261449 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261451 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261453 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261459 */     GIR_RootConstrainSelectedInstOperands,
     /* 261460 */     // GIR_Coverage, 12531,
     /* 261460 */     GIR_EraseRootFromParent_Done,
     /* 261461 */   // Label 5204: @261461
     /* 261461 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(261509), // Rule ID 12532 //
     /* 261466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSSVE_FP8FMA),
     /* 261469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_sve_fp8_fmlalltt_lane),
     /* 261474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 261477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 261480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 261483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 261486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 261490 */     // MIs[0] Op4
     /* 261490 */     // No operand predicates
     /* 261490 */     // (intrinsic_w_chain:{ *:[nxv4f32] } 1514:{ *:[iPTR] }, nxv4f32:{ *:[nxv4f32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3, i32:{ *:[i32] }:$Op4)  =>  (FMLALLTT_ZZZI:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3, ?:{ *:[i32] }:$Op4)
     /* 261490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLALLTT_ZZZI),
     /* 261493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zda]
     /* 261495 */     GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 261497 */     GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 261499 */     GIR_RootToRootCopy, /*OpIdx*/4, // Op3
     /* 261501 */     GIR_RootToRootCopy, /*OpIdx*/5, // Op4
     /* 261503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 261507 */     GIR_RootConstrainSelectedInstOperands,
     /* 261508 */     // GIR_Coverage, 12532,
     /* 261508 */     GIR_EraseRootFromParent_Done,
     /* 261509 */   // Label 5205: @261509
     /* 261509 */   GIM_Reject,
     /* 261510 */ // Label 5155: @261510
     /* 261510 */ GIM_Reject,
     /* 261511 */ // Label 37: @261511
     /* 261511 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 5210*/ GIMT_Encode4(261800),
     /* 261522 */ /*GILLT_s64*//*Label 5206*/ GIMT_Encode4(261554), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 261534 */ /*GILLT_v2s64*//*Label 5207*/ GIMT_Encode4(261614), GIMT_Encode4(0),
     /* 261542 */ /*GILLT_v4s32*//*Label 5208*/ GIMT_Encode4(261676), GIMT_Encode4(0),
     /* 261550 */ /*GILLT_v8s16*//*Label 5209*/ GIMT_Encode4(261738),
     /* 261554 */ // Label 5206: @261554
     /* 261554 */ GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(261613), // Rule ID 6493 //
     /* 261559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 261562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 261566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261570 */   // (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$src)  =>  (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$src, sub_32:{ *:[i32] })
     /* 261570 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 261573 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 261577 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 261582 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 261584 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 261587 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 261589 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 261592 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 261594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 261597 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 261602 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 261607 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 261612 */   // GIR_Coverage, 6493,
     /* 261612 */   GIR_EraseRootFromParent_Done,
     /* 261613 */ // Label 5211: @261613
     /* 261613 */ GIM_Reject,
     /* 261614 */ // Label 5207: @261614
     /* 261614 */ GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(261675),
     /* 261619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 261622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261626 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(261653), // Rule ID 6365 //
     /* 261631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 261638 */     // (anyext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (USHLLv4i32_shift:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i32] })
     /* 261638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i32_shift),
     /* 261641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 261648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261651 */     GIR_RootConstrainSelectedInstOperands,
     /* 261652 */     // GIR_Coverage, 6365,
     /* 261652 */     GIR_EraseRootFromParent_Done,
     /* 261653 */   // Label 5213: @261653
     /* 261653 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(261674), // Rule ID 6358 //
     /* 261658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261662 */     // (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (USHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, 0:{ *:[i32] })
     /* 261662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv2i32_shift),
     /* 261665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261667 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 261669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261672 */     GIR_RootConstrainSelectedInstOperands,
     /* 261673 */     // GIR_Coverage, 6358,
     /* 261673 */     GIR_EraseRootFromParent_Done,
     /* 261674 */   // Label 5214: @261674
     /* 261674 */   GIM_Reject,
     /* 261675 */ // Label 5212: @261675
     /* 261675 */ GIM_Reject,
     /* 261676 */ // Label 5208: @261676
     /* 261676 */ GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(261737),
     /* 261681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 261684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261688 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(261715), // Rule ID 6362 //
     /* 261693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 261700 */     // (anyext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (USHLLv8i16_shift:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i32] })
     /* 261700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i16_shift),
     /* 261703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 261710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261713 */     GIR_RootConstrainSelectedInstOperands,
     /* 261714 */     // GIR_Coverage, 6362,
     /* 261714 */     GIR_EraseRootFromParent_Done,
     /* 261715 */   // Label 5216: @261715
     /* 261715 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(261736), // Rule ID 6355 //
     /* 261720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261724 */     // (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (USHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, 0:{ *:[i32] })
     /* 261724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i16_shift),
     /* 261727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261729 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 261731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261734 */     GIR_RootConstrainSelectedInstOperands,
     /* 261735 */     // GIR_Coverage, 6355,
     /* 261735 */     GIR_EraseRootFromParent_Done,
     /* 261736 */   // Label 5217: @261736
     /* 261736 */   GIM_Reject,
     /* 261737 */ // Label 5215: @261737
     /* 261737 */ GIM_Reject,
     /* 261738 */ // Label 5209: @261738
     /* 261738 */ GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(261799),
     /* 261743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 261746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261750 */   GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(261777), // Rule ID 6359 //
     /* 261755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 261762 */     // (anyext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn))  =>  (USHLLv16i8_shift:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i32] })
     /* 261762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv16i8_shift),
     /* 261765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 261772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261775 */     GIR_RootConstrainSelectedInstOperands,
     /* 261776 */     // GIR_Coverage, 6359,
     /* 261776 */     GIR_EraseRootFromParent_Done,
     /* 261777 */   // Label 5219: @261777
     /* 261777 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(261798), // Rule ID 6352 //
     /* 261782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261786 */     // (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn)  =>  (USHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, 0:{ *:[i32] })
     /* 261786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i8_shift),
     /* 261789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261791 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 261793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 261796 */     GIR_RootConstrainSelectedInstOperands,
     /* 261797 */     // GIR_Coverage, 6352,
     /* 261797 */     GIR_EraseRootFromParent_Done,
     /* 261798 */   // Label 5220: @261798
     /* 261798 */   GIM_Reject,
     /* 261799 */ // Label 5218: @261799
     /* 261799 */ GIM_Reject,
     /* 261800 */ // Label 5210: @261800
     /* 261800 */ GIM_Reject,
     /* 261801 */ // Label 38: @261801
     /* 261801 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(10), /*)*//*default:*//*Label 5225*/ GIMT_Encode4(263237),
     /* 261812 */ /*GILLT_s32*//*Label 5221*/ GIMT_Encode4(261844), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 261824 */ /*GILLT_v2s32*//*Label 5222*/ GIMT_Encode4(261883), GIMT_Encode4(0),
     /* 261832 */ /*GILLT_v4s16*//*Label 5223*/ GIMT_Encode4(262239), GIMT_Encode4(0),
     /* 261840 */ /*GILLT_v8s8*//*Label 5224*/ GIMT_Encode4(262738),
     /* 261844 */ // Label 5221: @261844
     /* 261844 */ GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(261882), // Rule ID 6514 //
     /* 261849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 261852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 261856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 261860 */   // (trunc:{ *:[i32] } GPR64sp:{ *:[i64] }:$src)  =>  (EXTRACT_SUBREG:{ *:[i32] } GPR64sp:{ *:[i64] }:$src, sub_32:{ *:[i32] })
     /* 261860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 261863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 261865 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(20), // src
     /* 261871 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 261876 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 261881 */   // GIR_Coverage, 6514,
     /* 261881 */   GIR_EraseRootFromParent_Done,
     /* 261882 */ // Label 5226: @261882
     /* 261882 */ GIM_Reject,
     /* 261883 */ // Label 5222: @261883
     /* 261883 */ GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(262238),
     /* 261888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 261891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 261895 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(261973), // Rule ID 5430 //
     /* 261900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 261908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 261912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 261916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 261920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 261924 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 261928 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 261933 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 261937 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 261943 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /* 261945 */     // MIs[1] Operand 2
     /* 261945 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 261956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 261958 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllOnesV:{ *:[v2i64] }:$Rm), 32:{ *:[i32] }))  =>  (SUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 261958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v2i32),
     /* 261961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 261963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 261967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 261971 */     GIR_RootConstrainSelectedInstOperands,
     /* 261972 */     // GIR_Coverage, 5430,
     /* 261972 */     GIR_EraseRootFromParent_Done,
     /* 261973 */   // Label 5228: @261973
     /* 261973 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(262044), // Rule ID 5426 //
     /* 261978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 261982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 261986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 261990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 261994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 261998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262002 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 262006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262011 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262016 */     // MIs[1] Operand 2
     /* 262016 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 262027 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262029 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] }))  =>  (ADDHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 262029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv2i64_v2i32),
     /* 262032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 262038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 262042 */     GIR_RootConstrainSelectedInstOperands,
     /* 262043 */     // GIR_Coverage, 5426,
     /* 262043 */     GIR_EraseRootFromParent_Done,
     /* 262044 */   // Label 5229: @262044
     /* 262044 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(262115), // Rule ID 5428 //
     /* 262049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 262069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262073 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 262077 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262082 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262087 */     // MIs[1] Operand 2
     /* 262087 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 262098 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262100 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm), 32:{ *:[i32] }))  =>  (SUBHNv2i64_v2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 262100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv2i64_v2i32),
     /* 262103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 262109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 262113 */     GIR_RootConstrainSelectedInstOperands,
     /* 262114 */     // GIR_Coverage, 5428,
     /* 262114 */     GIR_EraseRootFromParent_Done,
     /* 262115 */   // Label 5230: @262115
     /* 262115 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(262168), // Rule ID 2162 //
     /* 262120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 262123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /* 262131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262140 */     // MIs[1] imm
     /* 262140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 262144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262148 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /* 262152 */     // MIs[2] Operand 1
     /* 262152 */     // No operand predicates
     /* 262152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262154 */     // (trunc:{ *:[v2i32] } (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm))  =>  (SHRNv2i32_shift:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 262154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv2i32_shift),
     /* 262157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262166 */     GIR_RootConstrainSelectedInstOperands,
     /* 262167 */     // GIR_Coverage, 2162,
     /* 262167 */     GIR_EraseRootFromParent_Done,
     /* 262168 */   // Label 5231: @262168
     /* 262168 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(262218), // Rule ID 6340 //
     /* 262173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262190 */     // MIs[1] imm
     /* 262190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 262194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262198 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64Narrow),
     /* 262202 */     // MIs[2] Operand 1
     /* 262202 */     // No operand predicates
     /* 262202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262204 */     // (trunc:{ *:[v2i32] } (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm))  =>  (SHRNv2i32_shift:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64Narrow>>:$imm)
     /* 262204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv2i32_shift),
     /* 262207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262216 */     GIR_RootConstrainSelectedInstOperands,
     /* 262217 */     // GIR_Coverage, 6340,
     /* 262217 */     GIR_EraseRootFromParent_Done,
     /* 262218 */   // Label 5232: @262218
     /* 262218 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(262237), // Rule ID 1099 //
     /* 262223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 262226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262230 */     // (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn)  =>  (XTNv2i32:{ *:[v2i32] } V128:{ *:[v2i64] }:$Rn)
     /* 262230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::XTNv2i32),
     /* 262235 */     GIR_RootConstrainSelectedInstOperands,
     /* 262236 */     // GIR_Coverage, 1099,
     /* 262236 */     GIR_Done,
     /* 262237 */   // Label 5233: @262237
     /* 262237 */   GIM_Reject,
     /* 262238 */ // Label 5227: @262238
     /* 262238 */ GIM_Reject,
     /* 262239 */ // Label 5223: @262239
     /* 262239 */ GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(262737),
     /* 262244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262251 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(262329), // Rule ID 5424 //
     /* 262256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 262276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 262284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262289 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 262293 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 262299 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /* 262301 */     // MIs[1] Operand 2
     /* 262301 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 262312 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 262314 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllOnesV:{ *:[v4i32] }:$Rm), 16:{ *:[i32] }))  =>  (SUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 262314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v4i16),
     /* 262317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 262323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 262327 */     GIR_RootConstrainSelectedInstOperands,
     /* 262328 */     // GIR_Coverage, 5424,
     /* 262328 */     GIR_EraseRootFromParent_Done,
     /* 262329 */   // Label 5235: @262329
     /* 262329 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(262400), // Rule ID 5420 //
     /* 262334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 262354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262358 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 262362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262367 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262372 */     // MIs[1] Operand 2
     /* 262372 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 262383 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262385 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] }))  =>  (ADDHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 262385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv4i32_v4i16),
     /* 262388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 262394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 262398 */     GIR_RootConstrainSelectedInstOperands,
     /* 262399 */     // GIR_Coverage, 5420,
     /* 262399 */     GIR_EraseRootFromParent_Done,
     /* 262400 */   // Label 5236: @262400
     /* 262400 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(262471), // Rule ID 5422 //
     /* 262405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 262425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262429 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 262433 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262443 */     // MIs[1] Operand 2
     /* 262443 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 262454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262456 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm), 16:{ *:[i32] }))  =>  (SUBHNv4i32_v4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 262456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv4i32_v4i16),
     /* 262459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 262465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 262469 */     GIR_RootConstrainSelectedInstOperands,
     /* 262470 */     // GIR_Coverage, 5422,
     /* 262470 */     GIR_EraseRootFromParent_Done,
     /* 262471 */   // Label 5237: @262471
     /* 262471 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(262563), // Rule ID 5546 //
     /* 262476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 262484 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 262487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 262491 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 262495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 262503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262507 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262512 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 262516 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 262520 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 262524 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262529 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 262531 */     // (trunc:{ *:[v4i16] } (concat_vectors:{ *:[v4i32] } (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vn), (trunc:{ *:[v2i32] } V128:{ *:[v2i64] }:$Vm)))  =>  (XTNv4i16:{ *:[v4i16] } (UZP1v4i32:{ *:[f128] } V128:{ *:[v2i64] }:$Vn, V128:{ *:[v2i64] }:$Vm))
     /* 262531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 262534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /* 262538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 262543 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /* 262547 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, // Vm
     /* 262551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 262553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv4i16),
     /* 262556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 262561 */     GIR_RootConstrainSelectedInstOperands,
     /* 262562 */     // GIR_Coverage, 5546,
     /* 262562 */     GIR_EraseRootFromParent_Done,
     /* 262563 */   // Label 5238: @262563
     /* 262563 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(262616), // Rule ID 2161 //
     /* 262568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 262571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /* 262579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262588 */     // MIs[1] imm
     /* 262588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 262592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262596 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /* 262600 */     // MIs[2] Operand 1
     /* 262600 */     // No operand predicates
     /* 262600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262602 */     // (trunc:{ *:[v4i16] } (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm))  =>  (SHRNv4i16_shift:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 262602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i16_shift),
     /* 262605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262614 */     GIR_RootConstrainSelectedInstOperands,
     /* 262615 */     // GIR_Coverage, 2161,
     /* 262615 */     GIR_EraseRootFromParent_Done,
     /* 262616 */   // Label 5239: @262616
     /* 262616 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(262666), // Rule ID 6339 //
     /* 262621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 262633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262638 */     // MIs[1] imm
     /* 262638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 262642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 262646 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32Narrow),
     /* 262650 */     // MIs[2] Operand 1
     /* 262650 */     // No operand predicates
     /* 262650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262652 */     // (trunc:{ *:[v4i16] } (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm))  =>  (SHRNv4i16_shift:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32Narrow>>:$imm)
     /* 262652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv4i16_shift),
     /* 262655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 262661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 262664 */     GIR_RootConstrainSelectedInstOperands,
     /* 262665 */     // GIR_Coverage, 6339,
     /* 262665 */     GIR_EraseRootFromParent_Done,
     /* 262666 */   // Label 5240: @262666
     /* 262666 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(262717), // Rule ID 5574 //
     /* 262671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 262679 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 262682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 262686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 262690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 262702 */     // (trunc:{ *:[v4i16] } (concat_vectors:{ *:[v4i32] } V64:{ *:[v2i32] }:$Vn, V64:{ *:[v2i32] }:$Vm))  =>  (UZP1v4i16:{ *:[v4i16] } V64:{ *:[v2i32] }:$Vn, V64:{ *:[v2i32] }:$Vm)
     /* 262702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i16),
     /* 262705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 262711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 262715 */     GIR_RootConstrainSelectedInstOperands,
     /* 262716 */     // GIR_Coverage, 5574,
     /* 262716 */     GIR_EraseRootFromParent_Done,
     /* 262717 */   // Label 5241: @262717
     /* 262717 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(262736), // Rule ID 1098 //
     /* 262722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 262725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262729 */     // (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn)  =>  (XTNv4i16:{ *:[v4i16] } V128:{ *:[v4i32] }:$Rn)
     /* 262729 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::XTNv4i16),
     /* 262734 */     GIR_RootConstrainSelectedInstOperands,
     /* 262735 */     // GIR_Coverage, 1098,
     /* 262735 */     GIR_Done,
     /* 262736 */   // Label 5242: @262736
     /* 262736 */   GIM_Reject,
     /* 262737 */ // Label 5234: @262737
     /* 262737 */ GIM_Reject,
     /* 262738 */ // Label 5224: @262738
     /* 262738 */ GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(263236),
     /* 262743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 262746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 262750 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(262828), // Rule ID 5418 //
     /* 262755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 262767 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262771 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 262775 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 262779 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 262783 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262788 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 262792 */     GIM_CheckOpcodeIsEither, /*MI*/3, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 262798 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/3,
     /* 262800 */     // MIs[1] Operand 2
     /* 262800 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 262811 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 262813 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllOnesV:{ *:[v8i16] }:$Rm), 8:{ *:[i32] }))  =>  (SUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 262813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v8i8),
     /* 262816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 262822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 262826 */     GIR_RootConstrainSelectedInstOperands,
     /* 262827 */     // GIR_Coverage, 5418,
     /* 262827 */     GIR_EraseRootFromParent_Done,
     /* 262828 */   // Label 5244: @262828
     /* 262828 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(262899), // Rule ID 5414 //
     /* 262833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 262845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ADD),
     /* 262853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 262857 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 262861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262866 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262871 */     // MIs[1] Operand 2
     /* 262871 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 262882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262884 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] }))  =>  (ADDHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 262884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ADDHNv8i16_v8i8),
     /* 262887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 262893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 262897 */     GIR_RootConstrainSelectedInstOperands,
     /* 262898 */     // GIR_Coverage, 5414,
     /* 262898 */     GIR_EraseRootFromParent_Done,
     /* 262899 */   // Label 5245: @262899
     /* 262899 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(262970), // Rule ID 5416 //
     /* 262904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 262912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 262916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 262924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 262928 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 262932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262937 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 262942 */     // MIs[1] Operand 2
     /* 262942 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 262953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 262955 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm), 8:{ *:[i32] }))  =>  (SUBHNv8i16_v8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 262955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBHNv8i16_v8i8),
     /* 262958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 262960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 262964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // Rm
     /* 262968 */     GIR_RootConstrainSelectedInstOperands,
     /* 262969 */     // GIR_Coverage, 5416,
     /* 262969 */     GIR_EraseRootFromParent_Done,
     /* 262970 */   // Label 5246: @262970
     /* 262970 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(263062), // Rule ID 5519 //
     /* 262975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 262979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 262983 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 262986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 262990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 262994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 262998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 263002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 263006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263011 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 263015 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_TRUNC),
     /* 263019 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 263023 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263028 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 263030 */     // (trunc:{ *:[v8i8] } (concat_vectors:{ *:[v8i16] } (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vn), (trunc:{ *:[v4i16] } V128:{ *:[v4i32] }:$Vm)))  =>  (XTNv8i8:{ *:[v8i8] } (UZP1v8i16:{ *:[f128] } V128:{ *:[v4i32] }:$Vn, V128:{ *:[v4i32] }:$Vm))
     /* 263030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 263033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /* 263037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263042 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Vn
     /* 263046 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, // Vm
     /* 263050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 263052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::XTNv8i8),
     /* 263055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263060 */     GIR_RootConstrainSelectedInstOperands,
     /* 263061 */     // GIR_Coverage, 5519,
     /* 263061 */     GIR_EraseRootFromParent_Done,
     /* 263062 */   // Label 5247: @263062
     /* 263062 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(263115), // Rule ID 2160 //
     /* 263067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 263070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VASHR),
     /* 263078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 263082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263087 */     // MIs[1] imm
     /* 263087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 263091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 263095 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /* 263099 */     // MIs[2] Operand 1
     /* 263099 */     // No operand predicates
     /* 263099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 263101 */     // (trunc:{ *:[v8i8] } (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm))  =>  (SHRNv8i8_shift:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 263101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i8_shift),
     /* 263104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 263110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 263113 */     GIR_RootConstrainSelectedInstOperands,
     /* 263114 */     // GIR_Coverage, 2160,
     /* 263114 */     GIR_EraseRootFromParent_Done,
     /* 263115 */   // Label 5248: @263115
     /* 263115 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(263165), // Rule ID 6338 //
     /* 263120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_VLSHR),
     /* 263128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 263132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263137 */     // MIs[1] imm
     /* 263137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 263141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 263145 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16Narrow),
     /* 263149 */     // MIs[2] Operand 1
     /* 263149 */     // No operand predicates
     /* 263149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 263151 */     // (trunc:{ *:[v8i8] } (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm))  =>  (SHRNv8i8_shift:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16Narrow>>:$imm)
     /* 263151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SHRNv8i8_shift),
     /* 263154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 263160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 263163 */     GIR_RootConstrainSelectedInstOperands,
     /* 263164 */     // GIR_Coverage, 6338,
     /* 263164 */     GIR_EraseRootFromParent_Done,
     /* 263165 */   // Label 5249: @263165
     /* 263165 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(263216), // Rule ID 5573 //
     /* 263170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONCAT_VECTORS),
     /* 263178 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 263185 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 263189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263201 */     // (trunc:{ *:[v8i8] } (concat_vectors:{ *:[v8i16] } V64:{ *:[v4i16] }:$Vn, V64:{ *:[v4i16] }:$Vm))  =>  (UZP1v8i8:{ *:[v8i8] } V64:{ *:[v4i16] }:$Vn, V64:{ *:[v4i16] }:$Vm)
     /* 263201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i8),
     /* 263204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 263210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Vm
     /* 263214 */     GIR_RootConstrainSelectedInstOperands,
     /* 263215 */     // GIR_Coverage, 5573,
     /* 263215 */     GIR_EraseRootFromParent_Done,
     /* 263216 */   // Label 5250: @263216
     /* 263216 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(263235), // Rule ID 1097 //
     /* 263221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 263224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263228 */     // (trunc:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn)  =>  (XTNv8i8:{ *:[v8i8] } V128:{ *:[v8i16] }:$Rn)
     /* 263228 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::XTNv8i8),
     /* 263233 */     GIR_RootConstrainSelectedInstOperands,
     /* 263234 */     // GIR_Coverage, 1097,
     /* 263234 */     GIR_Done,
     /* 263235 */   // Label 5251: @263235
     /* 263235 */   GIM_Reject,
     /* 263236 */ // Label 5243: @263236
     /* 263236 */ GIM_Reject,
     /* 263237 */ // Label 5225: @263237
     /* 263237 */ GIM_Reject,
     /* 263238 */ // Label 39: @263238
     /* 263238 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5254*/ GIMT_Encode4(263357),
     /* 263249 */ /*GILLT_s32*//*Label 5252*/ GIMT_Encode4(263257),
     /* 263253 */ /*GILLT_s64*//*Label 5253*/ GIMT_Encode4(263277),
     /* 263257 */ // Label 5252: @263257
     /* 263257 */ GIM_Try, /*On fail goto*//*Label 5255*/ GIMT_Encode4(263276), // Rule ID 81 //
     /* 263262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263266 */   // MIs[0] Operand 1
     /* 263266 */   // No operand predicates
     /* 263266 */   // (imm:{ *:[i32] }):$src  =>  (MOVi32imm:{ *:[i32] } (imm:{ *:[i32] }):$src)
     /* 263266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /* 263269 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 263271 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 263274 */   GIR_RootConstrainSelectedInstOperands,
     /* 263275 */   // GIR_Coverage, 81,
     /* 263275 */   GIR_EraseRootFromParent_Done,
     /* 263276 */ // Label 5255: @263276
     /* 263276 */ GIM_Reject,
     /* 263277 */ // Label 5253: @263277
     /* 263277 */ GIM_Try, /*On fail goto*//*Label 5256*/ GIMT_Encode4(263337), // Rule ID 3905 //
     /* 263282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_OptimizedGISelOrOtherSelector),
     /* 263285 */   GIM_CheckI64ImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_i64imm_32bit),
     /* 263289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 263293 */   // MIs[0] Operand 1
     /* 263293 */   // No operand predicates
     /* 263293 */   // (imm:{ *:[i64] })<<P:Predicate_i64imm_32bit>>:$src  =>  (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i64] }, (MOVi32imm:{ *:[i32] } (trunc_imm:{ *:[i32] } (imm:{ *:[i64] }):$src)), sub_32:{ *:[i32] })
     /* 263293 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 263296 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVi32imm),
     /* 263300 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263305 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // src
     /* 263310 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 263312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 263315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 263317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263320 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/20,
     /* 263326 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 263331 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263336 */   // GIR_Coverage, 3905,
     /* 263336 */   GIR_EraseRootFromParent_Done,
     /* 263337 */ // Label 5256: @263337
     /* 263337 */ GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(263356), // Rule ID 82 //
     /* 263342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 263346 */   // MIs[0] Operand 1
     /* 263346 */   // No operand predicates
     /* 263346 */   // (imm:{ *:[i64] }):$src  =>  (MOVi64imm:{ *:[i64] } (imm:{ *:[i64] }):$src)
     /* 263346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::MOVi64imm),
     /* 263349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 263351 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/0, // src
     /* 263354 */   GIR_RootConstrainSelectedInstOperands,
     /* 263355 */   // GIR_Coverage, 82,
     /* 263355 */   GIR_EraseRootFromParent_Done,
     /* 263356 */ // Label 5257: @263356
     /* 263356 */ GIM_Reject,
     /* 263357 */ // Label 5254: @263357
     /* 263357 */ GIM_Reject,
     /* 263358 */ // Label 40: @263358
     /* 263358 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 5261*/ GIMT_Encode4(263598),
     /* 263369 */ /*GILLT_s16*//*Label 5258*/ GIMT_Encode4(263381),
     /* 263373 */ /*GILLT_s32*//*Label 5259*/ GIMT_Encode4(263433),
     /* 263377 */ /*GILLT_s64*//*Label 5260*/ GIMT_Encode4(263546),
     /* 263381 */ // Label 5258: @263381
     /* 263381 */ GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(263404), // Rule ID 506 //
     /* 263386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 263389 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 263393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 263397 */   // MIs[0] Operand 1
     /* 263397 */   // No operand predicates
     /* 263397 */   // (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>  =>  (FMOVH0:{ *:[f16] })
     /* 263397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVH0),
     /* 263400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263402 */   GIR_RootConstrainSelectedInstOperands,
     /* 263403 */   // GIR_Coverage, 506,
     /* 263403 */   GIR_EraseRootFromParent_Done,
     /* 263404 */ // Label 5262: @263404
     /* 263404 */ GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(263432), // Rule ID 688 //
     /* 263409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 263412 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 263416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 263420 */   // MIs[0] Operand 1
     /* 263420 */   // No operand predicates
     /* 263420 */   // (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm  =>  (FMOVHi:{ *:[f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] }):$imm))
     /* 263420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVHi),
     /* 263423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263425 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm
     /* 263430 */   GIR_RootConstrainSelectedInstOperands,
     /* 263431 */   // GIR_Coverage, 688,
     /* 263431 */   GIR_EraseRootFromParent_Done,
     /* 263432 */ // Label 5263: @263432
     /* 263432 */ GIM_Reject,
     /* 263433 */ // Label 5259: @263433
     /* 263433 */ GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(263456), // Rule ID 507 //
     /* 263438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 263441 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 263445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 263449 */   // MIs[0] Operand 1
     /* 263449 */   // No operand predicates
     /* 263449 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>  =>  (FMOVS0:{ *:[f32] })
     /* 263449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVS0),
     /* 263452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263454 */   GIR_RootConstrainSelectedInstOperands,
     /* 263455 */   // GIR_Coverage, 507,
     /* 263455 */   GIR_EraseRootFromParent_Done,
     /* 263456 */ // Label 5264: @263456
     /* 263456 */ GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(263484), // Rule ID 689 //
     /* 263461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 263464 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 263468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 263472 */   // MIs[0] Operand 1
     /* 263472 */   // No operand predicates
     /* 263472 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm  =>  (FMOVSi:{ *:[f32] } (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] }):$imm))
     /* 263472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVSi),
     /* 263475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263477 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm
     /* 263482 */   GIR_RootConstrainSelectedInstOperands,
     /* 263483 */   // GIR_Coverage, 689,
     /* 263483 */   GIR_EraseRootFromParent_Done,
     /* 263484 */ // Label 5265: @263484
     /* 263484 */ GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(263545), // Rule ID 6027 //
     /* 263489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 263492 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32SIMDModImmType4),
     /* 263496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 263500 */   // MIs[0] Operand 1
     /* 263500 */   // No operand predicates
     /* 263500 */   // (fpimm:{ *:[f32] })<<P:Predicate_fpimm32SIMDModImmType4>><<X:fpimm32SIMDModImmType4XForm>>:$in  =>  (EXTRACT_SUBREG:{ *:[f32] } (MOVIv2i32:{ *:[i64] } (fpimm32SIMDModImmType4XForm:{ *:[i32] } f32:{ *:[f32] }:$in), 24:{ *:[i32] }), ssub:{ *:[i32] })
     /* 263500 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 263503 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2i32),
     /* 263507 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263512 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32SIMDModImmType4), // in
     /* 263517 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/24,
     /* 263520 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 263522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 263525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 263527 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 263534 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 263539 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263544 */   // GIR_Coverage, 6027,
     /* 263544 */   GIR_EraseRootFromParent_Done,
     /* 263545 */ // Label 5266: @263545
     /* 263545 */ GIM_Reject,
     /* 263546 */ // Label 5260: @263546
     /* 263546 */ GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(263569), // Rule ID 508 //
     /* 263551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 263554 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 263558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263562 */   // MIs[0] Operand 1
     /* 263562 */   // No operand predicates
     /* 263562 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>  =>  (FMOVD0:{ *:[f64] })
     /* 263562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVD0),
     /* 263565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263567 */   GIR_RootConstrainSelectedInstOperands,
     /* 263568 */   // GIR_Coverage, 508,
     /* 263568 */   GIR_EraseRootFromParent_Done,
     /* 263569 */ // Label 5267: @263569
     /* 263569 */ GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(263597), // Rule ID 690 //
     /* 263574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 263577 */   GIM_CheckAPFloatImmPredicate, /*MI*/0, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm64),
     /* 263581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263585 */   // MIs[0] Operand 1
     /* 263585 */   // No operand predicates
     /* 263585 */   // (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>><<X:fpimm64XForm>>:$imm  =>  (FMOVDi:{ *:[f64] } (fpimm64XForm:{ *:[f64] } (fpimm:{ *:[f64] }):$imm))
     /* 263585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMOVDi),
     /* 263588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263590 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFPImm64), // imm
     /* 263595 */   GIR_RootConstrainSelectedInstOperands,
     /* 263596 */   // GIR_Coverage, 690,
     /* 263596 */   GIR_EraseRootFromParent_Done,
     /* 263597 */ // Label 5268: @263597
     /* 263597 */ GIM_Reject,
     /* 263598 */ // Label 5261: @263598
     /* 263598 */ GIM_Reject,
     /* 263599 */ // Label 41: @263599
     /* 263599 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 5274*/ GIMT_Encode4(265496),
     /* 263610 */ /*GILLT_s32*//*Label 5269*/ GIMT_Encode4(263646),
     /* 263614 */ /*GILLT_s64*//*Label 5270*/ GIMT_Encode4(265087), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 263626 */ /*GILLT_v2s64*//*Label 5271*/ GIMT_Encode4(265310), GIMT_Encode4(0),
     /* 263634 */ /*GILLT_v4s32*//*Label 5272*/ GIMT_Encode4(265372), GIMT_Encode4(0),
     /* 263642 */ /*GILLT_v8s16*//*Label 5273*/ GIMT_Encode4(265434),
     /* 263646 */ // Label 5269: @263646
     /* 263646 */ GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(263766), // Rule ID 13103 //
     /* 263651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 263654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263658 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263662 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 263666 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263669 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 263674 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 263678 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263683 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263685 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 662:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 263685 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 263688 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 263692 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263697 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 263701 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 263703 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 263706 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 263710 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263715 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 263717 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 263720 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 263724 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263729 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 263732 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 263735 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 263738 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263743 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263748 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 263753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 263756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263758 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263764 */   GIR_RootConstrainSelectedInstOperands,
     /* 263765 */   // GIR_Coverage, 13103,
     /* 263765 */   GIR_EraseRootFromParent_Done,
     /* 263766 */ // Label 5275: @263766
     /* 263766 */ GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(263886), // Rule ID 13105 //
     /* 263771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 263774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263778 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263782 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 263786 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263789 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 263794 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 263798 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263803 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263805 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 662:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 263805 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 263808 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 263812 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263817 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 263821 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 263823 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 263826 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 263830 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263835 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 263837 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 263840 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 263844 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263849 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 263852 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 263855 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 263858 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263863 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263868 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 263873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 263876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263878 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 263881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 263884 */   GIR_RootConstrainSelectedInstOperands,
     /* 263885 */   // GIR_Coverage, 13105,
     /* 263885 */   GIR_EraseRootFromParent_Done,
     /* 263886 */ // Label 5276: @263886
     /* 263886 */ GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(264006), // Rule ID 13107 //
     /* 263891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 263894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 263898 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 263902 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 263906 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 263909 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 263914 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 263918 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 263923 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 263925 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 662:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 263925 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 263928 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 263932 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263937 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 263941 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 263943 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 263946 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 263950 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263955 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 263957 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 263960 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 263964 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 263969 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 263972 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 263975 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 263978 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263983 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 263988 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 263993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 263996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 263998 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264004 */   GIR_RootConstrainSelectedInstOperands,
     /* 264005 */   // GIR_Coverage, 13107,
     /* 264005 */   GIR_EraseRootFromParent_Done,
     /* 264006 */ // Label 5277: @264006
     /* 264006 */ GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(264126), // Rule ID 13109 //
     /* 264011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 264014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264018 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264022 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264026 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264029 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddv),
     /* 264034 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 264038 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264043 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264045 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 662:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264045 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 264048 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 264052 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264057 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264061 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264063 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264066 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264070 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264075 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264077 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264080 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264084 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264089 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264092 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264095 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 264098 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264103 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264108 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 264113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 264116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264118 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264124 */   GIR_RootConstrainSelectedInstOperands,
     /* 264125 */   // GIR_Coverage, 13109,
     /* 264125 */   GIR_EraseRootFromParent_Done,
     /* 264126 */ // Label 5278: @264126
     /* 264126 */ GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(264246), // Rule ID 13125 //
     /* 264131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 264134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264138 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264142 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264146 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264149 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 264154 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 264158 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264163 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264165 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 672:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264165 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 264168 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i8v),
     /* 264172 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264177 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264181 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264183 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264186 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264190 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264195 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264197 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264200 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264204 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264209 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264212 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264215 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 264218 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264223 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264228 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 264233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 264236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264238 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264244 */   GIR_RootConstrainSelectedInstOperands,
     /* 264245 */   // GIR_Coverage, 13125,
     /* 264245 */   GIR_EraseRootFromParent_Done,
     /* 264246 */ // Label 5279: @264246
     /* 264246 */ GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(264366), // Rule ID 13127 //
     /* 264251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 264254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264258 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264262 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264266 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264269 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 264274 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 264278 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264283 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264285 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 672:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264285 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 264288 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv16i8v),
     /* 264292 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264297 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264301 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264303 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264306 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264310 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264315 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264317 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264320 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264324 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264329 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264332 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264335 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 264338 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264343 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264348 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 264353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 264356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264358 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264364 */   GIR_RootConstrainSelectedInstOperands,
     /* 264365 */   // GIR_Coverage, 13127,
     /* 264365 */   GIR_EraseRootFromParent_Done,
     /* 264366 */ // Label 5280: @264366
     /* 264366 */ GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(264486), // Rule ID 13129 //
     /* 264371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 264374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264378 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264382 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264386 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264389 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 264394 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 264398 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264403 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264405 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 672:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264405 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 264408 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i16v),
     /* 264412 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264417 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264421 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264423 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264426 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264430 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264435 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264437 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264440 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264444 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264449 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264452 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264455 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 264458 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264463 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264468 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 264473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 264476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264478 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264484 */   GIR_RootConstrainSelectedInstOperands,
     /* 264485 */   // GIR_Coverage, 13129,
     /* 264485 */   GIR_EraseRootFromParent_Done,
     /* 264486 */ // Label 5281: @264486
     /* 264486 */ GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(264606), // Rule ID 13131 //
     /* 264491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 264494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264498 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264502 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264506 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264509 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_smaxv),
     /* 264514 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 264518 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264523 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264525 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 672:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264525 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 264528 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i16v),
     /* 264532 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264537 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264541 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264543 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264546 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264550 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264555 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264557 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264560 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264564 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264569 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264572 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264575 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 264578 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264583 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264588 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 264593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 264596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264598 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264604 */   GIR_RootConstrainSelectedInstOperands,
     /* 264605 */   // GIR_Coverage, 13131,
     /* 264605 */   GIR_EraseRootFromParent_Done,
     /* 264606 */ // Label 5282: @264606
     /* 264606 */ GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(264726), // Rule ID 13135 //
     /* 264611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 264614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264618 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264622 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264626 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264629 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 264634 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 264638 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264643 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264645 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 675:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264645 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 264648 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i8v),
     /* 264652 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264657 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264661 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264663 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264666 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264670 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264675 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264677 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264680 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264684 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264689 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264692 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264695 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 264698 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264703 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264708 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 264713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 264716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264718 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264724 */   GIR_RootConstrainSelectedInstOperands,
     /* 264725 */   // GIR_Coverage, 13135,
     /* 264725 */   GIR_EraseRootFromParent_Done,
     /* 264726 */ // Label 5283: @264726
     /* 264726 */ GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(264846), // Rule ID 13137 //
     /* 264731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 264734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264738 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264742 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264746 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264749 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 264754 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 264758 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264763 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264765 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 675:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SMOVvi8to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264765 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 264768 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv16i8v),
     /* 264772 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264777 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264781 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264783 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264786 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264790 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264795 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264797 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264800 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264804 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264809 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264812 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264815 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 264818 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264823 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264828 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 264833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 264836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264838 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264844 */   GIR_RootConstrainSelectedInstOperands,
     /* 264845 */   // GIR_Coverage, 13137,
     /* 264845 */   GIR_EraseRootFromParent_Done,
     /* 264846 */ // Label 5284: @264846
     /* 264846 */ GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(264966), // Rule ID 13139 //
     /* 264851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 264854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264858 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264862 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264866 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264869 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 264874 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 264878 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 264883 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 264885 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 675:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 264885 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 264888 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i16v),
     /* 264892 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264897 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 264901 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 264903 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 264906 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 264910 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264915 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 264917 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 264920 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 264924 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 264929 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 264932 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 264935 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 264938 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264943 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 264948 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 264953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 264956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 264958 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 264961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 264964 */   GIR_RootConstrainSelectedInstOperands,
     /* 264965 */   // GIR_Coverage, 13139,
     /* 264965 */   GIR_EraseRootFromParent_Done,
     /* 264966 */ // Label 5285: @264966
     /* 264966 */ GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(265086), // Rule ID 13141 //
     /* 264971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 264974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 264978 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 264982 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 264986 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 264989 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sminv),
     /* 264994 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 264998 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265003 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 265005 */   // (sext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 675:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SMOVvi16to32:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (SMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 265005 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 265008 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i16v),
     /* 265012 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265017 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 265021 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 265023 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 265026 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 265030 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265035 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 265037 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 265040 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 265044 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265049 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 265052 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 265055 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 265058 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265063 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265068 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 265073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 265076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265078 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265084 */   GIR_RootConstrainSelectedInstOperands,
     /* 265085 */   // GIR_Coverage, 13141,
     /* 265085 */   GIR_EraseRootFromParent_Done,
     /* 265086 */ // Label 5286: @265086
     /* 265086 */ GIM_Reject,
     /* 265087 */ // Label 5270: @265087
     /* 265087 */ GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(265309),
     /* 265092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 265095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 265099 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(265153), // Rule ID 5657 //
     /* 265104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 265116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 265120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 265129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265133 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 265137 */     // MIs[2] Operand 1
     /* 265137 */     // No operand predicates
     /* 265137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 265139 */     // (sext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SMOVvi32to64:{ *:[i64] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 265139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi32to64),
     /* 265142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 265148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 265151 */     GIR_RootConstrainSelectedInstOperands,
     /* 265152 */     // GIR_Coverage, 5657,
     /* 265152 */     GIR_EraseRootFromParent_Done,
     /* 265153 */   // Label 5288: @265153
     /* 265153 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(265232), // Rule ID 11208 //
     /* 265158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 265161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 265173 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 265177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 265181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265185 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 265189 */     // MIs[2] Operand 1
     /* 265189 */     // No operand predicates
     /* 265189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 265191 */     // (sext:{ *:[i64] } (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index))  =>  (SMOVvi32to64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v4i32] } ZPR:{ *:[nxv4i32] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index)
     /* 265191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 265194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 265198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265203 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 265209 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265214 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 265219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi32to64),
     /* 265222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 265230 */     GIR_RootConstrainSelectedInstOperands,
     /* 265231 */     // GIR_Coverage, 11208,
     /* 265231 */     GIR_EraseRootFromParent_Done,
     /* 265232 */   // Label 5289: @265232
     /* 265232 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(265308), // Rule ID 6495 //
     /* 265237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 265241 */     // (sext:{ *:[i64] } GPR32:{ *:[i32] }:$src)  =>  (SBFMXri:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$src, sub_32:{ *:[i32] }), 0:{ *:[i64] }, 31:{ *:[i64] })
     /* 265241 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 265244 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 265248 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 265255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 265258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 265262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265267 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 265270 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 265274 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 265277 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 265282 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 265287 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 265292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 265295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 265306 */     GIR_RootConstrainSelectedInstOperands,
     /* 265307 */     // GIR_Coverage, 6495,
     /* 265307 */     GIR_EraseRootFromParent_Done,
     /* 265308 */   // Label 5290: @265308
     /* 265308 */   GIM_Reject,
     /* 265309 */ // Label 5287: @265309
     /* 265309 */ GIM_Reject,
     /* 265310 */ // Label 5271: @265310
     /* 265310 */ GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(265371),
     /* 265315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 265318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265322 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(265349), // Rule ID 6367 //
     /* 265327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 265334 */     // (sext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (SSHLLv4i32_shift:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i32] })
     /* 265334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i32_shift),
     /* 265337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 265344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265347 */     GIR_RootConstrainSelectedInstOperands,
     /* 265348 */     // GIR_Coverage, 6367,
     /* 265348 */     GIR_EraseRootFromParent_Done,
     /* 265349 */   // Label 5292: @265349
     /* 265349 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(265370), // Rule ID 6356 //
     /* 265354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265358 */     // (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (SSHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, 0:{ *:[i32] })
     /* 265358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 265361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265363 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 265365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265368 */     GIR_RootConstrainSelectedInstOperands,
     /* 265369 */     // GIR_Coverage, 6356,
     /* 265369 */     GIR_EraseRootFromParent_Done,
     /* 265370 */   // Label 5293: @265370
     /* 265370 */   GIM_Reject,
     /* 265371 */ // Label 5291: @265371
     /* 265371 */ GIM_Reject,
     /* 265372 */ // Label 5272: @265372
     /* 265372 */ GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(265433),
     /* 265377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 265380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265384 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(265411), // Rule ID 6364 //
     /* 265389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 265396 */     // (sext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (SSHLLv8i16_shift:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i32] })
     /* 265396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i16_shift),
     /* 265399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 265406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265409 */     GIR_RootConstrainSelectedInstOperands,
     /* 265410 */     // GIR_Coverage, 6364,
     /* 265410 */     GIR_EraseRootFromParent_Done,
     /* 265411 */   // Label 5295: @265411
     /* 265411 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(265432), // Rule ID 6353 //
     /* 265416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265420 */     // (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SSHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, 0:{ *:[i32] })
     /* 265420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 265423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265425 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 265427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265430 */     GIR_RootConstrainSelectedInstOperands,
     /* 265431 */     // GIR_Coverage, 6353,
     /* 265431 */     GIR_EraseRootFromParent_Done,
     /* 265432 */   // Label 5296: @265432
     /* 265432 */   GIM_Reject,
     /* 265433 */ // Label 5294: @265433
     /* 265433 */ GIM_Reject,
     /* 265434 */ // Label 5273: @265434
     /* 265434 */ GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(265495),
     /* 265439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 265442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265446 */   GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(265473), // Rule ID 6361 //
     /* 265451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 265458 */     // (sext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn))  =>  (SSHLLv16i8_shift:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i32] })
     /* 265458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv16i8_shift),
     /* 265461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 265468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265471 */     GIR_RootConstrainSelectedInstOperands,
     /* 265472 */     // GIR_Coverage, 6361,
     /* 265472 */     GIR_EraseRootFromParent_Done,
     /* 265473 */   // Label 5298: @265473
     /* 265473 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(265494), // Rule ID 6350 //
     /* 265478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 265482 */     // (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn)  =>  (SSHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, 0:{ *:[i32] })
     /* 265482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 265485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265487 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 265489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 265492 */     GIR_RootConstrainSelectedInstOperands,
     /* 265493 */     // GIR_Coverage, 6350,
     /* 265493 */     GIR_EraseRootFromParent_Done,
     /* 265494 */   // Label 5299: @265494
     /* 265494 */   GIM_Reject,
     /* 265495 */ // Label 5297: @265495
     /* 265495 */ GIM_Reject,
     /* 265496 */ // Label 5274: @265496
     /* 265496 */ GIM_Reject,
     /* 265497 */ // Label 42: @265497
     /* 265497 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(22), /*)*//*default:*//*Label 5305*/ GIMT_Encode4(267150),
     /* 265508 */ /*GILLT_s32*//*Label 5300*/ GIMT_Encode4(265588),
     /* 265512 */ /*GILLT_s64*//*Label 5301*/ GIMT_Encode4(266082), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 265564 */ /*GILLT_nxv2s64*//*Label 5302*/ GIMT_Encode4(266724), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 265576 */ /*GILLT_nxv4s32*//*Label 5303*/ GIMT_Encode4(266933), GIMT_Encode4(0),
     /* 265584 */ /*GILLT_nxv8s16*//*Label 5304*/ GIMT_Encode4(267077),
     /* 265588 */ // Label 5300: @265588
     /* 265588 */ GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(266081),
     /* 265593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 265596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 265600 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(265665), // Rule ID 5652 //
     /* 265605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 265617 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 265621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 265630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265634 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 265638 */     // MIs[2] Operand 1
     /* 265638 */     // No operand predicates
     /* 265638 */     // MIs[0] Operand 2
     /* 265638 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 265649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 265651 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), i8:{ *:[Other] })  =>  (SMOVvi8to32:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /* 265651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 265654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 265660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 265663 */     GIR_RootConstrainSelectedInstOperands,
     /* 265664 */     // GIR_Coverage, 5652,
     /* 265664 */     GIR_EraseRootFromParent_Done,
     /* 265665 */   // Label 5307: @265665
     /* 265665 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(265730), // Rule ID 5654 //
     /* 265670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 265682 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 265686 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265691 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 265695 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265699 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 265703 */     // MIs[2] Operand 1
     /* 265703 */     // No operand predicates
     /* 265703 */     // MIs[0] Operand 2
     /* 265703 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 265714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 265716 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), i16:{ *:[Other] })  =>  (SMOVvi16to32:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 265716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 265719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 265725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 265728 */     GIR_RootConstrainSelectedInstOperands,
     /* 265729 */     // GIR_Coverage, 5654,
     /* 265729 */     GIR_EraseRootFromParent_Done,
     /* 265730 */   // Label 5308: @265730
     /* 265730 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(265795), // Rule ID 5656 //
     /* 265735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 265747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 265751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 265760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265764 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 265768 */     // MIs[2] Operand 1
     /* 265768 */     // No operand predicates
     /* 265768 */     // MIs[0] Operand 2
     /* 265768 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 265779 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 265781 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), i16:{ *:[Other] })  =>  (SMOVvi16to32:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 265781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 265784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 265790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 265793 */     GIR_RootConstrainSelectedInstOperands,
     /* 265794 */     // GIR_Coverage, 5656,
     /* 265794 */     GIR_EraseRootFromParent_Done,
     /* 265795 */   // Label 5309: @265795
     /* 265795 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(265885), // Rule ID 11204 //
     /* 265800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 265803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 265815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 265819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 265823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265827 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 265831 */     // MIs[2] Operand 1
     /* 265831 */     // No operand predicates
     /* 265831 */     // MIs[0] Operand 2
     /* 265831 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 265842 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 265844 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index), i8:{ *:[Other] })  =>  (SMOVvi8to32:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v16i8] } ZPR:{ *:[nxv16i8] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)
     /* 265844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 265847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 265851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265856 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 265862 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265867 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 265872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to32),
     /* 265875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 265883 */     GIR_RootConstrainSelectedInstOperands,
     /* 265884 */     // GIR_Coverage, 11204,
     /* 265884 */     GIR_EraseRootFromParent_Done,
     /* 265885 */   // Label 5310: @265885
     /* 265885 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(265975), // Rule ID 11206 //
     /* 265890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 265893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 265897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 265901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 265905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 265909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 265913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 265917 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 265921 */     // MIs[2] Operand 1
     /* 265921 */     // No operand predicates
     /* 265921 */     // MIs[0] Operand 2
     /* 265921 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 265932 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 265934 */     // (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index), i16:{ *:[Other] })  =>  (SMOVvi16to32:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v8i16] } ZPR:{ *:[nxv8i16] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)
     /* 265934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 265937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 265941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 265946 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 265952 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 265957 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 265962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to32),
     /* 265965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 265967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 265970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 265973 */     GIR_RootConstrainSelectedInstOperands,
     /* 265974 */     // GIR_Coverage, 11206,
     /* 265974 */     GIR_EraseRootFromParent_Done,
     /* 265975 */   // Label 5311: @265975
     /* 265975 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(266010), // Rule ID 6500 //
     /* 265980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 265984 */     // MIs[0] Operand 2
     /* 265984 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 265995 */     // (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$src, i16:{ *:[Other] })  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$src, 0:{ *:[i64] }, 15:{ *:[i64] })
     /* 265995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 265998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266000 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 266002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 266008 */     GIR_RootConstrainSelectedInstOperands,
     /* 266009 */     // GIR_Coverage, 6500,
     /* 266009 */     GIR_EraseRootFromParent_Done,
     /* 266010 */   // Label 5312: @266010
     /* 266010 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(266045), // Rule ID 6501 //
     /* 266015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266019 */     // MIs[0] Operand 2
     /* 266019 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 266030 */     // (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$src, i8:{ *:[Other] })  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$src, 0:{ *:[i64] }, 7:{ *:[i64] })
     /* 266030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 266033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266035 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 266037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 266043 */     GIR_RootConstrainSelectedInstOperands,
     /* 266044 */     // GIR_Coverage, 6501,
     /* 266044 */     GIR_EraseRootFromParent_Done,
     /* 266045 */   // Label 5313: @266045
     /* 266045 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(266080), // Rule ID 6502 //
     /* 266050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 266054 */     // MIs[0] Operand 2
     /* 266054 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 266065 */     // (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$src, i1:{ *:[Other] })  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$src, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 266065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 266068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266070 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 266072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266078 */     GIR_RootConstrainSelectedInstOperands,
     /* 266079 */     // GIR_Coverage, 6502,
     /* 266079 */     GIR_EraseRootFromParent_Done,
     /* 266080 */   // Label 5314: @266080
     /* 266080 */   GIM_Reject,
     /* 266081 */ // Label 5306: @266081
     /* 266081 */ GIM_Reject,
     /* 266082 */ // Label 5301: @266082
     /* 266082 */ GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(266723),
     /* 266087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 266090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 266094 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(266171), // Rule ID 5658 //
     /* 266099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 266107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 266111 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 266115 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 266119 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 266123 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 266127 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266132 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 266136 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 266140 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 266144 */     // MIs[3] Operand 1
     /* 266144 */     // No operand predicates
     /* 266144 */     // MIs[0] Operand 2
     /* 266144 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 266155 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 266157 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)), i8:{ *:[Other] })  =>  (SMOVvi8to64:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /* 266157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to64),
     /* 266160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 266166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 266169 */     GIR_RootConstrainSelectedInstOperands,
     /* 266170 */     // GIR_Coverage, 5658,
     /* 266170 */     GIR_EraseRootFromParent_Done,
     /* 266171 */   // Label 5316: @266171
     /* 266171 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(266248), // Rule ID 5659 //
     /* 266176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 266184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 266188 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 266192 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 266196 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 266200 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 266204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266209 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 266213 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 266217 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 266221 */     // MIs[3] Operand 1
     /* 266221 */     // No operand predicates
     /* 266221 */     // MIs[0] Operand 2
     /* 266221 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 266232 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 266234 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), i16:{ *:[Other] })  =>  (SMOVvi16to64:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 266234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to64),
     /* 266237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 266243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 266246 */     GIR_RootConstrainSelectedInstOperands,
     /* 266247 */     // GIR_Coverage, 5659,
     /* 266247 */     GIR_EraseRootFromParent_Done,
     /* 266248 */   // Label 5317: @266248
     /* 266248 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(266350), // Rule ID 11205 //
     /* 266253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 266256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 266264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 266268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 266272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 266276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 266280 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 266284 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 266288 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 266292 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 266296 */     // MIs[3] Operand 1
     /* 266296 */     // No operand predicates
     /* 266296 */     // MIs[0] Operand 2
     /* 266296 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 266307 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 266309 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)), i8:{ *:[Other] })  =>  (SMOVvi8to64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v16i8] } ZPR:{ *:[nxv16i8] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)
     /* 266309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 266312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266321 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 266327 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266332 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 266337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to64),
     /* 266340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // index
     /* 266348 */     GIR_RootConstrainSelectedInstOperands,
     /* 266349 */     // GIR_Coverage, 11205,
     /* 266349 */     GIR_EraseRootFromParent_Done,
     /* 266350 */   // Label 5318: @266350
     /* 266350 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(266452), // Rule ID 11207 //
     /* 266355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 266358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 266366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 266370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 266374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 266378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 266382 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 266386 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 266390 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 266394 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 266398 */     // MIs[3] Operand 1
     /* 266398 */     // No operand predicates
     /* 266398 */     // MIs[0] Operand 2
     /* 266398 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 266409 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 266411 */     // (sext_inreg:{ *:[i64] } (anyext:{ *:[i64] } (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)), i16:{ *:[Other] })  =>  (SMOVvi16to64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v8i16] } ZPR:{ *:[nxv8i16] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)
     /* 266411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 266414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 266418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266423 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 266429 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266434 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 266439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to64),
     /* 266442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // index
     /* 266450 */     GIR_RootConstrainSelectedInstOperands,
     /* 266451 */     // GIR_Coverage, 11207,
     /* 266451 */     GIR_EraseRootFromParent_Done,
     /* 266452 */   // Label 5319: @266452
     /* 266452 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(266517), // Rule ID 5653 //
     /* 266457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 266465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 266469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 266473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266478 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 266482 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 266486 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 266490 */     // MIs[2] Operand 1
     /* 266490 */     // No operand predicates
     /* 266490 */     // MIs[0] Operand 2
     /* 266490 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 266501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 266503 */     // (sext_inreg:{ *:[i64] } (vector_extract:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx), i8:{ *:[Other] })  =>  (SMOVvi8to64:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)
     /* 266503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi8to64),
     /* 266506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 266512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 266515 */     GIR_RootConstrainSelectedInstOperands,
     /* 266516 */     // GIR_Coverage, 5653,
     /* 266516 */     GIR_EraseRootFromParent_Done,
     /* 266517 */   // Label 5320: @266517
     /* 266517 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(266582), // Rule ID 5655 //
     /* 266522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 266526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 266530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 266534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 266538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 266543 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 266547 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 266551 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 266555 */     // MIs[2] Operand 1
     /* 266555 */     // No operand predicates
     /* 266555 */     // MIs[0] Operand 2
     /* 266555 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 266566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 266568 */     // (sext_inreg:{ *:[i64] } (vector_extract:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), i16:{ *:[Other] })  =>  (SMOVvi16to64:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 266568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMOVvi16to64),
     /* 266571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 266577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 266580 */     GIR_RootConstrainSelectedInstOperands,
     /* 266581 */     // GIR_Coverage, 5655,
     /* 266581 */     GIR_EraseRootFromParent_Done,
     /* 266582 */   // Label 5321: @266582
     /* 266582 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(266617), // Rule ID 6496 //
     /* 266587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 266591 */     // MIs[0] Operand 2
     /* 266591 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 266602 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i32:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 31:{ *:[i64] })
     /* 266602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 266605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266607 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 266609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 266615 */     GIR_RootConstrainSelectedInstOperands,
     /* 266616 */     // GIR_Coverage, 6496,
     /* 266616 */     GIR_EraseRootFromParent_Done,
     /* 266617 */   // Label 5322: @266617
     /* 266617 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(266652), // Rule ID 6497 //
     /* 266622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 266626 */     // MIs[0] Operand 2
     /* 266626 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 266637 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i16:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 15:{ *:[i64] })
     /* 266637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 266640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266642 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 266644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 266650 */     GIR_RootConstrainSelectedInstOperands,
     /* 266651 */     // GIR_Coverage, 6497,
     /* 266651 */     GIR_EraseRootFromParent_Done,
     /* 266652 */   // Label 5323: @266652
     /* 266652 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(266687), // Rule ID 6498 //
     /* 266657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 266661 */     // MIs[0] Operand 2
     /* 266661 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 266672 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i8:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 7:{ *:[i64] })
     /* 266672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 266675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266677 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 266679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 266685 */     GIR_RootConstrainSelectedInstOperands,
     /* 266686 */     // GIR_Coverage, 6498,
     /* 266686 */     GIR_EraseRootFromParent_Done,
     /* 266687 */   // Label 5324: @266687
     /* 266687 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(266722), // Rule ID 6499 //
     /* 266692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 266696 */     // MIs[0] Operand 2
     /* 266696 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 266707 */     // (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$src, i1:{ *:[Other] })  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$src, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 266707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 266710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 266712 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 266714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 266720 */     GIR_RootConstrainSelectedInstOperands,
     /* 266721 */     // GIR_Coverage, 6499,
     /* 266721 */     GIR_EraseRootFromParent_Done,
     /* 266722 */   // Label 5325: @266722
     /* 266722 */   GIM_Reject,
     /* 266723 */ // Label 5315: @266723
     /* 266723 */ GIM_Reject,
     /* 266724 */ // Label 5302: @266724
     /* 266724 */ GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(266932),
     /* 266729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 266732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 266736 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(266801), // Rule ID 10476 //
     /* 266741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 266744 */     // MIs[0] Operand 2
     /* 266744 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 266755 */     // (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, nxv2i32:{ *:[Other] })  =>  (SXTW_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv2i64] }:$Zs)
     /* 266755 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 266758 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 266762 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266767 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 266770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 266772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 266775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 266779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 266786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTW_ZPmZ_D_UNDEF),
     /* 266789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 266791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 266797 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 266799 */     GIR_RootConstrainSelectedInstOperands,
     /* 266800 */     // GIR_Coverage, 10476,
     /* 266800 */     GIR_EraseRootFromParent_Done,
     /* 266801 */   // Label 5327: @266801
     /* 266801 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(266866), // Rule ID 10477 //
     /* 266806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 266809 */     // MIs[0] Operand 2
     /* 266809 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 266820 */     // (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, nxv2i16:{ *:[Other] })  =>  (SXTH_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv2i64] }:$Zs)
     /* 266820 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 266823 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 266827 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266832 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 266835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 266837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 266840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 266844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 266851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTH_ZPmZ_D_UNDEF),
     /* 266854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 266856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 266862 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 266864 */     GIR_RootConstrainSelectedInstOperands,
     /* 266865 */     // GIR_Coverage, 10477,
     /* 266865 */     GIR_EraseRootFromParent_Done,
     /* 266866 */   // Label 5328: @266866
     /* 266866 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(266931), // Rule ID 10478 //
     /* 266871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 266874 */     // MIs[0] Operand 2
     /* 266874 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 266885 */     // (sext_inreg:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, nxv2i8:{ *:[Other] })  =>  (SXTB_ZPmZ_D_UNDEF:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv2i64] }:$Zs)
     /* 266885 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 266888 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 266892 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266897 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 266900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 266902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 266905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 266909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 266916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTB_ZPmZ_D_UNDEF),
     /* 266919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 266921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 266924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 266927 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 266929 */     GIR_RootConstrainSelectedInstOperands,
     /* 266930 */     // GIR_Coverage, 10478,
     /* 266930 */     GIR_EraseRootFromParent_Done,
     /* 266931 */   // Label 5329: @266931
     /* 266931 */   GIM_Reject,
     /* 266932 */ // Label 5326: @266932
     /* 266932 */ GIM_Reject,
     /* 266933 */ // Label 5303: @266933
     /* 266933 */ GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(267076),
     /* 266938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 266941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 266945 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(267010), // Rule ID 10479 //
     /* 266950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 266953 */     // MIs[0] Operand 2
     /* 266953 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 266964 */     // (sext_inreg:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Zs, nxv4i16:{ *:[Other] })  =>  (SXTH_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv4i32] }:$Zs)
     /* 266964 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 266967 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 266971 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266976 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 266979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 266981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 266984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 266988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 266993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 266995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTH_ZPmZ_S_UNDEF),
     /* 266998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 267000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 267006 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 267008 */     GIR_RootConstrainSelectedInstOperands,
     /* 267009 */     // GIR_Coverage, 10479,
     /* 267009 */     GIR_EraseRootFromParent_Done,
     /* 267010 */   // Label 5331: @267010
     /* 267010 */   GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(267075), // Rule ID 10480 //
     /* 267015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 267018 */     // MIs[0] Operand 2
     /* 267018 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 267029 */     // (sext_inreg:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Zs, nxv4i8:{ *:[Other] })  =>  (SXTB_ZPmZ_S_UNDEF:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv4i32] }:$Zs)
     /* 267029 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 267032 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 267036 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267041 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 267044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 267046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 267049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 267060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTB_ZPmZ_S_UNDEF),
     /* 267063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 267065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 267071 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 267073 */     GIR_RootConstrainSelectedInstOperands,
     /* 267074 */     // GIR_Coverage, 10480,
     /* 267074 */     GIR_EraseRootFromParent_Done,
     /* 267075 */   // Label 5332: @267075
     /* 267075 */   GIM_Reject,
     /* 267076 */ // Label 5330: @267076
     /* 267076 */ GIM_Reject,
     /* 267077 */ // Label 5304: @267077
     /* 267077 */ GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(267149), // Rule ID 10481 //
     /* 267082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 267085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 267088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 267092 */   // MIs[0] Operand 2
     /* 267092 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 267103 */   // (sext_inreg:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Zs, nxv8i8:{ *:[Other] })  =>  (SXTB_ZPmZ_H_UNDEF:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv16i8] }), (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), ZPR:{ *:[nxv8i16] }:$Zs)
     /* 267103 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 267106 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 267110 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267115 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 267118 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 267120 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 267123 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267127 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267132 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 267134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SXTB_ZPmZ_H_UNDEF),
     /* 267137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 267139 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267142 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 267145 */   GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 267147 */   GIR_RootConstrainSelectedInstOperands,
     /* 267148 */   // GIR_Coverage, 10481,
     /* 267148 */   GIR_EraseRootFromParent_Done,
     /* 267149 */ // Label 5333: @267149
     /* 267149 */ GIM_Reject,
     /* 267150 */ // Label 5305: @267150
     /* 267150 */ GIM_Reject,
     /* 267151 */ // Label 43: @267151
     /* 267151 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 5338*/ GIMT_Encode4(269929),
     /* 267162 */ /*GILLT_s32*//*Label 5334*/ GIMT_Encode4(267198), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 267178 */ /*GILLT_v2s64*//*Label 5335*/ GIMT_Encode4(268999), GIMT_Encode4(0),
     /* 267186 */ /*GILLT_v4s32*//*Label 5336*/ GIMT_Encode4(269309), GIMT_Encode4(0),
     /* 267194 */ /*GILLT_v8s16*//*Label 5337*/ GIMT_Encode4(269619),
     /* 267198 */ // Label 5334: @267198
     /* 267198 */ GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(267348), // Rule ID 13112 //
     /* 267203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 267206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267210 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267214 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267218 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267221 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 267226 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 267230 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 267235 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267237 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 727:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267237 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 267240 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 267244 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267249 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267253 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267255 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267258 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267262 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267267 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267269 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267272 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267276 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267281 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267284 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267287 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 267290 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267295 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267300 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 267305 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267308 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267312 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267317 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267324 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267329 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267339 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267342 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267347 */   // GIR_Coverage, 13112,
     /* 267347 */   GIR_EraseRootFromParent_Done,
     /* 267348 */ // Label 5339: @267348
     /* 267348 */ GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(267498), // Rule ID 13114 //
     /* 267353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 267356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267360 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267364 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267368 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267371 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 267376 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 267380 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267385 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267387 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 727:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267387 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 267390 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 267394 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267399 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267403 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267405 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267408 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267412 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267417 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267419 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267422 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267426 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267431 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267434 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267437 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 267440 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267445 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267450 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 267455 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267458 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267462 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267467 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267474 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267479 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267489 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267492 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267497 */   // GIR_Coverage, 13114,
     /* 267497 */   GIR_EraseRootFromParent_Done,
     /* 267498 */ // Label 5340: @267498
     /* 267498 */ GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(267648), // Rule ID 13116 //
     /* 267503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 267506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267510 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267514 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267518 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267521 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 267526 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 267530 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 267535 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267537 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 727:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267537 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 267540 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 267544 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267549 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267553 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267555 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267558 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267562 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267567 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267569 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267572 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267576 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267581 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267584 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267587 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 267590 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267595 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267600 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 267605 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267608 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267612 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267617 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267624 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267629 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267639 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267642 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267647 */   // GIR_Coverage, 13116,
     /* 267647 */   GIR_EraseRootFromParent_Done,
     /* 267648 */ // Label 5341: @267648
     /* 267648 */ GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(267798), // Rule ID 13118 //
     /* 267653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 267656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267660 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267664 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267668 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267671 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddv),
     /* 267676 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 267680 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267685 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267687 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 727:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267687 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 267690 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 267694 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267699 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267703 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267705 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267708 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267712 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267717 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267719 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267722 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267726 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267731 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267734 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267737 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 267740 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267745 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267750 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 267755 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267758 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267762 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267767 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267774 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267779 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267789 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267792 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267797 */   // GIR_Coverage, 13118,
     /* 267797 */   GIR_EraseRootFromParent_Done,
     /* 267798 */ // Label 5342: @267798
     /* 267798 */ GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(267948), // Rule ID 13145 //
     /* 267803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 267806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267810 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267814 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267818 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267821 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 267826 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 267830 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 267835 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267837 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 733:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267837 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 267840 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i8v),
     /* 267844 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267849 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 267853 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 267855 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 267858 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 267862 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267867 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 267869 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 267872 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 267876 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267881 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 267884 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 267887 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 267890 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267895 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267900 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 267905 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 267908 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267912 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267917 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 267924 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 267929 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 267937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 267939 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 267942 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267947 */   // GIR_Coverage, 13145,
     /* 267947 */   GIR_EraseRootFromParent_Done,
     /* 267948 */ // Label 5343: @267948
     /* 267948 */ GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(268098), // Rule ID 13147 //
     /* 267953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 267956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 267960 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 267964 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 267968 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 267971 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 267976 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 267980 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 267985 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 267987 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 733:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 267987 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 267990 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv16i8v),
     /* 267994 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 267999 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268003 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 268005 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 268008 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 268012 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268017 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 268019 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 268022 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 268026 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268031 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 268034 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 268037 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 268040 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268045 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268050 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 268055 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 268058 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268062 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268067 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 268074 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 268079 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 268089 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 268092 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268097 */   // GIR_Coverage, 13147,
     /* 268097 */   GIR_EraseRootFromParent_Done,
     /* 268098 */ // Label 5344: @268098
     /* 268098 */ GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(268248), // Rule ID 13149 //
     /* 268103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 268106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268110 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268114 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268118 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 268121 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 268126 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268130 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268135 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268137 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 733:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 268137 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 268140 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i16v),
     /* 268144 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268149 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268153 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 268155 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 268158 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 268162 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268167 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 268169 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 268172 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 268176 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268181 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 268184 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 268187 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 268190 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268195 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268200 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 268205 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 268208 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268212 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268217 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 268224 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 268229 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 268239 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 268242 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268247 */   // GIR_Coverage, 13149,
     /* 268247 */   GIR_EraseRootFromParent_Done,
     /* 268248 */ // Label 5345: @268248
     /* 268248 */ GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(268398), // Rule ID 13151 //
     /* 268253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 268256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268260 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268264 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268268 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 268271 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_umaxv),
     /* 268276 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 268280 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268285 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268287 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 733:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMAXVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 268287 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 268290 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i16v),
     /* 268294 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268299 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268303 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 268305 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 268308 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 268312 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268317 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 268319 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 268322 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 268326 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268331 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 268334 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 268337 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 268340 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268345 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268350 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 268355 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 268358 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268362 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268367 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 268374 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 268379 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 268389 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 268392 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268397 */   // GIR_Coverage, 13151,
     /* 268397 */   GIR_EraseRootFromParent_Done,
     /* 268398 */ // Label 5346: @268398
     /* 268398 */ GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(268548), // Rule ID 13155 //
     /* 268403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 268406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268410 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268414 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268418 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 268421 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 268426 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 268430 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268435 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268437 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 736:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 268437 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 268440 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i8v),
     /* 268444 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268449 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 268455 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 268458 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 268462 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268467 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 268469 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 268472 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 268476 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268481 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 268484 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 268487 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 268490 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268495 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268500 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 268505 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 268508 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268512 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268517 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 268524 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 268529 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 268539 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 268542 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268547 */   // GIR_Coverage, 13155,
     /* 268547 */   GIR_EraseRootFromParent_Done,
     /* 268548 */ // Label 5347: @268548
     /* 268548 */ GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(268698), // Rule ID 13157 //
     /* 268553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 268556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268560 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268564 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268568 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 268571 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 268576 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 268580 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268585 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268587 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i8] } 736:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn), bsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 268587 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s8,
     /* 268590 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv16i8v),
     /* 268594 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268599 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268603 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 268605 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 268608 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 268612 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268617 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 268619 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 268622 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 268626 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268631 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 268634 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 268637 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/1,
     /* 268640 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268645 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268650 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 268655 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 268658 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268662 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268667 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 268674 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 268679 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 268689 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 268692 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268697 */   // GIR_Coverage, 13157,
     /* 268697 */   GIR_EraseRootFromParent_Done,
     /* 268698 */ // Label 5348: @268698
     /* 268698 */ GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(268848), // Rule ID 13159 //
     /* 268703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 268706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268710 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268714 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268718 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 268721 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 268726 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 268730 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 268735 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268737 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 736:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 268737 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 268740 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i16v),
     /* 268744 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268749 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268753 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 268755 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 268758 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 268762 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268767 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 268769 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 268772 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 268776 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268781 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 268784 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 268787 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 268790 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268795 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268800 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 268805 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 268808 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268812 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268817 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 268824 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 268829 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 268839 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 268842 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268847 */   // GIR_Coverage, 13159,
     /* 268847 */   GIR_EraseRootFromParent_Done,
     /* 268848 */ // Label 5349: @268848
     /* 268848 */ GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(268998), // Rule ID 13161 //
     /* 268853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 268856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268860 */   GIM_RecordInsnIgnoreCopies, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 268864 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 268868 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 268871 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uminv),
     /* 268876 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 268880 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268885 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 268887 */   // (zext:{ *:[i32] } (intrinsic_wo_chain:{ *:[i16] } 736:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (COPY_TO_REGCLASS:{ *:[i32] } (EXTRACT_SUBREG:{ *:[i32] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (UMINVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn), hsub:{ *:[i32] }), ssub:{ *:[i32] }), GPR32:{ *:[i32] })
     /* 268887 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s16,
     /* 268890 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i16v),
     /* 268894 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268899 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 268903 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 268905 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 268908 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 268912 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268917 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 268919 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 268922 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 268926 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268931 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 268934 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/3,
     /* 268937 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/9,
     /* 268940 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268945 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268950 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 268955 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 268958 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268962 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 268967 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 268974 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 268979 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 268984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 268987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 268989 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 268992 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 268997 */   // GIR_Coverage, 13161,
     /* 268997 */   GIR_EraseRootFromParent_Done,
     /* 268998 */ // Label 5350: @268998
     /* 268998 */ GIM_Reject,
     /* 268999 */ // Label 5335: @268999
     /* 268999 */ GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(269308),
     /* 269004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 269007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269011 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(269076), // Rule ID 702 //
     /* 269016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269027 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269030 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 269035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 269039 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 269043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269045 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 269052 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 269059 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (UABDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 269059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i32_v2i64),
     /* 269062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 269074 */     GIR_RootConstrainSelectedInstOperands,
     /* 269075 */     // GIR_Coverage, 702,
     /* 269075 */     GIR_EraseRootFromParent_Done,
     /* 269076 */   // Label 5352: @269076
     /* 269076 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(269141), // Rule ID 1711 //
     /* 269081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269092 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269095 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 269100 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 269104 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 269108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269110 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 269117 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 269124 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm)))  =>  (SABDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 269124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv4i32_v2i64),
     /* 269127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 269139 */     GIR_RootConstrainSelectedInstOperands,
     /* 269140 */     // GIR_Coverage, 1711,
     /* 269140 */     GIR_EraseRootFromParent_Done,
     /* 269141 */   // Label 5353: @269141
     /* 269141 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(269200), // Rule ID 700 //
     /* 269146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269157 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269160 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 269165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 269169 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 269173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269185 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 724:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (UABDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 269185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv2i32_v2i64),
     /* 269188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 269194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 269198 */     GIR_RootConstrainSelectedInstOperands,
     /* 269199 */     // GIR_Coverage, 700,
     /* 269199 */     GIR_EraseRootFromParent_Done,
     /* 269200 */   // Label 5354: @269200
     /* 269200 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(269259), // Rule ID 1709 //
     /* 269205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269216 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269219 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 269224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 269228 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 269232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269244 */     // (zext:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v2i32] } 659:{ *:[iPTR] }, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm))  =>  (SABDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 269244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv2i32_v2i64),
     /* 269247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 269253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 269257 */     GIR_RootConstrainSelectedInstOperands,
     /* 269258 */     // GIR_Coverage, 1709,
     /* 269258 */     GIR_EraseRootFromParent_Done,
     /* 269259 */   // Label 5355: @269259
     /* 269259 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(269286), // Rule ID 6366 //
     /* 269264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 269271 */     // (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (USHLLv4i32_shift:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i32] })
     /* 269271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i32_shift),
     /* 269274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 269284 */     GIR_RootConstrainSelectedInstOperands,
     /* 269285 */     // GIR_Coverage, 6366,
     /* 269285 */     GIR_EraseRootFromParent_Done,
     /* 269286 */   // Label 5356: @269286
     /* 269286 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(269307), // Rule ID 6357 //
     /* 269291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269295 */     // (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (USHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, 0:{ *:[i32] })
     /* 269295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv2i32_shift),
     /* 269298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269300 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 269305 */     GIR_RootConstrainSelectedInstOperands,
     /* 269306 */     // GIR_Coverage, 6357,
     /* 269306 */     GIR_EraseRootFromParent_Done,
     /* 269307 */   // Label 5357: @269307
     /* 269307 */   GIM_Reject,
     /* 269308 */ // Label 5351: @269308
     /* 269308 */ GIM_Reject,
     /* 269309 */ // Label 5336: @269309
     /* 269309 */ GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(269618),
     /* 269314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 269317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269321 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(269386), // Rule ID 698 //
     /* 269326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269337 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269340 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 269345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 269349 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 269353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269355 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 269362 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 269369 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (UABDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 269369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i16_v4i32),
     /* 269372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 269384 */     GIR_RootConstrainSelectedInstOperands,
     /* 269385 */     // GIR_Coverage, 698,
     /* 269385 */     GIR_EraseRootFromParent_Done,
     /* 269386 */   // Label 5359: @269386
     /* 269386 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(269451), // Rule ID 1707 //
     /* 269391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269402 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269405 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 269410 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 269414 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 269418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269420 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 269427 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 269434 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm)))  =>  (SABDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 269434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv8i16_v4i32),
     /* 269437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 269449 */     GIR_RootConstrainSelectedInstOperands,
     /* 269450 */     // GIR_Coverage, 1707,
     /* 269450 */     GIR_EraseRootFromParent_Done,
     /* 269451 */   // Label 5360: @269451
     /* 269451 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(269510), // Rule ID 696 //
     /* 269456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269467 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269470 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 269475 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 269479 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 269483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269495 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 724:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (UABDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 269495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i16_v4i32),
     /* 269498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 269504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 269508 */     GIR_RootConstrainSelectedInstOperands,
     /* 269509 */     // GIR_Coverage, 696,
     /* 269509 */     GIR_EraseRootFromParent_Done,
     /* 269510 */   // Label 5361: @269510
     /* 269510 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(269569), // Rule ID 1705 //
     /* 269515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269526 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269529 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 269534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 269538 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 269542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269554 */     // (zext:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 659:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm))  =>  (SABDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 269554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv4i16_v4i32),
     /* 269557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 269563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 269567 */     GIR_RootConstrainSelectedInstOperands,
     /* 269568 */     // GIR_Coverage, 1705,
     /* 269568 */     GIR_EraseRootFromParent_Done,
     /* 269569 */   // Label 5362: @269569
     /* 269569 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(269596), // Rule ID 6363 //
     /* 269574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 269581 */     // (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (USHLLv8i16_shift:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i32] })
     /* 269581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i16_shift),
     /* 269584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 269594 */     GIR_RootConstrainSelectedInstOperands,
     /* 269595 */     // GIR_Coverage, 6363,
     /* 269595 */     GIR_EraseRootFromParent_Done,
     /* 269596 */   // Label 5363: @269596
     /* 269596 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(269617), // Rule ID 6354 //
     /* 269601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269605 */     // (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (USHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, 0:{ *:[i32] })
     /* 269605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i16_shift),
     /* 269608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269610 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 269615 */     GIR_RootConstrainSelectedInstOperands,
     /* 269616 */     // GIR_Coverage, 6354,
     /* 269616 */     GIR_EraseRootFromParent_Done,
     /* 269617 */   // Label 5364: @269617
     /* 269617 */   GIM_Reject,
     /* 269618 */ // Label 5358: @269618
     /* 269618 */ GIM_Reject,
     /* 269619 */ // Label 5337: @269619
     /* 269619 */ GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(269928),
     /* 269624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 269627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 269631 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(269696), // Rule ID 694 //
     /* 269636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269647 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269650 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 269655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 269659 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 269663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269665 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 269672 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 269679 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (UABDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 269679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv16i8_v8i16),
     /* 269682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 269694 */     GIR_RootConstrainSelectedInstOperands,
     /* 269695 */     // GIR_Coverage, 694,
     /* 269695 */     GIR_EraseRootFromParent_Done,
     /* 269696 */   // Label 5366: @269696
     /* 269696 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(269761), // Rule ID 1703 //
     /* 269701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269712 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269715 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 269720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 269724 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 269728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269730 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 269737 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/3, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 269744 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm)))  =>  (SABDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 269744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv16i8_v8i16),
     /* 269747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 269759 */     GIR_RootConstrainSelectedInstOperands,
     /* 269760 */     // GIR_Coverage, 1703,
     /* 269760 */     GIR_EraseRootFromParent_Done,
     /* 269761 */   // Label 5367: @269761
     /* 269761 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(269820), // Rule ID 692 //
     /* 269766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269777 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269780 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uabd),
     /* 269785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 269789 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 269793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269805 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 724:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (UABDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 269805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i8_v8i16),
     /* 269808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 269814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 269818 */     GIR_RootConstrainSelectedInstOperands,
     /* 269819 */     // GIR_Coverage, 692,
     /* 269819 */     GIR_EraseRootFromParent_Done,
     /* 269820 */   // Label 5368: @269820
     /* 269820 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(269879), // Rule ID 1701 //
     /* 269825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 269828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 269832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 269836 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/4,
     /* 269839 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_sabd),
     /* 269844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 269848 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 269852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 269864 */     // (zext:{ *:[v8i16] } (intrinsic_wo_chain:{ *:[v8i8] } 659:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm))  =>  (SABDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 269864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SABDLv8i8_v8i16),
     /* 269867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 269873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Rm
     /* 269877 */     GIR_RootConstrainSelectedInstOperands,
     /* 269878 */     // GIR_Coverage, 1701,
     /* 269878 */     GIR_EraseRootFromParent_Done,
     /* 269879 */   // Label 5369: @269879
     /* 269879 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(269906), // Rule ID 6360 //
     /* 269884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 269891 */     // (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn))  =>  (USHLLv16i8_shift:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i32] })
     /* 269891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv16i8_shift),
     /* 269894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 269901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 269904 */     GIR_RootConstrainSelectedInstOperands,
     /* 269905 */     // GIR_Coverage, 6360,
     /* 269905 */     GIR_EraseRootFromParent_Done,
     /* 269906 */   // Label 5370: @269906
     /* 269906 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(269927), // Rule ID 6351 //
     /* 269911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 269915 */     // (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn)  =>  (USHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, 0:{ *:[i32] })
     /* 269915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i8_shift),
     /* 269918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 269920 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 269922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 269925 */     GIR_RootConstrainSelectedInstOperands,
     /* 269926 */     // GIR_Coverage, 6351,
     /* 269926 */     GIR_EraseRootFromParent_Done,
     /* 269927 */   // Label 5371: @269927
     /* 269927 */   GIM_Reject,
     /* 269928 */ // Label 5365: @269928
     /* 269928 */ GIM_Reject,
     /* 269929 */ // Label 5338: @269929
     /* 269929 */ GIM_Reject,
     /* 269930 */ // Label 44: @269930
     /* 269930 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 5377*/ GIMT_Encode4(270754),
     /* 269941 */ /*GILLT_s32*//*Label 5372*/ GIMT_Encode4(269977),
     /* 269945 */ /*GILLT_s64*//*Label 5373*/ GIMT_Encode4(270154), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 269957 */ /*GILLT_v2s64*//*Label 5374*/ GIMT_Encode4(270327), GIMT_Encode4(0),
     /* 269965 */ /*GILLT_v4s32*//*Label 5375*/ GIMT_Encode4(270472), GIMT_Encode4(0),
     /* 269973 */ /*GILLT_v8s16*//*Label 5376*/ GIMT_Encode4(270613),
     /* 269977 */ // Label 5372: @269977
     /* 269977 */ GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(270153),
     /* 269982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 269985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 269988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 269996 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(270033), // Rule ID 3935 //
     /* 270001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 270009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270020 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 270020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVWr),
     /* 270023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270025 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270031 */     GIR_RootConstrainSelectedInstOperands,
     /* 270032 */     // GIR_Coverage, 3935,
     /* 270032 */     GIR_EraseRootFromParent_Done,
     /* 270033 */   // Label 5379: @270033
     /* 270033 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(270070), // Rule ID 3936 //
     /* 270038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 270046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270057 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 270057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVWr),
     /* 270060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270062 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270068 */     GIR_RootConstrainSelectedInstOperands,
     /* 270069 */     // GIR_Coverage, 3936,
     /* 270069 */     GIR_EraseRootFromParent_Done,
     /* 270070 */   // Label 5380: @270070
     /* 270070 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(270107), // Rule ID 3934 //
     /* 270075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 270083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270094 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 270094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVWr),
     /* 270097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270099 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270105 */     GIR_RootConstrainSelectedInstOperands,
     /* 270106 */     // GIR_Coverage, 3934,
     /* 270106 */     GIR_EraseRootFromParent_Done,
     /* 270107 */   // Label 5381: @270107
     /* 270107 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(270152), // Rule ID 3933 //
     /* 270112 */     // (shl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i64:{ *:[i64] }:$Rm)  =>  (LSLVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rm, sub_32:{ *:[i32] }))
     /* 270112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 270115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 270119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 270124 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // Rm
     /* 270130 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270135 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVWr),
     /* 270143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270145 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 270150 */     GIR_RootConstrainSelectedInstOperands,
     /* 270151 */     // GIR_Coverage, 3933,
     /* 270151 */     GIR_EraseRootFromParent_Done,
     /* 270152 */   // Label 5382: @270152
     /* 270152 */   GIM_Reject,
     /* 270153 */ // Label 5378: @270153
     /* 270153 */ GIM_Reject,
     /* 270154 */ // Label 5373: @270154
     /* 270154 */ GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(270326),
     /* 270159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 270162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 270165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270173 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(270241), // Rule ID 3937 //
     /* 270178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 270186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270197 */     // (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 270197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 270200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 270204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 270209 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 270212 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270216 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 270219 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 270224 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVXr),
     /* 270232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270234 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 270239 */     GIR_RootConstrainSelectedInstOperands,
     /* 270240 */     // GIR_Coverage, 3937,
     /* 270240 */     GIR_EraseRootFromParent_Done,
     /* 270241 */   // Label 5384: @270241
     /* 270241 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(270309), // Rule ID 3938 //
     /* 270246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 270254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270265 */     // (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSLVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 270265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 270268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 270272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 270277 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 270280 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270284 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 270287 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 270292 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSLVXr),
     /* 270300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270302 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 270307 */     GIR_RootConstrainSelectedInstOperands,
     /* 270308 */     // GIR_Coverage, 3938,
     /* 270308 */     GIR_EraseRootFromParent_Done,
     /* 270309 */   // Label 5385: @270309
     /* 270309 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(270325), // Rule ID 120 //
     /* 270314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270318 */     // (shl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (LSLVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 270318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LSLVXr),
     /* 270323 */     GIR_RootConstrainSelectedInstOperands,
     /* 270324 */     // GIR_Coverage, 120,
     /* 270324 */     GIR_Done,
     /* 270325 */   // Label 5386: @270325
     /* 270325 */   GIM_Reject,
     /* 270326 */ // Label 5383: @270326
     /* 270326 */ GIM_Reject,
     /* 270327 */ // Label 5374: @270327
     /* 270327 */ GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(270471),
     /* 270332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 270335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 270338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270342 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(270406), // Rule ID 6349 //
     /* 270347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 270355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 270359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 270372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 270376 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 270380 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270384 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 270388 */     // MIs[3] Operand 1
     /* 270388 */     // No operand predicates
     /* 270388 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 270390 */     // (shl:{ *:[v2i64] } (sext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), (AArch64dup:{ *:[v2i64] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))  =>  (SSHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm, (trunc_imm:{ *:[i32] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))
     /* 270390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 270393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270399 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // size
     /* 270404 */     GIR_RootConstrainSelectedInstOperands,
     /* 270405 */     // GIR_Coverage, 6349,
     /* 270405 */     GIR_EraseRootFromParent_Done,
     /* 270406 */   // Label 5388: @270406
     /* 270406 */   GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(270470), // Rule ID 6346 //
     /* 270411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 270419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 270423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 270436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 270440 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 270444 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270448 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 270452 */     // MIs[3] Operand 1
     /* 270452 */     // No operand predicates
     /* 270452 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 270454 */     // (shl:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm), (AArch64dup:{ *:[v2i64] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))  =>  (USHLLv2i32_shift:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rm, (trunc_imm:{ *:[i32] } (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$size))
     /* 270454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv2i32_shift),
     /* 270457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270463 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/3, /*Renderer*/GIMT_Encode2(GICR_renderTruncImm), // size
     /* 270468 */     GIR_RootConstrainSelectedInstOperands,
     /* 270469 */     // GIR_Coverage, 6346,
     /* 270469 */     GIR_EraseRootFromParent_Done,
     /* 270470 */   // Label 5389: @270470
     /* 270470 */   GIM_Reject,
     /* 270471 */ // Label 5387: @270471
     /* 270471 */ GIM_Reject,
     /* 270472 */ // Label 5375: @270472
     /* 270472 */ GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(270612),
     /* 270477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 270480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 270483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270487 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(270549), // Rule ID 6348 //
     /* 270492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 270500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 270504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 270517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 270521 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 270525 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270529 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 270533 */     // MIs[3] Operand 1
     /* 270533 */     // No operand predicates
     /* 270533 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 270535 */     // (shl:{ *:[v4i32] } (sext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), (AArch64dup:{ *:[v4i32] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size))  =>  (SSHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size)
     /* 270535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 270538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 270547 */     GIR_RootConstrainSelectedInstOperands,
     /* 270548 */     // GIR_Coverage, 6348,
     /* 270548 */     GIR_EraseRootFromParent_Done,
     /* 270549 */   // Label 5391: @270549
     /* 270549 */   GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(270611), // Rule ID 6345 //
     /* 270554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 270562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 270566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 270579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 270583 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 270587 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270591 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_15),
     /* 270595 */     // MIs[3] Operand 1
     /* 270595 */     // No operand predicates
     /* 270595 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 270597 */     // (shl:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm), (AArch64dup:{ *:[v4i32] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size))  =>  (USHLLv4i16_shift:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_15>>:$size)
     /* 270597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv4i16_shift),
     /* 270600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 270609 */     GIR_RootConstrainSelectedInstOperands,
     /* 270610 */     // GIR_Coverage, 6345,
     /* 270610 */     GIR_EraseRootFromParent_Done,
     /* 270611 */   // Label 5392: @270611
     /* 270611 */   GIM_Reject,
     /* 270612 */ // Label 5390: @270612
     /* 270612 */ GIM_Reject,
     /* 270613 */ // Label 5376: @270613
     /* 270613 */ GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(270753),
     /* 270618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 270621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 270624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 270628 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(270690), // Rule ID 6347 //
     /* 270633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 270641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 270645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 270658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 270662 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 270666 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270670 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_7),
     /* 270674 */     // MIs[3] Operand 1
     /* 270674 */     // No operand predicates
     /* 270674 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 270676 */     // (shl:{ *:[v8i16] } (sext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), (AArch64dup:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size))  =>  (SSHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size)
     /* 270676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 270679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 270688 */     GIR_RootConstrainSelectedInstOperands,
     /* 270689 */     // GIR_Coverage, 6347,
     /* 270689 */     GIR_EraseRootFromParent_Done,
     /* 270690 */   // Label 5394: @270690
     /* 270690 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(270752), // Rule ID 6344 //
     /* 270695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 270699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 270703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 270707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 270712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 270716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 270720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 270724 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 270728 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270732 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm32_0_7),
     /* 270736 */     // MIs[3] Operand 1
     /* 270736 */     // No operand predicates
     /* 270736 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 270738 */     // (shl:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm), (AArch64dup:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size))  =>  (USHLLv8i8_shift:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] })<<P:Predicate_imm32_0_7>>:$size)
     /* 270738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHLLv8i8_shift),
     /* 270741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // size
     /* 270750 */     GIR_RootConstrainSelectedInstOperands,
     /* 270751 */     // GIR_Coverage, 6344,
     /* 270751 */     GIR_EraseRootFromParent_Done,
     /* 270752 */   // Label 5395: @270752
     /* 270752 */   GIM_Reject,
     /* 270753 */ // Label 5393: @270753
     /* 270753 */ GIM_Reject,
     /* 270754 */ // Label 5377: @270754
     /* 270754 */ GIM_Reject,
     /* 270755 */ // Label 45: @270755
     /* 270755 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5398*/ GIMT_Encode4(271192),
     /* 270766 */ /*GILLT_s32*//*Label 5396*/ GIMT_Encode4(270774),
     /* 270770 */ /*GILLT_s64*//*Label 5397*/ GIMT_Encode4(270985),
     /* 270774 */ // Label 5396: @270774
     /* 270774 */ GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(270984),
     /* 270779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 270782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 270785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270793 */   GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(270827), // Rule ID 4024 //
     /* 270798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 270806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 270810 */     // MIs[1] Operand 1
     /* 270810 */     // No operand predicates
     /* 270810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270812 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (UBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, 31:{ *:[i64] })
     /* 270812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UBFMWri),
     /* 270815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270817 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 270822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 270825 */     GIR_RootConstrainSelectedInstOperands,
     /* 270826 */     // GIR_Coverage, 4024,
     /* 270826 */     GIR_EraseRootFromParent_Done,
     /* 270827 */   // Label 5400: @270827
     /* 270827 */   GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(270864), // Rule ID 3941 //
     /* 270832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 270840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270851 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 270851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVWr),
     /* 270854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270856 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270862 */     GIR_RootConstrainSelectedInstOperands,
     /* 270863 */     // GIR_Coverage, 3941,
     /* 270863 */     GIR_EraseRootFromParent_Done,
     /* 270864 */   // Label 5401: @270864
     /* 270864 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(270901), // Rule ID 3942 //
     /* 270869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 270877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270888 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 270888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVWr),
     /* 270891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270893 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270899 */     GIR_RootConstrainSelectedInstOperands,
     /* 270900 */     // GIR_Coverage, 3942,
     /* 270900 */     GIR_EraseRootFromParent_Done,
     /* 270901 */   // Label 5402: @270901
     /* 270901 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(270938), // Rule ID 3940 //
     /* 270906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 270910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 270914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 270918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 270925 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 270925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVWr),
     /* 270928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270930 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 270936 */     GIR_RootConstrainSelectedInstOperands,
     /* 270937 */     // GIR_Coverage, 3940,
     /* 270937 */     GIR_EraseRootFromParent_Done,
     /* 270938 */   // Label 5403: @270938
     /* 270938 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(270983), // Rule ID 3939 //
     /* 270943 */     // (srl:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i64:{ *:[i64] }:$Rm)  =>  (LSRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rm, sub_32:{ *:[i32] }))
     /* 270943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 270946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 270950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 270955 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // Rm
     /* 270961 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 270966 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 270971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVWr),
     /* 270974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 270976 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 270978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 270981 */     GIR_RootConstrainSelectedInstOperands,
     /* 270982 */     // GIR_Coverage, 3939,
     /* 270982 */     GIR_EraseRootFromParent_Done,
     /* 270983 */   // Label 5404: @270983
     /* 270983 */   GIM_Reject,
     /* 270984 */ // Label 5399: @270984
     /* 270984 */ GIM_Reject,
     /* 270985 */ // Label 5397: @270985
     /* 270985 */ GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(271191),
     /* 270990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 270993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 270996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271004 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(271038), // Rule ID 4025 //
     /* 271009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 271021 */     // MIs[1] Operand 1
     /* 271021 */     // No operand predicates
     /* 271021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271023 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (UBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm, 63:{ *:[i64] })
     /* 271023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UBFMXri),
     /* 271026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271028 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 271033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /* 271036 */     GIR_RootConstrainSelectedInstOperands,
     /* 271037 */     // GIR_Coverage, 4025,
     /* 271037 */     GIR_EraseRootFromParent_Done,
     /* 271038 */   // Label 5406: @271038
     /* 271038 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(271106), // Rule ID 3943 //
     /* 271043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 271051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271062 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 271062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 271065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 271069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271074 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 271077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271081 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 271084 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 271089 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVXr),
     /* 271097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271099 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271104 */     GIR_RootConstrainSelectedInstOperands,
     /* 271105 */     // GIR_Coverage, 3943,
     /* 271105 */     GIR_EraseRootFromParent_Done,
     /* 271106 */   // Label 5407: @271106
     /* 271106 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(271174), // Rule ID 3944 //
     /* 271111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 271119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271130 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (LSRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 271130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 271133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 271137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271142 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 271145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271149 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 271152 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 271157 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LSRVXr),
     /* 271165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271167 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271172 */     GIR_RootConstrainSelectedInstOperands,
     /* 271173 */     // GIR_Coverage, 3944,
     /* 271173 */     GIR_EraseRootFromParent_Done,
     /* 271174 */   // Label 5408: @271174
     /* 271174 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(271190), // Rule ID 121 //
     /* 271179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271183 */     // (srl:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (LSRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 271183 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::LSRVXr),
     /* 271188 */     GIR_RootConstrainSelectedInstOperands,
     /* 271189 */     // GIR_Coverage, 121,
     /* 271189 */     GIR_Done,
     /* 271190 */   // Label 5409: @271190
     /* 271190 */   GIM_Reject,
     /* 271191 */ // Label 5405: @271191
     /* 271191 */ GIM_Reject,
     /* 271192 */ // Label 5398: @271192
     /* 271192 */ GIM_Reject,
     /* 271193 */ // Label 46: @271193
     /* 271193 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5412*/ GIMT_Encode4(272017),
     /* 271204 */ /*GILLT_s32*//*Label 5410*/ GIMT_Encode4(271212),
     /* 271208 */ /*GILLT_s64*//*Label 5411*/ GIMT_Encode4(271567),
     /* 271212 */ // Label 5410: @271212
     /* 271212 */ GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(271566),
     /* 271217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 271220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271227 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(271291), // Rule ID 6509 //
     /* 271232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 271236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 271240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271249 */     // MIs[1] Operand 2
     /* 271249 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 271260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 271264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271268 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_7),
     /* 271272 */     // MIs[2] Operand 1
     /* 271272 */     // No operand predicates
     /* 271272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 271274 */     // (sra:{ *:[i32] } (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i8:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm)  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm, 7:{ *:[i64] })
     /* 271274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 271277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 271283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 271286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 271289 */     GIR_RootConstrainSelectedInstOperands,
     /* 271290 */     // GIR_Coverage, 6509,
     /* 271290 */     GIR_EraseRootFromParent_Done,
     /* 271291 */   // Label 5414: @271291
     /* 271291 */   GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(271355), // Rule ID 6511 //
     /* 271296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 271300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 271304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271313 */     // MIs[1] Operand 2
     /* 271313 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 271324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 271328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271332 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /* 271336 */     // MIs[2] Operand 1
     /* 271336 */     // No operand predicates
     /* 271336 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 271338 */     // (sra:{ *:[i32] } (sext_inreg:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i16:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm)  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm, 15:{ *:[i64] })
     /* 271338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 271341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 271347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 271350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 271353 */     GIR_RootConstrainSelectedInstOperands,
     /* 271354 */     // GIR_Coverage, 6511,
     /* 271354 */     GIR_EraseRootFromParent_Done,
     /* 271355 */   // Label 5415: @271355
     /* 271355 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(271393), // Rule ID 4022 //
     /* 271360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 271376 */     // MIs[1] Operand 1
     /* 271376 */     // No operand predicates
     /* 271376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271378 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (SBFMWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, 31:{ *:[i64] })
     /* 271378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMWri),
     /* 271381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271383 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 271388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 271391 */     GIR_RootConstrainSelectedInstOperands,
     /* 271392 */     // GIR_Coverage, 4022,
     /* 271392 */     GIR_EraseRootFromParent_Done,
     /* 271393 */   // Label 5416: @271393
     /* 271393 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(271434), // Rule ID 2435 //
     /* 271398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 271410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271421 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 271421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVWr),
     /* 271424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271426 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271432 */     GIR_RootConstrainSelectedInstOperands,
     /* 271433 */     // GIR_Coverage, 2435,
     /* 271433 */     GIR_EraseRootFromParent_Done,
     /* 271434 */   // Label 5417: @271434
     /* 271434 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(271475), // Rule ID 2436 //
     /* 271439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 271451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271462 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 271462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVWr),
     /* 271465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271467 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271473 */     GIR_RootConstrainSelectedInstOperands,
     /* 271474 */     // GIR_Coverage, 2436,
     /* 271474 */     GIR_EraseRootFromParent_Done,
     /* 271475 */   // Label 5418: @271475
     /* 271475 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(271516), // Rule ID 2434 //
     /* 271480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 271492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271503 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 271503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVWr),
     /* 271506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271508 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271514 */     GIR_RootConstrainSelectedInstOperands,
     /* 271515 */     // GIR_Coverage, 2434,
     /* 271515 */     GIR_EraseRootFromParent_Done,
     /* 271516 */   // Label 5419: @271516
     /* 271516 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(271565), // Rule ID 2433 //
     /* 271521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271525 */     // (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i64:{ *:[i64] }:$Rm)  =>  (ASRVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rm, sub_32:{ *:[i32] }))
     /* 271525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 271528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 271532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271537 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // Rm
     /* 271543 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271548 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVWr),
     /* 271556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271558 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271563 */     GIR_RootConstrainSelectedInstOperands,
     /* 271564 */     // GIR_Coverage, 2433,
     /* 271564 */     GIR_EraseRootFromParent_Done,
     /* 271565 */   // Label 5420: @271565
     /* 271565 */   GIM_Reject,
     /* 271566 */ // Label 5413: @271566
     /* 271566 */ GIM_Reject,
     /* 271567 */ // Label 5411: @271567
     /* 271567 */ GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(272016),
     /* 271572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 271575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 271578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271582 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(271646), // Rule ID 6510 //
     /* 271587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 271591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 271595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 271599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271604 */     // MIs[1] Operand 2
     /* 271604 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8),
     /* 271615 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 271619 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271623 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_7),
     /* 271627 */     // MIs[2] Operand 1
     /* 271627 */     // No operand predicates
     /* 271627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 271629 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i8:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm)  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_7>>:$imm, 7:{ *:[i64] })
     /* 271629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 271632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 271638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 271641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 271644 */     GIR_RootConstrainSelectedInstOperands,
     /* 271645 */     // GIR_Coverage, 6510,
     /* 271645 */     GIR_EraseRootFromParent_Done,
     /* 271646 */   // Label 5422: @271646
     /* 271646 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(271710), // Rule ID 6512 //
     /* 271651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 271655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 271659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 271663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271668 */     // MIs[1] Operand 2
     /* 271668 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 271679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 271683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271687 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_15),
     /* 271691 */     // MIs[2] Operand 1
     /* 271691 */     // No operand predicates
     /* 271691 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 271693 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, i16:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm)  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_15>>:$imm, 15:{ *:[i64] })
     /* 271693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 271696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 271702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 271705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 271708 */     GIR_RootConstrainSelectedInstOperands,
     /* 271709 */     // GIR_Coverage, 6512,
     /* 271709 */     GIR_EraseRootFromParent_Done,
     /* 271710 */   // Label 5423: @271710
     /* 271710 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(271813), // Rule ID 6513 //
     /* 271715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 271719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 271723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 271736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271740 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 271744 */     // MIs[2] Operand 1
     /* 271744 */     // No operand predicates
     /* 271744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 271746 */     // (sra:{ *:[i64] } (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rn), (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (SBFMXri:{ *:[i64] } (INSERT_SUBREG:{ *:[i64] } (IMPLICIT_DEF:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn, sub_32:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm, 31:{ *:[i64] })
     /* 271746 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 271749 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 271753 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 271760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 271763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 271767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271772 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 271775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 271779 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 271782 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 271787 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 271792 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 271800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 271808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 271811 */     GIR_RootConstrainSelectedInstOperands,
     /* 271812 */     // GIR_Coverage, 6513,
     /* 271812 */     GIR_EraseRootFromParent_Done,
     /* 271813 */   // Label 5424: @271813
     /* 271813 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(271851), // Rule ID 4023 //
     /* 271818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 271830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 271834 */     // MIs[1] Operand 1
     /* 271834 */     // No operand predicates
     /* 271834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271836 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (SBFMXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm, 63:{ *:[i64] })
     /* 271836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SBFMXri),
     /* 271839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271841 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 271846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /* 271849 */     GIR_RootConstrainSelectedInstOperands,
     /* 271850 */     // GIR_Coverage, 4023,
     /* 271850 */     GIR_EraseRootFromParent_Done,
     /* 271851 */   // Label 5425: @271851
     /* 271851 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(271923), // Rule ID 2437 //
     /* 271856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 271868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271872 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271879 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 271879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 271882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 271886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271891 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 271894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271898 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 271901 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 271906 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVXr),
     /* 271914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271916 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271921 */     GIR_RootConstrainSelectedInstOperands,
     /* 271922 */     // GIR_Coverage, 2437,
     /* 271922 */     GIR_EraseRootFromParent_Done,
     /* 271923 */   // Label 5426: @271923
     /* 271923 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(271995), // Rule ID 2438 //
     /* 271928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 271932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 271936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 271940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 271944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 271951 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (ASRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 271951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 271954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 271958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 271963 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 271966 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 271970 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 271973 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 271978 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 271983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ASRVXr),
     /* 271986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 271988 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 271990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 271993 */     GIR_RootConstrainSelectedInstOperands,
     /* 271994 */     // GIR_Coverage, 2438,
     /* 271994 */     GIR_EraseRootFromParent_Done,
     /* 271995 */   // Label 5427: @271995
     /* 271995 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(272015), // Rule ID 119 //
     /* 272000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272008 */     // (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (ASRVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 272008 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ASRVXr),
     /* 272013 */     GIR_RootConstrainSelectedInstOperands,
     /* 272014 */     // GIR_Coverage, 119,
     /* 272014 */     GIR_Done,
     /* 272015 */   // Label 5428: @272015
     /* 272015 */   GIM_Reject,
     /* 272016 */ // Label 5421: @272016
     /* 272016 */ GIM_Reject,
     /* 272017 */ // Label 5412: @272017
     /* 272017 */ GIM_Reject,
     /* 272018 */ // Label 47: @272018
     /* 272018 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5431*/ GIMT_Encode4(272147),
     /* 272029 */ /*GILLT_s32*//*Label 5429*/ GIMT_Encode4(272037),
     /* 272033 */ /*GILLT_s64*//*Label 5430*/ GIMT_Encode4(272092),
     /* 272037 */ // Label 5429: @272037
     /* 272037 */ GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(272091), // Rule ID 188 //
     /* 272042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 272045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 272048 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272063 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272067 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 272071 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 272075 */   // MIs[1] Operand 1
     /* 272075 */   // No operand predicates
     /* 272075 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272077 */   // (fshr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (EXTRWrri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] }):$imm)
     /* 272077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRWrri),
     /* 272080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272082 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272084 */   GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 272086 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 272089 */   GIR_RootConstrainSelectedInstOperands,
     /* 272090 */   // GIR_Coverage, 188,
     /* 272090 */   GIR_EraseRootFromParent_Done,
     /* 272091 */ // Label 5432: @272091
     /* 272091 */ GIM_Reject,
     /* 272092 */ // Label 5430: @272092
     /* 272092 */ GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(272146), // Rule ID 189 //
     /* 272097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 272100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272103 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272118 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272122 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 272126 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 272130 */   // MIs[1] Operand 1
     /* 272130 */   // No operand predicates
     /* 272130 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272132 */   // (fshr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (EXTRXrri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, (imm:{ *:[i64] }):$imm)
     /* 272132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRXrri),
     /* 272135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272137 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272139 */   GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 272141 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 272144 */   GIR_RootConstrainSelectedInstOperands,
     /* 272145 */   // GIR_Coverage, 189,
     /* 272145 */   GIR_EraseRootFromParent_Done,
     /* 272146 */ // Label 5433: @272146
     /* 272146 */ GIM_Reject,
     /* 272147 */ // Label 5431: @272147
     /* 272147 */ GIM_Reject,
     /* 272148 */ // Label 48: @272148
     /* 272148 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 5436*/ GIMT_Encode4(272689),
     /* 272159 */ /*GILLT_s32*//*Label 5434*/ GIMT_Encode4(272167),
     /* 272163 */ /*GILLT_s64*//*Label 5435*/ GIMT_Encode4(272432),
     /* 272167 */ // Label 5434: @272167
     /* 272167 */ GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(272431),
     /* 272172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 272175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272182 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(272221), // Rule ID 184 //
     /* 272187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 272195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 272199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272204 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 16,
     /* 272208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272210 */     // (rotr:{ *:[i32] } (bswap:{ *:[i32] } GPR32:{ *:[i32] }:$Rn), 16:{ *:[i64] })  =>  (REV16Wr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 272210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Wr),
     /* 272213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 272219 */     GIR_RootConstrainSelectedInstOperands,
     /* 272220 */     // GIR_Coverage, 184,
     /* 272220 */     GIR_EraseRootFromParent_Done,
     /* 272221 */   // Label 5438: @272221
     /* 272221 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(272258), // Rule ID 4018 //
     /* 272226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 272238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_31),
     /* 272242 */     // MIs[1] Operand 1
     /* 272242 */     // No operand predicates
     /* 272242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272244 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)  =>  (EXTRWrri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_31>>:$imm)
     /* 272244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRWrri),
     /* 272247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272249 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272251 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 272256 */     GIR_RootConstrainSelectedInstOperands,
     /* 272257 */     // GIR_Coverage, 4018,
     /* 272257 */     GIR_EraseRootFromParent_Done,
     /* 272258 */   // Label 5439: @272258
     /* 272258 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(272299), // Rule ID 3947 //
     /* 272263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 272275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 272279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272286 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (anyext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 272286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVWr),
     /* 272289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272291 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 272297 */     GIR_RootConstrainSelectedInstOperands,
     /* 272298 */     // GIR_Coverage, 3947,
     /* 272298 */     GIR_EraseRootFromParent_Done,
     /* 272299 */   // Label 5440: @272299
     /* 272299 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(272340), // Rule ID 3948 //
     /* 272304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 272316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 272320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272327 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 272327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVWr),
     /* 272330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272332 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 272338 */     GIR_RootConstrainSelectedInstOperands,
     /* 272339 */     // GIR_Coverage, 3948,
     /* 272339 */     GIR_EraseRootFromParent_Done,
     /* 272340 */   // Label 5441: @272340
     /* 272340 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(272381), // Rule ID 3946 //
     /* 272345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 272357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 272361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272368 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 272368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVWr),
     /* 272371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272373 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 272379 */     GIR_RootConstrainSelectedInstOperands,
     /* 272380 */     // GIR_Coverage, 3946,
     /* 272380 */     GIR_EraseRootFromParent_Done,
     /* 272381 */   // Label 5442: @272381
     /* 272381 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(272430), // Rule ID 3945 //
     /* 272386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272390 */     // (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, i64:{ *:[i64] }:$Rm)  =>  (RORVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$Rm, sub_32:{ *:[i32] }))
     /* 272390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 272393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 272397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 272402 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(20), // Rm
     /* 272408 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272413 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVWr),
     /* 272421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272423 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 272428 */     GIR_RootConstrainSelectedInstOperands,
     /* 272429 */     // GIR_Coverage, 3945,
     /* 272429 */     GIR_EraseRootFromParent_Done,
     /* 272430 */   // Label 5443: @272430
     /* 272430 */   GIM_Reject,
     /* 272431 */ // Label 5437: @272431
     /* 272431 */ GIM_Reject,
     /* 272432 */ // Label 5435: @272432
     /* 272432 */ GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(272688),
     /* 272437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 272440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272447 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(272486), // Rule ID 187 //
     /* 272452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 272456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 272460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 272464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272469 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 272473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272475 */     // (rotr:{ *:[i64] } (bswap:{ *:[i64] } GPR64:{ *:[i64] }:$Rn), 32:{ *:[i64] })  =>  (REV32Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 272475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV32Xr),
     /* 272478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 272484 */     GIR_RootConstrainSelectedInstOperands,
     /* 272485 */     // GIR_Coverage, 187,
     /* 272485 */     GIR_EraseRootFromParent_Done,
     /* 272486 */   // Label 5445: @272486
     /* 272486 */   GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(272523), // Rule ID 4019 //
     /* 272491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 272503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_63),
     /* 272507 */     // MIs[1] Operand 1
     /* 272507 */     // No operand predicates
     /* 272507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272509 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)  =>  (EXTRXrri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_imm0_63>>:$imm)
     /* 272509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTRXrri),
     /* 272512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272514 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272516 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 272521 */     GIR_RootConstrainSelectedInstOperands,
     /* 272522 */     // GIR_Coverage, 4019,
     /* 272522 */     GIR_EraseRootFromParent_Done,
     /* 272523 */   // Label 5446: @272523
     /* 272523 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(272595), // Rule ID 3949 //
     /* 272528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 272540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 272544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272551 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 272551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 272554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 272558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 272563 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 272566 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 272570 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 272573 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 272578 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVXr),
     /* 272586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272588 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 272593 */     GIR_RootConstrainSelectedInstOperands,
     /* 272594 */     // GIR_Coverage, 3949,
     /* 272594 */     GIR_EraseRootFromParent_Done,
     /* 272595 */   // Label 5447: @272595
     /* 272595 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(272667), // Rule ID 3950 //
     /* 272600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 272612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 272616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272623 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (zext:{ *:[i64] } GPR32:{ *:[i32] }:$Rm))  =>  (RORVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (SUBREG_TO_REG:{ *:[i64] } 0:{ *:[i32] }, GPR32:{ *:[i32] }:$Rm, sub_32:{ *:[i32] }))
     /* 272623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 272626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 272630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 272635 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 272638 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 272642 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/20,
     /* 272645 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::GPR64allRegClassID),
     /* 272650 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 272655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::RORVXr),
     /* 272658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272660 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 272662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 272665 */     GIR_RootConstrainSelectedInstOperands,
     /* 272666 */     // GIR_Coverage, 3950,
     /* 272666 */     GIR_EraseRootFromParent_Done,
     /* 272667 */   // Label 5448: @272667
     /* 272667 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(272687), // Rule ID 122 //
     /* 272672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 272680 */     // (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (RORVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 272680 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RORVXr),
     /* 272685 */     GIR_RootConstrainSelectedInstOperands,
     /* 272686 */     // GIR_Coverage, 122,
     /* 272686 */     GIR_Done,
     /* 272687 */   // Label 5449: @272687
     /* 272687 */   GIM_Reject,
     /* 272688 */ // Label 5444: @272688
     /* 272688 */ GIM_Reject,
     /* 272689 */ // Label 5436: @272689
     /* 272689 */ GIM_Reject,
     /* 272690 */ // Label 49: @272690
     /* 272690 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 5458*/ GIMT_Encode4(280466),
     /* 272701 */ /*GILLT_s64*//*Label 5450*/ GIMT_Encode4(272737), GIMT_Encode4(0),
     /* 272709 */ /*GILLT_v2s32*//*Label 5451*/ GIMT_Encode4(273130),
     /* 272713 */ /*GILLT_v2s64*//*Label 5452*/ GIMT_Encode4(274178),
     /* 272717 */ /*GILLT_v4s16*//*Label 5453*/ GIMT_Encode4(275226),
     /* 272721 */ /*GILLT_v4s32*//*Label 5454*/ GIMT_Encode4(276274),
     /* 272725 */ /*GILLT_v8s8*//*Label 5455*/ GIMT_Encode4(277322),
     /* 272729 */ /*GILLT_v8s16*//*Label 5456*/ GIMT_Encode4(278370),
     /* 272733 */ /*GILLT_v16s8*//*Label 5457*/ GIMT_Encode4(279418),
     /* 272737 */ // Label 5450: @272737
     /* 272737 */ GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(273129),
     /* 272742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 272745 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 272748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272752 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(272788), // Rule ID 5242 //
     /* 272757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272760 */     // MIs[0] Operand 1
     /* 272760 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 272765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272769 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272775 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272779 */     // (setcc:{ *:[v1i64] } immAllZerosV:{ *:[v1i64] }, v1i64:{ *:[v1i64] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 272779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv1i64rz),
     /* 272782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272784 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 272786 */     GIR_RootConstrainSelectedInstOperands,
     /* 272787 */     // GIR_Coverage, 5242,
     /* 272787 */     GIR_EraseRootFromParent_Done,
     /* 272788 */   // Label 5460: @272788
     /* 272788 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(272824), // Rule ID 5243 //
     /* 272793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272796 */     // MIs[0] Operand 1
     /* 272796 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 272801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 272805 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272811 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272815 */     // (setcc:{ *:[v1i64] } immAllZerosV:{ *:[v1i64] }, v1i64:{ *:[v1i64] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 272815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv1i64rz),
     /* 272818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272820 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 272822 */     GIR_RootConstrainSelectedInstOperands,
     /* 272823 */     // GIR_Coverage, 5243,
     /* 272823 */     GIR_EraseRootFromParent_Done,
     /* 272824 */   // Label 5461: @272824
     /* 272824 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(272860), // Rule ID 2512 //
     /* 272829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272832 */     // MIs[0] Operand 1
     /* 272832 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 272837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272841 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272847 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272851 */     // (setcc:{ *:[v1i64] } v1i64:{ *:[v1i64] }:$Rn, immAllZerosV:{ *:[v1i64] }, SETEQ:{ *:[Other] })  =>  (CMEQv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 272851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv1i64rz),
     /* 272854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272856 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272858 */     GIR_RootConstrainSelectedInstOperands,
     /* 272859 */     // GIR_Coverage, 2512,
     /* 272859 */     GIR_EraseRootFromParent_Done,
     /* 272860 */   // Label 5462: @272860
     /* 272860 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(272896), // Rule ID 5239 //
     /* 272865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272868 */     // MIs[0] Operand 1
     /* 272868 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 272873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272877 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272883 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272887 */     // (setcc:{ *:[v1i64] } v1i64:{ *:[v1i64] }:$Rn, immAllZerosV:{ *:[v1i64] }, SETGE:{ *:[Other] })  =>  (CMGEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 272887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv1i64rz),
     /* 272890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272892 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272894 */     GIR_RootConstrainSelectedInstOperands,
     /* 272895 */     // GIR_Coverage, 5239,
     /* 272895 */     GIR_EraseRootFromParent_Done,
     /* 272896 */   // Label 5463: @272896
     /* 272896 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(272932), // Rule ID 5240 //
     /* 272901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272904 */     // MIs[0] Operand 1
     /* 272904 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 272909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272913 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272919 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 272921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272923 */     // (setcc:{ *:[v1i64] } v1i64:{ *:[v1i64] }:$Rn, immAllOnesV:{ *:[v1i64] }, SETGT:{ *:[Other] })  =>  (CMGEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 272923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv1i64rz),
     /* 272926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272930 */     GIR_RootConstrainSelectedInstOperands,
     /* 272931 */     // GIR_Coverage, 5240,
     /* 272931 */     GIR_EraseRootFromParent_Done,
     /* 272932 */   // Label 5464: @272932
     /* 272932 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(272968), // Rule ID 5241 //
     /* 272937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272940 */     // MIs[0] Operand 1
     /* 272940 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 272945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 272949 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 272955 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 272957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 272959 */     // (setcc:{ *:[v1i64] } v1i64:{ *:[v1i64] }:$Rn, immAllZerosV:{ *:[v1i64] }, SETGT:{ *:[Other] })  =>  (CMGTv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 272959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv1i64rz),
     /* 272962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272964 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272966 */     GIR_RootConstrainSelectedInstOperands,
     /* 272967 */     // GIR_Coverage, 5241,
     /* 272967 */     GIR_EraseRootFromParent_Done,
     /* 272968 */   // Label 5465: @272968
     /* 272968 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(273000), // Rule ID 1608 //
     /* 272973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 272976 */     // MIs[0] Operand 1
     /* 272976 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 272981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 272989 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 272989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv1i64),
     /* 272992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 272994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 272996 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 272998 */     GIR_RootConstrainSelectedInstOperands,
     /* 272999 */     // GIR_Coverage, 1608,
     /* 272999 */     GIR_EraseRootFromParent_Done,
     /* 273000 */   // Label 5466: @273000
     /* 273000 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(273032), // Rule ID 1609 //
     /* 273005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273008 */     // MIs[0] Operand 1
     /* 273008 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273021 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 273021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv1i64),
     /* 273024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273026 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273028 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273030 */     GIR_RootConstrainSelectedInstOperands,
     /* 273031 */     // GIR_Coverage, 1609,
     /* 273031 */     GIR_EraseRootFromParent_Done,
     /* 273032 */   // Label 5467: @273032
     /* 273032 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(273064), // Rule ID 1610 //
     /* 273037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273040 */     // MIs[0] Operand 1
     /* 273040 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273053 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 273053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv1i64),
     /* 273056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273058 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273060 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273062 */     GIR_RootConstrainSelectedInstOperands,
     /* 273063 */     // GIR_Coverage, 1610,
     /* 273063 */     GIR_EraseRootFromParent_Done,
     /* 273064 */   // Label 5468: @273064
     /* 273064 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(273096), // Rule ID 1611 //
     /* 273069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273072 */     // MIs[0] Operand 1
     /* 273072 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 273077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273085 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 273085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv1i64),
     /* 273088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273094 */     GIR_RootConstrainSelectedInstOperands,
     /* 273095 */     // GIR_Coverage, 1611,
     /* 273095 */     GIR_EraseRootFromParent_Done,
     /* 273096 */   // Label 5469: @273096
     /* 273096 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(273128), // Rule ID 1612 //
     /* 273101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273104 */     // MIs[0] Operand 1
     /* 273104 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 273109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273117 */     // (setcc:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, FPR64:{ *:[v1i64] }:$Rm)
     /* 273117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv1i64),
     /* 273120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273122 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273124 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273126 */     GIR_RootConstrainSelectedInstOperands,
     /* 273127 */     // GIR_Coverage, 1612,
     /* 273127 */     GIR_EraseRootFromParent_Done,
     /* 273128 */   // Label 5470: @273128
     /* 273128 */   GIM_Reject,
     /* 273129 */ // Label 5459: @273129
     /* 273129 */ GIM_Reject,
     /* 273130 */ // Label 5451: @273130
     /* 273130 */ GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(274177),
     /* 273135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 273138 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 273141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273145 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(273185), // Rule ID 754 //
     /* 273150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273153 */     // MIs[0] Operand 1
     /* 273153 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273162 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273168 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273176 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i32rz),
     /* 273179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273181 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273183 */     GIR_RootConstrainSelectedInstOperands,
     /* 273184 */     // GIR_Coverage, 754,
     /* 273184 */     GIR_EraseRootFromParent_Done,
     /* 273185 */   // Label 5472: @273185
     /* 273185 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(273225), // Rule ID 761 //
     /* 273190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273193 */     // MIs[0] Operand 1
     /* 273193 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273202 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273208 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273216 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 273219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273221 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273223 */     GIR_RootConstrainSelectedInstOperands,
     /* 273224 */     // GIR_Coverage, 761,
     /* 273224 */     GIR_EraseRootFromParent_Done,
     /* 273225 */   // Label 5473: @273225
     /* 273225 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(273262), // Rule ID 5176 //
     /* 273230 */     // MIs[0] Operand 1
     /* 273230 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273239 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273245 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273253 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32rz),
     /* 273256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273258 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273260 */     GIR_RootConstrainSelectedInstOperands,
     /* 273261 */     // GIR_Coverage, 5176,
     /* 273261 */     GIR_EraseRootFromParent_Done,
     /* 273262 */   // Label 5474: @273262
     /* 273262 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(273299), // Rule ID 5183 //
     /* 273267 */     // MIs[0] Operand 1
     /* 273267 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273276 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273282 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273290 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 273293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273295 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273297 */     GIR_RootConstrainSelectedInstOperands,
     /* 273298 */     // GIR_Coverage, 5183,
     /* 273298 */     GIR_EraseRootFromParent_Done,
     /* 273299 */   // Label 5475: @273299
     /* 273299 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(273336), // Rule ID 5190 //
     /* 273304 */     // MIs[0] Operand 1
     /* 273304 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273313 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273319 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273327 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i32rz),
     /* 273330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273334 */     GIR_RootConstrainSelectedInstOperands,
     /* 273335 */     // GIR_Coverage, 5190,
     /* 273335 */     GIR_EraseRootFromParent_Done,
     /* 273336 */   // Label 5476: @273336
     /* 273336 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(273373), // Rule ID 5197 //
     /* 273341 */     // MIs[0] Operand 1
     /* 273341 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 273346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273350 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273356 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273364 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32rz),
     /* 273367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273369 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273371 */     GIR_RootConstrainSelectedInstOperands,
     /* 273372 */     // GIR_Coverage, 5197,
     /* 273372 */     GIR_EraseRootFromParent_Done,
     /* 273373 */   // Label 5477: @273373
     /* 273373 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(273410), // Rule ID 5204 //
     /* 273378 */     // MIs[0] Operand 1
     /* 273378 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 273383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 273387 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273393 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273401 */     // (setcc:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, V64:{ *:[v2i32] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32rz),
     /* 273404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273406 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 273408 */     GIR_RootConstrainSelectedInstOperands,
     /* 273409 */     // GIR_Coverage, 5204,
     /* 273409 */     GIR_EraseRootFromParent_Done,
     /* 273410 */   // Label 5478: @273410
     /* 273410 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(273450), // Rule ID 726 //
     /* 273415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273418 */     // MIs[0] Operand 1
     /* 273418 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273431 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273437 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273441 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETEQ:{ *:[Other] })  =>  (CMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32rz),
     /* 273444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273446 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273448 */     GIR_RootConstrainSelectedInstOperands,
     /* 273449 */     // GIR_Coverage, 726,
     /* 273449 */     GIR_EraseRootFromParent_Done,
     /* 273450 */   // Label 5479: @273450
     /* 273450 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(273490), // Rule ID 737 //
     /* 273455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273458 */     // MIs[0] Operand 1
     /* 273458 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273471 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273477 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273481 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETGE:{ *:[Other] })  =>  (CMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32rz),
     /* 273484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273486 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273488 */     GIR_RootConstrainSelectedInstOperands,
     /* 273489 */     // GIR_Coverage, 737,
     /* 273489 */     GIR_EraseRootFromParent_Done,
     /* 273490 */   // Label 5480: @273490
     /* 273490 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(273530), // Rule ID 738 //
     /* 273495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273498 */     // MIs[0] Operand 1
     /* 273498 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273511 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273517 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 273519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273521 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllOnesV:{ *:[v2i32] }, SETGT:{ *:[Other] })  =>  (CMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32rz),
     /* 273524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273528 */     GIR_RootConstrainSelectedInstOperands,
     /* 273529 */     // GIR_Coverage, 738,
     /* 273529 */     GIR_EraseRootFromParent_Done,
     /* 273530 */   // Label 5481: @273530
     /* 273530 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(273570), // Rule ID 747 //
     /* 273535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273538 */     // MIs[0] Operand 1
     /* 273538 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273551 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273557 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273561 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETGT:{ *:[Other] })  =>  (CMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32rz),
     /* 273564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273566 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273568 */     GIR_RootConstrainSelectedInstOperands,
     /* 273569 */     // GIR_Coverage, 747,
     /* 273569 */     GIR_EraseRootFromParent_Done,
     /* 273570 */   // Label 5482: @273570
     /* 273570 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(273607), // Rule ID 5141 //
     /* 273575 */     // MIs[0] Operand 1
     /* 273575 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273588 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273594 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273598 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETEQ:{ *:[Other] })  =>  (CMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32rz),
     /* 273601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273603 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273605 */     GIR_RootConstrainSelectedInstOperands,
     /* 273606 */     // GIR_Coverage, 5141,
     /* 273606 */     GIR_EraseRootFromParent_Done,
     /* 273607 */   // Label 5483: @273607
     /* 273607 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(273644), // Rule ID 5148 //
     /* 273612 */     // MIs[0] Operand 1
     /* 273612 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273625 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273631 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273635 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETGT:{ *:[Other] })  =>  (CMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32rz),
     /* 273638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273642 */     GIR_RootConstrainSelectedInstOperands,
     /* 273643 */     // GIR_Coverage, 5148,
     /* 273643 */     GIR_EraseRootFromParent_Done,
     /* 273644 */   // Label 5484: @273644
     /* 273644 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(273681), // Rule ID 5155 //
     /* 273649 */     // MIs[0] Operand 1
     /* 273649 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273662 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273668 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273672 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETGE:{ *:[Other] })  =>  (CMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32rz),
     /* 273675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273677 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273679 */     GIR_RootConstrainSelectedInstOperands,
     /* 273680 */     // GIR_Coverage, 5155,
     /* 273680 */     GIR_EraseRootFromParent_Done,
     /* 273681 */   // Label 5485: @273681
     /* 273681 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(273718), // Rule ID 5162 //
     /* 273686 */     // MIs[0] Operand 1
     /* 273686 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 273691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273699 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273705 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273709 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETLT:{ *:[Other] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 273712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273716 */     GIR_RootConstrainSelectedInstOperands,
     /* 273717 */     // GIR_Coverage, 5162,
     /* 273717 */     GIR_EraseRootFromParent_Done,
     /* 273718 */   // Label 5486: @273718
     /* 273718 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(273755), // Rule ID 5169 //
     /* 273723 */     // MIs[0] Operand 1
     /* 273723 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 273728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 273736 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 273742 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 273744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 273746 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, immAllZerosV:{ *:[v2i32] }, SETLE:{ *:[Other] })  =>  (CMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 273746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i32rz),
     /* 273749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273751 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273753 */     GIR_RootConstrainSelectedInstOperands,
     /* 273754 */     // GIR_Coverage, 5169,
     /* 273754 */     GIR_EraseRootFromParent_Done,
     /* 273755 */   // Label 5487: @273755
     /* 273755 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(273787), // Rule ID 1125 //
     /* 273760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273763 */     // MIs[0] Operand 1
     /* 273763 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273776 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 273776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32),
     /* 273779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273781 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273783 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273785 */     GIR_RootConstrainSelectedInstOperands,
     /* 273786 */     // GIR_Coverage, 1125,
     /* 273786 */     GIR_EraseRootFromParent_Done,
     /* 273787 */   // Label 5488: @273787
     /* 273787 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(273819), // Rule ID 1132 //
     /* 273792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273795 */     // MIs[0] Operand 1
     /* 273795 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273808 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 273808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32),
     /* 273811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273813 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273815 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273817 */     GIR_RootConstrainSelectedInstOperands,
     /* 273818 */     // GIR_Coverage, 1132,
     /* 273818 */     GIR_EraseRootFromParent_Done,
     /* 273819 */   // Label 5489: @273819
     /* 273819 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(273851), // Rule ID 1139 //
     /* 273824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273827 */     // MIs[0] Operand 1
     /* 273827 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273840 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 273840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32),
     /* 273843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273847 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273849 */     GIR_RootConstrainSelectedInstOperands,
     /* 273850 */     // GIR_Coverage, 1139,
     /* 273850 */     GIR_EraseRootFromParent_Done,
     /* 273851 */   // Label 5490: @273851
     /* 273851 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(273883), // Rule ID 1146 //
     /* 273856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273859 */     // MIs[0] Operand 1
     /* 273859 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 273864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273872 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 273872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i32),
     /* 273875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273879 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273881 */     GIR_RootConstrainSelectedInstOperands,
     /* 273882 */     // GIR_Coverage, 1146,
     /* 273882 */     GIR_EraseRootFromParent_Done,
     /* 273883 */   // Label 5491: @273883
     /* 273883 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(273915), // Rule ID 1153 //
     /* 273888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 273891 */     // MIs[0] Operand 1
     /* 273891 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 273896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273904 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 273904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i32),
     /* 273907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273909 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273911 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273913 */     GIR_RootConstrainSelectedInstOperands,
     /* 273914 */     // GIR_Coverage, 1153,
     /* 273914 */     GIR_EraseRootFromParent_Done,
     /* 273915 */   // Label 5492: @273915
     /* 273915 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(273944), // Rule ID 5078 //
     /* 273920 */     // MIs[0] Operand 1
     /* 273920 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 273925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273933 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 273933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i32),
     /* 273936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273938 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273940 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273942 */     GIR_RootConstrainSelectedInstOperands,
     /* 273943 */     // GIR_Coverage, 5078,
     /* 273943 */     GIR_EraseRootFromParent_Done,
     /* 273944 */   // Label 5493: @273944
     /* 273944 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(273973), // Rule ID 5085 //
     /* 273949 */     // MIs[0] Operand 1
     /* 273949 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 273954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273962 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 273962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32),
     /* 273965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273967 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273969 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 273971 */     GIR_RootConstrainSelectedInstOperands,
     /* 273972 */     // GIR_Coverage, 5085,
     /* 273972 */     GIR_EraseRootFromParent_Done,
     /* 273973 */   // Label 5494: @273973
     /* 273973 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(274002), // Rule ID 5092 //
     /* 273978 */     // MIs[0] Operand 1
     /* 273978 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 273983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 273991 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 273991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32),
     /* 273994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 273996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 273998 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274000 */     GIR_RootConstrainSelectedInstOperands,
     /* 274001 */     // GIR_Coverage, 5092,
     /* 274001 */     GIR_EraseRootFromParent_Done,
     /* 274002 */   // Label 5495: @274002
     /* 274002 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(274031), // Rule ID 5099 //
     /* 274007 */     // MIs[0] Operand 1
     /* 274007 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 274012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274020 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 274020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i32),
     /* 274023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274025 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274027 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274029 */     GIR_RootConstrainSelectedInstOperands,
     /* 274030 */     // GIR_Coverage, 5099,
     /* 274030 */     GIR_EraseRootFromParent_Done,
     /* 274031 */   // Label 5496: @274031
     /* 274031 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(274060), // Rule ID 5106 //
     /* 274036 */     // MIs[0] Operand 1
     /* 274036 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 274041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274049 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 274049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i32),
     /* 274052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274054 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274056 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274058 */     GIR_RootConstrainSelectedInstOperands,
     /* 274059 */     // GIR_Coverage, 5106,
     /* 274059 */     GIR_EraseRootFromParent_Done,
     /* 274060 */   // Label 5497: @274060
     /* 274060 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(274089), // Rule ID 5113 //
     /* 274065 */     // MIs[0] Operand 1
     /* 274065 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 274070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274078 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 274078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i32),
     /* 274081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274083 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274085 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274087 */     GIR_RootConstrainSelectedInstOperands,
     /* 274088 */     // GIR_Coverage, 5113,
     /* 274088 */     GIR_EraseRootFromParent_Done,
     /* 274089 */   // Label 5498: @274089
     /* 274089 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(274118), // Rule ID 5120 //
     /* 274094 */     // MIs[0] Operand 1
     /* 274094 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 274099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274107 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 274107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i32),
     /* 274110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274112 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274114 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274116 */     GIR_RootConstrainSelectedInstOperands,
     /* 274117 */     // GIR_Coverage, 5120,
     /* 274117 */     GIR_EraseRootFromParent_Done,
     /* 274118 */   // Label 5499: @274118
     /* 274118 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(274147), // Rule ID 5127 //
     /* 274123 */     // MIs[0] Operand 1
     /* 274123 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 274128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274136 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 274136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i32),
     /* 274139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274141 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274143 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274145 */     GIR_RootConstrainSelectedInstOperands,
     /* 274146 */     // GIR_Coverage, 5127,
     /* 274146 */     GIR_EraseRootFromParent_Done,
     /* 274147 */   // Label 5500: @274147
     /* 274147 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(274176), // Rule ID 5134 //
     /* 274152 */     // MIs[0] Operand 1
     /* 274152 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 274157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 274165 */     // (setcc:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rm, V64:{ *:[v2i32] }:$Rn)
     /* 274165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i32),
     /* 274168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274170 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274172 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274174 */     GIR_RootConstrainSelectedInstOperands,
     /* 274175 */     // GIR_Coverage, 5134,
     /* 274175 */     GIR_EraseRootFromParent_Done,
     /* 274176 */   // Label 5501: @274176
     /* 274176 */   GIM_Reject,
     /* 274177 */ // Label 5471: @274177
     /* 274177 */ GIM_Reject,
     /* 274178 */ // Label 5452: @274178
     /* 274178 */ GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(275225),
     /* 274183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 274186 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 274189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274193 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(274233), // Rule ID 756 //
     /* 274198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274201 */     // MIs[0] Operand 1
     /* 274201 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274210 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274216 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274224 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i64rz),
     /* 274227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274229 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274231 */     GIR_RootConstrainSelectedInstOperands,
     /* 274232 */     // GIR_Coverage, 756,
     /* 274232 */     GIR_EraseRootFromParent_Done,
     /* 274233 */   // Label 5503: @274233
     /* 274233 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(274273), // Rule ID 763 //
     /* 274238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274241 */     // MIs[0] Operand 1
     /* 274241 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274250 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274256 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274264 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 274267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274269 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274271 */     GIR_RootConstrainSelectedInstOperands,
     /* 274272 */     // GIR_Coverage, 763,
     /* 274272 */     GIR_EraseRootFromParent_Done,
     /* 274273 */   // Label 5504: @274273
     /* 274273 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(274310), // Rule ID 5178 //
     /* 274278 */     // MIs[0] Operand 1
     /* 274278 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 274283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274287 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274293 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274301 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64rz),
     /* 274304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274308 */     GIR_RootConstrainSelectedInstOperands,
     /* 274309 */     // GIR_Coverage, 5178,
     /* 274309 */     GIR_EraseRootFromParent_Done,
     /* 274310 */   // Label 5505: @274310
     /* 274310 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(274347), // Rule ID 5185 //
     /* 274315 */     // MIs[0] Operand 1
     /* 274315 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274324 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274330 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274338 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 274341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274343 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274345 */     GIR_RootConstrainSelectedInstOperands,
     /* 274346 */     // GIR_Coverage, 5185,
     /* 274346 */     GIR_EraseRootFromParent_Done,
     /* 274347 */   // Label 5506: @274347
     /* 274347 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(274384), // Rule ID 5192 //
     /* 274352 */     // MIs[0] Operand 1
     /* 274352 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274361 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274367 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274375 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i64rz),
     /* 274378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274382 */     GIR_RootConstrainSelectedInstOperands,
     /* 274383 */     // GIR_Coverage, 5192,
     /* 274383 */     GIR_EraseRootFromParent_Done,
     /* 274384 */   // Label 5507: @274384
     /* 274384 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(274421), // Rule ID 5199 //
     /* 274389 */     // MIs[0] Operand 1
     /* 274389 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 274394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274398 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274404 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274412 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64rz),
     /* 274415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274417 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274419 */     GIR_RootConstrainSelectedInstOperands,
     /* 274420 */     // GIR_Coverage, 5199,
     /* 274420 */     GIR_EraseRootFromParent_Done,
     /* 274421 */   // Label 5508: @274421
     /* 274421 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(274458), // Rule ID 5206 //
     /* 274426 */     // MIs[0] Operand 1
     /* 274426 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 274431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 274435 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274441 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274449 */     // (setcc:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64rz),
     /* 274452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274454 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 274456 */     GIR_RootConstrainSelectedInstOperands,
     /* 274457 */     // GIR_Coverage, 5206,
     /* 274457 */     GIR_EraseRootFromParent_Done,
     /* 274458 */   // Label 5509: @274458
     /* 274458 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(274498), // Rule ID 728 //
     /* 274463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274466 */     // MIs[0] Operand 1
     /* 274466 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 274471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274479 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274485 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274489 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETEQ:{ *:[Other] })  =>  (CMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64rz),
     /* 274492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274494 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274496 */     GIR_RootConstrainSelectedInstOperands,
     /* 274497 */     // GIR_Coverage, 728,
     /* 274497 */     GIR_EraseRootFromParent_Done,
     /* 274498 */   // Label 5510: @274498
     /* 274498 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(274538), // Rule ID 741 //
     /* 274503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274506 */     // MIs[0] Operand 1
     /* 274506 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274519 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274525 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274529 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETGE:{ *:[Other] })  =>  (CMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64rz),
     /* 274532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274536 */     GIR_RootConstrainSelectedInstOperands,
     /* 274537 */     // GIR_Coverage, 741,
     /* 274537 */     GIR_EraseRootFromParent_Done,
     /* 274538 */   // Label 5511: @274538
     /* 274538 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(274578), // Rule ID 742 //
     /* 274543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274546 */     // MIs[0] Operand 1
     /* 274546 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274559 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274565 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 274567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274569 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllOnesV:{ *:[v2i64] }, SETGT:{ *:[Other] })  =>  (CMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64rz),
     /* 274572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274574 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274576 */     GIR_RootConstrainSelectedInstOperands,
     /* 274577 */     // GIR_Coverage, 742,
     /* 274577 */     GIR_EraseRootFromParent_Done,
     /* 274578 */   // Label 5512: @274578
     /* 274578 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(274618), // Rule ID 749 //
     /* 274583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274586 */     // MIs[0] Operand 1
     /* 274586 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274599 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274605 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274609 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETGT:{ *:[Other] })  =>  (CMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64rz),
     /* 274612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274614 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274616 */     GIR_RootConstrainSelectedInstOperands,
     /* 274617 */     // GIR_Coverage, 749,
     /* 274617 */     GIR_EraseRootFromParent_Done,
     /* 274618 */   // Label 5513: @274618
     /* 274618 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(274655), // Rule ID 5143 //
     /* 274623 */     // MIs[0] Operand 1
     /* 274623 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 274628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274636 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274642 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274646 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETEQ:{ *:[Other] })  =>  (CMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64rz),
     /* 274649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274651 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274653 */     GIR_RootConstrainSelectedInstOperands,
     /* 274654 */     // GIR_Coverage, 5143,
     /* 274654 */     GIR_EraseRootFromParent_Done,
     /* 274655 */   // Label 5514: @274655
     /* 274655 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(274692), // Rule ID 5150 //
     /* 274660 */     // MIs[0] Operand 1
     /* 274660 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274673 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274679 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274683 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETGT:{ *:[Other] })  =>  (CMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64rz),
     /* 274686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274690 */     GIR_RootConstrainSelectedInstOperands,
     /* 274691 */     // GIR_Coverage, 5150,
     /* 274691 */     GIR_EraseRootFromParent_Done,
     /* 274692 */   // Label 5515: @274692
     /* 274692 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(274729), // Rule ID 5157 //
     /* 274697 */     // MIs[0] Operand 1
     /* 274697 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274710 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274716 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274720 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETGE:{ *:[Other] })  =>  (CMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64rz),
     /* 274723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274725 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274727 */     GIR_RootConstrainSelectedInstOperands,
     /* 274728 */     // GIR_Coverage, 5157,
     /* 274728 */     GIR_EraseRootFromParent_Done,
     /* 274729 */   // Label 5516: @274729
     /* 274729 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(274766), // Rule ID 5164 //
     /* 274734 */     // MIs[0] Operand 1
     /* 274734 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 274739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274747 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274753 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274757 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETLT:{ *:[Other] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 274760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274764 */     GIR_RootConstrainSelectedInstOperands,
     /* 274765 */     // GIR_Coverage, 5164,
     /* 274765 */     GIR_EraseRootFromParent_Done,
     /* 274766 */   // Label 5517: @274766
     /* 274766 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(274803), // Rule ID 5171 //
     /* 274771 */     // MIs[0] Operand 1
     /* 274771 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 274776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 274784 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 274790 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 274792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 274794 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, immAllZerosV:{ *:[v2i64] }, SETLE:{ *:[Other] })  =>  (CMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 274794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv2i64rz),
     /* 274797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274799 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274801 */     GIR_RootConstrainSelectedInstOperands,
     /* 274802 */     // GIR_Coverage, 5171,
     /* 274802 */     GIR_EraseRootFromParent_Done,
     /* 274803 */   // Label 5518: @274803
     /* 274803 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(274835), // Rule ID 1127 //
     /* 274808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274811 */     // MIs[0] Operand 1
     /* 274811 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 274816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274824 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 274824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64),
     /* 274827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274829 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274831 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274833 */     GIR_RootConstrainSelectedInstOperands,
     /* 274834 */     // GIR_Coverage, 1127,
     /* 274834 */     GIR_EraseRootFromParent_Done,
     /* 274835 */   // Label 5519: @274835
     /* 274835 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(274867), // Rule ID 1134 //
     /* 274840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274843 */     // MIs[0] Operand 1
     /* 274843 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 274848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274856 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 274856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64),
     /* 274859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274861 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274863 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274865 */     GIR_RootConstrainSelectedInstOperands,
     /* 274866 */     // GIR_Coverage, 1134,
     /* 274866 */     GIR_EraseRootFromParent_Done,
     /* 274867 */   // Label 5520: @274867
     /* 274867 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(274899), // Rule ID 1141 //
     /* 274872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274875 */     // MIs[0] Operand 1
     /* 274875 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 274880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274888 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 274888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64),
     /* 274891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274893 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274895 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274897 */     GIR_RootConstrainSelectedInstOperands,
     /* 274898 */     // GIR_Coverage, 1141,
     /* 274898 */     GIR_EraseRootFromParent_Done,
     /* 274899 */   // Label 5521: @274899
     /* 274899 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(274931), // Rule ID 1148 //
     /* 274904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274907 */     // MIs[0] Operand 1
     /* 274907 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 274912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274920 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 274920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i64),
     /* 274923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274927 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274929 */     GIR_RootConstrainSelectedInstOperands,
     /* 274930 */     // GIR_Coverage, 1148,
     /* 274930 */     GIR_EraseRootFromParent_Done,
     /* 274931 */   // Label 5522: @274931
     /* 274931 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(274963), // Rule ID 1155 //
     /* 274936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 274939 */     // MIs[0] Operand 1
     /* 274939 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 274944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274952 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 274952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i64),
     /* 274955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274959 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274961 */     GIR_RootConstrainSelectedInstOperands,
     /* 274962 */     // GIR_Coverage, 1155,
     /* 274962 */     GIR_EraseRootFromParent_Done,
     /* 274963 */   // Label 5523: @274963
     /* 274963 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(274992), // Rule ID 5080 //
     /* 274968 */     // MIs[0] Operand 1
     /* 274968 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 274973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 274981 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 274981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv2i64),
     /* 274984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 274986 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 274988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 274990 */     GIR_RootConstrainSelectedInstOperands,
     /* 274991 */     // GIR_Coverage, 5080,
     /* 274991 */     GIR_EraseRootFromParent_Done,
     /* 274992 */   // Label 5524: @274992
     /* 274992 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(275021), // Rule ID 5087 //
     /* 274997 */     // MIs[0] Operand 1
     /* 274997 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275010 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 275010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64),
     /* 275013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275015 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275017 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275019 */     GIR_RootConstrainSelectedInstOperands,
     /* 275020 */     // GIR_Coverage, 5087,
     /* 275020 */     GIR_EraseRootFromParent_Done,
     /* 275021 */   // Label 5525: @275021
     /* 275021 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(275050), // Rule ID 5094 //
     /* 275026 */     // MIs[0] Operand 1
     /* 275026 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275039 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 275039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64),
     /* 275042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275044 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275048 */     GIR_RootConstrainSelectedInstOperands,
     /* 275049 */     // GIR_Coverage, 5094,
     /* 275049 */     GIR_EraseRootFromParent_Done,
     /* 275050 */   // Label 5526: @275050
     /* 275050 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(275079), // Rule ID 5101 //
     /* 275055 */     // MIs[0] Operand 1
     /* 275055 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 275060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275068 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 275068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i64),
     /* 275071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275073 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275075 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275077 */     GIR_RootConstrainSelectedInstOperands,
     /* 275078 */     // GIR_Coverage, 5101,
     /* 275078 */     GIR_EraseRootFromParent_Done,
     /* 275079 */   // Label 5527: @275079
     /* 275079 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(275108), // Rule ID 5108 //
     /* 275084 */     // MIs[0] Operand 1
     /* 275084 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 275089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275097 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 275097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i64),
     /* 275100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275102 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275104 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275106 */     GIR_RootConstrainSelectedInstOperands,
     /* 275107 */     // GIR_Coverage, 5108,
     /* 275107 */     GIR_EraseRootFromParent_Done,
     /* 275108 */   // Label 5528: @275108
     /* 275108 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(275137), // Rule ID 5115 //
     /* 275113 */     // MIs[0] Operand 1
     /* 275113 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 275118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275126 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 275126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv2i64),
     /* 275129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275131 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275133 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275135 */     GIR_RootConstrainSelectedInstOperands,
     /* 275136 */     // GIR_Coverage, 5115,
     /* 275136 */     GIR_EraseRootFromParent_Done,
     /* 275137 */   // Label 5529: @275137
     /* 275137 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(275166), // Rule ID 5122 //
     /* 275142 */     // MIs[0] Operand 1
     /* 275142 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 275147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275155 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 275155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv2i64),
     /* 275158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275160 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275162 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275164 */     GIR_RootConstrainSelectedInstOperands,
     /* 275165 */     // GIR_Coverage, 5122,
     /* 275165 */     GIR_EraseRootFromParent_Done,
     /* 275166 */   // Label 5530: @275166
     /* 275166 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(275195), // Rule ID 5129 //
     /* 275171 */     // MIs[0] Operand 1
     /* 275171 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 275176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275184 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 275184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv2i64),
     /* 275187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275189 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275191 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275193 */     GIR_RootConstrainSelectedInstOperands,
     /* 275194 */     // GIR_Coverage, 5129,
     /* 275194 */     GIR_EraseRootFromParent_Done,
     /* 275195 */   // Label 5531: @275195
     /* 275195 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(275224), // Rule ID 5136 //
     /* 275200 */     // MIs[0] Operand 1
     /* 275200 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 275205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 275213 */     // (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rm, V128:{ *:[v2i64] }:$Rn)
     /* 275213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv2i64),
     /* 275216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275218 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275222 */     GIR_RootConstrainSelectedInstOperands,
     /* 275223 */     // GIR_Coverage, 5136,
     /* 275223 */     GIR_EraseRootFromParent_Done,
     /* 275224 */   // Label 5532: @275224
     /* 275224 */   GIM_Reject,
     /* 275225 */ // Label 5502: @275225
     /* 275225 */ GIM_Reject,
     /* 275226 */ // Label 5453: @275226
     /* 275226 */ GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(276273),
     /* 275231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 275234 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 275237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275241 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(275281), // Rule ID 752 //
     /* 275246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275249 */     // MIs[0] Operand 1
     /* 275249 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275258 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275264 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275272 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i16rz),
     /* 275275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275277 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275279 */     GIR_RootConstrainSelectedInstOperands,
     /* 275280 */     // GIR_Coverage, 752,
     /* 275280 */     GIR_EraseRootFromParent_Done,
     /* 275281 */   // Label 5534: @275281
     /* 275281 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(275321), // Rule ID 759 //
     /* 275286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275289 */     // MIs[0] Operand 1
     /* 275289 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275298 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275304 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275312 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 275315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275317 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275319 */     GIR_RootConstrainSelectedInstOperands,
     /* 275320 */     // GIR_Coverage, 759,
     /* 275320 */     GIR_EraseRootFromParent_Done,
     /* 275321 */   // Label 5535: @275321
     /* 275321 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(275358), // Rule ID 5174 //
     /* 275326 */     // MIs[0] Operand 1
     /* 275326 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 275331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275335 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275341 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275349 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16rz),
     /* 275352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275354 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275356 */     GIR_RootConstrainSelectedInstOperands,
     /* 275357 */     // GIR_Coverage, 5174,
     /* 275357 */     GIR_EraseRootFromParent_Done,
     /* 275358 */   // Label 5536: @275358
     /* 275358 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(275395), // Rule ID 5181 //
     /* 275363 */     // MIs[0] Operand 1
     /* 275363 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275372 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275378 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275386 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 275389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275391 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275393 */     GIR_RootConstrainSelectedInstOperands,
     /* 275394 */     // GIR_Coverage, 5181,
     /* 275394 */     GIR_EraseRootFromParent_Done,
     /* 275395 */   // Label 5537: @275395
     /* 275395 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(275432), // Rule ID 5188 //
     /* 275400 */     // MIs[0] Operand 1
     /* 275400 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275409 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275415 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275423 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i16rz),
     /* 275426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275428 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275430 */     GIR_RootConstrainSelectedInstOperands,
     /* 275431 */     // GIR_Coverage, 5188,
     /* 275431 */     GIR_EraseRootFromParent_Done,
     /* 275432 */   // Label 5538: @275432
     /* 275432 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(275469), // Rule ID 5195 //
     /* 275437 */     // MIs[0] Operand 1
     /* 275437 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 275442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275446 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275452 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275460 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16rz),
     /* 275463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275465 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275467 */     GIR_RootConstrainSelectedInstOperands,
     /* 275468 */     // GIR_Coverage, 5195,
     /* 275468 */     GIR_EraseRootFromParent_Done,
     /* 275469 */   // Label 5539: @275469
     /* 275469 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(275506), // Rule ID 5202 //
     /* 275474 */     // MIs[0] Operand 1
     /* 275474 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 275479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 275483 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275489 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275497 */     // (setcc:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, V64:{ *:[v4i16] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16rz),
     /* 275500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275502 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 275504 */     GIR_RootConstrainSelectedInstOperands,
     /* 275505 */     // GIR_Coverage, 5202,
     /* 275505 */     GIR_EraseRootFromParent_Done,
     /* 275506 */   // Label 5540: @275506
     /* 275506 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(275546), // Rule ID 724 //
     /* 275511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275514 */     // MIs[0] Operand 1
     /* 275514 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 275519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275527 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275533 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275537 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETEQ:{ *:[Other] })  =>  (CMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16rz),
     /* 275540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275542 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275544 */     GIR_RootConstrainSelectedInstOperands,
     /* 275545 */     // GIR_Coverage, 724,
     /* 275545 */     GIR_EraseRootFromParent_Done,
     /* 275546 */   // Label 5541: @275546
     /* 275546 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(275586), // Rule ID 733 //
     /* 275551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275554 */     // MIs[0] Operand 1
     /* 275554 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275567 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275573 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275577 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETGE:{ *:[Other] })  =>  (CMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16rz),
     /* 275580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275582 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275584 */     GIR_RootConstrainSelectedInstOperands,
     /* 275585 */     // GIR_Coverage, 733,
     /* 275585 */     GIR_EraseRootFromParent_Done,
     /* 275586 */   // Label 5542: @275586
     /* 275586 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(275626), // Rule ID 734 //
     /* 275591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275594 */     // MIs[0] Operand 1
     /* 275594 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275607 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275613 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 275615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275617 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllOnesV:{ *:[v4i16] }, SETGT:{ *:[Other] })  =>  (CMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16rz),
     /* 275620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275624 */     GIR_RootConstrainSelectedInstOperands,
     /* 275625 */     // GIR_Coverage, 734,
     /* 275625 */     GIR_EraseRootFromParent_Done,
     /* 275626 */   // Label 5543: @275626
     /* 275626 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(275666), // Rule ID 745 //
     /* 275631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275634 */     // MIs[0] Operand 1
     /* 275634 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275647 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275653 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275657 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETGT:{ *:[Other] })  =>  (CMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16rz),
     /* 275660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275662 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275664 */     GIR_RootConstrainSelectedInstOperands,
     /* 275665 */     // GIR_Coverage, 745,
     /* 275665 */     GIR_EraseRootFromParent_Done,
     /* 275666 */   // Label 5544: @275666
     /* 275666 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(275703), // Rule ID 5139 //
     /* 275671 */     // MIs[0] Operand 1
     /* 275671 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 275676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275684 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275690 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275694 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETEQ:{ *:[Other] })  =>  (CMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16rz),
     /* 275697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275699 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275701 */     GIR_RootConstrainSelectedInstOperands,
     /* 275702 */     // GIR_Coverage, 5139,
     /* 275702 */     GIR_EraseRootFromParent_Done,
     /* 275703 */   // Label 5545: @275703
     /* 275703 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(275740), // Rule ID 5146 //
     /* 275708 */     // MIs[0] Operand 1
     /* 275708 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275721 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275727 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275731 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETGT:{ *:[Other] })  =>  (CMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16rz),
     /* 275734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275738 */     GIR_RootConstrainSelectedInstOperands,
     /* 275739 */     // GIR_Coverage, 5146,
     /* 275739 */     GIR_EraseRootFromParent_Done,
     /* 275740 */   // Label 5546: @275740
     /* 275740 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(275777), // Rule ID 5153 //
     /* 275745 */     // MIs[0] Operand 1
     /* 275745 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275758 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275764 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275768 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETGE:{ *:[Other] })  =>  (CMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16rz),
     /* 275771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275773 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275775 */     GIR_RootConstrainSelectedInstOperands,
     /* 275776 */     // GIR_Coverage, 5153,
     /* 275776 */     GIR_EraseRootFromParent_Done,
     /* 275777 */   // Label 5547: @275777
     /* 275777 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(275814), // Rule ID 5160 //
     /* 275782 */     // MIs[0] Operand 1
     /* 275782 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 275787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275795 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275801 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275805 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETLT:{ *:[Other] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 275808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275812 */     GIR_RootConstrainSelectedInstOperands,
     /* 275813 */     // GIR_Coverage, 5160,
     /* 275813 */     GIR_EraseRootFromParent_Done,
     /* 275814 */   // Label 5548: @275814
     /* 275814 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(275851), // Rule ID 5167 //
     /* 275819 */     // MIs[0] Operand 1
     /* 275819 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 275824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 275832 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 275838 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 275840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 275842 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, immAllZerosV:{ *:[v4i16] }, SETLE:{ *:[Other] })  =>  (CMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 275842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i16rz),
     /* 275845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275847 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275849 */     GIR_RootConstrainSelectedInstOperands,
     /* 275850 */     // GIR_Coverage, 5167,
     /* 275850 */     GIR_EraseRootFromParent_Done,
     /* 275851 */   // Label 5549: @275851
     /* 275851 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(275883), // Rule ID 1123 //
     /* 275856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275859 */     // MIs[0] Operand 1
     /* 275859 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 275864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275872 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 275872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16),
     /* 275875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275877 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275879 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275881 */     GIR_RootConstrainSelectedInstOperands,
     /* 275882 */     // GIR_Coverage, 1123,
     /* 275882 */     GIR_EraseRootFromParent_Done,
     /* 275883 */   // Label 5550: @275883
     /* 275883 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(275915), // Rule ID 1130 //
     /* 275888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275891 */     // MIs[0] Operand 1
     /* 275891 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 275896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275904 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 275904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16),
     /* 275907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275909 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275911 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275913 */     GIR_RootConstrainSelectedInstOperands,
     /* 275914 */     // GIR_Coverage, 1130,
     /* 275914 */     GIR_EraseRootFromParent_Done,
     /* 275915 */   // Label 5551: @275915
     /* 275915 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(275947), // Rule ID 1137 //
     /* 275920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275923 */     // MIs[0] Operand 1
     /* 275923 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 275928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275936 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 275936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16),
     /* 275939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275941 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275943 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275945 */     GIR_RootConstrainSelectedInstOperands,
     /* 275946 */     // GIR_Coverage, 1137,
     /* 275946 */     GIR_EraseRootFromParent_Done,
     /* 275947 */   // Label 5552: @275947
     /* 275947 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(275979), // Rule ID 1144 //
     /* 275952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275955 */     // MIs[0] Operand 1
     /* 275955 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 275960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275968 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 275968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i16),
     /* 275971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 275973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 275975 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 275977 */     GIR_RootConstrainSelectedInstOperands,
     /* 275978 */     // GIR_Coverage, 1144,
     /* 275978 */     GIR_EraseRootFromParent_Done,
     /* 275979 */   // Label 5553: @275979
     /* 275979 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(276011), // Rule ID 1151 //
     /* 275984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 275987 */     // MIs[0] Operand 1
     /* 275987 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 275992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 275996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276000 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i16),
     /* 276003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276007 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276009 */     GIR_RootConstrainSelectedInstOperands,
     /* 276010 */     // GIR_Coverage, 1151,
     /* 276010 */     GIR_EraseRootFromParent_Done,
     /* 276011 */   // Label 5554: @276011
     /* 276011 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(276040), // Rule ID 5076 //
     /* 276016 */     // MIs[0] Operand 1
     /* 276016 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276029 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i16),
     /* 276032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276034 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276036 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276038 */     GIR_RootConstrainSelectedInstOperands,
     /* 276039 */     // GIR_Coverage, 5076,
     /* 276039 */     GIR_EraseRootFromParent_Done,
     /* 276040 */   // Label 5555: @276040
     /* 276040 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(276069), // Rule ID 5083 //
     /* 276045 */     // MIs[0] Operand 1
     /* 276045 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276058 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16),
     /* 276061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276063 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276065 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276067 */     GIR_RootConstrainSelectedInstOperands,
     /* 276068 */     // GIR_Coverage, 5083,
     /* 276068 */     GIR_EraseRootFromParent_Done,
     /* 276069 */   // Label 5556: @276069
     /* 276069 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(276098), // Rule ID 5090 //
     /* 276074 */     // MIs[0] Operand 1
     /* 276074 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276087 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16),
     /* 276090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276092 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276096 */     GIR_RootConstrainSelectedInstOperands,
     /* 276097 */     // GIR_Coverage, 5090,
     /* 276097 */     GIR_EraseRootFromParent_Done,
     /* 276098 */   // Label 5557: @276098
     /* 276098 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(276127), // Rule ID 5097 //
     /* 276103 */     // MIs[0] Operand 1
     /* 276103 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 276108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276116 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i16),
     /* 276119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276121 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276123 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276125 */     GIR_RootConstrainSelectedInstOperands,
     /* 276126 */     // GIR_Coverage, 5097,
     /* 276126 */     GIR_EraseRootFromParent_Done,
     /* 276127 */   // Label 5558: @276127
     /* 276127 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(276156), // Rule ID 5104 //
     /* 276132 */     // MIs[0] Operand 1
     /* 276132 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 276137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276145 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 276145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i16),
     /* 276148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276150 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276154 */     GIR_RootConstrainSelectedInstOperands,
     /* 276155 */     // GIR_Coverage, 5104,
     /* 276155 */     GIR_EraseRootFromParent_Done,
     /* 276156 */   // Label 5559: @276156
     /* 276156 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(276185), // Rule ID 5111 //
     /* 276161 */     // MIs[0] Operand 1
     /* 276161 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 276166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276174 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 276174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i16),
     /* 276177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276179 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276181 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276183 */     GIR_RootConstrainSelectedInstOperands,
     /* 276184 */     // GIR_Coverage, 5111,
     /* 276184 */     GIR_EraseRootFromParent_Done,
     /* 276185 */   // Label 5560: @276185
     /* 276185 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(276214), // Rule ID 5118 //
     /* 276190 */     // MIs[0] Operand 1
     /* 276190 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 276195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276203 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 276203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i16),
     /* 276206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276208 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276210 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276212 */     GIR_RootConstrainSelectedInstOperands,
     /* 276213 */     // GIR_Coverage, 5118,
     /* 276213 */     GIR_EraseRootFromParent_Done,
     /* 276214 */   // Label 5561: @276214
     /* 276214 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(276243), // Rule ID 5125 //
     /* 276219 */     // MIs[0] Operand 1
     /* 276219 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 276224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276232 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 276232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i16),
     /* 276235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276237 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276239 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276241 */     GIR_RootConstrainSelectedInstOperands,
     /* 276242 */     // GIR_Coverage, 5125,
     /* 276242 */     GIR_EraseRootFromParent_Done,
     /* 276243 */   // Label 5562: @276243
     /* 276243 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(276272), // Rule ID 5132 //
     /* 276248 */     // MIs[0] Operand 1
     /* 276248 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 276253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 276261 */     // (setcc:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rm, V64:{ *:[v4i16] }:$Rn)
     /* 276261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i16),
     /* 276264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276266 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276268 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276270 */     GIR_RootConstrainSelectedInstOperands,
     /* 276271 */     // GIR_Coverage, 5132,
     /* 276271 */     GIR_EraseRootFromParent_Done,
     /* 276272 */   // Label 5563: @276272
     /* 276272 */   GIM_Reject,
     /* 276273 */ // Label 5533: @276273
     /* 276273 */ GIM_Reject,
     /* 276274 */ // Label 5454: @276274
     /* 276274 */ GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(277321),
     /* 276279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 276282 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 276285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276289 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(276329), // Rule ID 755 //
     /* 276294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276297 */     // MIs[0] Operand 1
     /* 276297 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276306 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276312 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276320 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i32rz),
     /* 276323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276325 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276327 */     GIR_RootConstrainSelectedInstOperands,
     /* 276328 */     // GIR_Coverage, 755,
     /* 276328 */     GIR_EraseRootFromParent_Done,
     /* 276329 */   // Label 5565: @276329
     /* 276329 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(276369), // Rule ID 762 //
     /* 276334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276337 */     // MIs[0] Operand 1
     /* 276337 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276346 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276352 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276360 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 276363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276365 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276367 */     GIR_RootConstrainSelectedInstOperands,
     /* 276368 */     // GIR_Coverage, 762,
     /* 276368 */     GIR_EraseRootFromParent_Done,
     /* 276369 */   // Label 5566: @276369
     /* 276369 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(276406), // Rule ID 5177 //
     /* 276374 */     // MIs[0] Operand 1
     /* 276374 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276383 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276389 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276397 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32rz),
     /* 276400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276402 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276404 */     GIR_RootConstrainSelectedInstOperands,
     /* 276405 */     // GIR_Coverage, 5177,
     /* 276405 */     GIR_EraseRootFromParent_Done,
     /* 276406 */   // Label 5567: @276406
     /* 276406 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(276443), // Rule ID 5184 //
     /* 276411 */     // MIs[0] Operand 1
     /* 276411 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276420 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276426 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276434 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 276437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276439 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276441 */     GIR_RootConstrainSelectedInstOperands,
     /* 276442 */     // GIR_Coverage, 5184,
     /* 276442 */     GIR_EraseRootFromParent_Done,
     /* 276443 */   // Label 5568: @276443
     /* 276443 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(276480), // Rule ID 5191 //
     /* 276448 */     // MIs[0] Operand 1
     /* 276448 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276457 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276463 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276471 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i32rz),
     /* 276474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276476 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276478 */     GIR_RootConstrainSelectedInstOperands,
     /* 276479 */     // GIR_Coverage, 5191,
     /* 276479 */     GIR_EraseRootFromParent_Done,
     /* 276480 */   // Label 5569: @276480
     /* 276480 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(276517), // Rule ID 5198 //
     /* 276485 */     // MIs[0] Operand 1
     /* 276485 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 276490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276494 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276500 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276508 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32rz),
     /* 276511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276513 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276515 */     GIR_RootConstrainSelectedInstOperands,
     /* 276516 */     // GIR_Coverage, 5198,
     /* 276516 */     GIR_EraseRootFromParent_Done,
     /* 276517 */   // Label 5570: @276517
     /* 276517 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(276554), // Rule ID 5205 //
     /* 276522 */     // MIs[0] Operand 1
     /* 276522 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 276527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 276531 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276537 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276545 */     // (setcc:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32rz),
     /* 276548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276550 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 276552 */     GIR_RootConstrainSelectedInstOperands,
     /* 276553 */     // GIR_Coverage, 5205,
     /* 276553 */     GIR_EraseRootFromParent_Done,
     /* 276554 */   // Label 5571: @276554
     /* 276554 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(276594), // Rule ID 727 //
     /* 276559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276562 */     // MIs[0] Operand 1
     /* 276562 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276575 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276581 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276585 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETEQ:{ *:[Other] })  =>  (CMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32rz),
     /* 276588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276590 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276592 */     GIR_RootConstrainSelectedInstOperands,
     /* 276593 */     // GIR_Coverage, 727,
     /* 276593 */     GIR_EraseRootFromParent_Done,
     /* 276594 */   // Label 5572: @276594
     /* 276594 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(276634), // Rule ID 739 //
     /* 276599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276602 */     // MIs[0] Operand 1
     /* 276602 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276615 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276621 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276625 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETGE:{ *:[Other] })  =>  (CMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32rz),
     /* 276628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276630 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276632 */     GIR_RootConstrainSelectedInstOperands,
     /* 276633 */     // GIR_Coverage, 739,
     /* 276633 */     GIR_EraseRootFromParent_Done,
     /* 276634 */   // Label 5573: @276634
     /* 276634 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(276674), // Rule ID 740 //
     /* 276639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276642 */     // MIs[0] Operand 1
     /* 276642 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276655 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276661 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 276663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276665 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllOnesV:{ *:[v4i32] }, SETGT:{ *:[Other] })  =>  (CMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32rz),
     /* 276668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276670 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276672 */     GIR_RootConstrainSelectedInstOperands,
     /* 276673 */     // GIR_Coverage, 740,
     /* 276673 */     GIR_EraseRootFromParent_Done,
     /* 276674 */   // Label 5574: @276674
     /* 276674 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(276714), // Rule ID 748 //
     /* 276679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276682 */     // MIs[0] Operand 1
     /* 276682 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276695 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276701 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276705 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETGT:{ *:[Other] })  =>  (CMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32rz),
     /* 276708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276710 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276712 */     GIR_RootConstrainSelectedInstOperands,
     /* 276713 */     // GIR_Coverage, 748,
     /* 276713 */     GIR_EraseRootFromParent_Done,
     /* 276714 */   // Label 5575: @276714
     /* 276714 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(276751), // Rule ID 5142 //
     /* 276719 */     // MIs[0] Operand 1
     /* 276719 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276732 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276738 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276742 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETEQ:{ *:[Other] })  =>  (CMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32rz),
     /* 276745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276747 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276749 */     GIR_RootConstrainSelectedInstOperands,
     /* 276750 */     // GIR_Coverage, 5142,
     /* 276750 */     GIR_EraseRootFromParent_Done,
     /* 276751 */   // Label 5576: @276751
     /* 276751 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(276788), // Rule ID 5149 //
     /* 276756 */     // MIs[0] Operand 1
     /* 276756 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276769 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276775 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276779 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETGT:{ *:[Other] })  =>  (CMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32rz),
     /* 276782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276786 */     GIR_RootConstrainSelectedInstOperands,
     /* 276787 */     // GIR_Coverage, 5149,
     /* 276787 */     GIR_EraseRootFromParent_Done,
     /* 276788 */   // Label 5577: @276788
     /* 276788 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(276825), // Rule ID 5156 //
     /* 276793 */     // MIs[0] Operand 1
     /* 276793 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276806 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276812 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276816 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETGE:{ *:[Other] })  =>  (CMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32rz),
     /* 276819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276821 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276823 */     GIR_RootConstrainSelectedInstOperands,
     /* 276824 */     // GIR_Coverage, 5156,
     /* 276824 */     GIR_EraseRootFromParent_Done,
     /* 276825 */   // Label 5578: @276825
     /* 276825 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(276862), // Rule ID 5163 //
     /* 276830 */     // MIs[0] Operand 1
     /* 276830 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 276835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276843 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276849 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276853 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETLT:{ *:[Other] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 276856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276858 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276860 */     GIR_RootConstrainSelectedInstOperands,
     /* 276861 */     // GIR_Coverage, 5163,
     /* 276861 */     GIR_EraseRootFromParent_Done,
     /* 276862 */   // Label 5579: @276862
     /* 276862 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(276899), // Rule ID 5170 //
     /* 276867 */     // MIs[0] Operand 1
     /* 276867 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 276872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 276880 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 276886 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 276888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 276890 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, immAllZerosV:{ *:[v4i32] }, SETLE:{ *:[Other] })  =>  (CMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 276890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv4i32rz),
     /* 276893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276895 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276897 */     GIR_RootConstrainSelectedInstOperands,
     /* 276898 */     // GIR_Coverage, 5170,
     /* 276898 */     GIR_EraseRootFromParent_Done,
     /* 276899 */   // Label 5580: @276899
     /* 276899 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(276931), // Rule ID 1126 //
     /* 276904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276907 */     // MIs[0] Operand 1
     /* 276907 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 276912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276920 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 276920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32),
     /* 276923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276927 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276929 */     GIR_RootConstrainSelectedInstOperands,
     /* 276930 */     // GIR_Coverage, 1126,
     /* 276930 */     GIR_EraseRootFromParent_Done,
     /* 276931 */   // Label 5581: @276931
     /* 276931 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(276963), // Rule ID 1133 //
     /* 276936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276939 */     // MIs[0] Operand 1
     /* 276939 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 276944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276952 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 276952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32),
     /* 276955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276957 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276959 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276961 */     GIR_RootConstrainSelectedInstOperands,
     /* 276962 */     // GIR_Coverage, 1133,
     /* 276962 */     GIR_EraseRootFromParent_Done,
     /* 276963 */   // Label 5582: @276963
     /* 276963 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(276995), // Rule ID 1140 //
     /* 276968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 276971 */     // MIs[0] Operand 1
     /* 276971 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 276976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 276984 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 276984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32),
     /* 276987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 276989 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 276991 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 276993 */     GIR_RootConstrainSelectedInstOperands,
     /* 276994 */     // GIR_Coverage, 1140,
     /* 276994 */     GIR_EraseRootFromParent_Done,
     /* 276995 */   // Label 5583: @276995
     /* 276995 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(277027), // Rule ID 1147 //
     /* 277000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277003 */     // MIs[0] Operand 1
     /* 277003 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 277008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277016 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i32),
     /* 277019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277021 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277023 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277025 */     GIR_RootConstrainSelectedInstOperands,
     /* 277026 */     // GIR_Coverage, 1147,
     /* 277026 */     GIR_EraseRootFromParent_Done,
     /* 277027 */   // Label 5584: @277027
     /* 277027 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(277059), // Rule ID 1154 //
     /* 277032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277035 */     // MIs[0] Operand 1
     /* 277035 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 277040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277048 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i32),
     /* 277051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277053 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277055 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277057 */     GIR_RootConstrainSelectedInstOperands,
     /* 277058 */     // GIR_Coverage, 1154,
     /* 277058 */     GIR_EraseRootFromParent_Done,
     /* 277059 */   // Label 5585: @277059
     /* 277059 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(277088), // Rule ID 5079 //
     /* 277064 */     // MIs[0] Operand 1
     /* 277064 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277077 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv4i32),
     /* 277080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277082 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277084 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277086 */     GIR_RootConstrainSelectedInstOperands,
     /* 277087 */     // GIR_Coverage, 5079,
     /* 277087 */     GIR_EraseRootFromParent_Done,
     /* 277088 */   // Label 5586: @277088
     /* 277088 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(277117), // Rule ID 5086 //
     /* 277093 */     // MIs[0] Operand 1
     /* 277093 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277106 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32),
     /* 277109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277111 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277113 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277115 */     GIR_RootConstrainSelectedInstOperands,
     /* 277116 */     // GIR_Coverage, 5086,
     /* 277116 */     GIR_EraseRootFromParent_Done,
     /* 277117 */   // Label 5587: @277117
     /* 277117 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(277146), // Rule ID 5093 //
     /* 277122 */     // MIs[0] Operand 1
     /* 277122 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277135 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32),
     /* 277138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277140 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277142 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277144 */     GIR_RootConstrainSelectedInstOperands,
     /* 277145 */     // GIR_Coverage, 5093,
     /* 277145 */     GIR_EraseRootFromParent_Done,
     /* 277146 */   // Label 5588: @277146
     /* 277146 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(277175), // Rule ID 5100 //
     /* 277151 */     // MIs[0] Operand 1
     /* 277151 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 277156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277164 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i32),
     /* 277167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277169 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277171 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277173 */     GIR_RootConstrainSelectedInstOperands,
     /* 277174 */     // GIR_Coverage, 5100,
     /* 277174 */     GIR_EraseRootFromParent_Done,
     /* 277175 */   // Label 5589: @277175
     /* 277175 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(277204), // Rule ID 5107 //
     /* 277180 */     // MIs[0] Operand 1
     /* 277180 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 277185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277193 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 277193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i32),
     /* 277196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277198 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277200 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277202 */     GIR_RootConstrainSelectedInstOperands,
     /* 277203 */     // GIR_Coverage, 5107,
     /* 277203 */     GIR_EraseRootFromParent_Done,
     /* 277204 */   // Label 5590: @277204
     /* 277204 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(277233), // Rule ID 5114 //
     /* 277209 */     // MIs[0] Operand 1
     /* 277209 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 277214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277222 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 277222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv4i32),
     /* 277225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277227 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277229 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277231 */     GIR_RootConstrainSelectedInstOperands,
     /* 277232 */     // GIR_Coverage, 5114,
     /* 277232 */     GIR_EraseRootFromParent_Done,
     /* 277233 */   // Label 5591: @277233
     /* 277233 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(277262), // Rule ID 5121 //
     /* 277238 */     // MIs[0] Operand 1
     /* 277238 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 277243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277251 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 277251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv4i32),
     /* 277254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277256 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277258 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277260 */     GIR_RootConstrainSelectedInstOperands,
     /* 277261 */     // GIR_Coverage, 5121,
     /* 277261 */     GIR_EraseRootFromParent_Done,
     /* 277262 */   // Label 5592: @277262
     /* 277262 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(277291), // Rule ID 5128 //
     /* 277267 */     // MIs[0] Operand 1
     /* 277267 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 277272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277280 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 277280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv4i32),
     /* 277283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277285 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277287 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277289 */     GIR_RootConstrainSelectedInstOperands,
     /* 277290 */     // GIR_Coverage, 5128,
     /* 277290 */     GIR_EraseRootFromParent_Done,
     /* 277291 */   // Label 5593: @277291
     /* 277291 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(277320), // Rule ID 5135 //
     /* 277296 */     // MIs[0] Operand 1
     /* 277296 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 277301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 277309 */     // (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, V128:{ *:[v4i32] }:$Rn)
     /* 277309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv4i32),
     /* 277312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277314 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277316 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277318 */     GIR_RootConstrainSelectedInstOperands,
     /* 277319 */     // GIR_Coverage, 5135,
     /* 277319 */     GIR_EraseRootFromParent_Done,
     /* 277320 */   // Label 5594: @277320
     /* 277320 */   GIM_Reject,
     /* 277321 */ // Label 5564: @277321
     /* 277321 */ GIM_Reject,
     /* 277322 */ // Label 5455: @277322
     /* 277322 */ GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(278369),
     /* 277327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 277330 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 277333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277337 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(277377), // Rule ID 750 //
     /* 277342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277345 */     // MIs[0] Operand 1
     /* 277345 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277354 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277360 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277368 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i8rz),
     /* 277371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277373 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277375 */     GIR_RootConstrainSelectedInstOperands,
     /* 277376 */     // GIR_Coverage, 750,
     /* 277376 */     GIR_EraseRootFromParent_Done,
     /* 277377 */   // Label 5596: @277377
     /* 277377 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(277417), // Rule ID 757 //
     /* 277382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277385 */     // MIs[0] Operand 1
     /* 277385 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277394 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277400 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277408 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 277411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277413 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277415 */     GIR_RootConstrainSelectedInstOperands,
     /* 277416 */     // GIR_Coverage, 757,
     /* 277416 */     GIR_EraseRootFromParent_Done,
     /* 277417 */   // Label 5597: @277417
     /* 277417 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(277454), // Rule ID 5172 //
     /* 277422 */     // MIs[0] Operand 1
     /* 277422 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277431 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277437 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277445 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8rz),
     /* 277448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277450 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277452 */     GIR_RootConstrainSelectedInstOperands,
     /* 277453 */     // GIR_Coverage, 5172,
     /* 277453 */     GIR_EraseRootFromParent_Done,
     /* 277454 */   // Label 5598: @277454
     /* 277454 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(277491), // Rule ID 5179 //
     /* 277459 */     // MIs[0] Operand 1
     /* 277459 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277468 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277474 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277482 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 277485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277487 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277489 */     GIR_RootConstrainSelectedInstOperands,
     /* 277490 */     // GIR_Coverage, 5179,
     /* 277490 */     GIR_EraseRootFromParent_Done,
     /* 277491 */   // Label 5599: @277491
     /* 277491 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(277528), // Rule ID 5186 //
     /* 277496 */     // MIs[0] Operand 1
     /* 277496 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277505 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277511 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277519 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i8rz),
     /* 277522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277524 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277526 */     GIR_RootConstrainSelectedInstOperands,
     /* 277527 */     // GIR_Coverage, 5186,
     /* 277527 */     GIR_EraseRootFromParent_Done,
     /* 277528 */   // Label 5600: @277528
     /* 277528 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(277565), // Rule ID 5193 //
     /* 277533 */     // MIs[0] Operand 1
     /* 277533 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 277538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277542 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277548 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277556 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8rz),
     /* 277559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277561 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277563 */     GIR_RootConstrainSelectedInstOperands,
     /* 277564 */     // GIR_Coverage, 5193,
     /* 277564 */     GIR_EraseRootFromParent_Done,
     /* 277565 */   // Label 5601: @277565
     /* 277565 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(277602), // Rule ID 5200 //
     /* 277570 */     // MIs[0] Operand 1
     /* 277570 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 277575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 277579 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277585 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277593 */     // (setcc:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, V64:{ *:[v8i8] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8rz),
     /* 277596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277598 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 277600 */     GIR_RootConstrainSelectedInstOperands,
     /* 277601 */     // GIR_Coverage, 5200,
     /* 277601 */     GIR_EraseRootFromParent_Done,
     /* 277602 */   // Label 5602: @277602
     /* 277602 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(277642), // Rule ID 722 //
     /* 277607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277610 */     // MIs[0] Operand 1
     /* 277610 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277623 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277629 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277633 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETEQ:{ *:[Other] })  =>  (CMEQv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8rz),
     /* 277636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277638 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277640 */     GIR_RootConstrainSelectedInstOperands,
     /* 277641 */     // GIR_Coverage, 722,
     /* 277641 */     GIR_EraseRootFromParent_Done,
     /* 277642 */   // Label 5603: @277642
     /* 277642 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(277682), // Rule ID 729 //
     /* 277647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277650 */     // MIs[0] Operand 1
     /* 277650 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277663 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277669 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277673 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETGE:{ *:[Other] })  =>  (CMGEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8rz),
     /* 277676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277678 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277680 */     GIR_RootConstrainSelectedInstOperands,
     /* 277681 */     // GIR_Coverage, 729,
     /* 277681 */     GIR_EraseRootFromParent_Done,
     /* 277682 */   // Label 5604: @277682
     /* 277682 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(277722), // Rule ID 730 //
     /* 277687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277690 */     // MIs[0] Operand 1
     /* 277690 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277703 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277709 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 277711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277713 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllOnesV:{ *:[v8i8] }, SETGT:{ *:[Other] })  =>  (CMGEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8rz),
     /* 277716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277718 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277720 */     GIR_RootConstrainSelectedInstOperands,
     /* 277721 */     // GIR_Coverage, 730,
     /* 277721 */     GIR_EraseRootFromParent_Done,
     /* 277722 */   // Label 5605: @277722
     /* 277722 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(277762), // Rule ID 743 //
     /* 277727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277730 */     // MIs[0] Operand 1
     /* 277730 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277743 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277749 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277753 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETGT:{ *:[Other] })  =>  (CMGTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8rz),
     /* 277756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277758 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277760 */     GIR_RootConstrainSelectedInstOperands,
     /* 277761 */     // GIR_Coverage, 743,
     /* 277761 */     GIR_EraseRootFromParent_Done,
     /* 277762 */   // Label 5606: @277762
     /* 277762 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(277799), // Rule ID 5137 //
     /* 277767 */     // MIs[0] Operand 1
     /* 277767 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277780 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277786 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277790 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETEQ:{ *:[Other] })  =>  (CMEQv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8rz),
     /* 277793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277795 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277797 */     GIR_RootConstrainSelectedInstOperands,
     /* 277798 */     // GIR_Coverage, 5137,
     /* 277798 */     GIR_EraseRootFromParent_Done,
     /* 277799 */   // Label 5607: @277799
     /* 277799 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(277836), // Rule ID 5144 //
     /* 277804 */     // MIs[0] Operand 1
     /* 277804 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 277809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277817 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277823 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277827 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETGT:{ *:[Other] })  =>  (CMGTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8rz),
     /* 277830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277834 */     GIR_RootConstrainSelectedInstOperands,
     /* 277835 */     // GIR_Coverage, 5144,
     /* 277835 */     GIR_EraseRootFromParent_Done,
     /* 277836 */   // Label 5608: @277836
     /* 277836 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(277873), // Rule ID 5151 //
     /* 277841 */     // MIs[0] Operand 1
     /* 277841 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277854 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277860 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277864 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETGE:{ *:[Other] })  =>  (CMGEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8rz),
     /* 277867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277869 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277871 */     GIR_RootConstrainSelectedInstOperands,
     /* 277872 */     // GIR_Coverage, 5151,
     /* 277872 */     GIR_EraseRootFromParent_Done,
     /* 277873 */   // Label 5609: @277873
     /* 277873 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(277910), // Rule ID 5158 //
     /* 277878 */     // MIs[0] Operand 1
     /* 277878 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 277883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277891 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277897 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277901 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETLT:{ *:[Other] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 277904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277906 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277908 */     GIR_RootConstrainSelectedInstOperands,
     /* 277909 */     // GIR_Coverage, 5158,
     /* 277909 */     GIR_EraseRootFromParent_Done,
     /* 277910 */   // Label 5610: @277910
     /* 277910 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(277947), // Rule ID 5165 //
     /* 277915 */     // MIs[0] Operand 1
     /* 277915 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 277920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 277928 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 277934 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 277936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 277938 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, immAllZerosV:{ *:[v8i8] }, SETLE:{ *:[Other] })  =>  (CMLEv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 277938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i8rz),
     /* 277941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277943 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277945 */     GIR_RootConstrainSelectedInstOperands,
     /* 277946 */     // GIR_Coverage, 5165,
     /* 277946 */     GIR_EraseRootFromParent_Done,
     /* 277947 */   // Label 5611: @277947
     /* 277947 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(277979), // Rule ID 1121 //
     /* 277952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277955 */     // MIs[0] Operand 1
     /* 277955 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 277960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277968 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 277968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8),
     /* 277971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 277973 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 277975 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 277977 */     GIR_RootConstrainSelectedInstOperands,
     /* 277978 */     // GIR_Coverage, 1121,
     /* 277978 */     GIR_EraseRootFromParent_Done,
     /* 277979 */   // Label 5612: @277979
     /* 277979 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(278011), // Rule ID 1128 //
     /* 277984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 277987 */     // MIs[0] Operand 1
     /* 277987 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 277992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 277996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278000 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8),
     /* 278003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278005 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278007 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278009 */     GIR_RootConstrainSelectedInstOperands,
     /* 278010 */     // GIR_Coverage, 1128,
     /* 278010 */     GIR_EraseRootFromParent_Done,
     /* 278011 */   // Label 5613: @278011
     /* 278011 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(278043), // Rule ID 1135 //
     /* 278016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278019 */     // MIs[0] Operand 1
     /* 278019 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278032 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8),
     /* 278035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278037 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278039 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278041 */     GIR_RootConstrainSelectedInstOperands,
     /* 278042 */     // GIR_Coverage, 1135,
     /* 278042 */     GIR_EraseRootFromParent_Done,
     /* 278043 */   // Label 5614: @278043
     /* 278043 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(278075), // Rule ID 1142 //
     /* 278048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278051 */     // MIs[0] Operand 1
     /* 278051 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 278056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278064 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i8),
     /* 278067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278071 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278073 */     GIR_RootConstrainSelectedInstOperands,
     /* 278074 */     // GIR_Coverage, 1142,
     /* 278074 */     GIR_EraseRootFromParent_Done,
     /* 278075 */   // Label 5615: @278075
     /* 278075 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(278107), // Rule ID 1149 //
     /* 278080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278083 */     // MIs[0] Operand 1
     /* 278083 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 278088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278096 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i8),
     /* 278099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278103 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278105 */     GIR_RootConstrainSelectedInstOperands,
     /* 278106 */     // GIR_Coverage, 1149,
     /* 278106 */     GIR_EraseRootFromParent_Done,
     /* 278107 */   // Label 5616: @278107
     /* 278107 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(278136), // Rule ID 5074 //
     /* 278112 */     // MIs[0] Operand 1
     /* 278112 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 278117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278125 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i8),
     /* 278128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278130 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278132 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278134 */     GIR_RootConstrainSelectedInstOperands,
     /* 278135 */     // GIR_Coverage, 5074,
     /* 278135 */     GIR_EraseRootFromParent_Done,
     /* 278136 */   // Label 5617: @278136
     /* 278136 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(278165), // Rule ID 5081 //
     /* 278141 */     // MIs[0] Operand 1
     /* 278141 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278154 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8),
     /* 278157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278159 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278161 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278163 */     GIR_RootConstrainSelectedInstOperands,
     /* 278164 */     // GIR_Coverage, 5081,
     /* 278164 */     GIR_EraseRootFromParent_Done,
     /* 278165 */   // Label 5618: @278165
     /* 278165 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(278194), // Rule ID 5088 //
     /* 278170 */     // MIs[0] Operand 1
     /* 278170 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278183 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8),
     /* 278186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278190 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278192 */     GIR_RootConstrainSelectedInstOperands,
     /* 278193 */     // GIR_Coverage, 5088,
     /* 278193 */     GIR_EraseRootFromParent_Done,
     /* 278194 */   // Label 5619: @278194
     /* 278194 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(278223), // Rule ID 5095 //
     /* 278199 */     // MIs[0] Operand 1
     /* 278199 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 278204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278212 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i8),
     /* 278215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278217 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278219 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278221 */     GIR_RootConstrainSelectedInstOperands,
     /* 278222 */     // GIR_Coverage, 5095,
     /* 278222 */     GIR_EraseRootFromParent_Done,
     /* 278223 */   // Label 5620: @278223
     /* 278223 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(278252), // Rule ID 5102 //
     /* 278228 */     // MIs[0] Operand 1
     /* 278228 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 278233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278241 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 278241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i8),
     /* 278244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278246 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278248 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278250 */     GIR_RootConstrainSelectedInstOperands,
     /* 278251 */     // GIR_Coverage, 5102,
     /* 278251 */     GIR_EraseRootFromParent_Done,
     /* 278252 */   // Label 5621: @278252
     /* 278252 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(278281), // Rule ID 5109 //
     /* 278257 */     // MIs[0] Operand 1
     /* 278257 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 278262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278270 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 278270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i8),
     /* 278273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278275 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278277 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278279 */     GIR_RootConstrainSelectedInstOperands,
     /* 278280 */     // GIR_Coverage, 5109,
     /* 278280 */     GIR_EraseRootFromParent_Done,
     /* 278281 */   // Label 5622: @278281
     /* 278281 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(278310), // Rule ID 5116 //
     /* 278286 */     // MIs[0] Operand 1
     /* 278286 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 278291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278299 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 278299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i8),
     /* 278302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278308 */     GIR_RootConstrainSelectedInstOperands,
     /* 278309 */     // GIR_Coverage, 5116,
     /* 278309 */     GIR_EraseRootFromParent_Done,
     /* 278310 */   // Label 5623: @278310
     /* 278310 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(278339), // Rule ID 5123 //
     /* 278315 */     // MIs[0] Operand 1
     /* 278315 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 278320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278328 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 278328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i8),
     /* 278331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278333 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278335 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278337 */     GIR_RootConstrainSelectedInstOperands,
     /* 278338 */     // GIR_Coverage, 5123,
     /* 278338 */     GIR_EraseRootFromParent_Done,
     /* 278339 */   // Label 5624: @278339
     /* 278339 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(278368), // Rule ID 5130 //
     /* 278344 */     // MIs[0] Operand 1
     /* 278344 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 278349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 278357 */     // (setcc:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rm, V64:{ *:[v8i8] }:$Rn)
     /* 278357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i8),
     /* 278360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278362 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 278364 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278366 */     GIR_RootConstrainSelectedInstOperands,
     /* 278367 */     // GIR_Coverage, 5130,
     /* 278367 */     GIR_EraseRootFromParent_Done,
     /* 278368 */   // Label 5625: @278368
     /* 278368 */   GIM_Reject,
     /* 278369 */ // Label 5595: @278369
     /* 278369 */ GIM_Reject,
     /* 278370 */ // Label 5456: @278370
     /* 278370 */ GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(279417),
     /* 278375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 278378 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 278381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278385 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(278425), // Rule ID 753 //
     /* 278390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278393 */     // MIs[0] Operand 1
     /* 278393 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278402 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278408 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278416 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i16rz),
     /* 278419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278421 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278423 */     GIR_RootConstrainSelectedInstOperands,
     /* 278424 */     // GIR_Coverage, 753,
     /* 278424 */     GIR_EraseRootFromParent_Done,
     /* 278425 */   // Label 5627: @278425
     /* 278425 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(278465), // Rule ID 760 //
     /* 278430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278433 */     // MIs[0] Operand 1
     /* 278433 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278442 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278448 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278456 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 278459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278461 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278463 */     GIR_RootConstrainSelectedInstOperands,
     /* 278464 */     // GIR_Coverage, 760,
     /* 278464 */     GIR_EraseRootFromParent_Done,
     /* 278465 */   // Label 5628: @278465
     /* 278465 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(278502), // Rule ID 5175 //
     /* 278470 */     // MIs[0] Operand 1
     /* 278470 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 278475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278479 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278485 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278493 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16rz),
     /* 278496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278498 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278500 */     GIR_RootConstrainSelectedInstOperands,
     /* 278501 */     // GIR_Coverage, 5175,
     /* 278501 */     GIR_EraseRootFromParent_Done,
     /* 278502 */   // Label 5629: @278502
     /* 278502 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(278539), // Rule ID 5182 //
     /* 278507 */     // MIs[0] Operand 1
     /* 278507 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278516 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278522 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278530 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 278533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278535 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278537 */     GIR_RootConstrainSelectedInstOperands,
     /* 278538 */     // GIR_Coverage, 5182,
     /* 278538 */     GIR_EraseRootFromParent_Done,
     /* 278539 */   // Label 5630: @278539
     /* 278539 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(278576), // Rule ID 5189 //
     /* 278544 */     // MIs[0] Operand 1
     /* 278544 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278553 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278559 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278567 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i16rz),
     /* 278570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278572 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278574 */     GIR_RootConstrainSelectedInstOperands,
     /* 278575 */     // GIR_Coverage, 5189,
     /* 278575 */     GIR_EraseRootFromParent_Done,
     /* 278576 */   // Label 5631: @278576
     /* 278576 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(278613), // Rule ID 5196 //
     /* 278581 */     // MIs[0] Operand 1
     /* 278581 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 278586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278590 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278596 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278604 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16rz),
     /* 278607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278609 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278611 */     GIR_RootConstrainSelectedInstOperands,
     /* 278612 */     // GIR_Coverage, 5196,
     /* 278612 */     GIR_EraseRootFromParent_Done,
     /* 278613 */   // Label 5632: @278613
     /* 278613 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(278650), // Rule ID 5203 //
     /* 278618 */     // MIs[0] Operand 1
     /* 278618 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 278623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 278627 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278633 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278641 */     // (setcc:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16rz),
     /* 278644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278646 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 278648 */     GIR_RootConstrainSelectedInstOperands,
     /* 278649 */     // GIR_Coverage, 5203,
     /* 278649 */     GIR_EraseRootFromParent_Done,
     /* 278650 */   // Label 5633: @278650
     /* 278650 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(278690), // Rule ID 725 //
     /* 278655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278658 */     // MIs[0] Operand 1
     /* 278658 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 278663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278671 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278677 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278681 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETEQ:{ *:[Other] })  =>  (CMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16rz),
     /* 278684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278686 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278688 */     GIR_RootConstrainSelectedInstOperands,
     /* 278689 */     // GIR_Coverage, 725,
     /* 278689 */     GIR_EraseRootFromParent_Done,
     /* 278690 */   // Label 5634: @278690
     /* 278690 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(278730), // Rule ID 735 //
     /* 278695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278698 */     // MIs[0] Operand 1
     /* 278698 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278711 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278717 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278721 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETGE:{ *:[Other] })  =>  (CMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16rz),
     /* 278724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278726 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278728 */     GIR_RootConstrainSelectedInstOperands,
     /* 278729 */     // GIR_Coverage, 735,
     /* 278729 */     GIR_EraseRootFromParent_Done,
     /* 278730 */   // Label 5635: @278730
     /* 278730 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(278770), // Rule ID 736 //
     /* 278735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278738 */     // MIs[0] Operand 1
     /* 278738 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278751 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278757 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 278759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278761 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllOnesV:{ *:[v8i16] }, SETGT:{ *:[Other] })  =>  (CMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16rz),
     /* 278764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278766 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278768 */     GIR_RootConstrainSelectedInstOperands,
     /* 278769 */     // GIR_Coverage, 736,
     /* 278769 */     GIR_EraseRootFromParent_Done,
     /* 278770 */   // Label 5636: @278770
     /* 278770 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(278810), // Rule ID 746 //
     /* 278775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 278778 */     // MIs[0] Operand 1
     /* 278778 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278791 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278797 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278801 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETGT:{ *:[Other] })  =>  (CMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16rz),
     /* 278804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278806 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278808 */     GIR_RootConstrainSelectedInstOperands,
     /* 278809 */     // GIR_Coverage, 746,
     /* 278809 */     GIR_EraseRootFromParent_Done,
     /* 278810 */   // Label 5637: @278810
     /* 278810 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(278847), // Rule ID 5140 //
     /* 278815 */     // MIs[0] Operand 1
     /* 278815 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 278820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278828 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278834 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278838 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETEQ:{ *:[Other] })  =>  (CMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16rz),
     /* 278841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278843 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278845 */     GIR_RootConstrainSelectedInstOperands,
     /* 278846 */     // GIR_Coverage, 5140,
     /* 278846 */     GIR_EraseRootFromParent_Done,
     /* 278847 */   // Label 5638: @278847
     /* 278847 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(278884), // Rule ID 5147 //
     /* 278852 */     // MIs[0] Operand 1
     /* 278852 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 278857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278865 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278871 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278875 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETGT:{ *:[Other] })  =>  (CMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16rz),
     /* 278878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278880 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278882 */     GIR_RootConstrainSelectedInstOperands,
     /* 278883 */     // GIR_Coverage, 5147,
     /* 278883 */     GIR_EraseRootFromParent_Done,
     /* 278884 */   // Label 5639: @278884
     /* 278884 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(278921), // Rule ID 5154 //
     /* 278889 */     // MIs[0] Operand 1
     /* 278889 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 278894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278902 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278908 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278912 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETGE:{ *:[Other] })  =>  (CMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16rz),
     /* 278915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278919 */     GIR_RootConstrainSelectedInstOperands,
     /* 278920 */     // GIR_Coverage, 5154,
     /* 278920 */     GIR_EraseRootFromParent_Done,
     /* 278921 */   // Label 5640: @278921
     /* 278921 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(278958), // Rule ID 5161 //
     /* 278926 */     // MIs[0] Operand 1
     /* 278926 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 278931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278939 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278945 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278949 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETLT:{ *:[Other] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 278952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278956 */     GIR_RootConstrainSelectedInstOperands,
     /* 278957 */     // GIR_Coverage, 5161,
     /* 278957 */     GIR_EraseRootFromParent_Done,
     /* 278958 */   // Label 5641: @278958
     /* 278958 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(278995), // Rule ID 5168 //
     /* 278963 */     // MIs[0] Operand 1
     /* 278963 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 278968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 278972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 278976 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 278982 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 278984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 278986 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, immAllZerosV:{ *:[v8i16] }, SETLE:{ *:[Other] })  =>  (CMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 278986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv8i16rz),
     /* 278989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 278991 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 278993 */     GIR_RootConstrainSelectedInstOperands,
     /* 278994 */     // GIR_Coverage, 5168,
     /* 278994 */     GIR_EraseRootFromParent_Done,
     /* 278995 */   // Label 5642: @278995
     /* 278995 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(279027), // Rule ID 1124 //
     /* 279000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279003 */     // MIs[0] Operand 1
     /* 279003 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 279008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279016 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16),
     /* 279019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279021 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279023 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279025 */     GIR_RootConstrainSelectedInstOperands,
     /* 279026 */     // GIR_Coverage, 1124,
     /* 279026 */     GIR_EraseRootFromParent_Done,
     /* 279027 */   // Label 5643: @279027
     /* 279027 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(279059), // Rule ID 1131 //
     /* 279032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279035 */     // MIs[0] Operand 1
     /* 279035 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 279040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279048 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16),
     /* 279051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279053 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279055 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279057 */     GIR_RootConstrainSelectedInstOperands,
     /* 279058 */     // GIR_Coverage, 1131,
     /* 279058 */     GIR_EraseRootFromParent_Done,
     /* 279059 */   // Label 5644: @279059
     /* 279059 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(279091), // Rule ID 1138 //
     /* 279064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279067 */     // MIs[0] Operand 1
     /* 279067 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 279072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279080 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16),
     /* 279083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279085 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279087 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279089 */     GIR_RootConstrainSelectedInstOperands,
     /* 279090 */     // GIR_Coverage, 1138,
     /* 279090 */     GIR_EraseRootFromParent_Done,
     /* 279091 */   // Label 5645: @279091
     /* 279091 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(279123), // Rule ID 1145 //
     /* 279096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279099 */     // MIs[0] Operand 1
     /* 279099 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 279104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279112 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i16),
     /* 279115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279117 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279119 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279121 */     GIR_RootConstrainSelectedInstOperands,
     /* 279122 */     // GIR_Coverage, 1145,
     /* 279122 */     GIR_EraseRootFromParent_Done,
     /* 279123 */   // Label 5646: @279123
     /* 279123 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(279155), // Rule ID 1152 //
     /* 279128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279131 */     // MIs[0] Operand 1
     /* 279131 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 279136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279144 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i16),
     /* 279147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279149 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279151 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279153 */     GIR_RootConstrainSelectedInstOperands,
     /* 279154 */     // GIR_Coverage, 1152,
     /* 279154 */     GIR_EraseRootFromParent_Done,
     /* 279155 */   // Label 5647: @279155
     /* 279155 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(279184), // Rule ID 5077 //
     /* 279160 */     // MIs[0] Operand 1
     /* 279160 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 279165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279173 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv8i16),
     /* 279176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279178 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279182 */     GIR_RootConstrainSelectedInstOperands,
     /* 279183 */     // GIR_Coverage, 5077,
     /* 279183 */     GIR_EraseRootFromParent_Done,
     /* 279184 */   // Label 5648: @279184
     /* 279184 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(279213), // Rule ID 5084 //
     /* 279189 */     // MIs[0] Operand 1
     /* 279189 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 279194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279202 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16),
     /* 279205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279207 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279209 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279211 */     GIR_RootConstrainSelectedInstOperands,
     /* 279212 */     // GIR_Coverage, 5084,
     /* 279212 */     GIR_EraseRootFromParent_Done,
     /* 279213 */   // Label 5649: @279213
     /* 279213 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(279242), // Rule ID 5091 //
     /* 279218 */     // MIs[0] Operand 1
     /* 279218 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 279223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279231 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16),
     /* 279234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279236 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279238 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279240 */     GIR_RootConstrainSelectedInstOperands,
     /* 279241 */     // GIR_Coverage, 5091,
     /* 279241 */     GIR_EraseRootFromParent_Done,
     /* 279242 */   // Label 5650: @279242
     /* 279242 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(279271), // Rule ID 5098 //
     /* 279247 */     // MIs[0] Operand 1
     /* 279247 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 279252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279260 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i16),
     /* 279263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279265 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279267 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279269 */     GIR_RootConstrainSelectedInstOperands,
     /* 279270 */     // GIR_Coverage, 5098,
     /* 279270 */     GIR_EraseRootFromParent_Done,
     /* 279271 */   // Label 5651: @279271
     /* 279271 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(279300), // Rule ID 5105 //
     /* 279276 */     // MIs[0] Operand 1
     /* 279276 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 279281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279289 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 279289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i16),
     /* 279292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279294 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279296 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279298 */     GIR_RootConstrainSelectedInstOperands,
     /* 279299 */     // GIR_Coverage, 5105,
     /* 279299 */     GIR_EraseRootFromParent_Done,
     /* 279300 */   // Label 5652: @279300
     /* 279300 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(279329), // Rule ID 5112 //
     /* 279305 */     // MIs[0] Operand 1
     /* 279305 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 279310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279318 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 279318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv8i16),
     /* 279321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279323 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279327 */     GIR_RootConstrainSelectedInstOperands,
     /* 279328 */     // GIR_Coverage, 5112,
     /* 279328 */     GIR_EraseRootFromParent_Done,
     /* 279329 */   // Label 5653: @279329
     /* 279329 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(279358), // Rule ID 5119 //
     /* 279334 */     // MIs[0] Operand 1
     /* 279334 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 279339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279347 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 279347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv8i16),
     /* 279350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279352 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279354 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279356 */     GIR_RootConstrainSelectedInstOperands,
     /* 279357 */     // GIR_Coverage, 5119,
     /* 279357 */     GIR_EraseRootFromParent_Done,
     /* 279358 */   // Label 5654: @279358
     /* 279358 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(279387), // Rule ID 5126 //
     /* 279363 */     // MIs[0] Operand 1
     /* 279363 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 279368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279376 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 279376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv8i16),
     /* 279379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279381 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279383 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279385 */     GIR_RootConstrainSelectedInstOperands,
     /* 279386 */     // GIR_Coverage, 5126,
     /* 279386 */     GIR_EraseRootFromParent_Done,
     /* 279387 */   // Label 5655: @279387
     /* 279387 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(279416), // Rule ID 5133 //
     /* 279392 */     // MIs[0] Operand 1
     /* 279392 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 279397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279405 */     // (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rm, V128:{ *:[v8i16] }:$Rn)
     /* 279405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv8i16),
     /* 279408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279410 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 279412 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279414 */     GIR_RootConstrainSelectedInstOperands,
     /* 279415 */     // GIR_Coverage, 5133,
     /* 279415 */     GIR_EraseRootFromParent_Done,
     /* 279416 */   // Label 5656: @279416
     /* 279416 */   GIM_Reject,
     /* 279417 */ // Label 5626: @279417
     /* 279417 */ GIM_Reject,
     /* 279418 */ // Label 5457: @279418
     /* 279418 */ GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(280465),
     /* 279423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 279426 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 279429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279433 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(279473), // Rule ID 751 //
     /* 279438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279441 */     // MIs[0] Operand 1
     /* 279441 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 279446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279450 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279456 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279464 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv16i8rz),
     /* 279467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279469 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 279471 */     GIR_RootConstrainSelectedInstOperands,
     /* 279472 */     // GIR_Coverage, 751,
     /* 279472 */     GIR_EraseRootFromParent_Done,
     /* 279473 */   // Label 5658: @279473
     /* 279473 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(279513), // Rule ID 758 //
     /* 279478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279481 */     // MIs[0] Operand 1
     /* 279481 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 279486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279490 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279496 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279504 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 279507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279509 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 279511 */     GIR_RootConstrainSelectedInstOperands,
     /* 279512 */     // GIR_Coverage, 758,
     /* 279512 */     GIR_EraseRootFromParent_Done,
     /* 279513 */   // Label 5659: @279513
     /* 279513 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(279550), // Rule ID 5173 //
     /* 279518 */     // MIs[0] Operand 1
     /* 279518 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 279523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279527 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279533 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279541 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETEQ:{ *:[Other] })  =>  (CMEQv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8rz),
     /* 279544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279546 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 279548 */     GIR_RootConstrainSelectedInstOperands,
     /* 279549 */     // GIR_Coverage, 5173,
     /* 279549 */     GIR_EraseRootFromParent_Done,
     /* 279550 */   // Label 5660: @279550
     /* 279550 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(279587), // Rule ID 5180 //
     /* 279555 */     // MIs[0] Operand 1
     /* 279555 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 279560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279564 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279570 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279578 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETGT:{ *:[Other] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 279581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279583 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 279585 */     GIR_RootConstrainSelectedInstOperands,
     /* 279586 */     // GIR_Coverage, 5180,
     /* 279586 */     GIR_EraseRootFromParent_Done,
     /* 279587 */   // Label 5661: @279587
     /* 279587 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(279624), // Rule ID 5187 //
     /* 279592 */     // MIs[0] Operand 1
     /* 279592 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 279597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279601 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279607 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279615 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETGE:{ *:[Other] })  =>  (CMLEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv16i8rz),
     /* 279618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279620 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 279622 */     GIR_RootConstrainSelectedInstOperands,
     /* 279623 */     // GIR_Coverage, 5187,
     /* 279623 */     GIR_EraseRootFromParent_Done,
     /* 279624 */   // Label 5662: @279624
     /* 279624 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(279661), // Rule ID 5194 //
     /* 279629 */     // MIs[0] Operand 1
     /* 279629 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 279634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279638 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279644 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279652 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETLT:{ *:[Other] })  =>  (CMGTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8rz),
     /* 279655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279657 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 279659 */     GIR_RootConstrainSelectedInstOperands,
     /* 279660 */     // GIR_Coverage, 5194,
     /* 279660 */     GIR_EraseRootFromParent_Done,
     /* 279661 */   // Label 5663: @279661
     /* 279661 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(279698), // Rule ID 5201 //
     /* 279666 */     // MIs[0] Operand 1
     /* 279666 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 279671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 279675 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279681 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279689 */     // (setcc:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$Rn, SETLE:{ *:[Other] })  =>  (CMGEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8rz),
     /* 279692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rn
     /* 279696 */     GIR_RootConstrainSelectedInstOperands,
     /* 279697 */     // GIR_Coverage, 5201,
     /* 279697 */     GIR_EraseRootFromParent_Done,
     /* 279698 */   // Label 5664: @279698
     /* 279698 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(279738), // Rule ID 723 //
     /* 279703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279706 */     // MIs[0] Operand 1
     /* 279706 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 279711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279719 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279725 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279729 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETEQ:{ *:[Other] })  =>  (CMEQv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8rz),
     /* 279732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279734 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279736 */     GIR_RootConstrainSelectedInstOperands,
     /* 279737 */     // GIR_Coverage, 723,
     /* 279737 */     GIR_EraseRootFromParent_Done,
     /* 279738 */   // Label 5665: @279738
     /* 279738 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(279778), // Rule ID 731 //
     /* 279743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279746 */     // MIs[0] Operand 1
     /* 279746 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 279751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279759 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279765 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279769 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETGE:{ *:[Other] })  =>  (CMGEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8rz),
     /* 279772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279774 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279776 */     GIR_RootConstrainSelectedInstOperands,
     /* 279777 */     // GIR_Coverage, 731,
     /* 279777 */     GIR_EraseRootFromParent_Done,
     /* 279778 */   // Label 5666: @279778
     /* 279778 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(279818), // Rule ID 732 //
     /* 279783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279786 */     // MIs[0] Operand 1
     /* 279786 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 279791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279799 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279805 */     GIM_CheckIsBuildVectorAllOnes, /*MI*/1,
     /* 279807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279809 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllOnesV:{ *:[v16i8] }, SETGT:{ *:[Other] })  =>  (CMGEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8rz),
     /* 279812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279814 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279816 */     GIR_RootConstrainSelectedInstOperands,
     /* 279817 */     // GIR_Coverage, 732,
     /* 279817 */     GIR_EraseRootFromParent_Done,
     /* 279818 */   // Label 5667: @279818
     /* 279818 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(279858), // Rule ID 744 //
     /* 279823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 279826 */     // MIs[0] Operand 1
     /* 279826 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 279831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279839 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279845 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279849 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETGT:{ *:[Other] })  =>  (CMGTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8rz),
     /* 279852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279854 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279856 */     GIR_RootConstrainSelectedInstOperands,
     /* 279857 */     // GIR_Coverage, 744,
     /* 279857 */     GIR_EraseRootFromParent_Done,
     /* 279858 */   // Label 5668: @279858
     /* 279858 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(279895), // Rule ID 5138 //
     /* 279863 */     // MIs[0] Operand 1
     /* 279863 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 279868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279876 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279882 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279886 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETEQ:{ *:[Other] })  =>  (CMEQv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8rz),
     /* 279889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279891 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279893 */     GIR_RootConstrainSelectedInstOperands,
     /* 279894 */     // GIR_Coverage, 5138,
     /* 279894 */     GIR_EraseRootFromParent_Done,
     /* 279895 */   // Label 5669: @279895
     /* 279895 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(279932), // Rule ID 5145 //
     /* 279900 */     // MIs[0] Operand 1
     /* 279900 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 279905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279913 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279919 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279923 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETGT:{ *:[Other] })  =>  (CMGTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8rz),
     /* 279926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279928 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279930 */     GIR_RootConstrainSelectedInstOperands,
     /* 279931 */     // GIR_Coverage, 5145,
     /* 279931 */     GIR_EraseRootFromParent_Done,
     /* 279932 */   // Label 5670: @279932
     /* 279932 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(279969), // Rule ID 5152 //
     /* 279937 */     // MIs[0] Operand 1
     /* 279937 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 279942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279950 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279956 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279960 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETGE:{ *:[Other] })  =>  (CMGEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8rz),
     /* 279963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 279965 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 279967 */     GIR_RootConstrainSelectedInstOperands,
     /* 279968 */     // GIR_Coverage, 5152,
     /* 279968 */     GIR_EraseRootFromParent_Done,
     /* 279969 */   // Label 5671: @279969
     /* 279969 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(280006), // Rule ID 5159 //
     /* 279974 */     // MIs[0] Operand 1
     /* 279974 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 279979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 279983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 279987 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 279993 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 279995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 279997 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETLT:{ *:[Other] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 279997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 280000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280002 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280004 */     GIR_RootConstrainSelectedInstOperands,
     /* 280005 */     // GIR_Coverage, 5159,
     /* 280005 */     GIR_EraseRootFromParent_Done,
     /* 280006 */   // Label 5672: @280006
     /* 280006 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(280043), // Rule ID 5166 //
     /* 280011 */     // MIs[0] Operand 1
     /* 280011 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 280016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 280024 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 280030 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 280032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 280034 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, immAllZerosV:{ *:[v16i8] }, SETLE:{ *:[Other] })  =>  (CMLEv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 280034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLEv16i8rz),
     /* 280037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280039 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280041 */     GIR_RootConstrainSelectedInstOperands,
     /* 280042 */     // GIR_Coverage, 5166,
     /* 280042 */     GIR_EraseRootFromParent_Done,
     /* 280043 */   // Label 5673: @280043
     /* 280043 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(280075), // Rule ID 1122 //
     /* 280048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 280051 */     // MIs[0] Operand 1
     /* 280051 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 280056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280064 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8),
     /* 280067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280069 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280071 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280073 */     GIR_RootConstrainSelectedInstOperands,
     /* 280074 */     // GIR_Coverage, 1122,
     /* 280074 */     GIR_EraseRootFromParent_Done,
     /* 280075 */   // Label 5674: @280075
     /* 280075 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(280107), // Rule ID 1129 //
     /* 280080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 280083 */     // MIs[0] Operand 1
     /* 280083 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 280088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280096 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8),
     /* 280099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280101 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280103 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280105 */     GIR_RootConstrainSelectedInstOperands,
     /* 280106 */     // GIR_Coverage, 1129,
     /* 280106 */     GIR_EraseRootFromParent_Done,
     /* 280107 */   // Label 5675: @280107
     /* 280107 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(280139), // Rule ID 1136 //
     /* 280112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 280115 */     // MIs[0] Operand 1
     /* 280115 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 280120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280128 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8),
     /* 280131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280133 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280135 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280137 */     GIR_RootConstrainSelectedInstOperands,
     /* 280138 */     // GIR_Coverage, 1136,
     /* 280138 */     GIR_EraseRootFromParent_Done,
     /* 280139 */   // Label 5676: @280139
     /* 280139 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(280171), // Rule ID 1143 //
     /* 280144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 280147 */     // MIs[0] Operand 1
     /* 280147 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 280152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280160 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv16i8),
     /* 280163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280165 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280167 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280169 */     GIR_RootConstrainSelectedInstOperands,
     /* 280170 */     // GIR_Coverage, 1143,
     /* 280170 */     GIR_EraseRootFromParent_Done,
     /* 280171 */   // Label 5677: @280171
     /* 280171 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(280203), // Rule ID 1150 //
     /* 280176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 280179 */     // MIs[0] Operand 1
     /* 280179 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 280184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280192 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv16i8),
     /* 280195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280197 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280199 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280201 */     GIR_RootConstrainSelectedInstOperands,
     /* 280202 */     // GIR_Coverage, 1150,
     /* 280202 */     GIR_EraseRootFromParent_Done,
     /* 280203 */   // Label 5678: @280203
     /* 280203 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(280232), // Rule ID 5075 //
     /* 280208 */     // MIs[0] Operand 1
     /* 280208 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 280213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280221 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETEQ:{ *:[Other] })  =>  (CMEQv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMEQv16i8),
     /* 280224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280226 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280228 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280230 */     GIR_RootConstrainSelectedInstOperands,
     /* 280231 */     // GIR_Coverage, 5075,
     /* 280231 */     GIR_EraseRootFromParent_Done,
     /* 280232 */   // Label 5679: @280232
     /* 280232 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(280261), // Rule ID 5082 //
     /* 280237 */     // MIs[0] Operand 1
     /* 280237 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 280242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280250 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETGT:{ *:[Other] })  =>  (CMGTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8),
     /* 280253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280255 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280257 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280259 */     GIR_RootConstrainSelectedInstOperands,
     /* 280260 */     // GIR_Coverage, 5082,
     /* 280260 */     GIR_EraseRootFromParent_Done,
     /* 280261 */   // Label 5680: @280261
     /* 280261 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(280290), // Rule ID 5089 //
     /* 280266 */     // MIs[0] Operand 1
     /* 280266 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 280271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280279 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETGE:{ *:[Other] })  =>  (CMGEv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8),
     /* 280282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280284 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280286 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280288 */     GIR_RootConstrainSelectedInstOperands,
     /* 280289 */     // GIR_Coverage, 5089,
     /* 280289 */     GIR_EraseRootFromParent_Done,
     /* 280290 */   // Label 5681: @280290
     /* 280290 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(280319), // Rule ID 5096 //
     /* 280295 */     // MIs[0] Operand 1
     /* 280295 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 280300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280308 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETUGT:{ *:[Other] })  =>  (CMHIv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv16i8),
     /* 280311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280313 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280315 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280317 */     GIR_RootConstrainSelectedInstOperands,
     /* 280318 */     // GIR_Coverage, 5096,
     /* 280318 */     GIR_EraseRootFromParent_Done,
     /* 280319 */   // Label 5682: @280319
     /* 280319 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(280348), // Rule ID 5103 //
     /* 280324 */     // MIs[0] Operand 1
     /* 280324 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 280329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280337 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETUGE:{ *:[Other] })  =>  (CMHSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 280337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv16i8),
     /* 280340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280342 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280344 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280346 */     GIR_RootConstrainSelectedInstOperands,
     /* 280347 */     // GIR_Coverage, 5103,
     /* 280347 */     GIR_EraseRootFromParent_Done,
     /* 280348 */   // Label 5683: @280348
     /* 280348 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(280377), // Rule ID 5110 //
     /* 280353 */     // MIs[0] Operand 1
     /* 280353 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 280358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280366 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETLT:{ *:[Other] })  =>  (CMGTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 280366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGTv16i8),
     /* 280369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280371 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280373 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280375 */     GIR_RootConstrainSelectedInstOperands,
     /* 280376 */     // GIR_Coverage, 5110,
     /* 280376 */     GIR_EraseRootFromParent_Done,
     /* 280377 */   // Label 5684: @280377
     /* 280377 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(280406), // Rule ID 5117 //
     /* 280382 */     // MIs[0] Operand 1
     /* 280382 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 280387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280395 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETLE:{ *:[Other] })  =>  (CMGEv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 280395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMGEv16i8),
     /* 280398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280400 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280402 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280404 */     GIR_RootConstrainSelectedInstOperands,
     /* 280405 */     // GIR_Coverage, 5117,
     /* 280405 */     GIR_EraseRootFromParent_Done,
     /* 280406 */   // Label 5685: @280406
     /* 280406 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(280435), // Rule ID 5124 //
     /* 280411 */     // MIs[0] Operand 1
     /* 280411 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 280416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280424 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETULT:{ *:[Other] })  =>  (CMHIv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 280424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHIv16i8),
     /* 280427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280429 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280431 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280433 */     GIR_RootConstrainSelectedInstOperands,
     /* 280434 */     // GIR_Coverage, 5124,
     /* 280434 */     GIR_EraseRootFromParent_Done,
     /* 280435 */   // Label 5686: @280435
     /* 280435 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(280464), // Rule ID 5131 //
     /* 280440 */     // MIs[0] Operand 1
     /* 280440 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 280445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 280453 */     // (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, SETULE:{ *:[Other] })  =>  (CMHSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rm, V128:{ *:[v16i8] }:$Rn)
     /* 280453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMHSv16i8),
     /* 280456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 280458 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rm
     /* 280460 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 280462 */     GIR_RootConstrainSelectedInstOperands,
     /* 280463 */     // GIR_Coverage, 5131,
     /* 280463 */     GIR_EraseRootFromParent_Done,
     /* 280464 */   // Label 5687: @280464
     /* 280464 */   GIM_Reject,
     /* 280465 */ // Label 5657: @280465
     /* 280465 */ GIM_Reject,
     /* 280466 */ // Label 5458: @280466
     /* 280466 */ GIM_Reject,
     /* 280467 */ // Label 50: @280467
     /* 280467 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(12), GIMT_Encode2(24), /*)*//*default:*//*Label 5700*/ GIMT_Encode4(281511),
     /* 280478 */ /*GILLT_nxv1s1*//*Label 5688*/ GIMT_Encode4(280526),
     /* 280482 */ /*GILLT_nxv2s1*//*Label 5689*/ GIMT_Encode4(280555),
     /* 280486 */ /*GILLT_nxv2s16*//*Label 5690*/ GIMT_Encode4(280584),
     /* 280490 */ /*GILLT_nxv2s32*//*Label 5691*/ GIMT_Encode4(280669),
     /* 280494 */ /*GILLT_nxv2s64*//*Label 5692*/ GIMT_Encode4(280754),
     /* 280498 */ /*GILLT_nxv4s1*//*Label 5693*/ GIMT_Encode4(280920),
     /* 280502 */ /*GILLT_nxv4s16*//*Label 5694*/ GIMT_Encode4(280949),
     /* 280506 */ /*GILLT_nxv4s32*//*Label 5695*/ GIMT_Encode4(281034),
     /* 280510 */ /*GILLT_nxv8s1*//*Label 5696*/ GIMT_Encode4(281200),
     /* 280514 */ /*GILLT_nxv8s16*//*Label 5697*/ GIMT_Encode4(281229),
     /* 280518 */ /*GILLT_nxv16s1*//*Label 5698*/ GIMT_Encode4(281395),
     /* 280522 */ /*GILLT_nxv16s8*//*Label 5699*/ GIMT_Encode4(281424),
     /* 280526 */ // Label 5688: @280526
     /* 280526 */ GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(280554), // Rule ID 8425 //
     /* 280531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 280537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 280540 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 280543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 280547 */   // (vselect:{ *:[nxv1i1] } nxv1i1:{ *:[nxv1i1] }:$Op1, nxv1i1:{ *:[nxv1i1] }:$Op2, nxv1i1:{ *:[nxv1i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv1i1] } ?:{ *:[nxv1i1] }:$Op1, ?:{ *:[nxv1i1] }:$Op2, ?:{ *:[nxv1i1] }:$Op3)
     /* 280547 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 280552 */   GIR_RootConstrainSelectedInstOperands,
     /* 280553 */   // GIR_Coverage, 8425,
     /* 280553 */   GIR_Done,
     /* 280554 */ // Label 5701: @280554
     /* 280554 */ GIM_Reject,
     /* 280555 */ // Label 5689: @280555
     /* 280555 */ GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(280583), // Rule ID 8424 //
     /* 280560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 280566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 280569 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 280572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 280576 */   // (vselect:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2, nxv2i1:{ *:[nxv2i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2, ?:{ *:[nxv2i1] }:$Op3)
     /* 280576 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 280581 */   GIR_RootConstrainSelectedInstOperands,
     /* 280582 */   // GIR_Coverage, 8424,
     /* 280582 */   GIR_Done,
     /* 280583 */ // Label 5702: @280583
     /* 280583 */ GIM_Reject,
     /* 280584 */ // Label 5690: @280584
     /* 280584 */ GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(280668),
     /* 280589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 280592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 280595 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 280598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280602 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(280652), // Rule ID 3161 //
     /* 280607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 280618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 280622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 280626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 280630 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 280634 */     // MIs[2] Operand 1
     /* 280634 */     // No operand predicates
     /* 280634 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 280636 */     // (vselect:{ *:[nxv2f16] } nxv2i1:{ *:[nxv2i1] }:$pg, (splat_vector:{ *:[nxv2f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8), nxv2f16:{ *:[nxv2f16] }:$zd)  =>  (FCPY_ZPmI_H:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$zd, ?:{ *:[nxv2i1] }:$pg, (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 280636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_H),
     /* 280639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 280641 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 280643 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 280645 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 280650 */     GIR_RootConstrainSelectedInstOperands,
     /* 280651 */     // GIR_Coverage, 3161,
     /* 280651 */     GIR_EraseRootFromParent_Done,
     /* 280652 */   // Label 5704: @280652
     /* 280652 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(280667), // Rule ID 2741 //
     /* 280657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280660 */     // (vselect:{ *:[nxv2f16] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2, nxv2f16:{ *:[nxv2f16] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f16] }:$Op2, ?:{ *:[nxv2f16] }:$Op3)
     /* 280660 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 280665 */     GIR_RootConstrainSelectedInstOperands,
     /* 280666 */     // GIR_Coverage, 2741,
     /* 280666 */     GIR_Done,
     /* 280667 */   // Label 5705: @280667
     /* 280667 */   GIM_Reject,
     /* 280668 */ // Label 5703: @280668
     /* 280668 */ GIM_Reject,
     /* 280669 */ // Label 5691: @280669
     /* 280669 */ GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(280753),
     /* 280674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 280677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 280680 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 280683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280687 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(280737), // Rule ID 3163 //
     /* 280692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 280703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 280707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 280711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 280715 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 280719 */     // MIs[2] Operand 1
     /* 280719 */     // No operand predicates
     /* 280719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 280721 */     // (vselect:{ *:[nxv2f32] } nxv2i1:{ *:[nxv2i1] }:$pg, (splat_vector:{ *:[nxv2f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm8), nxv2f32:{ *:[nxv2f32] }:$zd)  =>  (FCPY_ZPmI_S:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$zd, ?:{ *:[nxv2i1] }:$pg, (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>>:$imm8))
     /* 280721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_S),
     /* 280724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 280726 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 280728 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 280730 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm8
     /* 280735 */     GIR_RootConstrainSelectedInstOperands,
     /* 280736 */     // GIR_Coverage, 3163,
     /* 280736 */     GIR_EraseRootFromParent_Done,
     /* 280737 */   // Label 5707: @280737
     /* 280737 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(280752), // Rule ID 2742 //
     /* 280742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280745 */     // (vselect:{ *:[nxv2f32] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2, nxv2f32:{ *:[nxv2f32] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f32] }:$Op2, ?:{ *:[nxv2f32] }:$Op3)
     /* 280745 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 280750 */     GIR_RootConstrainSelectedInstOperands,
     /* 280751 */     // GIR_Coverage, 2742,
     /* 280751 */     GIR_Done,
     /* 280752 */   // Label 5708: @280752
     /* 280752 */   GIM_Reject,
     /* 280753 */ // Label 5706: @280753
     /* 280753 */ GIM_Reject,
     /* 280754 */ // Label 5692: @280754
     /* 280754 */ GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(280919),
     /* 280759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 280762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 280765 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(280822), // Rule ID 3164 //
     /* 280770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 280776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 280788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 280792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 280796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 280800 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm64),
     /* 280804 */     // MIs[2] Operand 1
     /* 280804 */     // No operand predicates
     /* 280804 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 280806 */     // (vselect:{ *:[nxv2f64] } nxv2i1:{ *:[nxv2i1] }:$pg, (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>><<X:fpimm64XForm>>:$imm8), nxv2f64:{ *:[nxv2f64] }:$zd)  =>  (FCPY_ZPmI_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$zd, ?:{ *:[nxv2i1] }:$pg, (fpimm64XForm:{ *:[f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>>:$imm8))
     /* 280806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_D),
     /* 280809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 280811 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 280813 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 280815 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm64), // imm8
     /* 280820 */     GIR_RootConstrainSelectedInstOperands,
     /* 280821 */     // GIR_Coverage, 3164,
     /* 280821 */     GIR_EraseRootFromParent_Done,
     /* 280822 */   // Label 5710: @280822
     /* 280822 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(280874), // Rule ID 7471 //
     /* 280827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 280842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 280846 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 280850 */     // MIs[0] Op2
     /* 280850 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 280855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 280857 */     // (vselect:{ *:[nxv2i64] } nxv2i1:{ *:[nxv2i1] }:$Op1, (sub:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op2), nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SUBR_ZPmZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 280857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_D),
     /* 280860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 280862 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 280864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 280868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 280872 */     GIR_RootConstrainSelectedInstOperands,
     /* 280873 */     // GIR_Coverage, 7471,
     /* 280873 */     GIR_EraseRootFromParent_Done,
     /* 280874 */   // Label 5711: @280874
     /* 280874 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(280896), // Rule ID 2737 //
     /* 280879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 280885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280889 */     // (vselect:{ *:[nxv2i64] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2, nxv2i64:{ *:[nxv2i64] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 280889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 280894 */     GIR_RootConstrainSelectedInstOperands,
     /* 280895 */     // GIR_Coverage, 2737,
     /* 280895 */     GIR_Done,
     /* 280896 */   // Label 5712: @280896
     /* 280896 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(280918), // Rule ID 2743 //
     /* 280901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 280907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280911 */     // (vselect:{ *:[nxv2f64] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2, nxv2f64:{ *:[nxv2f64] }:$Op3)  =>  (SEL_ZPZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2f64] }:$Op2, ?:{ *:[nxv2f64] }:$Op3)
     /* 280911 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_D),
     /* 280916 */     GIR_RootConstrainSelectedInstOperands,
     /* 280917 */     // GIR_Coverage, 2743,
     /* 280917 */     GIR_Done,
     /* 280918 */   // Label 5713: @280918
     /* 280918 */   GIM_Reject,
     /* 280919 */ // Label 5709: @280919
     /* 280919 */ GIM_Reject,
     /* 280920 */ // Label 5693: @280920
     /* 280920 */ GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(280948), // Rule ID 8423 //
     /* 280925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 280931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 280934 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 280937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 280941 */   // (vselect:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2, nxv4i1:{ *:[nxv4i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2, ?:{ *:[nxv4i1] }:$Op3)
     /* 280941 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 280946 */   GIR_RootConstrainSelectedInstOperands,
     /* 280947 */   // GIR_Coverage, 8423,
     /* 280947 */   GIR_Done,
     /* 280948 */ // Label 5714: @280948
     /* 280948 */ GIM_Reject,
     /* 280949 */ // Label 5694: @280949
     /* 280949 */ GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(281033),
     /* 280954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 280957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 280960 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 280963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 280967 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(281017), // Rule ID 3160 //
     /* 280972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 280975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 280979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 280983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 280987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 280991 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 280995 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 280999 */     // MIs[2] Operand 1
     /* 280999 */     // No operand predicates
     /* 280999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 281001 */     // (vselect:{ *:[nxv4f16] } nxv4i1:{ *:[nxv4i1] }:$pg, (splat_vector:{ *:[nxv4f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8), nxv4f16:{ *:[nxv4f16] }:$zd)  =>  (FCPY_ZPmI_H:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$zd, ?:{ *:[nxv4i1] }:$pg, (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 281001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_H),
     /* 281004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 281006 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 281008 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 281010 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 281015 */     GIR_RootConstrainSelectedInstOperands,
     /* 281016 */     // GIR_Coverage, 3160,
     /* 281016 */     GIR_EraseRootFromParent_Done,
     /* 281017 */   // Label 5716: @281017
     /* 281017 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(281032), // Rule ID 2739 //
     /* 281022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281025 */     // (vselect:{ *:[nxv4f16] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2, nxv4f16:{ *:[nxv4f16] }:$Op3)  =>  (SEL_ZPZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f16] }:$Op2, ?:{ *:[nxv4f16] }:$Op3)
     /* 281025 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_S),
     /* 281030 */     GIR_RootConstrainSelectedInstOperands,
     /* 281031 */     // GIR_Coverage, 2739,
     /* 281031 */     GIR_Done,
     /* 281032 */   // Label 5717: @281032
     /* 281032 */   GIM_Reject,
     /* 281033 */ // Label 5715: @281033
     /* 281033 */ GIM_Reject,
     /* 281034 */ // Label 5695: @281034
     /* 281034 */ GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(281199),
     /* 281039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 281042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 281045 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(281102), // Rule ID 3162 //
     /* 281050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 281056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 281068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 281072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 281076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 281080 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 281084 */     // MIs[2] Operand 1
     /* 281084 */     // No operand predicates
     /* 281084 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 281086 */     // (vselect:{ *:[nxv4f32] } nxv4i1:{ *:[nxv4i1] }:$pg, (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm8), nxv4f32:{ *:[nxv4f32] }:$zd)  =>  (FCPY_ZPmI_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$zd, ?:{ *:[nxv4i1] }:$pg, (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>>:$imm8))
     /* 281086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_S),
     /* 281089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 281091 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 281093 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 281095 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm8
     /* 281100 */     GIR_RootConstrainSelectedInstOperands,
     /* 281101 */     // GIR_Coverage, 3162,
     /* 281101 */     GIR_EraseRootFromParent_Done,
     /* 281102 */   // Label 5719: @281102
     /* 281102 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(281154), // Rule ID 7469 //
     /* 281107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 281122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 281126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 281130 */     // MIs[0] Op2
     /* 281130 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 281135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 281137 */     // (vselect:{ *:[nxv4i32] } nxv4i1:{ *:[nxv4i1] }:$Op1, (sub:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op2), nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SUBR_ZPmZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 281137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_S),
     /* 281140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 281142 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 281144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 281148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 281152 */     GIR_RootConstrainSelectedInstOperands,
     /* 281153 */     // GIR_Coverage, 7469,
     /* 281153 */     GIR_EraseRootFromParent_Done,
     /* 281154 */   // Label 5720: @281154
     /* 281154 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(281176), // Rule ID 2736 //
     /* 281159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 281165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281169 */     // (vselect:{ *:[nxv4i32] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2, nxv4i32:{ *:[nxv4i32] }:$Op3)  =>  (SEL_ZPZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 281169 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_S),
     /* 281174 */     GIR_RootConstrainSelectedInstOperands,
     /* 281175 */     // GIR_Coverage, 2736,
     /* 281175 */     GIR_Done,
     /* 281176 */   // Label 5721: @281176
     /* 281176 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(281198), // Rule ID 2740 //
     /* 281181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 281187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281191 */     // (vselect:{ *:[nxv4f32] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2, nxv4f32:{ *:[nxv4f32] }:$Op3)  =>  (SEL_ZPZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4f32] }:$Op2, ?:{ *:[nxv4f32] }:$Op3)
     /* 281191 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_S),
     /* 281196 */     GIR_RootConstrainSelectedInstOperands,
     /* 281197 */     // GIR_Coverage, 2740,
     /* 281197 */     GIR_Done,
     /* 281198 */   // Label 5722: @281198
     /* 281198 */   GIM_Reject,
     /* 281199 */ // Label 5718: @281199
     /* 281199 */ GIM_Reject,
     /* 281200 */ // Label 5696: @281200
     /* 281200 */ GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(281228), // Rule ID 8422 //
     /* 281205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 281211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 281214 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 281217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 281221 */   // (vselect:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2, nxv8i1:{ *:[nxv8i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2, ?:{ *:[nxv8i1] }:$Op3)
     /* 281221 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 281226 */   GIR_RootConstrainSelectedInstOperands,
     /* 281227 */   // GIR_Coverage, 8422,
     /* 281227 */   GIR_Done,
     /* 281228 */ // Label 5723: @281228
     /* 281228 */ GIM_Reject,
     /* 281229 */ // Label 5697: @281229
     /* 281229 */ GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(281394),
     /* 281234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 281237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 281240 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(281297), // Rule ID 3159 //
     /* 281245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 281251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SPLAT_VECTOR),
     /* 281263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 281267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 281271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 281275 */     GIM_CheckAPFloatImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 281279 */     // MIs[2] Operand 1
     /* 281279 */     // No operand predicates
     /* 281279 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 281281 */     // (vselect:{ *:[nxv8f16] } nxv8i1:{ *:[nxv8i1] }:$pg, (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8), nxv8f16:{ *:[nxv8f16] }:$zd)  =>  (FCPY_ZPmI_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$zd, ?:{ *:[nxv8i1] }:$pg, (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 281281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCPY_ZPmI_H),
     /* 281284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 281286 */     GIR_RootToRootCopy, /*OpIdx*/3, // zd
     /* 281288 */     GIR_RootToRootCopy, /*OpIdx*/1, // pg
     /* 281290 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 281295 */     GIR_RootConstrainSelectedInstOperands,
     /* 281296 */     // GIR_Coverage, 3159,
     /* 281296 */     GIR_EraseRootFromParent_Done,
     /* 281297 */   // Label 5725: @281297
     /* 281297 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(281349), // Rule ID 7467 //
     /* 281302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 281317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 281321 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 281325 */     // MIs[0] Op2
     /* 281325 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 281330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 281332 */     // (vselect:{ *:[nxv8i16] } nxv8i1:{ *:[nxv8i1] }:$Op1, (sub:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op2), nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SUBR_ZPmZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 281332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_H),
     /* 281335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 281337 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 281339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 281343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 281347 */     GIR_RootConstrainSelectedInstOperands,
     /* 281348 */     // GIR_Coverage, 7467,
     /* 281348 */     GIR_EraseRootFromParent_Done,
     /* 281349 */   // Label 5726: @281349
     /* 281349 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(281371), // Rule ID 2735 //
     /* 281354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 281360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281364 */     // (vselect:{ *:[nxv8i16] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SEL_ZPZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 281364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_H),
     /* 281369 */     GIR_RootConstrainSelectedInstOperands,
     /* 281370 */     // GIR_Coverage, 2735,
     /* 281370 */     GIR_Done,
     /* 281371 */   // Label 5727: @281371
     /* 281371 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(281393), // Rule ID 2738 //
     /* 281376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 281382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281386 */     // (vselect:{ *:[nxv8f16] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2, nxv8f16:{ *:[nxv8f16] }:$Op3)  =>  (SEL_ZPZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8f16] }:$Op2, ?:{ *:[nxv8f16] }:$Op3)
     /* 281386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_H),
     /* 281391 */     GIR_RootConstrainSelectedInstOperands,
     /* 281392 */     // GIR_Coverage, 2738,
     /* 281392 */     GIR_Done,
     /* 281393 */   // Label 5728: @281393
     /* 281393 */   GIM_Reject,
     /* 281394 */ // Label 5724: @281394
     /* 281394 */ GIM_Reject,
     /* 281395 */ // Label 5698: @281395
     /* 281395 */ GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(281423), // Rule ID 8421 //
     /* 281400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 281406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 281409 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 281412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRorPNRRegClassID),
     /* 281416 */   // (vselect:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i1:{ *:[nxv16i1] }:$Op2, nxv16i1:{ *:[nxv16i1] }:$Op3)  =>  (SEL_PPPP:{ *:[nxv16i1] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i1] }:$Op2, ?:{ *:[nxv16i1] }:$Op3)
     /* 281416 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_PPPP),
     /* 281421 */   GIR_RootConstrainSelectedInstOperands,
     /* 281422 */   // GIR_Coverage, 8421,
     /* 281422 */   GIR_Done,
     /* 281423 */ // Label 5729: @281423
     /* 281423 */ GIM_Reject,
     /* 281424 */ // Label 5699: @281424
     /* 281424 */ GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(281510),
     /* 281429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 281432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 281435 */   GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(281487), // Rule ID 7465 //
     /* 281440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 281451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 281455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 281459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 281463 */     // MIs[0] Op2
     /* 281463 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 281468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 281470 */     // (vselect:{ *:[nxv16i8] } nxv16i1:{ *:[nxv16i1] }:$Op1, (sub:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op2), nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SUBR_ZPmZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 281470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SUBR_ZPmZ_B),
     /* 281473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 281475 */     GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 281477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Op2
     /* 281481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Op3
     /* 281485 */     GIR_RootConstrainSelectedInstOperands,
     /* 281486 */     // GIR_Coverage, 7465,
     /* 281486 */     GIR_EraseRootFromParent_Done,
     /* 281487 */   // Label 5731: @281487
     /* 281487 */   GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(281509), // Rule ID 2734 //
     /* 281492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 281495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 281498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 281502 */     // (vselect:{ *:[nxv16i8] } nxv16i1:{ *:[nxv16i1] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SEL_ZPZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i1] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 281502 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SEL_ZPZZ_B),
     /* 281507 */     GIR_RootConstrainSelectedInstOperands,
     /* 281508 */     // GIR_Coverage, 2734,
     /* 281508 */     GIR_Done,
     /* 281509 */   // Label 5732: @281509
     /* 281509 */   GIM_Reject,
     /* 281510 */ // Label 5730: @281510
     /* 281510 */ GIM_Reject,
     /* 281511 */ // Label 5700: @281511
     /* 281511 */ GIM_Reject,
     /* 281512 */ // Label 51: @281512
     /* 281512 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 5737*/ GIMT_Encode4(281995),
     /* 281523 */ /*GILLT_s64*//*Label 5733*/ GIMT_Encode4(281559), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 281543 */ /*GILLT_v4s32*//*Label 5734*/ GIMT_Encode4(281590), GIMT_Encode4(0),
     /* 281551 */ /*GILLT_v8s16*//*Label 5735*/ GIMT_Encode4(281725),
     /* 281555 */ /*GILLT_v16s8*//*Label 5736*/ GIMT_Encode4(281860),
     /* 281559 */ // Label 5733: @281559
     /* 281559 */ GIM_Try, /*On fail goto*//*Label 5738*/ GIMT_Encode4(281589), // Rule ID 128 //
     /* 281564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 281567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 281570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 281574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 281578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 281582 */   // (mulhu:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UMULHrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 281582 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULHrr),
     /* 281587 */   GIR_RootConstrainSelectedInstOperands,
     /* 281588 */   // GIR_Coverage, 128,
     /* 281588 */   GIR_Done,
     /* 281589 */ // Label 5738: @281589
     /* 281589 */ GIM_Reject,
     /* 281590 */ // Label 5734: @281590
     /* 281590 */ GIM_Try, /*On fail goto*//*Label 5739*/ GIMT_Encode4(281724), // Rule ID 6523 //
     /* 281595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 281598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 281601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281613 */   // (mulhu:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4i32] } (UMULLv2i32_v2i64:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rm, dsub:{ *:[i32] })), (UMULLv4i32_v2i64:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))
     /* 281613 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 281616 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_v2i64),
     /* 281620 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281625 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 281629 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 281633 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 281635 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 281638 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281642 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281647 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 281653 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281658 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281663 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 281666 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281670 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281675 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 281681 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281686 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281691 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 281694 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_v2i64),
     /* 281698 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281703 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 281706 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 281709 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 281711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 281714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281716 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 281719 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 281722 */   GIR_RootConstrainSelectedInstOperands,
     /* 281723 */   // GIR_Coverage, 6523,
     /* 281723 */   GIR_EraseRootFromParent_Done,
     /* 281724 */ // Label 5739: @281724
     /* 281724 */ GIM_Reject,
     /* 281725 */ // Label 5735: @281725
     /* 281725 */ GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(281859), // Rule ID 6522 //
     /* 281730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 281733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 281736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281748 */   // (mulhu:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8i16] } (UMULLv4i16_v4i32:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rm, dsub:{ *:[i32] })), (UMULLv8i16_v4i32:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))
     /* 281748 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 281751 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_v4i32),
     /* 281755 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281760 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 281764 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 281768 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 281770 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 281773 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281777 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281782 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 281788 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281793 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281798 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 281801 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281805 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281810 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 281816 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281821 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281826 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 281829 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_v4i32),
     /* 281833 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281838 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 281841 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 281844 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 281846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 281849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281851 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 281854 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 281857 */   GIR_RootConstrainSelectedInstOperands,
     /* 281858 */   // GIR_Coverage, 6522,
     /* 281858 */   GIR_EraseRootFromParent_Done,
     /* 281859 */ // Label 5740: @281859
     /* 281859 */ GIM_Reject,
     /* 281860 */ // Label 5736: @281860
     /* 281860 */ GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(281994), // Rule ID 6521 //
     /* 281865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 281868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 281871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281879 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281883 */   // (mulhu:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP2v16i8:{ *:[v16i8] } (UMULLv8i8_v8i16:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rm, dsub:{ *:[i32] })), (UMULLv16i8_v8i16:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))
     /* 281883 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 281886 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::UMULLv16i8_v8i16),
     /* 281890 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281895 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 281899 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 281903 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 281905 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 281908 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281912 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281917 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 281923 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281928 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281933 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 281936 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 281940 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281945 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 281951 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 281956 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 281961 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 281964 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i8_v8i16),
     /* 281968 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 281973 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 281976 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 281979 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 281981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /* 281984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 281986 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 281989 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 281992 */   GIR_RootConstrainSelectedInstOperands,
     /* 281993 */   // GIR_Coverage, 6521,
     /* 281993 */   GIR_EraseRootFromParent_Done,
     /* 281994 */ // Label 5741: @281994
     /* 281994 */ GIM_Reject,
     /* 281995 */ // Label 5737: @281995
     /* 281995 */ GIM_Reject,
     /* 281996 */ // Label 52: @281996
     /* 281996 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 5746*/ GIMT_Encode4(282479),
     /* 282007 */ /*GILLT_s64*//*Label 5742*/ GIMT_Encode4(282043), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 282027 */ /*GILLT_v4s32*//*Label 5743*/ GIMT_Encode4(282074), GIMT_Encode4(0),
     /* 282035 */ /*GILLT_v8s16*//*Label 5744*/ GIMT_Encode4(282209),
     /* 282039 */ /*GILLT_v16s8*//*Label 5745*/ GIMT_Encode4(282344),
     /* 282043 */ // Label 5742: @282043
     /* 282043 */ GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(282073), // Rule ID 127 //
     /* 282048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 282051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 282054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 282058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 282062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 282066 */   // (mulhs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SMULHrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 282066 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULHrr),
     /* 282071 */   GIR_RootConstrainSelectedInstOperands,
     /* 282072 */   // GIR_Coverage, 127,
     /* 282072 */   GIR_Done,
     /* 282073 */ // Label 5747: @282073
     /* 282073 */ GIM_Reject,
     /* 282074 */ // Label 5743: @282074
     /* 282074 */ GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(282208), // Rule ID 6520 //
     /* 282079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 282085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282097 */   // (mulhs:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4i32] } (SMULLv2i32_v2i64:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v4i32] }:$Rm, dsub:{ *:[i32] })), (SMULLv4i32_v2i64:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm))
     /* 282097 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 282100 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_v2i64),
     /* 282104 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282109 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 282113 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 282117 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 282119 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 282122 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282126 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282131 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 282137 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282142 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282147 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 282150 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282154 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282159 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 282165 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282170 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282175 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 282178 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_v2i64),
     /* 282182 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282187 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 282190 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 282193 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 282198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 282200 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282203 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 282206 */   GIR_RootConstrainSelectedInstOperands,
     /* 282207 */   // GIR_Coverage, 6520,
     /* 282207 */   GIR_EraseRootFromParent_Done,
     /* 282208 */ // Label 5748: @282208
     /* 282208 */ GIM_Reject,
     /* 282209 */ // Label 5744: @282209
     /* 282209 */ GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(282343), // Rule ID 6519 //
     /* 282214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 282217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 282220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282232 */   // (mulhs:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8i16] } (SMULLv4i16_v4i32:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v8i16] }:$Rm, dsub:{ *:[i32] })), (SMULLv8i16_v4i32:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm))
     /* 282232 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 282235 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_v4i32),
     /* 282239 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282244 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 282248 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 282252 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 282254 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 282257 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282261 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282266 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 282272 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282277 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282282 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 282285 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282289 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282294 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 282300 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282305 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282310 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 282313 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_v4i32),
     /* 282317 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282322 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 282325 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 282328 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 282333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 282335 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282338 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 282341 */   GIR_RootConstrainSelectedInstOperands,
     /* 282342 */   // GIR_Coverage, 6519,
     /* 282342 */   GIR_EraseRootFromParent_Done,
     /* 282343 */ // Label 5749: @282343
     /* 282343 */ GIM_Reject,
     /* 282344 */ // Label 5745: @282344
     /* 282344 */ GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(282478), // Rule ID 6518 //
     /* 282349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 282352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 282355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282363 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282367 */   // (mulhs:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP2v16i8:{ *:[v16i8] } (SMULLv8i8_v8i16:{ *:[f128] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v16i8] }:$Rm, dsub:{ *:[i32] })), (SMULLv16i8_v8i16:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm))
     /* 282367 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 282370 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SMULLv16i8_v8i16),
     /* 282374 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282379 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 282383 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 282387 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 282389 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 282392 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282396 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282401 */   GIR_CopySubReg, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 282407 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282412 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282417 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 282420 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 282424 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282429 */   GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 282435 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282440 */   GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282445 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 282448 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i8_v8i16),
     /* 282452 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 282457 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 282460 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 282463 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 282465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /* 282468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 282470 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 282473 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/3,
     /* 282476 */   GIR_RootConstrainSelectedInstOperands,
     /* 282477 */   // GIR_Coverage, 6518,
     /* 282477 */   GIR_EraseRootFromParent_Done,
     /* 282478 */ // Label 5750: @282478
     /* 282478 */ GIM_Reject,
     /* 282479 */ // Label 5746: @282479
     /* 282479 */ GIM_Reject,
     /* 282480 */ // Label 53: @282480
     /* 282480 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5762*/ GIMT_Encode4(282909),
     /* 282491 */ /*GILLT_v2s32*//*Label 5751*/ GIMT_Encode4(282567),
     /* 282495 */ /*GILLT_v2s64*//*Label 5752*/ GIMT_Encode4(282601),
     /* 282499 */ /*GILLT_v4s16*//*Label 5753*/ GIMT_Encode4(282635),
     /* 282503 */ /*GILLT_v4s32*//*Label 5754*/ GIMT_Encode4(282669),
     /* 282507 */ /*GILLT_v8s8*//*Label 5755*/ GIMT_Encode4(282703),
     /* 282511 */ /*GILLT_v8s16*//*Label 5756*/ GIMT_Encode4(282737),
     /* 282515 */ /*GILLT_v16s8*//*Label 5757*/ GIMT_Encode4(282771), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 282535 */ /*GILLT_nxv2s64*//*Label 5758*/ GIMT_Encode4(282805), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 282547 */ /*GILLT_nxv4s32*//*Label 5759*/ GIMT_Encode4(282831), GIMT_Encode4(0),
     /* 282555 */ /*GILLT_nxv8s16*//*Label 5760*/ GIMT_Encode4(282857), GIMT_Encode4(0),
     /* 282563 */ /*GILLT_nxv16s8*//*Label 5761*/ GIMT_Encode4(282883),
     /* 282567 */ // Label 5751: @282567
     /* 282567 */ GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(282600), // Rule ID 5023 //
     /* 282572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 282578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 282581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282593 */   // (uaddsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (UQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 282593 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i32),
     /* 282598 */   GIR_RootConstrainSelectedInstOperands,
     /* 282599 */   // GIR_Coverage, 5023,
     /* 282599 */   GIR_Done,
     /* 282600 */ // Label 5763: @282600
     /* 282600 */ GIM_Reject,
     /* 282601 */ // Label 5752: @282601
     /* 282601 */ GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(282634), // Rule ID 5027 //
     /* 282606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 282612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 282615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282627 */   // (uaddsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (UQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 282627 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv2i64),
     /* 282632 */   GIR_RootConstrainSelectedInstOperands,
     /* 282633 */   // GIR_Coverage, 5027,
     /* 282633 */   GIR_Done,
     /* 282634 */ // Label 5764: @282634
     /* 282634 */ GIM_Reject,
     /* 282635 */ // Label 5753: @282635
     /* 282635 */ GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(282668), // Rule ID 5022 //
     /* 282640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 282646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 282649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282661 */   // (uaddsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (UQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 282661 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i16),
     /* 282666 */   GIR_RootConstrainSelectedInstOperands,
     /* 282667 */   // GIR_Coverage, 5022,
     /* 282667 */   GIR_Done,
     /* 282668 */ // Label 5765: @282668
     /* 282668 */ GIM_Reject,
     /* 282669 */ // Label 5754: @282669
     /* 282669 */ GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(282702), // Rule ID 5026 //
     /* 282674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 282680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 282683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282695 */   // (uaddsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (UQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 282695 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv4i32),
     /* 282700 */   GIR_RootConstrainSelectedInstOperands,
     /* 282701 */   // GIR_Coverage, 5026,
     /* 282701 */   GIR_Done,
     /* 282702 */ // Label 5766: @282702
     /* 282702 */ GIM_Reject,
     /* 282703 */ // Label 5755: @282703
     /* 282703 */ GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(282736), // Rule ID 5021 //
     /* 282708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 282714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 282717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282725 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 282729 */   // (uaddsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (UQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 282729 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i8),
     /* 282734 */   GIR_RootConstrainSelectedInstOperands,
     /* 282735 */   // GIR_Coverage, 5021,
     /* 282735 */   GIR_Done,
     /* 282736 */ // Label 5767: @282736
     /* 282736 */ GIM_Reject,
     /* 282737 */ // Label 5756: @282737
     /* 282737 */ GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(282770), // Rule ID 5025 //
     /* 282742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 282748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 282751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282763 */   // (uaddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (UQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 282763 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv8i16),
     /* 282768 */   GIR_RootConstrainSelectedInstOperands,
     /* 282769 */   // GIR_Coverage, 5025,
     /* 282769 */   GIR_Done,
     /* 282770 */ // Label 5768: @282770
     /* 282770 */ GIM_Reject,
     /* 282771 */ // Label 5757: @282771
     /* 282771 */ GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(282804), // Rule ID 5024 //
     /* 282776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 282779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 282782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 282785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 282797 */   // (uaddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (UQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 282797 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADDv16i8),
     /* 282802 */   GIR_RootConstrainSelectedInstOperands,
     /* 282803 */   // GIR_Coverage, 5024,
     /* 282803 */   GIR_Done,
     /* 282804 */ // Label 5769: @282804
     /* 282804 */ GIM_Reject,
     /* 282805 */ // Label 5758: @282805
     /* 282805 */ GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(282830), // Rule ID 7423 //
     /* 282810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 282816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 282819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282823 */   // (uaddsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UQADD_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 282823 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_D),
     /* 282828 */   GIR_RootConstrainSelectedInstOperands,
     /* 282829 */   // GIR_Coverage, 7423,
     /* 282829 */   GIR_Done,
     /* 282830 */ // Label 5770: @282830
     /* 282830 */ GIM_Reject,
     /* 282831 */ // Label 5759: @282831
     /* 282831 */ GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(282856), // Rule ID 7422 //
     /* 282836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 282842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 282845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282849 */   // (uaddsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UQADD_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 282849 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_S),
     /* 282854 */   GIR_RootConstrainSelectedInstOperands,
     /* 282855 */   // GIR_Coverage, 7422,
     /* 282855 */   GIR_Done,
     /* 282856 */ // Label 5771: @282856
     /* 282856 */ GIM_Reject,
     /* 282857 */ // Label 5760: @282857
     /* 282857 */ GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(282882), // Rule ID 7421 //
     /* 282862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 282868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 282871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282875 */   // (uaddsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UQADD_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 282875 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_H),
     /* 282880 */   GIR_RootConstrainSelectedInstOperands,
     /* 282881 */   // GIR_Coverage, 7421,
     /* 282881 */   GIR_Done,
     /* 282882 */ // Label 5772: @282882
     /* 282882 */ GIM_Reject,
     /* 282883 */ // Label 5761: @282883
     /* 282883 */ GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(282908), // Rule ID 7420 //
     /* 282888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 282891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 282894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 282897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 282901 */   // (uaddsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UQADD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 282901 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQADD_ZZZ_B),
     /* 282906 */   GIR_RootConstrainSelectedInstOperands,
     /* 282907 */   // GIR_Coverage, 7420,
     /* 282907 */   GIR_Done,
     /* 282908 */ // Label 5773: @282908
     /* 282908 */ GIM_Reject,
     /* 282909 */ // Label 5762: @282909
     /* 282909 */ GIM_Reject,
     /* 282910 */ // Label 54: @282910
     /* 282910 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5785*/ GIMT_Encode4(283339),
     /* 282921 */ /*GILLT_v2s32*//*Label 5774*/ GIMT_Encode4(282997),
     /* 282925 */ /*GILLT_v2s64*//*Label 5775*/ GIMT_Encode4(283031),
     /* 282929 */ /*GILLT_v4s16*//*Label 5776*/ GIMT_Encode4(283065),
     /* 282933 */ /*GILLT_v4s32*//*Label 5777*/ GIMT_Encode4(283099),
     /* 282937 */ /*GILLT_v8s8*//*Label 5778*/ GIMT_Encode4(283133),
     /* 282941 */ /*GILLT_v8s16*//*Label 5779*/ GIMT_Encode4(283167),
     /* 282945 */ /*GILLT_v16s8*//*Label 5780*/ GIMT_Encode4(283201), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 282965 */ /*GILLT_nxv2s64*//*Label 5781*/ GIMT_Encode4(283235), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 282977 */ /*GILLT_nxv4s32*//*Label 5782*/ GIMT_Encode4(283261), GIMT_Encode4(0),
     /* 282985 */ /*GILLT_nxv8s16*//*Label 5783*/ GIMT_Encode4(283287), GIMT_Encode4(0),
     /* 282993 */ /*GILLT_nxv16s8*//*Label 5784*/ GIMT_Encode4(283313),
     /* 282997 */ // Label 5774: @282997
     /* 282997 */ GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(283030), // Rule ID 2477 //
     /* 283002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 283008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 283011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283023 */   // (saddsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (SQADDv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 283023 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i32),
     /* 283028 */   GIR_RootConstrainSelectedInstOperands,
     /* 283029 */   // GIR_Coverage, 2477,
     /* 283029 */   GIR_Done,
     /* 283030 */ // Label 5786: @283030
     /* 283030 */ GIM_Reject,
     /* 283031 */ // Label 5775: @283031
     /* 283031 */ GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(283064), // Rule ID 2481 //
     /* 283036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 283042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 283045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283053 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283057 */   // (saddsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (SQADDv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 283057 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv2i64),
     /* 283062 */   GIR_RootConstrainSelectedInstOperands,
     /* 283063 */   // GIR_Coverage, 2481,
     /* 283063 */   GIR_Done,
     /* 283064 */ // Label 5787: @283064
     /* 283064 */ GIM_Reject,
     /* 283065 */ // Label 5776: @283065
     /* 283065 */ GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(283098), // Rule ID 2476 //
     /* 283070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 283076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 283079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283091 */   // (saddsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (SQADDv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 283091 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i16),
     /* 283096 */   GIR_RootConstrainSelectedInstOperands,
     /* 283097 */   // GIR_Coverage, 2476,
     /* 283097 */   GIR_Done,
     /* 283098 */ // Label 5788: @283098
     /* 283098 */ GIM_Reject,
     /* 283099 */ // Label 5777: @283099
     /* 283099 */ GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(283132), // Rule ID 2480 //
     /* 283104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 283113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283125 */   // (saddsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (SQADDv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 283125 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv4i32),
     /* 283130 */   GIR_RootConstrainSelectedInstOperands,
     /* 283131 */   // GIR_Coverage, 2480,
     /* 283131 */   GIR_Done,
     /* 283132 */ // Label 5789: @283132
     /* 283132 */ GIM_Reject,
     /* 283133 */ // Label 5778: @283133
     /* 283133 */ GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(283166), // Rule ID 2475 //
     /* 283138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 283144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 283147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283159 */   // (saddsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (SQADDv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 283159 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i8),
     /* 283164 */   GIR_RootConstrainSelectedInstOperands,
     /* 283165 */   // GIR_Coverage, 2475,
     /* 283165 */   GIR_Done,
     /* 283166 */ // Label 5790: @283166
     /* 283166 */ GIM_Reject,
     /* 283167 */ // Label 5779: @283167
     /* 283167 */ GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(283200), // Rule ID 2479 //
     /* 283172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 283178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 283181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283193 */   // (saddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (SQADDv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 283193 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv8i16),
     /* 283198 */   GIR_RootConstrainSelectedInstOperands,
     /* 283199 */   // GIR_Coverage, 2479,
     /* 283199 */   GIR_Done,
     /* 283200 */ // Label 5791: @283200
     /* 283200 */ GIM_Reject,
     /* 283201 */ // Label 5780: @283201
     /* 283201 */ GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(283234), // Rule ID 2478 //
     /* 283206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 283212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 283215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283227 */   // (saddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (SQADDv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 283227 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADDv16i8),
     /* 283232 */   GIR_RootConstrainSelectedInstOperands,
     /* 283233 */   // GIR_Coverage, 2478,
     /* 283233 */   GIR_Done,
     /* 283234 */ // Label 5792: @283234
     /* 283234 */ GIM_Reject,
     /* 283235 */ // Label 5781: @283235
     /* 283235 */ GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(283260), // Rule ID 7419 //
     /* 283240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 283246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 283249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283253 */   // (saddsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQADD_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 283253 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_D),
     /* 283258 */   GIR_RootConstrainSelectedInstOperands,
     /* 283259 */   // GIR_Coverage, 7419,
     /* 283259 */   GIR_Done,
     /* 283260 */ // Label 5793: @283260
     /* 283260 */ GIM_Reject,
     /* 283261 */ // Label 5782: @283261
     /* 283261 */ GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(283286), // Rule ID 7418 //
     /* 283266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 283272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 283275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283279 */   // (saddsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQADD_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 283279 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_S),
     /* 283284 */   GIR_RootConstrainSelectedInstOperands,
     /* 283285 */   // GIR_Coverage, 7418,
     /* 283285 */   GIR_Done,
     /* 283286 */ // Label 5794: @283286
     /* 283286 */ GIM_Reject,
     /* 283287 */ // Label 5783: @283287
     /* 283287 */ GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(283312), // Rule ID 7417 //
     /* 283292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 283298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 283301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283305 */   // (saddsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQADD_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 283305 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_H),
     /* 283310 */   GIR_RootConstrainSelectedInstOperands,
     /* 283311 */   // GIR_Coverage, 7417,
     /* 283311 */   GIR_Done,
     /* 283312 */ // Label 5795: @283312
     /* 283312 */ GIM_Reject,
     /* 283313 */ // Label 5784: @283313
     /* 283313 */ GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(283338), // Rule ID 7416 //
     /* 283318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 283324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 283327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283331 */   // (saddsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQADD_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 283331 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQADD_ZZZ_B),
     /* 283336 */   GIR_RootConstrainSelectedInstOperands,
     /* 283337 */   // GIR_Coverage, 7416,
     /* 283337 */   GIR_Done,
     /* 283338 */ // Label 5796: @283338
     /* 283338 */ GIM_Reject,
     /* 283339 */ // Label 5785: @283339
     /* 283339 */ GIM_Reject,
     /* 283340 */ // Label 55: @283340
     /* 283340 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5808*/ GIMT_Encode4(283769),
     /* 283351 */ /*GILLT_v2s32*//*Label 5797*/ GIMT_Encode4(283427),
     /* 283355 */ /*GILLT_v2s64*//*Label 5798*/ GIMT_Encode4(283461),
     /* 283359 */ /*GILLT_v4s16*//*Label 5799*/ GIMT_Encode4(283495),
     /* 283363 */ /*GILLT_v4s32*//*Label 5800*/ GIMT_Encode4(283529),
     /* 283367 */ /*GILLT_v8s8*//*Label 5801*/ GIMT_Encode4(283563),
     /* 283371 */ /*GILLT_v8s16*//*Label 5802*/ GIMT_Encode4(283597),
     /* 283375 */ /*GILLT_v16s8*//*Label 5803*/ GIMT_Encode4(283631), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 283395 */ /*GILLT_nxv2s64*//*Label 5804*/ GIMT_Encode4(283665), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 283407 */ /*GILLT_nxv4s32*//*Label 5805*/ GIMT_Encode4(283691), GIMT_Encode4(0),
     /* 283415 */ /*GILLT_nxv8s16*//*Label 5806*/ GIMT_Encode4(283717), GIMT_Encode4(0),
     /* 283423 */ /*GILLT_nxv16s8*//*Label 5807*/ GIMT_Encode4(283743),
     /* 283427 */ // Label 5797: @283427
     /* 283427 */ GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(283460), // Rule ID 5037 //
     /* 283432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 283438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 283441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283449 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283453 */   // (usubsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (UQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 283453 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i32),
     /* 283458 */   GIR_RootConstrainSelectedInstOperands,
     /* 283459 */   // GIR_Coverage, 5037,
     /* 283459 */   GIR_Done,
     /* 283460 */ // Label 5809: @283460
     /* 283460 */ GIM_Reject,
     /* 283461 */ // Label 5798: @283461
     /* 283461 */ GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(283494), // Rule ID 5041 //
     /* 283466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 283472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 283475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283487 */   // (usubsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (UQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 283487 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv2i64),
     /* 283492 */   GIR_RootConstrainSelectedInstOperands,
     /* 283493 */   // GIR_Coverage, 5041,
     /* 283493 */   GIR_Done,
     /* 283494 */ // Label 5810: @283494
     /* 283494 */ GIM_Reject,
     /* 283495 */ // Label 5799: @283495
     /* 283495 */ GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(283528), // Rule ID 5036 //
     /* 283500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 283506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 283509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283521 */   // (usubsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (UQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 283521 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i16),
     /* 283526 */   GIR_RootConstrainSelectedInstOperands,
     /* 283527 */   // GIR_Coverage, 5036,
     /* 283527 */   GIR_Done,
     /* 283528 */ // Label 5811: @283528
     /* 283528 */ GIM_Reject,
     /* 283529 */ // Label 5800: @283529
     /* 283529 */ GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(283562), // Rule ID 5040 //
     /* 283534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 283543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283551 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283555 */   // (usubsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (UQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 283555 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv4i32),
     /* 283560 */   GIR_RootConstrainSelectedInstOperands,
     /* 283561 */   // GIR_Coverage, 5040,
     /* 283561 */   GIR_Done,
     /* 283562 */ // Label 5812: @283562
     /* 283562 */ GIM_Reject,
     /* 283563 */ // Label 5801: @283563
     /* 283563 */ GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(283596), // Rule ID 5035 //
     /* 283568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 283574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 283577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283589 */   // (usubsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (UQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 283589 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i8),
     /* 283594 */   GIR_RootConstrainSelectedInstOperands,
     /* 283595 */   // GIR_Coverage, 5035,
     /* 283595 */   GIR_Done,
     /* 283596 */ // Label 5813: @283596
     /* 283596 */ GIM_Reject,
     /* 283597 */ // Label 5802: @283597
     /* 283597 */ GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(283630), // Rule ID 5039 //
     /* 283602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 283608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 283611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283623 */   // (usubsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (UQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 283623 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv8i16),
     /* 283628 */   GIR_RootConstrainSelectedInstOperands,
     /* 283629 */   // GIR_Coverage, 5039,
     /* 283629 */   GIR_Done,
     /* 283630 */ // Label 5814: @283630
     /* 283630 */ GIM_Reject,
     /* 283631 */ // Label 5803: @283631
     /* 283631 */ GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(283664), // Rule ID 5038 //
     /* 283636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 283642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 283645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283657 */   // (usubsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (UQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 283657 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUBv16i8),
     /* 283662 */   GIR_RootConstrainSelectedInstOperands,
     /* 283663 */   // GIR_Coverage, 5038,
     /* 283663 */   GIR_Done,
     /* 283664 */ // Label 5815: @283664
     /* 283664 */ GIM_Reject,
     /* 283665 */ // Label 5804: @283665
     /* 283665 */ GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(283690), // Rule ID 7431 //
     /* 283670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 283676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 283679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283683 */   // (usubsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UQSUB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 283683 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_D),
     /* 283688 */   GIR_RootConstrainSelectedInstOperands,
     /* 283689 */   // GIR_Coverage, 7431,
     /* 283689 */   GIR_Done,
     /* 283690 */ // Label 5816: @283690
     /* 283690 */ GIM_Reject,
     /* 283691 */ // Label 5805: @283691
     /* 283691 */ GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(283716), // Rule ID 7430 //
     /* 283696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 283702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 283705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283709 */   // (usubsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UQSUB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 283709 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_S),
     /* 283714 */   GIR_RootConstrainSelectedInstOperands,
     /* 283715 */   // GIR_Coverage, 7430,
     /* 283715 */   GIR_Done,
     /* 283716 */ // Label 5817: @283716
     /* 283716 */ GIM_Reject,
     /* 283717 */ // Label 5806: @283717
     /* 283717 */ GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(283742), // Rule ID 7429 //
     /* 283722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 283728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 283731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283735 */   // (usubsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UQSUB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 283735 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_H),
     /* 283740 */   GIR_RootConstrainSelectedInstOperands,
     /* 283741 */   // GIR_Coverage, 7429,
     /* 283741 */   GIR_Done,
     /* 283742 */ // Label 5818: @283742
     /* 283742 */ GIM_Reject,
     /* 283743 */ // Label 5807: @283743
     /* 283743 */ GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(283768), // Rule ID 7428 //
     /* 283748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 283751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 283754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 283757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 283761 */   // (usubsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UQSUB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 283761 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UQSUB_ZZZ_B),
     /* 283766 */   GIR_RootConstrainSelectedInstOperands,
     /* 283767 */   // GIR_Coverage, 7428,
     /* 283767 */   GIR_Done,
     /* 283768 */ // Label 5819: @283768
     /* 283768 */ GIM_Reject,
     /* 283769 */ // Label 5808: @283769
     /* 283769 */ GIM_Reject,
     /* 283770 */ // Label 56: @283770
     /* 283770 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 5831*/ GIMT_Encode4(284199),
     /* 283781 */ /*GILLT_v2s32*//*Label 5820*/ GIMT_Encode4(283857),
     /* 283785 */ /*GILLT_v2s64*//*Label 5821*/ GIMT_Encode4(283891),
     /* 283789 */ /*GILLT_v4s16*//*Label 5822*/ GIMT_Encode4(283925),
     /* 283793 */ /*GILLT_v4s32*//*Label 5823*/ GIMT_Encode4(283959),
     /* 283797 */ /*GILLT_v8s8*//*Label 5824*/ GIMT_Encode4(283993),
     /* 283801 */ /*GILLT_v8s16*//*Label 5825*/ GIMT_Encode4(284027),
     /* 283805 */ /*GILLT_v16s8*//*Label 5826*/ GIMT_Encode4(284061), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 283825 */ /*GILLT_nxv2s64*//*Label 5827*/ GIMT_Encode4(284095), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 283837 */ /*GILLT_nxv4s32*//*Label 5828*/ GIMT_Encode4(284121), GIMT_Encode4(0),
     /* 283845 */ /*GILLT_nxv8s16*//*Label 5829*/ GIMT_Encode4(284147), GIMT_Encode4(0),
     /* 283853 */ /*GILLT_nxv16s8*//*Label 5830*/ GIMT_Encode4(284173),
     /* 283857 */ // Label 5820: @283857
     /* 283857 */ GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(283890), // Rule ID 5030 //
     /* 283862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 283868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 283871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283879 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283883 */   // (ssubsat:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)  =>  (SQSUBv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$LHS, V64:{ *:[v2i32] }:$RHS)
     /* 283883 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i32),
     /* 283888 */   GIR_RootConstrainSelectedInstOperands,
     /* 283889 */   // GIR_Coverage, 5030,
     /* 283889 */   GIR_Done,
     /* 283890 */ // Label 5832: @283890
     /* 283890 */ GIM_Reject,
     /* 283891 */ // Label 5821: @283891
     /* 283891 */ GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(283924), // Rule ID 5034 //
     /* 283896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 283902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 283905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283917 */   // (ssubsat:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)  =>  (SQSUBv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$LHS, V128:{ *:[v2i64] }:$RHS)
     /* 283917 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv2i64),
     /* 283922 */   GIR_RootConstrainSelectedInstOperands,
     /* 283923 */   // GIR_Coverage, 5034,
     /* 283923 */   GIR_Done,
     /* 283924 */ // Label 5833: @283924
     /* 283924 */ GIM_Reject,
     /* 283925 */ // Label 5822: @283925
     /* 283925 */ GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(283958), // Rule ID 5029 //
     /* 283930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 283936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 283939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 283951 */   // (ssubsat:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)  =>  (SQSUBv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$LHS, V64:{ *:[v4i16] }:$RHS)
     /* 283951 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i16),
     /* 283956 */   GIR_RootConstrainSelectedInstOperands,
     /* 283957 */   // GIR_Coverage, 5029,
     /* 283957 */   GIR_Done,
     /* 283958 */ // Label 5834: @283958
     /* 283958 */ GIM_Reject,
     /* 283959 */ // Label 5823: @283959
     /* 283959 */ GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(283992), // Rule ID 5033 //
     /* 283964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 283967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 283970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 283973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 283985 */   // (ssubsat:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)  =>  (SQSUBv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$LHS, V128:{ *:[v4i32] }:$RHS)
     /* 283985 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv4i32),
     /* 283990 */   GIR_RootConstrainSelectedInstOperands,
     /* 283991 */   // GIR_Coverage, 5033,
     /* 283991 */   GIR_Done,
     /* 283992 */ // Label 5835: @283992
     /* 283992 */ GIM_Reject,
     /* 283993 */ // Label 5824: @283993
     /* 283993 */ GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(284026), // Rule ID 5028 //
     /* 283998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 284001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 284004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 284007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284019 */   // (ssubsat:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)  =>  (SQSUBv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$LHS, V64:{ *:[v8i8] }:$RHS)
     /* 284019 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i8),
     /* 284024 */   GIR_RootConstrainSelectedInstOperands,
     /* 284025 */   // GIR_Coverage, 5028,
     /* 284025 */   GIR_Done,
     /* 284026 */ // Label 5836: @284026
     /* 284026 */ GIM_Reject,
     /* 284027 */ // Label 5825: @284027
     /* 284027 */ GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(284060), // Rule ID 5032 //
     /* 284032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 284035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 284038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 284041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284053 */   // (ssubsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)  =>  (SQSUBv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$LHS, V128:{ *:[v8i16] }:$RHS)
     /* 284053 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv8i16),
     /* 284058 */   GIR_RootConstrainSelectedInstOperands,
     /* 284059 */   // GIR_Coverage, 5032,
     /* 284059 */   GIR_Done,
     /* 284060 */ // Label 5837: @284060
     /* 284060 */ GIM_Reject,
     /* 284061 */ // Label 5826: @284061
     /* 284061 */ GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(284094), // Rule ID 5031 //
     /* 284066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 284069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 284072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 284075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284087 */   // (ssubsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)  =>  (SQSUBv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$LHS, V128:{ *:[v16i8] }:$RHS)
     /* 284087 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUBv16i8),
     /* 284092 */   GIR_RootConstrainSelectedInstOperands,
     /* 284093 */   // GIR_Coverage, 5031,
     /* 284093 */   GIR_Done,
     /* 284094 */ // Label 5838: @284094
     /* 284094 */ GIM_Reject,
     /* 284095 */ // Label 5827: @284095
     /* 284095 */ GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(284120), // Rule ID 7427 //
     /* 284100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 284103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 284106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 284109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 284113 */   // (ssubsat:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (SQSUB_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 284113 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_D),
     /* 284118 */   GIR_RootConstrainSelectedInstOperands,
     /* 284119 */   // GIR_Coverage, 7427,
     /* 284119 */   GIR_Done,
     /* 284120 */ // Label 5839: @284120
     /* 284120 */ GIM_Reject,
     /* 284121 */ // Label 5828: @284121
     /* 284121 */ GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(284146), // Rule ID 7426 //
     /* 284126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 284129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 284132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 284135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 284139 */   // (ssubsat:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (SQSUB_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 284139 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_S),
     /* 284144 */   GIR_RootConstrainSelectedInstOperands,
     /* 284145 */   // GIR_Coverage, 7426,
     /* 284145 */   GIR_Done,
     /* 284146 */ // Label 5840: @284146
     /* 284146 */ GIM_Reject,
     /* 284147 */ // Label 5829: @284147
     /* 284147 */ GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(284172), // Rule ID 7425 //
     /* 284152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 284155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 284158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 284161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 284165 */   // (ssubsat:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (SQSUB_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 284165 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_H),
     /* 284170 */   GIR_RootConstrainSelectedInstOperands,
     /* 284171 */   // GIR_Coverage, 7425,
     /* 284171 */   GIR_Done,
     /* 284172 */ // Label 5841: @284172
     /* 284172 */ GIM_Reject,
     /* 284173 */ // Label 5830: @284173
     /* 284173 */ GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(284198), // Rule ID 7424 //
     /* 284178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 284181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 284184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 284187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 284191 */   // (ssubsat:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (SQSUB_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 284191 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SQSUB_ZZZ_B),
     /* 284196 */   GIR_RootConstrainSelectedInstOperands,
     /* 284197 */   // GIR_Coverage, 7424,
     /* 284197 */   GIR_Done,
     /* 284198 */ // Label 5842: @284198
     /* 284198 */ GIM_Reject,
     /* 284199 */ // Label 5831: @284199
     /* 284199 */ GIM_Reject,
     /* 284200 */ // Label 57: @284200
     /* 284200 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(22), /*)*//*default:*//*Label 5854*/ GIMT_Encode4(285997),
     /* 284211 */ /*GILLT_s16*//*Label 5843*/ GIMT_Encode4(284295),
     /* 284215 */ /*GILLT_s32*//*Label 5844*/ GIMT_Encode4(284521),
     /* 284219 */ /*GILLT_s64*//*Label 5845*/ GIMT_Encode4(284875), GIMT_Encode4(0),
     /* 284227 */ /*GILLT_v2s32*//*Label 5846*/ GIMT_Encode4(285047),
     /* 284231 */ /*GILLT_v2s64*//*Label 5847*/ GIMT_Encode4(285085),
     /* 284235 */ /*GILLT_v4s16*//*Label 5848*/ GIMT_Encode4(285261),
     /* 284239 */ /*GILLT_v4s32*//*Label 5849*/ GIMT_Encode4(285299), GIMT_Encode4(0),
     /* 284247 */ /*GILLT_v8s16*//*Label 5850*/ GIMT_Encode4(285475), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 284271 */ /*GILLT_nxv2s64*//*Label 5851*/ GIMT_Encode4(285919), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 284283 */ /*GILLT_nxv4s32*//*Label 5852*/ GIMT_Encode4(285945), GIMT_Encode4(0),
     /* 284291 */ /*GILLT_nxv8s16*//*Label 5853*/ GIMT_Encode4(285971),
     /* 284295 */ // Label 5843: @284295
     /* 284295 */ GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(284520),
     /* 284300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 284303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 284306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 284310 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(284401), // Rule ID 6911 //
     /* 284315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 284327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284336 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 284340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284348 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284352 */     // MIs[2] Rn
     /* 284352 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284357 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 284361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284363 */     // (fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 284363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 284366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284375 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 284381 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284386 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 284394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284399 */     GIR_RootConstrainSelectedInstOperands,
     /* 284400 */     // GIR_Coverage, 6911,
     /* 284400 */     GIR_EraseRootFromParent_Done,
     /* 284401 */   // Label 5856: @284401
     /* 284401 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(284492), // Rule ID 13914 //
     /* 284406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 284418 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284427 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 284431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284439 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284443 */     // MIs[2] Rn
     /* 284443 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284448 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 284452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284454 */     // (fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 284454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 284457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284466 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 284472 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284477 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 284485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284490 */     GIR_RootConstrainSelectedInstOperands,
     /* 284491 */     // GIR_Coverage, 13914,
     /* 284491 */     GIR_EraseRootFromParent_Done,
     /* 284492 */   // Label 5857: @284492
     /* 284492 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(284519), // Rule ID 584 //
     /* 284497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 284500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 284504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 284508 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FADDHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 284508 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDHrr),
     /* 284513 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 284517 */     GIR_RootConstrainSelectedInstOperands,
     /* 284518 */     // GIR_Coverage, 584,
     /* 284518 */     GIR_Done,
     /* 284519 */   // Label 5858: @284519
     /* 284519 */   GIM_Reject,
     /* 284520 */ // Label 5855: @284520
     /* 284520 */ GIM_Reject,
     /* 284521 */ // Label 5844: @284521
     /* 284521 */ GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(284874),
     /* 284526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 284529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 284532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284536 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(284627), // Rule ID 6909 //
     /* 284541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 284553 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284562 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 284566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284574 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284578 */     // MIs[2] Rn
     /* 284578 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284583 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 284587 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284589 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 284589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 284592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284601 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 284607 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284612 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 284620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284625 */     GIR_RootConstrainSelectedInstOperands,
     /* 284626 */     // GIR_Coverage, 6909,
     /* 284626 */     GIR_EraseRootFromParent_Done,
     /* 284627 */   // Label 5860: @284627
     /* 284627 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(284691), // Rule ID 13096 //
     /* 284632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 284644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284653 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 284657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284665 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284669 */     // MIs[2] Rn
     /* 284669 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284674 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 284678 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284680 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn)
     /* 284680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 284683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 284689 */     GIR_RootConstrainSelectedInstOperands,
     /* 284690 */     // GIR_Coverage, 13096,
     /* 284690 */     GIR_EraseRootFromParent_Done,
     /* 284691 */   // Label 5861: @284691
     /* 284691 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(284782), // Rule ID 13912 //
     /* 284696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 284708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284717 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 284721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284729 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284733 */     // MIs[2] Rn
     /* 284733 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284738 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 284742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284744 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 284744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 284747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 284751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 284756 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 284762 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284767 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 284775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 284780 */     GIR_RootConstrainSelectedInstOperands,
     /* 284781 */     // GIR_Coverage, 13912,
     /* 284781 */     GIR_EraseRootFromParent_Done,
     /* 284782 */   // Label 5862: @284782
     /* 284782 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(284846), // Rule ID 15599 //
     /* 284787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 284799 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284808 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 284812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284820 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284824 */     // MIs[2] Rn
     /* 284824 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284829 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 284833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284835 */     // (fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } FPR64:{ *:[v2f32] }:$Rn)
     /* 284835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 284838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 284844 */     GIR_RootConstrainSelectedInstOperands,
     /* 284845 */     // GIR_Coverage, 15599,
     /* 284845 */     GIR_EraseRootFromParent_Done,
     /* 284846 */   // Label 5863: @284846
     /* 284846 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(284873), // Rule ID 586 //
     /* 284851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 284854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 284862 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FADDSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 284862 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDSrr),
     /* 284867 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 284871 */     GIR_RootConstrainSelectedInstOperands,
     /* 284872 */     // GIR_Coverage, 586,
     /* 284872 */     GIR_Done,
     /* 284873 */   // Label 5864: @284873
     /* 284873 */   GIM_Reject,
     /* 284874 */ // Label 5859: @284874
     /* 284874 */ GIM_Reject,
     /* 284875 */ // Label 5845: @284875
     /* 284875 */ GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(285046),
     /* 284880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 284883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 284886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 284890 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(284954), // Rule ID 6907 //
     /* 284895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 284907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284916 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 284920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284928 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284932 */     // MIs[2] Rn
     /* 284932 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 284937 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 284941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 284943 */     // (fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 284943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 284946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 284948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 284952 */     GIR_RootConstrainSelectedInstOperands,
     /* 284953 */     // GIR_Coverage, 6907,
     /* 284953 */     GIR_EraseRootFromParent_Done,
     /* 284954 */   // Label 5866: @284954
     /* 284954 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(285018), // Rule ID 13910 //
     /* 284959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 284963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 284971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 284975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 284980 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 284984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 284988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 284992 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 284996 */     // MIs[2] Rn
     /* 284996 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285001 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 285005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285007 */     // (fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 285007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 285010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285016 */     GIR_RootConstrainSelectedInstOperands,
     /* 285017 */     // GIR_Coverage, 13910,
     /* 285017 */     GIR_EraseRootFromParent_Done,
     /* 285018 */   // Label 5867: @285018
     /* 285018 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(285045), // Rule ID 588 //
     /* 285023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 285026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285034 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FADDDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 285034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDDrr),
     /* 285039 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285043 */     GIR_RootConstrainSelectedInstOperands,
     /* 285044 */     // GIR_Coverage, 588,
     /* 285044 */     GIR_Done,
     /* 285045 */   // Label 5868: @285045
     /* 285045 */   GIM_Reject,
     /* 285046 */ // Label 5865: @285046
     /* 285046 */ GIM_Reject,
     /* 285047 */ // Label 5846: @285047
     /* 285047 */ GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(285084), // Rule ID 1203 //
     /* 285052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 285055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 285058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 285061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285073 */   // (fadd:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 285073 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f32),
     /* 285078 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285082 */   GIR_RootConstrainSelectedInstOperands,
     /* 285083 */   // GIR_Coverage, 1203,
     /* 285083 */   GIR_Done,
     /* 285084 */ // Label 5869: @285084
     /* 285084 */ GIM_Reject,
     /* 285085 */ // Label 5847: @285085
     /* 285085 */ GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(285260),
     /* 285090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 285096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285100 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(285166), // Rule ID 6929 //
     /* 285105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP1),
     /* 285113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 285121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP2),
     /* 285139 */     // MIs[2] Rn
     /* 285139 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285144 */     // MIs[2] Rm
     /* 285144 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 285149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285151 */     // (fadd:{ *:[v2f64] } (AArch64zip1:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm), (AArch64zip2:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm))  =>  (FADDPv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm)
     /* 285151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f64),
     /* 285154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 285164 */     GIR_RootConstrainSelectedInstOperands,
     /* 285165 */     // GIR_Coverage, 6929,
     /* 285165 */     GIR_EraseRootFromParent_Done,
     /* 285166 */   // Label 5871: @285166
     /* 285166 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(285232), // Rule ID 13922 //
     /* 285171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_ZIP2),
     /* 285179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 285183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 285187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_ZIP1),
     /* 285205 */     // MIs[2] Rn
     /* 285205 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285210 */     // MIs[2] Rm
     /* 285210 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 285215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285217 */     // (fadd:{ *:[v2f64] } (AArch64zip2:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm), (AArch64zip1:{ *:[v2f64] } FPR128:{ *:[v2f64] }:$Rn, FPR128:{ *:[v2f64] }:$Rm))  =>  (FADDPv2f64:{ *:[v2f64] } ?:{ *:[v2f64] }:$Rn, ?:{ *:[v2f64] }:$Rm)
     /* 285217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2f64),
     /* 285220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 285230 */     GIR_RootConstrainSelectedInstOperands,
     /* 285231 */     // GIR_Coverage, 13922,
     /* 285231 */     GIR_EraseRootFromParent_Done,
     /* 285232 */   // Label 5872: @285232
     /* 285232 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(285259), // Rule ID 1207 //
     /* 285237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 285240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285248 */     // (fadd:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 285248 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f64),
     /* 285253 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285257 */     GIR_RootConstrainSelectedInstOperands,
     /* 285258 */     // GIR_Coverage, 1207,
     /* 285258 */     GIR_Done,
     /* 285259 */   // Label 5873: @285259
     /* 285259 */   GIM_Reject,
     /* 285260 */ // Label 5870: @285260
     /* 285260 */ GIM_Reject,
     /* 285261 */ // Label 5848: @285261
     /* 285261 */ GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(285298), // Rule ID 1199 //
     /* 285266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 285269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 285272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 285275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285287 */   // (fadd:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 285287 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f16),
     /* 285292 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285296 */   GIR_RootConstrainSelectedInstOperands,
     /* 285297 */   // GIR_Coverage, 1199,
     /* 285297 */   GIR_Done,
     /* 285298 */ // Label 5874: @285298
     /* 285298 */ GIM_Reject,
     /* 285299 */ // Label 5849: @285299
     /* 285299 */ GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(285474),
     /* 285304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 285307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 285310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285314 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(285380), // Rule ID 6930 //
     /* 285319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /* 285327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 285331 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 285335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /* 285353 */     // MIs[2] Rn
     /* 285353 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285358 */     // MIs[2] Rm
     /* 285358 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 285363 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285365 */     // (fadd:{ *:[v4f32] } (AArch64uzp1:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm), (AArch64uzp2:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm))  =>  (FADDPv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm)
     /* 285365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 285368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 285378 */     GIR_RootConstrainSelectedInstOperands,
     /* 285379 */     // GIR_Coverage, 6930,
     /* 285379 */     GIR_EraseRootFromParent_Done,
     /* 285380 */   // Label 5876: @285380
     /* 285380 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(285446), // Rule ID 13923 //
     /* 285385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /* 285393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 285397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 285401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285411 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285415 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /* 285419 */     // MIs[2] Rn
     /* 285419 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285424 */     // MIs[2] Rm
     /* 285424 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 285429 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285431 */     // (fadd:{ *:[v4f32] } (AArch64uzp2:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm), (AArch64uzp1:{ *:[v4f32] } FPR128:{ *:[v4f32] }:$Rn, FPR128:{ *:[v4f32] }:$Rm))  =>  (FADDPv4f32:{ *:[v4f32] } ?:{ *:[v4f32] }:$Rn, ?:{ *:[v4f32] }:$Rm)
     /* 285431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 285434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 285444 */     GIR_RootConstrainSelectedInstOperands,
     /* 285445 */     // GIR_Coverage, 13923,
     /* 285445 */     GIR_EraseRootFromParent_Done,
     /* 285446 */   // Label 5877: @285446
     /* 285446 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(285473), // Rule ID 1205 //
     /* 285451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 285454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285462 */     // (fadd:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 285462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 285467 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285471 */     GIR_RootConstrainSelectedInstOperands,
     /* 285472 */     // GIR_Coverage, 1205,
     /* 285472 */     GIR_Done,
     /* 285473 */   // Label 5878: @285473
     /* 285473 */   GIM_Reject,
     /* 285474 */ // Label 5875: @285474
     /* 285474 */ GIM_Reject,
     /* 285475 */ // Label 5850: @285475
     /* 285475 */ GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(285918),
     /* 285480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 285483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 285486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285490 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(285559), // Rule ID 6931 //
     /* 285495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 285498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP1),
     /* 285506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 285510 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 285514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP2),
     /* 285532 */     // MIs[2] Rn
     /* 285532 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285537 */     // MIs[2] Rm
     /* 285537 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 285542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285544 */     // (fadd:{ *:[v8f16] } (AArch64uzp1:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm), (AArch64uzp2:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm))  =>  (FADDPv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm)
     /* 285544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 285547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 285557 */     GIR_RootConstrainSelectedInstOperands,
     /* 285558 */     // GIR_Coverage, 6931,
     /* 285558 */     GIR_EraseRootFromParent_Done,
     /* 285559 */   // Label 5880: @285559
     /* 285559 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(285628), // Rule ID 13924 //
     /* 285564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 285567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 285571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UZP2),
     /* 285575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 285579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 285583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 285597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_UZP1),
     /* 285601 */     // MIs[2] Rn
     /* 285601 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 285606 */     // MIs[2] Rm
     /* 285606 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/2, /*OtherMI*/1, /*OtherOpIdx*/2,
     /* 285611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 285613 */     // (fadd:{ *:[v8f16] } (AArch64uzp2:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm), (AArch64uzp1:{ *:[v8f16] } FPR128:{ *:[v8f16] }:$Rn, FPR128:{ *:[v8f16] }:$Rm))  =>  (FADDPv8f16:{ *:[v8f16] } ?:{ *:[v8f16] }:$Rn, ?:{ *:[v8f16] }:$Rm)
     /* 285613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 285616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 285618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 285622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 285626 */     GIR_RootConstrainSelectedInstOperands,
     /* 285627 */     // GIR_Coverage, 13924,
     /* 285627 */     GIR_EraseRootFromParent_Done,
     /* 285628 */   // Label 5881: @285628
     /* 285628 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(285655), // Rule ID 1201 //
     /* 285633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 285636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285644 */     // (fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 285644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv8f16),
     /* 285649 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 285653 */     GIR_RootConstrainSelectedInstOperands,
     /* 285654 */     // GIR_Coverage, 1201,
     /* 285654 */     GIR_Done,
     /* 285655 */   // Label 5882: @285655
     /* 285655 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(285917), // Rule ID 7000 //
     /* 285660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 285663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285671 */     // (fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FADDv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FADDv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 285671 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 285674 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 285678 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285683 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 285687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 285689 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 285692 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 285696 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285701 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 285705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 285707 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 285710 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 285714 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285719 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 285722 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 285725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 285727 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 285730 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285734 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285739 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 285745 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285750 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285755 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 285758 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 285762 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285767 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 285770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 285772 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 285775 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 285779 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285784 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 285790 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285795 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285800 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 285803 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 285807 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285812 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 285815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 285817 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 285820 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 285824 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285829 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 285832 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 285835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 285837 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 285840 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 285844 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285849 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 285852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 285854 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 285857 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 285861 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 285868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 285871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 285875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 285880 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 285883 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 285886 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 285889 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285894 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 285899 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 285904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 285907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 285909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 285912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 285915 */     GIR_RootConstrainSelectedInstOperands,
     /* 285916 */     // GIR_Coverage, 7000,
     /* 285916 */     GIR_EraseRootFromParent_Done,
     /* 285917 */   // Label 5883: @285917
     /* 285917 */   GIM_Reject,
     /* 285918 */ // Label 5879: @285918
     /* 285918 */ GIM_Reject,
     /* 285919 */ // Label 5851: @285919
     /* 285919 */ GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(285944), // Rule ID 2824 //
     /* 285924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 285927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 285930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 285933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 285937 */   // (fadd:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FADD_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 285937 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZZZ_D),
     /* 285942 */   GIR_RootConstrainSelectedInstOperands,
     /* 285943 */   // GIR_Coverage, 2824,
     /* 285943 */   GIR_Done,
     /* 285944 */ // Label 5884: @285944
     /* 285944 */ GIM_Reject,
     /* 285945 */ // Label 5852: @285945
     /* 285945 */ GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(285970), // Rule ID 2822 //
     /* 285950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 285953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 285956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 285959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 285963 */   // (fadd:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FADD_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 285963 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZZZ_S),
     /* 285968 */   GIR_RootConstrainSelectedInstOperands,
     /* 285969 */   // GIR_Coverage, 2822,
     /* 285969 */   GIR_Done,
     /* 285970 */ // Label 5885: @285970
     /* 285970 */ GIM_Reject,
     /* 285971 */ // Label 5853: @285971
     /* 285971 */ GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(285996), // Rule ID 2820 //
     /* 285976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 285979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 285982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 285985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 285989 */   // (fadd:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FADD_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 285989 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADD_ZZZ_H),
     /* 285994 */   GIR_RootConstrainSelectedInstOperands,
     /* 285995 */   // GIR_Coverage, 2820,
     /* 285995 */   GIR_Done,
     /* 285996 */ // Label 5886: @285996
     /* 285996 */ GIM_Reject,
     /* 285997 */ // Label 5854: @285997
     /* 285997 */ GIM_Reject,
     /* 285998 */ // Label 58: @285998
     /* 285998 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(22), /*)*//*default:*//*Label 5898*/ GIMT_Encode4(286735),
     /* 286009 */ /*GILLT_s16*//*Label 5887*/ GIMT_Encode4(286093),
     /* 286013 */ /*GILLT_s32*//*Label 5888*/ GIMT_Encode4(286131),
     /* 286017 */ /*GILLT_s64*//*Label 5889*/ GIMT_Encode4(286169), GIMT_Encode4(0),
     /* 286025 */ /*GILLT_v2s32*//*Label 5890*/ GIMT_Encode4(286207),
     /* 286029 */ /*GILLT_v2s64*//*Label 5891*/ GIMT_Encode4(286245),
     /* 286033 */ /*GILLT_v4s16*//*Label 5892*/ GIMT_Encode4(286283),
     /* 286037 */ /*GILLT_v4s32*//*Label 5893*/ GIMT_Encode4(286321), GIMT_Encode4(0),
     /* 286045 */ /*GILLT_v8s16*//*Label 5894*/ GIMT_Encode4(286359), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 286069 */ /*GILLT_nxv2s64*//*Label 5895*/ GIMT_Encode4(286657), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 286081 */ /*GILLT_nxv4s32*//*Label 5896*/ GIMT_Encode4(286683), GIMT_Encode4(0),
     /* 286089 */ /*GILLT_nxv8s16*//*Label 5897*/ GIMT_Encode4(286709),
     /* 286093 */ // Label 5887: @286093
     /* 286093 */ GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(286130), // Rule ID 632 //
     /* 286098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 286101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 286107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286119 */   // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FSUBHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 286119 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBHrr),
     /* 286124 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286128 */   GIR_RootConstrainSelectedInstOperands,
     /* 286129 */   // GIR_Coverage, 632,
     /* 286129 */   GIR_Done,
     /* 286130 */ // Label 5899: @286130
     /* 286130 */ GIM_Reject,
     /* 286131 */ // Label 5888: @286131
     /* 286131 */ GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(286168), // Rule ID 634 //
     /* 286136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 286139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 286142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 286145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286149 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286153 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 286157 */   // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FSUBSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 286157 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBSrr),
     /* 286162 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286166 */   GIR_RootConstrainSelectedInstOperands,
     /* 286167 */   // GIR_Coverage, 634,
     /* 286167 */   GIR_Done,
     /* 286168 */ // Label 5900: @286168
     /* 286168 */ GIM_Reject,
     /* 286169 */ // Label 5889: @286169
     /* 286169 */ GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(286206), // Rule ID 636 //
     /* 286174 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 286177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 286180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 286183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286195 */   // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FSUBDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 286195 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBDrr),
     /* 286200 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286204 */   GIR_RootConstrainSelectedInstOperands,
     /* 286205 */   // GIR_Coverage, 636,
     /* 286205 */   GIR_Done,
     /* 286206 */ // Label 5901: @286206
     /* 286206 */ GIM_Reject,
     /* 286207 */ // Label 5890: @286207
     /* 286207 */ GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(286244), // Rule ID 1343 //
     /* 286212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 286218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 286221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286233 */   // (fsub:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FSUBv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 286233 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f32),
     /* 286238 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286242 */   GIR_RootConstrainSelectedInstOperands,
     /* 286243 */   // GIR_Coverage, 1343,
     /* 286243 */   GIR_Done,
     /* 286244 */ // Label 5902: @286244
     /* 286244 */ GIM_Reject,
     /* 286245 */ // Label 5891: @286245
     /* 286245 */ GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(286282), // Rule ID 1347 //
     /* 286250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 286256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 286259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286271 */   // (fsub:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FSUBv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 286271 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f64),
     /* 286276 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286280 */   GIR_RootConstrainSelectedInstOperands,
     /* 286281 */   // GIR_Coverage, 1347,
     /* 286281 */   GIR_Done,
     /* 286282 */ // Label 5903: @286282
     /* 286282 */ GIM_Reject,
     /* 286283 */ // Label 5892: @286283
     /* 286283 */ GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(286320), // Rule ID 1339 //
     /* 286288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 286291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 286294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 286297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286309 */   // (fsub:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FSUBv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 286309 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f16),
     /* 286314 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286318 */   GIR_RootConstrainSelectedInstOperands,
     /* 286319 */   // GIR_Coverage, 1339,
     /* 286319 */   GIR_Done,
     /* 286320 */ // Label 5904: @286320
     /* 286320 */ GIM_Reject,
     /* 286321 */ // Label 5893: @286321
     /* 286321 */ GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(286358), // Rule ID 1345 //
     /* 286326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 286329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 286332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 286335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286347 */   // (fsub:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FSUBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 286347 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 286352 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286356 */   GIR_RootConstrainSelectedInstOperands,
     /* 286357 */   // GIR_Coverage, 1345,
     /* 286357 */   GIR_Done,
     /* 286358 */ // Label 5905: @286358
     /* 286358 */ GIM_Reject,
     /* 286359 */ // Label 5894: @286359
     /* 286359 */ GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(286656),
     /* 286364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 286367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 286370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286378 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286382 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(286401), // Rule ID 1341 //
     /* 286387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 286390 */     // (fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FSUBv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 286390 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv8f16),
     /* 286395 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 286399 */     GIR_RootConstrainSelectedInstOperands,
     /* 286400 */     // GIR_Coverage, 1341,
     /* 286400 */     GIR_Done,
     /* 286401 */   // Label 5907: @286401
     /* 286401 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(286655), // Rule ID 7006 //
     /* 286406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 286409 */     // (fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FSUBv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FSUBv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 286409 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 286412 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 286416 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286421 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 286425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 286427 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 286430 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 286434 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286439 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 286443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 286445 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 286448 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 286452 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286457 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 286460 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 286463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 286465 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 286468 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286472 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286477 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 286483 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286488 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286493 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 286496 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 286500 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286505 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 286508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 286510 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 286513 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286517 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286522 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 286528 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286533 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286538 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 286541 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 286545 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286550 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 286553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 286555 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 286558 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 286562 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286567 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 286570 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 286573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 286575 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 286578 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 286582 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286587 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 286590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 286592 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 286595 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 286599 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 286606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 286609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 286613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286618 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 286621 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 286624 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 286627 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286632 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286637 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 286642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 286645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 286647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 286653 */     GIR_RootConstrainSelectedInstOperands,
     /* 286654 */     // GIR_Coverage, 7006,
     /* 286654 */     GIR_EraseRootFromParent_Done,
     /* 286655 */   // Label 5908: @286655
     /* 286655 */   GIM_Reject,
     /* 286656 */ // Label 5906: @286656
     /* 286656 */ GIM_Reject,
     /* 286657 */ // Label 5895: @286657
     /* 286657 */ GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(286682), // Rule ID 8174 //
     /* 286662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 286665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 286668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 286671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 286675 */   // (fsub:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FSUB_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 286675 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZZZ_D),
     /* 286680 */   GIR_RootConstrainSelectedInstOperands,
     /* 286681 */   // GIR_Coverage, 8174,
     /* 286681 */   GIR_Done,
     /* 286682 */ // Label 5909: @286682
     /* 286682 */ GIM_Reject,
     /* 286683 */ // Label 5896: @286683
     /* 286683 */ GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(286708), // Rule ID 8172 //
     /* 286688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 286691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 286694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 286697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 286701 */   // (fsub:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FSUB_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 286701 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZZZ_S),
     /* 286706 */   GIR_RootConstrainSelectedInstOperands,
     /* 286707 */   // GIR_Coverage, 8172,
     /* 286707 */   GIR_Done,
     /* 286708 */ // Label 5910: @286708
     /* 286708 */ GIM_Reject,
     /* 286709 */ // Label 5897: @286709
     /* 286709 */ GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(286734), // Rule ID 8170 //
     /* 286714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 286717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 286720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 286723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 286727 */   // (fsub:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FSUB_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 286727 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUB_ZZZ_H),
     /* 286732 */   GIR_RootConstrainSelectedInstOperands,
     /* 286733 */   // GIR_Coverage, 8170,
     /* 286733 */   GIR_Done,
     /* 286734 */ // Label 5911: @286734
     /* 286734 */ GIM_Reject,
     /* 286735 */ // Label 5898: @286735
     /* 286735 */ GIM_Reject,
     /* 286736 */ // Label 59: @286736
     /* 286736 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(22), /*)*//*default:*//*Label 5923*/ GIMT_Encode4(290831),
     /* 286747 */ /*GILLT_s16*//*Label 5912*/ GIMT_Encode4(286831),
     /* 286751 */ /*GILLT_s32*//*Label 5913*/ GIMT_Encode4(287473),
     /* 286755 */ /*GILLT_s64*//*Label 5914*/ GIMT_Encode4(288103), GIMT_Encode4(0),
     /* 286763 */ /*GILLT_v2s32*//*Label 5915*/ GIMT_Encode4(288733),
     /* 286767 */ /*GILLT_v2s64*//*Label 5916*/ GIMT_Encode4(289263),
     /* 286771 */ /*GILLT_v4s16*//*Label 5917*/ GIMT_Encode4(289621),
     /* 286775 */ /*GILLT_v4s32*//*Label 5918*/ GIMT_Encode4(289963), GIMT_Encode4(0),
     /* 286783 */ /*GILLT_v8s16*//*Label 5919*/ GIMT_Encode4(290321), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 286807 */ /*GILLT_nxv2s64*//*Label 5920*/ GIMT_Encode4(290753), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 286819 */ /*GILLT_nxv4s32*//*Label 5921*/ GIMT_Encode4(290779), GIMT_Encode4(0),
     /* 286827 */ /*GILLT_nxv8s16*//*Label 5922*/ GIMT_Encode4(290805),
     /* 286831 */ // Label 5912: @286831
     /* 286831 */ GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(287472),
     /* 286836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 286839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 286842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286846 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(286959), // Rule ID 6241 //
     /* 286851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 286854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 286866 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286875 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 286879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 286883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 286891 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 286895 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286900 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 286904 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286908 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 286912 */     // MIs[3] Operand 1
     /* 286912 */     // No operand predicates
     /* 286912 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 286914 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 286914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 286917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 286921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 286926 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 286932 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 286937 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 286945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 286947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 286950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 286954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 286957 */     GIR_RootConstrainSelectedInstOperands,
     /* 286958 */     // GIR_Coverage, 6241,
     /* 286958 */     GIR_EraseRootFromParent_Done,
     /* 286959 */   // Label 5925: @286959
     /* 286959 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(287072), // Rule ID 13891 //
     /* 286964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 286967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 286971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 286975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 286979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 286983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 286988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 286992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 286996 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 287000 */     // MIs[2] Operand 1
     /* 287000 */     // No operand predicates
     /* 287000 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 287004 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287008 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 287012 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 287016 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287021 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 287025 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 287027 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 287027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287039 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 287045 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287050 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 287058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287070 */     GIR_RootConstrainSelectedInstOperands,
     /* 287071 */     // GIR_Coverage, 13891,
     /* 287071 */     GIR_EraseRootFromParent_Done,
     /* 287072 */   // Label 5926: @287072
     /* 287072 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(287151), // Rule ID 13825 //
     /* 287077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 287080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 287092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287101 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 287105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287111 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rn)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 287111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287123 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 287129 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287134 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 287142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287144 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287149 */     GIR_RootConstrainSelectedInstOperands,
     /* 287150 */     // GIR_Coverage, 13825,
     /* 287150 */     GIR_EraseRootFromParent_Done,
     /* 287151 */   // Label 5927: @287151
     /* 287151 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(287230), // Rule ID 4803 //
     /* 287156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 287159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 287175 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287184 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 287188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287190 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }))  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 287190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 287193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287202 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 287208 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287213 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 287221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287223 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 287225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287228 */     GIR_RootConstrainSelectedInstOperands,
     /* 287229 */     // GIR_Coverage, 4803,
     /* 287229 */     GIR_EraseRootFromParent_Done,
     /* 287230 */   // Label 5928: @287230
     /* 287230 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(287293), // Rule ID 13440 //
     /* 287235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 287238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 287250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 287259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287267 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 287271 */     // MIs[2] Operand 1
     /* 287271 */     // No operand predicates
     /* 287271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287275 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 287277 */     // (fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16Op:{ *:[f16] }:$Rn)  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 287277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 287280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287282 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287291 */     GIR_RootConstrainSelectedInstOperands,
     /* 287292 */     // GIR_Coverage, 13440,
     /* 287292 */     GIR_EraseRootFromParent_Done,
     /* 287293 */   // Label 5929: @287293
     /* 287293 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(287356), // Rule ID 2012 //
     /* 287298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 287301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 287317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 287326 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287330 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287334 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 287338 */     // MIs[2] Operand 1
     /* 287338 */     // No operand predicates
     /* 287338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 287340 */     // (fmul:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 287340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 287343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287345 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 287347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287354 */     GIR_RootConstrainSelectedInstOperands,
     /* 287355 */     // GIR_Coverage, 2012,
     /* 287355 */     GIR_EraseRootFromParent_Done,
     /* 287356 */   // Label 5930: @287356
     /* 287356 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(287400), // Rule ID 4808 //
     /* 287361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 287364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 287376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287387 */     // (fmul:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$a), FPR16:{ *:[f16] }:$b)  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 287387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 287390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 287396 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 287398 */     GIR_RootConstrainSelectedInstOperands,
     /* 287399 */     // GIR_Coverage, 4808,
     /* 287399 */     GIR_EraseRootFromParent_Done,
     /* 287400 */   // Label 5931: @287400
     /* 287400 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(287444), // Rule ID 13830 //
     /* 287405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 287408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 287420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 287424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287431 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$b, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$a))  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 287431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 287434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 287440 */     GIR_RootToRootCopy, /*OpIdx*/1, // b
     /* 287442 */     GIR_RootConstrainSelectedInstOperands,
     /* 287443 */     // GIR_Coverage, 13830,
     /* 287443 */     GIR_EraseRootFromParent_Done,
     /* 287444 */   // Label 5932: @287444
     /* 287444 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(287471), // Rule ID 620 //
     /* 287449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 287452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 287460 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 287460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 287465 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 287469 */     GIR_RootConstrainSelectedInstOperands,
     /* 287470 */     // GIR_Coverage, 620,
     /* 287470 */     GIR_Done,
     /* 287471 */   // Label 5933: @287471
     /* 287471 */   GIM_Reject,
     /* 287472 */ // Label 5924: @287472
     /* 287472 */ GIM_Reject,
     /* 287473 */ // Label 5913: @287473
     /* 287473 */ GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(288102),
     /* 287478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 287481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 287484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287488 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(287601), // Rule ID 6243 //
     /* 287493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287517 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 287521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 287525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287533 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 287537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287542 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 287546 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287550 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 287554 */     // MIs[3] Operand 1
     /* 287554 */     // No operand predicates
     /* 287554 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 287556 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 287556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 287559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287568 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 287574 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287579 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 287587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 287596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 287599 */     GIR_RootConstrainSelectedInstOperands,
     /* 287600 */     // GIR_Coverage, 6243,
     /* 287600 */     GIR_EraseRootFromParent_Done,
     /* 287601 */   // Label 5935: @287601
     /* 287601 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(287714), // Rule ID 13893 //
     /* 287606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287621 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287638 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 287642 */     // MIs[2] Operand 1
     /* 287642 */     // No operand predicates
     /* 287642 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 287646 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287650 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287654 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 287658 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287663 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 287667 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 287669 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 287669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 287672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287681 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 287687 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287692 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 287700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287712 */     GIR_RootConstrainSelectedInstOperands,
     /* 287713 */     // GIR_Coverage, 13893,
     /* 287713 */     GIR_EraseRootFromParent_Done,
     /* 287714 */   // Label 5936: @287714
     /* 287714 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(287790), // Rule ID 13827 //
     /* 287719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287731 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287740 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 287744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287750 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rn)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 287750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 287753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287762 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 287768 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287773 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 287781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287783 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287788 */     GIR_RootConstrainSelectedInstOperands,
     /* 287789 */     // GIR_Coverage, 13827,
     /* 287789 */     GIR_EraseRootFromParent_Done,
     /* 287790 */   // Label 5937: @287790
     /* 287790 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(287866), // Rule ID 4805 //
     /* 287795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287820 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 287824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 287826 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }))  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 287826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 287829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 287833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 287838 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 287844 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287849 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 287857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287859 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 287861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 287864 */     GIR_RootConstrainSelectedInstOperands,
     /* 287865 */     // GIR_Coverage, 4805,
     /* 287865 */     GIR_EraseRootFromParent_Done,
     /* 287866 */   // Label 5938: @287866
     /* 287866 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(287929), // Rule ID 13442 //
     /* 287871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 287878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287886 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287903 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 287907 */     // MIs[2] Operand 1
     /* 287907 */     // No operand predicates
     /* 287907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 287913 */     // (fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32Op:{ *:[f32] }:$Rn)  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 287913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 287916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 287920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287927 */     GIR_RootConstrainSelectedInstOperands,
     /* 287928 */     // GIR_Coverage, 13442,
     /* 287928 */     GIR_EraseRootFromParent_Done,
     /* 287929 */   // Label 5939: @287929
     /* 287929 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(287992), // Rule ID 2014 //
     /* 287934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 287937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 287941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 287945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 287949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 287953 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 287957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 287962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 287966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 287970 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 287974 */     // MIs[2] Operand 1
     /* 287974 */     // No operand predicates
     /* 287974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 287976 */     // (fmul:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 287976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 287979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 287981 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 287983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 287987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 287990 */     GIR_RootConstrainSelectedInstOperands,
     /* 287991 */     // GIR_Coverage, 2014,
     /* 287991 */     GIR_EraseRootFromParent_Done,
     /* 287992 */   // Label 5940: @287992
     /* 287992 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(288033), // Rule ID 4809 //
     /* 287997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 288009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288020 */     // (fmul:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$a), FPR32:{ *:[f32] }:$b)  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 288020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 288023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 288029 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 288031 */     GIR_RootConstrainSelectedInstOperands,
     /* 288032 */     // GIR_Coverage, 4809,
     /* 288032 */     GIR_EraseRootFromParent_Done,
     /* 288033 */   // Label 5941: @288033
     /* 288033 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(288074), // Rule ID 13831 //
     /* 288038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 288054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288061 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$b, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$a))  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 288061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 288064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 288070 */     GIR_RootToRootCopy, /*OpIdx*/1, // b
     /* 288072 */     GIR_RootConstrainSelectedInstOperands,
     /* 288073 */     // GIR_Coverage, 13831,
     /* 288073 */     GIR_EraseRootFromParent_Done,
     /* 288074 */   // Label 5942: @288074
     /* 288074 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(288101), // Rule ID 622 //
     /* 288079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 288082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 288090 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 288090 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 288095 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 288099 */     GIR_RootConstrainSelectedInstOperands,
     /* 288100 */     // GIR_Coverage, 622,
     /* 288100 */     GIR_Done,
     /* 288101 */   // Label 5943: @288101
     /* 288101 */   GIM_Reject,
     /* 288102 */ // Label 5934: @288102
     /* 288102 */ GIM_Reject,
     /* 288103 */ // Label 5914: @288103
     /* 288103 */ GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(288732),
     /* 288108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 288111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 288114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288118 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(288231), // Rule ID 6245 //
     /* 288123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288138 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288147 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 288151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 288155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288159 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288163 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 288167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288172 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 288176 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288180 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 288184 */     // MIs[3] Operand 1
     /* 288184 */     // No operand predicates
     /* 288184 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 288186 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 288186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 288189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 288193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288198 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 288204 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288209 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 288217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 288226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 288229 */     GIR_RootConstrainSelectedInstOperands,
     /* 288230 */     // GIR_Coverage, 6245,
     /* 288230 */     GIR_EraseRootFromParent_Done,
     /* 288231 */   // Label 5945: @288231
     /* 288231 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(288344), // Rule ID 13895 //
     /* 288236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288251 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288268 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 288272 */     // MIs[2] Operand 1
     /* 288272 */     // No operand predicates
     /* 288272 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 288276 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288280 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288284 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 288288 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288293 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 288297 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 288299 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 288299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 288302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 288306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288311 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 288317 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288322 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 288330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288342 */     GIR_RootConstrainSelectedInstOperands,
     /* 288343 */     // GIR_Coverage, 13895,
     /* 288343 */     GIR_EraseRootFromParent_Done,
     /* 288344 */   // Label 5946: @288344
     /* 288344 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(288420), // Rule ID 13829 //
     /* 288349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288370 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 288374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288380 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rn)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 288380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 288383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 288387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288392 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 288398 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288403 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 288411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288413 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288418 */     GIR_RootConstrainSelectedInstOperands,
     /* 288419 */     // GIR_Coverage, 13829,
     /* 288419 */     GIR_EraseRootFromParent_Done,
     /* 288420 */   // Label 5947: @288420
     /* 288420 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(288496), // Rule ID 4807 //
     /* 288425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288441 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288450 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 288454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288456 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }))  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 288456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 288459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 288463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 288468 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 288474 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288479 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 288487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288489 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 288494 */     GIR_RootConstrainSelectedInstOperands,
     /* 288495 */     // GIR_Coverage, 4807,
     /* 288495 */     GIR_EraseRootFromParent_Done,
     /* 288496 */   // Label 5948: @288496
     /* 288496 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(288559), // Rule ID 13444 //
     /* 288501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288533 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 288537 */     // MIs[2] Operand 1
     /* 288537 */     // No operand predicates
     /* 288537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288543 */     // (fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64Op:{ *:[f64] }:$Rn)  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 288546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288557 */     GIR_RootConstrainSelectedInstOperands,
     /* 288558 */     // GIR_Coverage, 13444,
     /* 288558 */     GIR_EraseRootFromParent_Done,
     /* 288559 */   // Label 5949: @288559
     /* 288559 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(288622), // Rule ID 2016 //
     /* 288564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 288579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 288583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288600 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 288604 */     // MIs[2] Operand 1
     /* 288604 */     // No operand predicates
     /* 288604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288606 */     // (fmul:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 288609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288611 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288620 */     GIR_RootConstrainSelectedInstOperands,
     /* 288621 */     // GIR_Coverage, 2016,
     /* 288621 */     GIR_EraseRootFromParent_Done,
     /* 288622 */   // Label 5950: @288622
     /* 288622 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(288663), // Rule ID 4810 //
     /* 288627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 288639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288650 */     // (fmul:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$a), FPR64:{ *:[f64] }:$b)  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 288650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 288653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 288659 */     GIR_RootToRootCopy, /*OpIdx*/2, // b
     /* 288661 */     GIR_RootConstrainSelectedInstOperands,
     /* 288662 */     // GIR_Coverage, 4810,
     /* 288662 */     GIR_EraseRootFromParent_Done,
     /* 288663 */   // Label 5951: @288663
     /* 288663 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(288704), // Rule ID 13832 //
     /* 288668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 288680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 288684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 288691 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$b, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$a))  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 288691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 288694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // a
     /* 288700 */     GIR_RootToRootCopy, /*OpIdx*/1, // b
     /* 288702 */     GIR_RootConstrainSelectedInstOperands,
     /* 288703 */     // GIR_Coverage, 13832,
     /* 288703 */     GIR_EraseRootFromParent_Done,
     /* 288704 */   // Label 5952: @288704
     /* 288704 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(288731), // Rule ID 624 //
     /* 288709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 288712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288720 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 288720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 288725 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 288729 */     GIR_RootConstrainSelectedInstOperands,
     /* 288730 */     // GIR_Coverage, 624,
     /* 288730 */     GIR_Done,
     /* 288731 */   // Label 5953: @288731
     /* 288731 */   GIM_Reject,
     /* 288732 */ // Label 5944: @288732
     /* 288732 */ GIM_Reject,
     /* 288733 */ // Label 5915: @288733
     /* 288733 */ GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(289262),
     /* 288738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 288741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 288744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288748 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(288834), // Rule ID 13433 //
     /* 288753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 288764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 288772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 288776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288780 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 288784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288789 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 288793 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288797 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 288801 */     // MIs[3] Operand 1
     /* 288801 */     // No operand predicates
     /* 288801 */     // MIs[1] Operand 2
     /* 288801 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 288812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288816 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 288818 */     // (fmul:{ *:[v2f32] } (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 288821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288823 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 288829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 288832 */     GIR_RootConstrainSelectedInstOperands,
     /* 288833 */     // GIR_Coverage, 13433,
     /* 288833 */     GIR_EraseRootFromParent_Done,
     /* 288834 */   // Label 5955: @288834
     /* 288834 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(288920), // Rule ID 2005 //
     /* 288839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 288854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 288862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 288866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288870 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 288874 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288879 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 288883 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288887 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 288891 */     // MIs[3] Operand 1
     /* 288891 */     // No operand predicates
     /* 288891 */     // MIs[1] Operand 2
     /* 288891 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 288902 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 288904 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 288907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288909 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 288911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 288915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 288918 */     GIR_RootConstrainSelectedInstOperands,
     /* 288919 */     // GIR_Coverage, 2005,
     /* 288919 */     GIR_EraseRootFromParent_Done,
     /* 288920 */   // Label 5956: @288920
     /* 288920 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(288983), // Rule ID 13434 //
     /* 288925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 288932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 288936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 288940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 288944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 288949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 288953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 288957 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 288961 */     // MIs[2] Operand 1
     /* 288961 */     // No operand predicates
     /* 288961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 288967 */     // (fmul:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 288967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 288970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 288972 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 288974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 288978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 288981 */     GIR_RootConstrainSelectedInstOperands,
     /* 288982 */     // GIR_Coverage, 13434,
     /* 288982 */     GIR_EraseRootFromParent_Done,
     /* 288983 */   // Label 5957: @288983
     /* 288983 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(289046), // Rule ID 2006 //
     /* 288988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 288991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 288995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 288999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 289003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 289007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289024 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 289028 */     // MIs[2] Operand 1
     /* 289028 */     // No operand predicates
     /* 289028 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289030 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 289033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289035 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 289044 */     GIR_RootConstrainSelectedInstOperands,
     /* 289045 */     // GIR_Coverage, 2006,
     /* 289045 */     GIR_EraseRootFromParent_Done,
     /* 289046 */   // Label 5958: @289046
     /* 289046 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(289140), // Rule ID 13897 //
     /* 289051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 289059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 289068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 289074 */     // (fmul:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 289074 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 289077 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 289081 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 289088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 289091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 289095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289100 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 289103 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289107 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 289110 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289115 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289120 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 289125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 289128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289130 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 289135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289138 */     GIR_RootConstrainSelectedInstOperands,
     /* 289139 */     // GIR_Coverage, 13897,
     /* 289139 */     GIR_EraseRootFromParent_Done,
     /* 289140 */   // Label 5959: @289140
     /* 289140 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(289234), // Rule ID 6247 //
     /* 289145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 289157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 289161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 289166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 289168 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 289168 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 289171 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 289175 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 289182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 289185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 289189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289194 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 289197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289201 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 289204 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289209 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289214 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 289219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 289222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289224 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 289229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289232 */     GIR_RootConstrainSelectedInstOperands,
     /* 289233 */     // GIR_Coverage, 6247,
     /* 289233 */     GIR_EraseRootFromParent_Done,
     /* 289234 */   // Label 5960: @289234
     /* 289234 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(289261), // Rule ID 1323 //
     /* 289239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289250 */     // (fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMULv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 289250 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f32),
     /* 289255 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 289259 */     GIR_RootConstrainSelectedInstOperands,
     /* 289260 */     // GIR_Coverage, 1323,
     /* 289260 */     GIR_Done,
     /* 289261 */   // Label 5961: @289261
     /* 289261 */   GIM_Reject,
     /* 289262 */ // Label 5954: @289262
     /* 289262 */ GIM_Reject,
     /* 289263 */ // Label 5916: @289263
     /* 289263 */ GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(289620),
     /* 289268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 289274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289278 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(289341), // Rule ID 13438 //
     /* 289283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 289294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289298 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289315 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 289319 */     // MIs[2] Operand 1
     /* 289319 */     // No operand predicates
     /* 289319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289325 */     // (fmul:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 289328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289330 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 289339 */     GIR_RootConstrainSelectedInstOperands,
     /* 289340 */     // GIR_Coverage, 13438,
     /* 289340 */     GIR_EraseRootFromParent_Done,
     /* 289341 */   // Label 5963: @289341
     /* 289341 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(289404), // Rule ID 2010 //
     /* 289346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 289361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 289365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289382 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 289386 */     // MIs[2] Operand 1
     /* 289386 */     // No operand predicates
     /* 289386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289388 */     // (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 289391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289393 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 289402 */     GIR_RootConstrainSelectedInstOperands,
     /* 289403 */     // GIR_Coverage, 2010,
     /* 289403 */     GIR_EraseRootFromParent_Done,
     /* 289404 */   // Label 5964: @289404
     /* 289404 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(289498), // Rule ID 13901 //
     /* 289409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 289417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 289421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 289432 */     // (fmul:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 289432 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 289435 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 289439 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 289446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 289449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 289453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289458 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 289461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289465 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 289468 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289473 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289478 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 289486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289488 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 289493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289496 */     GIR_RootConstrainSelectedInstOperands,
     /* 289497 */     // GIR_Coverage, 13901,
     /* 289497 */     GIR_EraseRootFromParent_Done,
     /* 289498 */   // Label 5965: @289498
     /* 289498 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(289592), // Rule ID 6251 //
     /* 289503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 289515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 289519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 289526 */     // (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 289526 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 289529 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 289533 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 289540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 289543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 289547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 289552 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 289555 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289559 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 289562 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289567 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289572 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 289580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289582 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 289587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 289590 */     GIR_RootConstrainSelectedInstOperands,
     /* 289591 */     // GIR_Coverage, 6251,
     /* 289591 */     GIR_EraseRootFromParent_Done,
     /* 289592 */   // Label 5966: @289592
     /* 289592 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(289619), // Rule ID 1327 //
     /* 289597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289608 */     // (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMULv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 289608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f64),
     /* 289613 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 289617 */     GIR_RootConstrainSelectedInstOperands,
     /* 289618 */     // GIR_Coverage, 1327,
     /* 289618 */     GIR_Done,
     /* 289619 */   // Label 5967: @289619
     /* 289619 */   GIM_Reject,
     /* 289620 */ // Label 5962: @289620
     /* 289620 */ GIM_Reject,
     /* 289621 */ // Label 5917: @289621
     /* 289621 */ GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(289962),
     /* 289626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 289629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 289632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289636 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(289722), // Rule ID 13427 //
     /* 289641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 289644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 289652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 289660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 289664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289668 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 289672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 289677 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 289681 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289685 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 289689 */     // MIs[3] Operand 1
     /* 289689 */     // No operand predicates
     /* 289689 */     // MIs[1] Operand 2
     /* 289689 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 289700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289704 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289706 */     // (fmul:{ *:[v4f16] } (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 289709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289711 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 289717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 289720 */     GIR_RootConstrainSelectedInstOperands,
     /* 289721 */     // GIR_Coverage, 13427,
     /* 289721 */     GIR_EraseRootFromParent_Done,
     /* 289722 */   // Label 5969: @289722
     /* 289722 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(289808), // Rule ID 1999 //
     /* 289727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 289730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 289742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 289750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 289754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289758 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 289762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 289767 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 289771 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289775 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 289779 */     // MIs[3] Operand 1
     /* 289779 */     // No operand predicates
     /* 289779 */     // MIs[1] Operand 2
     /* 289779 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 289790 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 289792 */     // (fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 289795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289797 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 289803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 289806 */     GIR_RootConstrainSelectedInstOperands,
     /* 289807 */     // GIR_Coverage, 1999,
     /* 289807 */     GIR_EraseRootFromParent_Done,
     /* 289808 */   // Label 5970: @289808
     /* 289808 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(289871), // Rule ID 13428 //
     /* 289813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 289816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 289824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289828 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 289837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289845 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 289849 */     // MIs[2] Operand 1
     /* 289849 */     // No operand predicates
     /* 289849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289853 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289855 */     // (fmul:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 289858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289860 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 289862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 289869 */     GIR_RootConstrainSelectedInstOperands,
     /* 289870 */     // GIR_Coverage, 13428,
     /* 289870 */     GIR_EraseRootFromParent_Done,
     /* 289871 */   // Label 5971: @289871
     /* 289871 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(289934), // Rule ID 2000 //
     /* 289876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 289879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 289887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 289891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 289895 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 289899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 289904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 289908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 289912 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 289916 */     // MIs[2] Operand 1
     /* 289916 */     // No operand predicates
     /* 289916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 289918 */     // (fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 289918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 289921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 289923 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 289925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 289929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 289932 */     GIR_RootConstrainSelectedInstOperands,
     /* 289933 */     // GIR_Coverage, 2000,
     /* 289933 */     GIR_EraseRootFromParent_Done,
     /* 289934 */   // Label 5972: @289934
     /* 289934 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(289961), // Rule ID 1319 //
     /* 289939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 289942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 289950 */     // (fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMULv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 289950 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f16),
     /* 289955 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 289959 */     GIR_RootConstrainSelectedInstOperands,
     /* 289960 */     // GIR_Coverage, 1319,
     /* 289960 */     GIR_Done,
     /* 289961 */   // Label 5973: @289961
     /* 289961 */   GIM_Reject,
     /* 289962 */ // Label 5968: @289962
     /* 289962 */ GIM_Reject,
     /* 289963 */ // Label 5918: @289963
     /* 289963 */ GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(290320),
     /* 289968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 289971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 289974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 289978 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(290041), // Rule ID 13436 //
     /* 289983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 289986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 289990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 289994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 289998 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290015 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 290019 */     // MIs[2] Operand 1
     /* 290019 */     // No operand predicates
     /* 290019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290025 */     // (fmul:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 290025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 290028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 290032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 290039 */     GIR_RootConstrainSelectedInstOperands,
     /* 290040 */     // GIR_Coverage, 13436,
     /* 290040 */     GIR_EraseRootFromParent_Done,
     /* 290041 */   // Label 5975: @290041
     /* 290041 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(290104), // Rule ID 2008 //
     /* 290046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 290049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 290061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 290065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290082 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 290086 */     // MIs[2] Operand 1
     /* 290086 */     // No operand predicates
     /* 290086 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290088 */     // (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 290088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 290091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290093 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 290095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 290102 */     GIR_RootConstrainSelectedInstOperands,
     /* 290103 */     // GIR_Coverage, 2008,
     /* 290103 */     GIR_EraseRootFromParent_Done,
     /* 290104 */   // Label 5976: @290104
     /* 290104 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(290198), // Rule ID 13899 //
     /* 290109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 290117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 290121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 290126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 290132 */     // (fmul:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 290132 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 290135 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 290139 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 290146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 290149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 290153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290158 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 290161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290165 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 290168 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290173 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290178 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 290183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 290186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290188 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 290190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290196 */     GIR_RootConstrainSelectedInstOperands,
     /* 290197 */     // GIR_Coverage, 13899,
     /* 290197 */     GIR_EraseRootFromParent_Done,
     /* 290198 */   // Label 5977: @290198
     /* 290198 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(290292), // Rule ID 6249 //
     /* 290203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 290215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 290219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 290224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 290226 */     // (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 290226 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 290229 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 290233 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 290240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 290243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 290247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290252 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 290255 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290259 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 290262 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290267 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290272 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 290277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 290280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290282 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 290284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 290290 */     GIR_RootConstrainSelectedInstOperands,
     /* 290291 */     // GIR_Coverage, 6249,
     /* 290291 */     GIR_EraseRootFromParent_Done,
     /* 290292 */   // Label 5978: @290292
     /* 290292 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(290319), // Rule ID 1325 //
     /* 290297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 290300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290308 */     // (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMULv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 290308 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 290313 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 290317 */     GIR_RootConstrainSelectedInstOperands,
     /* 290318 */     // GIR_Coverage, 1325,
     /* 290318 */     GIR_Done,
     /* 290319 */   // Label 5979: @290319
     /* 290319 */   GIM_Reject,
     /* 290320 */ // Label 5974: @290320
     /* 290320 */ GIM_Reject,
     /* 290321 */ // Label 5919: @290321
     /* 290321 */ GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(290752),
     /* 290326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 290332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290336 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(290399), // Rule ID 13430 //
     /* 290341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 290352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290373 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290377 */     // MIs[2] Operand 1
     /* 290377 */     // No operand predicates
     /* 290377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290383 */     // (fmul:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn)  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 290383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 290386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290388 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 290390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 290397 */     GIR_RootConstrainSelectedInstOperands,
     /* 290398 */     // GIR_Coverage, 13430,
     /* 290398 */     GIR_EraseRootFromParent_Done,
     /* 290399 */   // Label 5981: @290399
     /* 290399 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(290462), // Rule ID 2002 //
     /* 290404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 290415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 290419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 290432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 290436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 290440 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 290444 */     // MIs[2] Operand 1
     /* 290444 */     // No operand predicates
     /* 290444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 290446 */     // (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 290446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 290449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 290451 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 290453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 290457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 290460 */     GIR_RootConstrainSelectedInstOperands,
     /* 290461 */     // GIR_Coverage, 2002,
     /* 290461 */     GIR_EraseRootFromParent_Done,
     /* 290462 */   // Label 5982: @290462
     /* 290462 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(290489), // Rule ID 1321 //
     /* 290467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 290470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290478 */     // (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMULv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 290478 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv8f16),
     /* 290483 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 290487 */     GIR_RootConstrainSelectedInstOperands,
     /* 290488 */     // GIR_Coverage, 1321,
     /* 290488 */     GIR_Done,
     /* 290489 */   // Label 5983: @290489
     /* 290489 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(290751), // Rule ID 7004 //
     /* 290494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 290497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290505 */     // (fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FMULv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FMULv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 290505 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 290508 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 290512 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290517 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 290521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 290523 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 290526 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 290530 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290535 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 290539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 290541 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 290544 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 290548 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290553 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 290556 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 290559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 290561 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 290564 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 290568 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290573 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 290579 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290584 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290589 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 290592 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 290596 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290601 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 290604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 290606 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 290609 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 290613 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290618 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 290624 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290629 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290634 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 290637 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 290641 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290646 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 290649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 290651 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 290654 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 290658 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290663 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 290666 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 290669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 290671 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 290674 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 290678 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290683 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 290686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 290688 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 290691 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 290695 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 290702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 290705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 290709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290714 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 290717 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 290720 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 290723 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290728 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290733 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 290738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 290741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 290743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 290746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 290749 */     GIR_RootConstrainSelectedInstOperands,
     /* 290750 */     // GIR_Coverage, 7004,
     /* 290750 */     GIR_EraseRootFromParent_Done,
     /* 290751 */   // Label 5984: @290751
     /* 290751 */   GIM_Reject,
     /* 290752 */ // Label 5980: @290752
     /* 290752 */ GIM_Reject,
     /* 290753 */ // Label 5920: @290753
     /* 290753 */ GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(290778), // Rule ID 8180 //
     /* 290758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 290761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 290764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 290767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 290771 */   // (fmul:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (FMUL_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 290771 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZ_D),
     /* 290776 */   GIR_RootConstrainSelectedInstOperands,
     /* 290777 */   // GIR_Coverage, 8180,
     /* 290777 */   GIR_Done,
     /* 290778 */ // Label 5985: @290778
     /* 290778 */ GIM_Reject,
     /* 290779 */ // Label 5921: @290779
     /* 290779 */ GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(290804), // Rule ID 8178 //
     /* 290784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 290787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 290790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 290793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 290797 */   // (fmul:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (FMUL_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 290797 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZ_S),
     /* 290802 */   GIR_RootConstrainSelectedInstOperands,
     /* 290803 */   // GIR_Coverage, 8178,
     /* 290803 */   GIR_Done,
     /* 290804 */ // Label 5986: @290804
     /* 290804 */ GIM_Reject,
     /* 290805 */ // Label 5922: @290805
     /* 290805 */ GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(290830), // Rule ID 8176 //
     /* 290810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 290813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 290816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 290819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 290823 */   // (fmul:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (FMUL_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 290823 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMUL_ZZZ_H),
     /* 290828 */   GIR_RootConstrainSelectedInstOperands,
     /* 290829 */   // GIR_Coverage, 8176,
     /* 290829 */   GIR_Done,
     /* 290830 */ // Label 5987: @290830
     /* 290830 */ GIM_Reject,
     /* 290831 */ // Label 5923: @290831
     /* 290831 */ GIM_Reject,
     /* 290832 */ // Label 60: @290832
     /* 290832 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 5996*/ GIMT_Encode4(307104),
     /* 290843 */ /*GILLT_s16*//*Label 5988*/ GIMT_Encode4(290883),
     /* 290847 */ /*GILLT_s32*//*Label 5989*/ GIMT_Encode4(293887),
     /* 290851 */ /*GILLT_s64*//*Label 5990*/ GIMT_Encode4(297035), GIMT_Encode4(0),
     /* 290859 */ /*GILLT_v2s32*//*Label 5991*/ GIMT_Encode4(300183),
     /* 290863 */ /*GILLT_v2s64*//*Label 5992*/ GIMT_Encode4(301704),
     /* 290867 */ /*GILLT_v4s16*//*Label 5993*/ GIMT_Encode4(303225),
     /* 290871 */ /*GILLT_v4s32*//*Label 5994*/ GIMT_Encode4(304404), GIMT_Encode4(0),
     /* 290879 */ /*GILLT_v8s16*//*Label 5995*/ GIMT_Encode4(305925),
     /* 290883 */ // Label 5988: @290883
     /* 290883 */ GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(293886),
     /* 290888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 290891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 290894 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 290897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290901 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(291051), // Rule ID 4865 //
     /* 290906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 290909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 290913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 290925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290930 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 290934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 290938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 290942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 290946 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 290950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 290955 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 290959 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 290963 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 290967 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 290971 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 290976 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 290978 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 290978 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 290981 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 290985 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 290990 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 290996 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291001 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291018 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291024 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291029 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 291037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 291039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 291045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 291049 */     GIR_RootConstrainSelectedInstOperands,
     /* 291050 */     // GIR_Coverage, 4865,
     /* 291050 */     GIR_EraseRootFromParent_Done,
     /* 291051 */   // Label 5998: @291051
     /* 291051 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(291198), // Rule ID 4829 //
     /* 291056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 291059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291080 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 291084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 291088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 291096 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 291100 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291104 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291108 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 291112 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291117 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 291121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291125 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 291127 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 291127 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 291130 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291134 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291139 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 291145 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291150 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291167 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291173 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291178 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 291186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 291188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 291194 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 291196 */     GIR_RootConstrainSelectedInstOperands,
     /* 291197 */     // GIR_Coverage, 4829,
     /* 291197 */     GIR_EraseRootFromParent_Done,
     /* 291198 */   // Label 5999: @291198
     /* 291198 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(291345), // Rule ID 13838 //
     /* 291203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 291206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 291222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291230 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291234 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291239 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 291243 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 291247 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291251 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291255 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 291259 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291264 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 291268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291272 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 291274 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 291274 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 291277 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291281 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291286 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 291292 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291297 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291314 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291320 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291325 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 291333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 291335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 291341 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 291343 */     GIR_RootConstrainSelectedInstOperands,
     /* 291344 */     // GIR_Coverage, 13838,
     /* 291344 */     GIR_EraseRootFromParent_Done,
     /* 291345 */   // Label 6000: @291345
     /* 291345 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(291476), // Rule ID 6079 //
     /* 291350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291374 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 291378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 291382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 291390 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 291394 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291398 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291402 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 291406 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291411 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 291415 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291419 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291423 */     // MIs[4] Operand 1
     /* 291423 */     // No operand predicates
     /* 291423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291427 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 291429 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291441 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291447 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291452 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 291460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291462 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 291471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 291474 */     GIR_RootConstrainSelectedInstOperands,
     /* 291475 */     // GIR_Coverage, 6079,
     /* 291475 */     GIR_EraseRootFromParent_Done,
     /* 291476 */   // Label 6001: @291476
     /* 291476 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(291607), // Rule ID 6111 //
     /* 291481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291496 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291505 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 291509 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291513 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291517 */     // MIs[2] Operand 1
     /* 291517 */     // No operand predicates
     /* 291517 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 291521 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291525 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 291529 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 291533 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291537 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291541 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 291545 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291550 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 291554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291558 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 291560 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291572 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291578 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291583 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 291591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291593 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 291602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 291605 */     GIR_RootConstrainSelectedInstOperands,
     /* 291606 */     // GIR_Coverage, 6111,
     /* 291606 */     GIR_EraseRootFromParent_Done,
     /* 291607 */   // Label 6002: @291607
     /* 291607 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(291738), // Rule ID 6175 //
     /* 291612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 291631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291639 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291643 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291648 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 291652 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 291656 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291660 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291664 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 291668 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291673 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 291677 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291681 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291685 */     // MIs[4] Operand 1
     /* 291685 */     // No operand predicates
     /* 291685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291689 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 291691 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291703 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291709 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291714 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 291722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291724 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 291733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 291736 */     GIR_RootConstrainSelectedInstOperands,
     /* 291737 */     // GIR_Coverage, 6175,
     /* 291737 */     GIR_EraseRootFromParent_Done,
     /* 291738 */   // Label 6003: @291738
     /* 291738 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(291869), // Rule ID 6143 //
     /* 291743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 291746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 291754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 291758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 291762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291770 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 291779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 291783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 291787 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 291791 */     // MIs[3] Operand 1
     /* 291791 */     // No operand predicates
     /* 291791 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 291795 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291799 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291803 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 291807 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291812 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 291816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291820 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 291822 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 291822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291834 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291840 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291845 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 291853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 291855 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 291857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 291864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 291867 */     GIR_RootConstrainSelectedInstOperands,
     /* 291868 */     // GIR_Coverage, 6143,
     /* 291868 */     GIR_EraseRootFromParent_Done,
     /* 291869 */   // Label 6004: @291869
     /* 291869 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(292004), // Rule ID 2456 //
     /* 291874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 291877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 291881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291889 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 291893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291898 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 291902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 291906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 291910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 291914 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 291918 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291923 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 291927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291931 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 291933 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 291933 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 291936 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291940 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291945 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 291951 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291956 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 291964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 291968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 291973 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 291979 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 291984 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 291989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 291992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 291994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 291997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 292000 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292002 */     GIR_RootConstrainSelectedInstOperands,
     /* 292003 */     // GIR_Coverage, 2456,
     /* 292003 */     GIR_EraseRootFromParent_Done,
     /* 292004 */   // Label 6005: @292004
     /* 292004 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(292123), // Rule ID 6047 //
     /* 292009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 292012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292024 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292033 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 292037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 292041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292049 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 292053 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 292058 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 292062 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292066 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 292070 */     // MIs[3] Operand 1
     /* 292070 */     // No operand predicates
     /* 292070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292074 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 292076 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 292076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292088 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 292094 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292099 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 292107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292109 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 292118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 292121 */     GIR_RootConstrainSelectedInstOperands,
     /* 292122 */     // GIR_Coverage, 6047,
     /* 292122 */     GIR_EraseRootFromParent_Done,
     /* 292123 */   // Label 6006: @292123
     /* 292123 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(292242), // Rule ID 2538 //
     /* 292128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 292131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292143 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 292152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 292156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292160 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 292164 */     // MIs[2] Operand 1
     /* 292164 */     // No operand predicates
     /* 292164 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 292168 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292172 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292176 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 292180 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292185 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 292189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292193 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 292195 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 292195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292207 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 292213 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292218 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 292226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292228 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 292237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 292240 */     GIR_RootConstrainSelectedInstOperands,
     /* 292241 */     // GIR_Coverage, 2538,
     /* 292241 */     GIR_EraseRootFromParent_Done,
     /* 292242 */   // Label 6007: @292242
     /* 292242 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(292342), // Rule ID 4827 //
     /* 292247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292262 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292271 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 292275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 292279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 292287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292298 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292310 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 292316 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292321 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 292329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 292338 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292340 */     GIR_RootConstrainSelectedInstOperands,
     /* 292341 */     // GIR_Coverage, 4827,
     /* 292341 */     GIR_EraseRootFromParent_Done,
     /* 292342 */   // Label 6008: @292342
     /* 292342 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(292442), // Rule ID 4863 //
     /* 292347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292371 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 292375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 292383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 292391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292398 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292410 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 292416 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292421 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 292429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292434 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 292436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 292440 */     GIR_RootConstrainSelectedInstOperands,
     /* 292441 */     // GIR_Coverage, 4863,
     /* 292441 */     GIR_EraseRootFromParent_Done,
     /* 292442 */   // Label 6009: @292442
     /* 292442 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(292539), // Rule ID 13834 //
     /* 292447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 292462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 292466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292474 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 292478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292483 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 292487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292495 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292497 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 292497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292509 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 292515 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292520 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 292528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292530 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 292532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292535 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292537 */     GIR_RootConstrainSelectedInstOperands,
     /* 292538 */     // GIR_Coverage, 13834,
     /* 292538 */     GIR_EraseRootFromParent_Done,
     /* 292539 */   // Label 6010: @292539
     /* 292539 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(292639), // Rule ID 13836 //
     /* 292544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 292559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 292568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292576 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 292580 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292585 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 292589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292595 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 292595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292607 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 292613 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292618 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 292626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 292635 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292637 */     GIR_RootConstrainSelectedInstOperands,
     /* 292638 */     // GIR_Coverage, 13836,
     /* 292638 */     GIR_EraseRootFromParent_Done,
     /* 292639 */   // Label 6011: @292639
     /* 292639 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(292739), // Rule ID 4861 //
     /* 292644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292672 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 292676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 292680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 292688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292693 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292695 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 292695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292707 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 292713 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292718 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 292726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292728 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 292730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 292737 */     GIR_RootConstrainSelectedInstOperands,
     /* 292738 */     // GIR_Coverage, 4861,
     /* 292738 */     GIR_EraseRootFromParent_Done,
     /* 292739 */   // Label 6012: @292739
     /* 292739 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(292836), // Rule ID 4825 //
     /* 292744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 292747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 292755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 292763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 292767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292775 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 292779 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292784 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 292788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 292794 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 292794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 292797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 292801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 292806 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 292812 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292817 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 292822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 292825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 292827 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 292829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 292832 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 292834 */     GIR_RootConstrainSelectedInstOperands,
     /* 292835 */     // GIR_Coverage, 4825,
     /* 292835 */     GIR_EraseRootFromParent_Done,
     /* 292836 */   // Label 6013: @292836
     /* 292836 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(292920), // Rule ID 6109 //
     /* 292841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 292844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292856 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 292860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 292865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 292869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292873 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 292877 */     // MIs[2] Operand 1
     /* 292877 */     // No operand predicates
     /* 292877 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 292881 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292885 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 292889 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292898 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 292900 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 292900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 292903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292905 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 292911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 292915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 292918 */     GIR_RootConstrainSelectedInstOperands,
     /* 292919 */     // GIR_Coverage, 6109,
     /* 292919 */     GIR_EraseRootFromParent_Done,
     /* 292920 */   // Label 6014: @292920
     /* 292920 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(293001), // Rule ID 6141 //
     /* 292925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 292928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 292932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 292936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 292940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 292944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 292948 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 292952 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 292956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 292961 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 292965 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 292969 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 292973 */     // MIs[3] Operand 1
     /* 292973 */     // No operand predicates
     /* 292973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 292981 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 292983 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 292983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 292986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 292988 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 292990 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 292992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 292996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 292999 */     GIR_RootConstrainSelectedInstOperands,
     /* 293000 */     // GIR_Coverage, 6141,
     /* 293000 */     GIR_EraseRootFromParent_Done,
     /* 293001 */   // Label 6015: @293001
     /* 293001 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(293085), // Rule ID 6173 //
     /* 293006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 293030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293038 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 293042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293047 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 293051 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293055 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293059 */     // MIs[3] Operand 1
     /* 293059 */     // No operand predicates
     /* 293059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293063 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 293065 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 293068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293070 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 293076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 293080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 293083 */     GIR_RootConstrainSelectedInstOperands,
     /* 293084 */     // GIR_Coverage, 6173,
     /* 293084 */     GIR_EraseRootFromParent_Done,
     /* 293085 */   // Label 6016: @293085
     /* 293085 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(293166), // Rule ID 6077 //
     /* 293090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 293113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293121 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 293125 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293130 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 293134 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293138 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293142 */     // MIs[3] Operand 1
     /* 293142 */     // No operand predicates
     /* 293142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293146 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 293148 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 293151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293153 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293155 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 293161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 293164 */     GIR_RootConstrainSelectedInstOperands,
     /* 293165 */     // GIR_Coverage, 6077,
     /* 293165 */     GIR_EraseRootFromParent_Done,
     /* 293166 */   // Label 6017: @293166
     /* 293166 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(293251), // Rule ID 2454 //
     /* 293171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 293174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293186 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293195 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 293199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293209 */     // (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 293212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 293216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293221 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 293227 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293232 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 293240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293245 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 293247 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293249 */     GIR_RootConstrainSelectedInstOperands,
     /* 293250 */     // GIR_Coverage, 2454,
     /* 293250 */     GIR_EraseRootFromParent_Done,
     /* 293251 */   // Label 6018: @293251
     /* 293251 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(293336), // Rule ID 2452 //
     /* 293256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 293259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293275 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293284 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 293288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293294 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 293294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 293297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 293301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293306 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 293312 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293317 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 293325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293327 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 293332 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293334 */     GIR_RootConstrainSelectedInstOperands,
     /* 293335 */     // GIR_Coverage, 2452,
     /* 293335 */     GIR_EraseRootFromParent_Done,
     /* 293336 */   // Label 6019: @293336
     /* 293336 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(293405), // Rule ID 2536 //
     /* 293341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 293369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293373 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293377 */     // MIs[2] Operand 1
     /* 293377 */     // No operand predicates
     /* 293377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 293387 */     // (fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 293390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293392 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293394 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 293396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 293403 */     GIR_RootConstrainSelectedInstOperands,
     /* 293404 */     // GIR_Coverage, 2536,
     /* 293404 */     GIR_EraseRootFromParent_Done,
     /* 293405 */   // Label 6020: @293405
     /* 293405 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(293474), // Rule ID 6045 //
     /* 293410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 293429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 293438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 293442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 293446 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 293450 */     // MIs[2] Operand 1
     /* 293450 */     // No operand predicates
     /* 293450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 293456 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 293456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 293459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 293461 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 293463 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 293472 */     GIR_RootConstrainSelectedInstOperands,
     /* 293473 */     // GIR_Coverage, 6045,
     /* 293473 */     GIR_EraseRootFromParent_Done,
     /* 293474 */   // Label 6021: @293474
     /* 293474 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(293539), // Rule ID 4881 //
     /* 293479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 293507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 293515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 293522 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 293525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 293531 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 293533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 293537 */     GIR_RootConstrainSelectedInstOperands,
     /* 293538 */     // GIR_Coverage, 4881,
     /* 293538 */     GIR_EraseRootFromParent_Done,
     /* 293539 */   // Label 6022: @293539
     /* 293539 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(293604), // Rule ID 13854 //
     /* 293544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 293572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 293580 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293585 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 293587 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 293590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 293596 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 293598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 293602 */     GIR_RootConstrainSelectedInstOperands,
     /* 293603 */     // GIR_Coverage, 13854,
     /* 293603 */     GIR_EraseRootFromParent_Done,
     /* 293604 */   // Label 6023: @293604
     /* 293604 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(293654), // Rule ID 4878 //
     /* 293609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293639 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 293642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 293648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 293650 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293652 */     GIR_RootConstrainSelectedInstOperands,
     /* 293653 */     // GIR_Coverage, 4878,
     /* 293653 */     GIR_EraseRootFromParent_Done,
     /* 293654 */   // Label 6024: @293654
     /* 293654 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(293704), // Rule ID 13280 //
     /* 293659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 293662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293689 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 293692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293694 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 293696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293700 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293702 */     GIR_RootConstrainSelectedInstOperands,
     /* 293703 */     // GIR_Coverage, 13280,
     /* 293703 */     GIR_EraseRootFromParent_Done,
     /* 293704 */   // Label 6025: @293704
     /* 293704 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(293754), // Rule ID 644 //
     /* 293709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 293712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293739 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 293742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293744 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 293750 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293752 */     GIR_RootConstrainSelectedInstOperands,
     /* 293753 */     // GIR_Coverage, 644,
     /* 293753 */     GIR_EraseRootFromParent_Done,
     /* 293754 */   // Label 6026: @293754
     /* 293754 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(293804), // Rule ID 13851 //
     /* 293759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 293762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 293770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293789 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 293792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 293798 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 293800 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 293802 */     GIR_RootConstrainSelectedInstOperands,
     /* 293803 */     // GIR_Coverage, 13851,
     /* 293803 */     GIR_EraseRootFromParent_Done,
     /* 293804 */   // Label 6027: @293804
     /* 293804 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(293854), // Rule ID 656 //
     /* 293809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 293812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 293824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 293832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 293839 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 293842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 293844 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 293846 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 293848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 293852 */     GIR_RootConstrainSelectedInstOperands,
     /* 293853 */     // GIR_Coverage, 656,
     /* 293853 */     GIR_EraseRootFromParent_Done,
     /* 293854 */   // Label 6028: @293854
     /* 293854 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(293885), // Rule ID 638 //
     /* 293859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 293862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 293874 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 293874 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 293879 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 293883 */     GIR_RootConstrainSelectedInstOperands,
     /* 293884 */     // GIR_Coverage, 638,
     /* 293884 */     GIR_Done,
     /* 293885 */   // Label 6029: @293885
     /* 293885 */   GIM_Reject,
     /* 293886 */ // Label 5997: @293886
     /* 293886 */ GIM_Reject,
     /* 293887 */ // Label 5989: @293887
     /* 293887 */ GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(297034),
     /* 293892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 293895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 293898 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 293901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293905 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(294055), // Rule ID 4871 //
     /* 293910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 293913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 293917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293925 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 293929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293934 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 293938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 293942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 293946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 293950 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 293954 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 293959 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 293963 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 293967 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 293971 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 293975 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 293980 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 293982 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 293982 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 293985 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 293989 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 293994 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 294000 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294005 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294022 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294028 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294033 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 294041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 294043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 294049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 294053 */     GIR_RootConstrainSelectedInstOperands,
     /* 294054 */     // GIR_Coverage, 4871,
     /* 294054 */     GIR_EraseRootFromParent_Done,
     /* 294055 */   // Label 6031: @294055
     /* 294055 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(294202), // Rule ID 4835 //
     /* 294060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 294063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294075 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 294079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294084 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 294088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 294092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 294100 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 294104 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294108 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294112 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 294116 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294121 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 294125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294129 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 294131 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 294131 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 294134 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294138 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294143 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 294149 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294154 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294171 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294177 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294182 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 294190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 294192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 294198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 294200 */     GIR_RootConstrainSelectedInstOperands,
     /* 294201 */     // GIR_Coverage, 4835,
     /* 294201 */     GIR_EraseRootFromParent_Done,
     /* 294202 */   // Label 6032: @294202
     /* 294202 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(294349), // Rule ID 13844 //
     /* 294207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 294210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 294222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 294226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294234 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 294238 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294243 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 294247 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 294251 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294255 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294259 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 294263 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294268 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 294272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294276 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 294278 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 294278 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 294281 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294285 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294290 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 294296 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294301 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294318 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294324 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294329 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 294337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 294339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 294345 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 294347 */     GIR_RootConstrainSelectedInstOperands,
     /* 294348 */     // GIR_Coverage, 13844,
     /* 294348 */     GIR_EraseRootFromParent_Done,
     /* 294349 */   // Label 6033: @294349
     /* 294349 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(294480), // Rule ID 6095 //
     /* 294354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 294357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294369 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 294373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294378 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 294382 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 294386 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294390 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 294394 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 294398 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294402 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294406 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 294410 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294415 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 294419 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 294423 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 294427 */     // MIs[4] Operand 1
     /* 294427 */     // No operand predicates
     /* 294427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294431 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 294433 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 294433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294445 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294451 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294456 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 294464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294466 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 294475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 294478 */     GIR_RootConstrainSelectedInstOperands,
     /* 294479 */     // GIR_Coverage, 6095,
     /* 294479 */     GIR_EraseRootFromParent_Done,
     /* 294480 */   // Label 6034: @294480
     /* 294480 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(294611), // Rule ID 6127 //
     /* 294485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 294488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294500 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 294504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 294513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 294517 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 294521 */     // MIs[2] Operand 1
     /* 294521 */     // No operand predicates
     /* 294521 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 294525 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294529 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 294533 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 294537 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294541 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294545 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 294549 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294554 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 294558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294562 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 294564 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 294564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294576 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294582 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294587 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 294595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294597 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 294606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 294609 */     GIR_RootConstrainSelectedInstOperands,
     /* 294610 */     // GIR_Coverage, 6127,
     /* 294610 */     GIR_EraseRootFromParent_Done,
     /* 294611 */   // Label 6035: @294611
     /* 294611 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(294742), // Rule ID 6191 //
     /* 294616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 294619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 294631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 294635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294643 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 294647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294652 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 294656 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 294660 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294664 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294668 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 294672 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294677 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 294681 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 294685 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 294689 */     // MIs[4] Operand 1
     /* 294689 */     // No operand predicates
     /* 294689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294693 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 294695 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 294695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294707 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294713 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294718 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 294726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294728 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 294737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 294740 */     GIR_RootConstrainSelectedInstOperands,
     /* 294741 */     // GIR_Coverage, 6191,
     /* 294741 */     GIR_EraseRootFromParent_Done,
     /* 294742 */   // Label 6036: @294742
     /* 294742 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(294873), // Rule ID 6159 //
     /* 294747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 294750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 294758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 294762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 294766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294774 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 294778 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294783 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 294787 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 294791 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 294795 */     // MIs[3] Operand 1
     /* 294795 */     // No operand predicates
     /* 294795 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 294799 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294803 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294807 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 294811 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294816 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 294820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294824 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 294826 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 294826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294838 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294844 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294849 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 294857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 294859 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 294861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 294864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 294868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 294871 */     GIR_RootConstrainSelectedInstOperands,
     /* 294872 */     // GIR_Coverage, 6159,
     /* 294872 */     GIR_EraseRootFromParent_Done,
     /* 294873 */   // Label 6037: @294873
     /* 294873 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(295008), // Rule ID 2462 //
     /* 294878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 294881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 294885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294893 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 294897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294902 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 294906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 294910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 294914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 294918 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 294922 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294927 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 294931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294935 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 294937 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 294937 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 294940 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294944 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294949 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 294955 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294960 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 294968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 294972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 294977 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 294983 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 294988 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 294993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 294996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 294998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 295004 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295006 */     GIR_RootConstrainSelectedInstOperands,
     /* 295007 */     // GIR_Coverage, 2462,
     /* 295007 */     GIR_EraseRootFromParent_Done,
     /* 295008 */   // Label 6038: @295008
     /* 295008 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(295127), // Rule ID 6063 //
     /* 295013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 295016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295037 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 295041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 295045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295053 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295062 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 295066 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 295070 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 295074 */     // MIs[3] Operand 1
     /* 295074 */     // No operand predicates
     /* 295074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295078 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 295080 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 295080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295092 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 295098 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295103 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 295111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 295113 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 295115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 295122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 295125 */     GIR_RootConstrainSelectedInstOperands,
     /* 295126 */     // GIR_Coverage, 6063,
     /* 295126 */     GIR_EraseRootFromParent_Done,
     /* 295127 */   // Label 6039: @295127
     /* 295127 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(295246), // Rule ID 2554 //
     /* 295132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 295135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 295160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 295164 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 295168 */     // MIs[2] Operand 1
     /* 295168 */     // No operand predicates
     /* 295168 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 295172 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295176 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295180 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 295184 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295189 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 295193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295197 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 295199 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 295199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295211 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 295217 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295222 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 295230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 295232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 295234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 295241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 295244 */     GIR_RootConstrainSelectedInstOperands,
     /* 295245 */     // GIR_Coverage, 2554,
     /* 295245 */     GIR_EraseRootFromParent_Done,
     /* 295246 */   // Label 6040: @295246
     /* 295246 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(295346), // Rule ID 4833 //
     /* 295251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295275 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 295279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 295283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 295291 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295300 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295302 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295314 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 295320 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295325 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 295333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 295342 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295344 */     GIR_RootConstrainSelectedInstOperands,
     /* 295345 */     // GIR_Coverage, 4833,
     /* 295345 */     GIR_EraseRootFromParent_Done,
     /* 295346 */   // Label 6041: @295346
     /* 295346 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(295446), // Rule ID 4869 //
     /* 295351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295366 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295375 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 295379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 295387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 295395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295402 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295414 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 295420 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295425 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 295433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295438 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 295440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 295444 */     GIR_RootConstrainSelectedInstOperands,
     /* 295445 */     // GIR_Coverage, 4869,
     /* 295445 */     GIR_EraseRootFromParent_Done,
     /* 295446 */   // Label 6042: @295446
     /* 295446 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(295543), // Rule ID 13840 //
     /* 295451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 295466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 295470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295478 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295487 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 295491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295501 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 295501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295513 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 295519 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295524 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 295532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295534 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 295536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295539 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295541 */     GIR_RootConstrainSelectedInstOperands,
     /* 295542 */     // GIR_Coverage, 13840,
     /* 295542 */     GIR_EraseRootFromParent_Done,
     /* 295543 */   // Label 6043: @295543
     /* 295543 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(295643), // Rule ID 13842 //
     /* 295548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 295563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 295572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295580 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295589 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 295593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295599 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 295599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295611 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 295617 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295622 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 295630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 295639 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295641 */     GIR_RootConstrainSelectedInstOperands,
     /* 295642 */     // GIR_Coverage, 13842,
     /* 295642 */     GIR_EraseRootFromParent_Done,
     /* 295643 */   // Label 6044: @295643
     /* 295643 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(295743), // Rule ID 4867 //
     /* 295648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 295659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295667 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295676 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 295680 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 295684 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295688 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 295692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295697 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295699 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 295699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295711 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 295717 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295722 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 295730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295732 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 295734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 295741 */     GIR_RootConstrainSelectedInstOperands,
     /* 295742 */     // GIR_Coverage, 4867,
     /* 295742 */     GIR_EraseRootFromParent_Done,
     /* 295743 */   // Label 6045: @295743
     /* 295743 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(295840), // Rule ID 4831 //
     /* 295748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 295751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 295759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 295767 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 295771 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295775 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295779 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 295783 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295788 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 295792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295796 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 295798 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 295798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 295801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 295805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 295810 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 295816 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295821 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 295829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 295831 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 295833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 295836 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 295838 */     GIR_RootConstrainSelectedInstOperands,
     /* 295839 */     // GIR_Coverage, 4831,
     /* 295839 */     GIR_EraseRootFromParent_Done,
     /* 295840 */   // Label 6046: @295840
     /* 295840 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(295918), // Rule ID 6213 //
     /* 295845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 295865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295878 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 295882 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 295886 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 295890 */     // MIs[3] Operand 1
     /* 295890 */     // No operand predicates
     /* 295890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295898 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 295900 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 295900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 295903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 295905 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 295907 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 295909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 295913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 295916 */     GIR_RootConstrainSelectedInstOperands,
     /* 295917 */     // GIR_Coverage, 6213,
     /* 295917 */     GIR_EraseRootFromParent_Done,
     /* 295918 */   // Label 6047: @295918
     /* 295918 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(296002), // Rule ID 6125 //
     /* 295923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 295926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 295930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 295934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 295938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 295942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 295947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 295951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 295955 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 295959 */     // MIs[2] Operand 1
     /* 295959 */     // No operand predicates
     /* 295959 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 295963 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 295967 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 295971 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 295980 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 295982 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 295982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 295985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 295987 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 295989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 295993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 295997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 296000 */     GIR_RootConstrainSelectedInstOperands,
     /* 296001 */     // GIR_Coverage, 6125,
     /* 296001 */     GIR_EraseRootFromParent_Done,
     /* 296002 */   // Label 6048: @296002
     /* 296002 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(296083), // Rule ID 6157 //
     /* 296007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 296026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296034 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 296038 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296043 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 296047 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296051 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 296055 */     // MIs[3] Operand 1
     /* 296055 */     // No operand predicates
     /* 296055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296063 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 296065 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 296065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 296068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296070 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296072 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 296074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 296078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 296081 */     GIR_RootConstrainSelectedInstOperands,
     /* 296082 */     // GIR_Coverage, 6157,
     /* 296082 */     GIR_EraseRootFromParent_Done,
     /* 296083 */   // Label 6049: @296083
     /* 296083 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(296167), // Rule ID 6189 //
     /* 296088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 296112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296120 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 296124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296129 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 296133 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296137 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 296141 */     // MIs[3] Operand 1
     /* 296141 */     // No operand predicates
     /* 296141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296145 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 296147 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 296147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 296150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 296162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 296165 */     GIR_RootConstrainSelectedInstOperands,
     /* 296166 */     // GIR_Coverage, 6189,
     /* 296166 */     GIR_EraseRootFromParent_Done,
     /* 296167 */   // Label 6050: @296167
     /* 296167 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(296245), // Rule ID 6235 //
     /* 296172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 296180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296188 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 296196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296209 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 296213 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296217 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 296221 */     // MIs[3] Operand 1
     /* 296221 */     // No operand predicates
     /* 296221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296225 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 296227 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 296227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 296230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296232 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296234 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 296236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 296240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 296243 */     GIR_RootConstrainSelectedInstOperands,
     /* 296244 */     // GIR_Coverage, 6235,
     /* 296244 */     GIR_EraseRootFromParent_Done,
     /* 296245 */   // Label 6051: @296245
     /* 296245 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(296326), // Rule ID 6093 //
     /* 296250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 296261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 296273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296277 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296281 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 296285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296290 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 296294 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296298 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 296302 */     // MIs[3] Operand 1
     /* 296302 */     // No operand predicates
     /* 296302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296306 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 296308 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 296308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 296311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296313 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296315 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 296317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 296321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 296324 */     GIR_RootConstrainSelectedInstOperands,
     /* 296325 */     // GIR_Coverage, 6093,
     /* 296325 */     GIR_EraseRootFromParent_Done,
     /* 296326 */   // Label 6052: @296326
     /* 296326 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(296411), // Rule ID 2460 //
     /* 296331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296346 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296355 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 296359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 296369 */     // (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 296369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 296372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296381 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 296387 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296392 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 296400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 296407 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 296409 */     GIR_RootConstrainSelectedInstOperands,
     /* 296410 */     // GIR_Coverage, 2460,
     /* 296410 */     GIR_EraseRootFromParent_Done,
     /* 296411 */   // Label 6053: @296411
     /* 296411 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(296496), // Rule ID 2458 //
     /* 296416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 296427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296444 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 296448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 296454 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 296454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 296457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 296461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 296466 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 296472 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296477 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 296485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296487 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 296489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 296492 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 296494 */     GIR_RootConstrainSelectedInstOperands,
     /* 296495 */     // GIR_Coverage, 2458,
     /* 296495 */     GIR_EraseRootFromParent_Done,
     /* 296496 */   // Label 6054: @296496
     /* 296496 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(296565), // Rule ID 2552 //
     /* 296501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 296529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296533 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 296537 */     // MIs[2] Operand 1
     /* 296537 */     // No operand predicates
     /* 296537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 296547 */     // (fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 296547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 296550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296552 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296554 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 296556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 296560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 296563 */     GIR_RootConstrainSelectedInstOperands,
     /* 296564 */     // GIR_Coverage, 2552,
     /* 296564 */     GIR_EraseRootFromParent_Done,
     /* 296565 */   // Label 6055: @296565
     /* 296565 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(296634), // Rule ID 6061 //
     /* 296570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 296573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 296581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 296585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 296589 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 296593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 296598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 296602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 296606 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 296610 */     // MIs[2] Operand 1
     /* 296610 */     // No operand predicates
     /* 296610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 296616 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 296616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 296619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 296621 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 296623 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 296625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 296629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 296632 */     GIR_RootConstrainSelectedInstOperands,
     /* 296633 */     // GIR_Coverage, 6061,
     /* 296633 */     GIR_EraseRootFromParent_Done,
     /* 296634 */   // Label 6056: @296634
     /* 296634 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(296696), // Rule ID 4882 //
     /* 296639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 296664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 296672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 296679 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 296679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 296682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296688 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 296690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 296694 */     GIR_RootConstrainSelectedInstOperands,
     /* 296695 */     // GIR_Coverage, 4882,
     /* 296695 */     GIR_EraseRootFromParent_Done,
     /* 296696 */   // Label 6057: @296696
     /* 296696 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(296758), // Rule ID 13855 //
     /* 296701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 296709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 296726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 296734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 296741 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 296741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 296744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296750 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 296752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 296756 */     GIR_RootConstrainSelectedInstOperands,
     /* 296757 */     // GIR_Coverage, 13855,
     /* 296757 */     GIR_EraseRootFromParent_Done,
     /* 296758 */   // Label 6058: @296758
     /* 296758 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(296805), // Rule ID 4879 //
     /* 296763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 296790 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 296790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 296793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296799 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 296801 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 296803 */     GIR_RootConstrainSelectedInstOperands,
     /* 296804 */     // GIR_Coverage, 4879,
     /* 296804 */     GIR_EraseRootFromParent_Done,
     /* 296805 */   // Label 6059: @296805
     /* 296805 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(296855), // Rule ID 13282 //
     /* 296810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 296817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 296840 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 296840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 296843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296845 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 296847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 296851 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 296853 */     GIR_RootConstrainSelectedInstOperands,
     /* 296854 */     // GIR_Coverage, 13282,
     /* 296854 */     GIR_EraseRootFromParent_Done,
     /* 296855 */   // Label 6060: @296855
     /* 296855 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(296905), // Rule ID 646 //
     /* 296860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 296871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 296890 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 296890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 296893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296895 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 296897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 296901 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 296903 */     GIR_RootConstrainSelectedInstOperands,
     /* 296904 */     // GIR_Coverage, 646,
     /* 296904 */     GIR_EraseRootFromParent_Done,
     /* 296905 */   // Label 6061: @296905
     /* 296905 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(296952), // Rule ID 13852 //
     /* 296910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 296918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 296937 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 296937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 296940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 296946 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 296948 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 296950 */     GIR_RootConstrainSelectedInstOperands,
     /* 296951 */     // GIR_Coverage, 13852,
     /* 296951 */     GIR_EraseRootFromParent_Done,
     /* 296952 */   // Label 6062: @296952
     /* 296952 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(297002), // Rule ID 658 //
     /* 296957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 296960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 296972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 296976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 296980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 296985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 296987 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 296987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 296990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 296992 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 296994 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 296996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 297000 */     GIR_RootConstrainSelectedInstOperands,
     /* 297001 */     // GIR_Coverage, 658,
     /* 297001 */     GIR_EraseRootFromParent_Done,
     /* 297002 */   // Label 6063: @297002
     /* 297002 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(297033), // Rule ID 640 //
     /* 297007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 297022 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 297022 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 297027 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 297031 */     GIR_RootConstrainSelectedInstOperands,
     /* 297032 */     // GIR_Coverage, 640,
     /* 297032 */     GIR_Done,
     /* 297033 */   // Label 6064: @297033
     /* 297033 */   GIM_Reject,
     /* 297034 */ // Label 6030: @297034
     /* 297034 */ GIM_Reject,
     /* 297035 */ // Label 5990: @297035
     /* 297035 */ GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(300182),
     /* 297040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 297043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 297046 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 297049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297053 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(297203), // Rule ID 4877 //
     /* 297058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297082 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 297086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 297090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297098 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297102 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297107 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297111 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 297115 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297119 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 297123 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297128 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 297130 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 297130 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 297133 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297137 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297142 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 297148 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297153 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297170 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297176 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297181 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 297189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 297197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 297201 */     GIR_RootConstrainSelectedInstOperands,
     /* 297202 */     // GIR_Coverage, 4877,
     /* 297202 */     GIR_EraseRootFromParent_Done,
     /* 297203 */   // Label 6066: @297203
     /* 297203 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(297350), // Rule ID 4841 //
     /* 297208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297232 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 297236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 297240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 297248 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 297252 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297256 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297260 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 297264 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297269 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 297273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297277 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 297279 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 297279 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 297282 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297286 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297291 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 297297 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297302 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297319 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297325 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297330 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 297338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 297346 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 297348 */     GIR_RootConstrainSelectedInstOperands,
     /* 297349 */     // GIR_Coverage, 4841,
     /* 297349 */     GIR_EraseRootFromParent_Done,
     /* 297350 */   // Label 6067: @297350
     /* 297350 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(297497), // Rule ID 13850 //
     /* 297355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 297358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 297370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 297374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297382 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297386 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297391 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297395 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 297399 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297403 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297407 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 297411 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297416 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 297420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297424 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 297426 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 297426 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 297429 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297433 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297438 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 297444 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297449 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297466 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297472 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297477 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 297485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 297487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 297493 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 297495 */     GIR_RootConstrainSelectedInstOperands,
     /* 297496 */     // GIR_Coverage, 13850,
     /* 297496 */     GIR_EraseRootFromParent_Done,
     /* 297497 */   // Label 6068: @297497
     /* 297497 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(297628), // Rule ID 6099 //
     /* 297502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 297505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297526 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 297530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 297534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 297542 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 297546 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297550 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297554 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 297558 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297563 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 297567 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 297571 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 297575 */     // MIs[4] Operand 1
     /* 297575 */     // No operand predicates
     /* 297575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297579 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 297581 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 297581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297593 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297599 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297604 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 297612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 297614 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 297616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 297623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 297626 */     GIR_RootConstrainSelectedInstOperands,
     /* 297627 */     // GIR_Coverage, 6099,
     /* 297627 */     GIR_EraseRootFromParent_Done,
     /* 297628 */   // Label 6069: @297628
     /* 297628 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(297759), // Rule ID 6131 //
     /* 297633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 297636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 297652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 297661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 297665 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 297669 */     // MIs[2] Operand 1
     /* 297669 */     // No operand predicates
     /* 297669 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 297673 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297677 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 297681 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 297685 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297689 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297693 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 297697 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297702 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 297706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297710 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 297712 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 297712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297724 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297730 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297735 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 297743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 297745 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 297747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 297754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 297757 */     GIR_RootConstrainSelectedInstOperands,
     /* 297758 */     // GIR_Coverage, 6131,
     /* 297758 */     GIR_EraseRootFromParent_Done,
     /* 297759 */   // Label 6070: @297759
     /* 297759 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(297890), // Rule ID 6195 //
     /* 297764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 297767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 297779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 297783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297791 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297795 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297800 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 297804 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 297808 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297812 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297816 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 297820 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297825 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 297829 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 297833 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 297837 */     // MIs[4] Operand 1
     /* 297837 */     // No operand predicates
     /* 297837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297841 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 297843 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 297843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297855 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297861 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297866 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 297874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 297876 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 297878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 297881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 297885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 297888 */     GIR_RootConstrainSelectedInstOperands,
     /* 297889 */     // GIR_Coverage, 6195,
     /* 297889 */     GIR_EraseRootFromParent_Done,
     /* 297890 */   // Label 6071: @297890
     /* 297890 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(298021), // Rule ID 6163 //
     /* 297895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 297898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 297902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 297906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 297910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 297914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297922 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 297926 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297931 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 297935 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 297939 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 297943 */     // MIs[3] Operand 1
     /* 297943 */     // No operand predicates
     /* 297943 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 297947 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 297951 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 297955 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 297959 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 297964 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 297968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297972 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 297974 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 297974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 297977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 297981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 297986 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 297992 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 297997 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 298005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 298007 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 298009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 298016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 298019 */     GIR_RootConstrainSelectedInstOperands,
     /* 298020 */     // GIR_Coverage, 6163,
     /* 298020 */     GIR_EraseRootFromParent_Done,
     /* 298021 */   // Label 6072: @298021
     /* 298021 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(298156), // Rule ID 2468 //
     /* 298026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298041 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298050 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 298054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 298058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298066 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298070 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298075 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 298079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298083 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298085 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 298085 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 298088 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298092 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298097 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 298103 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298108 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298125 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298131 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298136 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 298144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 298152 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298154 */     GIR_RootConstrainSelectedInstOperands,
     /* 298155 */     // GIR_Coverage, 2468,
     /* 298155 */     GIR_EraseRootFromParent_Done,
     /* 298156 */   // Label 6073: @298156
     /* 298156 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(298275), // Rule ID 6067 //
     /* 298161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 298164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298176 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298185 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 298189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 298193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298197 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298201 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298205 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298210 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 298214 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 298218 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 298222 */     // MIs[3] Operand 1
     /* 298222 */     // No operand predicates
     /* 298222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298226 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 298228 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 298228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298240 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298246 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298251 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 298259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 298261 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 298263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 298270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 298273 */     GIR_RootConstrainSelectedInstOperands,
     /* 298274 */     // GIR_Coverage, 6067,
     /* 298274 */     GIR_EraseRootFromParent_Done,
     /* 298275 */   // Label 6074: @298275
     /* 298275 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(298394), // Rule ID 2558 //
     /* 298280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 298283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 298308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 298312 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 298316 */     // MIs[2] Operand 1
     /* 298316 */     // No operand predicates
     /* 298316 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 298320 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298324 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298328 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 298332 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298337 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 298341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298345 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 298347 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 298347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298359 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298365 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298370 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 298378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 298380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 298382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 298389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 298392 */     GIR_RootConstrainSelectedInstOperands,
     /* 298393 */     // GIR_Coverage, 2558,
     /* 298393 */     GIR_EraseRootFromParent_Done,
     /* 298394 */   // Label 6075: @298394
     /* 298394 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(298494), // Rule ID 4839 //
     /* 298399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298414 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298423 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 298427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 298431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 298439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298450 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298462 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298468 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298473 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 298481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 298490 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298492 */     GIR_RootConstrainSelectedInstOperands,
     /* 298493 */     // GIR_Coverage, 4839,
     /* 298493 */     GIR_EraseRootFromParent_Done,
     /* 298494 */   // Label 6076: @298494
     /* 298494 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(298594), // Rule ID 4875 //
     /* 298499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298514 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298523 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 298527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 298535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 298543 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298548 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298550 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298562 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298568 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298573 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 298581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298586 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 298588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 298592 */     GIR_RootConstrainSelectedInstOperands,
     /* 298593 */     // GIR_Coverage, 4875,
     /* 298593 */     GIR_EraseRootFromParent_Done,
     /* 298594 */   // Label 6077: @298594
     /* 298594 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(298691), // Rule ID 13846 //
     /* 298599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 298618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298626 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298635 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 298639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298649 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 298649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298661 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 298667 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298672 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 298680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298682 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 298684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298687 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298689 */     GIR_RootConstrainSelectedInstOperands,
     /* 298690 */     // GIR_Coverage, 13846,
     /* 298690 */     GIR_EraseRootFromParent_Done,
     /* 298691 */   // Label 6078: @298691
     /* 298691 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(298791), // Rule ID 13848 //
     /* 298696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 298720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298728 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298732 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298737 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 298741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298747 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 298747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298759 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 298765 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298770 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 298778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 298787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298789 */     GIR_RootConstrainSelectedInstOperands,
     /* 298790 */     // GIR_Coverage, 13848,
     /* 298790 */     GIR_EraseRootFromParent_Done,
     /* 298791 */   // Label 6079: @298791
     /* 298791 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(298891), // Rule ID 4873 //
     /* 298796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 298807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 298819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298824 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 298828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 298832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 298840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298847 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 298847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298859 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 298865 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298870 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 298878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298880 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 298882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 298889 */     GIR_RootConstrainSelectedInstOperands,
     /* 298890 */     // GIR_Coverage, 4873,
     /* 298890 */     GIR_EraseRootFromParent_Done,
     /* 298891 */   // Label 6080: @298891
     /* 298891 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(298988), // Rule ID 4837 //
     /* 298896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 298899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 298907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 298911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 298915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 298919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 298923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 298927 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 298931 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298936 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 298940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 298946 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 298946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 298949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 298953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 298958 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 298964 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 298969 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 298974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 298977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 298979 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 298981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 298984 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 298986 */     GIR_RootConstrainSelectedInstOperands,
     /* 298987 */     // GIR_Coverage, 4837,
     /* 298987 */     GIR_EraseRootFromParent_Done,
     /* 298988 */   // Label 6081: @298988
     /* 298988 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(299066), // Rule ID 6217 //
     /* 298993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 298997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299026 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 299030 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299034 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 299038 */     // MIs[3] Operand 1
     /* 299038 */     // No operand predicates
     /* 299038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299046 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299048 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 299048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 299051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299053 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299055 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 299057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299064 */     GIR_RootConstrainSelectedInstOperands,
     /* 299065 */     // GIR_Coverage, 6217,
     /* 299065 */     GIR_EraseRootFromParent_Done,
     /* 299066 */   // Label 6082: @299066
     /* 299066 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(299150), // Rule ID 6129 //
     /* 299071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299086 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 299099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299103 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 299107 */     // MIs[2] Operand 1
     /* 299107 */     // No operand predicates
     /* 299107 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 299111 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299115 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 299119 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299128 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299130 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 299130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 299133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299135 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 299141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 299145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 299148 */     GIR_RootConstrainSelectedInstOperands,
     /* 299149 */     // GIR_Coverage, 6129,
     /* 299149 */     GIR_EraseRootFromParent_Done,
     /* 299150 */   // Label 6083: @299150
     /* 299150 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(299231), // Rule ID 6161 //
     /* 299155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299178 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299182 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 299186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299191 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 299195 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299199 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 299203 */     // MIs[3] Operand 1
     /* 299203 */     // No operand predicates
     /* 299203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299211 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299213 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 299213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 299216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299218 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299220 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 299222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299229 */     GIR_RootConstrainSelectedInstOperands,
     /* 299230 */     // GIR_Coverage, 6161,
     /* 299230 */     GIR_EraseRootFromParent_Done,
     /* 299231 */   // Label 6084: @299231
     /* 299231 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(299315), // Rule ID 6193 //
     /* 299236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 299260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299268 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 299272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299277 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 299281 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299285 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 299289 */     // MIs[3] Operand 1
     /* 299289 */     // No operand predicates
     /* 299289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299293 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299295 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 299295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 299298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299300 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299313 */     GIR_RootConstrainSelectedInstOperands,
     /* 299314 */     // GIR_Coverage, 6193,
     /* 299314 */     GIR_EraseRootFromParent_Done,
     /* 299315 */   // Label 6085: @299315
     /* 299315 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(299393), // Rule ID 6239 //
     /* 299320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 299328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299336 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299348 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299357 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 299361 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299365 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 299369 */     // MIs[3] Operand 1
     /* 299369 */     // No operand predicates
     /* 299369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299373 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299375 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 299375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 299378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299380 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299382 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 299384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299391 */     GIR_RootConstrainSelectedInstOperands,
     /* 299392 */     // GIR_Coverage, 6239,
     /* 299392 */     GIR_EraseRootFromParent_Done,
     /* 299393 */   // Label 6086: @299393
     /* 299393 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(299474), // Rule ID 6097 //
     /* 299398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 299409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 299421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299429 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 299433 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299438 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 299442 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299446 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 299450 */     // MIs[3] Operand 1
     /* 299450 */     // No operand predicates
     /* 299450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299454 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 299456 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 299456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 299459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299461 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299463 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 299465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 299469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 299472 */     GIR_RootConstrainSelectedInstOperands,
     /* 299473 */     // GIR_Coverage, 6097,
     /* 299473 */     GIR_EraseRootFromParent_Done,
     /* 299474 */   // Label 6087: @299474
     /* 299474 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(299559), // Rule ID 2466 //
     /* 299479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 299482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299503 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 299507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299517 */     // (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 299517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 299520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 299524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 299529 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 299535 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299540 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 299548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 299553 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 299555 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 299557 */     GIR_RootConstrainSelectedInstOperands,
     /* 299558 */     // GIR_Coverage, 2466,
     /* 299558 */     GIR_EraseRootFromParent_Done,
     /* 299559 */   // Label 6088: @299559
     /* 299559 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(299644), // Rule ID 2464 //
     /* 299564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 299567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 299575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299592 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 299596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299602 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 299602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 299605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 299609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 299614 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 299620 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299625 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 299633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299635 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 299637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 299640 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 299642 */     GIR_RootConstrainSelectedInstOperands,
     /* 299643 */     // GIR_Coverage, 2464,
     /* 299643 */     GIR_EraseRootFromParent_Done,
     /* 299644 */   // Label 6089: @299644
     /* 299644 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(299713), // Rule ID 2556 //
     /* 299649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 299677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299681 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 299685 */     // MIs[2] Operand 1
     /* 299685 */     // No operand predicates
     /* 299685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299693 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 299695 */     // (fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 299695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 299698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299700 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299702 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 299704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 299708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 299711 */     GIR_RootConstrainSelectedInstOperands,
     /* 299712 */     // GIR_Coverage, 2556,
     /* 299712 */     GIR_EraseRootFromParent_Done,
     /* 299713 */   // Label 6090: @299713
     /* 299713 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(299782), // Rule ID 6065 //
     /* 299718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 299721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 299729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 299733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 299737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 299741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 299746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 299750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 299754 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 299758 */     // MIs[2] Operand 1
     /* 299758 */     // No operand predicates
     /* 299758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 299764 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 299764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 299767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 299769 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 299771 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 299773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 299777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 299780 */     GIR_RootConstrainSelectedInstOperands,
     /* 299781 */     // GIR_Coverage, 6065,
     /* 299781 */     GIR_EraseRootFromParent_Done,
     /* 299782 */   // Label 6091: @299782
     /* 299782 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(299844), // Rule ID 4883 //
     /* 299787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 299812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 299820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 299827 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 299827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 299830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299836 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 299838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 299842 */     GIR_RootConstrainSelectedInstOperands,
     /* 299843 */     // GIR_Coverage, 4883,
     /* 299843 */     GIR_EraseRootFromParent_Done,
     /* 299844 */   // Label 6092: @299844
     /* 299844 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(299906), // Rule ID 13856 //
     /* 299849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 299857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 299874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 299882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 299889 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 299889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 299892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299898 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 299900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 299904 */     GIR_RootConstrainSelectedInstOperands,
     /* 299905 */     // GIR_Coverage, 13856,
     /* 299905 */     GIR_EraseRootFromParent_Done,
     /* 299906 */   // Label 6093: @299906
     /* 299906 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(299953), // Rule ID 4880 //
     /* 299911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299938 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 299938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 299941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 299947 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 299949 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 299951 */     GIR_RootConstrainSelectedInstOperands,
     /* 299952 */     // GIR_Coverage, 4880,
     /* 299952 */     GIR_EraseRootFromParent_Done,
     /* 299953 */   // Label 6094: @299953
     /* 299953 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(300003), // Rule ID 13284 //
     /* 299958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 299961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 299965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 299969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 299973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 299986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 299988 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 299988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 299991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 299993 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 299995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 299999 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 300001 */     GIR_RootConstrainSelectedInstOperands,
     /* 300002 */     // GIR_Coverage, 13284,
     /* 300002 */     GIR_EraseRootFromParent_Done,
     /* 300003 */   // Label 6095: @300003
     /* 300003 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(300053), // Rule ID 648 //
     /* 300008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 300011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300038 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 300038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 300041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300043 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 300045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 300049 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 300051 */     GIR_RootConstrainSelectedInstOperands,
     /* 300052 */     // GIR_Coverage, 648,
     /* 300052 */     GIR_EraseRootFromParent_Done,
     /* 300053 */   // Label 6096: @300053
     /* 300053 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(300100), // Rule ID 13853 //
     /* 300058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300085 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 300085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 300088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300094 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 300096 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 300098 */     GIR_RootConstrainSelectedInstOperands,
     /* 300099 */     // GIR_Coverage, 13853,
     /* 300099 */     GIR_EraseRootFromParent_Done,
     /* 300100 */   // Label 6097: @300100
     /* 300100 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(300150), // Rule ID 660 //
     /* 300105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 300108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 300120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 300128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 300135 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 300135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 300138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 300140 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 300142 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 300144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 300148 */     GIR_RootConstrainSelectedInstOperands,
     /* 300149 */     // GIR_Coverage, 660,
     /* 300149 */     GIR_EraseRootFromParent_Done,
     /* 300150 */   // Label 6098: @300150
     /* 300150 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(300181), // Rule ID 642 //
     /* 300155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 300158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300170 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 300170 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 300175 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 300179 */     GIR_RootConstrainSelectedInstOperands,
     /* 300180 */     // GIR_Coverage, 642,
     /* 300180 */     GIR_Done,
     /* 300181 */   // Label 6099: @300181
     /* 300181 */   GIM_Reject,
     /* 300182 */ // Label 6065: @300182
     /* 300182 */ GIM_Reject,
     /* 300183 */ // Label 5991: @300183
     /* 300183 */ GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(301703),
     /* 300188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 300194 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 300197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300201 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(300279), // Rule ID 6197 //
     /* 300206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300218 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 300222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300234 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300239 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 300243 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300247 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300251 */     // MIs[3] Operand 1
     /* 300251 */     // No operand predicates
     /* 300251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300259 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300261 */     // (fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300266 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300268 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 300270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 300277 */     GIR_RootConstrainSelectedInstOperands,
     /* 300278 */     // GIR_Coverage, 6197,
     /* 300278 */     GIR_EraseRootFromParent_Done,
     /* 300279 */   // Label 6101: @300279
     /* 300279 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(300363), // Rule ID 6113 //
     /* 300284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300299 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 300303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 300312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300316 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300320 */     // MIs[2] Operand 1
     /* 300320 */     // No operand predicates
     /* 300320 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 300324 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300328 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300332 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300341 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300343 */     // (fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300348 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 300354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 300358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 300361 */     GIR_RootConstrainSelectedInstOperands,
     /* 300362 */     // GIR_Coverage, 6113,
     /* 300362 */     GIR_EraseRootFromParent_Done,
     /* 300363 */   // Label 6102: @300363
     /* 300363 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(300444), // Rule ID 6145 //
     /* 300368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300395 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 300399 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300404 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 300408 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300412 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300416 */     // MIs[3] Operand 1
     /* 300416 */     // No operand predicates
     /* 300416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300424 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300426 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300431 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300433 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 300435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 300442 */     GIR_RootConstrainSelectedInstOperands,
     /* 300443 */     // GIR_Coverage, 6145,
     /* 300443 */     GIR_EraseRootFromParent_Done,
     /* 300444 */   // Label 6103: @300444
     /* 300444 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(300528), // Rule ID 6177 //
     /* 300449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 300473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300481 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 300485 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300490 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 300494 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300498 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300502 */     // MIs[3] Operand 1
     /* 300502 */     // No operand predicates
     /* 300502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300506 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300508 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300513 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 300519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 300526 */     GIR_RootConstrainSelectedInstOperands,
     /* 300527 */     // GIR_Coverage, 6177,
     /* 300527 */     GIR_EraseRootFromParent_Done,
     /* 300528 */   // Label 6104: @300528
     /* 300528 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(300606), // Rule ID 6219 //
     /* 300533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 300553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300570 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 300574 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300578 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300582 */     // MIs[3] Operand 1
     /* 300582 */     // No operand predicates
     /* 300582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300586 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300588 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300593 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300595 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 300597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 300604 */     GIR_RootConstrainSelectedInstOperands,
     /* 300605 */     // GIR_Coverage, 6219,
     /* 300605 */     GIR_EraseRootFromParent_Done,
     /* 300606 */   // Label 6105: @300606
     /* 300606 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(300687), // Rule ID 6081 //
     /* 300611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300642 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 300646 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300651 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 300655 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300659 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300663 */     // MIs[3] Operand 1
     /* 300663 */     // No operand predicates
     /* 300663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300667 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 300669 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300674 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300676 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 300678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 300685 */     GIR_RootConstrainSelectedInstOperands,
     /* 300686 */     // GIR_Coverage, 6081,
     /* 300686 */     GIR_EraseRootFromParent_Done,
     /* 300687 */   // Label 6106: @300687
     /* 300687 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(300756), // Rule ID 2540 //
     /* 300692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300707 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 300711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 300720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300724 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300728 */     // MIs[2] Operand 1
     /* 300728 */     // No operand predicates
     /* 300728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 300738 */     // (fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 300741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300743 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300745 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 300747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 300751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 300754 */     GIR_RootConstrainSelectedInstOperands,
     /* 300755 */     // GIR_Coverage, 2540,
     /* 300755 */     GIR_EraseRootFromParent_Done,
     /* 300756 */   // Label 6107: @300756
     /* 300756 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(300825), // Rule ID 6049 //
     /* 300761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 300772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 300776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 300780 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 300784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 300793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 300797 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 300801 */     // MIs[2] Operand 1
     /* 300801 */     // No operand predicates
     /* 300801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300805 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 300807 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 300807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 300810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300812 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300814 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 300816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 300820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 300823 */     GIR_RootConstrainSelectedInstOperands,
     /* 300824 */     // GIR_Coverage, 6049,
     /* 300824 */     GIR_EraseRootFromParent_Done,
     /* 300825 */   // Label 6108: @300825
     /* 300825 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(300918), // Rule ID 6201 //
     /* 300830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 300838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 300842 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 300846 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300850 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 300854 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300867 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 300869 */     // (fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 300869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 300872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 300876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 300881 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 300884 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 300888 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 300891 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300896 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 300904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 300906 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 300908 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 300910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 300913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 300916 */     GIR_RootConstrainSelectedInstOperands,
     /* 300917 */     // GIR_Coverage, 6201,
     /* 300917 */     GIR_EraseRootFromParent_Done,
     /* 300918 */   // Label 6109: @300918
     /* 300918 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(301017), // Rule ID 6115 //
     /* 300923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 300926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 300930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 300934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 300938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 300947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 300951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 300955 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 300964 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 300966 */     // (fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 300966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 300969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 300973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 300978 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 300981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 300985 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 300988 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 300993 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 300998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 301001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301003 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 301009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301015 */     GIR_RootConstrainSelectedInstOperands,
     /* 301016 */     // GIR_Coverage, 6115,
     /* 301016 */     GIR_EraseRootFromParent_Done,
     /* 301017 */   // Label 6110: @301017
     /* 301017 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(301113), // Rule ID 6147 //
     /* 301022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 301037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 301045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 301049 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301064 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301076 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301083 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 301086 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301091 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 301099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301101 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301103 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301111 */     GIR_RootConstrainSelectedInstOperands,
     /* 301112 */     // GIR_Coverage, 6147,
     /* 301112 */     GIR_EraseRootFromParent_Done,
     /* 301113 */   // Label 6111: @301113
     /* 301113 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(301212), // Rule ID 6179 //
     /* 301118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 301133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 301142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 301146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 301150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301159 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301161 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301173 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301176 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301180 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 301183 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301188 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 301196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301198 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 301204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301210 */     GIR_RootConstrainSelectedInstOperands,
     /* 301211 */     // GIR_Coverage, 6179,
     /* 301211 */     GIR_EraseRootFromParent_Done,
     /* 301212 */   // Label 6112: @301212
     /* 301212 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(301305), // Rule ID 6223 //
     /* 301217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 301225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 301229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 301233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 301245 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301256 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301268 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301271 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301275 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 301278 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301283 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 301291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301293 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301295 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 301297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301303 */     GIR_RootConstrainSelectedInstOperands,
     /* 301304 */     // GIR_Coverage, 6223,
     /* 301304 */     GIR_EraseRootFromParent_Done,
     /* 301305 */   // Label 6113: @301305
     /* 301305 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(301401), // Rule ID 6083 //
     /* 301310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 301321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 301329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 301337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 301341 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 301352 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301364 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301367 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301371 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 301374 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301379 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 301387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301389 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301391 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 301393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301399 */     GIR_RootConstrainSelectedInstOperands,
     /* 301400 */     // GIR_Coverage, 6083,
     /* 301400 */     GIR_EraseRootFromParent_Done,
     /* 301401 */   // Label 6114: @301401
     /* 301401 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(301485), // Rule ID 2542 //
     /* 301406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 301417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 301421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301436 */     // (fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301448 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301451 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301455 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 301458 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301463 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 301471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301473 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301475 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301483 */     GIR_RootConstrainSelectedInstOperands,
     /* 301484 */     // GIR_Coverage, 2542,
     /* 301484 */     GIR_EraseRootFromParent_Done,
     /* 301485 */   // Label 6115: @301485
     /* 301485 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(301535), // Rule ID 13314 //
     /* 301490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 301505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301520 */     // (fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 301520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 301523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301525 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301527 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301533 */     GIR_RootConstrainSelectedInstOperands,
     /* 301534 */     // GIR_Coverage, 13314,
     /* 301534 */     GIR_EraseRootFromParent_Done,
     /* 301535 */   // Label 6116: @301535
     /* 301535 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(301619), // Rule ID 6051 //
     /* 301540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 301551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 301555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 301559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301570 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 301570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 301573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 301577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 301582 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 301585 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301589 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 301592 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301597 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 301602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 301605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301607 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301609 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 301611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 301614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 301617 */     GIR_RootConstrainSelectedInstOperands,
     /* 301618 */     // GIR_Coverage, 6051,
     /* 301618 */     GIR_EraseRootFromParent_Done,
     /* 301619 */   // Label 6117: @301619
     /* 301619 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(301669), // Rule ID 1308 //
     /* 301624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 301635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 301643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 301654 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 301654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 301657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301659 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301661 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 301663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301667 */     GIR_RootConstrainSelectedInstOperands,
     /* 301668 */     // GIR_Coverage, 1308,
     /* 301668 */     GIR_EraseRootFromParent_Done,
     /* 301669 */   // Label 6118: @301669
     /* 301669 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(301702), // Rule ID 1298 //
     /* 301674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 301689 */     // (fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 301689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f32),
     /* 301692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301696 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301698 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 301700 */     GIR_RootConstrainSelectedInstOperands,
     /* 301701 */     // GIR_Coverage, 1298,
     /* 301701 */     GIR_EraseRootFromParent_Done,
     /* 301702 */   // Label 6119: @301702
     /* 301702 */   GIM_Reject,
     /* 301703 */ // Label 6100: @301703
     /* 301703 */ GIM_Reject,
     /* 301704 */ // Label 5992: @301704
     /* 301704 */ GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(303224),
     /* 301709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 301715 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 301718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301722 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(301800), // Rule ID 6209 //
     /* 301727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 301735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 301743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301755 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301760 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 301764 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 301768 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 301772 */     // MIs[3] Operand 1
     /* 301772 */     // No operand predicates
     /* 301772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301780 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 301782 */     // (fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 301782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 301785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301787 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301789 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 301798 */     GIR_RootConstrainSelectedInstOperands,
     /* 301799 */     // GIR_Coverage, 6209,
     /* 301799 */     GIR_EraseRootFromParent_Done,
     /* 301800 */   // Label 6121: @301800
     /* 301800 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(301884), // Rule ID 6121 //
     /* 301805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 301816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 301824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 301833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 301837 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 301841 */     // MIs[2] Operand 1
     /* 301841 */     // No operand predicates
     /* 301841 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 301845 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301849 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301853 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301862 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 301864 */     // (fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 301864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 301867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301869 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 301875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 301879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 301882 */     GIR_RootConstrainSelectedInstOperands,
     /* 301883 */     // GIR_Coverage, 6121,
     /* 301883 */     GIR_EraseRootFromParent_Done,
     /* 301884 */   // Label 6122: @301884
     /* 301884 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(301965), // Rule ID 6153 //
     /* 301889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 301908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 301912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301916 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 301920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301925 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 301929 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 301933 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 301937 */     // MIs[3] Operand 1
     /* 301937 */     // No operand predicates
     /* 301937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301945 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 301947 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 301947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 301950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 301952 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 301954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 301956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 301960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 301963 */     GIR_RootConstrainSelectedInstOperands,
     /* 301964 */     // GIR_Coverage, 6153,
     /* 301964 */     GIR_EraseRootFromParent_Done,
     /* 301965 */   // Label 6123: @301965
     /* 301965 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(302049), // Rule ID 6185 //
     /* 301970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 301973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 301977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 301981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 301985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 301990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 301994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 301998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302002 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 302006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302011 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 302015 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302019 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 302023 */     // MIs[3] Operand 1
     /* 302023 */     // No operand predicates
     /* 302023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302027 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 302029 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 302029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302034 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 302040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 302047 */     GIR_RootConstrainSelectedInstOperands,
     /* 302048 */     // GIR_Coverage, 6185,
     /* 302048 */     GIR_EraseRootFromParent_Done,
     /* 302049 */   // Label 6124: @302049
     /* 302049 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(302127), // Rule ID 6231 //
     /* 302054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 302062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 302066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302070 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 302074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302091 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 302095 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302099 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 302103 */     // MIs[3] Operand 1
     /* 302103 */     // No operand predicates
     /* 302103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302107 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 302109 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 302109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302114 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302116 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 302118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 302125 */     GIR_RootConstrainSelectedInstOperands,
     /* 302126 */     // GIR_Coverage, 6231,
     /* 302126 */     GIR_EraseRootFromParent_Done,
     /* 302127 */   // Label 6125: @302127
     /* 302127 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(302208), // Rule ID 6089 //
     /* 302132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 302143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 302159 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302163 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 302167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302172 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 302176 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302180 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 302184 */     // MIs[3] Operand 1
     /* 302184 */     // No operand predicates
     /* 302184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302188 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 302190 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 302190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302195 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302197 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 302199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 302206 */     GIR_RootConstrainSelectedInstOperands,
     /* 302207 */     // GIR_Coverage, 6089,
     /* 302207 */     GIR_EraseRootFromParent_Done,
     /* 302208 */   // Label 6126: @302208
     /* 302208 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(302277), // Rule ID 2548 //
     /* 302213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 302224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302228 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 302232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 302241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302245 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 302249 */     // MIs[2] Operand 1
     /* 302249 */     // No operand predicates
     /* 302249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302259 */     // (fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 302259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 302262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302264 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302266 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 302268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 302272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 302275 */     GIR_RootConstrainSelectedInstOperands,
     /* 302276 */     // GIR_Coverage, 2548,
     /* 302276 */     GIR_EraseRootFromParent_Done,
     /* 302277 */   // Label 6127: @302277
     /* 302277 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(302346), // Rule ID 6057 //
     /* 302282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 302293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 302297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302301 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 302305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 302314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 302318 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 302322 */     // MIs[2] Operand 1
     /* 302322 */     // No operand predicates
     /* 302322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302326 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302328 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 302328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 302331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302333 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302335 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 302337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 302341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 302344 */     GIR_RootConstrainSelectedInstOperands,
     /* 302345 */     // GIR_Coverage, 6057,
     /* 302345 */     GIR_EraseRootFromParent_Done,
     /* 302346 */   // Label 6128: @302346
     /* 302346 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(302439), // Rule ID 6211 //
     /* 302351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 302359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 302363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 302375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302388 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302390 */     // (fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 302393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302402 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302409 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 302412 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302417 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302427 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302429 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 302431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302437 */     GIR_RootConstrainSelectedInstOperands,
     /* 302438 */     // GIR_Coverage, 6211,
     /* 302438 */     GIR_EraseRootFromParent_Done,
     /* 302439 */   // Label 6129: @302439
     /* 302439 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(302538), // Rule ID 6123 //
     /* 302444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 302455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 302459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 302468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302487 */     // (fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 302490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302499 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302502 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 302506 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 302509 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302514 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302524 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 302530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302536 */     GIR_RootConstrainSelectedInstOperands,
     /* 302537 */     // GIR_Coverage, 6123,
     /* 302537 */     GIR_EraseRootFromParent_Done,
     /* 302538 */   // Label 6130: @302538
     /* 302538 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(302634), // Rule ID 6155 //
     /* 302543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 302566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 302570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302583 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302585 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 302588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302597 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302600 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302604 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 302607 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302612 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302622 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 302626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302632 */     GIR_RootConstrainSelectedInstOperands,
     /* 302633 */     // GIR_Coverage, 6155,
     /* 302633 */     GIR_EraseRootFromParent_Done,
     /* 302634 */   // Label 6131: @302634
     /* 302634 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(302733), // Rule ID 6187 //
     /* 302639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 302663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 302667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 302671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302682 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 302685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302694 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302701 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 302704 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302709 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302719 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 302725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302731 */     GIR_RootConstrainSelectedInstOperands,
     /* 302732 */     // GIR_Coverage, 6187,
     /* 302732 */     GIR_EraseRootFromParent_Done,
     /* 302733 */   // Label 6132: @302733
     /* 302733 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(302826), // Rule ID 6233 //
     /* 302738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 302746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 302750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 302754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 302766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302777 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 302780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302789 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302792 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302796 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 302799 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302804 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302814 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302816 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 302818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302824 */     GIR_RootConstrainSelectedInstOperands,
     /* 302825 */     // GIR_Coverage, 6233,
     /* 302825 */     GIR_EraseRootFromParent_Done,
     /* 302826 */   // Label 6133: @302826
     /* 302826 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(302922), // Rule ID 6091 //
     /* 302831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 302842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 302846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 302850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 302854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 302858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 302862 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302871 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 302873 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 302876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302885 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302888 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 302892 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 302895 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302900 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 302908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302910 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302912 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 302914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 302917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 302920 */     GIR_RootConstrainSelectedInstOperands,
     /* 302921 */     // GIR_Coverage, 6091,
     /* 302921 */     GIR_EraseRootFromParent_Done,
     /* 302922 */   // Label 6134: @302922
     /* 302922 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(303006), // Rule ID 2550 //
     /* 302927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 302930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 302934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 302938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 302942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 302957 */     // (fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 302957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 302960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 302964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 302969 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 302972 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 302976 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 302979 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 302984 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 302989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 302992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 302994 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 302996 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 302998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303004 */     GIR_RootConstrainSelectedInstOperands,
     /* 303005 */     // GIR_Coverage, 2550,
     /* 303005 */     GIR_EraseRootFromParent_Done,
     /* 303006 */   // Label 6135: @303006
     /* 303006 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(303056), // Rule ID 13318 //
     /* 303011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 303026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303041 */     // (fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 303041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 303044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303054 */     GIR_RootConstrainSelectedInstOperands,
     /* 303055 */     // GIR_Coverage, 13318,
     /* 303055 */     GIR_EraseRootFromParent_Done,
     /* 303056 */   // Label 6136: @303056
     /* 303056 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(303140), // Rule ID 6059 //
     /* 303061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 303076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 303080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303091 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 303091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 303094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 303098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303103 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 303106 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303110 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 303113 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303118 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 303126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303128 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303130 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303138 */     GIR_RootConstrainSelectedInstOperands,
     /* 303139 */     // GIR_Coverage, 6059,
     /* 303139 */     GIR_EraseRootFromParent_Done,
     /* 303140 */   // Label 6137: @303140
     /* 303140 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(303190), // Rule ID 1312 //
     /* 303145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 303164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 303175 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 303175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 303178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303180 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303182 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303188 */     GIR_RootConstrainSelectedInstOperands,
     /* 303189 */     // GIR_Coverage, 1312,
     /* 303189 */     GIR_EraseRootFromParent_Done,
     /* 303190 */   // Label 6138: @303190
     /* 303190 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(303223), // Rule ID 1302 //
     /* 303195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 303198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303210 */     // (fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 303210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f64),
     /* 303213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303215 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303217 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303219 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 303221 */     GIR_RootConstrainSelectedInstOperands,
     /* 303222 */     // GIR_Coverage, 1302,
     /* 303222 */     GIR_EraseRootFromParent_Done,
     /* 303223 */   // Label 6139: @303223
     /* 303223 */   GIM_Reject,
     /* 303224 */ // Label 6120: @303224
     /* 303224 */ GIM_Reject,
     /* 303225 */ // Label 5993: @303225
     /* 303225 */ GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(304403),
     /* 303230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303233 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 303236 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 303239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303243 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(303327), // Rule ID 6105 //
     /* 303248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 303259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 303263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 303267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 303272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 303276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303280 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 303284 */     // MIs[2] Operand 1
     /* 303284 */     // No operand predicates
     /* 303284 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 303288 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303292 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303296 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303305 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 303307 */     // (fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 303307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 303310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303312 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 303318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 303325 */     GIR_RootConstrainSelectedInstOperands,
     /* 303326 */     // GIR_Coverage, 6105,
     /* 303326 */     GIR_EraseRootFromParent_Done,
     /* 303327 */   // Label 6141: @303327
     /* 303327 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(303408), // Rule ID 6137 //
     /* 303332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 303351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 303355 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 303359 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 303363 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 303368 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 303372 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303376 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 303380 */     // MIs[3] Operand 1
     /* 303380 */     // No operand predicates
     /* 303380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303388 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 303390 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 303390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 303393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303395 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303397 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 303406 */     GIR_RootConstrainSelectedInstOperands,
     /* 303407 */     // GIR_Coverage, 6137,
     /* 303407 */     GIR_EraseRootFromParent_Done,
     /* 303408 */   // Label 6142: @303408
     /* 303408 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(303492), // Rule ID 6169 //
     /* 303413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 303437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 303441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 303445 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 303449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 303454 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 303458 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303462 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 303466 */     // MIs[3] Operand 1
     /* 303466 */     // No operand predicates
     /* 303466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303470 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 303472 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 303472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 303475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303477 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 303483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 303490 */     GIR_RootConstrainSelectedInstOperands,
     /* 303491 */     // GIR_Coverage, 6169,
     /* 303491 */     GIR_EraseRootFromParent_Done,
     /* 303492 */   // Label 6143: @303492
     /* 303492 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(303573), // Rule ID 6073 //
     /* 303497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 303520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 303524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 303528 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 303532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 303537 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 303541 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303545 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 303549 */     // MIs[3] Operand 1
     /* 303549 */     // No operand predicates
     /* 303549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303553 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 303555 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 303555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 303558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303560 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303562 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 303571 */     GIR_RootConstrainSelectedInstOperands,
     /* 303572 */     // GIR_Coverage, 6073,
     /* 303572 */     GIR_EraseRootFromParent_Done,
     /* 303573 */   // Label 6144: @303573
     /* 303573 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(303642), // Rule ID 2532 //
     /* 303578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 303589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 303593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 303597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 303602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 303606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303610 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 303614 */     // MIs[2] Operand 1
     /* 303614 */     // No operand predicates
     /* 303614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 303624 */     // (fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 303624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 303627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303629 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303631 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 303640 */     GIR_RootConstrainSelectedInstOperands,
     /* 303641 */     // GIR_Coverage, 2532,
     /* 303641 */     GIR_EraseRootFromParent_Done,
     /* 303642 */   // Label 6145: @303642
     /* 303642 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(303711), // Rule ID 6041 //
     /* 303647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 303658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 303662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 303666 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 303670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 303675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 303679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 303683 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 303687 */     // MIs[2] Operand 1
     /* 303687 */     // No operand predicates
     /* 303687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303691 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 303693 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 303693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 303696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303698 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303700 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 303702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 303709 */     GIR_RootConstrainSelectedInstOperands,
     /* 303710 */     // GIR_Coverage, 6041,
     /* 303710 */     GIR_EraseRootFromParent_Done,
     /* 303711 */   // Label 6146: @303711
     /* 303711 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(303810), // Rule ID 6107 //
     /* 303716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 303727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 303731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 303736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 303740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 303759 */     // (fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 303759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 303762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 303766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303771 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 303774 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 303778 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 303781 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303786 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 303791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 303794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303796 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 303802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303808 */     GIR_RootConstrainSelectedInstOperands,
     /* 303809 */     // GIR_Coverage, 6107,
     /* 303809 */     GIR_EraseRootFromParent_Done,
     /* 303810 */   // Label 6147: @303810
     /* 303810 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(303906), // Rule ID 6139 //
     /* 303815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 303834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 303838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 303842 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 303847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 303857 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 303857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 303860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 303864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303869 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 303872 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303876 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 303879 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303884 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 303889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 303892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303894 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303896 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 303898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 303901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 303904 */     GIR_RootConstrainSelectedInstOperands,
     /* 303905 */     // GIR_Coverage, 6139,
     /* 303905 */     GIR_EraseRootFromParent_Done,
     /* 303906 */   // Label 6148: @303906
     /* 303906 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(304005), // Rule ID 6171 //
     /* 303911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 303914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 303918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 303922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 303926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 303935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 303939 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 303943 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 303948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 303952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 303954 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 303954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 303957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 303961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 303966 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 303969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 303973 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 303976 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 303981 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 303986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 303989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 303991 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 303993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 303997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304003 */     GIR_RootConstrainSelectedInstOperands,
     /* 304004 */     // GIR_Coverage, 6171,
     /* 304004 */     GIR_EraseRootFromParent_Done,
     /* 304005 */   // Label 6149: @304005
     /* 304005 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(304101), // Rule ID 6075 //
     /* 304010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 304021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 304029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 304033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 304037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 304041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 304052 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 304055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304064 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304067 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304071 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 304074 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304079 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 304087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304089 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304091 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 304093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304099 */     GIR_RootConstrainSelectedInstOperands,
     /* 304100 */     // GIR_Coverage, 6075,
     /* 304100 */     GIR_EraseRootFromParent_Done,
     /* 304101 */   // Label 6150: @304101
     /* 304101 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(304185), // Rule ID 2534 //
     /* 304106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 304117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 304121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304136 */     // (fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 304139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304148 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304151 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304155 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 304158 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304163 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 304171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304173 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304175 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304183 */     GIR_RootConstrainSelectedInstOperands,
     /* 304184 */     // GIR_Coverage, 2534,
     /* 304184 */     GIR_EraseRootFromParent_Done,
     /* 304185 */   // Label 6151: @304185
     /* 304185 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(304235), // Rule ID 13310 //
     /* 304190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 304205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304220 */     // (fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 304220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 304223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304225 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304227 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304233 */     GIR_RootConstrainSelectedInstOperands,
     /* 304234 */     // GIR_Coverage, 13310,
     /* 304234 */     GIR_EraseRootFromParent_Done,
     /* 304235 */   // Label 6152: @304235
     /* 304235 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(304319), // Rule ID 6043 //
     /* 304240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 304251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 304255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 304259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304270 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 304270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 304273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 304277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 304282 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 304285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304289 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 304292 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304297 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 304302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 304305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304307 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304309 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 304311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 304314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 304317 */     GIR_RootConstrainSelectedInstOperands,
     /* 304318 */     // GIR_Coverage, 6043,
     /* 304318 */     GIR_EraseRootFromParent_Done,
     /* 304319 */   // Label 6153: @304319
     /* 304319 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(304369), // Rule ID 1304 //
     /* 304324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 304335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 304343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 304354 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 304354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 304357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304359 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304361 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 304363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304367 */     GIR_RootConstrainSelectedInstOperands,
     /* 304368 */     // GIR_Coverage, 1304,
     /* 304368 */     GIR_EraseRootFromParent_Done,
     /* 304369 */   // Label 6154: @304369
     /* 304369 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(304402), // Rule ID 1294 //
     /* 304374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 304377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 304389 */     // (fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 304389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f16),
     /* 304392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304394 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304396 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304398 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 304400 */     GIR_RootConstrainSelectedInstOperands,
     /* 304401 */     // GIR_Coverage, 1294,
     /* 304401 */     GIR_EraseRootFromParent_Done,
     /* 304402 */   // Label 6155: @304402
     /* 304402 */   GIM_Reject,
     /* 304403 */ // Label 6140: @304403
     /* 304403 */ GIM_Reject,
     /* 304404 */ // Label 5994: @304404
     /* 304404 */ GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(305924),
     /* 304409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 304415 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 304418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304422 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(304500), // Rule ID 6203 //
     /* 304427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 304435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 304443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 304447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304460 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 304464 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304468 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 304472 */     // MIs[3] Operand 1
     /* 304472 */     // No operand predicates
     /* 304472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304480 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 304482 */     // (fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 304482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304487 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304489 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 304498 */     GIR_RootConstrainSelectedInstOperands,
     /* 304499 */     // GIR_Coverage, 6203,
     /* 304499 */     GIR_EraseRootFromParent_Done,
     /* 304500 */   // Label 6157: @304500
     /* 304500 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(304584), // Rule ID 6117 //
     /* 304505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 304516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304520 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 304524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 304533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304537 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 304541 */     // MIs[2] Operand 1
     /* 304541 */     // No operand predicates
     /* 304541 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 304545 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304549 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304553 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304562 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 304564 */     // (fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 304564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304569 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 304575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 304582 */     GIR_RootConstrainSelectedInstOperands,
     /* 304583 */     // GIR_Coverage, 6117,
     /* 304583 */     GIR_EraseRootFromParent_Done,
     /* 304584 */   // Label 6158: @304584
     /* 304584 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(304665), // Rule ID 6149 //
     /* 304589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 304608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 304612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304616 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 304620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304625 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 304629 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304633 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 304637 */     // MIs[3] Operand 1
     /* 304637 */     // No operand predicates
     /* 304637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304645 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 304647 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 304647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304652 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304654 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 304663 */     GIR_RootConstrainSelectedInstOperands,
     /* 304664 */     // GIR_Coverage, 6149,
     /* 304664 */     GIR_EraseRootFromParent_Done,
     /* 304665 */   // Label 6159: @304665
     /* 304665 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(304749), // Rule ID 6181 //
     /* 304670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 304694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 304698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304702 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 304706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304711 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 304715 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304719 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 304723 */     // MIs[3] Operand 1
     /* 304723 */     // No operand predicates
     /* 304723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304727 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 304729 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 304729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304734 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 304740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 304747 */     GIR_RootConstrainSelectedInstOperands,
     /* 304748 */     // GIR_Coverage, 6181,
     /* 304748 */     GIR_EraseRootFromParent_Done,
     /* 304749 */   // Label 6160: @304749
     /* 304749 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(304827), // Rule ID 6225 //
     /* 304754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 304762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 304766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304770 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 304774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 304778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304786 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304791 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 304795 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304799 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 304803 */     // MIs[3] Operand 1
     /* 304803 */     // No operand predicates
     /* 304803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304807 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 304809 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 304809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304814 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304816 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 304818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 304825 */     GIR_RootConstrainSelectedInstOperands,
     /* 304826 */     // GIR_Coverage, 6225,
     /* 304826 */     GIR_EraseRootFromParent_Done,
     /* 304827 */   // Label 6161: @304827
     /* 304827 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(304908), // Rule ID 6085 //
     /* 304832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 304843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 304847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 304855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 304859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304863 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 304867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304872 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 304876 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304880 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 304884 */     // MIs[3] Operand 1
     /* 304884 */     // No operand predicates
     /* 304884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304888 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 304890 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 304890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 304893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304895 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304897 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 304899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 304903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 304906 */     GIR_RootConstrainSelectedInstOperands,
     /* 304907 */     // GIR_Coverage, 6085,
     /* 304907 */     GIR_EraseRootFromParent_Done,
     /* 304908 */   // Label 6162: @304908
     /* 304908 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(304977), // Rule ID 2544 //
     /* 304913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 304920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 304924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 304928 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 304932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 304941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 304945 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 304949 */     // MIs[2] Operand 1
     /* 304949 */     // No operand predicates
     /* 304949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304957 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 304959 */     // (fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 304959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 304962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 304964 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 304966 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 304968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 304972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 304975 */     GIR_RootConstrainSelectedInstOperands,
     /* 304976 */     // GIR_Coverage, 2544,
     /* 304976 */     GIR_EraseRootFromParent_Done,
     /* 304977 */   // Label 6163: @304977
     /* 304977 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(305046), // Rule ID 6053 //
     /* 304982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 304985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 304989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 304993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 304997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305001 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 305005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 305014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 305018 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 305022 */     // MIs[2] Operand 1
     /* 305022 */     // No operand predicates
     /* 305022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305028 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 305028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 305031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305033 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305035 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 305044 */     GIR_RootConstrainSelectedInstOperands,
     /* 305045 */     // GIR_Coverage, 6053,
     /* 305045 */     GIR_EraseRootFromParent_Done,
     /* 305046 */   // Label 6164: @305046
     /* 305046 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(305139), // Rule ID 6207 //
     /* 305051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 305059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 305063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 305067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305071 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 305075 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305090 */     // (fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305102 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305105 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305109 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305112 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305117 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 305125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305127 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305129 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305137 */     GIR_RootConstrainSelectedInstOperands,
     /* 305138 */     // GIR_Coverage, 6207,
     /* 305138 */     GIR_EraseRootFromParent_Done,
     /* 305139 */   // Label 6165: @305139
     /* 305139 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(305238), // Rule ID 6119 //
     /* 305144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 305155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 305159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 305168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305176 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305185 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305187 */     // (fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305199 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305202 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305206 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305209 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305214 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 305222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305224 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 305230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305236 */     GIR_RootConstrainSelectedInstOperands,
     /* 305237 */     // GIR_Coverage, 6119,
     /* 305237 */     GIR_EraseRootFromParent_Done,
     /* 305238 */   // Label 6166: @305238
     /* 305238 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(305334), // Rule ID 6151 //
     /* 305243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 305262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 305266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 305270 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305285 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305297 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305304 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305307 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305312 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 305320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305322 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305324 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305332 */     GIR_RootConstrainSelectedInstOperands,
     /* 305333 */     // GIR_Coverage, 6151,
     /* 305333 */     GIR_EraseRootFromParent_Done,
     /* 305334 */   // Label 6167: @305334
     /* 305334 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(305433), // Rule ID 6183 //
     /* 305339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 305363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 305367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 305371 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305380 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305382 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305394 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305401 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305404 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305409 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 305417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305419 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 305425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305431 */     GIR_RootConstrainSelectedInstOperands,
     /* 305432 */     // GIR_Coverage, 6183,
     /* 305432 */     GIR_EraseRootFromParent_Done,
     /* 305433 */   // Label 6168: @305433
     /* 305433 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(305526), // Rule ID 6229 //
     /* 305438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 305446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 305450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 305454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 305458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 305466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305475 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305477 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305489 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305492 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305496 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305499 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305504 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 305512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305514 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305516 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305524 */     GIR_RootConstrainSelectedInstOperands,
     /* 305525 */     // GIR_Coverage, 6229,
     /* 305525 */     GIR_EraseRootFromParent_Done,
     /* 305526 */   // Label 6169: @305526
     /* 305526 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(305622), // Rule ID 6087 //
     /* 305531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 305542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 305554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 305558 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 305562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 305573 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305585 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305588 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 305592 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305595 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305600 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 305608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305610 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305612 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305620 */     GIR_RootConstrainSelectedInstOperands,
     /* 305621 */     // GIR_Coverage, 6087,
     /* 305621 */     GIR_EraseRootFromParent_Done,
     /* 305622 */   // Label 6170: @305622
     /* 305622 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(305706), // Rule ID 2546 //
     /* 305627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 305638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 305642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305657 */     // (fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305669 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305672 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305676 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305679 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305684 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 305692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305694 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305696 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305704 */     GIR_RootConstrainSelectedInstOperands,
     /* 305705 */     // GIR_Coverage, 2546,
     /* 305705 */     GIR_EraseRootFromParent_Done,
     /* 305706 */   // Label 6171: @305706
     /* 305706 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(305756), // Rule ID 13316 //
     /* 305711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305741 */     // (fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 305741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 305744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305746 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305754 */     GIR_RootConstrainSelectedInstOperands,
     /* 305755 */     // GIR_Coverage, 13316,
     /* 305755 */     GIR_EraseRootFromParent_Done,
     /* 305756 */   // Label 6172: @305756
     /* 305756 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(305840), // Rule ID 6055 //
     /* 305761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 305772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 305776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 305780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305791 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 305791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 305794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 305798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 305803 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 305806 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305810 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 305813 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305818 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 305823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 305826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305828 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305830 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 305835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 305838 */     GIR_RootConstrainSelectedInstOperands,
     /* 305839 */     // GIR_Coverage, 6055,
     /* 305839 */     GIR_EraseRootFromParent_Done,
     /* 305840 */   // Label 6173: @305840
     /* 305840 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(305890), // Rule ID 1310 //
     /* 305845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 305856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 305864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 305875 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 305875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 305878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305880 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305882 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 305884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 305888 */     GIR_RootConstrainSelectedInstOperands,
     /* 305889 */     // GIR_Coverage, 1310,
     /* 305889 */     GIR_EraseRootFromParent_Done,
     /* 305890 */   // Label 6174: @305890
     /* 305890 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(305923), // Rule ID 1300 //
     /* 305895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 305898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305910 */     // (fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 305910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f32),
     /* 305913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 305915 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 305917 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 305919 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 305921 */     GIR_RootConstrainSelectedInstOperands,
     /* 305922 */     // GIR_Coverage, 1300,
     /* 305922 */     GIR_EraseRootFromParent_Done,
     /* 305923 */   // Label 6175: @305923
     /* 305923 */   GIM_Reject,
     /* 305924 */ // Label 6156: @305924
     /* 305924 */ GIM_Reject,
     /* 305925 */ // Label 5995: @305925
     /* 305925 */ GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(307103),
     /* 305930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 305936 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 305939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 305943 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(306027), // Rule ID 6101 //
     /* 305948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 305951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 305955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 305959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305963 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 305967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 305972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 305976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 305980 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 305984 */     // MIs[2] Operand 1
     /* 305984 */     // No operand predicates
     /* 305984 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 305988 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 305992 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 305996 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306005 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 306007 */     // (fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 306007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306012 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 306018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 306022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 306025 */     GIR_RootConstrainSelectedInstOperands,
     /* 306026 */     // GIR_Coverage, 6101,
     /* 306026 */     GIR_EraseRootFromParent_Done,
     /* 306027 */   // Label 6177: @306027
     /* 306027 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(306108), // Rule ID 6133 //
     /* 306032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 306051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 306055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306059 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 306063 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 306068 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 306072 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 306076 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 306080 */     // MIs[3] Operand 1
     /* 306080 */     // No operand predicates
     /* 306080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306088 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 306090 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 306090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306095 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306097 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 306099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 306103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 306106 */     GIR_RootConstrainSelectedInstOperands,
     /* 306107 */     // GIR_Coverage, 6133,
     /* 306107 */     GIR_EraseRootFromParent_Done,
     /* 306108 */   // Label 6178: @306108
     /* 306108 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(306192), // Rule ID 6165 //
     /* 306113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 306137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 306141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306145 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 306149 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 306154 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 306158 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 306162 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 306166 */     // MIs[3] Operand 1
     /* 306166 */     // No operand predicates
     /* 306166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306170 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 306172 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 306172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306177 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 306183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 306187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 306190 */     GIR_RootConstrainSelectedInstOperands,
     /* 306191 */     // GIR_Coverage, 6165,
     /* 306191 */     GIR_EraseRootFromParent_Done,
     /* 306192 */   // Label 6179: @306192
     /* 306192 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(306273), // Rule ID 6069 //
     /* 306197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 306208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 306220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 306224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306228 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 306232 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 306237 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 306241 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 306245 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 306249 */     // MIs[3] Operand 1
     /* 306249 */     // No operand predicates
     /* 306249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306253 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 306255 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 306255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306260 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306262 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 306264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 306268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 306271 */     GIR_RootConstrainSelectedInstOperands,
     /* 306272 */     // GIR_Coverage, 6069,
     /* 306272 */     GIR_EraseRootFromParent_Done,
     /* 306273 */   // Label 6180: @306273
     /* 306273 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(306342), // Rule ID 2528 //
     /* 306278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 306289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306293 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 306297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 306302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 306306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 306310 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 306314 */     // MIs[2] Operand 1
     /* 306314 */     // No operand predicates
     /* 306314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 306324 */     // (fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 306324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 306327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306329 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306331 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 306333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 306337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 306340 */     GIR_RootConstrainSelectedInstOperands,
     /* 306341 */     // GIR_Coverage, 2528,
     /* 306341 */     GIR_EraseRootFromParent_Done,
     /* 306342 */   // Label 6181: @306342
     /* 306342 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(306411), // Rule ID 6037 //
     /* 306347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 306358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 306362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306366 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 306370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 306375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 306379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 306383 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 306387 */     // MIs[2] Operand 1
     /* 306387 */     // No operand predicates
     /* 306387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306391 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 306393 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 306393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 306396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306398 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306400 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 306402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 306406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 306409 */     GIR_RootConstrainSelectedInstOperands,
     /* 306410 */     // GIR_Coverage, 6037,
     /* 306410 */     GIR_EraseRootFromParent_Done,
     /* 306411 */   // Label 6182: @306411
     /* 306411 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(306510), // Rule ID 6103 //
     /* 306416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 306427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 306431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 306440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 306459 */     // (fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 306459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 306462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 306466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306471 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 306474 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 306478 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 306481 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306486 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306496 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 306502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306508 */     GIR_RootConstrainSelectedInstOperands,
     /* 306509 */     // GIR_Coverage, 6103,
     /* 306509 */     GIR_EraseRootFromParent_Done,
     /* 306510 */   // Label 6183: @306510
     /* 306510 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(306606), // Rule ID 6135 //
     /* 306515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 306534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 306538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 306542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306555 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 306557 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 306557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 306560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 306564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306569 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 306572 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 306576 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 306579 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306584 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306594 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306596 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 306598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306604 */     GIR_RootConstrainSelectedInstOperands,
     /* 306605 */     // GIR_Coverage, 6135,
     /* 306605 */     GIR_EraseRootFromParent_Done,
     /* 306606 */   // Label 6184: @306606
     /* 306606 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(306705), // Rule ID 6167 //
     /* 306611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 306635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 306639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 306643 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306652 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 306654 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 306654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 306657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 306661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306666 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 306669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 306673 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 306676 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306681 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306691 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 306697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306703 */     GIR_RootConstrainSelectedInstOperands,
     /* 306704 */     // GIR_Coverage, 6167,
     /* 306704 */     GIR_EraseRootFromParent_Done,
     /* 306705 */   // Label 6185: @306705
     /* 306705 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(306801), // Rule ID 6071 //
     /* 306710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 306721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 306733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 306737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 306741 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 306752 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 306752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 306755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 306759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306764 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 306767 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 306771 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 306774 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306779 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 306787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306789 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306791 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 306793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306799 */     GIR_RootConstrainSelectedInstOperands,
     /* 306800 */     // GIR_Coverage, 6071,
     /* 306800 */     GIR_EraseRootFromParent_Done,
     /* 306801 */   // Label 6186: @306801
     /* 306801 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(306885), // Rule ID 2530 //
     /* 306806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 306817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 306821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 306836 */     // (fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 306836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 306839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 306843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306848 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 306851 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 306855 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 306858 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306863 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 306871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306873 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306875 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 306877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 306880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 306883 */     GIR_RootConstrainSelectedInstOperands,
     /* 306884 */     // GIR_Coverage, 2530,
     /* 306884 */     GIR_EraseRootFromParent_Done,
     /* 306885 */   // Label 6187: @306885
     /* 306885 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(306935), // Rule ID 13312 //
     /* 306890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 306897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 306901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 306905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 306920 */     // (fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 306920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 306923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 306925 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 306927 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 306929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 306933 */     GIR_RootConstrainSelectedInstOperands,
     /* 306934 */     // GIR_Coverage, 13312,
     /* 306934 */     GIR_EraseRootFromParent_Done,
     /* 306935 */   // Label 6188: @306935
     /* 306935 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(307019), // Rule ID 6039 //
     /* 306940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 306943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 306951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 306955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 306959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 306964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 306970 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 306970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 306973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 306977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 306982 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 306985 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 306989 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 306992 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 306997 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 307002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 307005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 307007 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 307009 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 307011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 307017 */     GIR_RootConstrainSelectedInstOperands,
     /* 307018 */     // GIR_Coverage, 6039,
     /* 307018 */     GIR_EraseRootFromParent_Done,
     /* 307019 */   // Label 6189: @307019
     /* 307019 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(307069), // Rule ID 1306 //
     /* 307024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 307027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 307035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 307039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 307043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 307054 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 307054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 307057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 307059 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 307061 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 307063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 307067 */     GIR_RootConstrainSelectedInstOperands,
     /* 307068 */     // GIR_Coverage, 1306,
     /* 307068 */     GIR_EraseRootFromParent_Done,
     /* 307069 */   // Label 6190: @307069
     /* 307069 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(307102), // Rule ID 1296 //
     /* 307074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 307077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307089 */     // (fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 307089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8f16),
     /* 307092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 307094 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 307096 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 307098 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 307100 */     GIR_RootConstrainSelectedInstOperands,
     /* 307101 */     // GIR_Coverage, 1296,
     /* 307101 */     GIR_EraseRootFromParent_Done,
     /* 307102 */   // Label 6191: @307102
     /* 307102 */   GIM_Reject,
     /* 307103 */ // Label 6176: @307103
     /* 307103 */ GIM_Reject,
     /* 307104 */ // Label 5996: @307104
     /* 307104 */ GIM_Reject,
     /* 307105 */ // Label 61: @307105
     /* 307105 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6200*/ GIMT_Encode4(307720),
     /* 307116 */ /*GILLT_s16*//*Label 6192*/ GIMT_Encode4(307156),
     /* 307120 */ /*GILLT_s32*//*Label 6193*/ GIMT_Encode4(307194),
     /* 307124 */ /*GILLT_s64*//*Label 6194*/ GIMT_Encode4(307232), GIMT_Encode4(0),
     /* 307132 */ /*GILLT_v2s32*//*Label 6195*/ GIMT_Encode4(307270),
     /* 307136 */ /*GILLT_v2s64*//*Label 6196*/ GIMT_Encode4(307308),
     /* 307140 */ /*GILLT_v4s16*//*Label 6197*/ GIMT_Encode4(307346),
     /* 307144 */ /*GILLT_v4s32*//*Label 6198*/ GIMT_Encode4(307384), GIMT_Encode4(0),
     /* 307152 */ /*GILLT_v8s16*//*Label 6199*/ GIMT_Encode4(307422),
     /* 307156 */ // Label 6192: @307156
     /* 307156 */ GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(307193), // Rule ID 590 //
     /* 307161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 307164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 307167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 307170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307182 */   // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FDIVHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 307182 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVHrr),
     /* 307187 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307191 */   GIR_RootConstrainSelectedInstOperands,
     /* 307192 */   // GIR_Coverage, 590,
     /* 307192 */   GIR_Done,
     /* 307193 */ // Label 6201: @307193
     /* 307193 */ GIM_Reject,
     /* 307194 */ // Label 6193: @307194
     /* 307194 */ GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(307231), // Rule ID 592 //
     /* 307199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 307202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 307205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 307208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 307220 */   // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FDIVSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 307220 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVSrr),
     /* 307225 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307229 */   GIR_RootConstrainSelectedInstOperands,
     /* 307230 */   // GIR_Coverage, 592,
     /* 307230 */   GIR_Done,
     /* 307231 */ // Label 6202: @307231
     /* 307231 */ GIM_Reject,
     /* 307232 */ // Label 6194: @307232
     /* 307232 */ GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(307269), // Rule ID 594 //
     /* 307237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 307240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 307243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 307246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307258 */   // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FDIVDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 307258 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVDrr),
     /* 307263 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307267 */   GIR_RootConstrainSelectedInstOperands,
     /* 307268 */   // GIR_Coverage, 594,
     /* 307268 */   GIR_Done,
     /* 307269 */ // Label 6203: @307269
     /* 307269 */ GIM_Reject,
     /* 307270 */ // Label 6195: @307270
     /* 307270 */ GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(307307), // Rule ID 1228 //
     /* 307275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 307278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 307281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 307284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307296 */   // (fdiv:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FDIVv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 307296 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f32),
     /* 307301 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307305 */   GIR_RootConstrainSelectedInstOperands,
     /* 307306 */   // GIR_Coverage, 1228,
     /* 307306 */   GIR_Done,
     /* 307307 */ // Label 6204: @307307
     /* 307307 */ GIM_Reject,
     /* 307308 */ // Label 6196: @307308
     /* 307308 */ GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(307345), // Rule ID 1232 //
     /* 307313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 307316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 307319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 307322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307334 */   // (fdiv:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FDIVv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 307334 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f64),
     /* 307339 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307343 */   GIR_RootConstrainSelectedInstOperands,
     /* 307344 */   // GIR_Coverage, 1232,
     /* 307344 */   GIR_Done,
     /* 307345 */ // Label 6205: @307345
     /* 307345 */ GIM_Reject,
     /* 307346 */ // Label 6197: @307346
     /* 307346 */ GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(307383), // Rule ID 1224 //
     /* 307351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 307354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 307357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 307360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307372 */   // (fdiv:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FDIVv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 307372 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f16),
     /* 307377 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307381 */   GIR_RootConstrainSelectedInstOperands,
     /* 307382 */   // GIR_Coverage, 1224,
     /* 307382 */   GIR_Done,
     /* 307383 */ // Label 6206: @307383
     /* 307383 */ GIM_Reject,
     /* 307384 */ // Label 6198: @307384
     /* 307384 */ GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(307421), // Rule ID 1230 //
     /* 307389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 307392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 307395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 307398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307410 */   // (fdiv:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FDIVv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 307410 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 307415 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307419 */   GIR_RootConstrainSelectedInstOperands,
     /* 307420 */   // GIR_Coverage, 1230,
     /* 307420 */   GIR_Done,
     /* 307421 */ // Label 6207: @307421
     /* 307421 */ GIM_Reject,
     /* 307422 */ // Label 6199: @307422
     /* 307422 */ GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(307719),
     /* 307427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 307430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 307433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307441 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307445 */   GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(307464), // Rule ID 1226 //
     /* 307450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 307453 */     // (fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FDIVv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 307453 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv8f16),
     /* 307458 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 307462 */     GIR_RootConstrainSelectedInstOperands,
     /* 307463 */     // GIR_Coverage, 1226,
     /* 307463 */     GIR_Done,
     /* 307464 */   // Label 6209: @307464
     /* 307464 */   GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(307718), // Rule ID 7002 //
     /* 307469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 307472 */     // (fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FDIVv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FDIVv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 307472 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 307475 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 307479 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307484 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 307488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 307490 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 307493 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 307497 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307502 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 307506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 307508 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 307511 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 307515 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307520 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 307523 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 307526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 307528 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 307531 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307535 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307540 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 307546 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307551 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307556 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 307559 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 307563 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307568 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 307571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 307573 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 307576 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307580 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307585 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 307591 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307596 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307601 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 307604 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 307608 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307613 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 307616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 307618 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 307621 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 307625 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307630 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 307633 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 307636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 307638 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 307641 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 307645 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307650 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 307653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 307655 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 307658 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 307662 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 307669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 307672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 307676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307681 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 307684 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 307687 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 307690 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307695 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307700 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 307705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 307708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 307710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 307716 */     GIR_RootConstrainSelectedInstOperands,
     /* 307717 */     // GIR_Coverage, 7002,
     /* 307717 */     GIR_EraseRootFromParent_Done,
     /* 307718 */   // Label 6210: @307718
     /* 307718 */   GIM_Reject,
     /* 307719 */ // Label 6208: @307719
     /* 307719 */ GIM_Reject,
     /* 307720 */ // Label 6200: @307720
     /* 307720 */ GIM_Reject,
     /* 307721 */ // Label 62: @307721
     /* 307721 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6219*/ GIMT_Encode4(311227),
     /* 307732 */ /*GILLT_s16*//*Label 6211*/ GIMT_Encode4(307772),
     /* 307736 */ /*GILLT_s32*//*Label 6212*/ GIMT_Encode4(308940),
     /* 307740 */ /*GILLT_s64*//*Label 6213*/ GIMT_Encode4(309963), GIMT_Encode4(0),
     /* 307748 */ /*GILLT_v2s32*//*Label 6214*/ GIMT_Encode4(310986),
     /* 307752 */ /*GILLT_v2s64*//*Label 6215*/ GIMT_Encode4(311013),
     /* 307756 */ /*GILLT_v4s16*//*Label 6216*/ GIMT_Encode4(311040),
     /* 307760 */ /*GILLT_v4s32*//*Label 6217*/ GIMT_Encode4(311120), GIMT_Encode4(0),
     /* 307768 */ /*GILLT_v8s16*//*Label 6218*/ GIMT_Encode4(311147),
     /* 307772 */ // Label 6211: @307772
     /* 307772 */ GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(308939),
     /* 307777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 307780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307784 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(307942), // Rule ID 4847 //
     /* 307789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 307792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 307800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 307808 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 307812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 307816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 307820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 307824 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 307828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307833 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 307837 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 307841 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 307845 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 307849 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 307853 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307858 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 307862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307867 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 307869 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 307869 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 307872 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307876 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307881 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 307887 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307892 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 307900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 307904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 307909 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 307915 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 307920 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 307928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 307930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 307933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 307936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 307940 */     GIR_RootConstrainSelectedInstOperands,
     /* 307941 */     // GIR_Coverage, 4847,
     /* 307941 */     GIR_EraseRootFromParent_Done,
     /* 307942 */   // Label 6221: @307942
     /* 307942 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(308100), // Rule ID 4846 //
     /* 307947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 307950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 307954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 307958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 307962 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 307966 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 307970 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 307974 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 307978 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 307982 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 307986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 307991 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 307995 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 307999 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308003 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 308007 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 308011 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308016 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 308020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308025 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 308027 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 308027 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 308030 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308034 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308039 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 308045 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308050 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 308058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308067 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 308073 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308078 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 308094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308098 */     GIR_RootConstrainSelectedInstOperands,
     /* 308099 */     // GIR_Coverage, 4846,
     /* 308099 */     GIR_EraseRootFromParent_Done,
     /* 308100 */   // Label 6222: @308100
     /* 308100 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(308211), // Rule ID 4845 //
     /* 308105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 308116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308120 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308124 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 308128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 308132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 308140 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308144 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308149 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308163 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 308165 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 308165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 308168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308177 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 308183 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308188 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308209 */     GIR_RootConstrainSelectedInstOperands,
     /* 308210 */     // GIR_Coverage, 4845,
     /* 308210 */     GIR_EraseRootFromParent_Done,
     /* 308211 */   // Label 6223: @308211
     /* 308211 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(308322), // Rule ID 4843 //
     /* 308216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 308227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308231 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308235 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 308239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 308248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 308256 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308260 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308265 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 308276 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 308276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 308279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308288 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 308294 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308299 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308320 */     GIR_RootConstrainSelectedInstOperands,
     /* 308321 */     // GIR_Coverage, 4843,
     /* 308321 */     GIR_EraseRootFromParent_Done,
     /* 308322 */   // Label 6224: @308322
     /* 308322 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(308433), // Rule ID 4844 //
     /* 308327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 308338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308346 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 308350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 308354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 308362 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308366 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308371 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 308387 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 308387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 308390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308399 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 308405 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308410 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308431 */     GIR_RootConstrainSelectedInstOperands,
     /* 308432 */     // GIR_Coverage, 4844,
     /* 308432 */     GIR_EraseRootFromParent_Done,
     /* 308433 */   // Label 6225: @308433
     /* 308433 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(308544), // Rule ID 4842 //
     /* 308438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 308449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308457 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 308461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 308470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 308478 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308487 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 308491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308496 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 308498 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 308498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 308501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308510 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 308516 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308521 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 308526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 308538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308542 */     GIR_RootConstrainSelectedInstOperands,
     /* 308543 */     // GIR_Coverage, 4842,
     /* 308543 */     GIR_EraseRootFromParent_Done,
     /* 308544 */   // Label 6226: @308544
     /* 308544 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(308608), // Rule ID 650 //
     /* 308549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 308560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308568 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 308572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308589 */     // (fneg:{ *:[f16] } (fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 308589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308606 */     GIR_RootConstrainSelectedInstOperands,
     /* 308607 */     // GIR_Coverage, 650,
     /* 308607 */     GIR_EraseRootFromParent_Done,
     /* 308608 */   // Label 6227: @308608
     /* 308608 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(308672), // Rule ID 649 //
     /* 308613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 308624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308628 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308632 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s16,
     /* 308636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308653 */     // (fneg:{ *:[f16] } (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra))  =>  (FNMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 308653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDHrrr),
     /* 308656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 308670 */     GIR_RootConstrainSelectedInstOperands,
     /* 308671 */     // GIR_Coverage, 649,
     /* 308671 */     GIR_EraseRootFromParent_Done,
     /* 308672 */   // Label 6228: @308672
     /* 308672 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(308723), // Rule ID 626 //
     /* 308677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 308688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308708 */     // (fneg:{ *:[f16] } (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm))  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 308708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 308711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308721 */     GIR_RootConstrainSelectedInstOperands,
     /* 308722 */     // GIR_Coverage, 626,
     /* 308722 */     GIR_EraseRootFromParent_Done,
     /* 308723 */   // Label 6229: @308723
     /* 308723 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(308774), // Rule ID 625 //
     /* 308728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMUL),
     /* 308739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 308743 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 308747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 308759 */     // (fneg:{ *:[f16] } (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm))  =>  (FNMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 308759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULHrr),
     /* 308762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 308764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 308768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 308772 */     GIR_RootConstrainSelectedInstOperands,
     /* 308773 */     // GIR_Coverage, 625,
     /* 308773 */     GIR_EraseRootFromParent_Done,
     /* 308774 */   // Label 6230: @308774
     /* 308774 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(308793), // Rule ID 524 //
     /* 308779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 308782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308786 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FNEGHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 308786 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGHr),
     /* 308791 */     GIR_RootConstrainSelectedInstOperands,
     /* 308792 */     // GIR_Coverage, 524,
     /* 308792 */     GIR_Done,
     /* 308793 */   // Label 6231: @308793
     /* 308793 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(308938), // Rule ID 6369 //
     /* 308798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308802 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[f16] } (COPY_TO_REGCLASS:{ *:[f32] } (EORWri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), GPR32:{ *:[i32] }), (logical_imm32_XFORM:{ *:[i32] } 32768:{ *:[i32] })), FPR32:{ *:[i32] }), hsub:{ *:[i32] })
     /* 308802 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 308805 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 308809 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 308816 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 308819 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 308823 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308828 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 308831 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 308835 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/9,
     /* 308838 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308843 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308848 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308853 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 308856 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308860 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308865 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 308868 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 308873 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 308876 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::EORWri),
     /* 308880 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308885 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 308888 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // 
     /* 308893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 308895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 308898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 308907 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 308910 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 308918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 308920 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 308927 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 308932 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308937 */     // GIR_Coverage, 6369,
     /* 308937 */     GIR_EraseRootFromParent_Done,
     /* 308938 */   // Label 6232: @308938
     /* 308938 */   GIM_Reject,
     /* 308939 */ // Label 6220: @308939
     /* 308939 */ GIM_Reject,
     /* 308940 */ // Label 6212: @308940
     /* 308940 */ GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(309962),
     /* 308945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 308948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 308952 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(309110), // Rule ID 4853 //
     /* 308957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 308960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 308964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 308968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 308972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 308976 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 308980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 308984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 308988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 308992 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 308996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309001 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309005 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 309009 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309013 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309017 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 309021 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309026 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 309030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309035 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 309037 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 309037 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 309040 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309044 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309049 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 309055 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309060 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309077 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 309083 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309088 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 309104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309108 */     GIR_RootConstrainSelectedInstOperands,
     /* 309109 */     // GIR_Coverage, 4853,
     /* 309109 */     GIR_EraseRootFromParent_Done,
     /* 309110 */   // Label 6234: @309110
     /* 309110 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(309268), // Rule ID 4852 //
     /* 309115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 309126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309130 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309134 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 309142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309150 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309154 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309159 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309163 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 309167 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309171 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309175 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 309179 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309184 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 309188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309193 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 309195 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 309195 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 309198 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309202 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309207 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 309213 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309218 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309235 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 309241 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309246 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 309262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309266 */     GIR_RootConstrainSelectedInstOperands,
     /* 309267 */     // GIR_Coverage, 4852,
     /* 309267 */     GIR_EraseRootFromParent_Done,
     /* 309268 */   // Label 6235: @309268
     /* 309268 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(309379), // Rule ID 4851 //
     /* 309273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 309284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309292 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 309300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309308 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309317 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 309333 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 309333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309345 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 309351 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309356 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309377 */     GIR_RootConstrainSelectedInstOperands,
     /* 309378 */     // GIR_Coverage, 4851,
     /* 309378 */     GIR_EraseRootFromParent_Done,
     /* 309379 */   // Label 6236: @309379
     /* 309379 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(309490), // Rule ID 4849 //
     /* 309384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 309395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309403 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 309416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309424 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309428 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309433 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 309444 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 309444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309456 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 309462 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309467 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309488 */     GIR_RootConstrainSelectedInstOperands,
     /* 309489 */     // GIR_Coverage, 4849,
     /* 309489 */     GIR_EraseRootFromParent_Done,
     /* 309490 */   // Label 6237: @309490
     /* 309490 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(309601), // Rule ID 4850 //
     /* 309495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 309506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309510 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309514 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 309522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309530 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309534 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309539 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309553 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 309555 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 309555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309567 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 309573 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309578 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309599 */     GIR_RootConstrainSelectedInstOperands,
     /* 309600 */     // GIR_Coverage, 4850,
     /* 309600 */     GIR_EraseRootFromParent_Done,
     /* 309601 */   // Label 6238: @309601
     /* 309601 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(309712), // Rule ID 4848 //
     /* 309606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 309617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309621 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309625 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 309638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 309642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 309646 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 309650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309655 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 309659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309664 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 309666 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 309666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 309669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 309673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 309678 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 309684 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309689 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 309694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 309706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309710 */     GIR_RootConstrainSelectedInstOperands,
     /* 309711 */     // GIR_Coverage, 4848,
     /* 309711 */     GIR_EraseRootFromParent_Done,
     /* 309712 */   // Label 6239: @309712
     /* 309712 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(309776), // Rule ID 652 //
     /* 309717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 309728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309736 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309750 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309757 */     // (fneg:{ *:[f32] } (fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 309757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309774 */     GIR_RootConstrainSelectedInstOperands,
     /* 309775 */     // GIR_Coverage, 652,
     /* 309775 */     GIR_EraseRootFromParent_Done,
     /* 309776 */   // Label 6240: @309776
     /* 309776 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(309840), // Rule ID 651 //
     /* 309781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 309792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309796 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309800 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s32,
     /* 309804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309821 */     // (fneg:{ *:[f32] } (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra))  =>  (FNMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 309821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDSrrr),
     /* 309824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 309838 */     GIR_RootConstrainSelectedInstOperands,
     /* 309839 */     // GIR_Coverage, 651,
     /* 309839 */     GIR_EraseRootFromParent_Done,
     /* 309840 */   // Label 6241: @309840
     /* 309840 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(309891), // Rule ID 628 //
     /* 309845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 309856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309876 */     // (fneg:{ *:[f32] } (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm))  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 309876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 309879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309889 */     GIR_RootConstrainSelectedInstOperands,
     /* 309890 */     // GIR_Coverage, 628,
     /* 309890 */     GIR_EraseRootFromParent_Done,
     /* 309891 */   // Label 6242: @309891
     /* 309891 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(309942), // Rule ID 627 //
     /* 309896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMUL),
     /* 309907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 309911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 309915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 309927 */     // (fneg:{ *:[f32] } (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm))  =>  (FNMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 309927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULSrr),
     /* 309930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 309932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 309936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 309940 */     GIR_RootConstrainSelectedInstOperands,
     /* 309941 */     // GIR_Coverage, 627,
     /* 309941 */     GIR_EraseRootFromParent_Done,
     /* 309942 */   // Label 6243: @309942
     /* 309942 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(309961), // Rule ID 525 //
     /* 309947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 309954 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FNEGSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 309954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGSr),
     /* 309959 */     GIR_RootConstrainSelectedInstOperands,
     /* 309960 */     // GIR_Coverage, 525,
     /* 309960 */     GIR_Done,
     /* 309961 */   // Label 6244: @309961
     /* 309961 */   GIM_Reject,
     /* 309962 */ // Label 6233: @309962
     /* 309962 */ GIM_Reject,
     /* 309963 */ // Label 6213: @309963
     /* 309963 */ GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(310985),
     /* 309968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 309971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 309975 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(310133), // Rule ID 4859 //
     /* 309980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 309983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 309987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 309991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 309995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 309999 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 310007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310015 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 310019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310024 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 310028 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 310032 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310036 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310040 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 310044 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310049 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 310053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310058 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 310060 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 310060 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 310063 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310067 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310072 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 310078 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310083 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 310091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310100 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 310106 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310111 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 310127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310131 */     GIR_RootConstrainSelectedInstOperands,
     /* 310132 */     // GIR_Coverage, 4859,
     /* 310132 */     GIR_EraseRootFromParent_Done,
     /* 310133 */   // Label 6246: @310133
     /* 310133 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(310291), // Rule ID 4858 //
     /* 310138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 310149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310157 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 310165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310173 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 310177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310182 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 310186 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 310190 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310194 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310198 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 310202 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310207 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 310211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310216 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 310218 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 310218 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 310221 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310225 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310230 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 310236 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310241 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 310249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310258 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 310264 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310269 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 310285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310289 */     GIR_RootConstrainSelectedInstOperands,
     /* 310290 */     // GIR_Coverage, 4858,
     /* 310290 */     GIR_EraseRootFromParent_Done,
     /* 310291 */   // Label 6247: @310291
     /* 310291 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(310402), // Rule ID 4857 //
     /* 310296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 310307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310311 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310315 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 310323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310331 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 310335 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310340 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 310344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310354 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 310356 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 310356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 310359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310368 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 310374 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310379 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310400 */     GIR_RootConstrainSelectedInstOperands,
     /* 310401 */     // GIR_Coverage, 4857,
     /* 310401 */     GIR_EraseRootFromParent_Done,
     /* 310402 */   // Label 6248: @310402
     /* 310402 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(310513), // Rule ID 4855 //
     /* 310407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 310418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310426 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 310439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310447 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 310451 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310456 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 310460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 310467 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 310467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 310470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310479 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 310485 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310490 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310511 */     GIR_RootConstrainSelectedInstOperands,
     /* 310512 */     // GIR_Coverage, 4855,
     /* 310512 */     GIR_EraseRootFromParent_Done,
     /* 310513 */   // Label 6249: @310513
     /* 310513 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(310624), // Rule ID 4856 //
     /* 310518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 310529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310533 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310537 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 310545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310549 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310553 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 310557 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310562 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 310566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 310578 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 310578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 310581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310590 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 310596 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310601 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310622 */     GIR_RootConstrainSelectedInstOperands,
     /* 310623 */     // GIR_Coverage, 4856,
     /* 310623 */     GIR_EraseRootFromParent_Done,
     /* 310624 */   // Label 6250: @310624
     /* 310624 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(310735), // Rule ID 4854 //
     /* 310629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 310640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310648 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 310661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 310665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 310669 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 310673 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310678 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 310682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310687 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 310689 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 310689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 310692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 310696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 310701 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 310707 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310712 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 310717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 310729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310733 */     GIR_RootConstrainSelectedInstOperands,
     /* 310734 */     // GIR_Coverage, 4854,
     /* 310734 */     GIR_EraseRootFromParent_Done,
     /* 310735 */   // Label 6251: @310735
     /* 310735 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(310799), // Rule ID 654 //
     /* 310740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMA),
     /* 310751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310759 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310768 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310780 */     // (fneg:{ *:[f64] } (fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 310780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310797 */     GIR_RootConstrainSelectedInstOperands,
     /* 310798 */     // GIR_Coverage, 654,
     /* 310798 */     GIR_EraseRootFromParent_Done,
     /* 310799 */   // Label 6252: @310799
     /* 310799 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(310863), // Rule ID 653 //
     /* 310804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMA),
     /* 310815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310823 */     GIM_CheckType, /*MI*/1, /*Op*/3, /*Type*/GILLT_s64,
     /* 310827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310844 */     // (fneg:{ *:[f64] } (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra))  =>  (FNMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 310844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMADDDrrr),
     /* 310847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/3, // Ra
     /* 310861 */     GIR_RootConstrainSelectedInstOperands,
     /* 310862 */     // GIR_Coverage, 653,
     /* 310862 */     GIR_EraseRootFromParent_Done,
     /* 310863 */   // Label 6253: @310863
     /* 310863 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(310914), // Rule ID 630 //
     /* 310868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FMUL),
     /* 310879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310883 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310899 */     // (fneg:{ *:[f64] } (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm))  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 310899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 310902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310912 */     GIR_RootConstrainSelectedInstOperands,
     /* 310913 */     // GIR_Coverage, 630,
     /* 310913 */     GIR_EraseRootFromParent_Done,
     /* 310914 */   // Label 6254: @310914
     /* 310914 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(310965), // Rule ID 629 //
     /* 310919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 310926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_STRICT_FMUL),
     /* 310930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 310934 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 310938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 310950 */     // (fneg:{ *:[f64] } (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm))  =>  (FNMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 310950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMULDrr),
     /* 310953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 310955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 310959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 310963 */     GIR_RootConstrainSelectedInstOperands,
     /* 310964 */     // GIR_Coverage, 629,
     /* 310964 */     GIR_EraseRootFromParent_Done,
     /* 310965 */   // Label 6255: @310965
     /* 310965 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(310984), // Rule ID 526 //
     /* 310970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 310973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 310977 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FNEGDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 310977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGDr),
     /* 310982 */     GIR_RootConstrainSelectedInstOperands,
     /* 310983 */     // GIR_Coverage, 526,
     /* 310983 */     GIR_Done,
     /* 310984 */   // Label 6256: @310984
     /* 310984 */   GIM_Reject,
     /* 310985 */ // Label 6245: @310985
     /* 310985 */ GIM_Reject,
     /* 310986 */ // Label 6214: @310986
     /* 310986 */ GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(311012), // Rule ID 860 //
     /* 310991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 310994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 310997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311005 */   // (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FNEGv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 311005 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv2f32),
     /* 311010 */   GIR_RootConstrainSelectedInstOperands,
     /* 311011 */   // GIR_Coverage, 860,
     /* 311011 */   GIR_Done,
     /* 311012 */ // Label 6257: @311012
     /* 311012 */ GIM_Reject,
     /* 311013 */ // Label 6215: @311013
     /* 311013 */ GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(311039), // Rule ID 862 //
     /* 311018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 311024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311032 */   // (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FNEGv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 311032 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv2f64),
     /* 311037 */   GIR_RootConstrainSelectedInstOperands,
     /* 311038 */   // GIR_Coverage, 862,
     /* 311038 */   GIR_Done,
     /* 311039 */ // Label 6258: @311039
     /* 311039 */ GIM_Reject,
     /* 311040 */ // Label 6216: @311040
     /* 311040 */ GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(311119),
     /* 311045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 311048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311056 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(311071), // Rule ID 858 //
     /* 311061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 311064 */     // (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FNEGv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 311064 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv4f16),
     /* 311069 */     GIR_RootConstrainSelectedInstOperands,
     /* 311070 */     // GIR_Coverage, 858,
     /* 311070 */     GIR_Done,
     /* 311071 */   // Label 6260: @311071
     /* 311071 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(311118), // Rule ID 6372 //
     /* 311076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311079 */     // (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (EORv8i8:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (MOVIv4i16:{ *:[i64] } 128:{ *:[i32] }, 8:{ *:[i32] }))
     /* 311079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 311082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv4i16),
     /* 311086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 311091 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(128),
     /* 311101 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 311104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 311106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORv8i8),
     /* 311109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311111 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 311113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 311116 */     GIR_RootConstrainSelectedInstOperands,
     /* 311117 */     // GIR_Coverage, 6372,
     /* 311117 */     GIR_EraseRootFromParent_Done,
     /* 311118 */   // Label 6261: @311118
     /* 311118 */   GIM_Reject,
     /* 311119 */ // Label 6259: @311119
     /* 311119 */ GIM_Reject,
     /* 311120 */ // Label 6217: @311120
     /* 311120 */ GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(311146), // Rule ID 861 //
     /* 311125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 311131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311139 */   // (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FNEGv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 311139 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv4f32),
     /* 311144 */   GIR_RootConstrainSelectedInstOperands,
     /* 311145 */   // GIR_Coverage, 861,
     /* 311145 */   GIR_Done,
     /* 311146 */ // Label 6262: @311146
     /* 311146 */ GIM_Reject,
     /* 311147 */ // Label 6218: @311147
     /* 311147 */ GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(311226),
     /* 311152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 311155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311163 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(311178), // Rule ID 859 //
     /* 311168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 311171 */     // (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FNEGv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 311171 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FNEGv8f16),
     /* 311176 */     GIR_RootConstrainSelectedInstOperands,
     /* 311177 */     // GIR_Coverage, 859,
     /* 311177 */     GIR_Done,
     /* 311178 */   // Label 6264: @311178
     /* 311178 */   GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(311225), // Rule ID 6373 //
     /* 311183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 311186 */     // (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (EORv16i8:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (MOVIv8i16:{ *:[f128] } 128:{ *:[i32] }, 8:{ *:[i32] }))
     /* 311186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 311189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv8i16),
     /* 311193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 311198 */     GIR_AddImm, /*InsnID*/1, /*Imm*/GIMT_Encode8(128),
     /* 311208 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 311211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 311213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EORv16i8),
     /* 311216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311218 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 311220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 311223 */     GIR_RootConstrainSelectedInstOperands,
     /* 311224 */     // GIR_Coverage, 6373,
     /* 311224 */     GIR_EraseRootFromParent_Done,
     /* 311225 */   // Label 6265: @311225
     /* 311225 */   GIM_Reject,
     /* 311226 */ // Label 6263: @311226
     /* 311226 */ GIM_Reject,
     /* 311227 */ // Label 6219: @311227
     /* 311227 */ GIM_Reject,
     /* 311228 */ // Label 63: @311228
     /* 311228 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(9), /*)*//*default:*//*Label 6270*/ GIMT_Encode4(311475),
     /* 311239 */ /*GILLT_s32*//*Label 6266*/ GIMT_Encode4(311267),
     /* 311243 */ /*GILLT_s64*//*Label 6267*/ GIMT_Encode4(311298), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 311255 */ /*GILLT_v2s64*//*Label 6268*/ GIMT_Encode4(311359), GIMT_Encode4(0),
     /* 311263 */ /*GILLT_v4s32*//*Label 6269*/ GIMT_Encode4(311417),
     /* 311267 */ // Label 6266: @311267
     /* 311267 */ GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(311297), // Rule ID 516 //
     /* 311272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311286 */   // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTSHr:{ *:[f32] } FPR16:{ *:[f16] }:$Rn)
     /* 311286 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTSHr),
     /* 311291 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311295 */   GIR_RootConstrainSelectedInstOperands,
     /* 311296 */   // GIR_Coverage, 516,
     /* 311296 */   GIR_Done,
     /* 311297 */ // Label 6271: @311297
     /* 311297 */ GIM_Reject,
     /* 311298 */ // Label 6267: @311298
     /* 311298 */ GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(311328), // Rule ID 514 //
     /* 311303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 311309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311317 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTDHr:{ *:[f64] } FPR16:{ *:[f16] }:$Rn)
     /* 311317 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTDHr),
     /* 311322 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311326 */   GIR_RootConstrainSelectedInstOperands,
     /* 311327 */   // GIR_Coverage, 514,
     /* 311327 */   GIR_Done,
     /* 311328 */ // Label 6272: @311328
     /* 311328 */ GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(311358), // Rule ID 518 //
     /* 311333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311347 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTDSr:{ *:[f64] } FPR32:{ *:[f32] }:$Rn)
     /* 311347 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTDSr),
     /* 311352 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311356 */   GIR_RootConstrainSelectedInstOperands,
     /* 311357 */   // GIR_Coverage, 518,
     /* 311357 */   GIR_Done,
     /* 311358 */ // Label 6273: @311358
     /* 311358 */ GIM_Reject,
     /* 311359 */ // Label 6268: @311359
     /* 311359 */ GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(311416),
     /* 311364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 311367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311371 */   GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(311395), // Rule ID 4902 //
     /* 311376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4f32),
     /* 311383 */     // (fpextend:{ *:[v2f64] } (extract_high_v4f32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn))  =>  (FCVTLv4i32:{ *:[v2f64] } V128:{ *:[v4f32] }:$Rn)
     /* 311383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i32),
     /* 311386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 311393 */     GIR_RootConstrainSelectedInstOperands,
     /* 311394 */     // GIR_Coverage, 4902,
     /* 311394 */     GIR_EraseRootFromParent_Done,
     /* 311395 */   // Label 6275: @311395
     /* 311395 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(311415), // Rule ID 4900 //
     /* 311400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311404 */     // (fpextend:{ *:[v2f64] } V64:{ *:[v2f32] }:$Rn)  =>  (FCVTLv2i32:{ *:[v2f64] } V64:{ *:[v2f32] }:$Rn)
     /* 311404 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv2i32),
     /* 311409 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311413 */     GIR_RootConstrainSelectedInstOperands,
     /* 311414 */     // GIR_Coverage, 4900,
     /* 311414 */     GIR_Done,
     /* 311415 */   // Label 6276: @311415
     /* 311415 */   GIM_Reject,
     /* 311416 */ // Label 6274: @311416
     /* 311416 */ GIM_Reject,
     /* 311417 */ // Label 6269: @311417
     /* 311417 */ GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(311474),
     /* 311422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 311425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311429 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(311453), // Rule ID 4906 //
     /* 311434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8f16),
     /* 311441 */     // (fpextend:{ *:[v4f32] } (extract_high_v8f16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn))  =>  (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)
     /* 311441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 311444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 311451 */     GIR_RootConstrainSelectedInstOperands,
     /* 311452 */     // GIR_Coverage, 4906,
     /* 311452 */     GIR_EraseRootFromParent_Done,
     /* 311453 */   // Label 6278: @311453
     /* 311453 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(311473), // Rule ID 4904 //
     /* 311458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311462 */     // (fpextend:{ *:[v4f32] } V64:{ *:[v4f16] }:$Rn)  =>  (FCVTLv4i16:{ *:[v4f32] } V64:{ *:[v4f16] }:$Rn)
     /* 311462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 311467 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311471 */     GIR_RootConstrainSelectedInstOperands,
     /* 311472 */     // GIR_Coverage, 4904,
     /* 311472 */     GIR_Done,
     /* 311473 */   // Label 6279: @311473
     /* 311473 */   GIM_Reject,
     /* 311474 */ // Label 6277: @311474
     /* 311474 */ GIM_Reject,
     /* 311475 */ // Label 6270: @311475
     /* 311475 */ GIM_Reject,
     /* 311476 */ // Label 64: @311476
     /* 311476 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(8), /*)*//*default:*//*Label 6284*/ GIMT_Encode4(311663),
     /* 311487 */ /*GILLT_s16*//*Label 6280*/ GIMT_Encode4(311515),
     /* 311491 */ /*GILLT_s32*//*Label 6281*/ GIMT_Encode4(311576), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 311503 */ /*GILLT_v2s32*//*Label 6282*/ GIMT_Encode4(311607), GIMT_Encode4(0),
     /* 311511 */ /*GILLT_v4s16*//*Label 6283*/ GIMT_Encode4(311635),
     /* 311515 */ // Label 6280: @311515
     /* 311515 */ GIM_Try, /*On fail goto*//*Label 6285*/ GIMT_Encode4(311545), // Rule ID 510 //
     /* 311520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311534 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTHDr:{ *:[f16] } FPR64:{ *:[f64] }:$Rn)
     /* 311534 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTHDr),
     /* 311539 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311543 */   GIR_RootConstrainSelectedInstOperands,
     /* 311544 */   // GIR_Coverage, 510,
     /* 311544 */   GIR_Done,
     /* 311545 */ // Label 6285: @311545
     /* 311545 */ GIM_Try, /*On fail goto*//*Label 6286*/ GIMT_Encode4(311575), // Rule ID 520 //
     /* 311550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 311560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311564 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTHSr:{ *:[f16] } FPR32:{ *:[f32] }:$Rn)
     /* 311564 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTHSr),
     /* 311569 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311573 */   GIR_RootConstrainSelectedInstOperands,
     /* 311574 */   // GIR_Coverage, 520,
     /* 311574 */   GIR_Done,
     /* 311575 */ // Label 6286: @311575
     /* 311575 */ GIM_Reject,
     /* 311576 */ // Label 6281: @311576
     /* 311576 */ GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(311606), // Rule ID 512 //
     /* 311581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 311584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 311591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311595 */   // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTSDr:{ *:[f32] } FPR64:{ *:[f64] }:$Rn)
     /* 311595 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTSDr),
     /* 311600 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311604 */   GIR_RootConstrainSelectedInstOperands,
     /* 311605 */   // GIR_Coverage, 512,
     /* 311605 */   GIR_Done,
     /* 311606 */ // Label 6287: @311606
     /* 311606 */ GIM_Reject,
     /* 311607 */ // Label 6282: @311607
     /* 311607 */ GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(311634), // Rule ID 4910 //
     /* 311612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 311615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311623 */   // (fpround:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn)  =>  (FCVTNv2i32:{ *:[v2f32] } V128:{ *:[v2f64] }:$Rn)
     /* 311623 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv2i32),
     /* 311628 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311632 */   GIR_RootConstrainSelectedInstOperands,
     /* 311633 */   // GIR_Coverage, 4910,
     /* 311633 */   GIR_Done,
     /* 311634 */ // Label 6288: @311634
     /* 311634 */ GIM_Reject,
     /* 311635 */ // Label 6283: @311635
     /* 311635 */ GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(311662), // Rule ID 4912 //
     /* 311640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 311643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 311647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 311651 */   // (fpround:{ *:[v4f16] } V128:{ *:[v4f32] }:$Rn)  =>  (FCVTNv4i16:{ *:[v4f16] } V128:{ *:[v4f32] }:$Rn)
     /* 311651 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 311656 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 311660 */   GIR_RootConstrainSelectedInstOperands,
     /* 311661 */   // GIR_Coverage, 4912,
     /* 311661 */   GIR_Done,
     /* 311662 */ // Label 6289: @311662
     /* 311662 */ GIM_Reject,
     /* 311663 */ // Label 6284: @311663
     /* 311663 */ GIM_Reject,
     /* 311664 */ // Label 65: @311664
     /* 311664 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6297*/ GIMT_Encode4(312640),
     /* 311675 */ /*GILLT_s32*//*Label 6290*/ GIMT_Encode4(311711),
     /* 311679 */ /*GILLT_s64*//*Label 6291*/ GIMT_Encode4(312098), GIMT_Encode4(0),
     /* 311687 */ /*GILLT_v2s32*//*Label 6292*/ GIMT_Encode4(312485),
     /* 311691 */ /*GILLT_v2s64*//*Label 6293*/ GIMT_Encode4(312516),
     /* 311695 */ /*GILLT_v4s16*//*Label 6294*/ GIMT_Encode4(312547),
     /* 311699 */ /*GILLT_v4s32*//*Label 6295*/ GIMT_Encode4(312578), GIMT_Encode4(0),
     /* 311707 */ /*GILLT_v8s16*//*Label 6296*/ GIMT_Encode4(312609),
     /* 311711 */ // Label 6290: @311711
     /* 311711 */ GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(311748), // Rule ID 4649 //
     /* 311716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311723 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311727 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 311731 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 311735 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311737 */   // (fp_to_sint:{ *:[i32] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 311737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWSr),
     /* 311740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311742 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311746 */   GIR_RootConstrainSelectedInstOperands,
     /* 311747 */   // GIR_Coverage, 4649,
     /* 311747 */   GIR_EraseRootFromParent_Done,
     /* 311748 */ // Label 6298: @311748
     /* 311748 */ GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(311785), // Rule ID 4651 //
     /* 311753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311760 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311764 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 311768 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311772 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311774 */   // (fp_to_sint:{ *:[i32] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 311774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUWDr),
     /* 311777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311779 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311783 */   GIR_RootConstrainSelectedInstOperands,
     /* 311784 */   // GIR_Coverage, 4651,
     /* 311784 */   GIR_EraseRootFromParent_Done,
     /* 311785 */ // Label 6299: @311785
     /* 311785 */ GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(311822), // Rule ID 4669 //
     /* 311790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311797 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311801 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 311805 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 311809 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311811 */   // (fp_to_sint:{ *:[i32] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 311811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWSr),
     /* 311814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311816 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311820 */   GIR_RootConstrainSelectedInstOperands,
     /* 311821 */   // GIR_Coverage, 4669,
     /* 311821 */   GIR_EraseRootFromParent_Done,
     /* 311822 */ // Label 6300: @311822
     /* 311822 */ GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(311859), // Rule ID 4671 //
     /* 311827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311834 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311838 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 311842 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311846 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311848 */   // (fp_to_sint:{ *:[i32] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 311848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUWDr),
     /* 311851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311853 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311857 */   GIR_RootConstrainSelectedInstOperands,
     /* 311858 */   // GIR_Coverage, 4671,
     /* 311858 */   GIR_EraseRootFromParent_Done,
     /* 311859 */ // Label 6301: @311859
     /* 311859 */ GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(311896), // Rule ID 4709 //
     /* 311864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311871 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311875 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 311879 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 311883 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311885 */   // (fp_to_sint:{ *:[i32] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTASUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 311885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWSr),
     /* 311888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311890 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311894 */   GIR_RootConstrainSelectedInstOperands,
     /* 311895 */   // GIR_Coverage, 4709,
     /* 311895 */   GIR_EraseRootFromParent_Done,
     /* 311896 */ // Label 6302: @311896
     /* 311896 */ GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(311933), // Rule ID 4711 //
     /* 311901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311908 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311912 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 311916 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311920 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311922 */   // (fp_to_sint:{ *:[i32] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTASUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 311922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWDr),
     /* 311925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311927 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311931 */   GIR_RootConstrainSelectedInstOperands,
     /* 311932 */   // GIR_Coverage, 4711,
     /* 311932 */   GIR_EraseRootFromParent_Done,
     /* 311933 */ // Label 6303: @311933
     /* 311933 */ GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(311970), // Rule ID 4689 //
     /* 311938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 311941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311945 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311949 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 311953 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 311957 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311959 */   // (fp_to_sint:{ *:[i32] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 311959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 311962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 311964 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 311968 */   GIR_RootConstrainSelectedInstOperands,
     /* 311969 */   // GIR_Coverage, 4689,
     /* 311969 */   GIR_EraseRootFromParent_Done,
     /* 311970 */ // Label 6304: @311970
     /* 311970 */ GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(312007), // Rule ID 4691 //
     /* 311975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 311978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 311982 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 311986 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 311990 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 311994 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 311996 */   // (fp_to_sint:{ *:[i32] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 311996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 311999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312001 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312005 */   GIR_RootConstrainSelectedInstOperands,
     /* 312006 */   // GIR_Coverage, 4691,
     /* 312006 */   GIR_EraseRootFromParent_Done,
     /* 312007 */ // Label 6305: @312007
     /* 312007 */ GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(312037), // Rule ID 395 //
     /* 312012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 312015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 312018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312026 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 312026 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /* 312031 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312035 */   GIR_RootConstrainSelectedInstOperands,
     /* 312036 */   // GIR_Coverage, 395,
     /* 312036 */   GIR_Done,
     /* 312037 */ // Label 6306: @312037
     /* 312037 */ GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(312067), // Rule ID 399 //
     /* 312042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 312045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312056 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 312056 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 312061 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312065 */   GIR_RootConstrainSelectedInstOperands,
     /* 312066 */   // GIR_Coverage, 399,
     /* 312066 */   GIR_Done,
     /* 312067 */ // Label 6307: @312067
     /* 312067 */ GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(312097), // Rule ID 403 //
     /* 312072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 312075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312086 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 312086 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 312091 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312095 */   GIR_RootConstrainSelectedInstOperands,
     /* 312096 */   // GIR_Coverage, 403,
     /* 312096 */   GIR_Done,
     /* 312097 */ // Label 6308: @312097
     /* 312097 */ GIM_Reject,
     /* 312098 */ // Label 6291: @312098
     /* 312098 */ GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(312135), // Rule ID 4650 //
     /* 312103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312110 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312114 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 312118 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312122 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312124 */   // (fp_to_sint:{ *:[i64] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 312124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXSr),
     /* 312127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312129 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312133 */   GIR_RootConstrainSelectedInstOperands,
     /* 312134 */   // GIR_Coverage, 4650,
     /* 312134 */   GIR_EraseRootFromParent_Done,
     /* 312135 */ // Label 6309: @312135
     /* 312135 */ GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(312172), // Rule ID 4652 //
     /* 312140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312147 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312151 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 312155 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312159 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312161 */   // (fp_to_sint:{ *:[i64] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 312161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPSUXDr),
     /* 312164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312166 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312170 */   GIR_RootConstrainSelectedInstOperands,
     /* 312171 */   // GIR_Coverage, 4652,
     /* 312171 */   GIR_EraseRootFromParent_Done,
     /* 312172 */ // Label 6310: @312172
     /* 312172 */ GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(312209), // Rule ID 4670 //
     /* 312177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312184 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312188 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 312192 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312196 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312198 */   // (fp_to_sint:{ *:[i64] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 312198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXSr),
     /* 312201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312203 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312207 */   GIR_RootConstrainSelectedInstOperands,
     /* 312208 */   // GIR_Coverage, 4670,
     /* 312208 */   GIR_EraseRootFromParent_Done,
     /* 312209 */ // Label 6311: @312209
     /* 312209 */ GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(312246), // Rule ID 4672 //
     /* 312214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312221 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312225 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 312229 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312233 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312235 */   // (fp_to_sint:{ *:[i64] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 312235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMSUXDr),
     /* 312238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312240 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312244 */   GIR_RootConstrainSelectedInstOperands,
     /* 312245 */   // GIR_Coverage, 4672,
     /* 312245 */   GIR_EraseRootFromParent_Done,
     /* 312246 */ // Label 6312: @312246
     /* 312246 */ GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(312283), // Rule ID 4710 //
     /* 312251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312258 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312262 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 312266 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312270 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312272 */   // (fp_to_sint:{ *:[i64] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTASUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 312272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 312275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312277 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312281 */   GIR_RootConstrainSelectedInstOperands,
     /* 312282 */   // GIR_Coverage, 4710,
     /* 312282 */   GIR_EraseRootFromParent_Done,
     /* 312283 */ // Label 6313: @312283
     /* 312283 */ GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(312320), // Rule ID 4712 //
     /* 312288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312295 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312299 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 312303 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312307 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312309 */   // (fp_to_sint:{ *:[i64] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTASUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 312309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 312312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312314 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312318 */   GIR_RootConstrainSelectedInstOperands,
     /* 312319 */   // GIR_Coverage, 4712,
     /* 312319 */   GIR_EraseRootFromParent_Done,
     /* 312320 */ // Label 6314: @312320
     /* 312320 */ GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(312357), // Rule ID 4690 //
     /* 312325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312332 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312336 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 312340 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312344 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312346 */   // (fp_to_sint:{ *:[i64] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 312346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 312349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312351 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312355 */   GIR_RootConstrainSelectedInstOperands,
     /* 312356 */   // GIR_Coverage, 4690,
     /* 312356 */   GIR_EraseRootFromParent_Done,
     /* 312357 */ // Label 6315: @312357
     /* 312357 */ GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(312394), // Rule ID 4692 //
     /* 312362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312369 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312373 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 312377 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312381 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312383 */   // (fp_to_sint:{ *:[i64] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 312383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 312386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312388 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312392 */   GIR_RootConstrainSelectedInstOperands,
     /* 312393 */   // GIR_Coverage, 4692,
     /* 312393 */   GIR_EraseRootFromParent_Done,
     /* 312394 */ // Label 6316: @312394
     /* 312394 */ GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(312424), // Rule ID 397 //
     /* 312399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 312402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 312405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 312413 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 312413 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /* 312418 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312422 */   GIR_RootConstrainSelectedInstOperands,
     /* 312423 */   // GIR_Coverage, 397,
     /* 312423 */   GIR_Done,
     /* 312424 */ // Label 6317: @312424
     /* 312424 */ GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(312454), // Rule ID 401 //
     /* 312429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 312432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 312443 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 312443 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 312448 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312452 */   GIR_RootConstrainSelectedInstOperands,
     /* 312453 */   // GIR_Coverage, 401,
     /* 312453 */   GIR_Done,
     /* 312454 */ // Label 6318: @312454
     /* 312454 */ GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(312484), // Rule ID 405 //
     /* 312459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 312462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 312469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312473 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 312473 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 312478 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312482 */   GIR_RootConstrainSelectedInstOperands,
     /* 312483 */   // GIR_Coverage, 405,
     /* 312483 */   GIR_Done,
     /* 312484 */ // Label 6319: @312484
     /* 312484 */ GIM_Reject,
     /* 312485 */ // Label 6292: @312485
     /* 312485 */ GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(312515), // Rule ID 843 //
     /* 312490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 312496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312504 */   // (fp_to_sint:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCVTZSv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 312504 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f32),
     /* 312509 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312513 */   GIR_RootConstrainSelectedInstOperands,
     /* 312514 */   // GIR_Coverage, 843,
     /* 312514 */   GIR_Done,
     /* 312515 */ // Label 6320: @312515
     /* 312515 */ GIM_Reject,
     /* 312516 */ // Label 6293: @312516
     /* 312516 */ GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(312546), // Rule ID 847 //
     /* 312521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 312527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312535 */   // (fp_to_sint:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCVTZSv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 312535 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f64),
     /* 312540 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312544 */   GIR_RootConstrainSelectedInstOperands,
     /* 312545 */   // GIR_Coverage, 847,
     /* 312545 */   GIR_Done,
     /* 312546 */ // Label 6321: @312546
     /* 312546 */ GIM_Reject,
     /* 312547 */ // Label 6294: @312547
     /* 312547 */ GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(312577), // Rule ID 839 //
     /* 312552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 312555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 312558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 312566 */   // (fp_to_sint:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCVTZSv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 312566 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f16),
     /* 312571 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312575 */   GIR_RootConstrainSelectedInstOperands,
     /* 312576 */   // GIR_Coverage, 839,
     /* 312576 */   GIR_Done,
     /* 312577 */ // Label 6322: @312577
     /* 312577 */ GIM_Reject,
     /* 312578 */ // Label 6295: @312578
     /* 312578 */ GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(312608), // Rule ID 845 //
     /* 312583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 312586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 312589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312597 */   // (fp_to_sint:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCVTZSv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 312597 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f32),
     /* 312602 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312606 */   GIR_RootConstrainSelectedInstOperands,
     /* 312607 */   // GIR_Coverage, 845,
     /* 312607 */   GIR_Done,
     /* 312608 */ // Label 6323: @312608
     /* 312608 */ GIM_Reject,
     /* 312609 */ // Label 6296: @312609
     /* 312609 */ GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(312639), // Rule ID 841 //
     /* 312614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 312617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 312620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 312628 */   // (fp_to_sint:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTZSv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 312628 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8f16),
     /* 312633 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 312637 */   GIR_RootConstrainSelectedInstOperands,
     /* 312638 */   // GIR_Coverage, 841,
     /* 312638 */   GIR_Done,
     /* 312639 */ // Label 6324: @312639
     /* 312639 */ GIM_Reject,
     /* 312640 */ // Label 6297: @312640
     /* 312640 */ GIM_Reject,
     /* 312641 */ // Label 66: @312641
     /* 312641 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6332*/ GIMT_Encode4(313617),
     /* 312652 */ /*GILLT_s32*//*Label 6325*/ GIMT_Encode4(312688),
     /* 312656 */ /*GILLT_s64*//*Label 6326*/ GIMT_Encode4(313075), GIMT_Encode4(0),
     /* 312664 */ /*GILLT_v2s32*//*Label 6327*/ GIMT_Encode4(313462),
     /* 312668 */ /*GILLT_v2s64*//*Label 6328*/ GIMT_Encode4(313493),
     /* 312672 */ /*GILLT_v4s16*//*Label 6329*/ GIMT_Encode4(313524),
     /* 312676 */ /*GILLT_v4s32*//*Label 6330*/ GIMT_Encode4(313555), GIMT_Encode4(0),
     /* 312684 */ /*GILLT_v8s16*//*Label 6331*/ GIMT_Encode4(313586),
     /* 312688 */ // Label 6325: @312688
     /* 312688 */ GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(312725), // Rule ID 4659 //
     /* 312693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312700 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312704 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 312708 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312712 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312714 */   // (fp_to_uint:{ *:[i32] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 312714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWSr),
     /* 312717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312719 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312723 */   GIR_RootConstrainSelectedInstOperands,
     /* 312724 */   // GIR_Coverage, 4659,
     /* 312724 */   GIR_EraseRootFromParent_Done,
     /* 312725 */ // Label 6333: @312725
     /* 312725 */ GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(312762), // Rule ID 4661 //
     /* 312730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312737 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312741 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 312745 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312749 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312751 */   // (fp_to_uint:{ *:[i32] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 312751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUWDr),
     /* 312754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312756 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312760 */   GIR_RootConstrainSelectedInstOperands,
     /* 312761 */   // GIR_Coverage, 4661,
     /* 312761 */   GIR_EraseRootFromParent_Done,
     /* 312762 */ // Label 6334: @312762
     /* 312762 */ GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(312799), // Rule ID 4679 //
     /* 312767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312774 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312778 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 312782 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312786 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312788 */   // (fp_to_uint:{ *:[i32] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 312788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWSr),
     /* 312791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312793 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312797 */   GIR_RootConstrainSelectedInstOperands,
     /* 312798 */   // GIR_Coverage, 4679,
     /* 312798 */   GIR_EraseRootFromParent_Done,
     /* 312799 */ // Label 6335: @312799
     /* 312799 */ GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(312836), // Rule ID 4681 //
     /* 312804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312811 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312815 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 312819 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312823 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312825 */   // (fp_to_uint:{ *:[i32] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 312825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUWDr),
     /* 312828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312830 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312834 */   GIR_RootConstrainSelectedInstOperands,
     /* 312835 */   // GIR_Coverage, 4681,
     /* 312835 */   GIR_EraseRootFromParent_Done,
     /* 312836 */ // Label 6336: @312836
     /* 312836 */ GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(312873), // Rule ID 4719 //
     /* 312841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312848 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312852 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 312856 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312860 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312862 */   // (fp_to_uint:{ *:[i32] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTAUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 312862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWSr),
     /* 312865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312867 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312871 */   GIR_RootConstrainSelectedInstOperands,
     /* 312872 */   // GIR_Coverage, 4719,
     /* 312872 */   GIR_EraseRootFromParent_Done,
     /* 312873 */ // Label 6337: @312873
     /* 312873 */ GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(312910), // Rule ID 4721 //
     /* 312878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312885 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312889 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 312893 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312897 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312899 */   // (fp_to_uint:{ *:[i32] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTAUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 312899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUWDr),
     /* 312902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312904 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312908 */   GIR_RootConstrainSelectedInstOperands,
     /* 312909 */   // GIR_Coverage, 4721,
     /* 312909 */   GIR_EraseRootFromParent_Done,
     /* 312910 */ // Label 6338: @312910
     /* 312910 */ GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(312947), // Rule ID 4699 //
     /* 312915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 312918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312922 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312926 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 312930 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 312934 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312936 */   // (fp_to_uint:{ *:[i32] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 312936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 312939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312941 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312945 */   GIR_RootConstrainSelectedInstOperands,
     /* 312946 */   // GIR_Coverage, 4699,
     /* 312946 */   GIR_EraseRootFromParent_Done,
     /* 312947 */ // Label 6339: @312947
     /* 312947 */ GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(312984), // Rule ID 4701 //
     /* 312952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 312955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312959 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 312963 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 312967 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 312971 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 312973 */   // (fp_to_uint:{ *:[i32] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 312973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 312976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 312978 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 312982 */   GIR_RootConstrainSelectedInstOperands,
     /* 312983 */   // GIR_Coverage, 4701,
     /* 312983 */   GIR_EraseRootFromParent_Done,
     /* 312984 */ // Label 6340: @312984
     /* 312984 */ GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(313014), // Rule ID 407 //
     /* 312989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 312992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 312995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 312999 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313003 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZUUWHr:{ *:[i32] } FPR16:{ *:[f16] }:$Rn)
     /* 313003 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWHr),
     /* 313008 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313012 */   GIR_RootConstrainSelectedInstOperands,
     /* 313013 */   // GIR_Coverage, 407,
     /* 313013 */   GIR_Done,
     /* 313014 */ // Label 6341: @313014
     /* 313014 */ GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(313044), // Rule ID 411 //
     /* 313019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 313022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 313029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313033 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZUUWSr:{ *:[i32] } FPR32:{ *:[f32] }:$Rn)
     /* 313033 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 313038 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313042 */   GIR_RootConstrainSelectedInstOperands,
     /* 313043 */   // GIR_Coverage, 411,
     /* 313043 */   GIR_Done,
     /* 313044 */ // Label 6342: @313044
     /* 313044 */ GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(313074), // Rule ID 415 //
     /* 313049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 313052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 313059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313063 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZUUWDr:{ *:[i32] } FPR64:{ *:[f64] }:$Rn)
     /* 313063 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 313068 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313072 */   GIR_RootConstrainSelectedInstOperands,
     /* 313073 */   // GIR_Coverage, 415,
     /* 313073 */   GIR_Done,
     /* 313074 */ // Label 6343: @313074
     /* 313074 */ GIM_Reject,
     /* 313075 */ // Label 6326: @313075
     /* 313075 */ GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(313112), // Rule ID 4660 //
     /* 313080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313087 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313091 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 313095 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 313099 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313101 */   // (fp_to_uint:{ *:[i64] } (fceil:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTPUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 313101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXSr),
     /* 313104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313106 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313110 */   GIR_RootConstrainSelectedInstOperands,
     /* 313111 */   // GIR_Coverage, 4660,
     /* 313111 */   GIR_EraseRootFromParent_Done,
     /* 313112 */ // Label 6344: @313112
     /* 313112 */ GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(313149), // Rule ID 4662 //
     /* 313117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313124 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313128 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCEIL),
     /* 313132 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 313136 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313138 */   // (fp_to_uint:{ *:[i64] } (fceil:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTPUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 313138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTPUUXDr),
     /* 313141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313143 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313147 */   GIR_RootConstrainSelectedInstOperands,
     /* 313148 */   // GIR_Coverage, 4662,
     /* 313148 */   GIR_EraseRootFromParent_Done,
     /* 313149 */ // Label 6345: @313149
     /* 313149 */ GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(313186), // Rule ID 4680 //
     /* 313154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313161 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313165 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 313169 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 313173 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313175 */   // (fp_to_uint:{ *:[i64] } (ffloor:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTMUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 313175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXSr),
     /* 313178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313180 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313184 */   GIR_RootConstrainSelectedInstOperands,
     /* 313185 */   // GIR_Coverage, 4680,
     /* 313185 */   GIR_EraseRootFromParent_Done,
     /* 313186 */ // Label 6346: @313186
     /* 313186 */ GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(313223), // Rule ID 4682 //
     /* 313191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313198 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313202 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FFLOOR),
     /* 313206 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 313210 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313212 */   // (fp_to_uint:{ *:[i64] } (ffloor:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTMUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 313212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTMUUXDr),
     /* 313215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313217 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313221 */   GIR_RootConstrainSelectedInstOperands,
     /* 313222 */   // GIR_Coverage, 4682,
     /* 313222 */   GIR_EraseRootFromParent_Done,
     /* 313223 */ // Label 6347: @313223
     /* 313223 */ GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(313260), // Rule ID 4720 //
     /* 313228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313235 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313239 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 313243 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 313247 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313249 */   // (fp_to_uint:{ *:[i64] } (fround:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTAUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 313249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXSr),
     /* 313252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313254 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313258 */   GIR_RootConstrainSelectedInstOperands,
     /* 313259 */   // GIR_Coverage, 4720,
     /* 313259 */   GIR_EraseRootFromParent_Done,
     /* 313260 */ // Label 6348: @313260
     /* 313260 */ GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(313297), // Rule ID 4722 //
     /* 313265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313272 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313276 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_ROUND),
     /* 313280 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 313284 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313286 */   // (fp_to_uint:{ *:[i64] } (fround:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTAUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 313286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTAUUXDr),
     /* 313289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313291 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313295 */   GIR_RootConstrainSelectedInstOperands,
     /* 313296 */   // GIR_Coverage, 4722,
     /* 313296 */   GIR_EraseRootFromParent_Done,
     /* 313297 */ // Label 6349: @313297
     /* 313297 */ GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(313334), // Rule ID 4700 //
     /* 313302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313309 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313313 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 313317 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 313321 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313323 */   // (fp_to_uint:{ *:[i64] } (ftrunc:{ *:[f32] } f32:{ *:[f32] }:$Rn))  =>  (FCVTZUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 313323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 313326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313328 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313332 */   GIR_RootConstrainSelectedInstOperands,
     /* 313333 */   // GIR_Coverage, 4700,
     /* 313333 */   GIR_EraseRootFromParent_Done,
     /* 313334 */ // Label 6350: @313334
     /* 313334 */ GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(313371), // Rule ID 4702 //
     /* 313339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313346 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313350 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC_TRUNC),
     /* 313354 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 313358 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313360 */   // (fp_to_uint:{ *:[i64] } (ftrunc:{ *:[f64] } f64:{ *:[f64] }:$Rn))  =>  (FCVTZUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 313360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 313363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313365 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313369 */   GIR_RootConstrainSelectedInstOperands,
     /* 313370 */   // GIR_Coverage, 4702,
     /* 313370 */   GIR_EraseRootFromParent_Done,
     /* 313371 */ // Label 6351: @313371
     /* 313371 */ GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(313401), // Rule ID 409 //
     /* 313376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 313379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 313382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313390 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)  =>  (FCVTZUUXHr:{ *:[i64] } FPR16:{ *:[f16] }:$Rn)
     /* 313390 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXHr),
     /* 313395 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313399 */   GIR_RootConstrainSelectedInstOperands,
     /* 313400 */   // GIR_Coverage, 409,
     /* 313400 */   GIR_Done,
     /* 313401 */ // Label 6352: @313401
     /* 313401 */ GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(313431), // Rule ID 413 //
     /* 313406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 313409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313420 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)  =>  (FCVTZUUXSr:{ *:[i64] } FPR32:{ *:[f32] }:$Rn)
     /* 313420 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 313425 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313429 */   GIR_RootConstrainSelectedInstOperands,
     /* 313430 */   // GIR_Coverage, 413,
     /* 313430 */   GIR_Done,
     /* 313431 */ // Label 6353: @313431
     /* 313431 */ GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(313461), // Rule ID 417 //
     /* 313436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 313439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 313446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313450 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)  =>  (FCVTZUUXDr:{ *:[i64] } FPR64:{ *:[f64] }:$Rn)
     /* 313450 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 313455 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313459 */   GIR_RootConstrainSelectedInstOperands,
     /* 313460 */   // GIR_Coverage, 417,
     /* 313460 */   GIR_Done,
     /* 313461 */ // Label 6354: @313461
     /* 313461 */ GIM_Reject,
     /* 313462 */ // Label 6327: @313462
     /* 313462 */ GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(313492), // Rule ID 853 //
     /* 313467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 313470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 313473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313481 */   // (fp_to_uint:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)  =>  (FCVTZUv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 313481 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f32),
     /* 313486 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313490 */   GIR_RootConstrainSelectedInstOperands,
     /* 313491 */   // GIR_Coverage, 853,
     /* 313491 */   GIR_Done,
     /* 313492 */ // Label 6355: @313492
     /* 313492 */ GIM_Reject,
     /* 313493 */ // Label 6328: @313493
     /* 313493 */ GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(313523), // Rule ID 857 //
     /* 313498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 313501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 313504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313512 */   // (fp_to_uint:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)  =>  (FCVTZUv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 313512 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f64),
     /* 313517 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313521 */   GIR_RootConstrainSelectedInstOperands,
     /* 313522 */   // GIR_Coverage, 857,
     /* 313522 */   GIR_Done,
     /* 313523 */ // Label 6356: @313523
     /* 313523 */ GIM_Reject,
     /* 313524 */ // Label 6329: @313524
     /* 313524 */ GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(313554), // Rule ID 849 //
     /* 313529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 313532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 313535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313543 */   // (fp_to_uint:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)  =>  (FCVTZUv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 313543 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f16),
     /* 313548 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313552 */   GIR_RootConstrainSelectedInstOperands,
     /* 313553 */   // GIR_Coverage, 849,
     /* 313553 */   GIR_Done,
     /* 313554 */ // Label 6357: @313554
     /* 313554 */ GIM_Reject,
     /* 313555 */ // Label 6330: @313555
     /* 313555 */ GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(313585), // Rule ID 855 //
     /* 313560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 313563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 313566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313574 */   // (fp_to_uint:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)  =>  (FCVTZUv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 313574 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f32),
     /* 313579 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313583 */   GIR_RootConstrainSelectedInstOperands,
     /* 313584 */   // GIR_Coverage, 855,
     /* 313584 */   GIR_Done,
     /* 313585 */ // Label 6358: @313585
     /* 313585 */ GIM_Reject,
     /* 313586 */ // Label 6331: @313586
     /* 313586 */ GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(313616), // Rule ID 851 //
     /* 313591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 313594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 313597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313605 */   // (fp_to_uint:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTZUv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 313605 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8f16),
     /* 313610 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 313614 */   GIR_RootConstrainSelectedInstOperands,
     /* 313615 */   // GIR_Coverage, 851,
     /* 313615 */   GIR_Done,
     /* 313616 */ // Label 6359: @313616
     /* 313616 */ GIM_Reject,
     /* 313617 */ // Label 6332: @313617
     /* 313617 */ GIM_Reject,
     /* 313618 */ // Label 67: @313618
     /* 313618 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6368*/ GIMT_Encode4(318245),
     /* 313629 */ /*GILLT_s16*//*Label 6360*/ GIMT_Encode4(313669),
     /* 313633 */ /*GILLT_s32*//*Label 6361*/ GIMT_Encode4(314110),
     /* 313637 */ /*GILLT_s64*//*Label 6362*/ GIMT_Encode4(316106), GIMT_Encode4(0),
     /* 313645 */ /*GILLT_v2s32*//*Label 6363*/ GIMT_Encode4(318090),
     /* 313649 */ /*GILLT_v2s64*//*Label 6364*/ GIMT_Encode4(318121),
     /* 313653 */ /*GILLT_v4s16*//*Label 6365*/ GIMT_Encode4(318152),
     /* 313657 */ /*GILLT_v4s32*//*Label 6366*/ GIMT_Encode4(318183), GIMT_Encode4(0),
     /* 313665 */ /*GILLT_v8s16*//*Label 6367*/ GIMT_Encode4(318214),
     /* 313669 */ // Label 6360: @313669
     /* 313669 */ GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(313772), // Rule ID 5323 //
     /* 313674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 313677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313684 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313688 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 313692 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 313696 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 313700 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 313704 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 313708 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 313712 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313717 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 313721 */   // MIs[1] Operand 2
     /* 313721 */   GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(16),
     /* 313732 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 313734 */   // (sint_to_fp:{ *:[f16] } (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), i16:{ *:[Other] }))  =>  (SCVTFv1i16:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR128:{ *:[v8i16] }:$Rn, hsub:{ *:[i32] }))
     /* 313734 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 313737 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 313741 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313746 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 313752 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313757 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i16),
     /* 313765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313767 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313770 */   GIR_RootConstrainSelectedInstOperands,
     /* 313771 */   // GIR_Coverage, 5323,
     /* 313771 */   GIR_EraseRootFromParent_Done,
     /* 313772 */ // Label 6369: @313772
     /* 313772 */ GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(313852), // Rule ID 2444 //
     /* 313777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 313780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313787 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313791 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 313795 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 313799 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 313803 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313808 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 313812 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313814 */   // (sint_to_fp:{ *:[f16] } (extractelt:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFHSr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 313814 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 313817 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 313821 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313826 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 313832 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 313837 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFHSr),
     /* 313845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313847 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313850 */   GIR_RootConstrainSelectedInstOperands,
     /* 313851 */   // GIR_Coverage, 2444,
     /* 313851 */   GIR_EraseRootFromParent_Done,
     /* 313852 */ // Label 6370: @313852
     /* 313852 */ GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(313932), // Rule ID 2448 //
     /* 313857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 313860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 313863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313867 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313871 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 313875 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 313879 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 313883 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313888 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 313892 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313894 */   // (sint_to_fp:{ *:[f16] } (extractelt:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFHDr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 313894 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 313897 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 313901 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313906 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 313912 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 313917 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 313922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFHDr),
     /* 313925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313927 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313930 */   GIR_RootConstrainSelectedInstOperands,
     /* 313931 */   // GIR_Coverage, 2448,
     /* 313931 */   GIR_EraseRootFromParent_Done,
     /* 313932 */ // Label 6371: @313932
     /* 313932 */ GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(313989), // Rule ID 5314 //
     /* 313937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 313940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 313943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 313947 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 313951 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOSI),
     /* 313955 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 313959 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 313961 */   // (sint_to_fp:{ *:[f16] } (fp_to_sint:{ *:[i32] } f16:{ *:[f16] }:$Rn))  =>  (SCVTFv1i16:{ *:[f16] } (FCVTZSv1f16:{ *:[f16] } f16:{ *:[f16] }:$Rn))
     /* 313961 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 313964 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1f16),
     /* 313968 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 313973 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 313977 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 313979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i16),
     /* 313982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 313984 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 313987 */   GIR_RootConstrainSelectedInstOperands,
     /* 313988 */   // GIR_Coverage, 5314,
     /* 313988 */   GIR_EraseRootFromParent_Done,
     /* 313989 */ // Label 6372: @313989
     /* 313989 */ GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(314019), // Rule ID 443 //
     /* 313994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 313997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 314008 */   // (sint_to_fp:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)  =>  (SCVTFUWHri:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)
     /* 314008 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUWHri),
     /* 314013 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 314017 */   GIR_RootConstrainSelectedInstOperands,
     /* 314018 */   // GIR_Coverage, 443,
     /* 314018 */   GIR_Done,
     /* 314019 */ // Label 6373: @314019
     /* 314019 */ GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(314049), // Rule ID 449 //
     /* 314024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 314027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 314030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 314038 */   // (sint_to_fp:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)  =>  (SCVTFUXHri:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)
     /* 314038 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUXHri),
     /* 314043 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 314047 */   GIR_RootConstrainSelectedInstOperands,
     /* 314048 */   // GIR_Coverage, 449,
     /* 314048 */   GIR_Done,
     /* 314049 */ // Label 6374: @314049
     /* 314049 */ GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(314079), // Rule ID 491 //
     /* 314054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 314057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314068 */   // (sint_to_fp:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)  =>  (SCVTFHSr:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)
     /* 314068 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFHSr),
     /* 314073 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 314077 */   GIR_RootConstrainSelectedInstOperands,
     /* 314078 */   // GIR_Coverage, 491,
     /* 314078 */   GIR_Done,
     /* 314079 */ // Label 6375: @314079
     /* 314079 */ GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(314109), // Rule ID 495 //
     /* 314084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 314087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 314090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314098 */   // (sint_to_fp:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)  =>  (SCVTFHDr:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)
     /* 314098 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFHDr),
     /* 314103 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 314107 */   GIR_RootConstrainSelectedInstOperands,
     /* 314108 */   // GIR_Coverage, 495,
     /* 314108 */   GIR_Done,
     /* 314109 */ // Label 6376: @314109
     /* 314109 */ GIM_Reject,
     /* 314110 */ // Label 6361: @314110
     /* 314110 */ GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(314348), // Rule ID 6374 //
     /* 314115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 314118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314125 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314129 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 314133 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 314136 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 314143 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 314147 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314149 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 314156 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$ext), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 314156 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 314159 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 314163 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314168 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 314173 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 314178 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 314183 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 314188 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 314190 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 314193 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 314197 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314202 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 314204 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 314207 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 314211 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314216 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 314219 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 314222 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 314225 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314230 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314235 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 314240 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 314243 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 314247 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314252 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 314255 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 314258 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 314260 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 314263 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314267 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314272 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 314279 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314284 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314289 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 314292 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 314296 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314301 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 314304 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 314307 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 314309 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 314312 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314316 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314321 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 314328 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314333 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 314341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314343 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314346 */   GIR_RootConstrainSelectedInstOperands,
     /* 314347 */   // GIR_Coverage, 6374,
     /* 314347 */   GIR_EraseRootFromParent_Done,
     /* 314348 */ // Label 6377: @314348
     /* 314348 */ GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(314586), // Rule ID 6375 //
     /* 314353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 314356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314363 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314367 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 314371 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 314374 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 314381 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 314385 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314387 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 314394 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$ext), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 314394 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 314397 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 314401 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314406 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 314411 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 314416 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 314421 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 314426 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 314428 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 314431 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 314435 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314440 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 314442 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 314445 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 314449 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314454 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 314457 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 314460 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 314463 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314468 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314473 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 314478 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 314481 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 314485 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314490 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 314493 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 314496 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 314498 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 314501 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314505 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314510 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 314517 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314522 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314527 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 314530 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 314534 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314539 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 314542 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 314545 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 314547 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 314550 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314554 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314559 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 314566 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314571 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 314579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314581 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314584 */   GIR_RootConstrainSelectedInstOperands,
     /* 314585 */   // GIR_Coverage, 6375,
     /* 314585 */   GIR_EraseRootFromParent_Done,
     /* 314586 */ // Label 6378: @314586
     /* 314586 */ GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(314775), // Rule ID 6378 //
     /* 314591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 314594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314601 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314605 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 314609 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 314612 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 314619 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 314623 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314625 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 314632 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 314632 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 314635 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 314639 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314644 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 314649 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 314654 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 314659 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 314664 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 314666 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 314669 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 314673 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314678 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 314680 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 314683 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 314687 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314692 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 314695 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 314698 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 314701 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314706 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314711 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314716 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 314719 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 314723 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314728 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 314731 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 314734 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 314736 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 314739 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314743 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314748 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 314755 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314760 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 314768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314770 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314773 */   GIR_RootConstrainSelectedInstOperands,
     /* 314774 */   // GIR_Coverage, 6378,
     /* 314774 */   GIR_EraseRootFromParent_Done,
     /* 314775 */ // Label 6379: @314775
     /* 314775 */ GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(314964), // Rule ID 6379 //
     /* 314780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 314783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314790 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314794 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 314798 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 314801 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 314808 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 314812 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 314814 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 314821 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 314821 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 314824 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 314828 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314833 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 314838 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 314843 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 314848 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 314853 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 314855 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 314858 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 314862 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314867 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 314869 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 314872 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 314876 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314881 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 314884 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 314887 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 314890 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314895 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 314900 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 314905 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 314908 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 314912 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314917 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 314920 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 314923 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 314925 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 314928 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 314932 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 314937 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 314944 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314949 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 314954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 314957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 314959 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 314962 */   GIR_RootConstrainSelectedInstOperands,
     /* 314963 */   // GIR_Coverage, 6379,
     /* 314963 */   GIR_EraseRootFromParent_Done,
     /* 314964 */ // Label 6380: @314964
     /* 314964 */ GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(315197), // Rule ID 6376 //
     /* 314969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 314972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 314975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 314979 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 314983 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 314987 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 314990 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 314997 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 315001 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315003 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 315010 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 315010 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 315013 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 315017 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315022 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 315027 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 315032 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 315037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 315039 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 315042 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 315046 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315051 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 315053 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 315056 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 315060 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315065 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 315068 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 315071 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 315074 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315079 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315084 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 315089 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 315092 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 315096 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315101 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 315104 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 315107 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 315109 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 315112 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315116 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315121 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 315128 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315133 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315138 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 315141 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 315145 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315150 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 315153 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 315156 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 315158 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 315161 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315165 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315170 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 315177 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315182 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 315190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315192 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315195 */   GIR_RootConstrainSelectedInstOperands,
     /* 315196 */   // GIR_Coverage, 6376,
     /* 315196 */   GIR_EraseRootFromParent_Done,
     /* 315197 */ // Label 6381: @315197
     /* 315197 */ GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(315430), // Rule ID 6377 //
     /* 315202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 315205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315212 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315216 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 315220 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 315223 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 315230 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 315234 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315236 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 315243 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv8i8_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 315243 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s8,
     /* 315246 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 315250 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315255 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 315260 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 315265 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 315270 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 315272 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 315275 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 315279 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315284 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 315286 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 315289 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 315293 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315298 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 315301 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 315304 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/1,
     /* 315307 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315312 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315317 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 315322 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 315325 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv8i8_shift),
     /* 315329 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315334 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 315337 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 315340 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 315342 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 315345 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315349 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315354 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 315361 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315366 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315371 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 315374 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 315378 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315383 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 315386 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 315389 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 315391 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 315394 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315398 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315403 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 315410 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315415 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 315423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315425 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315428 */   GIR_RootConstrainSelectedInstOperands,
     /* 315429 */   // GIR_Coverage, 6377,
     /* 315429 */   GIR_EraseRootFromParent_Done,
     /* 315430 */ // Label 6382: @315430
     /* 315430 */ GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(315614), // Rule ID 6380 //
     /* 315435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 315438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315445 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315449 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 315453 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 315456 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 315463 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 315467 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315469 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 315476 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 315476 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 315479 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 315483 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315488 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 315493 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 315498 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 315503 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 315505 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 315508 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 315512 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315517 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 315519 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 315522 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 315526 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315531 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 315534 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 315537 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 315540 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315545 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315550 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 315555 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 315558 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 315562 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315567 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 315570 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 315573 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 315575 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 315578 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315582 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315587 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 315594 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315599 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 315607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315609 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315612 */   GIR_RootConstrainSelectedInstOperands,
     /* 315613 */   // GIR_Coverage, 6380,
     /* 315613 */   GIR_EraseRootFromParent_Done,
     /* 315614 */ // Label 6383: @315614
     /* 315614 */ GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(315798), // Rule ID 6381 //
     /* 315619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 315622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315629 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315633 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 315637 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 315640 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 315647 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 315651 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315653 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 315660 */   // (sint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[f32] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), ssub:{ *:[i32] }))
     /* 315660 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s16,
     /* 315663 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 315667 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315672 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 315677 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 315682 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 315687 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 315689 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 315692 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 315696 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315701 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 315703 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 315706 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 315710 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315715 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 315718 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 315721 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/9,
     /* 315724 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315729 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315734 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 315739 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 315742 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 315746 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315751 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 315754 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 315757 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 315759 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 315762 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315766 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315771 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 315778 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315783 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 315791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315796 */   GIR_RootConstrainSelectedInstOperands,
     /* 315797 */   // GIR_Coverage, 6381,
     /* 315797 */   GIR_EraseRootFromParent_Done,
     /* 315798 */ // Label 6384: @315798
     /* 315798 */ GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(315878), // Rule ID 2450 //
     /* 315803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 315806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 315809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315813 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315817 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 315821 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 315825 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 315829 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315834 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 315838 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315840 */   // (sint_to_fp:{ *:[f32] } (extractelt:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFSDr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 315840 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 315843 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315847 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315852 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 315858 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 315863 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFSDr),
     /* 315871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315873 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315876 */   GIR_RootConstrainSelectedInstOperands,
     /* 315877 */   // GIR_Coverage, 2450,
     /* 315877 */   GIR_EraseRootFromParent_Done,
     /* 315878 */ // Label 6385: @315878
     /* 315878 */ GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(315958), // Rule ID 5319 //
     /* 315883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 315886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315893 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315897 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 315901 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 315905 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 315909 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315914 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 315918 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315920 */   // (sint_to_fp:{ *:[f32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 315920 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 315923 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 315927 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315932 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 315938 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315943 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 315948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 315951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 315953 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 315956 */   GIR_RootConstrainSelectedInstOperands,
     /* 315957 */   // GIR_Coverage, 5319,
     /* 315957 */   GIR_EraseRootFromParent_Done,
     /* 315958 */ // Label 6386: @315958
     /* 315958 */ GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(316015), // Rule ID 5302 //
     /* 315963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 315966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 315969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 315973 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 315977 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOSI),
     /* 315981 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 315985 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 315987 */   // (sint_to_fp:{ *:[f32] } (fp_to_sint:{ *:[i32] } f32:{ *:[f32] }:$Rn))  =>  (SCVTFv1i32:{ *:[f32] } (FCVTZSv1i32:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /* 315987 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 315990 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1i32),
     /* 315994 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 315999 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 316003 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 316005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 316008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316010 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316013 */   GIR_RootConstrainSelectedInstOperands,
     /* 316014 */   // GIR_Coverage, 5302,
     /* 316014 */   GIR_EraseRootFromParent_Done,
     /* 316015 */ // Label 6387: @316015
     /* 316015 */ GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(316045), // Rule ID 445 //
     /* 316020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 316023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 316030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 316034 */   // (sint_to_fp:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)  =>  (SCVTFUWSri:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)
     /* 316034 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUWSri),
     /* 316039 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316043 */   GIR_RootConstrainSelectedInstOperands,
     /* 316044 */   // GIR_Coverage, 445,
     /* 316044 */   GIR_Done,
     /* 316045 */ // Label 6388: @316045
     /* 316045 */ GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(316075), // Rule ID 451 //
     /* 316050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 316053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 316056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 316060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 316064 */   // (sint_to_fp:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)  =>  (SCVTFUXSri:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)
     /* 316064 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUXSri),
     /* 316069 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316073 */   GIR_RootConstrainSelectedInstOperands,
     /* 316074 */   // GIR_Coverage, 451,
     /* 316074 */   GIR_Done,
     /* 316075 */ // Label 6389: @316075
     /* 316075 */ GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(316105), // Rule ID 497 //
     /* 316080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 316083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 316086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 316090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316094 */   // (sint_to_fp:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)  =>  (SCVTFSDr:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)
     /* 316094 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFSDr),
     /* 316099 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 316103 */   GIR_RootConstrainSelectedInstOperands,
     /* 316104 */   // GIR_Coverage, 497,
     /* 316104 */   GIR_Done,
     /* 316105 */ // Label 6390: @316105
     /* 316105 */ GIM_Reject,
     /* 316106 */ // Label 6362: @316106
     /* 316106 */ GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(316292), // Rule ID 6386 //
     /* 316111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 316114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316121 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316125 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 316129 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 316132 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 316136 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 316140 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316142 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 316149 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$ext), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 316149 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 316152 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 316156 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316161 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 316166 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 316171 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 316176 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 316181 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 316183 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 316186 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 316190 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316195 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 316197 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 316200 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 316204 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316209 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 316212 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 316215 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 316218 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316223 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316228 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 316233 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 316236 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 316240 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316245 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 316248 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 316251 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 316253 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 316256 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316260 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316265 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316272 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316277 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 316285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316287 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316290 */   GIR_RootConstrainSelectedInstOperands,
     /* 316291 */   // GIR_Coverage, 6386,
     /* 316291 */   GIR_EraseRootFromParent_Done,
     /* 316292 */ // Label 6391: @316292
     /* 316292 */ GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(316478), // Rule ID 6387 //
     /* 316297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 316300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316307 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316311 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 316315 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 316318 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 316322 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 316326 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316328 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 316335 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$ext), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 316335 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 316338 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 316342 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316347 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 316352 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 316357 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 316362 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 316367 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 316369 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 316372 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 316376 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316381 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 316383 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 316386 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 316390 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316395 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 316398 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 316401 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 316404 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316409 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316414 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 316419 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 316422 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 316426 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316431 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 316434 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 316437 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 316439 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 316442 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316446 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316451 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316458 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316463 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 316471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316473 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316476 */   GIR_RootConstrainSelectedInstOperands,
     /* 316477 */   // GIR_Coverage, 6387,
     /* 316477 */   GIR_EraseRootFromParent_Done,
     /* 316478 */ // Label 6392: @316478
     /* 316478 */ GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(316716), // Rule ID 6382 //
     /* 316483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 316486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316493 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316497 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 316501 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 316504 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 316511 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 316515 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316517 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 316524 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 316524 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 316527 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 316531 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316536 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 316541 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 316546 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 316551 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 316556 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 316558 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 316561 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 316565 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316570 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 316572 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 316575 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 316579 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316584 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 316587 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 316590 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 316593 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316598 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316603 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 316608 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 316611 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 316615 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316620 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 316623 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 316626 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 316628 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 316631 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316635 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316640 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316647 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316652 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316657 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 316660 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 316664 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316669 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 316672 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 316675 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 316677 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 316680 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316684 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316689 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316696 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316701 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 316709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316711 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316714 */   GIR_RootConstrainSelectedInstOperands,
     /* 316715 */   // GIR_Coverage, 6382,
     /* 316715 */   GIR_EraseRootFromParent_Done,
     /* 316716 */ // Label 6393: @316716
     /* 316716 */ GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(316954), // Rule ID 6383 //
     /* 316721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 316724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316731 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316735 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 316739 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 316742 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 316749 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 316753 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316755 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 316762 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$ext), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 316762 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 316765 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 316769 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316774 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 316779 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 316784 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // ext
     /* 316789 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 316794 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 316796 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 316799 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 316803 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316808 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 316810 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 316813 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 316817 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316822 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 316825 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 316828 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 316831 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316836 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316841 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 316846 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 316849 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 316853 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316858 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 316861 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 316864 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 316866 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 316869 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316873 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316878 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316885 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316890 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316895 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 316898 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 316902 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316907 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 316910 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 316913 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 316915 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 316918 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 316922 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 316927 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 316934 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316939 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 316944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 316947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 316949 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 316952 */   GIR_RootConstrainSelectedInstOperands,
     /* 316953 */   // GIR_Coverage, 6383,
     /* 316953 */   GIR_EraseRootFromParent_Done,
     /* 316954 */ // Label 6394: @316954
     /* 316954 */ GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(317135), // Rule ID 6388 //
     /* 316959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 316962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 316965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 316969 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 316973 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 316977 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 316980 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 316984 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 316988 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 316990 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 316997 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 316997 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 317000 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 317004 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317009 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317014 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 317019 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317024 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 317026 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 317029 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 317033 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317038 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 317040 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 317043 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317047 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317052 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 317055 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 317058 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 317061 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317066 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317071 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317076 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 317079 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 317083 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317088 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 317091 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 317094 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317096 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 317099 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317103 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317108 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317115 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317120 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 317128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317130 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317133 */   GIR_RootConstrainSelectedInstOperands,
     /* 317134 */   // GIR_Coverage, 6388,
     /* 317134 */   GIR_EraseRootFromParent_Done,
     /* 317135 */ // Label 6395: @317135
     /* 317135 */ GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(317316), // Rule ID 6389 //
     /* 317140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 317143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317150 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317154 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 317158 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 317161 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 317165 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 317169 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317171 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 317178 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 317178 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 317181 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 317185 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317190 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317195 */   GIR_ComplexSubOperandRenderer, /*InsnID*/5, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 317200 */   GIR_MergeMemOperands, /*InsnID*/5, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317205 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 317207 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s64,
     /* 317210 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 317214 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317219 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 317221 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 317224 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317228 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317233 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 317236 */   GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/4,
     /* 317239 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/18,
     /* 317242 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317247 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317252 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317257 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 317260 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 317264 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317269 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 317272 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 317275 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317277 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 317280 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317284 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317289 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317296 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317301 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 317309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317311 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317314 */   GIR_RootConstrainSelectedInstOperands,
     /* 317315 */   // GIR_Coverage, 6389,
     /* 317315 */   GIR_EraseRootFromParent_Done,
     /* 317316 */ // Label 6396: @317316
     /* 317316 */ GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(317549), // Rule ID 6384 //
     /* 317321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 317324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317331 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317335 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 317339 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 317342 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 317349 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 317353 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317355 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 317362 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 317362 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 317365 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 317369 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317374 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 317384 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317389 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 317391 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 317394 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 317398 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317403 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 317405 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 317408 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317412 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317417 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 317420 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 317423 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 317426 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317431 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317436 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 317441 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 317444 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 317448 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317453 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 317456 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 317459 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 317461 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 317464 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317468 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317473 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317480 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317485 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317490 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 317493 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 317497 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317502 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 317505 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 317508 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317510 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 317513 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317517 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317522 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317529 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317534 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 317542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317544 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317547 */   GIR_RootConstrainSelectedInstOperands,
     /* 317548 */   // GIR_Coverage, 6384,
     /* 317548 */   GIR_EraseRootFromParent_Done,
     /* 317549 */ // Label 6397: @317549
     /* 317549 */ GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(317782), // Rule ID 6385 //
     /* 317554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_NotForCodeSize_UseAlternateSExtLoadCVTF32),
     /* 317557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317564 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317568 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXTLOAD),
     /* 317572 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 317575 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 317582 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 317586 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317588 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 317595 */   // (sint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>)  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv2i32_shift:{ *:[f128] } (EXTRACT_SUBREG:{ *:[f64] } (SSHLLv4i16_shift:{ *:[f128] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }), 0:{ *:[i32] }), dsub:{ *:[i32] }))
     /* 317595 */   GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_s16,
     /* 317598 */   GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 317602 */   GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317607 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 317612 */   GIR_ComplexSubOperandRenderer, /*InsnID*/7, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 317617 */   GIR_MergeMemOperands, /*InsnID*/7, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 317622 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 317624 */   GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_s64,
     /* 317627 */   GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 317631 */   GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317636 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/6,
     /* 317638 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s64,
     /* 317641 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 317645 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317650 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 317653 */   GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/6,
     /* 317656 */   GIR_AddImm8, /*InsnID*/5, /*Imm*/9,
     /* 317659 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317664 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317669 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 317674 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 317677 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv4i16_shift),
     /* 317681 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317686 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 317689 */   GIR_AddImm8, /*InsnID*/4, /*Imm*/0,
     /* 317692 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 317694 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s64,
     /* 317697 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317701 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317706 */   GIR_AddTempSubRegister, /*InsnID*/3, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317713 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317718 */   GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317723 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 317726 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SSHLLv2i32_shift),
     /* 317730 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317735 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 317738 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 317741 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 317743 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 317746 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317750 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317755 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 317762 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317767 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 317775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317777 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317780 */   GIR_RootConstrainSelectedInstOperands,
     /* 317781 */   // GIR_Coverage, 6385,
     /* 317781 */   GIR_EraseRootFromParent_Done,
     /* 317782 */ // Label 6398: @317782
     /* 317782 */ GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(317862), // Rule ID 2446 //
     /* 317787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 317790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 317793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317797 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317801 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 317805 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 317809 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 317813 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317818 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 317822 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317824 */   // (sint_to_fp:{ *:[f64] } (extractelt:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFDSr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 317824 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 317827 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317831 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317836 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 317842 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 317847 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFDSr),
     /* 317855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317857 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317860 */   GIR_RootConstrainSelectedInstOperands,
     /* 317861 */   // GIR_Coverage, 2446,
     /* 317861 */   GIR_EraseRootFromParent_Done,
     /* 317862 */ // Label 6399: @317862
     /* 317862 */ GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(317942), // Rule ID 5321 //
     /* 317867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 317870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 317873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317877 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317881 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 317885 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 317889 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 317893 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317898 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 317902 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317904 */   // (sint_to_fp:{ *:[f64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (SCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 317904 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 317907 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 317911 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317916 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 317922 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317927 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 317932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 317935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317937 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317940 */   GIR_RootConstrainSelectedInstOperands,
     /* 317941 */   // GIR_Coverage, 5321,
     /* 317941 */   GIR_EraseRootFromParent_Done,
     /* 317942 */ // Label 6400: @317942
     /* 317942 */ GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(317999), // Rule ID 5298 //
     /* 317947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 317950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 317953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 317957 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 317961 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOSI),
     /* 317965 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 317969 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 317971 */   // (sint_to_fp:{ *:[f64] } (fp_to_sint:{ *:[i64] } f64:{ *:[f64] }:$Rn))  =>  (SCVTFv1i64:{ *:[f64] } (FCVTZSv1i64:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /* 317971 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 317974 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv1i64),
     /* 317978 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 317983 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 317987 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 317989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 317992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 317994 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 317997 */   GIR_RootConstrainSelectedInstOperands,
     /* 317998 */   // GIR_Coverage, 5298,
     /* 317998 */   GIR_EraseRootFromParent_Done,
     /* 317999 */ // Label 6401: @317999
     /* 317999 */ GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(318029), // Rule ID 447 //
     /* 318004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 318007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 318018 */   // (sint_to_fp:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)  =>  (SCVTFUWDri:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)
     /* 318018 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUWDri),
     /* 318023 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318027 */   GIR_RootConstrainSelectedInstOperands,
     /* 318028 */   // GIR_Coverage, 447,
     /* 318028 */   GIR_Done,
     /* 318029 */ // Label 6402: @318029
     /* 318029 */ GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(318059), // Rule ID 453 //
     /* 318034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 318037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 318040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 318048 */   // (sint_to_fp:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)  =>  (SCVTFUXDri:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)
     /* 318048 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFUXDri),
     /* 318053 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318057 */   GIR_RootConstrainSelectedInstOperands,
     /* 318058 */   // GIR_Coverage, 453,
     /* 318058 */   GIR_Done,
     /* 318059 */ // Label 6403: @318059
     /* 318059 */ GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(318089), // Rule ID 493 //
     /* 318064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 318067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318078 */   // (sint_to_fp:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)  =>  (SCVTFDSr:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)
     /* 318078 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFDSr),
     /* 318083 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318087 */   GIR_RootConstrainSelectedInstOperands,
     /* 318088 */   // GIR_Coverage, 493,
     /* 318088 */   GIR_Done,
     /* 318089 */ // Label 6404: @318089
     /* 318089 */ GIM_Reject,
     /* 318090 */ // Label 6363: @318090
     /* 318090 */ GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(318120), // Rule ID 1017 //
     /* 318095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 318098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 318101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318109 */   // (sint_to_fp:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)  =>  (SCVTFv2f32:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)
     /* 318109 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2f32),
     /* 318114 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318118 */   GIR_RootConstrainSelectedInstOperands,
     /* 318119 */   // GIR_Coverage, 1017,
     /* 318119 */   GIR_Done,
     /* 318120 */ // Label 6405: @318120
     /* 318120 */ GIM_Reject,
     /* 318121 */ // Label 6364: @318121
     /* 318121 */ GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(318151), // Rule ID 1021 //
     /* 318126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 318129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 318132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318140 */   // (sint_to_fp:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)  =>  (SCVTFv2f64:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)
     /* 318140 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv2f64),
     /* 318145 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318149 */   GIR_RootConstrainSelectedInstOperands,
     /* 318150 */   // GIR_Coverage, 1021,
     /* 318150 */   GIR_Done,
     /* 318151 */ // Label 6406: @318151
     /* 318151 */ GIM_Reject,
     /* 318152 */ // Label 6365: @318152
     /* 318152 */ GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(318182), // Rule ID 1013 //
     /* 318157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 318160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 318163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318171 */   // (sint_to_fp:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)  =>  (SCVTFv4f16:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)
     /* 318171 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4f16),
     /* 318176 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318180 */   GIR_RootConstrainSelectedInstOperands,
     /* 318181 */   // GIR_Coverage, 1013,
     /* 318181 */   GIR_Done,
     /* 318182 */ // Label 6407: @318182
     /* 318182 */ GIM_Reject,
     /* 318183 */ // Label 6366: @318183
     /* 318183 */ GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(318213), // Rule ID 1019 //
     /* 318188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 318191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 318194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318202 */   // (sint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)  =>  (SCVTFv4f32:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)
     /* 318202 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv4f32),
     /* 318207 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318211 */   GIR_RootConstrainSelectedInstOperands,
     /* 318212 */   // GIR_Coverage, 1019,
     /* 318212 */   GIR_Done,
     /* 318213 */ // Label 6408: @318213
     /* 318213 */ GIM_Reject,
     /* 318214 */ // Label 6367: @318214
     /* 318214 */ GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(318244), // Rule ID 1015 //
     /* 318219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 318222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 318225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318233 */   // (sint_to_fp:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)  =>  (SCVTFv8f16:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)
     /* 318233 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv8f16),
     /* 318238 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318242 */   GIR_RootConstrainSelectedInstOperands,
     /* 318243 */   // GIR_Coverage, 1015,
     /* 318243 */   GIR_Done,
     /* 318244 */ // Label 6409: @318244
     /* 318244 */ GIM_Reject,
     /* 318245 */ // Label 6368: @318245
     /* 318245 */ GIM_Reject,
     /* 318246 */ // Label 68: @318246
     /* 318246 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6418*/ GIMT_Encode4(322251),
     /* 318257 */ /*GILLT_s16*//*Label 6410*/ GIMT_Encode4(318297),
     /* 318261 */ /*GILLT_s32*//*Label 6411*/ GIMT_Encode4(318742),
     /* 318265 */ /*GILLT_s64*//*Label 6412*/ GIMT_Encode4(320150), GIMT_Encode4(0),
     /* 318273 */ /*GILLT_v2s32*//*Label 6413*/ GIMT_Encode4(322096),
     /* 318277 */ /*GILLT_v2s64*//*Label 6414*/ GIMT_Encode4(322127),
     /* 318281 */ /*GILLT_v4s16*//*Label 6415*/ GIMT_Encode4(322158),
     /* 318285 */ /*GILLT_v4s32*//*Label 6416*/ GIMT_Encode4(322189), GIMT_Encode4(0),
     /* 318293 */ /*GILLT_v8s16*//*Label 6417*/ GIMT_Encode4(322220),
     /* 318297 */ // Label 6410: @318297
     /* 318297 */ GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(318404), // Rule ID 5324 //
     /* 318302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 318305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318312 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318316 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 318320 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 318324 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 318328 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 318332 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 318336 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 318340 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 318344 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318349 */   GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 318353 */   GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /* 318364 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 318366 */   // (uint_to_fp:{ *:[f16] } (and:{ *:[i32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), 65535:{ *:[i32] }))  =>  (UCVTFv1i16:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } FPR128:{ *:[v8i16] }:$Rn, hsub:{ *:[i32] }))
     /* 318366 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 318369 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 318373 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318378 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 318384 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318389 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i16),
     /* 318397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318399 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318402 */   GIR_RootConstrainSelectedInstOperands,
     /* 318403 */   // GIR_Coverage, 5324,
     /* 318403 */   GIR_EraseRootFromParent_Done,
     /* 318404 */ // Label 6419: @318404
     /* 318404 */ GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(318484), // Rule ID 4748 //
     /* 318409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 318412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318419 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318423 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 318427 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 318431 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 318435 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318440 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 318444 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318446 */   // (uint_to_fp:{ *:[f16] } (extractelt:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFHSr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 318446 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 318449 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 318453 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318458 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 318464 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318469 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318474 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFHSr),
     /* 318477 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318479 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318482 */   GIR_RootConstrainSelectedInstOperands,
     /* 318483 */   // GIR_Coverage, 4748,
     /* 318483 */   GIR_EraseRootFromParent_Done,
     /* 318484 */ // Label 6420: @318484
     /* 318484 */ GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(318564), // Rule ID 4752 //
     /* 318489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 318492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 318495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318499 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318503 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 318507 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 318511 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 318515 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318520 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 318524 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318526 */   // (uint_to_fp:{ *:[f16] } (extractelt:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFHDr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 318526 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 318529 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 318533 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318538 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 318544 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318549 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 318554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFHDr),
     /* 318557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318559 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318562 */   GIR_RootConstrainSelectedInstOperands,
     /* 318563 */   // GIR_Coverage, 4752,
     /* 318563 */   GIR_EraseRootFromParent_Done,
     /* 318564 */ // Label 6421: @318564
     /* 318564 */ GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(318621), // Rule ID 5318 //
     /* 318569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsSME2p2StreamingSafe),
     /* 318572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318579 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318583 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOUI),
     /* 318587 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 318591 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318593 */   // (uint_to_fp:{ *:[f16] } (fp_to_uint:{ *:[i32] } f16:{ *:[f16] }:$Rn))  =>  (UCVTFv1i16:{ *:[f16] } (FCVTZUv1f16:{ *:[f16] } f16:{ *:[f16] }:$Rn))
     /* 318593 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 318596 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1f16),
     /* 318600 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318605 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 318609 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 318611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i16),
     /* 318614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318616 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318619 */   GIR_RootConstrainSelectedInstOperands,
     /* 318620 */   // GIR_Coverage, 5318,
     /* 318620 */   GIR_EraseRootFromParent_Done,
     /* 318621 */ // Label 6422: @318621
     /* 318621 */ GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(318651), // Rule ID 467 //
     /* 318626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 318629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 318640 */   // (uint_to_fp:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)  =>  (UCVTFUWHri:{ *:[f16] } GPR32:{ *:[i32] }:$Rn)
     /* 318640 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUWHri),
     /* 318645 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318649 */   GIR_RootConstrainSelectedInstOperands,
     /* 318650 */   // GIR_Coverage, 467,
     /* 318650 */   GIR_Done,
     /* 318651 */ // Label 6423: @318651
     /* 318651 */ GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(318681), // Rule ID 473 //
     /* 318656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 318659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 318662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 318670 */   // (uint_to_fp:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)  =>  (UCVTFUXHri:{ *:[f16] } GPR64:{ *:[i64] }:$Rn)
     /* 318670 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUXHri),
     /* 318675 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318679 */   GIR_RootConstrainSelectedInstOperands,
     /* 318680 */   // GIR_Coverage, 473,
     /* 318680 */   GIR_Done,
     /* 318681 */ // Label 6424: @318681
     /* 318681 */ GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(318711), // Rule ID 499 //
     /* 318686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 318689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318700 */   // (uint_to_fp:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)  =>  (UCVTFHSr:{ *:[f16] } FPR32:{ *:[i32] }:$Rn)
     /* 318700 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFHSr),
     /* 318705 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318709 */   GIR_RootConstrainSelectedInstOperands,
     /* 318710 */   // GIR_Coverage, 499,
     /* 318710 */   GIR_Done,
     /* 318711 */ // Label 6425: @318711
     /* 318711 */ GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(318741), // Rule ID 503 //
     /* 318716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 318719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 318722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 318726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 318730 */   // (uint_to_fp:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)  =>  (UCVTFHDr:{ *:[f16] } FPR64:{ *:[i64] }:$Rn)
     /* 318730 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFHDr),
     /* 318735 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 318739 */   GIR_RootConstrainSelectedInstOperands,
     /* 318740 */   // GIR_Coverage, 503,
     /* 318740 */   GIR_Done,
     /* 318741 */ // Label 6426: @318741
     /* 318741 */ GIM_Reject,
     /* 318742 */ // Label 6411: @318742
     /* 318742 */ GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(318882), // Rule ID 5325 //
     /* 318747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 318750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318757 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318761 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 318765 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 318768 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 318775 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 318779 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318781 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 318788 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 318788 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 318791 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 318795 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318800 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 318805 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 318810 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 318815 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 318820 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 318822 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 318825 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 318829 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318834 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318836 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 318839 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 318843 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318848 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318851 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 318854 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 318857 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318862 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318867 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 318872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 318875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 318877 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 318880 */   GIR_RootConstrainSelectedInstOperands,
     /* 318881 */   // GIR_Coverage, 5325,
     /* 318881 */   GIR_EraseRootFromParent_Done,
     /* 318882 */ // Label 6427: @318882
     /* 318882 */ GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(319022), // Rule ID 5326 //
     /* 318887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 318890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 318893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 318897 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 318901 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 318905 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 318908 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 318915 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 318919 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 318921 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 318928 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 318928 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 318931 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 318935 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318940 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 318945 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 318950 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 318955 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 318960 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 318962 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 318965 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 318969 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318974 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 318976 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 318979 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 318983 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 318988 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 318991 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 318994 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 318997 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319002 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319007 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 319012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319017 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319020 */   GIR_RootConstrainSelectedInstOperands,
     /* 319021 */   // GIR_Coverage, 5326,
     /* 319021 */   GIR_EraseRootFromParent_Done,
     /* 319022 */ // Label 6428: @319022
     /* 319022 */ GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(319162), // Rule ID 5329 //
     /* 319027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319037 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319041 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319045 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319048 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 319055 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319059 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319061 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 319068 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 319068 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 319071 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 319075 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319080 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319085 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 319090 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 319095 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319100 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319102 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 319105 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319109 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319114 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319116 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319119 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319123 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319128 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319131 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319134 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 319137 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319142 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319147 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 319152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319157 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319160 */   GIR_RootConstrainSelectedInstOperands,
     /* 319161 */   // GIR_Coverage, 5329,
     /* 319161 */   GIR_EraseRootFromParent_Done,
     /* 319162 */ // Label 6429: @319162
     /* 319162 */ GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(319302), // Rule ID 5330 //
     /* 319167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319177 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319181 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319185 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319188 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 319195 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319199 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319201 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 319208 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 319208 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 319211 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 319215 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319220 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319225 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 319230 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 319235 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319240 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319242 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 319245 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319249 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319254 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319256 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319259 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319263 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319268 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319271 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319274 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 319277 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319282 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319287 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 319292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319297 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319300 */   GIR_RootConstrainSelectedInstOperands,
     /* 319301 */   // GIR_Coverage, 5330,
     /* 319301 */   GIR_EraseRootFromParent_Done,
     /* 319302 */ // Label 6430: @319302
     /* 319302 */ GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(319437), // Rule ID 5327 //
     /* 319307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319317 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319321 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319325 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319328 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 319335 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319339 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319341 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 319348 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] }))
     /* 319348 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 319351 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 319355 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319360 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319365 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 319370 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319375 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319377 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 319380 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319384 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319389 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319391 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319394 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319398 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319403 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319406 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319409 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 319412 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319417 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319422 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 319427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319432 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319435 */   GIR_RootConstrainSelectedInstOperands,
     /* 319436 */   // GIR_Coverage, 5327,
     /* 319436 */   GIR_EraseRootFromParent_Done,
     /* 319437 */ // Label 6431: @319437
     /* 319437 */ GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(319572), // Rule ID 5328 //
     /* 319442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319452 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319456 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319460 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319463 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 319470 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319474 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319476 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 319483 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] }))
     /* 319483 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 319486 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 319490 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319495 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319500 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 319505 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319510 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319512 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 319515 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319519 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319524 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319526 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319529 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319533 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319538 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319541 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319544 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 319547 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319552 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319557 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 319562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319567 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319570 */   GIR_RootConstrainSelectedInstOperands,
     /* 319571 */   // GIR_Coverage, 5328,
     /* 319571 */   GIR_EraseRootFromParent_Done,
     /* 319572 */ // Label 6432: @319572
     /* 319572 */ GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(319707), // Rule ID 5331 //
     /* 319577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319587 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319591 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319595 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319598 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 319605 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319609 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319611 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 319618 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }))
     /* 319618 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 319621 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 319625 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319630 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319635 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 319640 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319645 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319647 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 319650 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319654 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319659 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319661 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319664 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319668 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319673 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319676 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319679 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 319682 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319687 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319692 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 319697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319702 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319705 */   GIR_RootConstrainSelectedInstOperands,
     /* 319706 */   // GIR_Coverage, 5331,
     /* 319706 */   GIR_EraseRootFromParent_Done,
     /* 319707 */ // Label 6433: @319707
     /* 319707 */ GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(319842), // Rule ID 5332 //
     /* 319712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319722 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319726 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 319730 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 319733 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 319740 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 319744 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319746 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 319753 */   // (uint_to_fp:{ *:[f32] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i32:{ *:[f32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }))
     /* 319753 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 319756 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 319760 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319765 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 319770 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 319775 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 319780 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 319782 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 319785 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 319789 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319794 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 319796 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319799 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 319803 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319808 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 319811 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 319814 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 319817 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319822 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319827 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 319832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319837 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319840 */   GIR_RootConstrainSelectedInstOperands,
     /* 319841 */   // GIR_Coverage, 5332,
     /* 319841 */   GIR_EraseRootFromParent_Done,
     /* 319842 */ // Label 6434: @319842
     /* 319842 */ GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(319922), // Rule ID 4754 //
     /* 319847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 319850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 319853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319857 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319861 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 319865 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 319869 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 319873 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 319878 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 319882 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319884 */   // (uint_to_fp:{ *:[f32] } (extractelt:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFSDr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 319884 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 319887 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 319891 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319896 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 319902 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 319907 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 319912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFSDr),
     /* 319915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319917 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 319920 */   GIR_RootConstrainSelectedInstOperands,
     /* 319921 */   // GIR_Coverage, 4754,
     /* 319921 */   GIR_EraseRootFromParent_Done,
     /* 319922 */ // Label 6435: @319922
     /* 319922 */ GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(320002), // Rule ID 5320 //
     /* 319927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 319930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 319933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319937 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 319941 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 319945 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 319949 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 319953 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 319958 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 319962 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 319964 */   // (uint_to_fp:{ *:[f32] } (vector_extract:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFv1i32:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } FPR128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 319964 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 319967 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 319971 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 319976 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 319982 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 319987 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 319992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 319995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 319997 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320000 */   GIR_RootConstrainSelectedInstOperands,
     /* 320001 */   // GIR_Coverage, 5320,
     /* 320001 */   GIR_EraseRootFromParent_Done,
     /* 320002 */ // Label 6436: @320002
     /* 320002 */ GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(320059), // Rule ID 5310 //
     /* 320007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320017 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320021 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOUI),
     /* 320025 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 320029 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320031 */   // (uint_to_fp:{ *:[f32] } (fp_to_uint:{ *:[i32] } f32:{ *:[f32] }:$Rn))  =>  (UCVTFv1i32:{ *:[f32] } (FCVTZUv1i32:{ *:[i32] } f32:{ *:[f32] }:$Rn))
     /* 320031 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 320034 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1i32),
     /* 320038 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320043 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 320047 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 320049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 320052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320054 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320057 */   GIR_RootConstrainSelectedInstOperands,
     /* 320058 */   // GIR_Coverage, 5310,
     /* 320058 */   GIR_EraseRootFromParent_Done,
     /* 320059 */ // Label 6437: @320059
     /* 320059 */ GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(320089), // Rule ID 469 //
     /* 320064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 320067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 320078 */   // (uint_to_fp:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)  =>  (UCVTFUWSri:{ *:[f32] } GPR32:{ *:[i32] }:$Rn)
     /* 320078 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUWSri),
     /* 320083 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320087 */   GIR_RootConstrainSelectedInstOperands,
     /* 320088 */   // GIR_Coverage, 469,
     /* 320088 */   GIR_Done,
     /* 320089 */ // Label 6438: @320089
     /* 320089 */ GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(320119), // Rule ID 475 //
     /* 320094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 320097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 320100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 320108 */   // (uint_to_fp:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)  =>  (UCVTFUXSri:{ *:[f32] } GPR64:{ *:[i64] }:$Rn)
     /* 320108 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUXSri),
     /* 320113 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320117 */   GIR_RootConstrainSelectedInstOperands,
     /* 320118 */   // GIR_Coverage, 475,
     /* 320118 */   GIR_Done,
     /* 320119 */ // Label 6439: @320119
     /* 320119 */ GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(320149), // Rule ID 505 //
     /* 320124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 320127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 320130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320138 */   // (uint_to_fp:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)  =>  (UCVTFSDr:{ *:[f32] } FPR64:{ *:[i64] }:$Rn)
     /* 320138 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFSDr),
     /* 320143 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 320147 */   GIR_RootConstrainSelectedInstOperands,
     /* 320148 */   // GIR_Coverage, 505,
     /* 320148 */   GIR_Done,
     /* 320149 */ // Label 6440: @320149
     /* 320149 */ GIM_Reject,
     /* 320150 */ // Label 6412: @320150
     /* 320150 */ GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(320287), // Rule ID 5341 //
     /* 320155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320165 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320169 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 320173 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 320176 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 320180 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 320184 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320186 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 320193 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] }))
     /* 320193 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 320196 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 320200 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320205 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 320210 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 320215 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 320220 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 320225 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 320227 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 320230 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 320234 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320239 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320241 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320244 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 320248 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320253 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320256 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 320259 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 320262 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320267 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320272 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 320280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320282 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320285 */   GIR_RootConstrainSelectedInstOperands,
     /* 320286 */   // GIR_Coverage, 5341,
     /* 320286 */   GIR_EraseRootFromParent_Done,
     /* 320287 */ // Label 6441: @320287
     /* 320287 */ GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(320424), // Rule ID 5342 //
     /* 320292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320302 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320306 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 320310 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 320313 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 320317 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 320321 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320323 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 320330 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] }))
     /* 320330 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 320333 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 320337 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320342 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 320347 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 320352 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 320357 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 320362 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 320364 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 320367 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 320371 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320376 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320378 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320381 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 320385 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320390 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320393 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 320396 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 320399 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320404 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320409 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 320414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 320417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320419 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320422 */   GIR_RootConstrainSelectedInstOperands,
     /* 320423 */   // GIR_Coverage, 5342,
     /* 320423 */   GIR_EraseRootFromParent_Done,
     /* 320424 */ // Label 6442: @320424
     /* 320424 */ GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(320564), // Rule ID 5333 //
     /* 320429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320439 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320443 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 320447 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 320450 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 320457 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 320461 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320463 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 320470 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 320470 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 320473 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 320477 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320482 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 320487 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 320492 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 320497 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 320502 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 320504 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 320507 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 320511 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320516 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320518 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320521 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 320525 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320530 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320533 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 320536 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 320539 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320544 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320549 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 320554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 320557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320559 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320562 */   GIR_RootConstrainSelectedInstOperands,
     /* 320563 */   // GIR_Coverage, 5333,
     /* 320563 */   GIR_EraseRootFromParent_Done,
     /* 320564 */ // Label 6443: @320564
     /* 320564 */ GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(320704), // Rule ID 5334 //
     /* 320569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320579 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320583 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 320587 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 320590 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 320597 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 320601 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320603 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 320610 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] }))
     /* 320610 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 320613 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 320617 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320622 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 320627 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 320632 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 320637 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 320642 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 320644 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 320647 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 320651 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320656 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320658 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320661 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 320665 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320670 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320673 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 320676 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 320679 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320684 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320689 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 320694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 320697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320699 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320702 */   GIR_RootConstrainSelectedInstOperands,
     /* 320703 */   // GIR_Coverage, 5334,
     /* 320703 */   GIR_EraseRootFromParent_Done,
     /* 320704 */ // Label 6444: @320704
     /* 320704 */ GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(320844), // Rule ID 5337 //
     /* 320709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320719 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320723 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 320727 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 320730 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 320737 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 320741 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320743 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 320750 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 320750 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 320753 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 320757 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320762 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 320767 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 320772 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 320777 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 320782 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 320784 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 320787 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 320791 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320796 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320798 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320801 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 320805 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320810 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320813 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 320816 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 320819 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320824 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320829 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 320834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 320837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320839 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320842 */   GIR_RootConstrainSelectedInstOperands,
     /* 320843 */   // GIR_Coverage, 5337,
     /* 320843 */   GIR_EraseRootFromParent_Done,
     /* 320844 */ // Label 6445: @320844
     /* 320844 */ GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(320984), // Rule ID 5338 //
     /* 320849 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320852 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320859 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 320863 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 320867 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 320870 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 320877 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 320881 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 320883 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 320890 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] }))
     /* 320890 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 320893 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 320897 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320902 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 320907 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 320912 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 320917 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 320922 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 320924 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 320927 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 320931 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320936 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 320938 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 320941 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 320945 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 320950 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 320953 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 320956 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 320959 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320964 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320969 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 320974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 320977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 320979 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 320982 */   GIR_RootConstrainSelectedInstOperands,
     /* 320983 */   // GIR_Coverage, 5338,
     /* 320983 */   GIR_EraseRootFromParent_Done,
     /* 320984 */ // Label 6446: @320984
     /* 320984 */ GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(321116), // Rule ID 5343 //
     /* 320989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 320992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 320995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 320999 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321003 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 321007 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 321010 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 321014 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 321018 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321020 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 321027 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] }))
     /* 321027 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 321030 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 321034 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321039 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 321044 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 321049 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 321054 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 321056 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 321059 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 321063 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321068 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321070 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321073 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 321077 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321082 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321085 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 321088 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 321091 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321096 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321101 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 321106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321111 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321114 */   GIR_RootConstrainSelectedInstOperands,
     /* 321115 */   // GIR_Coverage, 5343,
     /* 321115 */   GIR_EraseRootFromParent_Done,
     /* 321116 */ // Label 6447: @321116
     /* 321116 */ GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(321248), // Rule ID 5344 //
     /* 321121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 321124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321131 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321135 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 321139 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 321142 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 321146 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 321150 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321152 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 321159 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] }))
     /* 321159 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 321162 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 321166 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321171 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 321176 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 321181 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 321186 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 321188 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 321191 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 321195 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321200 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321202 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321205 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 321209 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321214 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321217 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 321220 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 321223 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321228 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321233 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 321238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321243 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321246 */   GIR_RootConstrainSelectedInstOperands,
     /* 321247 */   // GIR_Coverage, 5344,
     /* 321247 */   GIR_EraseRootFromParent_Done,
     /* 321248 */ // Label 6448: @321248
     /* 321248 */ GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(321383), // Rule ID 5335 //
     /* 321253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 321256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321263 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321267 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 321271 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 321274 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 321281 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 321285 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321287 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 321294 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] }))
     /* 321294 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 321297 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 321301 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321306 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 321311 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 321316 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 321321 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 321323 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 321326 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 321330 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321335 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321337 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321340 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 321344 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321349 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321352 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 321355 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 321358 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321363 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321368 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 321373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321378 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321381 */   GIR_RootConstrainSelectedInstOperands,
     /* 321382 */   // GIR_Coverage, 5335,
     /* 321382 */   GIR_EraseRootFromParent_Done,
     /* 321383 */ // Label 6449: @321383
     /* 321383 */ GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(321518), // Rule ID 5336 //
     /* 321388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 321391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321398 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321402 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 321406 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 321409 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 321416 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 321420 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321422 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 321429 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] }))
     /* 321429 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s8,
     /* 321432 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 321436 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321441 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 321446 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 321451 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 321456 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 321458 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 321461 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 321465 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321470 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321472 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321475 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 321479 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321484 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321487 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 321490 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 321493 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321498 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321503 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 321508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321513 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321516 */   GIR_RootConstrainSelectedInstOperands,
     /* 321517 */   // GIR_Coverage, 5336,
     /* 321517 */   GIR_EraseRootFromParent_Done,
     /* 321518 */ // Label 6450: @321518
     /* 321518 */ GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(321653), // Rule ID 5339 //
     /* 321523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 321526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321533 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321537 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 321541 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 321544 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 321551 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 321555 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321557 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 321564 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] }))
     /* 321564 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 321567 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 321571 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321576 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 321581 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 321586 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 321591 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 321593 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 321596 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 321600 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321605 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321607 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321610 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 321614 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321619 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321622 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 321625 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 321628 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321633 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321638 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 321643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321648 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321651 */   GIR_RootConstrainSelectedInstOperands,
     /* 321652 */   // GIR_Coverage, 5339,
     /* 321652 */   GIR_EraseRootFromParent_Done,
     /* 321653 */ // Label 6451: @321653
     /* 321653 */ GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(321788), // Rule ID 5340 //
     /* 321658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 321661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321668 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321672 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXTLOAD),
     /* 321676 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 321679 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 321686 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 321690 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321692 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 321699 */   // (uint_to_fp:{ *:[f64] } (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>)  =>  (UCVTFv1i64:{ *:[f64] } (INSERT_SUBREG:{ *:[f64] } (IMPLICIT_DEF:{ *:[f64] }), (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] }))
     /* 321699 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s16,
     /* 321702 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 321706 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321711 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 321716 */   GIR_ComplexSubOperandRenderer, /*InsnID*/3, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 321721 */   GIR_MergeMemOperands, /*InsnID*/3, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 321726 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 321728 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 321731 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 321735 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321740 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 321742 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321745 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 321749 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321754 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 321757 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 321760 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 321763 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321768 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321773 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 321778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321783 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321786 */   GIR_RootConstrainSelectedInstOperands,
     /* 321787 */   // GIR_Coverage, 5340,
     /* 321787 */   GIR_EraseRootFromParent_Done,
     /* 321788 */ // Label 6452: @321788
     /* 321788 */ GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(321868), // Rule ID 4750 //
     /* 321793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 321796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 321799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321803 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321807 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 321811 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 321815 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 321819 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 321824 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 321828 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321830 */   // (uint_to_fp:{ *:[f64] } (extractelt:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFDSr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, ssub:{ *:[i32] }))
     /* 321830 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 321833 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 321837 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321842 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 321848 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 321853 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 321858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFDSr),
     /* 321861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321863 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321866 */   GIR_RootConstrainSelectedInstOperands,
     /* 321867 */   // GIR_Coverage, 4750,
     /* 321867 */   GIR_EraseRootFromParent_Done,
     /* 321868 */ // Label 6453: @321868
     /* 321868 */ GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(321948), // Rule ID 5322 //
     /* 321873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 321876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 321879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321883 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321887 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 321891 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 321895 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 321899 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 321904 */   GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 321908 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321910 */   // (uint_to_fp:{ *:[f64] } (vector_extract:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }))  =>  (UCVTFv1i64:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] }))
     /* 321910 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321913 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 321917 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321922 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 321928 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321933 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 321938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 321943 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 321946 */   GIR_RootConstrainSelectedInstOperands,
     /* 321947 */   // GIR_Coverage, 5322,
     /* 321947 */   GIR_EraseRootFromParent_Done,
     /* 321948 */ // Label 6454: @321948
     /* 321948 */ GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(322005), // Rule ID 5306 //
     /* 321953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsSME2p2StreamingSafe),
     /* 321956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 321959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 321963 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 321967 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FPTOUI),
     /* 321971 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 321975 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 321977 */   // (uint_to_fp:{ *:[f64] } (fp_to_uint:{ *:[i64] } f64:{ *:[f64] }:$Rn))  =>  (UCVTFv1i64:{ *:[f64] } (FCVTZUv1i64:{ *:[i64] } f64:{ *:[f64] }:$Rn))
     /* 321977 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 321980 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv1i64),
     /* 321984 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 321989 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 321993 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 321995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 321998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 322000 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 322003 */   GIR_RootConstrainSelectedInstOperands,
     /* 322004 */   // GIR_Coverage, 5306,
     /* 322004 */   GIR_EraseRootFromParent_Done,
     /* 322005 */ // Label 6455: @322005
     /* 322005 */ GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(322035), // Rule ID 471 //
     /* 322010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 322013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 322024 */   // (uint_to_fp:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)  =>  (UCVTFUWDri:{ *:[f64] } GPR32:{ *:[i32] }:$Rn)
     /* 322024 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUWDri),
     /* 322029 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322033 */   GIR_RootConstrainSelectedInstOperands,
     /* 322034 */   // GIR_Coverage, 471,
     /* 322034 */   GIR_Done,
     /* 322035 */ // Label 6456: @322035
     /* 322035 */ GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(322065), // Rule ID 477 //
     /* 322040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 322043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322054 */   // (uint_to_fp:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)  =>  (UCVTFUXDri:{ *:[f64] } GPR64:{ *:[i64] }:$Rn)
     /* 322054 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFUXDri),
     /* 322059 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322063 */   GIR_RootConstrainSelectedInstOperands,
     /* 322064 */   // GIR_Coverage, 477,
     /* 322064 */   GIR_Done,
     /* 322065 */ // Label 6457: @322065
     /* 322065 */ GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(322095), // Rule ID 501 //
     /* 322070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPRCVT_HasNEON),
     /* 322073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 322084 */   // (uint_to_fp:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)  =>  (UCVTFDSr:{ *:[f64] } FPR32:{ *:[i32] }:$Rn)
     /* 322084 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFDSr),
     /* 322089 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322093 */   GIR_RootConstrainSelectedInstOperands,
     /* 322094 */   // GIR_Coverage, 501,
     /* 322094 */   GIR_Done,
     /* 322095 */ // Label 6458: @322095
     /* 322095 */ GIM_Reject,
     /* 322096 */ // Label 6413: @322096
     /* 322096 */ GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(322126), // Rule ID 1078 //
     /* 322101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 322107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322115 */   // (uint_to_fp:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)  =>  (UCVTFv2f32:{ *:[v2f32] } V64:{ *:[v2i32] }:$Rn)
     /* 322115 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2f32),
     /* 322120 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322124 */   GIR_RootConstrainSelectedInstOperands,
     /* 322125 */   // GIR_Coverage, 1078,
     /* 322125 */   GIR_Done,
     /* 322126 */ // Label 6459: @322126
     /* 322126 */ GIM_Reject,
     /* 322127 */ // Label 6414: @322127
     /* 322127 */ GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(322157), // Rule ID 1082 //
     /* 322132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 322138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322146 */   // (uint_to_fp:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)  =>  (UCVTFv2f64:{ *:[v2f64] } V128:{ *:[v2i64] }:$Rn)
     /* 322146 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv2f64),
     /* 322151 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322155 */   GIR_RootConstrainSelectedInstOperands,
     /* 322156 */   // GIR_Coverage, 1082,
     /* 322156 */   GIR_Done,
     /* 322157 */ // Label 6460: @322157
     /* 322157 */ GIM_Reject,
     /* 322158 */ // Label 6415: @322158
     /* 322158 */ GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(322188), // Rule ID 1074 //
     /* 322163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 322166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 322169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322177 */   // (uint_to_fp:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)  =>  (UCVTFv4f16:{ *:[v4f16] } V64:{ *:[v4i16] }:$Rn)
     /* 322177 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4f16),
     /* 322182 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322186 */   GIR_RootConstrainSelectedInstOperands,
     /* 322187 */   // GIR_Coverage, 1074,
     /* 322187 */   GIR_Done,
     /* 322188 */ // Label 6461: @322188
     /* 322188 */ GIM_Reject,
     /* 322189 */ // Label 6416: @322189
     /* 322189 */ GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(322219), // Rule ID 1080 //
     /* 322194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 322197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 322200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322208 */   // (uint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)  =>  (UCVTFv4f32:{ *:[v4f32] } V128:{ *:[v4i32] }:$Rn)
     /* 322208 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv4f32),
     /* 322213 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322217 */   GIR_RootConstrainSelectedInstOperands,
     /* 322218 */   // GIR_Coverage, 1080,
     /* 322218 */   GIR_Done,
     /* 322219 */ // Label 6462: @322219
     /* 322219 */ GIM_Reject,
     /* 322220 */ // Label 6417: @322220
     /* 322220 */ GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(322250), // Rule ID 1076 //
     /* 322225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 322228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 322231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322239 */   // (uint_to_fp:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)  =>  (UCVTFv8f16:{ *:[v8f16] } V128:{ *:[v8i16] }:$Rn)
     /* 322239 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv8f16),
     /* 322244 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322248 */   GIR_RootConstrainSelectedInstOperands,
     /* 322249 */   // GIR_Coverage, 1076,
     /* 322249 */   GIR_Done,
     /* 322250 */ // Label 6463: @322250
     /* 322250 */ GIM_Reject,
     /* 322251 */ // Label 6418: @322251
     /* 322251 */ GIM_Reject,
     /* 322252 */ // Label 69: @322252
     /* 322252 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6471*/ GIMT_Encode4(322571),
     /* 322263 */ /*GILLT_s32*//*Label 6464*/ GIMT_Encode4(322299),
     /* 322267 */ /*GILLT_s64*//*Label 6465*/ GIMT_Encode4(322372), GIMT_Encode4(0),
     /* 322275 */ /*GILLT_v2s32*//*Label 6466*/ GIMT_Encode4(322445),
     /* 322279 */ /*GILLT_v2s64*//*Label 6467*/ GIMT_Encode4(322469),
     /* 322283 */ /*GILLT_v4s16*//*Label 6468*/ GIMT_Encode4(322493),
     /* 322287 */ /*GILLT_v4s32*//*Label 6469*/ GIMT_Encode4(322520), GIMT_Encode4(0),
     /* 322295 */ /*GILLT_v8s16*//*Label 6470*/ GIMT_Encode4(322544),
     /* 322299 */ // Label 6464: @322299
     /* 322299 */ GIM_Try, /*On fail goto*//*Label 6472*/ GIMT_Encode4(322325), // Rule ID 4583 //
     /* 322304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 322310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 322314 */   // (fp_to_sint_sat_gi:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUWHr:{ *:[i32] } f16:{ *:[f16] }:$Rn)
     /* 322314 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWHr),
     /* 322319 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322323 */   GIR_RootConstrainSelectedInstOperands,
     /* 322324 */   // GIR_Coverage, 4583,
     /* 322324 */   GIR_Done,
     /* 322325 */ // Label 6472: @322325
     /* 322325 */ GIM_Try, /*On fail goto*//*Label 6473*/ GIMT_Encode4(322348), // Rule ID 4585 //
     /* 322330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 322337 */   // (fp_to_sint_sat_gi:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 322337 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWSr),
     /* 322342 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322346 */   GIR_RootConstrainSelectedInstOperands,
     /* 322347 */   // GIR_Coverage, 4585,
     /* 322347 */   GIR_Done,
     /* 322348 */ // Label 6473: @322348
     /* 322348 */ GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(322371), // Rule ID 4587 //
     /* 322353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 322360 */   // (fp_to_sint_sat_gi:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 322360 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUWDr),
     /* 322365 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322369 */   GIR_RootConstrainSelectedInstOperands,
     /* 322370 */   // GIR_Coverage, 4587,
     /* 322370 */   GIR_Done,
     /* 322371 */ // Label 6474: @322371
     /* 322371 */ GIM_Reject,
     /* 322372 */ // Label 6465: @322372
     /* 322372 */ GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(322398), // Rule ID 4584 //
     /* 322377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 322383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322387 */   // (fp_to_sint_sat_gi:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZSUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 322387 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXHr),
     /* 322392 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322396 */   GIR_RootConstrainSelectedInstOperands,
     /* 322397 */   // GIR_Coverage, 4584,
     /* 322397 */   GIR_Done,
     /* 322398 */ // Label 6475: @322398
     /* 322398 */ GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(322421), // Rule ID 4586 //
     /* 322403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322410 */   // (fp_to_sint_sat_gi:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZSUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 322410 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXSr),
     /* 322415 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322419 */   GIR_RootConstrainSelectedInstOperands,
     /* 322420 */   // GIR_Coverage, 4586,
     /* 322420 */   GIR_Done,
     /* 322421 */ // Label 6476: @322421
     /* 322421 */ GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(322444), // Rule ID 4588 //
     /* 322426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322433 */   // (fp_to_sint_sat_gi:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZSUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 322433 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSUXDr),
     /* 322438 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322442 */   GIR_RootConstrainSelectedInstOperands,
     /* 322443 */   // GIR_Coverage, 4588,
     /* 322443 */   GIR_Done,
     /* 322444 */ // Label 6477: @322444
     /* 322444 */ GIM_Reject,
     /* 322445 */ // Label 6466: @322445
     /* 322445 */ GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(322468), // Rule ID 4924 //
     /* 322450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 322453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322457 */   // (fp_to_sint_sat_gi:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZSv2f32:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)
     /* 322457 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f32),
     /* 322462 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322466 */   GIR_RootConstrainSelectedInstOperands,
     /* 322467 */   // GIR_Coverage, 4924,
     /* 322467 */   GIR_Done,
     /* 322468 */ // Label 6478: @322468
     /* 322468 */ GIM_Reject,
     /* 322469 */ // Label 6467: @322469
     /* 322469 */ GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(322492), // Rule ID 4926 //
     /* 322474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 322477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322481 */   // (fp_to_sint_sat_gi:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZSv2f64:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)
     /* 322481 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv2f64),
     /* 322486 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322490 */   GIR_RootConstrainSelectedInstOperands,
     /* 322491 */   // GIR_Coverage, 4926,
     /* 322491 */   GIR_Done,
     /* 322492 */ // Label 6479: @322492
     /* 322492 */ GIM_Reject,
     /* 322493 */ // Label 6468: @322493
     /* 322493 */ GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(322519), // Rule ID 4919 //
     /* 322498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 322504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322508 */   // (fp_to_sint_sat_gi:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZSv4f16:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)
     /* 322508 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f16),
     /* 322513 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322517 */   GIR_RootConstrainSelectedInstOperands,
     /* 322518 */   // GIR_Coverage, 4919,
     /* 322518 */   GIR_Done,
     /* 322519 */ // Label 6480: @322519
     /* 322519 */ GIM_Reject,
     /* 322520 */ // Label 6469: @322520
     /* 322520 */ GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(322543), // Rule ID 4925 //
     /* 322525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 322528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322532 */   // (fp_to_sint_sat_gi:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZSv4f32:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)
     /* 322532 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv4f32),
     /* 322537 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322541 */   GIR_RootConstrainSelectedInstOperands,
     /* 322542 */   // GIR_Coverage, 4925,
     /* 322542 */   GIR_Done,
     /* 322543 */ // Label 6481: @322543
     /* 322543 */ GIM_Reject,
     /* 322544 */ // Label 6470: @322544
     /* 322544 */ GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(322570), // Rule ID 4920 //
     /* 322549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 322555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322559 */   // (fp_to_sint_sat_gi:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZSv8f16:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)
     /* 322559 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZSv8f16),
     /* 322564 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322568 */   GIR_RootConstrainSelectedInstOperands,
     /* 322569 */   // GIR_Coverage, 4920,
     /* 322569 */   GIR_Done,
     /* 322570 */ // Label 6482: @322570
     /* 322570 */ GIM_Reject,
     /* 322571 */ // Label 6471: @322571
     /* 322571 */ GIM_Reject,
     /* 322572 */ // Label 70: @322572
     /* 322572 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 6490*/ GIMT_Encode4(322891),
     /* 322583 */ /*GILLT_s32*//*Label 6483*/ GIMT_Encode4(322619),
     /* 322587 */ /*GILLT_s64*//*Label 6484*/ GIMT_Encode4(322692), GIMT_Encode4(0),
     /* 322595 */ /*GILLT_v2s32*//*Label 6485*/ GIMT_Encode4(322765),
     /* 322599 */ /*GILLT_v2s64*//*Label 6486*/ GIMT_Encode4(322789),
     /* 322603 */ /*GILLT_v4s16*//*Label 6487*/ GIMT_Encode4(322813),
     /* 322607 */ /*GILLT_v4s32*//*Label 6488*/ GIMT_Encode4(322840), GIMT_Encode4(0),
     /* 322615 */ /*GILLT_v8s16*//*Label 6489*/ GIMT_Encode4(322864),
     /* 322619 */ // Label 6483: @322619
     /* 322619 */ GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(322645), // Rule ID 4607 //
     /* 322624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 322630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 322634 */   // (fp_to_uint_sat_gi:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUWHr:{ *:[i32] } f16:{ *:[f16] }:$Rn)
     /* 322634 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWHr),
     /* 322639 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322643 */   GIR_RootConstrainSelectedInstOperands,
     /* 322644 */   // GIR_Coverage, 4607,
     /* 322644 */   GIR_Done,
     /* 322645 */ // Label 6491: @322645
     /* 322645 */ GIM_Try, /*On fail goto*//*Label 6492*/ GIMT_Encode4(322668), // Rule ID 4609 //
     /* 322650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 322657 */   // (fp_to_uint_sat_gi:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 322657 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWSr),
     /* 322662 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322666 */   GIR_RootConstrainSelectedInstOperands,
     /* 322667 */   // GIR_Coverage, 4609,
     /* 322667 */   GIR_Done,
     /* 322668 */ // Label 6492: @322668
     /* 322668 */ GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(322691), // Rule ID 4611 //
     /* 322673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 322680 */   // (fp_to_uint_sat_gi:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 322680 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUWDr),
     /* 322685 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322689 */   GIR_RootConstrainSelectedInstOperands,
     /* 322690 */   // GIR_Coverage, 4611,
     /* 322690 */   GIR_Done,
     /* 322691 */ // Label 6493: @322691
     /* 322691 */ GIM_Reject,
     /* 322692 */ // Label 6484: @322692
     /* 322692 */ GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(322718), // Rule ID 4608 //
     /* 322697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 322703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322707 */   // (fp_to_uint_sat_gi:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTZUUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 322707 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXHr),
     /* 322712 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322716 */   GIR_RootConstrainSelectedInstOperands,
     /* 322717 */   // GIR_Coverage, 4608,
     /* 322717 */   GIR_Done,
     /* 322718 */ // Label 6494: @322718
     /* 322718 */ GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(322741), // Rule ID 4610 //
     /* 322723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 322726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322730 */   // (fp_to_uint_sat_gi:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTZUUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 322730 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXSr),
     /* 322735 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322739 */   GIR_RootConstrainSelectedInstOperands,
     /* 322740 */   // GIR_Coverage, 4610,
     /* 322740 */   GIR_Done,
     /* 322741 */ // Label 6495: @322741
     /* 322741 */ GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(322764), // Rule ID 4612 //
     /* 322746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 322749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 322753 */   // (fp_to_uint_sat_gi:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTZUUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 322753 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUUXDr),
     /* 322758 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322762 */   GIR_RootConstrainSelectedInstOperands,
     /* 322763 */   // GIR_Coverage, 4612,
     /* 322763 */   GIR_Done,
     /* 322764 */ // Label 6496: @322764
     /* 322764 */ GIM_Reject,
     /* 322765 */ // Label 6485: @322765
     /* 322765 */ GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(322788), // Rule ID 4934 //
     /* 322770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 322773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322777 */   // (fp_to_uint_sat_gi:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)  =>  (FCVTZUv2f32:{ *:[v2i32] } v2f32:{ *:[v2f32] }:$Rn)
     /* 322777 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f32),
     /* 322782 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322786 */   GIR_RootConstrainSelectedInstOperands,
     /* 322787 */   // GIR_Coverage, 4934,
     /* 322787 */   GIR_Done,
     /* 322788 */ // Label 6497: @322788
     /* 322788 */ GIM_Reject,
     /* 322789 */ // Label 6486: @322789
     /* 322789 */ GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(322812), // Rule ID 4936 //
     /* 322794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 322797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322801 */   // (fp_to_uint_sat_gi:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)  =>  (FCVTZUv2f64:{ *:[v2i64] } v2f64:{ *:[v2f64] }:$Rn)
     /* 322801 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv2f64),
     /* 322806 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322810 */   GIR_RootConstrainSelectedInstOperands,
     /* 322811 */   // GIR_Coverage, 4936,
     /* 322811 */   GIR_Done,
     /* 322812 */ // Label 6498: @322812
     /* 322812 */ GIM_Reject,
     /* 322813 */ // Label 6487: @322813
     /* 322813 */ GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(322839), // Rule ID 4929 //
     /* 322818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 322824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 322828 */   // (fp_to_uint_sat_gi:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)  =>  (FCVTZUv4f16:{ *:[v4i16] } v4f16:{ *:[v4f16] }:$Rn)
     /* 322828 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f16),
     /* 322833 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322837 */   GIR_RootConstrainSelectedInstOperands,
     /* 322838 */   // GIR_Coverage, 4929,
     /* 322838 */   GIR_Done,
     /* 322839 */ // Label 6499: @322839
     /* 322839 */ GIM_Reject,
     /* 322840 */ // Label 6488: @322840
     /* 322840 */ GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(322863), // Rule ID 4935 //
     /* 322845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 322848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322852 */   // (fp_to_uint_sat_gi:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)  =>  (FCVTZUv4f32:{ *:[v4i32] } v4f32:{ *:[v4f32] }:$Rn)
     /* 322852 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv4f32),
     /* 322857 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322861 */   GIR_RootConstrainSelectedInstOperands,
     /* 322862 */   // GIR_Coverage, 4935,
     /* 322862 */   GIR_Done,
     /* 322863 */ // Label 6500: @322863
     /* 322863 */ GIM_Reject,
     /* 322864 */ // Label 6489: @322864
     /* 322864 */ GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(322890), // Rule ID 4930 //
     /* 322869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 322872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 322875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 322879 */   // (fp_to_uint_sat_gi:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)  =>  (FCVTZUv8f16:{ *:[v8i16] } v8f16:{ *:[v8f16] }:$Rn)
     /* 322879 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTZUv8f16),
     /* 322884 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 322888 */   GIR_RootConstrainSelectedInstOperands,
     /* 322889 */   // GIR_Coverage, 4930,
     /* 322889 */   GIR_Done,
     /* 322890 */ // Label 6501: @322890
     /* 322890 */ GIM_Reject,
     /* 322891 */ // Label 6490: @322891
     /* 322891 */ GIM_Reject,
     /* 322892 */ // Label 71: @322892
     /* 322892 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6510*/ GIMT_Encode4(323748),
     /* 322903 */ /*GILLT_s16*//*Label 6502*/ GIMT_Encode4(322943),
     /* 322907 */ /*GILLT_s32*//*Label 6503*/ GIMT_Encode4(323162),
     /* 322911 */ /*GILLT_s64*//*Label 6504*/ GIMT_Encode4(323236), GIMT_Encode4(0),
     /* 322919 */ /*GILLT_v2s32*//*Label 6505*/ GIMT_Encode4(323310),
     /* 322923 */ /*GILLT_v2s64*//*Label 6506*/ GIMT_Encode4(323384),
     /* 322927 */ /*GILLT_v4s16*//*Label 6507*/ GIMT_Encode4(323458),
     /* 322931 */ /*GILLT_v4s32*//*Label 6508*/ GIMT_Encode4(323566), GIMT_Encode4(0),
     /* 322939 */ /*GILLT_v8s16*//*Label 6509*/ GIMT_Encode4(323640),
     /* 322943 */ // Label 6502: @322943
     /* 322943 */ GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(323161),
     /* 322948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 322951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 322955 */   GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(322996), // Rule ID 5208 //
     /* 322960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 322963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 322967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 322971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 322975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s16,
     /* 322979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 322981 */     // (fabs:{ *:[f16] } (fsub:{ *:[f16] } f16:{ *:[f16] }:$Rn, f16:{ *:[f16] }:$Rm))  =>  (FABD16:{ *:[f16] } f16:{ *:[f16] }:$Rn, f16:{ *:[f16] }:$Rm)
     /* 322981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD16),
     /* 322984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 322986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 322990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 322994 */     GIR_RootConstrainSelectedInstOperands,
     /* 322995 */     // GIR_Coverage, 5208,
     /* 322995 */     GIR_EraseRootFromParent_Done,
     /* 322996 */   // Label 6512: @322996
     /* 322996 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(323015), // Rule ID 521 //
     /* 323001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 323004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323008 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FABSHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 323008 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSHr),
     /* 323013 */     GIR_RootConstrainSelectedInstOperands,
     /* 323014 */     // GIR_Coverage, 521,
     /* 323014 */     GIR_Done,
     /* 323015 */   // Label 6513: @323015
     /* 323015 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(323160), // Rule ID 6368 //
     /* 323020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323024 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[f16] } (COPY_TO_REGCLASS:{ *:[f32] } (ANDWri:{ *:[i32] } (COPY_TO_REGCLASS:{ *:[i32] } (INSERT_SUBREG:{ *:[f32] } (IMPLICIT_DEF:{ *:[f32] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), GPR32:{ *:[i32] }), (logical_imm32_XFORM:{ *:[i32] } 32767:{ *:[i32] })), FPR32:{ *:[i32] }), hsub:{ *:[i32] })
     /* 323024 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 323027 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 323031 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 323038 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s32,
     /* 323041 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 323045 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323050 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 323053 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 323057 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/9,
     /* 323060 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323065 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323070 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323075 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s32,
     /* 323078 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 323082 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323087 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 323090 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 323095 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 323098 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::ANDWri),
     /* 323102 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323107 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 323110 */     GIR_CustomRenderer, /*InsnID*/2, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderLogicalImm32), // 
     /* 323115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 323117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 323120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 323124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 323129 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 323132 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 323140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323142 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 323149 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323154 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323159 */     // GIR_Coverage, 6368,
     /* 323159 */     GIR_EraseRootFromParent_Done,
     /* 323160 */   // Label 6514: @323160
     /* 323160 */   GIM_Reject,
     /* 323161 */ // Label 6511: @323161
     /* 323161 */ GIM_Reject,
     /* 323162 */ // Label 6503: @323162
     /* 323162 */ GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(323235),
     /* 323167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 323170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323174 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(323215), // Rule ID 5209 //
     /* 323179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 323194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 323198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323200 */     // (fabs:{ *:[f32] } (fsub:{ *:[f32] } f32:{ *:[f32] }:$Rn, f32:{ *:[f32] }:$Rm))  =>  (FABD32:{ *:[f32] } f32:{ *:[f32] }:$Rn, f32:{ *:[f32] }:$Rm)
     /* 323200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD32),
     /* 323203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323213 */     GIR_RootConstrainSelectedInstOperands,
     /* 323214 */     // GIR_Coverage, 5209,
     /* 323214 */     GIR_EraseRootFromParent_Done,
     /* 323215 */   // Label 6516: @323215
     /* 323215 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(323234), // Rule ID 522 //
     /* 323220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 323223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323227 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FABSSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 323227 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSSr),
     /* 323232 */     GIR_RootConstrainSelectedInstOperands,
     /* 323233 */     // GIR_Coverage, 522,
     /* 323233 */     GIR_Done,
     /* 323234 */   // Label 6517: @323234
     /* 323234 */   GIM_Reject,
     /* 323235 */ // Label 6515: @323235
     /* 323235 */ GIM_Reject,
     /* 323236 */ // Label 6504: @323236
     /* 323236 */ GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(323309),
     /* 323241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 323244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323248 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(323289), // Rule ID 5210 //
     /* 323253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 323268 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 323272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323274 */     // (fabs:{ *:[f64] } (fsub:{ *:[f64] } f64:{ *:[f64] }:$Rn, f64:{ *:[f64] }:$Rm))  =>  (FABD64:{ *:[f64] } f64:{ *:[f64] }:$Rn, f64:{ *:[f64] }:$Rm)
     /* 323274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABD64),
     /* 323277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323287 */     GIR_RootConstrainSelectedInstOperands,
     /* 323288 */     // GIR_Coverage, 5210,
     /* 323288 */     GIR_EraseRootFromParent_Done,
     /* 323289 */   // Label 6519: @323289
     /* 323289 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(323308), // Rule ID 523 //
     /* 323294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 323297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323301 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FABSDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 323301 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSDr),
     /* 323306 */     GIR_RootConstrainSelectedInstOperands,
     /* 323307 */     // GIR_Coverage, 523,
     /* 323307 */     GIR_Done,
     /* 323308 */   // Label 6520: @323308
     /* 323308 */   GIM_Reject,
     /* 323309 */ // Label 6518: @323309
     /* 323309 */ GIM_Reject,
     /* 323310 */ // Label 6505: @323310
     /* 323310 */ GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(323383),
     /* 323315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 323318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323322 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(323363), // Rule ID 5001 //
     /* 323327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 323342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 323346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323348 */     // (fabs:{ *:[v2f32] } (fsub:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$Rn, v2f32:{ *:[v2f32] }:$Rm))  =>  (FABDv2f32:{ *:[v2f32] } v2f32:{ *:[v2f32] }:$Rn, v2f32:{ *:[v2f32] }:$Rm)
     /* 323348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f32),
     /* 323351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323361 */     GIR_RootConstrainSelectedInstOperands,
     /* 323362 */     // GIR_Coverage, 5001,
     /* 323362 */     GIR_EraseRootFromParent_Done,
     /* 323363 */   // Label 6522: @323363
     /* 323363 */   GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(323382), // Rule ID 768 //
     /* 323368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323375 */     // (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FABSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 323375 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv2f32),
     /* 323380 */     GIR_RootConstrainSelectedInstOperands,
     /* 323381 */     // GIR_Coverage, 768,
     /* 323381 */     GIR_Done,
     /* 323382 */   // Label 6523: @323382
     /* 323382 */   GIM_Reject,
     /* 323383 */ // Label 6521: @323383
     /* 323383 */ GIM_Reject,
     /* 323384 */ // Label 6506: @323384
     /* 323384 */ GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(323457),
     /* 323389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 323392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323396 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(323437), // Rule ID 5003 //
     /* 323401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 323416 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 323420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323422 */     // (fabs:{ *:[v2f64] } (fsub:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, v2f64:{ *:[v2f64] }:$Rm))  =>  (FABDv2f64:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, v2f64:{ *:[v2f64] }:$Rm)
     /* 323422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv2f64),
     /* 323425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323435 */     GIR_RootConstrainSelectedInstOperands,
     /* 323436 */     // GIR_Coverage, 5003,
     /* 323436 */     GIR_EraseRootFromParent_Done,
     /* 323437 */   // Label 6525: @323437
     /* 323437 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(323456), // Rule ID 770 //
     /* 323442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323449 */     // (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FABSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 323449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv2f64),
     /* 323454 */     GIR_RootConstrainSelectedInstOperands,
     /* 323455 */     // GIR_Coverage, 770,
     /* 323455 */     GIR_Done,
     /* 323456 */   // Label 6526: @323456
     /* 323456 */   GIM_Reject,
     /* 323457 */ // Label 6524: @323457
     /* 323457 */ GIM_Reject,
     /* 323458 */ // Label 6507: @323458
     /* 323458 */ GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(323565),
     /* 323463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 323466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323470 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(323511), // Rule ID 5004 //
     /* 323475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 323478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 323490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 323494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323496 */     // (fabs:{ *:[v4f16] } (fsub:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$Rn, v4f16:{ *:[v4f16] }:$Rm))  =>  (FABDv4f16:{ *:[v4f16] } v4f16:{ *:[v4f16] }:$Rn, v4f16:{ *:[v4f16] }:$Rm)
     /* 323496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f16),
     /* 323499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323509 */     GIR_RootConstrainSelectedInstOperands,
     /* 323510 */     // GIR_Coverage, 5004,
     /* 323510 */     GIR_EraseRootFromParent_Done,
     /* 323511 */   // Label 6528: @323511
     /* 323511 */   GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(323530), // Rule ID 766 //
     /* 323516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 323519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323523 */     // (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FABSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 323523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv4f16),
     /* 323528 */     GIR_RootConstrainSelectedInstOperands,
     /* 323529 */     // GIR_Coverage, 766,
     /* 323529 */     GIR_Done,
     /* 323530 */   // Label 6529: @323530
     /* 323530 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(323564), // Rule ID 6370 //
     /* 323535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323542 */     // (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (BICv4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, 128:{ *:[i32] }, 8:{ *:[i32] })
     /* 323542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv4i16),
     /* 323545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323547 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 323549 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(128),
     /* 323559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 323562 */     GIR_RootConstrainSelectedInstOperands,
     /* 323563 */     // GIR_Coverage, 6370,
     /* 323563 */     GIR_EraseRootFromParent_Done,
     /* 323564 */   // Label 6530: @323564
     /* 323564 */   GIM_Reject,
     /* 323565 */ // Label 6527: @323565
     /* 323565 */ GIM_Reject,
     /* 323566 */ // Label 6508: @323566
     /* 323566 */ GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(323639),
     /* 323571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 323574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323578 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(323619), // Rule ID 5002 //
     /* 323583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 323598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 323602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323604 */     // (fabs:{ *:[v4f32] } (fsub:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$Rn, v4f32:{ *:[v4f32] }:$Rm))  =>  (FABDv4f32:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$Rn, v4f32:{ *:[v4f32] }:$Rm)
     /* 323604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv4f32),
     /* 323607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323617 */     GIR_RootConstrainSelectedInstOperands,
     /* 323618 */     // GIR_Coverage, 5002,
     /* 323618 */     GIR_EraseRootFromParent_Done,
     /* 323619 */   // Label 6532: @323619
     /* 323619 */   GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(323638), // Rule ID 769 //
     /* 323624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323631 */     // (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FABSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 323631 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv4f32),
     /* 323636 */     GIR_RootConstrainSelectedInstOperands,
     /* 323637 */     // GIR_Coverage, 769,
     /* 323637 */     GIR_Done,
     /* 323638 */   // Label 6533: @323638
     /* 323638 */   GIM_Reject,
     /* 323639 */ // Label 6531: @323639
     /* 323639 */ GIM_Reject,
     /* 323640 */ // Label 6509: @323640
     /* 323640 */ GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(323747),
     /* 323645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 323648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323652 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(323693), // Rule ID 5005 //
     /* 323657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 323660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 323664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FSUB),
     /* 323668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 323672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 323676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 323678 */     // (fabs:{ *:[v8f16] } (fsub:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$Rn, v8f16:{ *:[v8f16] }:$Rm))  =>  (FABDv8f16:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$Rn, v8f16:{ *:[v8f16] }:$Rm)
     /* 323678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FABDv8f16),
     /* 323681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 323687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rm
     /* 323691 */     GIR_RootConstrainSelectedInstOperands,
     /* 323692 */     // GIR_Coverage, 5005,
     /* 323692 */     GIR_EraseRootFromParent_Done,
     /* 323693 */   // Label 6535: @323693
     /* 323693 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(323712), // Rule ID 767 //
     /* 323698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 323701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323705 */     // (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FABSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 323705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FABSv8f16),
     /* 323710 */     GIR_RootConstrainSelectedInstOperands,
     /* 323711 */     // GIR_Coverage, 767,
     /* 323711 */     GIR_Done,
     /* 323712 */   // Label 6536: @323712
     /* 323712 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(323746), // Rule ID 6371 //
     /* 323717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323724 */     // (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (BICv8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, 128:{ *:[i32] }, 8:{ *:[i32] })
     /* 323724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BICv8i16),
     /* 323727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 323729 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 323731 */     GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(128),
     /* 323741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 323744 */     GIR_RootConstrainSelectedInstOperands,
     /* 323745 */     // GIR_Coverage, 6371,
     /* 323745 */     GIR_EraseRootFromParent_Done,
     /* 323746 */   // Label 6537: @323746
     /* 323746 */   GIM_Reject,
     /* 323747 */ // Label 6534: @323747
     /* 323747 */ GIM_Reject,
     /* 323748 */ // Label 6510: @323748
     /* 323748 */ GIM_Reject,
     /* 323749 */ // Label 72: @323749
     /* 323749 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6546*/ GIMT_Encode4(324030),
     /* 323760 */ /*GILLT_s16*//*Label 6538*/ GIMT_Encode4(323800),
     /* 323764 */ /*GILLT_s32*//*Label 6539*/ GIMT_Encode4(323827),
     /* 323768 */ /*GILLT_s64*//*Label 6540*/ GIMT_Encode4(323851), GIMT_Encode4(0),
     /* 323776 */ /*GILLT_v2s32*//*Label 6541*/ GIMT_Encode4(323875),
     /* 323780 */ /*GILLT_v2s64*//*Label 6542*/ GIMT_Encode4(323906),
     /* 323784 */ /*GILLT_v4s16*//*Label 6543*/ GIMT_Encode4(323937),
     /* 323788 */ /*GILLT_v4s32*//*Label 6544*/ GIMT_Encode4(323968), GIMT_Encode4(0),
     /* 323796 */ /*GILLT_v8s16*//*Label 6545*/ GIMT_Encode4(323999),
     /* 323800 */ // Label 6538: @323800
     /* 323800 */ GIM_Try, /*On fail goto*//*Label 6547*/ GIMT_Encode4(323826), // Rule ID 4823 //
     /* 323805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 323808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 323811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 323815 */   // (fcanonicalize:{ *:[f16] } f16:{ *:[f16] }:$a)  =>  (FMINNMHrr:{ *:[f16] } f16:{ *:[f16] }:$a, f16:{ *:[f16] }:$a)
     /* 323815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMHrr),
     /* 323818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323820 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 323822 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 323824 */   GIR_RootConstrainSelectedInstOperands,
     /* 323825 */   // GIR_Coverage, 4823,
     /* 323825 */   GIR_EraseRootFromParent_Done,
     /* 323826 */ // Label 6547: @323826
     /* 323826 */ GIM_Reject,
     /* 323827 */ // Label 6539: @323827
     /* 323827 */ GIM_Try, /*On fail goto*//*Label 6548*/ GIMT_Encode4(323850), // Rule ID 4820 //
     /* 323832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 323835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 323839 */   // (fcanonicalize:{ *:[f32] } f32:{ *:[f32] }:$a)  =>  (FMINNMSrr:{ *:[f32] } f32:{ *:[f32] }:$a, f32:{ *:[f32] }:$a)
     /* 323839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMSrr),
     /* 323842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323844 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 323846 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 323848 */   GIR_RootConstrainSelectedInstOperands,
     /* 323849 */   // GIR_Coverage, 4820,
     /* 323849 */   GIR_EraseRootFromParent_Done,
     /* 323850 */ // Label 6548: @323850
     /* 323850 */ GIM_Reject,
     /* 323851 */ // Label 6540: @323851
     /* 323851 */ GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(323874), // Rule ID 4817 //
     /* 323856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 323859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323863 */   // (fcanonicalize:{ *:[f64] } f64:{ *:[f64] }:$a)  =>  (FMINNMDrr:{ *:[f64] } f64:{ *:[f64] }:$a, f64:{ *:[f64] }:$a)
     /* 323863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 323866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323868 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 323870 */   GIR_RootToRootCopy, /*OpIdx*/1, // a
     /* 323872 */   GIR_RootConstrainSelectedInstOperands,
     /* 323873 */   // GIR_Coverage, 4817,
     /* 323873 */   GIR_EraseRootFromParent_Done,
     /* 323874 */ // Label 6549: @323874
     /* 323874 */ GIM_Reject,
     /* 323875 */ // Label 6541: @323875
     /* 323875 */ GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(323905), // Rule ID 5014 //
     /* 323880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 323886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323894 */   // (fcanonicalize:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMINNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rn)
     /* 323894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f32),
     /* 323897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323899 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 323901 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 323903 */   GIR_RootConstrainSelectedInstOperands,
     /* 323904 */   // GIR_Coverage, 5014,
     /* 323904 */   GIR_EraseRootFromParent_Done,
     /* 323905 */ // Label 6550: @323905
     /* 323905 */ GIM_Reject,
     /* 323906 */ // Label 6542: @323906
     /* 323906 */ GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(323936), // Rule ID 5008 //
     /* 323911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 323917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323925 */   // (fcanonicalize:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMINNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rn)
     /* 323925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f64),
     /* 323928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323930 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 323932 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 323934 */   GIR_RootConstrainSelectedInstOperands,
     /* 323935 */   // GIR_Coverage, 5008,
     /* 323935 */   GIR_EraseRootFromParent_Done,
     /* 323936 */ // Label 6551: @323936
     /* 323936 */ GIM_Reject,
     /* 323937 */ // Label 6543: @323937
     /* 323937 */ GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(323967), // Rule ID 5020 //
     /* 323942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 323945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 323948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 323956 */   // (fcanonicalize:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMINNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rn)
     /* 323956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f16),
     /* 323959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323961 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 323963 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 323965 */   GIR_RootConstrainSelectedInstOperands,
     /* 323966 */   // GIR_Coverage, 5020,
     /* 323966 */   GIR_EraseRootFromParent_Done,
     /* 323967 */ // Label 6552: @323967
     /* 323967 */ GIM_Reject,
     /* 323968 */ // Label 6544: @323968
     /* 323968 */ GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(323998), // Rule ID 5011 //
     /* 323973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 323976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 323979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 323987 */   // (fcanonicalize:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMINNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn)
     /* 323987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f32),
     /* 323990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 323992 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 323994 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 323996 */   GIR_RootConstrainSelectedInstOperands,
     /* 323997 */   // GIR_Coverage, 5011,
     /* 323997 */   GIR_EraseRootFromParent_Done,
     /* 323998 */ // Label 6553: @323998
     /* 323998 */ GIM_Reject,
     /* 323999 */ // Label 6545: @323999
     /* 323999 */ GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(324029), // Rule ID 5017 //
     /* 324004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 324007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 324010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324018 */   // (fcanonicalize:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMINNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn)
     /* 324018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv8f16),
     /* 324021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 324023 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 324025 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 324027 */   GIR_RootConstrainSelectedInstOperands,
     /* 324028 */   // GIR_Coverage, 5017,
     /* 324028 */   GIR_EraseRootFromParent_Done,
     /* 324029 */ // Label 6554: @324029
     /* 324029 */ GIM_Reject,
     /* 324030 */ // Label 6546: @324030
     /* 324030 */ GIM_Reject,
     /* 324031 */ // Label 73: @324031
     /* 324031 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6563*/ GIMT_Encode4(324408),
     /* 324042 */ /*GILLT_s16*//*Label 6555*/ GIMT_Encode4(324082),
     /* 324046 */ /*GILLT_s32*//*Label 6556*/ GIMT_Encode4(324120),
     /* 324050 */ /*GILLT_s64*//*Label 6557*/ GIMT_Encode4(324158), GIMT_Encode4(0),
     /* 324058 */ /*GILLT_v2s32*//*Label 6558*/ GIMT_Encode4(324218),
     /* 324062 */ /*GILLT_v2s64*//*Label 6559*/ GIMT_Encode4(324256),
     /* 324066 */ /*GILLT_v4s16*//*Label 6560*/ GIMT_Encode4(324294),
     /* 324070 */ /*GILLT_v4s32*//*Label 6561*/ GIMT_Encode4(324332), GIMT_Encode4(0),
     /* 324078 */ /*GILLT_v8s16*//*Label 6562*/ GIMT_Encode4(324370),
     /* 324082 */ // Label 6555: @324082
     /* 324082 */ GIM_Try, /*On fail goto*//*Label 6564*/ GIMT_Encode4(324119), // Rule ID 608 //
     /* 324087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 324090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 324093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 324096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324104 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324108 */   // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMINNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 324108 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMHrr),
     /* 324113 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324117 */   GIR_RootConstrainSelectedInstOperands,
     /* 324118 */   // GIR_Coverage, 608,
     /* 324118 */   GIR_Done,
     /* 324119 */ // Label 6564: @324119
     /* 324119 */ GIM_Reject,
     /* 324120 */ // Label 6556: @324120
     /* 324120 */ GIM_Try, /*On fail goto*//*Label 6565*/ GIMT_Encode4(324157), // Rule ID 610 //
     /* 324125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 324128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 324131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 324134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324146 */   // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMINNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 324146 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMSrr),
     /* 324151 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324155 */   GIR_RootConstrainSelectedInstOperands,
     /* 324156 */   // GIR_Coverage, 610,
     /* 324156 */   GIR_Done,
     /* 324157 */ // Label 6565: @324157
     /* 324157 */ GIM_Reject,
     /* 324158 */ // Label 6557: @324158
     /* 324158 */ GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(324217),
     /* 324163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 324166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 324169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324181 */   GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(324200), // Rule ID 612 //
     /* 324186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 324189 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMINNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 324189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 324194 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324198 */     GIR_RootConstrainSelectedInstOperands,
     /* 324199 */     // GIR_Coverage, 612,
     /* 324199 */     GIR_Done,
     /* 324200 */   // Label 6567: @324200
     /* 324200 */   GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(324216), // Rule ID 4814 //
     /* 324205 */     // (fminnum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMINNMDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 324205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 324210 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324214 */     GIR_RootConstrainSelectedInstOperands,
     /* 324215 */     // GIR_Coverage, 4814,
     /* 324215 */     GIR_Done,
     /* 324216 */   // Label 6568: @324216
     /* 324216 */   GIM_Reject,
     /* 324217 */ // Label 6566: @324217
     /* 324217 */ GIM_Reject,
     /* 324218 */ // Label 6558: @324218
     /* 324218 */ GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(324255), // Rule ID 1273 //
     /* 324223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 324229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 324232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324244 */   // (fminnum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 324244 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f32),
     /* 324249 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324253 */   GIR_RootConstrainSelectedInstOperands,
     /* 324254 */   // GIR_Coverage, 1273,
     /* 324254 */   GIR_Done,
     /* 324255 */ // Label 6569: @324255
     /* 324255 */ GIM_Reject,
     /* 324256 */ // Label 6559: @324256
     /* 324256 */ GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(324293), // Rule ID 1277 //
     /* 324261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 324267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 324270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324282 */   // (fminnum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 324282 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f64),
     /* 324287 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324291 */   GIR_RootConstrainSelectedInstOperands,
     /* 324292 */   // GIR_Coverage, 1277,
     /* 324292 */   GIR_Done,
     /* 324293 */ // Label 6570: @324293
     /* 324293 */ GIM_Reject,
     /* 324294 */ // Label 6560: @324294
     /* 324294 */ GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(324331), // Rule ID 1269 //
     /* 324299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 324302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 324305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 324308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324320 */   // (fminnum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 324320 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f16),
     /* 324325 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324329 */   GIR_RootConstrainSelectedInstOperands,
     /* 324330 */   // GIR_Coverage, 1269,
     /* 324330 */   GIR_Done,
     /* 324331 */ // Label 6571: @324331
     /* 324331 */ GIM_Reject,
     /* 324332 */ // Label 6561: @324332
     /* 324332 */ GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(324369), // Rule ID 1275 //
     /* 324337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 324343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 324346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324354 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324358 */   // (fminnum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 324358 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f32),
     /* 324363 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324367 */   GIR_RootConstrainSelectedInstOperands,
     /* 324368 */   // GIR_Coverage, 1275,
     /* 324368 */   GIR_Done,
     /* 324369 */ // Label 6572: @324369
     /* 324369 */ GIM_Reject,
     /* 324370 */ // Label 6562: @324370
     /* 324370 */ GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(324407), // Rule ID 1271 //
     /* 324375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 324378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 324381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 324384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324396 */   // (fminnum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 324396 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv8f16),
     /* 324401 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324405 */   GIR_RootConstrainSelectedInstOperands,
     /* 324406 */   // GIR_Coverage, 1271,
     /* 324406 */   GIR_Done,
     /* 324407 */ // Label 6573: @324407
     /* 324407 */ GIM_Reject,
     /* 324408 */ // Label 6563: @324408
     /* 324408 */ GIM_Reject,
     /* 324409 */ // Label 74: @324409
     /* 324409 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6582*/ GIMT_Encode4(324786),
     /* 324420 */ /*GILLT_s16*//*Label 6574*/ GIMT_Encode4(324460),
     /* 324424 */ /*GILLT_s32*//*Label 6575*/ GIMT_Encode4(324498),
     /* 324428 */ /*GILLT_s64*//*Label 6576*/ GIMT_Encode4(324536), GIMT_Encode4(0),
     /* 324436 */ /*GILLT_v2s32*//*Label 6577*/ GIMT_Encode4(324596),
     /* 324440 */ /*GILLT_v2s64*//*Label 6578*/ GIMT_Encode4(324634),
     /* 324444 */ /*GILLT_v4s16*//*Label 6579*/ GIMT_Encode4(324672),
     /* 324448 */ /*GILLT_v4s32*//*Label 6580*/ GIMT_Encode4(324710), GIMT_Encode4(0),
     /* 324456 */ /*GILLT_v8s16*//*Label 6581*/ GIMT_Encode4(324748),
     /* 324460 */ // Label 6574: @324460
     /* 324460 */ GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(324497), // Rule ID 596 //
     /* 324465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 324468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 324471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 324474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324486 */   // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMAXNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 324486 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMHrr),
     /* 324491 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324495 */   GIR_RootConstrainSelectedInstOperands,
     /* 324496 */   // GIR_Coverage, 596,
     /* 324496 */   GIR_Done,
     /* 324497 */ // Label 6583: @324497
     /* 324497 */ GIM_Reject,
     /* 324498 */ // Label 6575: @324498
     /* 324498 */ GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(324535), // Rule ID 598 //
     /* 324503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 324506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 324509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 324512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324524 */   // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMAXNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 324524 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMSrr),
     /* 324529 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324533 */   GIR_RootConstrainSelectedInstOperands,
     /* 324534 */   // GIR_Coverage, 598,
     /* 324534 */   GIR_Done,
     /* 324535 */ // Label 6584: @324535
     /* 324535 */ GIM_Reject,
     /* 324536 */ // Label 6576: @324536
     /* 324536 */ GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(324595),
     /* 324541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 324544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 324547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324555 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324559 */   GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(324578), // Rule ID 600 //
     /* 324564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 324567 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMAXNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 324567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMDrr),
     /* 324572 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324576 */     GIR_RootConstrainSelectedInstOperands,
     /* 324577 */     // GIR_Coverage, 600,
     /* 324577 */     GIR_Done,
     /* 324578 */   // Label 6586: @324578
     /* 324578 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(324594), // Rule ID 4813 //
     /* 324583 */     // (fmaxnum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMAXNMDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 324583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMDrr),
     /* 324588 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324592 */     GIR_RootConstrainSelectedInstOperands,
     /* 324593 */     // GIR_Coverage, 4813,
     /* 324593 */     GIR_Done,
     /* 324594 */   // Label 6587: @324594
     /* 324594 */   GIM_Reject,
     /* 324595 */ // Label 6585: @324595
     /* 324595 */ GIM_Reject,
     /* 324596 */ // Label 6577: @324596
     /* 324596 */ GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(324633), // Rule ID 1243 //
     /* 324601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 324607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 324610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324618 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324622 */   // (fmaxnum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 324622 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f32),
     /* 324627 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324631 */   GIR_RootConstrainSelectedInstOperands,
     /* 324632 */   // GIR_Coverage, 1243,
     /* 324632 */   GIR_Done,
     /* 324633 */ // Label 6588: @324633
     /* 324633 */ GIM_Reject,
     /* 324634 */ // Label 6578: @324634
     /* 324634 */ GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(324671), // Rule ID 1247 //
     /* 324639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 324645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 324648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324660 */   // (fmaxnum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 324660 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f64),
     /* 324665 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324669 */   GIR_RootConstrainSelectedInstOperands,
     /* 324670 */   // GIR_Coverage, 1247,
     /* 324670 */   GIR_Done,
     /* 324671 */ // Label 6589: @324671
     /* 324671 */ GIM_Reject,
     /* 324672 */ // Label 6579: @324672
     /* 324672 */ GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(324709), // Rule ID 1239 //
     /* 324677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 324680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 324683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 324686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324698 */   // (fmaxnum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 324698 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f16),
     /* 324703 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324707 */   GIR_RootConstrainSelectedInstOperands,
     /* 324708 */   // GIR_Coverage, 1239,
     /* 324708 */   GIR_Done,
     /* 324709 */ // Label 6590: @324709
     /* 324709 */ GIM_Reject,
     /* 324710 */ // Label 6580: @324710
     /* 324710 */ GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(324747), // Rule ID 1245 //
     /* 324715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 324721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 324724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324736 */   // (fmaxnum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 324736 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f32),
     /* 324741 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324745 */   GIR_RootConstrainSelectedInstOperands,
     /* 324746 */   // GIR_Coverage, 1245,
     /* 324746 */   GIR_Done,
     /* 324747 */ // Label 6591: @324747
     /* 324747 */ GIM_Reject,
     /* 324748 */ // Label 6581: @324748
     /* 324748 */ GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(324785), // Rule ID 1241 //
     /* 324753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 324756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 324759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 324762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 324774 */   // (fmaxnum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 324774 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv8f16),
     /* 324779 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324783 */   GIR_RootConstrainSelectedInstOperands,
     /* 324784 */   // GIR_Coverage, 1241,
     /* 324784 */   GIR_Done,
     /* 324785 */ // Label 6592: @324785
     /* 324785 */ GIM_Reject,
     /* 324786 */ // Label 6582: @324786
     /* 324786 */ GIM_Reject,
     /* 324787 */ // Label 75: @324787
     /* 324787 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6601*/ GIMT_Encode4(325136),
     /* 324798 */ /*GILLT_s16*//*Label 6593*/ GIMT_Encode4(324838),
     /* 324802 */ /*GILLT_s32*//*Label 6594*/ GIMT_Encode4(324876),
     /* 324806 */ /*GILLT_s64*//*Label 6595*/ GIMT_Encode4(324911), GIMT_Encode4(0),
     /* 324814 */ /*GILLT_v2s32*//*Label 6596*/ GIMT_Encode4(324946),
     /* 324818 */ /*GILLT_v2s64*//*Label 6597*/ GIMT_Encode4(324984),
     /* 324822 */ /*GILLT_v4s16*//*Label 6598*/ GIMT_Encode4(325022),
     /* 324826 */ /*GILLT_v4s32*//*Label 6599*/ GIMT_Encode4(325060), GIMT_Encode4(0),
     /* 324834 */ /*GILLT_v8s16*//*Label 6600*/ GIMT_Encode4(325098),
     /* 324838 */ // Label 6593: @324838
     /* 324838 */ GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(324875), // Rule ID 4821 //
     /* 324843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 324846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 324849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 324852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 324864 */   // (fminnum_ieee:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)  =>  (FMINNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 324864 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMHrr),
     /* 324869 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324873 */   GIR_RootConstrainSelectedInstOperands,
     /* 324874 */   // GIR_Coverage, 4821,
     /* 324874 */   GIR_Done,
     /* 324875 */ // Label 6602: @324875
     /* 324875 */ GIM_Reject,
     /* 324876 */ // Label 6594: @324876
     /* 324876 */ GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(324910), // Rule ID 4818 //
     /* 324881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 324884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 324887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 324899 */   // (fminnum_ieee:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)  =>  (FMINNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 324899 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMSrr),
     /* 324904 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324908 */   GIR_RootConstrainSelectedInstOperands,
     /* 324909 */   // GIR_Coverage, 4818,
     /* 324909 */   GIR_Done,
     /* 324910 */ // Label 6603: @324910
     /* 324910 */ GIM_Reject,
     /* 324911 */ // Label 6595: @324911
     /* 324911 */ GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(324945), // Rule ID 4815 //
     /* 324916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 324919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 324922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324934 */   // (fminnum_ieee:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)  =>  (FMINNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 324934 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMDrr),
     /* 324939 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324943 */   GIR_RootConstrainSelectedInstOperands,
     /* 324944 */   // GIR_Coverage, 4815,
     /* 324944 */   GIR_Done,
     /* 324945 */ // Label 6604: @324945
     /* 324945 */ GIM_Reject,
     /* 324946 */ // Label 6596: @324946
     /* 324946 */ GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(324983), // Rule ID 5012 //
     /* 324951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 324957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 324960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 324972 */   // (fminnum_ieee:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 324972 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f32),
     /* 324977 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 324981 */   GIR_RootConstrainSelectedInstOperands,
     /* 324982 */   // GIR_Coverage, 5012,
     /* 324982 */   GIR_Done,
     /* 324983 */ // Label 6605: @324983
     /* 324983 */ GIM_Reject,
     /* 324984 */ // Label 6597: @324984
     /* 324984 */ GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(325021), // Rule ID 5006 //
     /* 324989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 324992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 324995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 324998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325010 */   // (fminnum_ieee:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 325010 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv2f64),
     /* 325015 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325019 */   GIR_RootConstrainSelectedInstOperands,
     /* 325020 */   // GIR_Coverage, 5006,
     /* 325020 */   GIR_Done,
     /* 325021 */ // Label 6606: @325021
     /* 325021 */ GIM_Reject,
     /* 325022 */ // Label 6598: @325022
     /* 325022 */ GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(325059), // Rule ID 5018 //
     /* 325027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 325030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 325033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 325036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325048 */   // (fminnum_ieee:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 325048 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f16),
     /* 325053 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325057 */   GIR_RootConstrainSelectedInstOperands,
     /* 325058 */   // GIR_Coverage, 5018,
     /* 325058 */   GIR_Done,
     /* 325059 */ // Label 6607: @325059
     /* 325059 */ GIM_Reject,
     /* 325060 */ // Label 6599: @325060
     /* 325060 */ GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(325097), // Rule ID 5009 //
     /* 325065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 325071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 325074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325086 */   // (fminnum_ieee:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 325086 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv4f32),
     /* 325091 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325095 */   GIR_RootConstrainSelectedInstOperands,
     /* 325096 */   // GIR_Coverage, 5009,
     /* 325096 */   GIR_Done,
     /* 325097 */ // Label 6608: @325097
     /* 325097 */ GIM_Reject,
     /* 325098 */ // Label 6600: @325098
     /* 325098 */ GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(325135), // Rule ID 5015 //
     /* 325103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 325106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 325109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 325112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325124 */   // (fminnum_ieee:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 325124 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMv8f16),
     /* 325129 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325133 */   GIR_RootConstrainSelectedInstOperands,
     /* 325134 */   // GIR_Coverage, 5015,
     /* 325134 */   GIR_Done,
     /* 325135 */ // Label 6609: @325135
     /* 325135 */ GIM_Reject,
     /* 325136 */ // Label 6601: @325136
     /* 325136 */ GIM_Reject,
     /* 325137 */ // Label 76: @325137
     /* 325137 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6618*/ GIMT_Encode4(325486),
     /* 325148 */ /*GILLT_s16*//*Label 6610*/ GIMT_Encode4(325188),
     /* 325152 */ /*GILLT_s32*//*Label 6611*/ GIMT_Encode4(325226),
     /* 325156 */ /*GILLT_s64*//*Label 6612*/ GIMT_Encode4(325261), GIMT_Encode4(0),
     /* 325164 */ /*GILLT_v2s32*//*Label 6613*/ GIMT_Encode4(325296),
     /* 325168 */ /*GILLT_v2s64*//*Label 6614*/ GIMT_Encode4(325334),
     /* 325172 */ /*GILLT_v4s16*//*Label 6615*/ GIMT_Encode4(325372),
     /* 325176 */ /*GILLT_v4s32*//*Label 6616*/ GIMT_Encode4(325410), GIMT_Encode4(0),
     /* 325184 */ /*GILLT_v8s16*//*Label 6617*/ GIMT_Encode4(325448),
     /* 325188 */ // Label 6610: @325188
     /* 325188 */ GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(325225), // Rule ID 4822 //
     /* 325193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 325196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 325199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 325202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325214 */   // (fmaxnum_ieee:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)  =>  (FMAXNMHrr:{ *:[f16] } FPR16:{ *:[f16] }:$a, FPR16:{ *:[f16] }:$b)
     /* 325214 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMHrr),
     /* 325219 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325223 */   GIR_RootConstrainSelectedInstOperands,
     /* 325224 */   // GIR_Coverage, 4822,
     /* 325224 */   GIR_Done,
     /* 325225 */ // Label 6619: @325225
     /* 325225 */ GIM_Reject,
     /* 325226 */ // Label 6611: @325226
     /* 325226 */ GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(325260), // Rule ID 4819 //
     /* 325231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 325234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 325237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325249 */   // (fmaxnum_ieee:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)  =>  (FMAXNMSrr:{ *:[f32] } FPR32:{ *:[f32] }:$a, FPR32:{ *:[f32] }:$b)
     /* 325249 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMSrr),
     /* 325254 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325258 */   GIR_RootConstrainSelectedInstOperands,
     /* 325259 */   // GIR_Coverage, 4819,
     /* 325259 */   GIR_Done,
     /* 325260 */ // Label 6620: @325260
     /* 325260 */ GIM_Reject,
     /* 325261 */ // Label 6612: @325261
     /* 325261 */ GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(325295), // Rule ID 4816 //
     /* 325266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 325269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 325272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325284 */   // (fmaxnum_ieee:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)  =>  (FMAXNMDrr:{ *:[f64] } FPR64:{ *:[f64] }:$a, FPR64:{ *:[f64] }:$b)
     /* 325284 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMDrr),
     /* 325289 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325293 */   GIR_RootConstrainSelectedInstOperands,
     /* 325294 */   // GIR_Coverage, 4816,
     /* 325294 */   GIR_Done,
     /* 325295 */ // Label 6621: @325295
     /* 325295 */ GIM_Reject,
     /* 325296 */ // Label 6613: @325296
     /* 325296 */ GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(325333), // Rule ID 5013 //
     /* 325301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 325307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 325310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325318 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325322 */   // (fmaxnum_ieee:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXNMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 325322 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f32),
     /* 325327 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325331 */   GIR_RootConstrainSelectedInstOperands,
     /* 325332 */   // GIR_Coverage, 5013,
     /* 325332 */   GIR_Done,
     /* 325333 */ // Label 6622: @325333
     /* 325333 */ GIM_Reject,
     /* 325334 */ // Label 6614: @325334
     /* 325334 */ GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(325371), // Rule ID 5007 //
     /* 325339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 325345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 325348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325360 */   // (fmaxnum_ieee:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXNMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 325360 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv2f64),
     /* 325365 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325369 */   GIR_RootConstrainSelectedInstOperands,
     /* 325370 */   // GIR_Coverage, 5007,
     /* 325370 */   GIR_Done,
     /* 325371 */ // Label 6623: @325371
     /* 325371 */ GIM_Reject,
     /* 325372 */ // Label 6615: @325372
     /* 325372 */ GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(325409), // Rule ID 5019 //
     /* 325377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 325380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 325383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 325386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325398 */   // (fmaxnum_ieee:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXNMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 325398 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f16),
     /* 325403 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325407 */   GIR_RootConstrainSelectedInstOperands,
     /* 325408 */   // GIR_Coverage, 5019,
     /* 325408 */   GIR_Done,
     /* 325409 */ // Label 6624: @325409
     /* 325409 */ GIM_Reject,
     /* 325410 */ // Label 6616: @325410
     /* 325410 */ GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(325447), // Rule ID 5010 //
     /* 325415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 325421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 325424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325436 */   // (fmaxnum_ieee:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXNMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 325436 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv4f32),
     /* 325441 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325445 */   GIR_RootConstrainSelectedInstOperands,
     /* 325446 */   // GIR_Coverage, 5010,
     /* 325446 */   GIR_Done,
     /* 325447 */ // Label 6625: @325447
     /* 325447 */ GIM_Reject,
     /* 325448 */ // Label 6617: @325448
     /* 325448 */ GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(325485), // Rule ID 5016 //
     /* 325453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 325456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 325459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 325462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325474 */   // (fmaxnum_ieee:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXNMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 325474 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMv8f16),
     /* 325479 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325483 */   GIR_RootConstrainSelectedInstOperands,
     /* 325484 */   // GIR_Coverage, 5016,
     /* 325484 */   GIR_Done,
     /* 325485 */ // Label 6626: @325485
     /* 325485 */ GIM_Reject,
     /* 325486 */ // Label 6618: @325486
     /* 325486 */ GIM_Reject,
     /* 325487 */ // Label 77: @325487
     /* 325487 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6635*/ GIMT_Encode4(326189),
     /* 325498 */ /*GILLT_s16*//*Label 6627*/ GIMT_Encode4(325538),
     /* 325502 */ /*GILLT_s32*//*Label 6628*/ GIMT_Encode4(325576),
     /* 325506 */ /*GILLT_s64*//*Label 6629*/ GIMT_Encode4(325614), GIMT_Encode4(0),
     /* 325514 */ /*GILLT_v2s32*//*Label 6630*/ GIMT_Encode4(325674),
     /* 325518 */ /*GILLT_v2s64*//*Label 6631*/ GIMT_Encode4(325777),
     /* 325522 */ /*GILLT_v4s16*//*Label 6632*/ GIMT_Encode4(325880),
     /* 325526 */ /*GILLT_v4s32*//*Label 6633*/ GIMT_Encode4(325983), GIMT_Encode4(0),
     /* 325534 */ /*GILLT_v8s16*//*Label 6634*/ GIMT_Encode4(326086),
     /* 325538 */ // Label 6627: @325538
     /* 325538 */ GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(325575), // Rule ID 614 //
     /* 325543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 325546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 325549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 325552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 325564 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMINHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 325564 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINHrr),
     /* 325569 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325573 */   GIR_RootConstrainSelectedInstOperands,
     /* 325574 */   // GIR_Coverage, 614,
     /* 325574 */   GIR_Done,
     /* 325575 */ // Label 6636: @325575
     /* 325575 */ GIM_Reject,
     /* 325576 */ // Label 6628: @325576
     /* 325576 */ GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(325613), // Rule ID 616 //
     /* 325581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 325584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 325587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 325590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 325602 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMINSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 325602 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINSrr),
     /* 325607 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325611 */   GIR_RootConstrainSelectedInstOperands,
     /* 325612 */   // GIR_Coverage, 616,
     /* 325612 */   GIR_Done,
     /* 325613 */ // Label 6637: @325613
     /* 325613 */ GIM_Reject,
     /* 325614 */ // Label 6629: @325614
     /* 325614 */ GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(325673),
     /* 325619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 325622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 325625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325637 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(325656), // Rule ID 618 //
     /* 325642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 325645 */     // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMINDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 325645 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINDrr),
     /* 325650 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325654 */     GIR_RootConstrainSelectedInstOperands,
     /* 325655 */     // GIR_Coverage, 618,
     /* 325655 */     GIR_Done,
     /* 325656 */   // Label 6639: @325656
     /* 325656 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(325672), // Rule ID 4812 //
     /* 325661 */     // (fminimum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMINDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 325661 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINDrr),
     /* 325666 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325670 */     GIR_RootConstrainSelectedInstOperands,
     /* 325671 */     // GIR_Coverage, 4812,
     /* 325671 */     GIR_Done,
     /* 325672 */   // Label 6640: @325672
     /* 325672 */   GIM_Reject,
     /* 325673 */ // Label 6638: @325673
     /* 325673 */ GIM_Reject,
     /* 325674 */ // Label 6630: @325674
     /* 325674 */ GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(325776),
     /* 325679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 325682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 325685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325689 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(325748), // Rule ID 2366 //
     /* 325694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 325697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 325705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 325709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 325718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 325722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 325726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 325733 */     // (fminimum:{ *:[v2f32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FAMINv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 325733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f32),
     /* 325736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 325738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 325742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 325746 */     GIR_RootConstrainSelectedInstOperands,
     /* 325747 */     // GIR_Coverage, 2366,
     /* 325747 */     GIR_EraseRootFromParent_Done,
     /* 325748 */   // Label 6642: @325748
     /* 325748 */   GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(325775), // Rule ID 1288 //
     /* 325753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325764 */     // (fminimum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMINv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 325764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv2f32),
     /* 325769 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325773 */     GIR_RootConstrainSelectedInstOperands,
     /* 325774 */     // GIR_Coverage, 1288,
     /* 325774 */     GIR_Done,
     /* 325775 */   // Label 6643: @325775
     /* 325775 */   GIM_Reject,
     /* 325776 */ // Label 6641: @325776
     /* 325776 */ GIM_Reject,
     /* 325777 */ // Label 6631: @325777
     /* 325777 */ GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(325879),
     /* 325782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 325785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 325788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325792 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(325851), // Rule ID 2372 //
     /* 325797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 325800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 325808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 325812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 325821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 325825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 325829 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 325836 */     // (fminimum:{ *:[v2f64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FAMINv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 325836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv2f64),
     /* 325839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 325841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 325845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 325849 */     GIR_RootConstrainSelectedInstOperands,
     /* 325850 */     // GIR_Coverage, 2372,
     /* 325850 */     GIR_EraseRootFromParent_Done,
     /* 325851 */   // Label 6645: @325851
     /* 325851 */   GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(325878), // Rule ID 1292 //
     /* 325856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 325859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325867 */     // (fminimum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMINv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 325867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv2f64),
     /* 325872 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325876 */     GIR_RootConstrainSelectedInstOperands,
     /* 325877 */     // GIR_Coverage, 1292,
     /* 325877 */     GIR_Done,
     /* 325878 */   // Label 6646: @325878
     /* 325878 */   GIM_Reject,
     /* 325879 */ // Label 6644: @325879
     /* 325879 */ GIM_Reject,
     /* 325880 */ // Label 6632: @325880
     /* 325880 */ GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(325982),
     /* 325885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 325888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 325891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325895 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(325954), // Rule ID 2360 //
     /* 325900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 325903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 325907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 325911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 325915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 325924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 325928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 325932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 325939 */     // (fminimum:{ *:[v4f16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FAMINv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 325939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f16),
     /* 325942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 325944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 325948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 325952 */     GIR_RootConstrainSelectedInstOperands,
     /* 325953 */     // GIR_Coverage, 2360,
     /* 325953 */     GIR_EraseRootFromParent_Done,
     /* 325954 */   // Label 6648: @325954
     /* 325954 */   GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(325981), // Rule ID 1284 //
     /* 325959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 325962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 325970 */     // (fminimum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMINv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 325970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv4f16),
     /* 325975 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 325979 */     GIR_RootConstrainSelectedInstOperands,
     /* 325980 */     // GIR_Coverage, 1284,
     /* 325980 */     GIR_Done,
     /* 325981 */   // Label 6649: @325981
     /* 325981 */   GIM_Reject,
     /* 325982 */ // Label 6647: @325982
     /* 325982 */ GIM_Reject,
     /* 325983 */ // Label 6633: @325983
     /* 325983 */ GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(326085),
     /* 325988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 325991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 325994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 325998 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(326057), // Rule ID 2369 //
     /* 326003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 326018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 326035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326042 */     // (fminimum:{ *:[v4f32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FAMINv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 326042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv4f32),
     /* 326045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326055 */     GIR_RootConstrainSelectedInstOperands,
     /* 326056 */     // GIR_Coverage, 2369,
     /* 326056 */     GIR_EraseRootFromParent_Done,
     /* 326057 */   // Label 6651: @326057
     /* 326057 */   GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(326084), // Rule ID 1290 //
     /* 326062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326073 */     // (fminimum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMINv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 326073 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv4f32),
     /* 326078 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326082 */     GIR_RootConstrainSelectedInstOperands,
     /* 326083 */     // GIR_Coverage, 1290,
     /* 326083 */     GIR_Done,
     /* 326084 */   // Label 6652: @326084
     /* 326084 */   GIM_Reject,
     /* 326085 */ // Label 6650: @326085
     /* 326085 */ GIM_Reject,
     /* 326086 */ // Label 6634: @326086
     /* 326086 */ GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(326188),
     /* 326091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 326094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 326097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326101 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(326160), // Rule ID 2363 //
     /* 326106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 326121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 326138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326145 */     // (fminimum:{ *:[v8f16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FAMINv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 326145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMINv8f16),
     /* 326148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326158 */     GIR_RootConstrainSelectedInstOperands,
     /* 326159 */     // GIR_Coverage, 2363,
     /* 326159 */     GIR_EraseRootFromParent_Done,
     /* 326160 */   // Label 6654: @326160
     /* 326160 */   GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(326187), // Rule ID 1286 //
     /* 326165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 326168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326176 */     // (fminimum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMINv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 326176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINv8f16),
     /* 326181 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326185 */     GIR_RootConstrainSelectedInstOperands,
     /* 326186 */     // GIR_Coverage, 1286,
     /* 326186 */     GIR_Done,
     /* 326187 */   // Label 6655: @326187
     /* 326187 */   GIM_Reject,
     /* 326188 */ // Label 6653: @326188
     /* 326188 */ GIM_Reject,
     /* 326189 */ // Label 6635: @326189
     /* 326189 */ GIM_Reject,
     /* 326190 */ // Label 78: @326190
     /* 326190 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 6664*/ GIMT_Encode4(326892),
     /* 326201 */ /*GILLT_s16*//*Label 6656*/ GIMT_Encode4(326241),
     /* 326205 */ /*GILLT_s32*//*Label 6657*/ GIMT_Encode4(326279),
     /* 326209 */ /*GILLT_s64*//*Label 6658*/ GIMT_Encode4(326317), GIMT_Encode4(0),
     /* 326217 */ /*GILLT_v2s32*//*Label 6659*/ GIMT_Encode4(326377),
     /* 326221 */ /*GILLT_v2s64*//*Label 6660*/ GIMT_Encode4(326480),
     /* 326225 */ /*GILLT_v4s16*//*Label 6661*/ GIMT_Encode4(326583),
     /* 326229 */ /*GILLT_v4s32*//*Label 6662*/ GIMT_Encode4(326686), GIMT_Encode4(0),
     /* 326237 */ /*GILLT_v8s16*//*Label 6663*/ GIMT_Encode4(326789),
     /* 326241 */ // Label 6656: @326241
     /* 326241 */ GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(326278), // Rule ID 602 //
     /* 326246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 326249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 326252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 326255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 326259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 326263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 326267 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMAXHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 326267 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXHrr),
     /* 326272 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326276 */   GIR_RootConstrainSelectedInstOperands,
     /* 326277 */   // GIR_Coverage, 602,
     /* 326277 */   GIR_Done,
     /* 326278 */ // Label 6665: @326278
     /* 326278 */ GIM_Reject,
     /* 326279 */ // Label 6657: @326279
     /* 326279 */ GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(326316), // Rule ID 604 //
     /* 326284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 326287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 326290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 326293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 326297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 326301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 326305 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMAXSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 326305 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXSrr),
     /* 326310 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326314 */   GIR_RootConstrainSelectedInstOperands,
     /* 326315 */   // GIR_Coverage, 604,
     /* 326315 */   GIR_Done,
     /* 326316 */ // Label 6666: @326316
     /* 326316 */ GIM_Reject,
     /* 326317 */ // Label 6658: @326317
     /* 326317 */ GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(326376),
     /* 326322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 326325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 326328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326340 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(326359), // Rule ID 606 //
     /* 326345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 326348 */     // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMAXDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 326348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXDrr),
     /* 326353 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326357 */     GIR_RootConstrainSelectedInstOperands,
     /* 326358 */     // GIR_Coverage, 606,
     /* 326358 */     GIR_Done,
     /* 326359 */   // Label 6668: @326359
     /* 326359 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(326375), // Rule ID 4811 //
     /* 326364 */     // (fmaximum:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FMAXDrr:{ *:[v1f64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 326364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXDrr),
     /* 326369 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326373 */     GIR_RootConstrainSelectedInstOperands,
     /* 326374 */     // GIR_Coverage, 4811,
     /* 326374 */     GIR_Done,
     /* 326375 */   // Label 6669: @326375
     /* 326375 */   GIM_Reject,
     /* 326376 */ // Label 6667: @326376
     /* 326376 */ GIM_Reject,
     /* 326377 */ // Label 6659: @326377
     /* 326377 */ GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(326479),
     /* 326382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 326385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 326388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326392 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(326451), // Rule ID 2351 //
     /* 326397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 326412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 326429 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326436 */     // (fmaximum:{ *:[v2f32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FAMAXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 326436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f32),
     /* 326439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326449 */     GIR_RootConstrainSelectedInstOperands,
     /* 326450 */     // GIR_Coverage, 2351,
     /* 326450 */     GIR_EraseRootFromParent_Done,
     /* 326451 */   // Label 6671: @326451
     /* 326451 */   GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(326478), // Rule ID 1258 //
     /* 326456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326467 */     // (fmaximum:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMAXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 326467 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv2f32),
     /* 326472 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326476 */     GIR_RootConstrainSelectedInstOperands,
     /* 326477 */     // GIR_Coverage, 1258,
     /* 326477 */     GIR_Done,
     /* 326478 */   // Label 6672: @326478
     /* 326478 */   GIM_Reject,
     /* 326479 */ // Label 6670: @326479
     /* 326479 */ GIM_Reject,
     /* 326480 */ // Label 6660: @326480
     /* 326480 */ GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(326582),
     /* 326485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 326488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 326491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326495 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(326554), // Rule ID 2357 //
     /* 326500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 326515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 326532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326539 */     // (fmaximum:{ *:[v2f64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FAMAXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 326539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv2f64),
     /* 326542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326552 */     GIR_RootConstrainSelectedInstOperands,
     /* 326553 */     // GIR_Coverage, 2357,
     /* 326553 */     GIR_EraseRootFromParent_Done,
     /* 326554 */   // Label 6674: @326554
     /* 326554 */   GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(326581), // Rule ID 1262 //
     /* 326559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326570 */     // (fmaximum:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMAXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 326570 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv2f64),
     /* 326575 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326579 */     GIR_RootConstrainSelectedInstOperands,
     /* 326580 */     // GIR_Coverage, 1262,
     /* 326580 */     GIR_Done,
     /* 326581 */   // Label 6675: @326581
     /* 326581 */   GIM_Reject,
     /* 326582 */ // Label 6673: @326582
     /* 326582 */ GIM_Reject,
     /* 326583 */ // Label 6661: @326583
     /* 326583 */ GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(326685),
     /* 326588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 326591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 326594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326598 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(326657), // Rule ID 2345 //
     /* 326603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 326618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 326635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326642 */     // (fmaximum:{ *:[v4f16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FAMAXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 326642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f16),
     /* 326645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326655 */     GIR_RootConstrainSelectedInstOperands,
     /* 326656 */     // GIR_Coverage, 2345,
     /* 326656 */     GIR_EraseRootFromParent_Done,
     /* 326657 */   // Label 6677: @326657
     /* 326657 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(326684), // Rule ID 1254 //
     /* 326662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 326665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 326673 */     // (fmaximum:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMAXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 326673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv4f16),
     /* 326678 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326682 */     GIR_RootConstrainSelectedInstOperands,
     /* 326683 */     // GIR_Coverage, 1254,
     /* 326683 */     GIR_Done,
     /* 326684 */   // Label 6678: @326684
     /* 326684 */   GIM_Reject,
     /* 326685 */ // Label 6676: @326685
     /* 326685 */ GIM_Reject,
     /* 326686 */ // Label 6662: @326686
     /* 326686 */ GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(326788),
     /* 326691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 326694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 326697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326701 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(326760), // Rule ID 2354 //
     /* 326706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 326721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326726 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326730 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326734 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 326738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326745 */     // (fmaximum:{ *:[v4f32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FAMAXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 326745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv4f32),
     /* 326748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326758 */     GIR_RootConstrainSelectedInstOperands,
     /* 326759 */     // GIR_Coverage, 2354,
     /* 326759 */     GIR_EraseRootFromParent_Done,
     /* 326760 */   // Label 6680: @326760
     /* 326760 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(326787), // Rule ID 1260 //
     /* 326765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 326768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326776 */     // (fmaximum:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMAXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 326776 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv4f32),
     /* 326781 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326785 */     GIR_RootConstrainSelectedInstOperands,
     /* 326786 */     // GIR_Coverage, 1260,
     /* 326786 */     GIR_Done,
     /* 326787 */   // Label 6681: @326787
     /* 326787 */   GIM_Reject,
     /* 326788 */ // Label 6679: @326788
     /* 326788 */ GIM_Reject,
     /* 326789 */ // Label 6663: @326789
     /* 326789 */ GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(326891),
     /* 326794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 326797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 326800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326804 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(326863), // Rule ID 2348 //
     /* 326809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFAMINMAX_HasNEON),
     /* 326812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 326816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 326824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 326833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 326837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 326841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 326848 */     // (fmaximum:{ *:[v8f16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FAMAXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 326848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FAMAXv8f16),
     /* 326851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 326857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 326861 */     GIR_RootConstrainSelectedInstOperands,
     /* 326862 */     // GIR_Coverage, 2348,
     /* 326862 */     GIR_EraseRootFromParent_Done,
     /* 326863 */   // Label 6683: @326863
     /* 326863 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(326890), // Rule ID 1256 //
     /* 326868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 326871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 326879 */     // (fmaximum:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMAXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 326879 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXv8f16),
     /* 326884 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 326888 */     GIR_RootConstrainSelectedInstOperands,
     /* 326889 */     // GIR_Coverage, 1256,
     /* 326889 */     GIR_Done,
     /* 326890 */   // Label 6684: @326890
     /* 326890 */   GIM_Reject,
     /* 326891 */ // Label 6682: @326891
     /* 326891 */ GIM_Reject,
     /* 326892 */ // Label 6664: @326892
     /* 326892 */ GIM_Reject,
     /* 326893 */ // Label 79: @326893
     /* 326893 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6693*/ GIMT_Encode4(327296),
     /* 326904 */ /*GILLT_s32*//*Label 6685*/ GIMT_Encode4(326944),
     /* 326908 */ /*GILLT_s64*//*Label 6686*/ GIMT_Encode4(327018), GIMT_Encode4(0),
     /* 326916 */ /*GILLT_v2s32*//*Label 6687*/ GIMT_Encode4(327092), GIMT_Encode4(0),
     /* 326924 */ /*GILLT_v4s16*//*Label 6688*/ GIMT_Encode4(327126),
     /* 326928 */ /*GILLT_v4s32*//*Label 6689*/ GIMT_Encode4(327160),
     /* 326932 */ /*GILLT_v8s8*//*Label 6690*/ GIMT_Encode4(327194),
     /* 326936 */ /*GILLT_v8s16*//*Label 6691*/ GIMT_Encode4(327228),
     /* 326940 */ /*GILLT_v16s8*//*Label 6692*/ GIMT_Encode4(327262),
     /* 326944 */ // Label 6685: @326944
     /* 326944 */ GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(327017),
     /* 326949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 326952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 326955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 326959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 326963 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(326997), // Rule ID 2328 //
     /* 326968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 326971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 326975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 326979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_32b),
     /* 326983 */     // MIs[1] Operand 1
     /* 326983 */     // No operand predicates
     /* 326983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 326985 */     // (smin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_simm8_32b>>:$imm)  =>  (SMINWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 326985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINWri),
     /* 326988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 326990 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 326992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 326995 */     GIR_RootConstrainSelectedInstOperands,
     /* 326996 */     // GIR_Coverage, 2328,
     /* 326996 */     GIR_EraseRootFromParent_Done,
     /* 326997 */   // Label 6695: @326997
     /* 326997 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(327016), // Rule ID 2327 //
     /* 327002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327009 */     // (smin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SMINWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 327009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINWrr),
     /* 327014 */     GIR_RootConstrainSelectedInstOperands,
     /* 327015 */     // GIR_Coverage, 2327,
     /* 327015 */     GIR_Done,
     /* 327016 */   // Label 6696: @327016
     /* 327016 */   GIM_Reject,
     /* 327017 */ // Label 6694: @327017
     /* 327017 */ GIM_Reject,
     /* 327018 */ // Label 6686: @327018
     /* 327018 */ GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(327091),
     /* 327023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 327026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 327029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327037 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(327071), // Rule ID 2330 //
     /* 327042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 327049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 327053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_64b),
     /* 327057 */     // MIs[1] Operand 1
     /* 327057 */     // No operand predicates
     /* 327057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 327059 */     // (smin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm8_64b>>:$imm)  =>  (SMINXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 327059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMINXri),
     /* 327062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327064 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 327066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 327069 */     GIR_RootConstrainSelectedInstOperands,
     /* 327070 */     // GIR_Coverage, 2330,
     /* 327070 */     GIR_EraseRootFromParent_Done,
     /* 327071 */   // Label 6698: @327071
     /* 327071 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(327090), // Rule ID 2329 //
     /* 327076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327083 */     // (smin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SMINXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 327083 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINXrr),
     /* 327088 */     GIR_RootConstrainSelectedInstOperands,
     /* 327089 */     // GIR_Coverage, 2329,
     /* 327089 */     GIR_Done,
     /* 327090 */   // Label 6699: @327090
     /* 327090 */   GIM_Reject,
     /* 327091 */ // Label 6697: @327091
     /* 327091 */ GIM_Reject,
     /* 327092 */ // Label 6687: @327092
     /* 327092 */ GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(327125), // Rule ID 1414 //
     /* 327097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 327103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 327106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327118 */   // (smin:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMINv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 327118 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv2i32),
     /* 327123 */   GIR_RootConstrainSelectedInstOperands,
     /* 327124 */   // GIR_Coverage, 1414,
     /* 327124 */   GIR_Done,
     /* 327125 */ // Label 6700: @327125
     /* 327125 */ GIM_Reject,
     /* 327126 */ // Label 6688: @327126
     /* 327126 */ GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(327159), // Rule ID 1412 //
     /* 327131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 327137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 327140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327152 */   // (smin:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMINv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 327152 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv4i16),
     /* 327157 */   GIR_RootConstrainSelectedInstOperands,
     /* 327158 */   // GIR_Coverage, 1412,
     /* 327158 */   GIR_Done,
     /* 327159 */ // Label 6701: @327159
     /* 327159 */ GIM_Reject,
     /* 327160 */ // Label 6689: @327160
     /* 327160 */ GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(327193), // Rule ID 1415 //
     /* 327165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 327171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 327174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327186 */   // (smin:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMINv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 327186 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv4i32),
     /* 327191 */   GIR_RootConstrainSelectedInstOperands,
     /* 327192 */   // GIR_Coverage, 1415,
     /* 327192 */   GIR_Done,
     /* 327193 */ // Label 6702: @327193
     /* 327193 */ GIM_Reject,
     /* 327194 */ // Label 6690: @327194
     /* 327194 */ GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(327227), // Rule ID 1410 //
     /* 327199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 327205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 327208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327220 */   // (smin:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMINv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 327220 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv8i8),
     /* 327225 */   GIR_RootConstrainSelectedInstOperands,
     /* 327226 */   // GIR_Coverage, 1410,
     /* 327226 */   GIR_Done,
     /* 327227 */ // Label 6703: @327227
     /* 327227 */ GIM_Reject,
     /* 327228 */ // Label 6691: @327228
     /* 327228 */ GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(327261), // Rule ID 1413 //
     /* 327233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 327239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 327242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327254 */   // (smin:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMINv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 327254 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv8i16),
     /* 327259 */   GIR_RootConstrainSelectedInstOperands,
     /* 327260 */   // GIR_Coverage, 1413,
     /* 327260 */   GIR_Done,
     /* 327261 */ // Label 6704: @327261
     /* 327261 */ GIM_Reject,
     /* 327262 */ // Label 6692: @327262
     /* 327262 */ GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(327295), // Rule ID 1411 //
     /* 327267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 327273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 327276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327288 */   // (smin:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMINv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 327288 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINv16i8),
     /* 327293 */   GIR_RootConstrainSelectedInstOperands,
     /* 327294 */   // GIR_Coverage, 1411,
     /* 327294 */   GIR_Done,
     /* 327295 */ // Label 6705: @327295
     /* 327295 */ GIM_Reject,
     /* 327296 */ // Label 6693: @327296
     /* 327296 */ GIM_Reject,
     /* 327297 */ // Label 80: @327297
     /* 327297 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6714*/ GIMT_Encode4(327700),
     /* 327308 */ /*GILLT_s32*//*Label 6706*/ GIMT_Encode4(327348),
     /* 327312 */ /*GILLT_s64*//*Label 6707*/ GIMT_Encode4(327422), GIMT_Encode4(0),
     /* 327320 */ /*GILLT_v2s32*//*Label 6708*/ GIMT_Encode4(327496), GIMT_Encode4(0),
     /* 327328 */ /*GILLT_v4s16*//*Label 6709*/ GIMT_Encode4(327530),
     /* 327332 */ /*GILLT_v4s32*//*Label 6710*/ GIMT_Encode4(327564),
     /* 327336 */ /*GILLT_v8s8*//*Label 6711*/ GIMT_Encode4(327598),
     /* 327340 */ /*GILLT_v8s16*//*Label 6712*/ GIMT_Encode4(327632),
     /* 327344 */ /*GILLT_v16s8*//*Label 6713*/ GIMT_Encode4(327666),
     /* 327348 */ // Label 6706: @327348
     /* 327348 */ GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(327421),
     /* 327353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 327356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 327359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327367 */   GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(327401), // Rule ID 2324 //
     /* 327372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 327379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 327383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_32b),
     /* 327387 */     // MIs[1] Operand 1
     /* 327387 */     // No operand predicates
     /* 327387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 327389 */     // (smax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_simm8_32b>>:$imm)  =>  (SMAXWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 327389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXWri),
     /* 327392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327394 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 327396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 327399 */     GIR_RootConstrainSelectedInstOperands,
     /* 327400 */     // GIR_Coverage, 2324,
     /* 327400 */     GIR_EraseRootFromParent_Done,
     /* 327401 */   // Label 6716: @327401
     /* 327401 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(327420), // Rule ID 2323 //
     /* 327406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327413 */     // (smax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (SMAXWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 327413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXWrr),
     /* 327418 */     GIR_RootConstrainSelectedInstOperands,
     /* 327419 */     // GIR_Coverage, 2323,
     /* 327419 */     GIR_Done,
     /* 327420 */   // Label 6717: @327420
     /* 327420 */   GIM_Reject,
     /* 327421 */ // Label 6715: @327421
     /* 327421 */ GIM_Reject,
     /* 327422 */ // Label 6707: @327422
     /* 327422 */ GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(327495),
     /* 327427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 327430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 327433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327441 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(327475), // Rule ID 2326 //
     /* 327446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 327453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 327457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm8_64b),
     /* 327461 */     // MIs[1] Operand 1
     /* 327461 */     // No operand predicates
     /* 327461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 327463 */     // (smax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm8_64b>>:$imm)  =>  (SMAXXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 327463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMAXXri),
     /* 327466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327468 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 327470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 327473 */     GIR_RootConstrainSelectedInstOperands,
     /* 327474 */     // GIR_Coverage, 2326,
     /* 327474 */     GIR_EraseRootFromParent_Done,
     /* 327475 */   // Label 6719: @327475
     /* 327475 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(327494), // Rule ID 2325 //
     /* 327480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327487 */     // (smax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (SMAXXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 327487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXXrr),
     /* 327492 */     GIR_RootConstrainSelectedInstOperands,
     /* 327493 */     // GIR_Coverage, 2325,
     /* 327493 */     GIR_Done,
     /* 327494 */   // Label 6720: @327494
     /* 327494 */   GIM_Reject,
     /* 327495 */ // Label 6718: @327495
     /* 327495 */ GIM_Reject,
     /* 327496 */ // Label 6708: @327496
     /* 327496 */ GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(327529), // Rule ID 1402 //
     /* 327501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 327507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 327510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327522 */   // (smax:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMAXv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 327522 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv2i32),
     /* 327527 */   GIR_RootConstrainSelectedInstOperands,
     /* 327528 */   // GIR_Coverage, 1402,
     /* 327528 */   GIR_Done,
     /* 327529 */ // Label 6721: @327529
     /* 327529 */ GIM_Reject,
     /* 327530 */ // Label 6709: @327530
     /* 327530 */ GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(327563), // Rule ID 1400 //
     /* 327535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 327541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 327544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327556 */   // (smax:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMAXv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 327556 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv4i16),
     /* 327561 */   GIR_RootConstrainSelectedInstOperands,
     /* 327562 */   // GIR_Coverage, 1400,
     /* 327562 */   GIR_Done,
     /* 327563 */ // Label 6722: @327563
     /* 327563 */ GIM_Reject,
     /* 327564 */ // Label 6710: @327564
     /* 327564 */ GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(327597), // Rule ID 1403 //
     /* 327569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 327575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 327578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327586 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327590 */   // (smax:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (SMAXv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 327590 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv4i32),
     /* 327595 */   GIR_RootConstrainSelectedInstOperands,
     /* 327596 */   // GIR_Coverage, 1403,
     /* 327596 */   GIR_Done,
     /* 327597 */ // Label 6723: @327597
     /* 327597 */ GIM_Reject,
     /* 327598 */ // Label 6711: @327598
     /* 327598 */ GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(327631), // Rule ID 1398 //
     /* 327603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 327609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 327612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327624 */   // (smax:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMAXv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 327624 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv8i8),
     /* 327629 */   GIR_RootConstrainSelectedInstOperands,
     /* 327630 */   // GIR_Coverage, 1398,
     /* 327630 */   GIR_Done,
     /* 327631 */ // Label 6724: @327631
     /* 327631 */ GIM_Reject,
     /* 327632 */ // Label 6712: @327632
     /* 327632 */ GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(327665), // Rule ID 1401 //
     /* 327637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 327643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 327646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327658 */   // (smax:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (SMAXv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 327658 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv8i16),
     /* 327663 */   GIR_RootConstrainSelectedInstOperands,
     /* 327664 */   // GIR_Coverage, 1401,
     /* 327664 */   GIR_Done,
     /* 327665 */ // Label 6725: @327665
     /* 327665 */ GIM_Reject,
     /* 327666 */ // Label 6713: @327666
     /* 327666 */ GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(327699), // Rule ID 1399 //
     /* 327671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 327677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 327680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327692 */   // (smax:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SMAXv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 327692 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXv16i8),
     /* 327697 */   GIR_RootConstrainSelectedInstOperands,
     /* 327698 */   // GIR_Coverage, 1399,
     /* 327698 */   GIR_Done,
     /* 327699 */ // Label 6726: @327699
     /* 327699 */ GIM_Reject,
     /* 327700 */ // Label 6714: @327700
     /* 327700 */ GIM_Reject,
     /* 327701 */ // Label 81: @327701
     /* 327701 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6735*/ GIMT_Encode4(328104),
     /* 327712 */ /*GILLT_s32*//*Label 6727*/ GIMT_Encode4(327752),
     /* 327716 */ /*GILLT_s64*//*Label 6728*/ GIMT_Encode4(327826), GIMT_Encode4(0),
     /* 327724 */ /*GILLT_v2s32*//*Label 6729*/ GIMT_Encode4(327900), GIMT_Encode4(0),
     /* 327732 */ /*GILLT_v4s16*//*Label 6730*/ GIMT_Encode4(327934),
     /* 327736 */ /*GILLT_v4s32*//*Label 6731*/ GIMT_Encode4(327968),
     /* 327740 */ /*GILLT_v8s8*//*Label 6732*/ GIMT_Encode4(328002),
     /* 327744 */ /*GILLT_v8s16*//*Label 6733*/ GIMT_Encode4(328036),
     /* 327748 */ /*GILLT_v16s8*//*Label 6734*/ GIMT_Encode4(328070),
     /* 327752 */ // Label 6727: @327752
     /* 327752 */ GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(327825),
     /* 327757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 327760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 327763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327771 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(327805), // Rule ID 2336 //
     /* 327776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 327783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 327787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_32b),
     /* 327791 */     // MIs[1] Operand 1
     /* 327791 */     // No operand predicates
     /* 327791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 327793 */     // (umin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_uimm8_32b>>:$imm)  =>  (UMINWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 327793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINWri),
     /* 327796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327798 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 327800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 327803 */     GIR_RootConstrainSelectedInstOperands,
     /* 327804 */     // GIR_Coverage, 2336,
     /* 327804 */     GIR_EraseRootFromParent_Done,
     /* 327805 */   // Label 6737: @327805
     /* 327805 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(327824), // Rule ID 2335 //
     /* 327810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 327817 */     // (umin:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UMINWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 327817 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINWrr),
     /* 327822 */     GIR_RootConstrainSelectedInstOperands,
     /* 327823 */     // GIR_Coverage, 2335,
     /* 327823 */     GIR_Done,
     /* 327824 */   // Label 6738: @327824
     /* 327824 */   GIM_Reject,
     /* 327825 */ // Label 6736: @327825
     /* 327825 */ GIM_Reject,
     /* 327826 */ // Label 6728: @327826
     /* 327826 */ GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(327899),
     /* 327831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 327834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 327837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327845 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(327879), // Rule ID 2338 //
     /* 327850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 327857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 327861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_64b),
     /* 327865 */     // MIs[1] Operand 1
     /* 327865 */     // No operand predicates
     /* 327865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 327867 */     // (umin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_uimm8_64b>>:$imm)  =>  (UMINXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 327867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMINXri),
     /* 327870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 327872 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 327874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 327877 */     GIR_RootConstrainSelectedInstOperands,
     /* 327878 */     // GIR_Coverage, 2338,
     /* 327878 */     GIR_EraseRootFromParent_Done,
     /* 327879 */   // Label 6740: @327879
     /* 327879 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(327898), // Rule ID 2337 //
     /* 327884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 327887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 327891 */     // (umin:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UMINXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 327891 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINXrr),
     /* 327896 */     GIR_RootConstrainSelectedInstOperands,
     /* 327897 */     // GIR_Coverage, 2337,
     /* 327897 */     GIR_Done,
     /* 327898 */   // Label 6741: @327898
     /* 327898 */   GIM_Reject,
     /* 327899 */ // Label 6739: @327899
     /* 327899 */ GIM_Reject,
     /* 327900 */ // Label 6729: @327900
     /* 327900 */ GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(327933), // Rule ID 1537 //
     /* 327905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 327911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 327914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327926 */   // (umin:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMINv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 327926 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv2i32),
     /* 327931 */   GIR_RootConstrainSelectedInstOperands,
     /* 327932 */   // GIR_Coverage, 1537,
     /* 327932 */   GIR_Done,
     /* 327933 */ // Label 6742: @327933
     /* 327933 */ GIM_Reject,
     /* 327934 */ // Label 6730: @327934
     /* 327934 */ GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(327967), // Rule ID 1535 //
     /* 327939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 327945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 327948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 327960 */   // (umin:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMINv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 327960 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv4i16),
     /* 327965 */   GIR_RootConstrainSelectedInstOperands,
     /* 327966 */   // GIR_Coverage, 1535,
     /* 327966 */   GIR_Done,
     /* 327967 */ // Label 6743: @327967
     /* 327967 */ GIM_Reject,
     /* 327968 */ // Label 6731: @327968
     /* 327968 */ GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(328001), // Rule ID 1538 //
     /* 327973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 327976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 327979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 327982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 327994 */   // (umin:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMINv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 327994 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv4i32),
     /* 327999 */   GIR_RootConstrainSelectedInstOperands,
     /* 328000 */   // GIR_Coverage, 1538,
     /* 328000 */   GIR_Done,
     /* 328001 */ // Label 6744: @328001
     /* 328001 */ GIM_Reject,
     /* 328002 */ // Label 6732: @328002
     /* 328002 */ GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(328035), // Rule ID 1533 //
     /* 328007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 328013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 328016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328028 */   // (umin:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMINv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 328028 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv8i8),
     /* 328033 */   GIR_RootConstrainSelectedInstOperands,
     /* 328034 */   // GIR_Coverage, 1533,
     /* 328034 */   GIR_Done,
     /* 328035 */ // Label 6745: @328035
     /* 328035 */ GIM_Reject,
     /* 328036 */ // Label 6733: @328036
     /* 328036 */ GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(328069), // Rule ID 1536 //
     /* 328041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 328047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 328050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328062 */   // (umin:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMINv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 328062 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv8i16),
     /* 328067 */   GIR_RootConstrainSelectedInstOperands,
     /* 328068 */   // GIR_Coverage, 1536,
     /* 328068 */   GIR_Done,
     /* 328069 */ // Label 6746: @328069
     /* 328069 */ GIM_Reject,
     /* 328070 */ // Label 6734: @328070
     /* 328070 */ GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(328103), // Rule ID 1534 //
     /* 328075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 328081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 328084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328096 */   // (umin:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMINv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 328096 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINv16i8),
     /* 328101 */   GIR_RootConstrainSelectedInstOperands,
     /* 328102 */   // GIR_Coverage, 1534,
     /* 328102 */   GIR_Done,
     /* 328103 */ // Label 6747: @328103
     /* 328103 */ GIM_Reject,
     /* 328104 */ // Label 6735: @328104
     /* 328104 */ GIM_Reject,
     /* 328105 */ // Label 82: @328105
     /* 328105 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6756*/ GIMT_Encode4(328508),
     /* 328116 */ /*GILLT_s32*//*Label 6748*/ GIMT_Encode4(328156),
     /* 328120 */ /*GILLT_s64*//*Label 6749*/ GIMT_Encode4(328230), GIMT_Encode4(0),
     /* 328128 */ /*GILLT_v2s32*//*Label 6750*/ GIMT_Encode4(328304), GIMT_Encode4(0),
     /* 328136 */ /*GILLT_v4s16*//*Label 6751*/ GIMT_Encode4(328338),
     /* 328140 */ /*GILLT_v4s32*//*Label 6752*/ GIMT_Encode4(328372),
     /* 328144 */ /*GILLT_v8s8*//*Label 6753*/ GIMT_Encode4(328406),
     /* 328148 */ /*GILLT_v8s16*//*Label 6754*/ GIMT_Encode4(328440),
     /* 328152 */ /*GILLT_v16s8*//*Label 6755*/ GIMT_Encode4(328474),
     /* 328156 */ // Label 6748: @328156
     /* 328156 */ GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(328229),
     /* 328161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 328164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 328167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 328171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 328175 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(328209), // Rule ID 2332 //
     /* 328180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 328183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 328187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_32b),
     /* 328195 */     // MIs[1] Operand 1
     /* 328195 */     // No operand predicates
     /* 328195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 328197 */     // (umax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_uimm8_32b>>:$imm)  =>  (UMAXWri:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 328197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXWri),
     /* 328200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 328202 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 328204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 328207 */     GIR_RootConstrainSelectedInstOperands,
     /* 328208 */     // GIR_Coverage, 2332,
     /* 328208 */     GIR_EraseRootFromParent_Done,
     /* 328209 */   // Label 6758: @328209
     /* 328209 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(328228), // Rule ID 2331 //
     /* 328214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 328217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 328221 */     // (umax:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)  =>  (UMAXWrr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, GPR32:{ *:[i32] }:$Rm)
     /* 328221 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXWrr),
     /* 328226 */     GIR_RootConstrainSelectedInstOperands,
     /* 328227 */     // GIR_Coverage, 2331,
     /* 328227 */     GIR_Done,
     /* 328228 */   // Label 6759: @328228
     /* 328228 */   GIM_Reject,
     /* 328229 */ // Label 6757: @328229
     /* 328229 */ GIM_Reject,
     /* 328230 */ // Label 6749: @328230
     /* 328230 */ GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(328303),
     /* 328235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 328238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 328241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 328245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 328249 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(328283), // Rule ID 2334 //
     /* 328254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 328257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 328261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 328265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm8_64b),
     /* 328269 */     // MIs[1] Operand 1
     /* 328269 */     // No operand predicates
     /* 328269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 328271 */     // (umax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_uimm8_64b>>:$imm)  =>  (UMAXXri:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$imm)
     /* 328271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMAXXri),
     /* 328274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 328276 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 328278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 328281 */     GIR_RootConstrainSelectedInstOperands,
     /* 328282 */     // GIR_Coverage, 2334,
     /* 328282 */     GIR_EraseRootFromParent_Done,
     /* 328283 */   // Label 6761: @328283
     /* 328283 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(328302), // Rule ID 2333 //
     /* 328288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 328291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 328295 */     // (umax:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)  =>  (UMAXXrr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm)
     /* 328295 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXXrr),
     /* 328300 */     GIR_RootConstrainSelectedInstOperands,
     /* 328301 */     // GIR_Coverage, 2333,
     /* 328301 */     GIR_Done,
     /* 328302 */   // Label 6762: @328302
     /* 328302 */   GIM_Reject,
     /* 328303 */ // Label 6760: @328303
     /* 328303 */ GIM_Reject,
     /* 328304 */ // Label 6750: @328304
     /* 328304 */ GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(328337), // Rule ID 1525 //
     /* 328309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 328315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 328318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328330 */   // (umax:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMAXv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 328330 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv2i32),
     /* 328335 */   GIR_RootConstrainSelectedInstOperands,
     /* 328336 */   // GIR_Coverage, 1525,
     /* 328336 */   GIR_Done,
     /* 328337 */ // Label 6763: @328337
     /* 328337 */ GIM_Reject,
     /* 328338 */ // Label 6751: @328338
     /* 328338 */ GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(328371), // Rule ID 1523 //
     /* 328343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 328349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 328352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328364 */   // (umax:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMAXv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 328364 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv4i16),
     /* 328369 */   GIR_RootConstrainSelectedInstOperands,
     /* 328370 */   // GIR_Coverage, 1523,
     /* 328370 */   GIR_Done,
     /* 328371 */ // Label 6764: @328371
     /* 328371 */ GIM_Reject,
     /* 328372 */ // Label 6752: @328372
     /* 328372 */ GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(328405), // Rule ID 1526 //
     /* 328377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 328383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 328386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328398 */   // (umax:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UMAXv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 328398 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv4i32),
     /* 328403 */   GIR_RootConstrainSelectedInstOperands,
     /* 328404 */   // GIR_Coverage, 1526,
     /* 328404 */   GIR_Done,
     /* 328405 */ // Label 6765: @328405
     /* 328405 */ GIM_Reject,
     /* 328406 */ // Label 6753: @328406
     /* 328406 */ GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(328439), // Rule ID 1521 //
     /* 328411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 328417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 328420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328432 */   // (umax:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMAXv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 328432 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv8i8),
     /* 328437 */   GIR_RootConstrainSelectedInstOperands,
     /* 328438 */   // GIR_Coverage, 1521,
     /* 328438 */   GIR_Done,
     /* 328439 */ // Label 6766: @328439
     /* 328439 */ GIM_Reject,
     /* 328440 */ // Label 6754: @328440
     /* 328440 */ GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(328473), // Rule ID 1524 //
     /* 328445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 328451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 328454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328466 */   // (umax:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UMAXv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 328466 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv8i16),
     /* 328471 */   GIR_RootConstrainSelectedInstOperands,
     /* 328472 */   // GIR_Coverage, 1524,
     /* 328472 */   GIR_Done,
     /* 328473 */ // Label 6767: @328473
     /* 328473 */ GIM_Reject,
     /* 328474 */ // Label 6755: @328474
     /* 328474 */ GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(328507), // Rule ID 1522 //
     /* 328479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 328485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 328488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328500 */   // (umax:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UMAXv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 328500 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXv16i8),
     /* 328505 */   GIR_RootConstrainSelectedInstOperands,
     /* 328506 */   // GIR_Coverage, 1522,
     /* 328506 */   GIR_Done,
     /* 328507 */ // Label 6768: @328507
     /* 328507 */ GIM_Reject,
     /* 328508 */ // Label 6756: @328508
     /* 328508 */ GIM_Reject,
     /* 328509 */ // Label 83: @328509
     /* 328509 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 6778*/ GIMT_Encode4(329323),
     /* 328520 */ /*GILLT_s32*//*Label 6769*/ GIMT_Encode4(328560),
     /* 328524 */ /*GILLT_s64*//*Label 6770*/ GIMT_Encode4(328587), GIMT_Encode4(0),
     /* 328532 */ /*GILLT_v2s32*//*Label 6771*/ GIMT_Encode4(328666),
     /* 328536 */ /*GILLT_v2s64*//*Label 6772*/ GIMT_Encode4(328693),
     /* 328540 */ /*GILLT_v4s16*//*Label 6773*/ GIMT_Encode4(328876),
     /* 328544 */ /*GILLT_v4s32*//*Label 6774*/ GIMT_Encode4(328903),
     /* 328548 */ /*GILLT_v8s8*//*Label 6775*/ GIMT_Encode4(329086),
     /* 328552 */ /*GILLT_v8s16*//*Label 6776*/ GIMT_Encode4(329113),
     /* 328556 */ /*GILLT_v16s8*//*Label 6777*/ GIMT_Encode4(329296),
     /* 328560 */ // Label 6769: @328560
     /* 328560 */ GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(328586), // Rule ID 2317 //
     /* 328565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 328568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 328571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 328575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 328579 */   // (abs:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (ABSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 328579 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSWr),
     /* 328584 */   GIR_RootConstrainSelectedInstOperands,
     /* 328585 */   // GIR_Coverage, 2317,
     /* 328585 */   GIR_Done,
     /* 328586 */ // Label 6779: @328586
     /* 328586 */ GIM_Reject,
     /* 328587 */ // Label 6770: @328587
     /* 328587 */ GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(328665),
     /* 328592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 328595 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(328618), // Rule ID 1652 //
     /* 328600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328611 */     // (abs:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)  =>  (ABSv1i64:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn)
     /* 328611 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv1i64),
     /* 328616 */     GIR_RootConstrainSelectedInstOperands,
     /* 328617 */     // GIR_Coverage, 1652,
     /* 328617 */     GIR_Done,
     /* 328618 */   // Label 6781: @328618
     /* 328618 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(328641), // Rule ID 2318 //
     /* 328623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 328626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 328630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 328634 */     // (abs:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (ABSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 328634 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSXr),
     /* 328639 */     GIR_RootConstrainSelectedInstOperands,
     /* 328640 */     // GIR_Coverage, 2318,
     /* 328640 */     GIR_Done,
     /* 328641 */   // Label 6782: @328641
     /* 328641 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(328664), // Rule ID 2514 //
     /* 328646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoCSSC),
     /* 328649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328657 */     // (abs:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)  =>  (ABSv1i64:{ *:[i64] } FPR64:{ *:[i64] }:$Rn)
     /* 328657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv1i64),
     /* 328662 */     GIR_RootConstrainSelectedInstOperands,
     /* 328663 */     // GIR_Coverage, 2514,
     /* 328663 */     GIR_Done,
     /* 328664 */   // Label 6783: @328664
     /* 328664 */   GIM_Reject,
     /* 328665 */ // Label 6780: @328665
     /* 328665 */ GIM_Reject,
     /* 328666 */ // Label 6771: @328666
     /* 328666 */ GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(328692), // Rule ID 707 //
     /* 328671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 328677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328685 */   // (abs:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (ABSv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 328685 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv2i32),
     /* 328690 */   GIR_RootConstrainSelectedInstOperands,
     /* 328691 */   // GIR_Coverage, 707,
     /* 328691 */   GIR_Done,
     /* 328692 */ // Label 6784: @328692
     /* 328692 */ GIM_Reject,
     /* 328693 */ // Label 6772: @328693
     /* 328693 */ GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(328875),
     /* 328698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 328701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328705 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(328783), // Rule ID 4889 //
     /* 328710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 328718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 328722 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 328726 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 328730 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 328734 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 328738 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 328742 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 328746 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 328750 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328752 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 328759 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 328766 */     // (abs:{ *:[v2i64] } (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$opA)), (zext:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$opB))))  =>  (UABDLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$opA, V128:{ *:[v4i32] }:$opB)
     /* 328766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i32_v2i64),
     /* 328769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 328771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // opA
     /* 328776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // opB
     /* 328781 */     GIR_RootConstrainSelectedInstOperands,
     /* 328782 */     // GIR_Coverage, 4889,
     /* 328782 */     GIR_EraseRootFromParent_Done,
     /* 328783 */   // Label 6786: @328783
     /* 328783 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(328855), // Rule ID 4888 //
     /* 328788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 328796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 328800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 328804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 328808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 328812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 328816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328821 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 328825 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 328829 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 328833 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328838 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328840 */     // (abs:{ *:[v2i64] } (sub:{ *:[v2i64] } (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$opA), (zext:{ *:[v2i64] } V64:{ *:[v2i32] }:$opB)))  =>  (UABDLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$opA, V64:{ *:[v2i32] }:$opB)
     /* 328840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv2i32_v2i64),
     /* 328843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 328845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // opA
     /* 328849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // opB
     /* 328853 */     GIR_RootConstrainSelectedInstOperands,
     /* 328854 */     // GIR_Coverage, 4888,
     /* 328854 */     GIR_EraseRootFromParent_Done,
     /* 328855 */   // Label 6787: @328855
     /* 328855 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(328874), // Rule ID 709 //
     /* 328860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328867 */     // (abs:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)  =>  (ABSv2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 328867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv2i64),
     /* 328872 */     GIR_RootConstrainSelectedInstOperands,
     /* 328873 */     // GIR_Coverage, 709,
     /* 328873 */     GIR_Done,
     /* 328874 */   // Label 6788: @328874
     /* 328874 */   GIM_Reject,
     /* 328875 */ // Label 6785: @328875
     /* 328875 */ GIM_Reject,
     /* 328876 */ // Label 6773: @328876
     /* 328876 */ GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(328902), // Rule ID 705 //
     /* 328881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 328884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 328887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 328895 */   // (abs:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (ABSv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 328895 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv4i16),
     /* 328900 */   GIR_RootConstrainSelectedInstOperands,
     /* 328901 */   // GIR_Coverage, 705,
     /* 328901 */   GIR_Done,
     /* 328902 */ // Label 6789: @328902
     /* 328902 */ GIM_Reject,
     /* 328903 */ // Label 6774: @328903
     /* 328903 */ GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(329085),
     /* 328908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 328911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 328915 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(328993), // Rule ID 4887 //
     /* 328920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 328924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 328928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 328932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 328936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 328940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 328944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 328948 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 328952 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 328956 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 328960 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 328962 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 328969 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 328976 */     // (abs:{ *:[v4i32] } (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$opA)), (zext:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$opB))))  =>  (UABDLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$opA, V128:{ *:[v8i16] }:$opB)
     /* 328976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i16_v4i32),
     /* 328979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 328981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // opA
     /* 328986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // opB
     /* 328991 */     GIR_RootConstrainSelectedInstOperands,
     /* 328992 */     // GIR_Coverage, 4887,
     /* 328992 */     GIR_EraseRootFromParent_Done,
     /* 328993 */   // Label 6791: @328993
     /* 328993 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(329065), // Rule ID 4886 //
     /* 328998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 329006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 329010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 329014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 329018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 329026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329031 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 329035 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329039 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 329043 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329048 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329050 */     // (abs:{ *:[v4i32] } (sub:{ *:[v4i32] } (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$opA), (zext:{ *:[v4i32] } V64:{ *:[v4i16] }:$opB)))  =>  (UABDLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$opA, V64:{ *:[v4i16] }:$opB)
     /* 329050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv4i16_v4i32),
     /* 329053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 329055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // opA
     /* 329059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // opB
     /* 329063 */     GIR_RootConstrainSelectedInstOperands,
     /* 329064 */     // GIR_Coverage, 4886,
     /* 329064 */     GIR_EraseRootFromParent_Done,
     /* 329065 */   // Label 6792: @329065
     /* 329065 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(329084), // Rule ID 708 //
     /* 329070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 329073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329077 */     // (abs:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (ABSv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 329077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv4i32),
     /* 329082 */     GIR_RootConstrainSelectedInstOperands,
     /* 329083 */     // GIR_Coverage, 708,
     /* 329083 */     GIR_Done,
     /* 329084 */   // Label 6793: @329084
     /* 329084 */   GIM_Reject,
     /* 329085 */ // Label 6790: @329085
     /* 329085 */ GIM_Reject,
     /* 329086 */ // Label 6775: @329086
     /* 329086 */ GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(329112), // Rule ID 703 //
     /* 329091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 329094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 329097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329105 */   // (abs:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (ABSv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 329105 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv8i8),
     /* 329110 */   GIR_RootConstrainSelectedInstOperands,
     /* 329111 */   // GIR_Coverage, 703,
     /* 329111 */   GIR_Done,
     /* 329112 */ // Label 6794: @329112
     /* 329112 */ GIM_Reject,
     /* 329113 */ // Label 6776: @329113
     /* 329113 */ GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(329295),
     /* 329118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 329121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329125 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(329203), // Rule ID 4885 //
     /* 329130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 329138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 329142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 329146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 329150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 329158 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 329162 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329166 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 329170 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329172 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 329179 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 329186 */     // (abs:{ *:[v8i16] } (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$opA)), (zext:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$opB))))  =>  (UABDLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$opA, V128:{ *:[v16i8] }:$opB)
     /* 329186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv16i8_v8i16),
     /* 329189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 329191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // opA
     /* 329196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // opB
     /* 329201 */     GIR_RootConstrainSelectedInstOperands,
     /* 329202 */     // GIR_Coverage, 4885,
     /* 329202 */     GIR_EraseRootFromParent_Done,
     /* 329203 */   // Label 6796: @329203
     /* 329203 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(329275), // Rule ID 4884 //
     /* 329208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SUB),
     /* 329216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 329220 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 329224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 329228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329232 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 329236 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329241 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 329245 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 329249 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 329253 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329258 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 329260 */     // (abs:{ *:[v8i16] } (sub:{ *:[v8i16] } (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$opA), (zext:{ *:[v8i16] } V64:{ *:[v8i8] }:$opB)))  =>  (UABDLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$opA, V64:{ *:[v8i8] }:$opB)
     /* 329260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UABDLv8i8_v8i16),
     /* 329263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 329265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // opA
     /* 329269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // opB
     /* 329273 */     GIR_RootConstrainSelectedInstOperands,
     /* 329274 */     // GIR_Coverage, 4884,
     /* 329274 */     GIR_EraseRootFromParent_Done,
     /* 329275 */   // Label 6797: @329275
     /* 329275 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(329294), // Rule ID 706 //
     /* 329280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 329283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329287 */     // (abs:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (ABSv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 329287 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv8i16),
     /* 329292 */     GIR_RootConstrainSelectedInstOperands,
     /* 329293 */     // GIR_Coverage, 706,
     /* 329293 */     GIR_Done,
     /* 329294 */   // Label 6798: @329294
     /* 329294 */   GIM_Reject,
     /* 329295 */ // Label 6795: @329295
     /* 329295 */ GIM_Reject,
     /* 329296 */ // Label 6777: @329296
     /* 329296 */ GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(329322), // Rule ID 704 //
     /* 329301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 329304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 329307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329315 */   // (abs:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (ABSv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 329315 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ABSv16i8),
     /* 329320 */   GIR_RootConstrainSelectedInstOperands,
     /* 329321 */   // GIR_Coverage, 704,
     /* 329321 */   GIR_Done,
     /* 329322 */ // Label 6799: @329322
     /* 329322 */ GIM_Reject,
     /* 329323 */ // Label 6778: @329323
     /* 329323 */ GIM_Reject,
     /* 329324 */ // Label 84: @329324
     /* 329324 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 6802*/ GIMT_Encode4(329489),
     /* 329335 */ /*GILLT_s32*//*Label 6800*/ GIMT_Encode4(329343),
     /* 329339 */ /*GILLT_s64*//*Label 6801*/ GIMT_Encode4(329416),
     /* 329343 */ // Label 6800: @329343
     /* 329343 */ GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(329369), // Rule ID 4730 //
     /* 329348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 329351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 329354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 329358 */   // (lround:{ *:[i32] } f16:{ *:[f16] }:$Rn)  =>  (FCVTASUWHr:{ *:[i32] } f16:{ *:[f16] }:$Rn)
     /* 329358 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWHr),
     /* 329363 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329367 */   GIR_RootConstrainSelectedInstOperands,
     /* 329368 */   // GIR_Coverage, 4730,
     /* 329368 */   GIR_Done,
     /* 329369 */ // Label 6803: @329369
     /* 329369 */ GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(329392), // Rule ID 4736 //
     /* 329374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 329377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 329381 */   // (lround:{ *:[i32] } f32:{ *:[f32] }:$Rn)  =>  (FCVTASUWSr:{ *:[i32] } f32:{ *:[f32] }:$Rn)
     /* 329381 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWSr),
     /* 329386 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329390 */   GIR_RootConstrainSelectedInstOperands,
     /* 329391 */   // GIR_Coverage, 4736,
     /* 329391 */   GIR_Done,
     /* 329392 */ // Label 6804: @329392
     /* 329392 */ GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(329415), // Rule ID 4738 //
     /* 329397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 329400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 329404 */   // (lround:{ *:[i32] } f64:{ *:[f64] }:$Rn)  =>  (FCVTASUWDr:{ *:[i32] } f64:{ *:[f64] }:$Rn)
     /* 329404 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUWDr),
     /* 329409 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329413 */   GIR_RootConstrainSelectedInstOperands,
     /* 329414 */   // GIR_Coverage, 4738,
     /* 329414 */   GIR_Done,
     /* 329415 */ // Label 6805: @329415
     /* 329415 */ GIM_Reject,
     /* 329416 */ // Label 6801: @329416
     /* 329416 */ GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(329442), // Rule ID 4732 //
     /* 329421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 329424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 329427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 329431 */   // (lround:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTASUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 329431 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXHr),
     /* 329436 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329440 */   GIR_RootConstrainSelectedInstOperands,
     /* 329441 */   // GIR_Coverage, 4732,
     /* 329441 */   GIR_Done,
     /* 329442 */ // Label 6806: @329442
     /* 329442 */ GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(329465), // Rule ID 4740 //
     /* 329447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 329450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 329454 */   // (lround:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTASUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 329454 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 329459 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329463 */   GIR_RootConstrainSelectedInstOperands,
     /* 329464 */   // GIR_Coverage, 4740,
     /* 329464 */   GIR_Done,
     /* 329465 */ // Label 6807: @329465
     /* 329465 */ GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(329488), // Rule ID 4742 //
     /* 329470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 329473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 329477 */   // (lround:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTASUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 329477 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 329482 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329486 */   GIR_RootConstrainSelectedInstOperands,
     /* 329487 */   // GIR_Coverage, 4742,
     /* 329487 */   GIR_Done,
     /* 329488 */ // Label 6808: @329488
     /* 329488 */ GIM_Reject,
     /* 329489 */ // Label 6802: @329489
     /* 329489 */ GIM_Reject,
     /* 329490 */ // Label 85: @329490
     /* 329490 */ GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(329588),
     /* 329495 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 329498 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 6813*/ GIMT_Encode4(329587),
     /* 329509 */   /*GILLT_s16*//*Label 6810*/ GIMT_Encode4(329521),
     /* 329513 */   /*GILLT_s32*//*Label 6811*/ GIMT_Encode4(329545),
     /* 329517 */   /*GILLT_s64*//*Label 6812*/ GIMT_Encode4(329566),
     /* 329521 */   // Label 6810: @329521
     /* 329521 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(329544), // Rule ID 4734 //
     /* 329526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 329529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 329533 */     // (llround:{ *:[i64] } f16:{ *:[f16] }:$Rn)  =>  (FCVTASUXHr:{ *:[i64] } f16:{ *:[f16] }:$Rn)
     /* 329533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXHr),
     /* 329538 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329542 */     GIR_RootConstrainSelectedInstOperands,
     /* 329543 */     // GIR_Coverage, 4734,
     /* 329543 */     GIR_Done,
     /* 329544 */   // Label 6814: @329544
     /* 329544 */   GIM_Reject,
     /* 329545 */   // Label 6811: @329545
     /* 329545 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(329565), // Rule ID 4744 //
     /* 329550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 329554 */     // (llround:{ *:[i64] } f32:{ *:[f32] }:$Rn)  =>  (FCVTASUXSr:{ *:[i64] } f32:{ *:[f32] }:$Rn)
     /* 329554 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXSr),
     /* 329559 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329563 */     GIR_RootConstrainSelectedInstOperands,
     /* 329564 */     // GIR_Coverage, 4744,
     /* 329564 */     GIR_Done,
     /* 329565 */   // Label 6815: @329565
     /* 329565 */   GIM_Reject,
     /* 329566 */   // Label 6812: @329566
     /* 329566 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(329586), // Rule ID 4746 //
     /* 329571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 329575 */     // (llround:{ *:[i64] } f64:{ *:[f64] }:$Rn)  =>  (FCVTASUXDr:{ *:[i64] } f64:{ *:[f64] }:$Rn)
     /* 329575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCVTASUXDr),
     /* 329580 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 329584 */     GIR_RootConstrainSelectedInstOperands,
     /* 329585 */     // GIR_Coverage, 4746,
     /* 329585 */     GIR_Done,
     /* 329586 */   // Label 6816: @329586
     /* 329586 */   GIM_Reject,
     /* 329587 */   // Label 6813: @329587
     /* 329587 */   GIM_Reject,
     /* 329588 */ // Label 6809: @329588
     /* 329588 */ GIM_Reject,
     /* 329589 */ // Label 86: @329589
     /* 329589 */ GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(329604), // Rule ID 225 //
     /* 329594 */   // MIs[0] addr
     /* 329594 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 329597 */   // (br (bb:{ *:[Other] }):$addr)  =>  (B (bb:{ *:[Other] }):$addr)
     /* 329597 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::B),
     /* 329602 */   GIR_RootConstrainSelectedInstOperands,
     /* 329603 */   // GIR_Coverage, 225,
     /* 329603 */   GIR_Done,
     /* 329604 */ // Label 6817: @329604
     /* 329604 */ GIM_Reject,
     /* 329605 */ // Label 87: @329605
     /* 329605 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(21), /*)*//*default:*//*Label 6829*/ GIMT_Encode4(334976),
     /* 329616 */ /*GILLT_s64*//*Label 6818*/ GIMT_Encode4(329688), GIMT_Encode4(0),
     /* 329624 */ /*GILLT_v2s32*//*Label 6819*/ GIMT_Encode4(330090), GIMT_Encode4(0),
     /* 329632 */ /*GILLT_v4s16*//*Label 6820*/ GIMT_Encode4(330492), GIMT_Encode4(0),
     /* 329640 */ /*GILLT_v8s8*//*Label 6821*/ GIMT_Encode4(330894), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 329652 */ /*GILLT_nxv1s1*//*Label 6822*/ GIMT_Encode4(331074),
     /* 329656 */ /*GILLT_nxv2s1*//*Label 6823*/ GIMT_Encode4(333337),
     /* 329660 */ /*GILLT_nxv2s16*//*Label 6824*/ GIMT_Encode4(334192),
     /* 329664 */ /*GILLT_nxv2s32*//*Label 6825*/ GIMT_Encode4(334479), GIMT_Encode4(0),
     /* 329672 */ /*GILLT_nxv4s1*//*Label 6826*/ GIMT_Encode4(334549),
     /* 329676 */ /*GILLT_nxv4s16*//*Label 6827*/ GIMT_Encode4(334836), GIMT_Encode4(0),
     /* 329684 */ /*GILLT_nxv8s1*//*Label 6828*/ GIMT_Encode4(334906),
     /* 329688 */ // Label 6818: @329688
     /* 329688 */ GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(330089),
     /* 329693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 329696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329700 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(329752), // Rule ID 5580 //
     /* 329705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 329713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 329717 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 329719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329724 */     // MIs[0] Operand 2
     /* 329724 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 329735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 329737 */     // (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Vn)<<P:Predicate_anyext_oneuse>>, 0:{ *:[i64] })  =>  (ZIP1v2i32:{ *:[v1i64] } V64:{ *:[v2i32] }:$Vn, V64:{ *:[v2i32] }:$Vn)
     /* 329737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i32),
     /* 329740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 329742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 329746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 329750 */     GIR_RootConstrainSelectedInstOperands,
     /* 329751 */     // GIR_Coverage, 5580,
     /* 329751 */     GIR_EraseRootFromParent_Done,
     /* 329752 */   // Label 6831: @329752
     /* 329752 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(329804), // Rule ID 5583 //
     /* 329757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 329761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 329765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 329769 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 329771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329776 */     // MIs[0] Operand 2
     /* 329776 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 329787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 329789 */     // (extract_subvector:{ *:[v1i64] } (anyext:{ *:[v2i64] } V64:{ *:[v2i32] }:$Vn)<<P:Predicate_anyext_oneuse>>, 1:{ *:[i64] })  =>  (ZIP2v2i32:{ *:[v1i64] } V64:{ *:[v2i32] }:$Vn, V64:{ *:[v2i32] }:$Vn)
     /* 329789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i32),
     /* 329792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 329794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 329798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 329802 */     GIR_RootConstrainSelectedInstOperands,
     /* 329803 */     // GIR_Coverage, 5583,
     /* 329803 */     GIR_EraseRootFromParent_Done,
     /* 329804 */   // Label 6832: @329804
     /* 329804 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(329872), // Rule ID 5459 //
     /* 329809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329813 */     // MIs[0] Operand 2
     /* 329813 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 329824 */     // (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 329824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 329827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 329831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329836 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 329840 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 329844 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 329847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 329852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329854 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 329861 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329866 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329871 */     // GIR_Coverage, 5459,
     /* 329871 */     GIR_EraseRootFromParent_Done,
     /* 329872 */   // Label 6833: @329872
     /* 329872 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(329940), // Rule ID 5464 //
     /* 329877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329881 */     // MIs[0] Operand 2
     /* 329881 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 329892 */     // (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 329892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 329895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 329899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 329904 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 329908 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 329912 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 329915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 329917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 329920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329922 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 329929 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329934 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329939 */     // GIR_Coverage, 5464,
     /* 329939 */     GIR_EraseRootFromParent_Done,
     /* 329940 */   // Label 6834: @329940
     /* 329940 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(329982), // Rule ID 6885 //
     /* 329945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329949 */     // MIs[0] Operand 2
     /* 329949 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 329960 */     // (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, dsub:{ *:[i32] })
     /* 329960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 329963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 329965 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 329971 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 329976 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329981 */     // GIR_Coverage, 6885,
     /* 329981 */     GIR_EraseRootFromParent_Done,
     /* 329982 */   // Label 6835: @329982
     /* 329982 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(330024), // Rule ID 6886 //
     /* 329987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 329991 */     // MIs[0] Operand 2
     /* 329991 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330002 */     // (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] })
     /* 330002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330007 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 330013 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330018 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330023 */     // GIR_Coverage, 6886,
     /* 330023 */     GIR_EraseRootFromParent_Done,
     /* 330024 */   // Label 6836: @330024
     /* 330024 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(330088), // Rule ID 6890 //
     /* 330029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330033 */     // MIs[0] Operand 2
     /* 330033 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 330044 */     // (extract_subvector:{ *:[v1i64] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 330044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 330051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330056 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330060 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 330063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330070 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330077 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330082 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330087 */     // GIR_Coverage, 6890,
     /* 330087 */     GIR_EraseRootFromParent_Done,
     /* 330088 */   // Label 6837: @330088
     /* 330088 */   GIM_Reject,
     /* 330089 */ // Label 6830: @330089
     /* 330089 */ GIM_Reject,
     /* 330090 */ // Label 6819: @330090
     /* 330090 */ GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(330491),
     /* 330095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 330098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330102 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(330154), // Rule ID 5579 //
     /* 330107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 330115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 330119 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 330121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330126 */     // MIs[0] Operand 2
     /* 330126 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 330139 */     // (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Vn)<<P:Predicate_anyext_oneuse>>, 0:{ *:[i64] })  =>  (ZIP1v4i16:{ *:[v2i32] } V64:{ *:[v4i16] }:$Vn, V64:{ *:[v4i16] }:$Vn)
     /* 330139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i16),
     /* 330142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 330144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330152 */     GIR_RootConstrainSelectedInstOperands,
     /* 330153 */     // GIR_Coverage, 5579,
     /* 330153 */     GIR_EraseRootFromParent_Done,
     /* 330154 */   // Label 6839: @330154
     /* 330154 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(330206), // Rule ID 5582 //
     /* 330159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 330167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 330171 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 330173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330178 */     // MIs[0] Operand 2
     /* 330178 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 330189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 330191 */     // (extract_subvector:{ *:[v2i32] } (anyext:{ *:[v4i32] } V64:{ *:[v4i16] }:$Vn)<<P:Predicate_anyext_oneuse>>, 2:{ *:[i64] })  =>  (ZIP2v4i16:{ *:[v2i32] } V64:{ *:[v4i16] }:$Vn, V64:{ *:[v4i16] }:$Vn)
     /* 330191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i16),
     /* 330194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 330196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330204 */     GIR_RootConstrainSelectedInstOperands,
     /* 330205 */     // GIR_Coverage, 5582,
     /* 330205 */     GIR_EraseRootFromParent_Done,
     /* 330206 */   // Label 6840: @330206
     /* 330206 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(330274), // Rule ID 5449 //
     /* 330211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330215 */     // MIs[0] Operand 2
     /* 330215 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 330226 */     // (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 330226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 330233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330242 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330246 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 330249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330256 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330263 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330268 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330273 */     // GIR_Coverage, 5449,
     /* 330273 */     GIR_EraseRootFromParent_Done,
     /* 330274 */   // Label 6841: @330274
     /* 330274 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(330342), // Rule ID 5454 //
     /* 330279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330283 */     // MIs[0] Operand 2
     /* 330283 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 330294 */     // (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 2:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 330294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 330301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330306 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330310 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330314 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 330317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330324 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330331 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330336 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330341 */     // GIR_Coverage, 5454,
     /* 330341 */     GIR_EraseRootFromParent_Done,
     /* 330342 */   // Label 6842: @330342
     /* 330342 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(330384), // Rule ID 6882 //
     /* 330347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330351 */     // MIs[0] Operand 2
     /* 330351 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330362 */     // (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] })
     /* 330362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330367 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 330373 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330378 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330383 */     // GIR_Coverage, 6882,
     /* 330383 */     GIR_EraseRootFromParent_Done,
     /* 330384 */   // Label 6843: @330384
     /* 330384 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(330426), // Rule ID 6884 //
     /* 330389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330393 */     // MIs[0] Operand 2
     /* 330393 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330404 */     // (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, dsub:{ *:[i32] })
     /* 330404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330409 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 330415 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330420 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330425 */     // GIR_Coverage, 6884,
     /* 330425 */     GIR_EraseRootFromParent_Done,
     /* 330426 */   // Label 6844: @330426
     /* 330426 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(330490), // Rule ID 6889 //
     /* 330431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330435 */     // MIs[0] Operand 2
     /* 330435 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 330446 */     // (extract_subvector:{ *:[v2i32] } FPR128:{ *:[v4i32] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v4i32] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 330446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 330453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330458 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330462 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 330465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330472 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330479 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330484 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330489 */     // GIR_Coverage, 6889,
     /* 330489 */     GIR_EraseRootFromParent_Done,
     /* 330490 */   // Label 6845: @330490
     /* 330490 */   GIM_Reject,
     /* 330491 */ // Label 6838: @330491
     /* 330491 */ GIM_Reject,
     /* 330492 */ // Label 6820: @330492
     /* 330492 */ GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(330893),
     /* 330497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 330500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330504 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(330556), // Rule ID 5578 //
     /* 330509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 330517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 330521 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 330523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330528 */     // MIs[0] Operand 2
     /* 330528 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 330541 */     // (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Vn)<<P:Predicate_anyext_oneuse>>, 0:{ *:[i64] })  =>  (ZIP1v8i8:{ *:[v4i16] } V64:{ *:[v8i8] }:$Vn, V64:{ *:[v8i8] }:$Vn)
     /* 330541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i8),
     /* 330544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 330546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330554 */     GIR_RootConstrainSelectedInstOperands,
     /* 330555 */     // GIR_Coverage, 5578,
     /* 330555 */     GIR_EraseRootFromParent_Done,
     /* 330556 */   // Label 6847: @330556
     /* 330556 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(330608), // Rule ID 5581 //
     /* 330561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 330565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /* 330569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 330573 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 330575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330580 */     // MIs[0] Operand 2
     /* 330580 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 330591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 330593 */     // (extract_subvector:{ *:[v4i16] } (anyext:{ *:[v8i16] } V64:{ *:[v8i8] }:$Vn)<<P:Predicate_anyext_oneuse>>, 4:{ *:[i64] })  =>  (ZIP2v8i8:{ *:[v4i16] } V64:{ *:[v8i8] }:$Vn, V64:{ *:[v8i8] }:$Vn)
     /* 330593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i8),
     /* 330596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 330598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Vn
     /* 330606 */     GIR_RootConstrainSelectedInstOperands,
     /* 330607 */     // GIR_Coverage, 5581,
     /* 330607 */     GIR_EraseRootFromParent_Done,
     /* 330608 */   // Label 6848: @330608
     /* 330608 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(330676), // Rule ID 5439 //
     /* 330613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330617 */     // MIs[0] Operand 2
     /* 330617 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 330628 */     // (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 330628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 330635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330640 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330644 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330648 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 330651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330658 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330665 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330670 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330675 */     // GIR_Coverage, 5439,
     /* 330675 */     GIR_EraseRootFromParent_Done,
     /* 330676 */   // Label 6849: @330676
     /* 330676 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(330744), // Rule ID 5444 //
     /* 330681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330685 */     // MIs[0] Operand 2
     /* 330685 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 330696 */     // (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 4:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 330696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 330703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330708 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330712 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330716 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 330719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330726 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330733 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330738 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330743 */     // GIR_Coverage, 5444,
     /* 330743 */     GIR_EraseRootFromParent_Done,
     /* 330744 */   // Label 6850: @330744
     /* 330744 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(330786), // Rule ID 6880 //
     /* 330749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330753 */     // MIs[0] Operand 2
     /* 330753 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330764 */     // (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, dsub:{ *:[i32] })
     /* 330764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330769 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 330775 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330780 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330785 */     // GIR_Coverage, 6880,
     /* 330785 */     GIR_EraseRootFromParent_Done,
     /* 330786 */   // Label 6851: @330786
     /* 330786 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(330828), // Rule ID 6883 //
     /* 330791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330795 */     // MIs[0] Operand 2
     /* 330795 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330806 */     // (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })
     /* 330806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330811 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 330817 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330822 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330827 */     // GIR_Coverage, 6883,
     /* 330827 */     GIR_EraseRootFromParent_Done,
     /* 330828 */   // Label 6852: @330828
     /* 330828 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(330892), // Rule ID 6888 //
     /* 330833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330837 */     // MIs[0] Operand 2
     /* 330837 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 330848 */     // (extract_subvector:{ *:[v4i16] } FPR128:{ *:[v8i16] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v8i16] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 330848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 330855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330864 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 330867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330874 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330881 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330886 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330891 */     // GIR_Coverage, 6888,
     /* 330891 */     GIR_EraseRootFromParent_Done,
     /* 330892 */   // Label 6853: @330892
     /* 330892 */   GIM_Reject,
     /* 330893 */ // Label 6846: @330893
     /* 330893 */ GIM_Reject,
     /* 330894 */ // Label 6821: @330894
     /* 330894 */ GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(331073),
     /* 330899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 330902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330910 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(330974), // Rule ID 5434 //
     /* 330915 */     // MIs[0] Operand 2
     /* 330915 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 330926 */     // (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 8:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (EXTv16i8:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rn, 8:{ *:[i32] }), dsub:{ *:[i32] })
     /* 330926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 330929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 330933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 330938 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330942 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 330946 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/8,
     /* 330949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 330951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330956 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 330963 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 330968 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 330973 */     // GIR_Coverage, 5434,
     /* 330973 */     GIR_EraseRootFromParent_Done,
     /* 330974 */   // Label 6855: @330974
     /* 330974 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(331012), // Rule ID 6881 //
     /* 330979 */     // MIs[0] Operand 2
     /* 330979 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 330990 */     // (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, dsub:{ *:[i32] })
     /* 330990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 330993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 330995 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 331001 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331006 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331011 */     // GIR_Coverage, 6881,
     /* 331011 */     GIR_EraseRootFromParent_Done,
     /* 331012 */   // Label 6856: @331012
     /* 331012 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(331072), // Rule ID 6887 //
     /* 331017 */     // MIs[0] Operand 2
     /* 331017 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 331028 */     // (extract_subvector:{ *:[v8i8] } FPR128:{ *:[v16i8] }:$Rn, 1:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (DUPv2i64lane:{ *:[f128] } FPR128:{ *:[v16i8] }:$Rn, 1:{ *:[i64] }), dsub:{ *:[i32] })
     /* 331028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 331031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 331035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 331044 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 331047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 331052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 331054 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 331061 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 331066 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 331071 */     // GIR_Coverage, 6887,
     /* 331071 */     GIR_EraseRootFromParent_Done,
     /* 331072 */   // Label 6857: @331072
     /* 331072 */   GIM_Reject,
     /* 331073 */ // Label 6854: @331073
     /* 331073 */ GIM_Reject,
     /* 331074 */ // Label 6822: @331074
     /* 331074 */ GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(331109), // Rule ID 8947 //
     /* 331079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 331085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331089 */   // MIs[0] Operand 2
     /* 331089 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 331100 */   // (extract_subvector:{ *:[nxv1i1] } nxv2i1:{ *:[nxv2i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv2i1] }:$Ps)
     /* 331100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331105 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 331107 */   GIR_RootConstrainSelectedInstOperands,
     /* 331108 */   // GIR_Coverage, 8947,
     /* 331108 */   GIR_EraseRootFromParent_Done,
     /* 331109 */ // Label 6858: @331109
     /* 331109 */ GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(331144), // Rule ID 8948 //
     /* 331114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 331120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331124 */   // MIs[0] Operand 2
     /* 331124 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 331135 */   // (extract_subvector:{ *:[nxv1i1] } nxv2i1:{ *:[nxv2i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv2i1] }:$Ps)
     /* 331135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331140 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 331142 */   GIR_RootConstrainSelectedInstOperands,
     /* 331143 */   // GIR_Coverage, 8948,
     /* 331143 */   GIR_EraseRootFromParent_Done,
     /* 331144 */ // Label 6859: @331144
     /* 331144 */ GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(331198), // Rule ID 8955 //
     /* 331149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 331155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331159 */   // MIs[0] Operand 2
     /* 331159 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 331170 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 331170 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331173 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331177 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331182 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331186 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331193 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331196 */   GIR_RootConstrainSelectedInstOperands,
     /* 331197 */   // GIR_Coverage, 8955,
     /* 331197 */   GIR_EraseRootFromParent_Done,
     /* 331198 */ // Label 6860: @331198
     /* 331198 */ GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(331252), // Rule ID 8956 //
     /* 331203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 331209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331213 */   // MIs[0] Operand 2
     /* 331213 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 331224 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 331224 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331227 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331231 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331236 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331240 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331247 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331250 */   GIR_RootConstrainSelectedInstOperands,
     /* 331251 */   // GIR_Coverage, 8956,
     /* 331251 */   GIR_EraseRootFromParent_Done,
     /* 331252 */ // Label 6861: @331252
     /* 331252 */ GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(331306), // Rule ID 8957 //
     /* 331257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 331263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331267 */   // MIs[0] Operand 2
     /* 331267 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 331278 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 331278 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331281 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331285 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331290 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331294 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331304 */   GIR_RootConstrainSelectedInstOperands,
     /* 331305 */   // GIR_Coverage, 8957,
     /* 331305 */   GIR_EraseRootFromParent_Done,
     /* 331306 */ // Label 6862: @331306
     /* 331306 */ GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(331360), // Rule ID 8958 //
     /* 331311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 331317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331321 */   // MIs[0] Operand 2
     /* 331321 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(3),
     /* 331332 */   // (extract_subvector:{ *:[nxv1i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 3:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv4i1] }:$Ps))
     /* 331332 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331335 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331339 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331344 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331348 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331355 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331358 */   GIR_RootConstrainSelectedInstOperands,
     /* 331359 */   // GIR_Coverage, 8958,
     /* 331359 */   GIR_EraseRootFromParent_Done,
     /* 331360 */ // Label 6863: @331360
     /* 331360 */ GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(331431), // Rule ID 8967 //
     /* 331365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331375 */   // MIs[0] Operand 2
     /* 331375 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 331386 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331386 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331389 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331393 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331398 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331402 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331404 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331407 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331411 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331416 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331419 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331426 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331429 */   GIR_RootConstrainSelectedInstOperands,
     /* 331430 */   // GIR_Coverage, 8967,
     /* 331430 */   GIR_EraseRootFromParent_Done,
     /* 331431 */ // Label 6864: @331431
     /* 331431 */ GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(331502), // Rule ID 8968 //
     /* 331436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331446 */   // MIs[0] Operand 2
     /* 331446 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 331457 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331457 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331460 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331464 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331469 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331473 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331475 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331478 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331482 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331487 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331490 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331497 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331500 */   GIR_RootConstrainSelectedInstOperands,
     /* 331501 */   // GIR_Coverage, 8968,
     /* 331501 */   GIR_EraseRootFromParent_Done,
     /* 331502 */ // Label 6865: @331502
     /* 331502 */ GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(331573), // Rule ID 8969 //
     /* 331507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331517 */   // MIs[0] Operand 2
     /* 331517 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 331528 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331528 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331531 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331535 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331540 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331544 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331546 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331549 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331553 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331558 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331561 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331568 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331571 */   GIR_RootConstrainSelectedInstOperands,
     /* 331572 */   // GIR_Coverage, 8969,
     /* 331572 */   GIR_EraseRootFromParent_Done,
     /* 331573 */ // Label 6866: @331573
     /* 331573 */ GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(331644), // Rule ID 8970 //
     /* 331578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331588 */   // MIs[0] Operand 2
     /* 331588 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(3),
     /* 331599 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 3:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331599 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331602 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331606 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331611 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331615 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331617 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331620 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331624 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331629 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331632 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331639 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331642 */   GIR_RootConstrainSelectedInstOperands,
     /* 331643 */   // GIR_Coverage, 8970,
     /* 331643 */   GIR_EraseRootFromParent_Done,
     /* 331644 */ // Label 6867: @331644
     /* 331644 */ GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(331715), // Rule ID 8971 //
     /* 331649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331659 */   // MIs[0] Operand 2
     /* 331659 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 331670 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331670 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331673 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331677 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331682 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331686 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331688 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331691 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331695 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331700 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331703 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331710 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331713 */   GIR_RootConstrainSelectedInstOperands,
     /* 331714 */   // GIR_Coverage, 8971,
     /* 331714 */   GIR_EraseRootFromParent_Done,
     /* 331715 */ // Label 6868: @331715
     /* 331715 */ GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(331786), // Rule ID 8972 //
     /* 331720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331730 */   // MIs[0] Operand 2
     /* 331730 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(5),
     /* 331741 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 5:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331741 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331744 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331748 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331753 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331757 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331759 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331762 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331766 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331771 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331774 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331781 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331784 */   GIR_RootConstrainSelectedInstOperands,
     /* 331785 */   // GIR_Coverage, 8972,
     /* 331785 */   GIR_EraseRootFromParent_Done,
     /* 331786 */ // Label 6869: @331786
     /* 331786 */ GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(331857), // Rule ID 8973 //
     /* 331791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331801 */   // MIs[0] Operand 2
     /* 331801 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 331812 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331812 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331815 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331819 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331824 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331828 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331830 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331833 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331837 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331842 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331845 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331852 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331855 */   GIR_RootConstrainSelectedInstOperands,
     /* 331856 */   // GIR_Coverage, 8973,
     /* 331856 */   GIR_EraseRootFromParent_Done,
     /* 331857 */ // Label 6870: @331857
     /* 331857 */ GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(331928), // Rule ID 8974 //
     /* 331862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 331868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331872 */   // MIs[0] Operand 2
     /* 331872 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 331883 */   // (extract_subvector:{ *:[nxv1i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 7:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps)))
     /* 331883 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331886 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331890 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331895 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331899 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331901 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331904 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331908 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331913 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 331916 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 331918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 331921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 331923 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 331926 */   GIR_RootConstrainSelectedInstOperands,
     /* 331927 */   // GIR_Coverage, 8974,
     /* 331927 */   GIR_EraseRootFromParent_Done,
     /* 331928 */ // Label 6871: @331928
     /* 331928 */ GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(332016), // Rule ID 8983 //
     /* 331933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 331936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 331939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 331943 */   // MIs[0] Operand 2
     /* 331943 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 331954 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 331954 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 331957 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331961 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331966 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 331970 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 331972 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 331975 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331979 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 331984 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 331987 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 331989 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 331992 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 331996 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332001 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332004 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332011 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332014 */   GIR_RootConstrainSelectedInstOperands,
     /* 332015 */   // GIR_Coverage, 8983,
     /* 332015 */   GIR_EraseRootFromParent_Done,
     /* 332016 */ // Label 6872: @332016
     /* 332016 */ GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(332104), // Rule ID 8984 //
     /* 332021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332031 */   // MIs[0] Operand 2
     /* 332031 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 332042 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 1:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332042 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332045 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332049 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332054 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332058 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332060 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332063 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332067 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332072 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332075 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332077 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332080 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332084 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332089 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332092 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332097 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332099 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332102 */   GIR_RootConstrainSelectedInstOperands,
     /* 332103 */   // GIR_Coverage, 8984,
     /* 332103 */   GIR_EraseRootFromParent_Done,
     /* 332104 */ // Label 6873: @332104
     /* 332104 */ GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(332192), // Rule ID 8985 //
     /* 332109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332119 */   // MIs[0] Operand 2
     /* 332119 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 332130 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332130 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332133 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332137 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332142 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332146 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332148 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332151 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332155 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332160 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332163 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332165 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332168 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332172 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332177 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332180 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332187 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332190 */   GIR_RootConstrainSelectedInstOperands,
     /* 332191 */   // GIR_Coverage, 8985,
     /* 332191 */   GIR_EraseRootFromParent_Done,
     /* 332192 */ // Label 6874: @332192
     /* 332192 */ GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(332280), // Rule ID 8986 //
     /* 332197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332207 */   // MIs[0] Operand 2
     /* 332207 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(3),
     /* 332218 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 3:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332218 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332221 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332225 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332230 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332234 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332236 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332239 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332243 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332248 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332251 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332253 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332256 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332260 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332265 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332268 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332275 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332278 */   GIR_RootConstrainSelectedInstOperands,
     /* 332279 */   // GIR_Coverage, 8986,
     /* 332279 */   GIR_EraseRootFromParent_Done,
     /* 332280 */ // Label 6875: @332280
     /* 332280 */ GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(332368), // Rule ID 8987 //
     /* 332285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332295 */   // MIs[0] Operand 2
     /* 332295 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 332306 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332306 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332309 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332313 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332318 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332322 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332324 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332327 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332331 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332336 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332339 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332341 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332344 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332348 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332353 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332356 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332363 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332366 */   GIR_RootConstrainSelectedInstOperands,
     /* 332367 */   // GIR_Coverage, 8987,
     /* 332367 */   GIR_EraseRootFromParent_Done,
     /* 332368 */ // Label 6876: @332368
     /* 332368 */ GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(332456), // Rule ID 8988 //
     /* 332373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332383 */   // MIs[0] Operand 2
     /* 332383 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(5),
     /* 332394 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 5:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332394 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332397 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332401 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332406 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332410 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332412 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332415 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332419 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332424 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332427 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332429 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332432 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332436 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332441 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332444 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332451 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332454 */   GIR_RootConstrainSelectedInstOperands,
     /* 332455 */   // GIR_Coverage, 8988,
     /* 332455 */   GIR_EraseRootFromParent_Done,
     /* 332456 */ // Label 6877: @332456
     /* 332456 */ GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(332544), // Rule ID 8989 //
     /* 332461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332471 */   // MIs[0] Operand 2
     /* 332471 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 332482 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332482 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332485 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332489 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332494 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332498 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332500 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332503 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332507 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332512 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332515 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332517 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332520 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332524 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332529 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332532 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332539 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332542 */   GIR_RootConstrainSelectedInstOperands,
     /* 332543 */   // GIR_Coverage, 8989,
     /* 332543 */   GIR_EraseRootFromParent_Done,
     /* 332544 */ // Label 6878: @332544
     /* 332544 */ GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(332632), // Rule ID 8990 //
     /* 332549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332559 */   // MIs[0] Operand 2
     /* 332559 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 332570 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 7:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332570 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332573 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332577 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332582 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332586 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332588 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332591 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332595 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332600 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332603 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332605 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332608 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332612 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332617 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332620 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332627 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332630 */   GIR_RootConstrainSelectedInstOperands,
     /* 332631 */   // GIR_Coverage, 8990,
     /* 332631 */   GIR_EraseRootFromParent_Done,
     /* 332632 */ // Label 6879: @332632
     /* 332632 */ GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(332720), // Rule ID 8991 //
     /* 332637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332647 */   // MIs[0] Operand 2
     /* 332647 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 332658 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332658 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332661 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332665 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332670 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332674 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332676 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332679 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332683 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332688 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332691 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332693 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332696 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332700 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332705 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332708 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332710 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332713 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332715 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332718 */   GIR_RootConstrainSelectedInstOperands,
     /* 332719 */   // GIR_Coverage, 8991,
     /* 332719 */   GIR_EraseRootFromParent_Done,
     /* 332720 */ // Label 6880: @332720
     /* 332720 */ GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(332808), // Rule ID 8992 //
     /* 332725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332735 */   // MIs[0] Operand 2
     /* 332735 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(9),
     /* 332746 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 9:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332746 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332749 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332753 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332758 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332762 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332764 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332767 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332771 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332776 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332779 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332781 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332784 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332788 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332793 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332796 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332803 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332806 */   GIR_RootConstrainSelectedInstOperands,
     /* 332807 */   // GIR_Coverage, 8992,
     /* 332807 */   GIR_EraseRootFromParent_Done,
     /* 332808 */ // Label 6881: @332808
     /* 332808 */ GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(332896), // Rule ID 8993 //
     /* 332813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332823 */   // MIs[0] Operand 2
     /* 332823 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(10),
     /* 332834 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 10:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332834 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332837 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332841 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332846 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332850 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332852 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332855 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332859 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332864 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332867 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332869 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332872 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332876 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332881 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332884 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332891 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332894 */   GIR_RootConstrainSelectedInstOperands,
     /* 332895 */   // GIR_Coverage, 8993,
     /* 332895 */   GIR_EraseRootFromParent_Done,
     /* 332896 */ // Label 6882: @332896
     /* 332896 */ GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(332984), // Rule ID 8994 //
     /* 332901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332911 */   // MIs[0] Operand 2
     /* 332911 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(11),
     /* 332922 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 11:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 332922 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 332925 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332929 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332934 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 332938 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 332940 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 332943 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 332947 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332952 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 332955 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 332957 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 332960 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332964 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 332969 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 332972 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 332974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 332977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 332979 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 332982 */   GIR_RootConstrainSelectedInstOperands,
     /* 332983 */   // GIR_Coverage, 8994,
     /* 332983 */   GIR_EraseRootFromParent_Done,
     /* 332984 */ // Label 6883: @332984
     /* 332984 */ GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(333072), // Rule ID 8995 //
     /* 332989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 332992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 332995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 332999 */   // MIs[0] Operand 2
     /* 332999 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(12),
     /* 333010 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 12:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 333010 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 333013 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333017 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333022 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333026 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 333028 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333031 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333035 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333040 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 333043 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333045 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333048 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333052 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333057 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333060 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333067 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333070 */   GIR_RootConstrainSelectedInstOperands,
     /* 333071 */   // GIR_Coverage, 8995,
     /* 333071 */   GIR_EraseRootFromParent_Done,
     /* 333072 */ // Label 6884: @333072
     /* 333072 */ GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(333160), // Rule ID 8996 //
     /* 333077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333087 */   // MIs[0] Operand 2
     /* 333087 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(13),
     /* 333098 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 13:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 333098 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 333101 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333105 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333110 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333114 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 333116 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333119 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333123 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333128 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 333131 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333133 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333136 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333140 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333145 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333148 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333155 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333158 */   GIR_RootConstrainSelectedInstOperands,
     /* 333159 */   // GIR_Coverage, 8996,
     /* 333159 */   GIR_EraseRootFromParent_Done,
     /* 333160 */ // Label 6885: @333160
     /* 333160 */ GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(333248), // Rule ID 8997 //
     /* 333165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333175 */   // MIs[0] Operand 2
     /* 333175 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(14),
     /* 333186 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 14:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 333186 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 333189 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333193 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333198 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333202 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 333204 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333207 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333211 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333216 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 333219 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333221 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333224 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333228 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333233 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333236 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333243 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333246 */   GIR_RootConstrainSelectedInstOperands,
     /* 333247 */   // GIR_Coverage, 8997,
     /* 333247 */   GIR_EraseRootFromParent_Done,
     /* 333248 */ // Label 6886: @333248
     /* 333248 */ GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(333336), // Rule ID 8998 //
     /* 333253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333263 */   // MIs[0] Operand 2
     /* 333263 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(15),
     /* 333274 */   // (extract_subvector:{ *:[nxv1i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 15:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))))
     /* 333274 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv1s1,
     /* 333277 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333281 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333286 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333290 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 333292 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333295 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333299 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333304 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 333307 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333309 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333312 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333316 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333321 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333324 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333331 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333334 */   GIR_RootConstrainSelectedInstOperands,
     /* 333335 */   // GIR_Coverage, 8998,
     /* 333335 */   GIR_EraseRootFromParent_Done,
     /* 333336 */ // Label 6887: @333336
     /* 333336 */ GIM_Reject,
     /* 333337 */ // Label 6823: @333337
     /* 333337 */ GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(333372), // Rule ID 8949 //
     /* 333342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 333348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333352 */   // MIs[0] Operand 2
     /* 333352 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 333363 */   // (extract_subvector:{ *:[nxv2i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } PPR:{ *:[nxv4i1] }:$Ps)
     /* 333363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333368 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 333370 */   GIR_RootConstrainSelectedInstOperands,
     /* 333371 */   // GIR_Coverage, 8949,
     /* 333371 */   GIR_EraseRootFromParent_Done,
     /* 333372 */ // Label 6888: @333372
     /* 333372 */ GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(333407), // Rule ID 8950 //
     /* 333377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 333383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333387 */   // MIs[0] Operand 2
     /* 333387 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 333398 */   // (extract_subvector:{ *:[nxv2i1] } nxv4i1:{ *:[nxv4i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } PPR:{ *:[nxv4i1] }:$Ps)
     /* 333398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333403 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 333405 */   GIR_RootConstrainSelectedInstOperands,
     /* 333406 */   // GIR_Coverage, 8950,
     /* 333406 */   GIR_EraseRootFromParent_Done,
     /* 333407 */ // Label 6889: @333407
     /* 333407 */ GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(333461), // Rule ID 8959 //
     /* 333412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 333418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333422 */   // MIs[0] Operand 2
     /* 333422 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 333433 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 333433 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333436 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333440 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333445 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333449 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333456 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333459 */   GIR_RootConstrainSelectedInstOperands,
     /* 333460 */   // GIR_Coverage, 8959,
     /* 333460 */   GIR_EraseRootFromParent_Done,
     /* 333461 */ // Label 6890: @333461
     /* 333461 */ GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(333515), // Rule ID 8960 //
     /* 333466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 333472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333476 */   // MIs[0] Operand 2
     /* 333476 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 333487 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 333487 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333490 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333494 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333499 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333503 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333510 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333513 */   GIR_RootConstrainSelectedInstOperands,
     /* 333514 */   // GIR_Coverage, 8960,
     /* 333514 */   GIR_EraseRootFromParent_Done,
     /* 333515 */ // Label 6891: @333515
     /* 333515 */ GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(333569), // Rule ID 8961 //
     /* 333520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 333526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333530 */   // MIs[0] Operand 2
     /* 333530 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 333541 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 333541 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333544 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333548 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333553 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333557 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333564 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333567 */   GIR_RootConstrainSelectedInstOperands,
     /* 333568 */   // GIR_Coverage, 8961,
     /* 333568 */   GIR_EraseRootFromParent_Done,
     /* 333569 */ // Label 6892: @333569
     /* 333569 */ GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(333623), // Rule ID 8962 //
     /* 333574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 333580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333584 */   // MIs[0] Operand 2
     /* 333584 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 333595 */   // (extract_subvector:{ *:[nxv2i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv8i1] }:$Ps))
     /* 333595 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333598 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333602 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333607 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333611 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333618 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333621 */   GIR_RootConstrainSelectedInstOperands,
     /* 333622 */   // GIR_Coverage, 8962,
     /* 333622 */   GIR_EraseRootFromParent_Done,
     /* 333623 */ // Label 6893: @333623
     /* 333623 */ GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(333694), // Rule ID 8975 //
     /* 333628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333638 */   // MIs[0] Operand 2
     /* 333638 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 333649 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 333649 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333652 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333656 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333661 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333665 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333667 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333670 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333674 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333679 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333682 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333689 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333692 */   GIR_RootConstrainSelectedInstOperands,
     /* 333693 */   // GIR_Coverage, 8975,
     /* 333693 */   GIR_EraseRootFromParent_Done,
     /* 333694 */ // Label 6894: @333694
     /* 333694 */ GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(333765), // Rule ID 8976 //
     /* 333699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333709 */   // MIs[0] Operand 2
     /* 333709 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 333720 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 2:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 333720 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333723 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333727 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333732 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333736 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333738 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333741 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333745 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333750 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333753 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333760 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333763 */   GIR_RootConstrainSelectedInstOperands,
     /* 333764 */   // GIR_Coverage, 8976,
     /* 333764 */   GIR_EraseRootFromParent_Done,
     /* 333765 */ // Label 6895: @333765
     /* 333765 */ GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(333836), // Rule ID 8977 //
     /* 333770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333780 */   // MIs[0] Operand 2
     /* 333780 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 333791 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 333791 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333794 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333798 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333803 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333807 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333809 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333812 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333816 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333821 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333824 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333831 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333834 */   GIR_RootConstrainSelectedInstOperands,
     /* 333835 */   // GIR_Coverage, 8977,
     /* 333835 */   GIR_EraseRootFromParent_Done,
     /* 333836 */ // Label 6896: @333836
     /* 333836 */ GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(333907), // Rule ID 8978 //
     /* 333841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333851 */   // MIs[0] Operand 2
     /* 333851 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 333862 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 6:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 333862 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333865 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333869 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333874 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333878 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333880 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333883 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333887 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333892 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333895 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333902 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333905 */   GIR_RootConstrainSelectedInstOperands,
     /* 333906 */   // GIR_Coverage, 8978,
     /* 333906 */   GIR_EraseRootFromParent_Done,
     /* 333907 */ // Label 6897: @333907
     /* 333907 */ GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(333978), // Rule ID 8979 //
     /* 333912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333922 */   // MIs[0] Operand 2
     /* 333922 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 333933 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 333933 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 333936 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 333940 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333945 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 333949 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 333951 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 333954 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333958 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 333963 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 333966 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 333968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 333971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 333973 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 333976 */   GIR_RootConstrainSelectedInstOperands,
     /* 333977 */   // GIR_Coverage, 8979,
     /* 333977 */   GIR_EraseRootFromParent_Done,
     /* 333978 */ // Label 6898: @333978
     /* 333978 */ GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(334049), // Rule ID 8980 //
     /* 333983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 333986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 333989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 333993 */   // MIs[0] Operand 2
     /* 333993 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(10),
     /* 334004 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 10:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKLO_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 334004 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 334007 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334011 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334016 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334020 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 334022 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334025 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334029 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334034 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 334037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334044 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334047 */   GIR_RootConstrainSelectedInstOperands,
     /* 334048 */   // GIR_Coverage, 8980,
     /* 334048 */   GIR_EraseRootFromParent_Done,
     /* 334049 */ // Label 6899: @334049
     /* 334049 */ GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(334120), // Rule ID 8981 //
     /* 334054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334064 */   // MIs[0] Operand 2
     /* 334064 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(12),
     /* 334075 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 12:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 334075 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 334078 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334082 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334087 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 334093 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334096 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334100 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334105 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 334108 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334115 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334118 */   GIR_RootConstrainSelectedInstOperands,
     /* 334119 */   // GIR_Coverage, 8981,
     /* 334119 */   GIR_EraseRootFromParent_Done,
     /* 334120 */ // Label 6900: @334120
     /* 334120 */ GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(334191), // Rule ID 8982 //
     /* 334125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334135 */   // MIs[0] Operand 2
     /* 334135 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(14),
     /* 334146 */   // (extract_subvector:{ *:[nxv2i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 14:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv2i1] } (PUNPKHI_PP:{ *:[nxv1i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps)))
     /* 334146 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 334149 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334153 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334158 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334162 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 334164 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334167 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334171 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334176 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 334179 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334186 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334189 */   GIR_RootConstrainSelectedInstOperands,
     /* 334190 */   // GIR_Coverage, 8982,
     /* 334190 */   GIR_EraseRootFromParent_Done,
     /* 334191 */ // Label 6901: @334191
     /* 334191 */ GIM_Reject,
     /* 334192 */ // Label 6824: @334192
     /* 334192 */ GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(334227), // Rule ID 8999 //
     /* 334197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 334203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334207 */   // MIs[0] Operand 2
     /* 334207 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 334218 */   // (extract_subvector:{ *:[nxv2f16] } nxv4f16:{ *:[nxv4f16] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f16] } ZPR:{ *:[nxv4f16] }:$Zs)
     /* 334218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 334221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334223 */   GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 334225 */   GIR_RootConstrainSelectedInstOperands,
     /* 334226 */   // GIR_Coverage, 8999,
     /* 334226 */   GIR_EraseRootFromParent_Done,
     /* 334227 */ // Label 6902: @334227
     /* 334227 */ GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(334262), // Rule ID 9000 //
     /* 334232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 334238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334242 */   // MIs[0] Operand 2
     /* 334242 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 334253 */   // (extract_subvector:{ *:[nxv2f16] } nxv4f16:{ *:[nxv4f16] }:$Zs, 2:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f16] } ZPR:{ *:[nxv4f16] }:$Zs)
     /* 334253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 334256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334258 */   GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 334260 */   GIR_RootConstrainSelectedInstOperands,
     /* 334261 */   // GIR_Coverage, 9000,
     /* 334261 */   GIR_EraseRootFromParent_Done,
     /* 334262 */ // Label 6903: @334262
     /* 334262 */ GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(334316), // Rule ID 9005 //
     /* 334267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 334273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334277 */   // MIs[0] Operand 2
     /* 334277 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 334288 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f16] } (UUNPKLO_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 334288 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 334291 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_S),
     /* 334295 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334300 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 334304 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 334309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334311 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334314 */   GIR_RootConstrainSelectedInstOperands,
     /* 334315 */   // GIR_Coverage, 9005,
     /* 334315 */   GIR_EraseRootFromParent_Done,
     /* 334316 */ // Label 6904: @334316
     /* 334316 */ GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(334370), // Rule ID 9006 //
     /* 334321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 334327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334331 */   // MIs[0] Operand 2
     /* 334331 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 334342 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 2:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f16] } (UUNPKLO_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 334342 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 334345 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_S),
     /* 334349 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334354 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 334358 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 334363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334365 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334368 */   GIR_RootConstrainSelectedInstOperands,
     /* 334369 */   // GIR_Coverage, 9006,
     /* 334369 */   GIR_EraseRootFromParent_Done,
     /* 334370 */ // Label 6905: @334370
     /* 334370 */ GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(334424), // Rule ID 9007 //
     /* 334375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 334381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334385 */   // MIs[0] Operand 2
     /* 334385 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 334396 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 4:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f16] } (UUNPKHI_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 334396 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 334399 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_S),
     /* 334403 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334408 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 334412 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 334417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334419 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334422 */   GIR_RootConstrainSelectedInstOperands,
     /* 334423 */   // GIR_Coverage, 9007,
     /* 334423 */   GIR_EraseRootFromParent_Done,
     /* 334424 */ // Label 6906: @334424
     /* 334424 */ GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(334478), // Rule ID 9008 //
     /* 334429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 334435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334439 */   // MIs[0] Operand 2
     /* 334439 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(6),
     /* 334450 */   // (extract_subvector:{ *:[nxv2f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 6:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f16] } (UUNPKHI_ZZ_S:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$Zs))
     /* 334450 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 334453 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_S),
     /* 334457 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334462 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Zs
     /* 334466 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 334471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334473 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334476 */   GIR_RootConstrainSelectedInstOperands,
     /* 334477 */   // GIR_Coverage, 9008,
     /* 334477 */   GIR_EraseRootFromParent_Done,
     /* 334478 */ // Label 6907: @334478
     /* 334478 */ GIM_Reject,
     /* 334479 */ // Label 6825: @334479
     /* 334479 */ GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(334548),
     /* 334484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 334487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334491 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(334519), // Rule ID 9003 //
     /* 334496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334499 */     // MIs[0] Operand 2
     /* 334499 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 334510 */     // (extract_subvector:{ *:[nxv2f32] } nxv4f32:{ *:[nxv4f32] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_D:{ *:[nxv2f32] } ZPR:{ *:[nxv4f32] }:$Zs)
     /* 334510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_D),
     /* 334513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334515 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 334517 */     GIR_RootConstrainSelectedInstOperands,
     /* 334518 */     // GIR_Coverage, 9003,
     /* 334518 */     GIR_EraseRootFromParent_Done,
     /* 334519 */   // Label 6909: @334519
     /* 334519 */   GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(334547), // Rule ID 9004 //
     /* 334524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334527 */     // MIs[0] Operand 2
     /* 334527 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2),
     /* 334538 */     // (extract_subvector:{ *:[nxv2f32] } nxv4f32:{ *:[nxv4f32] }:$Zs, 2:{ *:[i64] })  =>  (UUNPKHI_ZZ_D:{ *:[nxv2f32] } ZPR:{ *:[nxv4f32] }:$Zs)
     /* 334538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_D),
     /* 334541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334543 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 334545 */     GIR_RootConstrainSelectedInstOperands,
     /* 334546 */     // GIR_Coverage, 9004,
     /* 334546 */     GIR_EraseRootFromParent_Done,
     /* 334547 */   // Label 6910: @334547
     /* 334547 */   GIM_Reject,
     /* 334548 */ // Label 6908: @334548
     /* 334548 */ GIM_Reject,
     /* 334549 */ // Label 6826: @334549
     /* 334549 */ GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(334584), // Rule ID 8951 //
     /* 334554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 334560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334564 */   // MIs[0] Operand 2
     /* 334564 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 334575 */   // (extract_subvector:{ *:[nxv4i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv4i1] } PPR:{ *:[nxv8i1] }:$Ps)
     /* 334575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334580 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 334582 */   GIR_RootConstrainSelectedInstOperands,
     /* 334583 */   // GIR_Coverage, 8951,
     /* 334583 */   GIR_EraseRootFromParent_Done,
     /* 334584 */ // Label 6911: @334584
     /* 334584 */ GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(334619), // Rule ID 8952 //
     /* 334589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 334595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334599 */   // MIs[0] Operand 2
     /* 334599 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 334610 */   // (extract_subvector:{ *:[nxv4i1] } nxv8i1:{ *:[nxv8i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv4i1] } PPR:{ *:[nxv8i1] }:$Ps)
     /* 334610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334615 */   GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 334617 */   GIR_RootConstrainSelectedInstOperands,
     /* 334618 */   // GIR_Coverage, 8952,
     /* 334618 */   GIR_EraseRootFromParent_Done,
     /* 334619 */ // Label 6912: @334619
     /* 334619 */ GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(334673), // Rule ID 8963 //
     /* 334624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334634 */   // MIs[0] Operand 2
     /* 334634 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 334645 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv4i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 334645 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334648 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334652 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334657 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334661 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334668 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334671 */   GIR_RootConstrainSelectedInstOperands,
     /* 334672 */   // GIR_Coverage, 8963,
     /* 334672 */   GIR_EraseRootFromParent_Done,
     /* 334673 */ // Label 6913: @334673
     /* 334673 */ GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(334727), // Rule ID 8964 //
     /* 334678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334688 */   // MIs[0] Operand 2
     /* 334688 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 334699 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 4:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv4i1] } (PUNPKLO_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 334699 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334702 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334706 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334711 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334715 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334722 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334725 */   GIR_RootConstrainSelectedInstOperands,
     /* 334726 */   // GIR_Coverage, 8964,
     /* 334726 */   GIR_EraseRootFromParent_Done,
     /* 334727 */ // Label 6914: @334727
     /* 334727 */ GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(334781), // Rule ID 8965 //
     /* 334732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334742 */   // MIs[0] Operand 2
     /* 334742 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 334753 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv4i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 334753 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334756 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334760 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334765 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334769 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334776 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334779 */   GIR_RootConstrainSelectedInstOperands,
     /* 334780 */   // GIR_Coverage, 8965,
     /* 334780 */   GIR_EraseRootFromParent_Done,
     /* 334781 */ // Label 6915: @334781
     /* 334781 */ GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(334835), // Rule ID 8966 //
     /* 334786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334796 */   // MIs[0] Operand 2
     /* 334796 */   GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(12),
     /* 334807 */   // (extract_subvector:{ *:[nxv4i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 12:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv4i1] } (PUNPKHI_PP:{ *:[nxv1i1] } PPR:{ *:[nxv16i1] }:$Ps))
     /* 334807 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 334810 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334814 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 334819 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Ps
     /* 334823 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 334825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334830 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 334833 */   GIR_RootConstrainSelectedInstOperands,
     /* 334834 */   // GIR_Coverage, 8966,
     /* 334834 */   GIR_EraseRootFromParent_Done,
     /* 334835 */ // Label 6916: @334835
     /* 334835 */ GIM_Reject,
     /* 334836 */ // Label 6827: @334836
     /* 334836 */ GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(334905),
     /* 334841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 334844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 334848 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(334876), // Rule ID 9001 //
     /* 334853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334856 */     // MIs[0] Operand 2
     /* 334856 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 334867 */     // (extract_subvector:{ *:[nxv4f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 0:{ *:[i64] })  =>  (UUNPKLO_ZZ_S:{ *:[nxv4f16] } ZPR:{ *:[nxv8f16] }:$Zs)
     /* 334867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKLO_ZZ_S),
     /* 334870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334872 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 334874 */     GIR_RootConstrainSelectedInstOperands,
     /* 334875 */     // GIR_Coverage, 9001,
     /* 334875 */     GIR_EraseRootFromParent_Done,
     /* 334876 */   // Label 6918: @334876
     /* 334876 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(334904), // Rule ID 9002 //
     /* 334881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334884 */     // MIs[0] Operand 2
     /* 334884 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4),
     /* 334895 */     // (extract_subvector:{ *:[nxv4f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 4:{ *:[i64] })  =>  (UUNPKHI_ZZ_S:{ *:[nxv4f16] } ZPR:{ *:[nxv8f16] }:$Zs)
     /* 334895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UUNPKHI_ZZ_S),
     /* 334898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 334900 */     GIR_RootToRootCopy, /*OpIdx*/1, // Zs
     /* 334902 */     GIR_RootConstrainSelectedInstOperands,
     /* 334903 */     // GIR_Coverage, 9002,
     /* 334903 */     GIR_EraseRootFromParent_Done,
     /* 334904 */   // Label 6919: @334904
     /* 334904 */   GIM_Reject,
     /* 334905 */ // Label 6917: @334905
     /* 334905 */ GIM_Reject,
     /* 334906 */ // Label 6828: @334906
     /* 334906 */ GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(334975),
     /* 334911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 334914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 334918 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(334946), // Rule ID 8953 //
     /* 334923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334926 */     // MIs[0] Operand 2
     /* 334926 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(0),
     /* 334937 */     // (extract_subvector:{ *:[nxv8i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 0:{ *:[i64] })  =>  (PUNPKLO_PP:{ *:[nxv8i1] } PPR:{ *:[nxv16i1] }:$Ps)
     /* 334937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKLO_PP),
     /* 334940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334942 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 334944 */     GIR_RootConstrainSelectedInstOperands,
     /* 334945 */     // GIR_Coverage, 8953,
     /* 334945 */     GIR_EraseRootFromParent_Done,
     /* 334946 */   // Label 6921: @334946
     /* 334946 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(334974), // Rule ID 8954 //
     /* 334951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 334954 */     // MIs[0] Operand 2
     /* 334954 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 334965 */     // (extract_subvector:{ *:[nxv8i1] } nxv16i1:{ *:[nxv16i1] }:$Ps, 8:{ *:[i64] })  =>  (PUNPKHI_PP:{ *:[nxv8i1] } PPR:{ *:[nxv16i1] }:$Ps)
     /* 334965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PUNPKHI_PP),
     /* 334968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Pd]
     /* 334970 */     GIR_RootToRootCopy, /*OpIdx*/1, // Ps
     /* 334972 */     GIR_RootConstrainSelectedInstOperands,
     /* 334973 */     // GIR_Coverage, 8954,
     /* 334973 */     GIR_EraseRootFromParent_Done,
     /* 334974 */   // Label 6922: @334974
     /* 334974 */   GIM_Reject,
     /* 334975 */ // Label 6920: @334975
     /* 334975 */ GIM_Reject,
     /* 334976 */ // Label 6829: @334976
     /* 334976 */ GIM_Reject,
     /* 334977 */ // Label 88: @334977
     /* 334977 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(24), /*)*//*default:*//*Label 6938*/ GIMT_Encode4(364113),
     /* 334988 */ /*GILLT_s64*//*Label 6923*/ GIMT_Encode4(335072), GIMT_Encode4(0),
     /* 334996 */ /*GILLT_v2s32*//*Label 6924*/ GIMT_Encode4(335782),
     /* 335000 */ /*GILLT_v2s64*//*Label 6925*/ GIMT_Encode4(339313),
     /* 335004 */ /*GILLT_v4s16*//*Label 6926*/ GIMT_Encode4(342546),
     /* 335008 */ /*GILLT_v4s32*//*Label 6927*/ GIMT_Encode4(346186),
     /* 335012 */ /*GILLT_v8s8*//*Label 6928*/ GIMT_Encode4(349254),
     /* 335016 */ /*GILLT_v8s16*//*Label 6929*/ GIMT_Encode4(351098),
     /* 335020 */ /*GILLT_v16s8*//*Label 6930*/ GIMT_Encode4(354517), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 335032 */ /*GILLT_nxv2s16*//*Label 6931*/ GIMT_Encode4(356319),
     /* 335036 */ /*GILLT_nxv2s32*//*Label 6932*/ GIMT_Encode4(356444),
     /* 335040 */ /*GILLT_nxv2s64*//*Label 6933*/ GIMT_Encode4(356569), GIMT_Encode4(0),
     /* 335048 */ /*GILLT_nxv4s16*//*Label 6934*/ GIMT_Encode4(358547),
     /* 335052 */ /*GILLT_nxv4s32*//*Label 6935*/ GIMT_Encode4(358699), GIMT_Encode4(0),
     /* 335060 */ /*GILLT_nxv8s16*//*Label 6936*/ GIMT_Encode4(360731), GIMT_Encode4(0),
     /* 335068 */ /*GILLT_nxv16s8*//*Label 6937*/ GIMT_Encode4(362999),
     /* 335072 */ // Label 6923: @335072
     /* 335072 */ GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(335781),
     /* 335077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 335080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 335083 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 335086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335090 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(335220), // Rule ID 5734 //
     /* 335095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 335103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 335107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 335111 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 335115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335128 */     // MIs[2] Operand 1
     /* 335128 */     // No operand predicates
     /* 335128 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 335132 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335136 */     // MIs[3] Operand 1
     /* 335136 */     // No operand predicates
     /* 335136 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335138 */     // (vector_insert:{ *:[v1f64] } V64:{ *:[v1f64] }:$src, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 335138 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 335141 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335145 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335150 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 335153 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 335157 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 335160 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335165 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 335173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 335177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335182 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 335185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 335188 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 335192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 335195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335202 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 335209 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335214 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335219 */     // GIR_Coverage, 5734,
     /* 335219 */     GIR_EraseRootFromParent_Done,
     /* 335220 */   // Label 6940: @335220
     /* 335220 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(335381), // Rule ID 5735 //
     /* 335225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 335233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 335237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 335241 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 335245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335258 */     // MIs[2] Operand 1
     /* 335258 */     // No operand predicates
     /* 335258 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 335262 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335266 */     // MIs[3] Operand 1
     /* 335266 */     // No operand predicates
     /* 335266 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335268 */     // (vector_insert:{ *:[v1f64] } V64:{ *:[v1f64] }:$src, (vector_extract:{ *:[f64] } V64:{ *:[v1f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 335268 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 335271 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335275 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335280 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 335283 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 335287 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 335290 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335295 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335300 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 335303 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335307 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335312 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 335315 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 335319 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 335322 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335327 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 335335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 335339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335344 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 335347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 335350 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 335353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 335356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335363 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 335370 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335375 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335380 */     // GIR_Coverage, 5735,
     /* 335380 */     GIR_EraseRootFromParent_Done,
     /* 335381 */   // Label 6941: @335381
     /* 335381 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(335511), // Rule ID 5766 //
     /* 335386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 335394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 335398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 335402 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 335406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335411 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335415 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335419 */     // MIs[2] Operand 1
     /* 335419 */     // No operand predicates
     /* 335419 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 335423 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335427 */     // MIs[3] Operand 1
     /* 335427 */     // No operand predicates
     /* 335427 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335429 */     // (vector_insert:{ *:[v1i64] } V64:{ *:[v1i64] }:$src, (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 335429 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 335432 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335436 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335441 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 335444 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 335448 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 335451 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335456 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 335464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 335468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335473 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 335476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 335479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 335483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 335486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335493 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 335500 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335505 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335510 */     // GIR_Coverage, 5766,
     /* 335510 */     GIR_EraseRootFromParent_Done,
     /* 335511 */   // Label 6942: @335511
     /* 335511 */   GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(335672), // Rule ID 5767 //
     /* 335516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 335524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 335528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 335532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 335536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 335545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335549 */     // MIs[2] Operand 1
     /* 335549 */     // No operand predicates
     /* 335549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 335553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 335557 */     // MIs[3] Operand 1
     /* 335557 */     // No operand predicates
     /* 335557 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 335559 */     // (vector_insert:{ *:[v1i64] } V64:{ *:[v1i64] }:$src, (vector_extract:{ *:[i64] } V64:{ *:[v1i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (INSvi64lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 335559 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 335562 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335566 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335571 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 335574 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 335578 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 335581 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335586 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335591 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 335594 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335598 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335603 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 335606 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 335610 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 335613 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335618 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 335626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 335630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335635 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 335638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 335641 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 335644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 335647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335654 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 335661 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335666 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 335671 */     // GIR_Coverage, 5767,
     /* 335671 */     GIR_EraseRootFromParent_Done,
     /* 335672 */   // Label 6943: @335672
     /* 335672 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(335708), // Rule ID 6661 //
     /* 335677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 335685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 335689 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 335695 */     // (vector_insert:{ *:[v1i64] } (undef:{ *:[v1i64] }), GPR64:{ *:[i64] }:$Xn, 0:{ *:[i64] })  =>  (COPY_TO_REGCLASS:{ *:[v1i64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /* 335695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Xn
     /* 335702 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335707 */     // GIR_Coverage, 6661,
     /* 335707 */     GIR_EraseRootFromParent_Done,
     /* 335708 */   // Label 6944: @335708
     /* 335708 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(335744), // Rule ID 6663 //
     /* 335713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 335721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 335725 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 335731 */     // (vector_insert:{ *:[v1f64] } (undef:{ *:[v1f64] }), GPR64:{ *:[i64] }:$Xn, 0:{ *:[i64] })  =>  (COPY_TO_REGCLASS:{ *:[v1f64] } GPR64:{ *:[i64] }:$Xn, FPR64:{ *:[i32] })
     /* 335731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335736 */     GIR_RootToRootCopy, /*OpIdx*/2, // Xn
     /* 335738 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335743 */     // GIR_Coverage, 6663,
     /* 335743 */     GIR_EraseRootFromParent_Done,
     /* 335744 */   // Label 6945: @335744
     /* 335744 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(335780), // Rule ID 6665 //
     /* 335749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 335757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335761 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 335767 */     // (vector_insert:{ *:[v1f64] } (undef:{ *:[v1f64] }), FPR64:{ *:[f64] }:$Xn, 0:{ *:[i64] })  =>  FPR64:{ *:[v1f64] }:$Xn
     /* 335767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 335770 */     GIR_RootToRootCopy, /*OpIdx*/0, // dst
     /* 335772 */     GIR_RootToRootCopy, /*OpIdx*/2, // Xn
     /* 335774 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335779 */     // GIR_Coverage, 6665,
     /* 335779 */     GIR_EraseRootFromParent_Done,
     /* 335780 */   // Label 6946: @335780
     /* 335780 */   GIM_Reject,
     /* 335781 */ // Label 6939: @335781
     /* 335781 */ GIM_Reject,
     /* 335782 */ // Label 6924: @335782
     /* 335782 */ GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(339312),
     /* 335787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 335790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 335793 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 335796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335800 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(335909), // Rule ID 4272 //
     /* 335805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335809 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 335815 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 335817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335825 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335828 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335832 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 335836 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335840 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335842 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 335849 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 335849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 335852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 335856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 335871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 335876 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 335892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 335895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 335898 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 335903 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 335908 */     // GIR_Coverage, 4272,
     /* 335908 */     GIR_EraseRootFromParent_Done,
     /* 335909 */   // Label 6948: @335909
     /* 335909 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(336018), // Rule ID 4273 //
     /* 335914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 335918 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 335924 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 335926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 335930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 335934 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 335937 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 335941 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 335945 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 335949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 335951 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 335958 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 335958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 335961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 335965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 335970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 335975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 335980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 335985 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 335991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 335993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 335996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 335998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336007 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336012 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336017 */     // GIR_Coverage, 4273,
     /* 336017 */     GIR_EraseRootFromParent_Done,
     /* 336018 */   // Label 6949: @336018
     /* 336018 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(336127), // Rule ID 4380 //
     /* 336023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336027 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 336033 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 336035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336043 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336046 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336050 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336054 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336060 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 336067 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 336067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 336074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 336089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 336094 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336116 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336121 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336126 */     // GIR_Coverage, 4380,
     /* 336126 */     GIR_EraseRootFromParent_Done,
     /* 336127 */   // Label 6950: @336127
     /* 336127 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(336236), // Rule ID 4381 //
     /* 336132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336136 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 336142 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 336144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336152 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336155 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336159 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336163 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336167 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336169 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 336176 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 336176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 336183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 336198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 336203 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336225 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336230 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336235 */     // GIR_Coverage, 4381,
     /* 336235 */     GIR_EraseRootFromParent_Done,
     /* 336236 */   // Label 6951: @336236
     /* 336236 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(336341), // Rule ID 4278 //
     /* 336241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 336249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336257 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336260 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336264 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336268 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336274 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 336281 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 336281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 336288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 336303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 336308 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336330 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336335 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336340 */     // GIR_Coverage, 4278,
     /* 336340 */     GIR_EraseRootFromParent_Done,
     /* 336341 */   // Label 6952: @336341
     /* 336341 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(336446), // Rule ID 4280 //
     /* 336346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 336354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336362 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336365 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336369 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336373 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336377 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336379 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 336386 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 336386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 336393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 336408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 336413 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336435 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336440 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336445 */     // GIR_Coverage, 4280,
     /* 336445 */     GIR_EraseRootFromParent_Done,
     /* 336446 */   // Label 6953: @336446
     /* 336446 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(336551), // Rule ID 4386 //
     /* 336451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 336459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336467 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336470 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336474 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336478 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336484 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 336491 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 336491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 336498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 336513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 336518 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336540 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336545 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336550 */     // GIR_Coverage, 4386,
     /* 336550 */     GIR_EraseRootFromParent_Done,
     /* 336551 */   // Label 6954: @336551
     /* 336551 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(336656), // Rule ID 4388 //
     /* 336556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 336564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336572 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336575 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336579 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336583 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336587 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336589 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 336596 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 336596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 336603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 336618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 336623 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336645 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336650 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336655 */     // GIR_Coverage, 4388,
     /* 336655 */     GIR_EraseRootFromParent_Done,
     /* 336656 */   // Label 6955: @336656
     /* 336656 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(336760), // Rule ID 4270 //
     /* 336661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336665 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 336671 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 336673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336681 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336684 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336688 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336692 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336698 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 336705 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 336705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 336712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 336727 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336749 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336754 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336759 */     // GIR_Coverage, 4270,
     /* 336759 */     GIR_EraseRootFromParent_Done,
     /* 336760 */   // Label 6956: @336760
     /* 336760 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(336864), // Rule ID 4271 //
     /* 336765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336769 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 336775 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 336777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336785 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336788 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336792 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336796 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336800 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336802 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 336809 */     // (vector_insert:{ *:[v2i32] } immAllZerosV:{ *:[v2i32] }, (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 336809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 336816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 336831 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336853 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336858 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336863 */     // GIR_Coverage, 4271,
     /* 336863 */     GIR_EraseRootFromParent_Done,
     /* 336864 */   // Label 6957: @336864
     /* 336864 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(336968), // Rule ID 4378 //
     /* 336869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336873 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 336879 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 336881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336889 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336892 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 336896 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 336900 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 336904 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 336906 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 336913 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 336913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 336916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 336920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 336925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 336930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 336935 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 336941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 336943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 336946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 336948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 336951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 336954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 336957 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 336962 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 336967 */     // GIR_Coverage, 4378,
     /* 336967 */     GIR_EraseRootFromParent_Done,
     /* 336968 */   // Label 6958: @336968
     /* 336968 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(337072), // Rule ID 4379 //
     /* 336973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 336977 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 336983 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 336985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 336989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 336993 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 336996 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337000 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337004 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337008 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337010 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 337017 */     // (vector_insert:{ *:[v2f32] } immAllZerosV:{ *:[v2f32] }, (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 337017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 337020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 337024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 337039 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 337061 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337066 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337071 */     // GIR_Coverage, 4379,
     /* 337071 */     GIR_EraseRootFromParent_Done,
     /* 337072 */   // Label 6959: @337072
     /* 337072 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(337172), // Rule ID 4274 //
     /* 337077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337093 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337096 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337100 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337104 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337108 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337110 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 337117 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 337117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 337120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 337124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 337139 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 337161 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337166 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337171 */     // GIR_Coverage, 4274,
     /* 337171 */     GIR_EraseRootFromParent_Done,
     /* 337172 */   // Label 6960: @337172
     /* 337172 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(337272), // Rule ID 4276 //
     /* 337177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337193 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337196 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337200 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337204 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337208 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337210 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 337217 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 337217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 337220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 337224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 337239 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 337261 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337266 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337271 */     // GIR_Coverage, 4276,
     /* 337271 */     GIR_EraseRootFromParent_Done,
     /* 337272 */   // Label 6961: @337272
     /* 337272 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(337372), // Rule ID 4382 //
     /* 337277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337293 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337296 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337300 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337304 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337308 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337310 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 337317 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 337317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 337320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 337324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 337339 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 337361 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337366 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337371 */     // GIR_Coverage, 4382,
     /* 337371 */     GIR_EraseRootFromParent_Done,
     /* 337372 */   // Label 6962: @337372
     /* 337372 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(337472), // Rule ID 4384 //
     /* 337377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337393 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337396 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337400 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 337404 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337408 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337410 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 337417 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 337417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 337420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 337424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 337434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 337439 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 337455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 337458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 337461 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337466 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 337471 */     // GIR_Coverage, 4384,
     /* 337471 */     GIR_EraseRootFromParent_Done,
     /* 337472 */   // Label 6963: @337472
     /* 337472 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(337592), // Rule ID 6440 //
     /* 337477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 337480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337496 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337499 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337503 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 337510 */     // MIs[2] Rn
     /* 337510 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 337514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 337519 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337523 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337525 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (LD1i16:{ *:[f128] } (IMPLICIT_DEF:{ *:[v8i16] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 337525 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 337528 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 337532 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 337539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 337542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 337546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337551 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 337554 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 337557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 337561 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 337572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337574 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 337581 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337586 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337591 */     // GIR_Coverage, 6440,
     /* 337591 */     GIR_EraseRootFromParent_Done,
     /* 337592 */   // Label 6964: @337592
     /* 337592 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(337712), // Rule ID 6442 //
     /* 337597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 337600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 337604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 337608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 337612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 337616 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 337619 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 337623 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 337630 */     // MIs[2] Rn
     /* 337630 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 337634 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 337639 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 337643 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 337645 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (LD1i8:{ *:[f128] } (IMPLICIT_DEF:{ *:[v16i8] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 337645 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 337648 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 337652 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 337659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 337662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 337666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337671 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 337674 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 337677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 337681 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 337687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 337692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337694 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 337701 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337706 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337711 */     // GIR_Coverage, 6442,
     /* 337711 */     GIR_EraseRootFromParent_Done,
     /* 337712 */   // Label 6965: @337712
     /* 337712 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(337842), // Rule ID 5726 //
     /* 337717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 337725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 337729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 337733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 337737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 337746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 337750 */     // MIs[2] Operand 1
     /* 337750 */     // No operand predicates
     /* 337750 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 337754 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 337758 */     // MIs[3] Operand 1
     /* 337758 */     // No operand predicates
     /* 337758 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 337760 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$src, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 337760 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 337763 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337767 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337772 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 337775 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 337779 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 337782 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337787 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 337795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 337799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337804 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 337807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 337810 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 337814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 337817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 337822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337824 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 337831 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337836 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337841 */     // GIR_Coverage, 5726,
     /* 337841 */     GIR_EraseRootFromParent_Done,
     /* 337842 */   // Label 6966: @337842
     /* 337842 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(338003), // Rule ID 5727 //
     /* 337847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 337855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 337859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 337863 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 337867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 337876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 337880 */     // MIs[2] Operand 1
     /* 337880 */     // No operand predicates
     /* 337880 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 337884 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 337888 */     // MIs[3] Operand 1
     /* 337888 */     // No operand predicates
     /* 337888 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 337890 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$src, (vector_extract:{ *:[f32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 337890 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 337893 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337897 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337902 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 337905 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 337909 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 337912 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337917 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337922 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 337925 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 337929 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337934 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 337937 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 337941 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 337944 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 337949 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 337957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 337961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 337966 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 337969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 337972 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 337975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 337978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 337980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 337983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 337985 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 337992 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 337997 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338002 */     // GIR_Coverage, 5727,
     /* 338002 */     GIR_EraseRootFromParent_Done,
     /* 338003 */   // Label 6967: @338003
     /* 338003 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(338133), // Rule ID 5758 //
     /* 338008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 338016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 338020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 338024 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 338028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 338037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338041 */     // MIs[2] Operand 1
     /* 338041 */     // No operand predicates
     /* 338041 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 338045 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338049 */     // MIs[3] Operand 1
     /* 338049 */     // No operand predicates
     /* 338049 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 338051 */     // (vector_insert:{ *:[v2i32] } V64:{ *:[v2i32] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 338051 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 338054 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338058 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338063 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 338066 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 338070 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 338073 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338078 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 338086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 338090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338095 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 338098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 338101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 338105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 338108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 338113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338115 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 338122 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338127 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338132 */     // GIR_Coverage, 5758,
     /* 338132 */     GIR_EraseRootFromParent_Done,
     /* 338133 */   // Label 6968: @338133
     /* 338133 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(338294), // Rule ID 5759 //
     /* 338138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 338146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 338150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 338154 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 338158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 338167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338171 */     // MIs[2] Operand 1
     /* 338171 */     // No operand predicates
     /* 338171 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 338175 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338179 */     // MIs[3] Operand 1
     /* 338179 */     // No operand predicates
     /* 338179 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 338181 */     // (vector_insert:{ *:[v2i32] } V64:{ *:[v2i32] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 338181 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 338184 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338188 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338193 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 338196 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 338200 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 338203 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338208 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338213 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 338216 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338220 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338225 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 338228 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 338232 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 338235 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338240 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 338248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 338252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338257 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 338260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 338263 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 338266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 338269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 338274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338276 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 338283 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338288 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338293 */     // GIR_Coverage, 5759,
     /* 338293 */     GIR_EraseRootFromParent_Done,
     /* 338294 */   // Label 6969: @338294
     /* 338294 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(338360), // Rule ID 5677 //
     /* 338299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 338307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 338311 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 338317 */     // (vector_insert:{ *:[v2i32] } (undef:{ *:[v2i32] }), FPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2i32] } (IMPLICIT_DEF:{ *:[v2i32] }), FPR32:{ *:[i32] }:$Rn, ssub:{ *:[i32] })
     /* 338317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 338320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 338324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 338334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338339 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 338341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 338344 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338349 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338354 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 338359 */     // GIR_Coverage, 5677,
     /* 338359 */     GIR_EraseRootFromParent_Done,
     /* 338360 */   // Label 6970: @338360
     /* 338360 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(338426), // Rule ID 5689 //
     /* 338365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 338369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 338373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 338377 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 338381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 338383 */     // (vector_insert:{ *:[v2f32] } (undef:{ *:[v2f32] }), FPR32:{ *:[f32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2f32] } (IMPLICIT_DEF:{ *:[v2f32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] })
     /* 338383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s32,
     /* 338386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 338390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 338400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 338405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 338407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 338410 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338415 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338420 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 338425 */     // GIR_Coverage, 5689,
     /* 338425 */     GIR_EraseRootFromParent_Done,
     /* 338426 */   // Label 6971: @338426
     /* 338426 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(338561), // Rule ID 5697 //
     /* 338431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 338439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 338443 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 338447 */     // MIs[1] Operand 1
     /* 338447 */     // No operand predicates
     /* 338447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 338451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338455 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 338459 */     // MIs[2] Operand 1
     /* 338459 */     // No operand predicates
     /* 338459 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338461 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, WZR:{ *:[i32] }), dsub:{ *:[i32] })
     /* 338461 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 338464 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 338468 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 338475 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 338478 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 338482 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338487 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 338490 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 338494 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 338497 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338502 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338507 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 338515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 338519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338524 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 338527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // imm
     /* 338530 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 338536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 338541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338543 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 338550 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338555 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338560 */     // GIR_Coverage, 5697,
     /* 338560 */     GIR_EraseRootFromParent_Done,
     /* 338561 */   // Label 6972: @338561
     /* 338561 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(338693), // Rule ID 6448 //
     /* 338566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 338574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338578 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338581 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 338585 */     // MIs[1] Rn
     /* 338585 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 338589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 338594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 338598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338602 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 338606 */     // MIs[2] Operand 1
     /* 338606 */     // No operand predicates
     /* 338606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338608 */     // (vector_insert:{ *:[v2i32] } VecListOne64:{ *:[v2i32] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (LD1i32:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2i32] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 338608 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 338611 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338615 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338620 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 338623 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 338627 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 338630 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338635 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 338643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 338647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338652 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 338655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 338658 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 338662 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 338673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338675 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 338682 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338687 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338692 */     // GIR_Coverage, 6448,
     /* 338692 */     GIR_EraseRootFromParent_Done,
     /* 338693 */   // Label 6973: @338693
     /* 338693 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(338825), // Rule ID 6449 //
     /* 338698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 338706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 338710 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 338713 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 338717 */     // MIs[1] Rn
     /* 338717 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 338721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 338726 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 338730 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338734 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 338738 */     // MIs[2] Operand 1
     /* 338738 */     // No operand predicates
     /* 338738 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338740 */     // (vector_insert:{ *:[v2f32] } VecListOne64:{ *:[v2f32] }:$Rd, (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (LD1i32:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v2f32] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 338740 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 338743 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 338747 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338752 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 338755 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 338759 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 338762 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338767 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 338775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 338779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338784 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 338787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 338790 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 338794 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 338800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 338805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338807 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 338814 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338819 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338824 */     // GIR_Coverage, 6449,
     /* 338824 */     GIR_EraseRootFromParent_Done,
     /* 338825 */   // Label 6974: @338825
     /* 338825 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(339008), // Rule ID 5769 //
     /* 338830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 338834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 338838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 338842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 338847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 338851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 338855 */     // MIs[2] Operand 1
     /* 338855 */     // No operand predicates
     /* 338855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 338857 */     // (vector_insert:{ *:[v2i32] } v2i32:{ *:[v2i32] }:$src, (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$Sn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), FPR32:{ *:[f32] }:$Sn, ssub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 338857 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s128,
     /* 338860 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 338864 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 338871 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_s128,
     /* 338874 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 338878 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338883 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 338886 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 338890 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/18,
     /* 338893 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338898 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338903 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 338908 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 338911 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 338915 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 338922 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 338925 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 338929 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338934 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 338937 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 338941 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 338944 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338949 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 338954 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 338959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 338962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 338966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 338971 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 338974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immd
     /* 338977 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 338980 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 338983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 338985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 338988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 338990 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 338997 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339002 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339007 */     // GIR_Coverage, 5769,
     /* 339007 */     GIR_EraseRootFromParent_Done,
     /* 339008 */   // Label 6975: @339008
     /* 339008 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(339186), // Rule ID 5700 //
     /* 339013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 339021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 339025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 339033 */     // MIs[1] Operand 1
     /* 339033 */     // No operand predicates
     /* 339033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 339035 */     // (vector_insert:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (INSvi32lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 339035 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 339038 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 339042 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 339049 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 339052 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 339056 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339061 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 339064 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 339068 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/18,
     /* 339071 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339076 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339081 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 339086 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 339089 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 339093 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 339100 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 339103 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 339107 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339112 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 339115 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 339119 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 339122 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339127 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339132 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 339140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 339144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339149 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 339152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 339155 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 339158 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 339161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 339166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339168 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 339175 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339180 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339185 */     // GIR_Coverage, 5700,
     /* 339185 */     GIR_EraseRootFromParent_Done,
     /* 339186 */   // Label 6976: @339186
     /* 339186 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(339311), // Rule ID 5703 //
     /* 339191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 339199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 339203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 339207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 339211 */     // MIs[1] Operand 1
     /* 339211 */     // No operand predicates
     /* 339211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 339213 */     // (vector_insert:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (INSvi32gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, GPR32:{ *:[i32] }:$Rm), dsub:{ *:[i32] })
     /* 339213 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s32,
     /* 339216 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 339220 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 339227 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 339230 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 339234 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339239 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 339242 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 339246 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 339249 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339254 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339259 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 339267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 339271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339276 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 339279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 339282 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 339286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 339291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339293 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 339300 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339305 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339310 */     // GIR_Coverage, 5703,
     /* 339310 */     GIR_EraseRootFromParent_Done,
     /* 339311 */   // Label 6977: @339311
     /* 339311 */   GIM_Reject,
     /* 339312 */ // Label 6947: @339312
     /* 339312 */ GIM_Reject,
     /* 339313 */ // Label 6925: @339313
     /* 339313 */ GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(342545),
     /* 339318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 339321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 339324 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 339327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339331 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(339440), // Rule ID 4296 //
     /* 339336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339340 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 339346 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 339348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 339352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339356 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339359 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 339363 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 339367 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339371 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339373 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 339380 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 339380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 339383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 339387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 339397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 339402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 339407 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 339429 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339434 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339439 */     // GIR_Coverage, 4296,
     /* 339439 */     GIR_EraseRootFromParent_Done,
     /* 339440 */   // Label 6979: @339440
     /* 339440 */   GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(339549), // Rule ID 4297 //
     /* 339445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339449 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 339455 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 339457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 339461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339465 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339468 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 339472 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 339476 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339480 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339482 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 339489 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 339489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 339492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 339496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 339506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 339511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 339516 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 339538 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339543 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339548 */     // GIR_Coverage, 4297,
     /* 339548 */     GIR_EraseRootFromParent_Done,
     /* 339549 */   // Label 6980: @339549
     /* 339549 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(339658), // Rule ID 4404 //
     /* 339554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339558 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 339564 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 339566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 339570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339574 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339577 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 339581 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 339585 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339591 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 339598 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 339598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 339601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 339605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 339615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 339620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 339625 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 339647 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339652 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339657 */     // GIR_Coverage, 4404,
     /* 339657 */     GIR_EraseRootFromParent_Done,
     /* 339658 */   // Label 6981: @339658
     /* 339658 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(339767), // Rule ID 4405 //
     /* 339663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339667 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 339673 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 339675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 339679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339683 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339686 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 339690 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 339694 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339700 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 339707 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 339707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 339710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 339714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 339724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 339729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 339734 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 339756 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339761 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339766 */     // GIR_Coverage, 4405,
     /* 339766 */     GIR_EraseRootFromParent_Done,
     /* 339767 */   // Label 6982: @339767
     /* 339767 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(339872), // Rule ID 4302 //
     /* 339772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 339780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 339784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339788 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339791 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 339795 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 339799 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339805 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 339812 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 339812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 339815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 339819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 339829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 339834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 339839 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 339861 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339866 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339871 */     // GIR_Coverage, 4302,
     /* 339871 */     GIR_EraseRootFromParent_Done,
     /* 339872 */   // Label 6983: @339872
     /* 339872 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(339977), // Rule ID 4304 //
     /* 339877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 339885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 339889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339893 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 339896 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 339900 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 339904 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 339908 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 339910 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 339917 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 339917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 339920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 339924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 339929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 339934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 339939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 339944 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 339950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 339952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 339955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 339957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 339960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 339963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 339966 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 339971 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 339976 */     // GIR_Coverage, 4304,
     /* 339976 */     GIR_EraseRootFromParent_Done,
     /* 339977 */   // Label 6984: @339977
     /* 339977 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(340082), // Rule ID 4410 //
     /* 339982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 339986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 339990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 339994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 339998 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340001 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340005 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340009 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340013 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340015 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 340022 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 340022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 340029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340049 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340071 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340076 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340081 */     // GIR_Coverage, 4410,
     /* 340081 */     GIR_EraseRootFromParent_Done,
     /* 340082 */   // Label 6985: @340082
     /* 340082 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(340187), // Rule ID 4412 //
     /* 340087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340103 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340106 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340110 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340114 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340120 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 340127 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 340127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 340134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 340149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 340154 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340176 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340181 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340186 */     // GIR_Coverage, 4412,
     /* 340186 */     GIR_EraseRootFromParent_Done,
     /* 340187 */   // Label 6986: @340187
     /* 340187 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(340291), // Rule ID 4294 //
     /* 340192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340196 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340202 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340212 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340215 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340219 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340223 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340229 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 340236 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 340236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 340243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340258 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340280 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340285 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340290 */     // GIR_Coverage, 4294,
     /* 340290 */     GIR_EraseRootFromParent_Done,
     /* 340291 */   // Label 6987: @340291
     /* 340291 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(340395), // Rule ID 4295 //
     /* 340296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340300 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340306 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340316 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340319 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340323 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340327 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340333 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 340340 */     // (vector_insert:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 340340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 340347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340362 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340384 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340389 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340394 */     // GIR_Coverage, 4295,
     /* 340394 */     GIR_EraseRootFromParent_Done,
     /* 340395 */   // Label 6988: @340395
     /* 340395 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(340499), // Rule ID 4402 //
     /* 340400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340404 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340410 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340420 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340423 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340427 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340431 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340435 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340437 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 340444 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 340444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 340451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340466 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340488 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340493 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340498 */     // GIR_Coverage, 4402,
     /* 340498 */     GIR_EraseRootFromParent_Done,
     /* 340499 */   // Label 6989: @340499
     /* 340499 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(340603), // Rule ID 4403 //
     /* 340504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340508 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 340514 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 340516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340524 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340527 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340531 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340535 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340541 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 340548 */     // (vector_insert:{ *:[v2f64] } immAllZerosV:{ *:[v2f64] }, (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 340548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 340555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340570 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340592 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340597 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340602 */     // GIR_Coverage, 4403,
     /* 340602 */     GIR_EraseRootFromParent_Done,
     /* 340603 */   // Label 6990: @340603
     /* 340603 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(340703), // Rule ID 4298 //
     /* 340608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340624 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340627 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340631 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340635 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340639 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340641 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 340648 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 340648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 340655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340670 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340692 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340697 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340702 */     // GIR_Coverage, 4298,
     /* 340702 */     GIR_EraseRootFromParent_Done,
     /* 340703 */   // Label 6991: @340703
     /* 340703 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(340803), // Rule ID 4300 //
     /* 340708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340724 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340727 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340731 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340735 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340741 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 340748 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 340748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 340755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340770 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340792 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340797 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340802 */     // GIR_Coverage, 4300,
     /* 340802 */     GIR_EraseRootFromParent_Done,
     /* 340803 */   // Label 6992: @340803
     /* 340803 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(340903), // Rule ID 4406 //
     /* 340808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340824 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340827 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340831 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340835 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340841 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 340848 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 340848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 340855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340870 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340892 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340897 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 340902 */     // GIR_Coverage, 4406,
     /* 340902 */     GIR_EraseRootFromParent_Done,
     /* 340903 */   // Label 6993: @340903
     /* 340903 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(341003), // Rule ID 4408 //
     /* 340908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 340912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 340916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 340920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 340924 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 340927 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 340931 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 340935 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 340939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 340941 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 340948 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 340948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 340951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 340955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 340960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 340965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 340970 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 340976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 340978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 340981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 340983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 340986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 340989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 340992 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 340997 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341002 */     // GIR_Coverage, 4408,
     /* 341002 */     GIR_EraseRootFromParent_Done,
     /* 341003 */   // Label 6994: @341003
     /* 341003 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(341116), // Rule ID 5732 //
     /* 341008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 341016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341024 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 341028 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 341032 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341037 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 341041 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341045 */     // MIs[3] Operand 1
     /* 341045 */     // No operand predicates
     /* 341045 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341049 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341051 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2f64] } (IMPLICIT_DEF:{ *:[v2f64] }), (DUPi64:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 341051 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 341054 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::DUPi64),
     /* 341058 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341063 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 341067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/3, // Immn
     /* 341070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 341072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 341075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 341079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 341089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 341097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 341100 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341105 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341110 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341115 */     // GIR_Coverage, 5732,
     /* 341115 */     GIR_EraseRootFromParent_Done,
     /* 341116 */   // Label 6995: @341116
     /* 341116 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(341229), // Rule ID 5764 //
     /* 341121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 341129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 341133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 341141 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 341145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341150 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 341154 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341158 */     // MIs[3] Operand 1
     /* 341158 */     // No operand predicates
     /* 341158 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341162 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341164 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (DUPi64:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 341164 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 341167 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::DUPi64),
     /* 341171 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341176 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 341180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/3, // Immn
     /* 341183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 341185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 341188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 341192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 341202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 341210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 341213 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341218 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341223 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341228 */     // GIR_Coverage, 5764,
     /* 341228 */     GIR_EraseRootFromParent_Done,
     /* 341229 */   // Label 6996: @341229
     /* 341229 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(341307), // Rule ID 1941 //
     /* 341234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 341237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 341253 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341270 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 341274 */     // MIs[2] Operand 1
     /* 341274 */     // No operand predicates
     /* 341274 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341278 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341282 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 341286 */     // MIs[3] Operand 1
     /* 341286 */     // No operand predicates
     /* 341286 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341288 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 341288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 341291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341293 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 341295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 341298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 341302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 341305 */     GIR_RootConstrainSelectedInstOperands,
     /* 341306 */     // GIR_Coverage, 1941,
     /* 341306 */     GIR_EraseRootFromParent_Done,
     /* 341307 */   // Label 6997: @341307
     /* 341307 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(341398), // Rule ID 7396 //
     /* 341312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 341315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 341327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 341331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 341335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 341339 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 341342 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 341349 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 341352 */     // MIs[2] Rn
     /* 341352 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 341356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 341361 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341365 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341369 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 341373 */     // MIs[3] Operand 1
     /* 341373 */     // No operand predicates
     /* 341373 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341375 */     // (vector_insert:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (bitconvert:{ *:[f64] } (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15838>>), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LDAP1:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 341375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAP1),
     /* 341378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341380 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 341382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 341385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 341389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /* 341396 */     GIR_RootConstrainSelectedInstOperands,
     /* 341397 */     // GIR_Coverage, 7396,
     /* 341397 */     GIR_EraseRootFromParent_Done,
     /* 341398 */   // Label 6998: @341398
     /* 341398 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(341487), // Rule ID 5729 //
     /* 341403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 341415 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341427 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 341431 */     // MIs[2] Operand 1
     /* 341431 */     // No operand predicates
     /* 341431 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341435 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341439 */     // MIs[3] Operand 1
     /* 341439 */     // No operand predicates
     /* 341439 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341441 */     // (vector_insert:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, (vector_extract:{ *:[f64] } nxv2f64:{ *:[nxv2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immd, (EXTRACT_SUBREG:{ *:[v2f64] } ZPR:{ *:[nxv2f64] }:$Rm, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$Immn)
     /* 341441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 341444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 341448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341453 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // Rm
     /* 341459 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341464 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 341469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 341472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341474 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 341476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 341479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 341485 */     GIR_RootConstrainSelectedInstOperands,
     /* 341486 */     // GIR_Coverage, 5729,
     /* 341486 */     GIR_EraseRootFromParent_Done,
     /* 341487 */   // Label 6999: @341487
     /* 341487 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(341576), // Rule ID 5761 //
     /* 341492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 341504 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341516 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 341520 */     // MIs[2] Operand 1
     /* 341520 */     // No operand predicates
     /* 341520 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341524 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341528 */     // MIs[3] Operand 1
     /* 341528 */     // No operand predicates
     /* 341528 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341530 */     // (vector_insert:{ *:[v2i64] } v2i64:{ *:[v2i64] }:$Rn, (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2i64] } v2i64:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immd, (EXTRACT_SUBREG:{ *:[v2i64] } ZPR:{ *:[nxv2i64] }:$Rm, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$Immn)
     /* 341530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 341533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 341537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341542 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // Rm
     /* 341548 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341553 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 341558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 341561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341563 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 341565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 341568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 341574 */     GIR_RootConstrainSelectedInstOperands,
     /* 341575 */     // GIR_Coverage, 5761,
     /* 341575 */     GIR_EraseRootFromParent_Done,
     /* 341576 */   // Label 7000: @341576
     /* 341576 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(341643), // Rule ID 5731 //
     /* 341581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 341597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341614 */     // MIs[2] Operand 1
     /* 341614 */     // No operand predicates
     /* 341614 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341618 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341622 */     // MIs[3] Operand 1
     /* 341622 */     // No operand predicates
     /* 341622 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341624 */     // (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 341624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 341627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341629 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 341631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 341634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 341638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 341641 */     GIR_RootConstrainSelectedInstOperands,
     /* 341642 */     // GIR_Coverage, 5731,
     /* 341642 */     GIR_EraseRootFromParent_Done,
     /* 341643 */   // Label 7001: @341643
     /* 341643 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(341741), // Rule ID 5733 //
     /* 341648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 341664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341681 */     // MIs[2] Operand 1
     /* 341681 */     // No operand predicates
     /* 341681 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341685 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341689 */     // MIs[3] Operand 1
     /* 341689 */     // No operand predicates
     /* 341689 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341691 */     // (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (vector_extract:{ *:[f64] } V64:{ *:[v1f64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1f64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 341691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 341694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341703 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 341706 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 341710 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 341713 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341718 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 341726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341728 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 341730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 341733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 341739 */     GIR_RootConstrainSelectedInstOperands,
     /* 341740 */     // GIR_Coverage, 5733,
     /* 341740 */     GIR_EraseRootFromParent_Done,
     /* 341741 */   // Label 7002: @341741
     /* 341741 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(341808), // Rule ID 5763 //
     /* 341746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 341762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341771 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341775 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341779 */     // MIs[2] Operand 1
     /* 341779 */     // No operand predicates
     /* 341779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341787 */     // MIs[3] Operand 1
     /* 341787 */     // No operand predicates
     /* 341787 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341789 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 341789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 341792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341794 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 341796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 341799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 341803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 341806 */     GIR_RootConstrainSelectedInstOperands,
     /* 341807 */     // GIR_Coverage, 5763,
     /* 341807 */     GIR_EraseRootFromParent_Done,
     /* 341808 */   // Label 7003: @341808
     /* 341808 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(341906), // Rule ID 5765 //
     /* 341813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 341821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 341825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 341829 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 341833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 341842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341846 */     // MIs[2] Operand 1
     /* 341846 */     // No operand predicates
     /* 341846 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 341850 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 341854 */     // MIs[3] Operand 1
     /* 341854 */     // No operand predicates
     /* 341854 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 341856 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (vector_extract:{ *:[i64] } V64:{ *:[v1i64] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v1i64] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 341856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 341859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 341863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341868 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 341871 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 341875 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 341878 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341883 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 341891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341893 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 341895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 341898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 341904 */     GIR_RootConstrainSelectedInstOperands,
     /* 341905 */     // GIR_Coverage, 5765,
     /* 341905 */     GIR_EraseRootFromParent_Done,
     /* 341906 */   // Label 7004: @341906
     /* 341906 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(341972), // Rule ID 5681 //
     /* 341911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 341919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341923 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 341929 */     // (vector_insert:{ *:[v2i64] } (undef:{ *:[v2i64] }), FPR64:{ *:[i64] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), FPR64:{ *:[i64] }:$Rn, dsub:{ *:[i32] })
     /* 341929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 341932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 341936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 341941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 341943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 341946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 341948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 341951 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 341953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 341956 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341961 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 341966 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341971 */     // GIR_Coverage, 5681,
     /* 341971 */     GIR_EraseRootFromParent_Done,
     /* 341972 */   // Label 7005: @341972
     /* 341972 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(342038), // Rule ID 5691 //
     /* 341977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 341981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 341985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 341989 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 341993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 341995 */     // (vector_insert:{ *:[v2f64] } (undef:{ *:[v2f64] }), FPR64:{ *:[f64] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v2f64] } (IMPLICIT_DEF:{ *:[v2f64] }), FPR64:{ *:[f64] }:$Rn, dsub:{ *:[i32] })
     /* 341995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 341998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 342002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 342012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342017 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 342019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 342022 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342027 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342032 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342037 */     // GIR_Coverage, 5691,
     /* 342037 */     GIR_EraseRootFromParent_Done,
     /* 342038 */   // Label 7006: @342038
     /* 342038 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(342116), // Rule ID 7395 //
     /* 342043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON_HasRCPC3),
     /* 342046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342058 */     GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /* 342061 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /* 342068 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /* 342071 */     // MIs[1] Rn
     /* 342071 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 342075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 342080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 342084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342088 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 342092 */     // MIs[2] Operand 1
     /* 342092 */     // No operand predicates
     /* 342092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342094 */     // (vector_insert:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (atomic_load:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_15838>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LDAP1:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 342094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LDAP1),
     /* 342097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342099 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 342101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 342104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 342108 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342114 */     GIR_RootConstrainSelectedInstOperands,
     /* 342115 */     // GIR_Coverage, 7395,
     /* 342115 */     GIR_EraseRootFromParent_Done,
     /* 342116 */   // Label 7007: @342116
     /* 342116 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(342185), // Rule ID 6431 //
     /* 342121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342133 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342136 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 342140 */     // MIs[1] Rn
     /* 342140 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 342144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 342149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 342153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342157 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 342161 */     // MIs[2] Operand 1
     /* 342161 */     // No operand predicates
     /* 342161 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342163 */     // (vector_insert:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LD1i64:{ *:[v2i64] } VecListOne128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 342163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i64),
     /* 342166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342168 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 342170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 342173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 342177 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342183 */     GIR_RootConstrainSelectedInstOperands,
     /* 342184 */     // GIR_Coverage, 6431,
     /* 342184 */     GIR_EraseRootFromParent_Done,
     /* 342185 */   // Label 7008: @342185
     /* 342185 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(342254), // Rule ID 6432 //
     /* 342190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342202 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342205 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 342209 */     // MIs[1] Rn
     /* 342209 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 342213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 342218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 342222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342226 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 342230 */     // MIs[2] Operand 1
     /* 342230 */     // No operand predicates
     /* 342230 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342232 */     // (vector_insert:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (ld:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (LD1i64:{ *:[v2f64] } VecListOne128:{ *:[v2f64] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 342232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i64),
     /* 342235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342237 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 342239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 342242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 342246 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342252 */     GIR_RootConstrainSelectedInstOperands,
     /* 342253 */     // GIR_Coverage, 6432,
     /* 342253 */     GIR_EraseRootFromParent_Done,
     /* 342254 */   // Label 7009: @342254
     /* 342254 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(342303), // Rule ID 5698 //
     /* 342259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 342267 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 342271 */     // MIs[1] Operand 1
     /* 342271 */     // No operand predicates
     /* 342271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 342275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342279 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 342283 */     // MIs[2] Operand 1
     /* 342283 */     // No operand predicates
     /* 342283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342285 */     // (vector_insert:{ *:[v2f64] } v2f64:{ *:[v2f64] }:$Rn, (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)  =>  (INSvi64gpr:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, XZR:{ *:[i64] })
     /* 342285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64gpr),
     /* 342288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342290 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 342292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 342295 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 342301 */     GIR_RootConstrainSelectedInstOperands,
     /* 342302 */     // GIR_Coverage, 5698,
     /* 342302 */     GIR_EraseRootFromParent_Done,
     /* 342303 */   // Label 7010: @342303
     /* 342303 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(342404), // Rule ID 5770 //
     /* 342308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 342312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 342316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 342320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 342329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342333 */     // MIs[2] Operand 1
     /* 342333 */     // No operand predicates
     /* 342333 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342335 */     // (vector_insert:{ *:[v2i64] } v2i64:{ *:[v2i64] }:$src, (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$Sn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$src, (imm:{ *:[i64] }):$Immd, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), FPR64:{ *:[f64] }:$Sn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 342335 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 342338 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 342342 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 342349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 342352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 342356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342361 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 342364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 342368 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 342371 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342376 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342381 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 342389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342391 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 342393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immd
     /* 342396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342402 */     GIR_RootConstrainSelectedInstOperands,
     /* 342403 */     // GIR_Coverage, 5770,
     /* 342403 */     GIR_EraseRootFromParent_Done,
     /* 342404 */   // Label 7011: @342404
     /* 342404 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(342448), // Rule ID 1937 //
     /* 342409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 342412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 342420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 342424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 342432 */     // MIs[1] Operand 1
     /* 342432 */     // No operand predicates
     /* 342432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 342434 */     // (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, GPR64:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (INSvi64gpr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, (imm:{ *:[i64] }):$idx, GPR64:{ *:[i64] }:$Rn)
     /* 342434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64gpr),
     /* 342437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342439 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 342441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 342444 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 342446 */     GIR_RootConstrainSelectedInstOperands,
     /* 342447 */     // GIR_Coverage, 1937,
     /* 342447 */     GIR_EraseRootFromParent_Done,
     /* 342448 */   // Label 7012: @342448
     /* 342448 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(342544), // Rule ID 5702 //
     /* 342453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 342465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 342469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 342473 */     // MIs[1] Operand 1
     /* 342473 */     // No operand predicates
     /* 342473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 342475 */     // (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)  =>  (INSvi64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm, (INSERT_SUBREG:{ *:[v2f64] } (IMPLICIT_DEF:{ *:[v2f64] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 342475 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v2s64,
     /* 342478 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 342482 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 342489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 342492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 342496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342501 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 342504 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 342508 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 342511 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342516 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 342521 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi64lane),
     /* 342529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342531 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 342533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 342536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342542 */     GIR_RootConstrainSelectedInstOperands,
     /* 342543 */     // GIR_Coverage, 5702,
     /* 342543 */     GIR_EraseRootFromParent_Done,
     /* 342544 */   // Label 7013: @342544
     /* 342544 */   GIM_Reject,
     /* 342545 */ // Label 6978: @342545
     /* 342545 */ GIM_Reject,
     /* 342546 */ // Label 6926: @342546
     /* 342546 */ GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(346185),
     /* 342551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 342554 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(342680), // Rule ID 4236 //
     /* 342559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 342562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 342565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342573 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 342579 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 342581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342589 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342592 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342596 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 342603 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342607 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342613 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 342620 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 342620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 342623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 342627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 342642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 342647 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 342669 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342674 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 342679 */     // GIR_Coverage, 4236,
     /* 342679 */     GIR_EraseRootFromParent_Done,
     /* 342680 */   // Label 7015: @342680
     /* 342680 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(342806), // Rule ID 4237 //
     /* 342685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 342688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 342691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342699 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 342705 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 342707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342715 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342718 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342722 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 342729 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342733 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342739 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 342746 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 342746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 342749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 342753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 342768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 342773 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 342795 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342800 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 342805 */     // GIR_Coverage, 4237,
     /* 342805 */     GIR_EraseRootFromParent_Done,
     /* 342806 */   // Label 7016: @342806
     /* 342806 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(342925), // Rule ID 4344 //
     /* 342811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 342814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 342817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342825 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 342831 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 342833 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342837 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342841 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342844 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342848 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342852 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342858 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 342865 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 342865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 342868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 342872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 342882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 342887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 342892 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 342898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 342900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 342903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 342905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 342908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 342911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 342914 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342919 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 342924 */     // GIR_Coverage, 4344,
     /* 342924 */     GIR_EraseRootFromParent_Done,
     /* 342925 */   // Label 7017: @342925
     /* 342925 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(343044), // Rule ID 4345 //
     /* 342930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 342933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 342936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 342940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 342944 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 342950 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 342952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 342956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 342960 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 342963 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 342967 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 342971 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 342975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 342977 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 342984 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 342984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 342987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 342991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 342996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 343006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 343011 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343033 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343038 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343043 */     // GIR_Coverage, 4345,
     /* 343043 */     GIR_EraseRootFromParent_Done,
     /* 343044 */   // Label 7018: @343044
     /* 343044 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(343166), // Rule ID 4242 //
     /* 343049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 343052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343075 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343078 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343082 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 343089 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343093 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343099 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 343106 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 343106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 343113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 343128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 343133 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343155 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343160 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343165 */     // GIR_Coverage, 4242,
     /* 343165 */     GIR_EraseRootFromParent_Done,
     /* 343166 */   // Label 7019: @343166
     /* 343166 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(343288), // Rule ID 4244 //
     /* 343171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 343174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343197 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343200 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343204 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 343211 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343215 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343219 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343221 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 343228 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 343228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 343235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 343250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 343255 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343277 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343282 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343287 */     // GIR_Coverage, 4244,
     /* 343287 */     GIR_EraseRootFromParent_Done,
     /* 343288 */   // Label 7020: @343288
     /* 343288 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(343403), // Rule ID 4350 //
     /* 343293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343319 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343322 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343326 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343330 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343334 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343336 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 343343 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 343343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 343350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 343365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 343370 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343392 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343397 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343402 */     // GIR_Coverage, 4350,
     /* 343402 */     GIR_EraseRootFromParent_Done,
     /* 343403 */   // Label 7021: @343403
     /* 343403 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(343518), // Rule ID 4352 //
     /* 343408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 343426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343434 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343437 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343441 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343445 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343449 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343451 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 343458 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 343458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 343465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 343480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 343485 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343507 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343512 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343517 */     // GIR_Coverage, 4352,
     /* 343517 */     GIR_EraseRootFromParent_Done,
     /* 343518 */   // Label 7022: @343518
     /* 343518 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(343639), // Rule ID 4234 //
     /* 343523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 343526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343537 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 343543 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 343545 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343549 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343553 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343556 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343560 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 343567 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343571 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343575 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343577 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 343584 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 343584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 343591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 343606 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343628 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343633 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343638 */     // GIR_Coverage, 4234,
     /* 343638 */     GIR_EraseRootFromParent_Done,
     /* 343639 */   // Label 7023: @343639
     /* 343639 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(343760), // Rule ID 4235 //
     /* 343644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 343647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343658 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 343664 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 343666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343674 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343677 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343681 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 343688 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343692 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343698 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 343705 */     // (vector_insert:{ *:[v4i16] } immAllZerosV:{ *:[v4i16] }, (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 343705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 343712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 343727 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343749 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343754 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343759 */     // GIR_Coverage, 4235,
     /* 343759 */     GIR_EraseRootFromParent_Done,
     /* 343760 */   // Label 7024: @343760
     /* 343760 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(343874), // Rule ID 4342 //
     /* 343765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343779 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 343785 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 343787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343795 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343798 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343802 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343806 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343812 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 343819 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 343819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 343826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 343841 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343863 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343868 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343873 */     // GIR_Coverage, 4342,
     /* 343873 */     GIR_EraseRootFromParent_Done,
     /* 343874 */   // Label 7025: @343874
     /* 343874 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(343988), // Rule ID 4343 //
     /* 343879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 343882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 343893 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 343899 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 343901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 343905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 343909 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 343912 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 343916 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 343920 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 343924 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 343926 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 343933 */     // (vector_insert:{ *:[v4f16] } immAllZerosV:{ *:[v4f16] }, (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 343933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 343936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 343940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 343945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 343950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 343955 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 343961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 343963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 343966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 343968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 343971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 343974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 343977 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 343982 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 343987 */     // GIR_Coverage, 4343,
     /* 343987 */     GIR_EraseRootFromParent_Done,
     /* 343988 */   // Label 7026: @343988
     /* 343988 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(344105), // Rule ID 4238 //
     /* 343993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 343996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 343999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344019 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344022 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344026 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 344033 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344037 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344043 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 344050 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 344050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 344053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 344057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 344072 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 344094 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344099 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 344104 */     // GIR_Coverage, 4238,
     /* 344104 */     GIR_EraseRootFromParent_Done,
     /* 344105 */   // Label 7027: @344105
     /* 344105 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(344222), // Rule ID 4240 //
     /* 344110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 344113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344136 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344139 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344143 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 344150 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344154 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344158 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344160 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 344167 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 344167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 344170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 344174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 344189 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 344211 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344216 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 344221 */     // GIR_Coverage, 4240,
     /* 344221 */     GIR_EraseRootFromParent_Done,
     /* 344222 */   // Label 7028: @344222
     /* 344222 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(344332), // Rule ID 4346 //
     /* 344227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 344230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344253 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344256 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344260 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344264 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344268 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344270 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 344277 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 344277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 344280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 344284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 344299 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 344321 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344326 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 344331 */     // GIR_Coverage, 4346,
     /* 344331 */     GIR_EraseRootFromParent_Done,
     /* 344332 */   // Label 7029: @344332
     /* 344332 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(344442), // Rule ID 4348 //
     /* 344337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 344340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344363 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344366 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344370 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 344374 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344378 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344380 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 344387 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 344387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 344390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 344394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 344404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 344409 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 344425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 344428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 344431 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344436 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 344441 */     // GIR_Coverage, 4348,
     /* 344441 */     GIR_EraseRootFromParent_Done,
     /* 344442 */   // Label 7030: @344442
     /* 344442 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(344572), // Rule ID 6444 //
     /* 344447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 344450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 344453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 344464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 344468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 344472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 344476 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 344479 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 344483 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 344490 */     // MIs[2] Rn
     /* 344490 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/64,
     /* 344494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 344499 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 344503 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 344505 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (LD1i8:{ *:[f128] } (IMPLICIT_DEF:{ *:[v16i8] }), 0:{ *:[i64] }, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 344505 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 344508 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 344512 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 344519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 344522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 344526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344531 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 344534 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 344537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 344541 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 344547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 344552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344554 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 344561 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344566 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344571 */     // GIR_Coverage, 6444,
     /* 344571 */     GIR_EraseRootFromParent_Done,
     /* 344572 */   // Label 7031: @344572
     /* 344572 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(344712), // Rule ID 5718 //
     /* 344577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 344580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 344595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 344599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 344603 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 344607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344612 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 344616 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 344620 */     // MIs[2] Operand 1
     /* 344620 */     // No operand predicates
     /* 344620 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 344624 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 344628 */     // MIs[3] Operand 1
     /* 344628 */     // No operand predicates
     /* 344628 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 344630 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$src, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 344630 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 344633 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344637 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344642 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 344645 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 344649 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 344652 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344657 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 344665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 344669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344674 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 344677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 344680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 344684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 344687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 344692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344694 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 344701 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344706 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344711 */     // GIR_Coverage, 5718,
     /* 344711 */     GIR_EraseRootFromParent_Done,
     /* 344712 */   // Label 7032: @344712
     /* 344712 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(344883), // Rule ID 5719 //
     /* 344717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 344720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 344735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 344739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 344743 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 344747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 344756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 344760 */     // MIs[2] Operand 1
     /* 344760 */     // No operand predicates
     /* 344760 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 344764 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 344768 */     // MIs[3] Operand 1
     /* 344768 */     // No operand predicates
     /* 344768 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 344770 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$src, (vector_extract:{ *:[f16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 344770 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 344773 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344777 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344782 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 344785 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 344789 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 344792 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344797 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344802 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 344805 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344809 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344814 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 344817 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 344821 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 344824 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344829 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 344837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 344841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344846 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 344849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 344852 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 344855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 344858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 344860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 344863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 344865 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 344872 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344877 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344882 */     // GIR_Coverage, 5719,
     /* 344882 */     GIR_EraseRootFromParent_Done,
     /* 344883 */   // Label 7033: @344883
     /* 344883 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(345023), // Rule ID 5750 //
     /* 344888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 344891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 344894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 344906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 344910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 344914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 344918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 344927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 344931 */     // MIs[2] Operand 1
     /* 344931 */     // No operand predicates
     /* 344931 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 344935 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 344939 */     // MIs[3] Operand 1
     /* 344939 */     // No operand predicates
     /* 344939 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 344941 */     // (vector_insert:{ *:[v4i16] } V64:{ *:[v4i16] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 344941 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 344944 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 344948 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344953 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 344956 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 344960 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 344963 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 344968 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 344973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 344976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 344980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 344985 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 344988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 344991 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 344995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 344998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 345003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345005 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 345012 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345017 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345022 */     // GIR_Coverage, 5750,
     /* 345022 */     GIR_EraseRootFromParent_Done,
     /* 345023 */   // Label 7034: @345023
     /* 345023 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(345194), // Rule ID 5751 //
     /* 345028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 345031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 345046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 345050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 345054 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 345058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 345067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345071 */     // MIs[2] Operand 1
     /* 345071 */     // No operand predicates
     /* 345071 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 345075 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345079 */     // MIs[3] Operand 1
     /* 345079 */     // No operand predicates
     /* 345079 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 345081 */     // (vector_insert:{ *:[v4i16] } V64:{ *:[v4i16] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (INSvi16lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 345081 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 345084 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345088 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345093 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 345096 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 345100 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 345103 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345108 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345113 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 345116 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345120 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345125 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 345128 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 345132 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 345135 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345140 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 345148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 345152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345157 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 345160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 345163 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 345166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 345169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 345174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345176 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 345183 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345188 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345193 */     // GIR_Coverage, 5751,
     /* 345193 */     GIR_EraseRootFromParent_Done,
     /* 345194 */   // Label 7035: @345194
     /* 345194 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(345273), // Rule ID 5671 //
     /* 345199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 345202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 345217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 345221 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 345227 */     // (vector_insert:{ *:[v4i16] } (undef:{ *:[v4i16] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i16] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 345227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 345230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 345234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345239 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 345243 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 345256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 345262 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345267 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 345272 */     // GIR_Coverage, 5671,
     /* 345272 */     GIR_EraseRootFromParent_Done,
     /* 345273 */   // Label 7036: @345273
     /* 345273 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(345349), // Rule ID 5673 //
     /* 345278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 345281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 345296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 345300 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 345306 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4f16] } (IMPLICIT_DEF:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 345306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s16,
     /* 345309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 345313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 345323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345328 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 345330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 345333 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345338 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345343 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 345348 */     // GIR_Coverage, 5673,
     /* 345348 */     GIR_EraseRootFromParent_Done,
     /* 345349 */   // Label 7037: @345349
     /* 345349 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(345425), // Rule ID 5683 //
     /* 345354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 345357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 345368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 345372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 345376 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 345380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 345382 */     // (vector_insert:{ *:[v4f16] } (undef:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4f16] } (IMPLICIT_DEF:{ *:[v4f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 345382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s16,
     /* 345385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 345389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 345399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 345404 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 345406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 345409 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345414 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345419 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 345424 */     // GIR_Coverage, 5683,
     /* 345424 */     GIR_EraseRootFromParent_Done,
     /* 345425 */   // Label 7038: @345425
     /* 345425 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(345570), // Rule ID 5695 //
     /* 345430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 345433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 345448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 345452 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 345456 */     // MIs[1] Operand 1
     /* 345456 */     // No operand predicates
     /* 345456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 345460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345464 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 345468 */     // MIs[2] Operand 1
     /* 345468 */     // No operand predicates
     /* 345468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345470 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, WZR:{ *:[i32] }), dsub:{ *:[i32] })
     /* 345470 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /* 345473 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 345477 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 345484 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 345487 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 345491 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345496 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 345499 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 345503 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 345506 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345511 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345516 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 345524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 345528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345533 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 345536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // imm
     /* 345539 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 345545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 345550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345552 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 345559 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345564 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345569 */     // GIR_Coverage, 5695,
     /* 345569 */     GIR_EraseRootFromParent_Done,
     /* 345570 */   // Label 7039: @345570
     /* 345570 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(345719), // Rule ID 6447 //
     /* 345575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 345578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 345593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345597 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345600 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 345604 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 345611 */     // MIs[1] Rn
     /* 345611 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 345615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 345620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 345624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345628 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 345632 */     // MIs[2] Operand 1
     /* 345632 */     // No operand predicates
     /* 345632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345634 */     // (vector_insert:{ *:[v4i16] } VecListOne64:{ *:[v4i16] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (LD1i16:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4i16] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 345634 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 345637 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345641 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345646 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 345649 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 345653 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 345656 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345661 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 345669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 345673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345678 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 345681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 345684 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 345688 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 345699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345701 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 345708 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345713 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345718 */     // GIR_Coverage, 6447,
     /* 345718 */     GIR_EraseRootFromParent_Done,
     /* 345719 */   // Label 7040: @345719
     /* 345719 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(345861), // Rule ID 6450 //
     /* 345724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 345727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 345742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 345746 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 345749 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 345753 */     // MIs[1] Rn
     /* 345753 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 345757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 345762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 345766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345770 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 345774 */     // MIs[2] Operand 1
     /* 345774 */     // No operand predicates
     /* 345774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 345776 */     // (vector_insert:{ *:[v4f16] } VecListOne64:{ *:[v4f16] }:$Rd, (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (LD1i16:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v4f16] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 345776 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 345779 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 345783 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345788 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 345791 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 345795 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 345798 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345803 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 345811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 345815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345820 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 345823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 345826 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 345830 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 345836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 345838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 345841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 345843 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 345850 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345855 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345860 */     // GIR_Coverage, 6450,
     /* 345860 */     GIR_EraseRootFromParent_Done,
     /* 345861 */   // Label 7041: @345861
     /* 345861 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(346049), // Rule ID 5693 //
     /* 345866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 345869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 345872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 345880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 345884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 345888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 345892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 345896 */     // MIs[1] Operand 1
     /* 345896 */     // No operand predicates
     /* 345896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 345898 */     // (vector_insert:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (INSvi16lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 345898 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v8s16,
     /* 345901 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 345905 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 345912 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v8s16,
     /* 345915 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 345919 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345924 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 345927 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 345931 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/9,
     /* 345934 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345939 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345944 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 345949 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /* 345952 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 345956 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 345963 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 345966 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 345970 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 345975 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 345978 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 345982 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 345985 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345990 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 345995 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 346003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 346007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346012 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 346015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 346018 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 346021 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 346024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 346029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346031 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 346038 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346043 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346048 */     // GIR_Coverage, 5693,
     /* 346048 */     GIR_EraseRootFromParent_Done,
     /* 346049 */   // Label 7042: @346049
     /* 346049 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(346184), // Rule ID 5704 //
     /* 346054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 346057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 346072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 346076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 346080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 346084 */     // MIs[1] Operand 1
     /* 346084 */     // No operand predicates
     /* 346084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 346086 */     // (vector_insert:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (INSvi16gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, GPR32:{ *:[i32] }:$Rm), dsub:{ *:[i32] })
     /* 346086 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v8s16,
     /* 346089 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 346093 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 346100 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 346103 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 346107 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346112 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 346115 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 346119 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 346122 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346127 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346132 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 346140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 346144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346149 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 346152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 346155 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 346159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 346164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346166 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 346173 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 346178 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346183 */     // GIR_Coverage, 5704,
     /* 346183 */     GIR_EraseRootFromParent_Done,
     /* 346184 */   // Label 7043: @346184
     /* 346184 */   GIM_Reject,
     /* 346185 */ // Label 7014: @346185
     /* 346185 */ GIM_Reject,
     /* 346186 */ // Label 6927: @346186
     /* 346186 */ GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(349253),
     /* 346191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 346194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 346197 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 346200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346204 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(346313), // Rule ID 4260 //
     /* 346209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346213 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346219 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346229 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346232 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346236 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346240 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346244 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346246 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 346253 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 346253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 346256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 346260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346280 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 346302 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346307 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346312 */     // GIR_Coverage, 4260,
     /* 346312 */     GIR_EraseRootFromParent_Done,
     /* 346313 */   // Label 7045: @346313
     /* 346313 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(346422), // Rule ID 4261 //
     /* 346318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346322 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346328 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346338 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346341 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346345 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346349 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346355 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 346362 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 346362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 346365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 346369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346389 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 346411 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346416 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346421 */     // GIR_Coverage, 4261,
     /* 346421 */     GIR_EraseRootFromParent_Done,
     /* 346422 */   // Label 7046: @346422
     /* 346422 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(346531), // Rule ID 4368 //
     /* 346427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346431 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346437 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346447 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346450 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346454 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346458 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346464 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 346471 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 346471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 346474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 346478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346498 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 346520 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346525 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346530 */     // GIR_Coverage, 4368,
     /* 346530 */     GIR_EraseRootFromParent_Done,
     /* 346531 */   // Label 7047: @346531
     /* 346531 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(346640), // Rule ID 4369 //
     /* 346536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346540 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 346546 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 346548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346556 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346559 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346563 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346567 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346573 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 346580 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 346580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 346583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 346587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346607 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 346629 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346634 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346639 */     // GIR_Coverage, 4369,
     /* 346639 */     GIR_EraseRootFromParent_Done,
     /* 346640 */   // Label 7048: @346640
     /* 346640 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(346745), // Rule ID 4266 //
     /* 346645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 346653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346661 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346664 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346668 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346672 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346678 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 346685 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 346685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 346688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 346692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346712 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 346734 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346739 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346744 */     // GIR_Coverage, 4266,
     /* 346744 */     GIR_EraseRootFromParent_Done,
     /* 346745 */   // Label 7049: @346745
     /* 346745 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(346850), // Rule ID 4268 //
     /* 346750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 346758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346766 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346769 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346773 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346777 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346781 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346783 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 346790 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 346790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 346793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 346797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346817 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 346839 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346844 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346849 */     // GIR_Coverage, 4268,
     /* 346849 */     GIR_EraseRootFromParent_Done,
     /* 346850 */   // Label 7050: @346850
     /* 346850 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(346955), // Rule ID 4374 //
     /* 346855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 346863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346871 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346874 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346878 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346882 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346886 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346888 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 346895 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 346895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 346898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 346902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 346907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 346912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 346917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 346922 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 346928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 346930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 346933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 346935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 346938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 346941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 346944 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 346949 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 346954 */     // GIR_Coverage, 4374,
     /* 346954 */     GIR_EraseRootFromParent_Done,
     /* 346955 */   // Label 7051: @346955
     /* 346955 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(347060), // Rule ID 4376 //
     /* 346960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 346964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 346968 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 346972 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 346976 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 346979 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 346983 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 346987 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 346991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 346993 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 347000 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 347000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 347007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 347022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 347027 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347049 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347054 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347059 */     // GIR_Coverage, 4376,
     /* 347059 */     GIR_EraseRootFromParent_Done,
     /* 347060 */   // Label 7052: @347060
     /* 347060 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(347164), // Rule ID 4258 //
     /* 347065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347069 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 347075 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 347077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347085 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347088 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347092 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347096 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347102 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 347109 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 347109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 347116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347131 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347153 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347158 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347163 */     // GIR_Coverage, 4258,
     /* 347163 */     GIR_EraseRootFromParent_Done,
     /* 347164 */   // Label 7053: @347164
     /* 347164 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(347268), // Rule ID 4259 //
     /* 347169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347173 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 347179 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 347181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347189 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347192 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347196 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347200 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347204 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347206 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 347213 */     // (vector_insert:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 347213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 347220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347235 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347257 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347262 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347267 */     // GIR_Coverage, 4259,
     /* 347267 */     GIR_EraseRootFromParent_Done,
     /* 347268 */   // Label 7054: @347268
     /* 347268 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(347372), // Rule ID 4366 //
     /* 347273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347277 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 347283 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 347285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347293 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347296 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347300 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347304 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347308 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347310 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 347317 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 347317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 347324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347339 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347361 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347366 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347371 */     // GIR_Coverage, 4366,
     /* 347371 */     GIR_EraseRootFromParent_Done,
     /* 347372 */   // Label 7055: @347372
     /* 347372 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(347476), // Rule ID 4367 //
     /* 347377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347381 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 347387 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 347389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347397 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347400 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347404 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347408 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347412 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347414 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 347421 */     // (vector_insert:{ *:[v4f32] } immAllZerosV:{ *:[v4f32] }, (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 347421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 347428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347443 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347465 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347470 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347475 */     // GIR_Coverage, 4367,
     /* 347475 */     GIR_EraseRootFromParent_Done,
     /* 347476 */   // Label 7056: @347476
     /* 347476 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(347576), // Rule ID 4262 //
     /* 347481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347497 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347500 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347504 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347508 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347512 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347514 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 347521 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 347521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 347528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347543 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347565 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347570 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347575 */     // GIR_Coverage, 4262,
     /* 347575 */     GIR_EraseRootFromParent_Done,
     /* 347576 */   // Label 7057: @347576
     /* 347576 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(347676), // Rule ID 4264 //
     /* 347581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347597 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347600 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347604 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347608 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347612 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347614 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 347621 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 347621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 347628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347643 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347665 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347670 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347675 */     // GIR_Coverage, 4264,
     /* 347675 */     GIR_EraseRootFromParent_Done,
     /* 347676 */   // Label 7058: @347676
     /* 347676 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(347776), // Rule ID 4370 //
     /* 347681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347697 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347700 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347704 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347708 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347712 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347714 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 347721 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 347721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 347728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347743 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347765 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347770 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347775 */     // GIR_Coverage, 4370,
     /* 347775 */     GIR_EraseRootFromParent_Done,
     /* 347776 */   // Label 7059: @347776
     /* 347776 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(347876), // Rule ID 4372 //
     /* 347781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 347797 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 347800 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 347804 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 347808 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 347814 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 347821 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 347821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 347824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 347828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 347838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 347843 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 347849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 347854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 347859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347865 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347870 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347875 */     // GIR_Coverage, 4372,
     /* 347875 */     GIR_EraseRootFromParent_Done,
     /* 347876 */   // Label 7060: @347876
     /* 347876 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(347989), // Rule ID 5724 //
     /* 347881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 347889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 347893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 347897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 347901 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 347905 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347910 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 347914 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 347918 */     // MIs[3] Operand 1
     /* 347918 */     // No operand predicates
     /* 347918 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 347922 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 347924 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), (DUPi32:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), ssub:{ *:[i32] })
     /* 347924 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 347927 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::DUPi32),
     /* 347931 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347936 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 347940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/3, // Immn
     /* 347943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 347945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 347948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 347952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 347957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 347959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 347962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 347964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 347967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 347970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 347973 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347978 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 347983 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 347988 */     // GIR_Coverage, 5724,
     /* 347988 */     GIR_EraseRootFromParent_Done,
     /* 347989 */   // Label 7061: @347989
     /* 347989 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(348102), // Rule ID 5756 //
     /* 347994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 347998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 348002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 348006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 348014 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 348018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348023 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 348027 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348031 */     // MIs[3] Operand 1
     /* 348031 */     // No operand predicates
     /* 348031 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348035 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348037 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), (DUPi32:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), ssub:{ *:[i32] })
     /* 348037 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 348040 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::DUPi32),
     /* 348044 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348049 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 348053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/3, // Immn
     /* 348056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 348058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 348061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 348065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 348075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 348083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 348086 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348091 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348096 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 348101 */     // GIR_Coverage, 5756,
     /* 348101 */     GIR_EraseRootFromParent_Done,
     /* 348102 */   // Label 7062: @348102
     /* 348102 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(348180), // Rule ID 1940 //
     /* 348107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 348110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 348126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 348130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 348139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348143 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 348147 */     // MIs[2] Operand 1
     /* 348147 */     // No operand predicates
     /* 348147 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 348151 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348155 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 348159 */     // MIs[3] Operand 1
     /* 348159 */     // No operand predicates
     /* 348159 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348161 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 348161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 348164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348166 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 348168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 348171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 348175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 348178 */     GIR_RootConstrainSelectedInstOperands,
     /* 348179 */     // GIR_Coverage, 1940,
     /* 348179 */     GIR_EraseRootFromParent_Done,
     /* 348180 */   // Label 7063: @348180
     /* 348180 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(348269), // Rule ID 5721 //
     /* 348185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 348197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 348201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 348205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348209 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 348213 */     // MIs[2] Operand 1
     /* 348213 */     // No operand predicates
     /* 348213 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 348217 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348221 */     // MIs[3] Operand 1
     /* 348221 */     // No operand predicates
     /* 348221 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348223 */     // (vector_insert:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$Rn, (vector_extract:{ *:[f32] } nxv4f32:{ *:[nxv4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4f32] } v4f32:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immd, (EXTRACT_SUBREG:{ *:[v4f32] } ZPR:{ *:[nxv4f32] }:$Rm, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$Immn)
     /* 348223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 348226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 348230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348235 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // Rm
     /* 348241 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348246 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 348251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 348254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348256 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 348258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 348261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 348267 */     GIR_RootConstrainSelectedInstOperands,
     /* 348268 */     // GIR_Coverage, 5721,
     /* 348268 */     GIR_EraseRootFromParent_Done,
     /* 348269 */   // Label 7064: @348269
     /* 348269 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(348358), // Rule ID 5753 //
     /* 348274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 348286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 348290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 348294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348298 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 348302 */     // MIs[2] Operand 1
     /* 348302 */     // No operand predicates
     /* 348302 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 348306 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348310 */     // MIs[3] Operand 1
     /* 348310 */     // No operand predicates
     /* 348310 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348312 */     // (vector_insert:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$Rn, (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immd, (EXTRACT_SUBREG:{ *:[v4i32] } ZPR:{ *:[nxv4i32] }:$Rm, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$Immn)
     /* 348312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 348315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 348319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348324 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // Rm
     /* 348330 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348335 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 348340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 348343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348345 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 348347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 348350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 348356 */     GIR_RootConstrainSelectedInstOperands,
     /* 348357 */     // GIR_Coverage, 5753,
     /* 348357 */     GIR_EraseRootFromParent_Done,
     /* 348358 */   // Label 7065: @348358
     /* 348358 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(348425), // Rule ID 5723 //
     /* 348363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 348379 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 348383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 348392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348396 */     // MIs[2] Operand 1
     /* 348396 */     // No operand predicates
     /* 348396 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 348400 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348404 */     // MIs[3] Operand 1
     /* 348404 */     // No operand predicates
     /* 348404 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348406 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 348406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 348409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348411 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 348413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 348416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 348420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 348423 */     GIR_RootConstrainSelectedInstOperands,
     /* 348424 */     // GIR_Coverage, 5723,
     /* 348424 */     GIR_EraseRootFromParent_Done,
     /* 348425 */   // Label 7066: @348425
     /* 348425 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(348523), // Rule ID 5725 //
     /* 348430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 348446 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 348450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 348459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348463 */     // MIs[2] Operand 1
     /* 348463 */     // No operand predicates
     /* 348463 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 348467 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348471 */     // MIs[3] Operand 1
     /* 348471 */     // No operand predicates
     /* 348471 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348473 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (vector_extract:{ *:[f32] } V64:{ *:[v2f32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2f32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 348473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 348476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348485 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 348488 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 348492 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 348495 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348500 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 348508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348510 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 348512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 348515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 348521 */     GIR_RootConstrainSelectedInstOperands,
     /* 348522 */     // GIR_Coverage, 5725,
     /* 348522 */     GIR_EraseRootFromParent_Done,
     /* 348523 */   // Label 7067: @348523
     /* 348523 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(348590), // Rule ID 5755 //
     /* 348528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 348544 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 348548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 348557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348561 */     // MIs[2] Operand 1
     /* 348561 */     // No operand predicates
     /* 348561 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 348565 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348569 */     // MIs[3] Operand 1
     /* 348569 */     // No operand predicates
     /* 348569 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348571 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 348571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 348574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348576 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 348578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 348581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 348585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 348588 */     GIR_RootConstrainSelectedInstOperands,
     /* 348589 */     // GIR_Coverage, 5755,
     /* 348589 */     GIR_EraseRootFromParent_Done,
     /* 348590 */   // Label 7068: @348590
     /* 348590 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(348688), // Rule ID 5757 //
     /* 348595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 348607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 348611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 348615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 348624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348628 */     // MIs[2] Operand 1
     /* 348628 */     // No operand predicates
     /* 348628 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 348632 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348636 */     // MIs[3] Operand 1
     /* 348636 */     // No operand predicates
     /* 348636 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 348638 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v2i32] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 348638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 348641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 348645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348650 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 348653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 348657 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 348660 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348665 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 348670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 348673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348675 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 348677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 348680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 348686 */     GIR_RootConstrainSelectedInstOperands,
     /* 348687 */     // GIR_Coverage, 5757,
     /* 348687 */     GIR_EraseRootFromParent_Done,
     /* 348688 */   // Label 7069: @348688
     /* 348688 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(348754), // Rule ID 5679 //
     /* 348693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 348701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 348705 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 348711 */     // (vector_insert:{ *:[v4i32] } (undef:{ *:[v4i32] }), FPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[i32] }:$Rn, ssub:{ *:[i32] })
     /* 348711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 348714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 348718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 348728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348733 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 348735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 348738 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348743 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348748 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 348753 */     // GIR_Coverage, 5679,
     /* 348753 */     GIR_EraseRootFromParent_Done,
     /* 348754 */   // Label 7070: @348754
     /* 348754 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(348820), // Rule ID 5687 //
     /* 348759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 348763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 348767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 348771 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 348775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 348777 */     // (vector_insert:{ *:[v4f32] } (undef:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] })
     /* 348777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 348780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 348784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 348789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 348791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 348794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 348799 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 348801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 348804 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348809 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348814 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 348819 */     // GIR_Coverage, 5687,
     /* 348819 */     GIR_EraseRootFromParent_Done,
     /* 348820 */   // Label 7071: @348820
     /* 348820 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(348873), // Rule ID 5696 //
     /* 348825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 348837 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 348841 */     // MIs[1] Operand 1
     /* 348841 */     // No operand predicates
     /* 348841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 348845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348849 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 348853 */     // MIs[2] Operand 1
     /* 348853 */     // No operand predicates
     /* 348853 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348855 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (INSvi32gpr:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, WZR:{ *:[i32] })
     /* 348855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 348858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348860 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 348862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 348865 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 348871 */     GIR_RootConstrainSelectedInstOperands,
     /* 348872 */     // GIR_Coverage, 5696,
     /* 348872 */     GIR_EraseRootFromParent_Done,
     /* 348873 */   // Label 7072: @348873
     /* 348873 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(348942), // Rule ID 6429 //
     /* 348878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348890 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348893 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 348897 */     // MIs[1] Rn
     /* 348897 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 348901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 348906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 348910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348914 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 348918 */     // MIs[2] Operand 1
     /* 348918 */     // No operand predicates
     /* 348918 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348920 */     // (vector_insert:{ *:[v4i32] } VecListOne128:{ *:[v4i32] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (LD1i32:{ *:[v4i32] } VecListOne128:{ *:[v4i32] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 348920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 348923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348925 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 348927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 348930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 348934 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 348940 */     GIR_RootConstrainSelectedInstOperands,
     /* 348941 */     // GIR_Coverage, 6429,
     /* 348941 */     GIR_EraseRootFromParent_Done,
     /* 348942 */   // Label 7073: @348942
     /* 348942 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(349011), // Rule ID 6430 //
     /* 348947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 348951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 348955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 348959 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 348962 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 348966 */     // MIs[1] Rn
     /* 348966 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 348970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 348975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 348979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 348983 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 348987 */     // MIs[2] Operand 1
     /* 348987 */     // No operand predicates
     /* 348987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 348989 */     // (vector_insert:{ *:[v4f32] } VecListOne128:{ *:[v4f32] }:$Rd, (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (LD1i32:{ *:[v4f32] } VecListOne128:{ *:[v4f32] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 348989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i32),
     /* 348992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 348994 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 348996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 348999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 349003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349009 */     GIR_RootConstrainSelectedInstOperands,
     /* 349010 */     // GIR_Coverage, 6430,
     /* 349010 */     GIR_EraseRootFromParent_Done,
     /* 349011 */   // Label 7074: @349011
     /* 349011 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(349112), // Rule ID 5768 //
     /* 349016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 349020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 349024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 349028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 349033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 349037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 349041 */     // MIs[2] Operand 1
     /* 349041 */     // No operand predicates
     /* 349041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349043 */     // (vector_insert:{ *:[v4i32] } v4i32:{ *:[v4i32] }:$src, (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$Sn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$src, (imm:{ *:[i64] }):$Immd, (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), FPR32:{ *:[f32] }:$Sn, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 349043 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 349046 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 349050 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 349057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 349060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 349064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349069 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 349072 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Sn
     /* 349076 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 349079 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349084 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349089 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 349094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 349097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349099 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 349101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immd
     /* 349104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349110 */     GIR_RootConstrainSelectedInstOperands,
     /* 349111 */     // GIR_Coverage, 5768,
     /* 349111 */     GIR_EraseRootFromParent_Done,
     /* 349112 */   // Label 7075: @349112
     /* 349112 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(349156), // Rule ID 1936 //
     /* 349117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 349120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 349128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 349132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 349136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 349140 */     // MIs[1] Operand 1
     /* 349140 */     // No operand predicates
     /* 349140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 349142 */     // (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (INSvi32gpr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, (imm:{ *:[i64] }):$idx, GPR32:{ *:[i32] }:$Rn)
     /* 349142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32gpr),
     /* 349145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349147 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 349149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 349152 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 349154 */     GIR_RootConstrainSelectedInstOperands,
     /* 349155 */     // GIR_Coverage, 1936,
     /* 349155 */     GIR_EraseRootFromParent_Done,
     /* 349156 */   // Label 7076: @349156
     /* 349156 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(349252), // Rule ID 5701 //
     /* 349161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 349169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 349173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 349177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 349181 */     // MIs[1] Operand 1
     /* 349181 */     // No operand predicates
     /* 349181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 349183 */     // (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (INSvi32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm, (INSERT_SUBREG:{ *:[v4f32] } (IMPLICIT_DEF:{ *:[v4f32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 349183 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 349186 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 349190 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 349197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 349200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 349204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349209 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 349212 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 349216 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 349219 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349224 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 349229 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 349234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi32lane),
     /* 349237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349239 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 349241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 349244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349250 */     GIR_RootConstrainSelectedInstOperands,
     /* 349251 */     // GIR_Coverage, 5701,
     /* 349251 */     GIR_EraseRootFromParent_Done,
     /* 349252 */   // Label 7077: @349252
     /* 349252 */   GIM_Reject,
     /* 349253 */ // Label 7044: @349253
     /* 349253 */ GIM_Reject,
     /* 349254 */ // Label 6928: @349254
     /* 349254 */ GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(351097),
     /* 349259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 349262 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(349388), // Rule ID 4200 //
     /* 349267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349281 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 349287 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 349289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349297 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349300 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349304 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 349311 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349315 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349319 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349321 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 349328 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 349328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 349331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 349335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 349350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 349355 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 349377 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349382 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 349387 */     // GIR_Coverage, 4200,
     /* 349387 */     GIR_EraseRootFromParent_Done,
     /* 349388 */   // Label 7079: @349388
     /* 349388 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(349514), // Rule ID 4201 //
     /* 349393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349407 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 349413 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 349415 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349419 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349423 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349426 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349430 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 349437 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349441 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349445 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349447 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 349454 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 349454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 349457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 349461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 349476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 349481 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 349503 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349508 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 349513 */     // GIR_Coverage, 4201,
     /* 349513 */     GIR_EraseRootFromParent_Done,
     /* 349514 */   // Label 7080: @349514
     /* 349514 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(349636), // Rule ID 4206 //
     /* 349519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 349537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349545 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349548 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349552 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 349559 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349563 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349569 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 349576 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 349576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 349579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 349583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 349598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 349603 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 349625 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349630 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 349635 */     // GIR_Coverage, 4206,
     /* 349635 */     GIR_EraseRootFromParent_Done,
     /* 349636 */   // Label 7081: @349636
     /* 349636 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(349758), // Rule ID 4208 //
     /* 349641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 349659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349667 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349670 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349674 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 349681 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349685 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349691 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 349698 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 349698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 349701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 349705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 349720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 349725 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 349747 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349752 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 349757 */     // GIR_Coverage, 4208,
     /* 349757 */     GIR_EraseRootFromParent_Done,
     /* 349758 */   // Label 7082: @349758
     /* 349758 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(349879), // Rule ID 4198 //
     /* 349763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349777 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 349783 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 349785 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349793 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349796 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349800 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 349807 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349811 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349815 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349817 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 349824 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 349824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 349827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 349831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 349846 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 349868 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349873 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 349878 */     // GIR_Coverage, 4198,
     /* 349878 */     GIR_EraseRootFromParent_Done,
     /* 349879 */   // Label 7083: @349879
     /* 349879 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(350000), // Rule ID 4199 //
     /* 349884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 349887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 349890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 349898 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 349904 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 349906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 349910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 349914 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 349917 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 349921 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 349928 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 349932 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 349936 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 349938 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 349945 */     // (vector_insert:{ *:[v8i8] } immAllZerosV:{ *:[v8i8] }, (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 349945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 349948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 349952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 349957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 349962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 349967 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 349973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 349975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 349978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 349980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 349983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 349986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 349989 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 349994 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 349999 */     // GIR_Coverage, 4199,
     /* 349999 */     GIR_EraseRootFromParent_Done,
     /* 350000 */   // Label 7084: @350000
     /* 350000 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(350117), // Rule ID 4202 //
     /* 350005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 350023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 350031 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 350034 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 350038 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 350045 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 350049 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 350053 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 350055 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 350062 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 350062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 350065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 350069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 350079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 350084 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 350090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 350106 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350111 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 350116 */     // GIR_Coverage, 4202,
     /* 350116 */     GIR_EraseRootFromParent_Done,
     /* 350117 */   // Label 7085: @350117
     /* 350117 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(350234), // Rule ID 4204 //
     /* 350122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 350140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 350144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 350148 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 350151 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 350155 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 350162 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 350166 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 350170 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 350172 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 350179 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 350179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 350182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 350186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 350196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 350201 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 350207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 350223 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350228 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 350233 */     // GIR_Coverage, 4204,
     /* 350233 */     GIR_EraseRootFromParent_Done,
     /* 350234 */   // Label 7086: @350234
     /* 350234 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(350374), // Rule ID 5742 //
     /* 350239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 350261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 350265 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 350269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 350278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350282 */     // MIs[2] Operand 1
     /* 350282 */     // No operand predicates
     /* 350282 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 350286 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350290 */     // MIs[3] Operand 1
     /* 350290 */     // No operand predicates
     /* 350290 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350292 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 350292 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 350295 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350299 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350304 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 350307 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 350311 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 350314 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350319 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 350327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 350331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350336 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 350339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 350342 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 350346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 350349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350356 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 350363 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350368 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350373 */     // GIR_Coverage, 5742,
     /* 350373 */     GIR_EraseRootFromParent_Done,
     /* 350374 */   // Label 7087: @350374
     /* 350374 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(350545), // Rule ID 5743 //
     /* 350379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 350401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 350405 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 350409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 350418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350422 */     // MIs[2] Operand 1
     /* 350422 */     // No operand predicates
     /* 350422 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 350426 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350430 */     // MIs[3] Operand 1
     /* 350430 */     // No operand predicates
     /* 350430 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 350432 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8lane:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$src, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn), dsub:{ *:[i32] })
     /* 350432 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 350435 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350439 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350444 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 350447 */     GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 350451 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/3,
     /* 350454 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350459 */     GIR_ConstrainOperandRC, /*InsnID*/3, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350464 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 350467 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350471 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350476 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 350479 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 350483 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 350486 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350491 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 350499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 350503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350508 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 350511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // Immd
     /* 350514 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 350517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // Immn
     /* 350520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350527 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 350534 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350539 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350544 */     // GIR_Coverage, 5743,
     /* 350544 */     GIR_EraseRootFromParent_Done,
     /* 350545 */   // Label 7088: @350545
     /* 350545 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(350624), // Rule ID 5666 //
     /* 350550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 350564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 350568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 350572 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 350576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350578 */     // (vector_insert:{ *:[v8i8] } (undef:{ *:[v8i8] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i8] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 350578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 350581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350590 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 350594 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 350607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 350610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 350613 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350618 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 350623 */     // GIR_Coverage, 5666,
     /* 350623 */     GIR_EraseRootFromParent_Done,
     /* 350624 */   // Label 7089: @350624
     /* 350624 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(350773), // Rule ID 6446 //
     /* 350629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 350647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 350651 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 350654 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 350658 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 350665 */     // MIs[1] Rn
     /* 350665 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 350669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 350674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 350678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350682 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 350686 */     // MIs[2] Operand 1
     /* 350686 */     // No operand predicates
     /* 350686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 350688 */     // (vector_insert:{ *:[v8i8] } VecListOne64:{ *:[v8i8] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (LD1i8:{ *:[f128] } (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, VecListOne64:{ *:[v8i8] }:$Rd, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn), dsub:{ *:[i32] })
     /* 350688 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 350691 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 350695 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350700 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/0,
     /* 350703 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rd
     /* 350707 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 350710 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350715 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 350723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 350727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350732 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 350735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/2, // idx
     /* 350738 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 350742 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 350748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350755 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 350762 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350767 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350772 */     // GIR_Coverage, 6446,
     /* 350772 */     GIR_EraseRootFromParent_Done,
     /* 350773 */   // Label 7090: @350773
     /* 350773 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(350908), // Rule ID 5705 //
     /* 350778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 350781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 350796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 350800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 350808 */     // MIs[1] Operand 1
     /* 350808 */     // No operand predicates
     /* 350808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350810 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, GPR32:{ *:[i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8gpr:{ *:[f128] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm, GPR32:{ *:[i32] }:$Rm), dsub:{ *:[i32] })
     /* 350810 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 350813 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 350817 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 350824 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 350827 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 350831 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350836 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 350839 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 350843 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 350846 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350851 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350856 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 350864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8gpr),
     /* 350868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350873 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 350876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 350879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 350883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 350885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 350888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 350890 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 350897 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350902 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350907 */     // GIR_Coverage, 5705,
     /* 350907 */     GIR_EraseRootFromParent_Done,
     /* 350908 */   // Label 7091: @350908
     /* 350908 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(351096), // Rule ID 5706 //
     /* 350913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 350916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 350919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 350927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 350931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 350935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 350939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 350943 */     // MIs[1] Operand 1
     /* 350943 */     // No operand predicates
     /* 350943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 350945 */     // (vector_insert:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, FPR8:{ *:[i8] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (INSvi8lane:{ *:[f128] } (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm, (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), FPR8:{ *:[i8] }:$Rm, bsub:{ *:[i32] }), 0:{ *:[i64] }), dsub:{ *:[i32] })
     /* 350945 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v16s8,
     /* 350948 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 350952 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 350959 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v16s8,
     /* 350962 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 350966 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 350971 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 350974 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 350978 */     GIR_AddImm8, /*InsnID*/4, /*Imm*/1,
     /* 350981 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350986 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 350991 */     GIR_ConstrainOperandRC, /*InsnID*/4, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 350996 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v16s8,
     /* 350999 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 351003 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 351010 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 351013 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 351017 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351022 */     GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 351025 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 351029 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/3,
     /* 351032 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351037 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351042 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 351050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 351054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351059 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 351062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 351065 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 351068 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 351071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 351076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351078 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 351085 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 351090 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351095 */     // GIR_Coverage, 5706,
     /* 351095 */     GIR_EraseRootFromParent_Done,
     /* 351096 */   // Label 7092: @351096
     /* 351096 */   GIM_Reject,
     /* 351097 */ // Label 7078: @351097
     /* 351097 */ GIM_Reject,
     /* 351098 */ // Label 6929: @351098
     /* 351098 */ GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(354516),
     /* 351103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 351106 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(351232), // Rule ID 4224 //
     /* 351111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351125 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 351131 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 351133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351141 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351144 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351148 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 351155 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351159 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351163 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351165 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 351172 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 351172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 351175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 351179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351199 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 351221 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351226 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351231 */     // GIR_Coverage, 4224,
     /* 351231 */     GIR_EraseRootFromParent_Done,
     /* 351232 */   // Label 7094: @351232
     /* 351232 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(351358), // Rule ID 4225 //
     /* 351237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351251 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 351257 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 351259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351267 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351270 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351274 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 351281 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351285 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351291 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 351298 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 351298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 351301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 351305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351325 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 351347 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351352 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351357 */     // GIR_Coverage, 4225,
     /* 351357 */     GIR_EraseRootFromParent_Done,
     /* 351358 */   // Label 7095: @351358
     /* 351358 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(351477), // Rule ID 4332 //
     /* 351363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 351366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351377 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 351383 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 351385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351393 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351396 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351400 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351404 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351408 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351410 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 351417 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 351417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 351420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 351424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351444 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 351466 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351471 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351476 */     // GIR_Coverage, 4332,
     /* 351476 */     GIR_EraseRootFromParent_Done,
     /* 351477 */   // Label 7096: @351477
     /* 351477 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(351596), // Rule ID 4333 //
     /* 351482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 351485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351496 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 351502 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 351504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351512 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351515 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351519 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351523 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351527 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351529 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 351536 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 351536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 351539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 351543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351563 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 351585 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351590 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351595 */     // GIR_Coverage, 4333,
     /* 351595 */     GIR_EraseRootFromParent_Done,
     /* 351596 */   // Label 7097: @351596
     /* 351596 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(351718), // Rule ID 4230 //
     /* 351601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 351619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351627 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351630 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351634 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 351641 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351645 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351651 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 351658 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 351658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 351661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 351665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351685 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 351707 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351712 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351717 */     // GIR_Coverage, 4230,
     /* 351717 */     GIR_EraseRootFromParent_Done,
     /* 351718 */   // Label 7098: @351718
     /* 351718 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(351840), // Rule ID 4232 //
     /* 351723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 351726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 351741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351749 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351752 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351756 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 351763 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351767 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351773 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 351780 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 351780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 351783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 351787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351807 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 351829 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351834 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351839 */     // GIR_Coverage, 4232,
     /* 351839 */     GIR_EraseRootFromParent_Done,
     /* 351840 */   // Label 7099: @351840
     /* 351840 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(351955), // Rule ID 4338 //
     /* 351845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 351848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 351863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351871 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351874 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351878 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351882 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 351886 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 351888 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 351895 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 351895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 351898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 351902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 351907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 351912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 351917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 351922 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 351928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 351930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 351933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 351935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 351938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 351941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 351944 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351949 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 351954 */     // GIR_Coverage, 4338,
     /* 351954 */     GIR_EraseRootFromParent_Done,
     /* 351955 */   // Label 7100: @351955
     /* 351955 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(352070), // Rule ID 4340 //
     /* 351960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 351963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 351966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 351970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 351974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 351978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 351982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 351986 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 351989 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 351993 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 351997 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352001 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352003 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 352010 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 352010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 352017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 352032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 352037 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352059 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352064 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352069 */     // GIR_Coverage, 4340,
     /* 352069 */     GIR_EraseRootFromParent_Done,
     /* 352070 */   // Label 7101: @352070
     /* 352070 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(352191), // Rule ID 4222 //
     /* 352075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352089 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 352095 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 352097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352105 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352108 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352112 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 352119 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352123 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352127 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352129 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 352136 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 352136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 352143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352158 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352180 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352185 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352190 */     // GIR_Coverage, 4222,
     /* 352190 */     GIR_EraseRootFromParent_Done,
     /* 352191 */   // Label 7102: @352191
     /* 352191 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(352312), // Rule ID 4223 //
     /* 352196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352210 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 352216 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 352218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352226 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352229 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352233 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 352240 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352244 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352248 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352250 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 352257 */     // (vector_insert:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 352257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 352264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352279 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352301 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352306 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352311 */     // GIR_Coverage, 4223,
     /* 352311 */     GIR_EraseRootFromParent_Done,
     /* 352312 */   // Label 7103: @352312
     /* 352312 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(352426), // Rule ID 4330 //
     /* 352317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 352320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352331 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 352337 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 352339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352347 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352350 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352354 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352358 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352362 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352364 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 352371 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 352371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 352378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352393 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352415 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352420 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352425 */     // GIR_Coverage, 4330,
     /* 352425 */     GIR_EraseRootFromParent_Done,
     /* 352426 */   // Label 7104: @352426
     /* 352426 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(352540), // Rule ID 4331 //
     /* 352431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 352434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352445 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 352451 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 352453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352461 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352464 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352468 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352472 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352478 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 352485 */     // (vector_insert:{ *:[v8f16] } immAllZerosV:{ *:[v8f16] }, (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 352485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 352492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352507 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352529 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352534 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352539 */     // GIR_Coverage, 4331,
     /* 352539 */     GIR_EraseRootFromParent_Done,
     /* 352540 */   // Label 7105: @352540
     /* 352540 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(352657), // Rule ID 4226 //
     /* 352545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 352563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352571 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352574 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352578 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 352585 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352589 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352595 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 352602 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 352602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 352609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352624 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352646 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352651 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352656 */     // GIR_Coverage, 4226,
     /* 352656 */     GIR_EraseRootFromParent_Done,
     /* 352657 */   // Label 7106: @352657
     /* 352657 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(352774), // Rule ID 4228 //
     /* 352662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 352665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 352680 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352684 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352688 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352691 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352695 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 352702 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352706 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352710 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352712 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 352719 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 352719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 352726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352741 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352763 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352768 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352773 */     // GIR_Coverage, 4228,
     /* 352773 */     GIR_EraseRootFromParent_Done,
     /* 352774 */   // Label 7107: @352774
     /* 352774 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(352884), // Rule ID 4334 //
     /* 352779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 352782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 352797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352805 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352808 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352812 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352816 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352822 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 352829 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 352829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 352836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352851 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352873 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352878 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352883 */     // GIR_Coverage, 4334,
     /* 352883 */     GIR_EraseRootFromParent_Done,
     /* 352884 */   // Label 7108: @352884
     /* 352884 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(352994), // Rule ID 4336 //
     /* 352889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 352892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 352895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 352903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 352907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 352911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 352915 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 352918 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 352922 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 352926 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 352930 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 352932 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 352939 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 352939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 352942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 352946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 352951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 352956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 352961 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 352967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 352969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 352972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 352974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 352977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 352980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 352983 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 352988 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 352993 */     // GIR_Coverage, 4336,
     /* 352993 */     GIR_EraseRootFromParent_Done,
     /* 352994 */   // Label 7109: @352994
     /* 352994 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(353117), // Rule ID 5716 //
     /* 352999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 353002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 353017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 353029 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 353033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353038 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 353042 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353046 */     // MIs[3] Operand 1
     /* 353046 */     // No operand predicates
     /* 353046 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 353050 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353052 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), (DUPi16:{ *:[i16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), hsub:{ *:[i32] })
     /* 353052 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 353055 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::DUPi16),
     /* 353059 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353064 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 353068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/3, // Immn
     /* 353071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 353073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 353076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 353080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 353090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 353098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 353101 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353106 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353111 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 353116 */     // GIR_Coverage, 5716,
     /* 353116 */     GIR_EraseRootFromParent_Done,
     /* 353117 */   // Label 7110: @353117
     /* 353117 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(353240), // Rule ID 5748 //
     /* 353122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 353125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 353140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 353144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 353152 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 353156 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353161 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 353165 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353169 */     // MIs[3] Operand 1
     /* 353169 */     // No operand predicates
     /* 353169 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 353173 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353175 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), (DUPi16:{ *:[i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), hsub:{ *:[i32] })
     /* 353175 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 353178 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::DUPi16),
     /* 353182 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353187 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 353191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/3, // Immn
     /* 353194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 353196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 353199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 353203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 353210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 353213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 353221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 353224 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353229 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353234 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 353239 */     // GIR_Coverage, 5748,
     /* 353239 */     GIR_EraseRootFromParent_Done,
     /* 353240 */   // Label 7111: @353240
     /* 353240 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(353328), // Rule ID 1939 //
     /* 353245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 353248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 353251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 353266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 353274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353291 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 353295 */     // MIs[2] Operand 1
     /* 353295 */     // No operand predicates
     /* 353295 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 353299 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353303 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 353307 */     // MIs[3] Operand 1
     /* 353307 */     // No operand predicates
     /* 353307 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353309 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 353309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 353312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353314 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 353316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 353319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 353323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 353326 */     GIR_RootConstrainSelectedInstOperands,
     /* 353327 */     // GIR_Coverage, 1939,
     /* 353327 */     GIR_EraseRootFromParent_Done,
     /* 353328 */   // Label 7112: @353328
     /* 353328 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(353427), // Rule ID 5713 //
     /* 353333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 353336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 353347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 353355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353367 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 353371 */     // MIs[2] Operand 1
     /* 353371 */     // No operand predicates
     /* 353371 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 353375 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353379 */     // MIs[3] Operand 1
     /* 353379 */     // No operand predicates
     /* 353379 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353381 */     // (vector_insert:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$Rn, (vector_extract:{ *:[f16] } nxv8f16:{ *:[nxv8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8f16] } v8f16:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immd, (EXTRACT_SUBREG:{ *:[v8f16] } ZPR:{ *:[nxv8f16] }:$Rm, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$Immn)
     /* 353381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 353384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 353388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353393 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // Rm
     /* 353399 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353404 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 353412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353414 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 353416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 353419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 353425 */     GIR_RootConstrainSelectedInstOperands,
     /* 353426 */     // GIR_Coverage, 5713,
     /* 353426 */     GIR_EraseRootFromParent_Done,
     /* 353427 */   // Label 7113: @353427
     /* 353427 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(353526), // Rule ID 5745 //
     /* 353432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 353435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 353446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 353454 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353466 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 353470 */     // MIs[2] Operand 1
     /* 353470 */     // No operand predicates
     /* 353470 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 353474 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353478 */     // MIs[3] Operand 1
     /* 353478 */     // No operand predicates
     /* 353478 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353480 */     // (vector_insert:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$Rn, (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8i16] } v8i16:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immd, (EXTRACT_SUBREG:{ *:[v8i16] } ZPR:{ *:[nxv8i16] }:$Rm, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$Immn)
     /* 353480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 353483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 353487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353492 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // Rm
     /* 353498 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353503 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 353508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 353511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353513 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 353515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 353518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 353524 */     GIR_RootConstrainSelectedInstOperands,
     /* 353525 */     // GIR_Coverage, 5745,
     /* 353525 */     GIR_EraseRootFromParent_Done,
     /* 353526 */   // Label 7114: @353526
     /* 353526 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(353603), // Rule ID 5715 //
     /* 353531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 353534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 353549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 353557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353574 */     // MIs[2] Operand 1
     /* 353574 */     // No operand predicates
     /* 353574 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 353578 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353582 */     // MIs[3] Operand 1
     /* 353582 */     // No operand predicates
     /* 353582 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353584 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 353584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 353587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353589 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 353591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 353594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 353598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 353601 */     GIR_RootConstrainSelectedInstOperands,
     /* 353602 */     // GIR_Coverage, 5715,
     /* 353602 */     GIR_EraseRootFromParent_Done,
     /* 353603 */   // Label 7115: @353603
     /* 353603 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(353711), // Rule ID 5717 //
     /* 353608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 353611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 353626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 353634 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 353643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353651 */     // MIs[2] Operand 1
     /* 353651 */     // No operand predicates
     /* 353651 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 353655 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353659 */     // MIs[3] Operand 1
     /* 353659 */     // No operand predicates
     /* 353659 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353661 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (vector_extract:{ *:[f16] } V64:{ *:[v4f16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4f16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 353661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 353664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 353668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353673 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 353676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 353680 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 353683 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353688 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 353693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 353696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353698 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 353700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 353703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 353709 */     GIR_RootConstrainSelectedInstOperands,
     /* 353710 */     // GIR_Coverage, 5717,
     /* 353710 */     GIR_EraseRootFromParent_Done,
     /* 353711 */   // Label 7116: @353711
     /* 353711 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(353788), // Rule ID 5747 //
     /* 353716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 353719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 353734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 353742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353759 */     // MIs[2] Operand 1
     /* 353759 */     // No operand predicates
     /* 353759 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 353763 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353767 */     // MIs[3] Operand 1
     /* 353767 */     // No operand predicates
     /* 353767 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353769 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 353769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 353772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353774 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 353776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 353779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 353783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 353786 */     GIR_RootConstrainSelectedInstOperands,
     /* 353787 */     // GIR_Coverage, 5747,
     /* 353787 */     GIR_EraseRootFromParent_Done,
     /* 353788 */   // Label 7117: @353788
     /* 353788 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(353896), // Rule ID 5749 //
     /* 353793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 353796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 353811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 353815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 353819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 353823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 353828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 353832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353836 */     // MIs[2] Operand 1
     /* 353836 */     // No operand predicates
     /* 353836 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 353840 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 353844 */     // MIs[3] Operand 1
     /* 353844 */     // No operand predicates
     /* 353844 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 353846 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v4i16] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 353846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 353849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 353853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353858 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 353861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 353865 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 353868 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353873 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 353878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 353881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353883 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 353885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 353888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 353894 */     GIR_RootConstrainSelectedInstOperands,
     /* 353895 */     // GIR_Coverage, 5749,
     /* 353895 */     GIR_EraseRootFromParent_Done,
     /* 353896 */   // Label 7118: @353896
     /* 353896 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(353975), // Rule ID 5669 //
     /* 353901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 353904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 353919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 353923 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 353927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 353929 */     // (vector_insert:{ *:[v8i16] } (undef:{ *:[v8i16] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v8i16] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 353929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 353932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 353936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 353941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 353945 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 353950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 353953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 353955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 353958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 353961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 353964 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353969 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 353974 */     // GIR_Coverage, 5669,
     /* 353974 */     GIR_EraseRootFromParent_Done,
     /* 353975 */   // Label 7119: @353975
     /* 353975 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(354051), // Rule ID 5675 //
     /* 353980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 353983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 353986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 353990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 353994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 353998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 354002 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 354008 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 354008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 354011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 354015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 354025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354030 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 354032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 354035 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354040 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354045 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 354050 */     // GIR_Coverage, 5675,
     /* 354050 */     GIR_EraseRootFromParent_Done,
     /* 354051 */   // Label 7120: @354051
     /* 354051 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(354127), // Rule ID 5685 //
     /* 354056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 354059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 354074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 354078 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 354084 */     // (vector_insert:{ *:[v8f16] } (undef:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] })
     /* 354084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 354087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 354091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 354101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354106 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 354108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 354111 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354116 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354121 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 354126 */     // GIR_Coverage, 5685,
     /* 354126 */     GIR_EraseRootFromParent_Done,
     /* 354127 */   // Label 7121: @354127
     /* 354127 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(354190), // Rule ID 5694 //
     /* 354132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 354135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 354150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 354154 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 354158 */     // MIs[1] Operand 1
     /* 354158 */     // No operand predicates
     /* 354158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 354162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 354166 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 354170 */     // MIs[2] Operand 1
     /* 354170 */     // No operand predicates
     /* 354170 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354172 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (INSvi16gpr:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, WZR:{ *:[i32] })
     /* 354172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 354175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354177 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 354179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // imm
     /* 354182 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(AArch64::WZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 354188 */     GIR_RootConstrainSelectedInstOperands,
     /* 354189 */     // GIR_Coverage, 5694,
     /* 354189 */     GIR_EraseRootFromParent_Done,
     /* 354190 */   // Label 7122: @354190
     /* 354190 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(354276), // Rule ID 6428 //
     /* 354195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 354198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 354213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354217 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354220 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 354224 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 354231 */     // MIs[1] Rn
     /* 354231 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 354235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 354240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 354244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 354248 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 354252 */     // MIs[2] Operand 1
     /* 354252 */     // No operand predicates
     /* 354252 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354254 */     // (vector_insert:{ *:[v8i16] } VecListOne128:{ *:[v8i16] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (LD1i16:{ *:[v8i16] } VecListOne128:{ *:[v8i16] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 354254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 354257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354259 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 354261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 354264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 354268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354274 */     GIR_RootConstrainSelectedInstOperands,
     /* 354275 */     // GIR_Coverage, 6428,
     /* 354275 */     GIR_EraseRootFromParent_Done,
     /* 354276 */   // Label 7123: @354276
     /* 354276 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(354355), // Rule ID 6433 //
     /* 354281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 354284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 354299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354303 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354306 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 354310 */     // MIs[1] Rn
     /* 354310 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 354314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 354319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 354323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 354327 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 354331 */     // MIs[2] Operand 1
     /* 354331 */     // No operand predicates
     /* 354331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354333 */     // (vector_insert:{ *:[v8f16] } VecListOne128:{ *:[v8f16] }:$Rd, (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (LD1i16:{ *:[v8f16] } VecListOne128:{ *:[v8f16] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 354333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i16),
     /* 354336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354338 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 354340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 354343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 354347 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354353 */     GIR_RootConstrainSelectedInstOperands,
     /* 354354 */     // GIR_Coverage, 6433,
     /* 354354 */     GIR_EraseRootFromParent_Done,
     /* 354355 */   // Label 7124: @354355
     /* 354355 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(354409), // Rule ID 1935 //
     /* 354360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 354363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 354366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 354381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 354385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 354389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 354393 */     // MIs[1] Operand 1
     /* 354393 */     // No operand predicates
     /* 354393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 354395 */     // (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (INSvi16gpr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, (imm:{ *:[i64] }):$idx, GPR32:{ *:[i32] }:$Rn)
     /* 354395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16gpr),
     /* 354398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354400 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 354402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 354405 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 354407 */     GIR_RootConstrainSelectedInstOperands,
     /* 354408 */     // GIR_Coverage, 1935,
     /* 354408 */     GIR_EraseRootFromParent_Done,
     /* 354409 */   // Label 7125: @354409
     /* 354409 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(354515), // Rule ID 5699 //
     /* 354414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 354417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 354432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 354436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 354440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 354444 */     // MIs[1] Operand 1
     /* 354444 */     // No operand predicates
     /* 354444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 354446 */     // (vector_insert:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (INSvi16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm, (INSERT_SUBREG:{ *:[v8f16] } (IMPLICIT_DEF:{ *:[v8f16] }), FPR16:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 354446 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 354449 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 354453 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 354460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 354463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 354467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354472 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 354475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 354479 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 354482 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354487 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354492 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 354497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi16lane),
     /* 354500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354502 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 354504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 354507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354513 */     GIR_RootConstrainSelectedInstOperands,
     /* 354514 */     // GIR_Coverage, 5699,
     /* 354514 */     GIR_EraseRootFromParent_Done,
     /* 354515 */   // Label 7126: @354515
     /* 354515 */   GIM_Reject,
     /* 354516 */ // Label 7093: @354516
     /* 354516 */ GIM_Reject,
     /* 354517 */ // Label 6930: @354517
     /* 354517 */ GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(356318),
     /* 354522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 354525 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(354651), // Rule ID 4188 //
     /* 354530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 354533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354544 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 354550 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 354552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354560 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354563 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354567 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 354574 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354578 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354582 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354584 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 354591 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 354591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 354594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 354598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 354613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 354618 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 354640 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354645 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 354650 */     // GIR_Coverage, 4188,
     /* 354650 */     GIR_EraseRootFromParent_Done,
     /* 354651 */   // Label 7128: @354651
     /* 354651 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(354777), // Rule ID 4189 //
     /* 354656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 354659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354670 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 354676 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 354678 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354682 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354686 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354689 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354693 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 354700 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354704 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354708 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354710 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 354717 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 354717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 354720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 354724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 354739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 354744 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 354766 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354771 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 354776 */     // GIR_Coverage, 4189,
     /* 354776 */     GIR_EraseRootFromParent_Done,
     /* 354777 */   // Label 7129: @354777
     /* 354777 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(354899), // Rule ID 4194 //
     /* 354782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 354785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 354800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354808 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354811 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354815 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 354822 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354826 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354830 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354832 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 354839 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 354839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 354842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 354846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 354861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 354866 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 354879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 354882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 354885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 354888 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354893 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 354898 */     // GIR_Coverage, 4194,
     /* 354898 */     GIR_EraseRootFromParent_Done,
     /* 354899 */   // Label 7130: @354899
     /* 354899 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(355021), // Rule ID 4196 //
     /* 354904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 354907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 354910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 354914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 354918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 354922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 354926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 354930 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 354933 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 354937 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 354944 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 354948 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 354952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 354954 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 354961 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 354961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 354964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 354968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 354973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 354978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 354983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 354988 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 354994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 354996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 354999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 355010 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355015 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 355020 */     // GIR_Coverage, 4196,
     /* 355020 */     GIR_EraseRootFromParent_Done,
     /* 355021 */   // Label 7131: @355021
     /* 355021 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(355142), // Rule ID 4186 //
     /* 355026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355040 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 355046 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 355048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355056 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355059 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355063 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 355070 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355074 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355078 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355080 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 355087 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 355087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 355090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 355094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 355109 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 355131 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355136 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 355141 */     // GIR_Coverage, 4186,
     /* 355141 */     GIR_EraseRootFromParent_Done,
     /* 355142 */   // Label 7132: @355142
     /* 355142 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(355263), // Rule ID 4187 //
     /* 355147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355161 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 355167 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 355169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355177 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355180 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355184 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 355191 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355195 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355199 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355201 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 355208 */     // (vector_insert:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 355208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 355211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 355215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 355230 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 355252 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355257 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 355262 */     // GIR_Coverage, 4187,
     /* 355262 */     GIR_EraseRootFromParent_Done,
     /* 355263 */   // Label 7133: @355263
     /* 355263 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(355380), // Rule ID 4190 //
     /* 355268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 355286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355294 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355297 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355301 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 355308 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355312 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355318 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 355325 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 355325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 355328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 355332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 355347 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 355369 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355374 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 355379 */     // GIR_Coverage, 4190,
     /* 355379 */     GIR_EraseRootFromParent_Done,
     /* 355380 */   // Label 7134: @355380
     /* 355380 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(355497), // Rule ID 4192 //
     /* 355385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 355403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 355411 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 355414 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 355418 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 355425 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 355429 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355433 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 355435 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 355442 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 355442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 355445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 355449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 355459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 355464 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 355470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 355480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 355486 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355491 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 355496 */     // GIR_Coverage, 4192,
     /* 355496 */     GIR_EraseRootFromParent_Done,
     /* 355497 */   // Label 7135: @355497
     /* 355497 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(355620), // Rule ID 5740 //
     /* 355502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 355516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 355520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 355524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 355528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 355532 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 355536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355541 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 355545 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 355549 */     // MIs[3] Operand 1
     /* 355549 */     // No operand predicates
     /* 355549 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 355553 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355555 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), 0:{ *:[i64] })  =>  (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), (DUPi8:{ *:[i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), bsub:{ *:[i32] })
     /* 355555 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s8,
     /* 355558 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::DUPi8),
     /* 355562 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355567 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 355571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/2, /*OldInsnID*/3, // Immn
     /* 355574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 355576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 355579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 355583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 355590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 355593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 355601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 355604 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355609 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355614 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 355619 */     // GIR_Coverage, 5740,
     /* 355619 */     GIR_EraseRootFromParent_Done,
     /* 355620 */   // Label 7136: @355620
     /* 355620 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(355708), // Rule ID 1938 //
     /* 355625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 355628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 355646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 355650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 355654 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 355658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 355667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 355671 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 355675 */     // MIs[2] Operand 1
     /* 355675 */     // No operand predicates
     /* 355675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 355679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 355683 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 355687 */     // MIs[3] Operand 1
     /* 355687 */     // No operand predicates
     /* 355687 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355689 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx2), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (imm:{ *:[i64] }):$idx, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx2)
     /* 355689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 355692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355694 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 355696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 355699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 355703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx2
     /* 355706 */     GIR_RootConstrainSelectedInstOperands,
     /* 355707 */     // GIR_Coverage, 1938,
     /* 355707 */     GIR_EraseRootFromParent_Done,
     /* 355708 */   // Label 7137: @355708
     /* 355708 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(355807), // Rule ID 5737 //
     /* 355713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 355727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 355731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 355735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 355739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 355743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 355747 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 355751 */     // MIs[2] Operand 1
     /* 355751 */     // No operand predicates
     /* 355751 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 355755 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 355759 */     // MIs[3] Operand 1
     /* 355759 */     // No operand predicates
     /* 355759 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355761 */     // (vector_insert:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$Rn, (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi8lane:{ *:[v16i8] } v16i8:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immd, (EXTRACT_SUBREG:{ *:[v16i8] } ZPR:{ *:[nxv16i8] }:$Rm, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$Immn)
     /* 355761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 355764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 355768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355773 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // Rm
     /* 355779 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355784 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 355789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 355792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355794 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 355796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 355799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 355805 */     GIR_RootConstrainSelectedInstOperands,
     /* 355806 */     // GIR_Coverage, 5737,
     /* 355806 */     GIR_EraseRootFromParent_Done,
     /* 355807 */   // Label 7138: @355807
     /* 355807 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(355884), // Rule ID 5739 //
     /* 355812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 355830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 355834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 355838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 355842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 355851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 355855 */     // MIs[2] Operand 1
     /* 355855 */     // No operand predicates
     /* 355855 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 355859 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 355863 */     // MIs[3] Operand 1
     /* 355863 */     // No operand predicates
     /* 355863 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355865 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (imm:{ *:[i64] }):$Immd, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$Immn)
     /* 355865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 355868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355870 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 355872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 355875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 355879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 355882 */     GIR_RootConstrainSelectedInstOperands,
     /* 355883 */     // GIR_Coverage, 5739,
     /* 355883 */     GIR_EraseRootFromParent_Done,
     /* 355884 */   // Label 7139: @355884
     /* 355884 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(355992), // Rule ID 5741 //
     /* 355889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 355892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 355895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 355907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 355911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 355915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 355919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 355928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 355932 */     // MIs[2] Operand 1
     /* 355932 */     // No operand predicates
     /* 355932 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 355936 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 355940 */     // MIs[3] Operand 1
     /* 355940 */     // No operand predicates
     /* 355940 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 355942 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (vector_extract:{ *:[i32] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i64] }):$Immn), (imm:{ *:[i64] }):$Immd)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, (imm:{ *:[i64] }):$Immd, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i64] }, V64:{ *:[v8i8] }:$Rn, dsub:{ *:[i32] }), (imm:{ *:[i64] }):$Immn)
     /* 355942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 355945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 355949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 355954 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 355957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 355961 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 355964 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 355969 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 355974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 355977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 355979 */     GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 355981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Immd
     /* 355984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 355987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // Immn
     /* 355990 */     GIR_RootConstrainSelectedInstOperands,
     /* 355991 */     // GIR_Coverage, 5741,
     /* 355991 */     GIR_EraseRootFromParent_Done,
     /* 355992 */   // Label 7140: @355992
     /* 355992 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(356071), // Rule ID 5664 //
     /* 355997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 356000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 356015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 356019 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 356025 */     // (vector_insert:{ *:[v16i8] } (undef:{ *:[v16i8] }), GPR32:{ *:[i32] }:$Rn, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, (COPY_TO_REGCLASS:{ *:[f32] } GPR32:{ *:[i32] }:$Rn, FPR32:{ *:[i32] }), ssub:{ *:[i32] })
     /* 356025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 356028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 356032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rn
     /* 356041 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 356060 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356065 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356070 */     // GIR_Coverage, 5664,
     /* 356070 */     GIR_EraseRootFromParent_Done,
     /* 356071 */   // Label 7141: @356071
     /* 356071 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(356157), // Rule ID 6427 //
     /* 356076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 356079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 356094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356098 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356101 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 356105 */     GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 356112 */     // MIs[1] Rn
     /* 356112 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 356116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 356121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 356125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 356129 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 356133 */     // MIs[2] Operand 1
     /* 356133 */     // No operand predicates
     /* 356133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356135 */     // (vector_insert:{ *:[v16i8] } VecListOne128:{ *:[v16i8] }:$Rd, (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (LD1i8:{ *:[v16i8] } VecListOne128:{ *:[v16i8] }:$Rd, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx, GPR64sp:{ *:[i64] }:$Rn)
     /* 356135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1i8),
     /* 356138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356140 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 356142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 356145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 356149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356155 */     GIR_RootConstrainSelectedInstOperands,
     /* 356156 */     // GIR_Coverage, 6427,
     /* 356156 */     GIR_EraseRootFromParent_Done,
     /* 356157 */   // Label 7142: @356157
     /* 356157 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(356211), // Rule ID 1934 //
     /* 356162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 356165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 356168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 356183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 356187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 356191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 356195 */     // MIs[1] Operand 1
     /* 356195 */     // No operand predicates
     /* 356195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 356197 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, GPR32:{ *:[i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (INSvi8gpr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, (imm:{ *:[i64] }):$idx, GPR32:{ *:[i32] }:$Rn)
     /* 356197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8gpr),
     /* 356200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356202 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 356204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 356207 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 356209 */     GIR_RootConstrainSelectedInstOperands,
     /* 356210 */     // GIR_Coverage, 1934,
     /* 356210 */     GIR_EraseRootFromParent_Done,
     /* 356211 */   // Label 7143: @356211
     /* 356211 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(356317), // Rule ID 5707 //
     /* 356216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s8,
     /* 356219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 356234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 356238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 356242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 356246 */     // MIs[1] Operand 1
     /* 356246 */     // No operand predicates
     /* 356246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 356248 */     // (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, FPR8:{ *:[i8] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm)  =>  (INSvi8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$imm, (INSERT_SUBREG:{ *:[v16i8] } (IMPLICIT_DEF:{ *:[v16i8] }), FPR8:{ *:[i8] }:$Rm, bsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 356248 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v16s8,
     /* 356251 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 356255 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 356262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 356265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 356269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356274 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 356277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 356281 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /* 356284 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356289 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 356294 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 356299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::INSvi8lane),
     /* 356302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356304 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 356306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 356309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356315 */     GIR_RootConstrainSelectedInstOperands,
     /* 356316 */     // GIR_Coverage, 5707,
     /* 356316 */     GIR_EraseRootFromParent_Done,
     /* 356317 */   // Label 7144: @356317
     /* 356317 */   GIM_Reject,
     /* 356318 */ // Label 7127: @356318
     /* 356318 */ GIM_Reject,
     /* 356319 */ // Label 6931: @356319
     /* 356319 */ GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(356443), // Rule ID 11168 //
     /* 356324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 356327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 356330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 356333 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 356344 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 356348 */   // (vector_insert:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$vec, FPR16:{ *:[f16] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_H:{ *:[nxv2f16] } ZPR:{ *:[nxv2f16] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$index)), ?:{ *:[f16] }:$src)
     /* 356348 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 356351 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 356355 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356360 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 356364 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 356366 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 356369 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 356373 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356378 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 356381 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 356384 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 356386 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 356389 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 356393 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356398 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 356401 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 356403 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 356406 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 356410 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356415 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 356418 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 356421 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 356424 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 356427 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_H),
     /* 356432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 356434 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 356436 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356439 */   GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 356441 */   GIR_RootConstrainSelectedInstOperands,
     /* 356442 */   // GIR_Coverage, 11168,
     /* 356442 */   GIR_EraseRootFromParent_Done,
     /* 356443 */ // Label 7145: @356443
     /* 356443 */ GIM_Reject,
     /* 356444 */ // Label 6932: @356444
     /* 356444 */ GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(356568), // Rule ID 11171 //
     /* 356449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 356452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 356455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 356458 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 356469 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 356473 */   // (vector_insert:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$vec, FPR32:{ *:[f32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_S:{ *:[nxv2f32] } ZPR:{ *:[nxv2f32] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$index)), ?:{ *:[f32] }:$src)
     /* 356473 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 356476 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 356480 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356485 */   GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 356489 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 356491 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 356494 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 356498 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356503 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 356506 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 356509 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 356511 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 356514 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 356518 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356523 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 356526 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 356528 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 356531 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 356535 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356540 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 356543 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 356546 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 356549 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 356552 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_S),
     /* 356557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 356559 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 356561 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356564 */   GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 356566 */   GIR_RootConstrainSelectedInstOperands,
     /* 356567 */   // GIR_Coverage, 11171,
     /* 356567 */   GIR_EraseRootFromParent_Done,
     /* 356568 */ // Label 7146: @356568
     /* 356568 */ GIM_Reject,
     /* 356569 */ // Label 6933: @356569
     /* 356569 */ GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(358546),
     /* 356574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 356577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 356580 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 356583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356587 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(356696), // Rule ID 4320 //
     /* 356592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356596 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 356602 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 356604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356612 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356615 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356619 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356623 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356629 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 356636 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 356636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 356639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 356643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 356658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 356663 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 356685 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356690 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356695 */     // GIR_Coverage, 4320,
     /* 356695 */     GIR_EraseRootFromParent_Done,
     /* 356696 */   // Label 7148: @356696
     /* 356696 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(356805), // Rule ID 4321 //
     /* 356701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356705 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 356711 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 356713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356721 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356724 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356728 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356732 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356738 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 356745 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 356745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 356748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 356752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 356767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 356772 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 356794 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356799 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356804 */     // GIR_Coverage, 4321,
     /* 356804 */     GIR_EraseRootFromParent_Done,
     /* 356805 */   // Label 7149: @356805
     /* 356805 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(356914), // Rule ID 4428 //
     /* 356810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356814 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 356820 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 356822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356830 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356833 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356837 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356841 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356847 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 356854 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 356854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 356857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 356861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 356876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 356881 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 356892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 356894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 356897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 356900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 356903 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 356908 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 356913 */     // GIR_Coverage, 4428,
     /* 356913 */     GIR_EraseRootFromParent_Done,
     /* 356914 */   // Label 7150: @356914
     /* 356914 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(357023), // Rule ID 4429 //
     /* 356919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 356923 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 356929 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 356931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 356935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 356939 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 356942 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 356946 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 356950 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 356954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 356956 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 356963 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 356963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 356966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 356970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 356975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 356980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 356985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 356990 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 356996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 356998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357012 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357017 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357022 */     // GIR_Coverage, 4429,
     /* 357022 */     GIR_EraseRootFromParent_Done,
     /* 357023 */   // Label 7151: @357023
     /* 357023 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(357128), // Rule ID 4326 //
     /* 357028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 357036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357044 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357047 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357051 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357055 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357059 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357061 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 357068 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 357068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 357075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357095 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357117 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357122 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357127 */     // GIR_Coverage, 4326,
     /* 357127 */     GIR_EraseRootFromParent_Done,
     /* 357128 */   // Label 7152: @357128
     /* 357128 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(357233), // Rule ID 4328 //
     /* 357133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 357141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357149 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357152 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357156 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357160 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357166 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 357173 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 357173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 357180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357200 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357222 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357227 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357232 */     // GIR_Coverage, 4328,
     /* 357232 */     GIR_EraseRootFromParent_Done,
     /* 357233 */   // Label 7153: @357233
     /* 357233 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(357338), // Rule ID 4434 //
     /* 357238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 357246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357254 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357257 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357261 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357265 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357269 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357271 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 357278 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroW:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 357278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroW),
     /* 357285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357305 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357327 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357332 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357337 */     // GIR_Coverage, 4434,
     /* 357337 */     GIR_EraseRootFromParent_Done,
     /* 357338 */   // Label 7154: @357338
     /* 357338 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(357443), // Rule ID 4436 //
     /* 357343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 357351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357359 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357362 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357366 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357370 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357374 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357376 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 357383 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDroX:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend), dsub:{ *:[i32] })
     /* 357383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDroX),
     /* 357390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 357405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 357410 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357432 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357437 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357442 */     // GIR_Coverage, 4436,
     /* 357442 */     GIR_EraseRootFromParent_Done,
     /* 357443 */   // Label 7155: @357443
     /* 357443 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(357547), // Rule ID 4318 //
     /* 357448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357452 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 357458 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 357460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357468 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357471 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357475 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357479 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357483 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357485 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 357492 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 357492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 357499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 357514 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357536 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357541 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357546 */     // GIR_Coverage, 4318,
     /* 357546 */     GIR_EraseRootFromParent_Done,
     /* 357547 */   // Label 7156: @357547
     /* 357547 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(357651), // Rule ID 4319 //
     /* 357552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357556 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 357562 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 357564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357572 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357575 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357579 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357583 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357587 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357589 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 357596 */     // (vector_insert:{ *:[nxv2i64] } immAllZerosV:{ *:[nxv2i64] }, (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 357596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 357603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 357618 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357640 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357645 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357650 */     // GIR_Coverage, 4319,
     /* 357650 */     GIR_EraseRootFromParent_Done,
     /* 357651 */   // Label 7157: @357651
     /* 357651 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(357755), // Rule ID 4426 //
     /* 357656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357660 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 357666 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 357668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357676 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357679 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357683 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357687 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357691 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357693 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 357700 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 357700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 357707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 357722 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357744 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357749 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357754 */     // GIR_Coverage, 4426,
     /* 357754 */     GIR_EraseRootFromParent_Done,
     /* 357755 */   // Label 7158: @357755
     /* 357755 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(357859), // Rule ID 4427 //
     /* 357760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357764 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 357770 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 357772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357780 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357783 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357787 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357791 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357797 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 357804 */     // (vector_insert:{ *:[nxv2f64] } immAllZerosV:{ *:[nxv2f64] }, (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 357804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 357811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 357826 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357848 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357853 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357858 */     // GIR_Coverage, 4427,
     /* 357858 */     GIR_EraseRootFromParent_Done,
     /* 357859 */   // Label 7159: @357859
     /* 357859 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(357959), // Rule ID 4322 //
     /* 357864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 357872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357880 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357883 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357887 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357891 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357895 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357897 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 357904 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 357904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 357907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 357911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 357916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 357921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 357926 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 357932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 357934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 357937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 357939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 357942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 357945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 357948 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 357953 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 357958 */     // GIR_Coverage, 4322,
     /* 357958 */     GIR_EraseRootFromParent_Done,
     /* 357959 */   // Label 7160: @357959
     /* 357959 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(358059), // Rule ID 4324 //
     /* 357964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 357968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 357972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 357976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 357980 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 357983 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 357987 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 357991 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 357995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 357997 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 358004 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (ld:{ *:[i64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 358004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 358007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 358011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 358026 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 358048 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358053 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358058 */     // GIR_Coverage, 4324,
     /* 358058 */     GIR_EraseRootFromParent_Done,
     /* 358059 */   // Label 7161: @358059
     /* 358059 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(358159), // Rule ID 4430 //
     /* 358064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 358072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358080 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358083 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358087 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358091 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358097 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 358104 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDRDui:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset), dsub:{ *:[i32] })
     /* 358104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 358107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRDui),
     /* 358111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 358126 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 358148 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358153 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358158 */     // GIR_Coverage, 4430,
     /* 358158 */     GIR_EraseRootFromParent_Done,
     /* 358159 */   // Label 7162: @358159
     /* 358159 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(358259), // Rule ID 4432 //
     /* 358164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 358172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358180 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358183 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358187 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358191 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358197 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 358204 */     // (vector_insert:{ *:[nxv2f64] } (undef:{ *:[nxv2f64] }), (ld:{ *:[f64] } (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i64] }, (LDURDi:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), dsub:{ *:[i32] })
     /* 358204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 358207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURDi),
     /* 358211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 358226 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 358248 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358253 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358258 */     // GIR_Coverage, 4432,
     /* 358258 */     GIR_EraseRootFromParent_Done,
     /* 358259 */   // Label 7163: @358259
     /* 358259 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(358323), // Rule ID 11226 //
     /* 358264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 358267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 358275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 358283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 358287 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 358291 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 358295 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 358299 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 358303 */     // MIs[3] Operand 1
     /* 358303 */     // No operand predicates
     /* 358303 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358307 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 358309 */     // (vector_insert:{ *:[nxv2i64] } (undef:{ *:[nxv2i64] }), (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$Idx), 0:{ *:[i64] })  =>  (DUP_ZZI_D:{ *:[nxv2i64] } ZPR:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$Idx)
     /* 358309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 358312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 358314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // vec
     /* 358318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Idx
     /* 358321 */     GIR_RootConstrainSelectedInstOperands,
     /* 358322 */     // GIR_Coverage, 11226,
     /* 358322 */     GIR_EraseRootFromParent_Done,
     /* 358323 */   // Label 7164: @358323
     /* 358323 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(358434), // Rule ID 11167 //
     /* 358328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 358331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 358335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 358339 */     // (vector_insert:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$vec, GPR64:{ *:[i64] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_D:{ *:[nxv2i64] } ZPR:{ *:[nxv2i64] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } GPR64:{ *:[i64] }:$index)), GPR64:{ *:[i64] }:$src)
     /* 358339 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 358342 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 358346 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358351 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 358355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 358357 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 358360 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 358364 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358369 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 358372 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 358375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 358377 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 358380 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 358384 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358389 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 358392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 358394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 358397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 358401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358406 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 358409 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 358412 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 358415 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 358418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_D),
     /* 358423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 358425 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 358427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358430 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 358432 */     GIR_RootConstrainSelectedInstOperands,
     /* 358433 */     // GIR_Coverage, 11167,
     /* 358433 */     GIR_EraseRootFromParent_Done,
     /* 358434 */   // Label 7165: @358434
     /* 358434 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(358545), // Rule ID 11173 //
     /* 358439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 358442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 358446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 358450 */     // (vector_insert:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$vec, FPR64:{ *:[f64] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_D:{ *:[nxv2f64] } ZPR:{ *:[nxv2f64] }:$vec, (CMPEQ_PPzZZ_D:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_D:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_D:{ *:[nxv16i8] } 0:{ *:[i64] }, 1:{ *:[i64] }), (DUP_ZR_D:{ *:[nxv16i8] } ?:{ *:[i64] }:$index)), ?:{ *:[f64] }:$src)
     /* 358450 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 358453 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 358457 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358462 */     GIR_Copy, /*NewInsnID*/4, /*OldInsnID*/0, /*OpIdx*/3, // index
     /* 358466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 358468 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 358471 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_D),
     /* 358475 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358480 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 358483 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 358486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 358488 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 358491 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_D),
     /* 358495 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358500 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 358503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 358505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 358508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_D),
     /* 358512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358517 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 358520 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 358523 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 358526 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 358529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_D),
     /* 358534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 358536 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 358538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358541 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 358543 */     GIR_RootConstrainSelectedInstOperands,
     /* 358544 */     // GIR_Coverage, 11173,
     /* 358544 */     GIR_EraseRootFromParent_Done,
     /* 358545 */   // Label 7166: @358545
     /* 358545 */   GIM_Reject,
     /* 358546 */ // Label 7147: @358546
     /* 358546 */ GIM_Reject,
     /* 358547 */ // Label 6934: @358547
     /* 358547 */ GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(358698), // Rule ID 11169 //
     /* 358552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 358555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 358558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 358561 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 358564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 358572 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 358576 */   // (vector_insert:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$vec, FPR16:{ *:[f16] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_H:{ *:[nxv4f16] } ZPR:{ *:[nxv4f16] }:$vec, (CMPEQ_PPzZZ_S:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_S:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_S:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), ?:{ *:[f16] }:$src)
     /* 358576 */   GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 358579 */   GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 358583 */   GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358588 */   GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 358594 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 358599 */   GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 358604 */   GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 358607 */   GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 358611 */   GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358616 */   GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 358619 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 358621 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 358624 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_S),
     /* 358628 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358633 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 358636 */   GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 358639 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 358641 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 358644 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 358648 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358653 */   GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 358656 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 358658 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 358661 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_S),
     /* 358665 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358670 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 358673 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 358676 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 358679 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 358682 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_H),
     /* 358687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 358689 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 358691 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358694 */   GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 358696 */   GIR_RootConstrainSelectedInstOperands,
     /* 358697 */   // GIR_Coverage, 11169,
     /* 358697 */   GIR_EraseRootFromParent_Done,
     /* 358698 */ // Label 7167: @358698
     /* 358698 */ GIM_Reject,
     /* 358699 */ // Label 6935: @358699
     /* 358699 */ GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(360730),
     /* 358704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 358707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 358710 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 358713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358717 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(358826), // Rule ID 4284 //
     /* 358722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358726 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 358732 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 358734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358742 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358745 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358749 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358753 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358759 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 358766 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 358766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 358769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 358773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 358788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 358793 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 358815 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358820 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 358825 */     // GIR_Coverage, 4284,
     /* 358825 */     GIR_EraseRootFromParent_Done,
     /* 358826 */   // Label 7169: @358826
     /* 358826 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(358935), // Rule ID 4285 //
     /* 358831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358835 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 358841 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 358843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358851 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358854 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358858 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358862 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358868 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 358875 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 358875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 358878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 358882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 358892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 358897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 358902 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 358908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 358910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 358913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 358915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 358918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 358921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 358924 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 358929 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 358934 */     // GIR_Coverage, 4285,
     /* 358934 */     GIR_EraseRootFromParent_Done,
     /* 358935 */   // Label 7170: @358935
     /* 358935 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(359044), // Rule ID 4392 //
     /* 358940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 358944 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 358950 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 358952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 358956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 358960 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 358963 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 358967 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 358971 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 358975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 358977 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 358984 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 358984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 358987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 358991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 358996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359011 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359033 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359038 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359043 */     // GIR_Coverage, 4392,
     /* 359043 */     GIR_EraseRootFromParent_Done,
     /* 359044 */   // Label 7171: @359044
     /* 359044 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(359153), // Rule ID 4393 //
     /* 359049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359053 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 359059 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 359061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359069 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359072 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359076 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359080 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359084 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359086 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 359093 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 359093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 359100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359120 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359142 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359147 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359152 */     // GIR_Coverage, 4393,
     /* 359152 */     GIR_EraseRootFromParent_Done,
     /* 359153 */   // Label 7172: @359153
     /* 359153 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(359258), // Rule ID 4290 //
     /* 359158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 359166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359170 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359174 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359177 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359181 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359185 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359191 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 359198 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 359198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 359205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359225 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359247 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359252 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359257 */     // GIR_Coverage, 4290,
     /* 359257 */     GIR_EraseRootFromParent_Done,
     /* 359258 */   // Label 7173: @359258
     /* 359258 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(359363), // Rule ID 4292 //
     /* 359263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 359271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359279 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359282 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359286 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359290 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359294 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359296 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 359303 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 359303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 359310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359330 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359352 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359357 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359362 */     // GIR_Coverage, 4292,
     /* 359362 */     GIR_EraseRootFromParent_Done,
     /* 359363 */   // Label 7174: @359363
     /* 359363 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(359468), // Rule ID 4398 //
     /* 359368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 359376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359384 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359387 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359391 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359395 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359399 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359401 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed32),
     /* 359408 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (ro_Windexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroW:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 359408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroW),
     /* 359415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359435 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359457 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359462 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359467 */     // GIR_Coverage, 4398,
     /* 359467 */     GIR_EraseRootFromParent_Done,
     /* 359468 */   // Label 7175: @359468
     /* 359468 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(359573), // Rule ID 4400 //
     /* 359473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 359481 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359485 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359489 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359492 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359496 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359500 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359504 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359506 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed32),
     /* 359513 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (ro_Xindexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSroX:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend32:{ *:[i32] }:$extend), ssub:{ *:[i32] })
     /* 359513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSroX),
     /* 359520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 359535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 359540 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359562 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359567 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359572 */     // GIR_Coverage, 4400,
     /* 359572 */     GIR_EraseRootFromParent_Done,
     /* 359573 */   // Label 7176: @359573
     /* 359573 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(359677), // Rule ID 4282 //
     /* 359578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359582 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 359588 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 359590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359598 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359601 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359605 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359609 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359613 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359615 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 359622 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 359622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 359629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 359644 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359666 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359671 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359676 */     // GIR_Coverage, 4282,
     /* 359676 */     GIR_EraseRootFromParent_Done,
     /* 359677 */   // Label 7177: @359677
     /* 359677 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(359781), // Rule ID 4283 //
     /* 359682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359686 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 359692 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 359694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359702 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359705 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359709 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359713 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359717 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359719 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 359726 */     // (vector_insert:{ *:[nxv4i32] } immAllZerosV:{ *:[nxv4i32] }, (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 359726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 359733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 359748 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359770 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359775 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359780 */     // GIR_Coverage, 4283,
     /* 359780 */     GIR_EraseRootFromParent_Done,
     /* 359781 */   // Label 7178: @359781
     /* 359781 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(359885), // Rule ID 4390 //
     /* 359786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359790 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 359796 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 359798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359806 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359809 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359813 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359817 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359823 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 359830 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 359830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 359837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 359852 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359874 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359879 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359884 */     // GIR_Coverage, 4390,
     /* 359884 */     GIR_EraseRootFromParent_Done,
     /* 359885 */   // Label 7179: @359885
     /* 359885 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(359989), // Rule ID 4391 //
     /* 359890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359894 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 359900 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 359902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 359906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 359910 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 359913 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 359917 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 359921 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 359925 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 359927 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 359934 */     // (vector_insert:{ *:[nxv4f32] } immAllZerosV:{ *:[nxv4f32] }, (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 359934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 359937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 359941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 359946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 359951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 359956 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 359962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 359964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 359967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 359969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 359972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 359975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 359978 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 359983 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 359988 */     // GIR_Coverage, 4391,
     /* 359988 */     GIR_EraseRootFromParent_Done,
     /* 359989 */   // Label 7180: @359989
     /* 359989 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(360089), // Rule ID 4286 //
     /* 359994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 359998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 360002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360010 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360013 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360017 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360021 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360025 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360027 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 360034 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 360034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 360037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 360041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 360056 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 360078 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360083 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360088 */     // GIR_Coverage, 4286,
     /* 360088 */     GIR_EraseRootFromParent_Done,
     /* 360089 */   // Label 7181: @360089
     /* 360089 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(360189), // Rule ID 4288 //
     /* 360094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 360102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360110 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360113 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360117 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360121 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360125 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360127 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 360134 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (ld:{ *:[i32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 360134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 360137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 360141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 360156 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 360178 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360183 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360188 */     // GIR_Coverage, 4288,
     /* 360188 */     GIR_EraseRootFromParent_Done,
     /* 360189 */   // Label 7182: @360189
     /* 360189 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(360289), // Rule ID 4394 //
     /* 360194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 360202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360210 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360213 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360217 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360221 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360225 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360227 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed32),
     /* 360234 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (am_indexed32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDRSui:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, uimm12s4:{ *:[i64] }:$offset), ssub:{ *:[i32] })
     /* 360234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 360237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRSui),
     /* 360241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 360256 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 360278 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360283 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360288 */     // GIR_Coverage, 4394,
     /* 360288 */     GIR_EraseRootFromParent_Done,
     /* 360289 */   // Label 7183: @360289
     /* 360289 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(360389), // Rule ID 4396 //
     /* 360294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 360302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360310 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360313 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360317 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360321 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360327 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled32),
     /* 360334 */     // (vector_insert:{ *:[nxv4f32] } (undef:{ *:[nxv4f32] }), (ld:{ *:[f32] } (am_unscaled32:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i64] }, (LDURSi:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), ssub:{ *:[i32] })
     /* 360334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 360337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURSi),
     /* 360341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 360356 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 360378 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360383 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360388 */     // GIR_Coverage, 4396,
     /* 360388 */     GIR_EraseRootFromParent_Done,
     /* 360389 */   // Label 7184: @360389
     /* 360389 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(360453), // Rule ID 11224 //
     /* 360394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 360397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 360405 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360409 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 360413 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 360417 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 360421 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 360425 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 360429 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 360433 */     // MIs[3] Operand 1
     /* 360433 */     // No operand predicates
     /* 360433 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360437 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 360439 */     // (vector_insert:{ *:[nxv4i32] } (undef:{ *:[nxv4i32] }), (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$Idx), 0:{ *:[i64] })  =>  (DUP_ZZI_S:{ *:[nxv4i32] } ZPR:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$Idx)
     /* 360439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 360442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 360444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // vec
     /* 360448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Idx
     /* 360451 */     GIR_RootConstrainSelectedInstOperands,
     /* 360452 */     // GIR_Coverage, 11224,
     /* 360452 */     GIR_EraseRootFromParent_Done,
     /* 360453 */   // Label 7185: @360453
     /* 360453 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(360591), // Rule ID 11166 //
     /* 360458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 360461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 360465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 360469 */     // (vector_insert:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$vec, GPR32:{ *:[i32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_S:{ *:[nxv4i32] } ZPR:{ *:[nxv4i32] }:$vec, (CMPEQ_PPzZZ_S:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_S:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_S:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), GPR32:{ *:[i32] }:$src)
     /* 360469 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 360472 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360476 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360481 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 360487 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 360492 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 360497 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 360500 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 360504 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360509 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 360512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 360514 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 360517 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_S),
     /* 360521 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360526 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 360529 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 360532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 360534 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 360537 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 360541 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360546 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 360549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 360551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 360554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_S),
     /* 360558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360563 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 360566 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 360569 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 360572 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 360575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_S),
     /* 360580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 360582 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 360584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360587 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 360589 */     GIR_RootConstrainSelectedInstOperands,
     /* 360590 */     // GIR_Coverage, 11166,
     /* 360590 */     GIR_EraseRootFromParent_Done,
     /* 360591 */   // Label 7186: @360591
     /* 360591 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(360729), // Rule ID 11172 //
     /* 360596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 360599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 360603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 360607 */     // (vector_insert:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$vec, FPR32:{ *:[f32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_S:{ *:[nxv4f32] } ZPR:{ *:[nxv4f32] }:$vec, (CMPEQ_PPzZZ_S:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_S:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_S:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_S:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), ?:{ *:[f32] }:$src)
     /* 360607 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 360610 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 360614 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360619 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 360625 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 360630 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 360635 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 360638 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 360642 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360647 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 360650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 360652 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 360655 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_S),
     /* 360659 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360664 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 360667 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 360670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 360672 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 360675 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_S),
     /* 360679 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360684 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 360687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 360689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 360692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_S),
     /* 360696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360701 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 360704 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 360707 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 360710 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 360713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_S),
     /* 360718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 360720 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 360722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360725 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 360727 */     GIR_RootConstrainSelectedInstOperands,
     /* 360728 */     // GIR_Coverage, 11172,
     /* 360728 */     GIR_EraseRootFromParent_Done,
     /* 360729 */   // Label 7187: @360729
     /* 360729 */   GIM_Reject,
     /* 360730 */ // Label 7168: @360730
     /* 360730 */ GIM_Reject,
     /* 360731 */ // Label 6936: @360731
     /* 360731 */ GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(362998),
     /* 360736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 360739 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(360865), // Rule ID 4248 //
     /* 360744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 360747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 360750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360758 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 360764 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 360766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360774 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360777 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360781 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 360788 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360792 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360796 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360798 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 360805 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 360805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 360808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 360812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 360827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 360832 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 360854 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360859 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360864 */     // GIR_Coverage, 4248,
     /* 360864 */     GIR_EraseRootFromParent_Done,
     /* 360865 */   // Label 7189: @360865
     /* 360865 */   GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(360991), // Rule ID 4249 //
     /* 360870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 360873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 360876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 360884 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 360890 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 360892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 360896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 360900 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 360903 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 360907 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 360914 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 360918 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 360922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 360924 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 360931 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 360931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 360934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 360938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 360943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 360948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 360953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 360958 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 360964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 360966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 360969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 360971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 360974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 360977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 360980 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 360985 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 360990 */     // GIR_Coverage, 4249,
     /* 360990 */     GIR_EraseRootFromParent_Done,
     /* 360991 */   // Label 7190: @360991
     /* 360991 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(361110), // Rule ID 4356 //
     /* 360996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 360999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361010 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 361016 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 361018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361026 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361029 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361033 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361037 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361043 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 361050 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 361050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 361057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 361072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 361077 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361099 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361104 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361109 */     // GIR_Coverage, 4356,
     /* 361109 */     GIR_EraseRootFromParent_Done,
     /* 361110 */   // Label 7191: @361110
     /* 361110 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(361229), // Rule ID 4357 //
     /* 361115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 361118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361129 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 361135 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 361137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361145 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361148 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361152 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361156 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361162 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 361169 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 361169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 361176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 361191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 361196 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361218 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361223 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361228 */     // GIR_Coverage, 4357,
     /* 361228 */     GIR_EraseRootFromParent_Done,
     /* 361229 */   // Label 7192: @361229
     /* 361229 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(361351), // Rule ID 4254 //
     /* 361234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 361237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 361252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361260 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361263 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361267 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 361274 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361278 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361284 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 361291 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 361291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 361298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 361313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 361318 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361340 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361345 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361350 */     // GIR_Coverage, 4254,
     /* 361350 */     GIR_EraseRootFromParent_Done,
     /* 361351 */   // Label 7193: @361351
     /* 361351 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(361473), // Rule ID 4256 //
     /* 361356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 361359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 361374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361382 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361385 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361389 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 361396 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361400 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361406 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 361413 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 361413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 361420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 361435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 361440 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361462 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361467 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361472 */     // GIR_Coverage, 4256,
     /* 361472 */     GIR_EraseRootFromParent_Done,
     /* 361473 */   // Label 7194: @361473
     /* 361473 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(361588), // Rule ID 4362 //
     /* 361478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 361481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 361496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361504 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361507 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361511 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361515 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361521 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed16),
     /* 361528 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (ro_Windexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroW:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 361528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroW),
     /* 361535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 361550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 361555 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361577 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361582 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361587 */     // GIR_Coverage, 4362,
     /* 361587 */     GIR_EraseRootFromParent_Done,
     /* 361588 */   // Label 7195: @361588
     /* 361588 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(361703), // Rule ID 4364 //
     /* 361593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 361596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 361611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361619 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361622 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361626 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361630 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361634 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361636 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed16),
     /* 361643 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (ro_Xindexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHroX:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend16:{ *:[i32] }:$extend), hsub:{ *:[i32] })
     /* 361643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHroX),
     /* 361650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 361665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 361670 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361692 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361697 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361702 */     // GIR_Coverage, 4364,
     /* 361702 */     GIR_EraseRootFromParent_Done,
     /* 361703 */   // Label 7196: @361703
     /* 361703 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(361824), // Rule ID 4246 //
     /* 361708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 361711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361722 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 361728 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 361730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361738 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361741 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361745 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 361752 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361756 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361760 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361762 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 361769 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 361769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 361776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 361791 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361813 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361818 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361823 */     // GIR_Coverage, 4246,
     /* 361823 */     GIR_EraseRootFromParent_Done,
     /* 361824 */   // Label 7197: @361824
     /* 361824 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(361945), // Rule ID 4247 //
     /* 361829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 361832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361843 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 361849 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 361851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361859 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361862 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361866 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 361873 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361877 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361881 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361883 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 361890 */     // (vector_insert:{ *:[nxv8i16] } immAllZerosV:{ *:[nxv8i16] }, (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 361890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 361893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 361897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 361902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 361907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 361912 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 361918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 361920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 361923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 361925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 361928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 361931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 361934 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361939 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 361944 */     // GIR_Coverage, 4247,
     /* 361944 */     GIR_EraseRootFromParent_Done,
     /* 361945 */   // Label 7198: @361945
     /* 361945 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(362059), // Rule ID 4354 //
     /* 361950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 361953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 361956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 361960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 361964 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 361970 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 361972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 361976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 361980 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 361983 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 361987 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 361991 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 361995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 361997 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 362004 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 362004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 362007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 362011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 362021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 362026 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 362032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 362037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 362048 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362053 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362058 */     // GIR_Coverage, 4354,
     /* 362058 */     GIR_EraseRootFromParent_Done,
     /* 362059 */   // Label 7199: @362059
     /* 362059 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(362173), // Rule ID 4355 //
     /* 362064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 362067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362078 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 362084 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 362086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 362090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 362094 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 362097 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 362101 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 362105 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 362109 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362111 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 362118 */     // (vector_insert:{ *:[nxv8f16] } immAllZerosV:{ *:[nxv8f16] }, (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 362118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 362121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 362125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 362135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 362140 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 362146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 362151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 362162 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362167 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362172 */     // GIR_Coverage, 4355,
     /* 362172 */     GIR_EraseRootFromParent_Done,
     /* 362173 */   // Label 7200: @362173
     /* 362173 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(362290), // Rule ID 4250 //
     /* 362178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 362181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 362196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 362200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 362204 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 362207 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 362211 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 362218 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 362222 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 362226 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362228 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 362235 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 362235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 362238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 362242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 362252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 362257 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 362263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 362268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 362279 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362284 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362289 */     // GIR_Coverage, 4250,
     /* 362289 */     GIR_EraseRootFromParent_Done,
     /* 362290 */   // Label 7201: @362290
     /* 362290 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(362407), // Rule ID 4252 //
     /* 362295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 362298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 362313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 362317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 362321 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 362324 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 362328 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 362335 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 362339 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 362343 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362345 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 362352 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (ld:{ *:[i32] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 362352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 362355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 362359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 362369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 362374 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 362380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 362385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 362396 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362401 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362406 */     // GIR_Coverage, 4252,
     /* 362406 */     GIR_EraseRootFromParent_Done,
     /* 362407 */   // Label 7202: @362407
     /* 362407 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(362517), // Rule ID 4358 //
     /* 362412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 362415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 362430 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 362434 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 362438 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 362441 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 362445 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 362449 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 362453 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362455 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed16),
     /* 362462 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (am_indexed16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDRHui:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, uimm12s2:{ *:[i64] }:$offset), hsub:{ *:[i32] })
     /* 362462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 362465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRHui),
     /* 362469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 362479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 362484 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 362490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 362495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 362506 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362511 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362516 */     // GIR_Coverage, 4358,
     /* 362516 */     GIR_EraseRootFromParent_Done,
     /* 362517 */   // Label 7203: @362517
     /* 362517 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(362627), // Rule ID 4360 //
     /* 362522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 362525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 362540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 362544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 362548 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 362551 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 362555 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 362559 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 362563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 362565 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled16),
     /* 362572 */     // (vector_insert:{ *:[nxv8f16] } (undef:{ *:[nxv8f16] }), (ld:{ *:[f16] } (am_unscaled16:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i64] }, (LDURHi:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), hsub:{ *:[i32] })
     /* 362572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 362575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURHi),
     /* 362579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 362589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 362594 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 362600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 362605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 362607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 362610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 362616 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362621 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362626 */     // GIR_Coverage, 4360,
     /* 362626 */     GIR_EraseRootFromParent_Done,
     /* 362627 */   // Label 7204: @362627
     /* 362627 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(362701), // Rule ID 11222 //
     /* 362632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 362638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 362649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 362653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 362657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 362661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 362665 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 362669 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 362673 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 362677 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 362681 */     // MIs[3] Operand 1
     /* 362681 */     // No operand predicates
     /* 362681 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 362685 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 362687 */     // (vector_insert:{ *:[nxv8i16] } (undef:{ *:[nxv8i16] }), (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$Idx), 0:{ *:[i64] })  =>  (DUP_ZZI_H:{ *:[nxv8i16] } ZPR:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$Idx)
     /* 362687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 362690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 362692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // vec
     /* 362696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Idx
     /* 362699 */     GIR_RootConstrainSelectedInstOperands,
     /* 362700 */     // GIR_Coverage, 11222,
     /* 362700 */     GIR_EraseRootFromParent_Done,
     /* 362701 */   // Label 7205: @362701
     /* 362701 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(362849), // Rule ID 11165 //
     /* 362706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 362712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 362723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 362727 */     // (vector_insert:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$vec, GPR32:{ *:[i32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_H:{ *:[nxv8i16] } ZPR:{ *:[nxv8i16] }:$vec, (CMPEQ_PPzZZ_H:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_H:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_H:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), GPR32:{ *:[i32] }:$src)
     /* 362727 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 362730 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 362734 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362739 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 362745 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 362750 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 362755 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 362758 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_H),
     /* 362762 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362767 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 362770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 362772 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 362775 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_H),
     /* 362779 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362784 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 362787 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 362790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 362792 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 362795 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 362799 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362804 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 362807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 362809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 362812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_H),
     /* 362816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362821 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 362824 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 362827 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 362830 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 362833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_H),
     /* 362838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 362840 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 362842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362845 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 362847 */     GIR_RootConstrainSelectedInstOperands,
     /* 362848 */     // GIR_Coverage, 11165,
     /* 362848 */     GIR_EraseRootFromParent_Done,
     /* 362849 */   // Label 7206: @362849
     /* 362849 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(362997), // Rule ID 11170 //
     /* 362854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 362857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 362860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 362863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 362867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 362871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 362875 */     // (vector_insert:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$vec, FPR16:{ *:[f16] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmV_H:{ *:[nxv8f16] } ZPR:{ *:[nxv8f16] }:$vec, (CMPEQ_PPzZZ_H:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_H:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_H:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_H:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), ?:{ *:[f16] }:$src)
     /* 362875 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 362878 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 362882 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362887 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 362893 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 362898 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 362903 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 362906 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_H),
     /* 362910 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362915 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 362918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 362920 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 362923 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_H),
     /* 362927 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362932 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 362935 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 362938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 362940 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 362943 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_H),
     /* 362947 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362952 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 362955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 362957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 362960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_H),
     /* 362964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 362969 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 362972 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 362975 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 362978 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 362981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 362983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmV_H),
     /* 362986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 362988 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 362990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 362993 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 362995 */     GIR_RootConstrainSelectedInstOperands,
     /* 362996 */     // GIR_Coverage, 11170,
     /* 362996 */     GIR_EraseRootFromParent_Done,
     /* 362997 */   // Label 7207: @362997
     /* 362997 */   GIM_Reject,
     /* 362998 */ // Label 7188: @362998
     /* 362998 */ GIM_Reject,
     /* 362999 */ // Label 6937: @362999
     /* 362999 */ GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(364112),
     /* 363004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 363007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 363010 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 363013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363017 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(363133), // Rule ID 4212 //
     /* 363022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363026 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 363032 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 363034 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363038 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363042 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363045 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363049 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363056 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363060 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363064 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363066 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 363073 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 363073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 363080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 363095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 363100 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363122 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363127 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363132 */     // GIR_Coverage, 4212,
     /* 363132 */     GIR_EraseRootFromParent_Done,
     /* 363133 */   // Label 7209: @363133
     /* 363133 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(363249), // Rule ID 4213 //
     /* 363138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363142 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 363148 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 363150 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363154 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363158 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363161 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363165 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363172 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363176 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363180 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363182 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 363189 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 363189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 363196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 363211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 363216 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363238 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363243 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363248 */     // GIR_Coverage, 4213,
     /* 363248 */     GIR_EraseRootFromParent_Done,
     /* 363249 */   // Label 7210: @363249
     /* 363249 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(363361), // Rule ID 4218 //
     /* 363254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 363262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363270 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363273 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363277 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363284 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363288 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363294 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed8),
     /* 363301 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (ro_Windexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroW:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 363301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroW),
     /* 363308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 363323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 363328 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363350 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363355 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363360 */     // GIR_Coverage, 4218,
     /* 363360 */     GIR_EraseRootFromParent_Done,
     /* 363361 */   // Label 7211: @363361
     /* 363361 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(363473), // Rule ID 4220 //
     /* 363366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 363374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363382 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363385 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363389 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363396 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363400 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363406 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed8),
     /* 363413 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (ro_Xindexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBroX:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend8:{ *:[i32] }:$extend), bsub:{ *:[i32] })
     /* 363413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBroX),
     /* 363420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 363435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 363440 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363462 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363467 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363472 */     // GIR_Coverage, 4220,
     /* 363472 */     GIR_EraseRootFromParent_Done,
     /* 363473 */   // Label 7212: @363473
     /* 363473 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(363584), // Rule ID 4210 //
     /* 363478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363482 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 363488 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 363490 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363494 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363498 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363501 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363505 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363512 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363516 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363522 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 363529 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 363529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 363536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 363551 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363573 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363578 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363583 */     // GIR_Coverage, 4210,
     /* 363583 */     GIR_EraseRootFromParent_Done,
     /* 363584 */   // Label 7213: @363584
     /* 363584 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(363695), // Rule ID 4211 //
     /* 363589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363593 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 363599 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 363601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363609 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363612 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363616 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363623 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363627 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363631 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363633 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 363640 */     // (vector_insert:{ *:[nxv16i8] } immAllZerosV:{ *:[nxv16i8] }, (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 363640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 363647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 363662 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363684 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363689 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363694 */     // GIR_Coverage, 4211,
     /* 363694 */     GIR_EraseRootFromParent_Done,
     /* 363695 */   // Label 7214: @363695
     /* 363695 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(363802), // Rule ID 4214 //
     /* 363700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 363708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363716 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363719 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363723 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363730 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363734 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363738 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363740 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 363747 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDRBui:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, uimm12s1:{ *:[i64] }:$offset), bsub:{ *:[i32] })
     /* 363747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDRBui),
     /* 363754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 363769 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363791 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363796 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363801 */     // GIR_Coverage, 4214,
     /* 363801 */     GIR_EraseRootFromParent_Done,
     /* 363802 */   // Label 7215: @363802
     /* 363802 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(363909), // Rule ID 4216 //
     /* 363807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 363815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 363823 */     GIM_CheckAtomicOrdering, /*MI*/2, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 363826 */     GIM_CheckMemorySizeLessThanLLT, /*MI*/2, /*MMO*/0, /*OpIdx*/0,
     /* 363830 */     GIM_CheckMemorySizeEqualTo, /*MI*/2, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 363837 */     GIM_CheckPointerToAny, /*MI*/2, /*Op*/1, /*SizeInBits*/0,
     /* 363841 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 363847 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled8),
     /* 363854 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (ld:{ *:[i32] } (am_unscaled8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i64] }, (LDURBi:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset), bsub:{ *:[i32] })
     /* 363854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s8,
     /* 363857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::LDURBi),
     /* 363861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 363866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 363871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 363876 */     GIR_MergeMemOperands, /*InsnID*/1, /*NumInsns*/3, /*MergeInsnID's*/0, 1, 2,
     /* 363882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 363884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 363887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 363889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 363892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 363895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 363898 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 363903 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 363908 */     // GIR_Coverage, 4216,
     /* 363908 */     GIR_EraseRootFromParent_Done,
     /* 363909 */   // Label 7216: @363909
     /* 363909 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(363973), // Rule ID 11220 //
     /* 363914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 363917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 363921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /* 363925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 363929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 363933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 363937 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 363941 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 363945 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 363949 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_b),
     /* 363953 */     // MIs[3] Operand 1
     /* 363953 */     // No operand predicates
     /* 363953 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 363957 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 363959 */     // (vector_insert:{ *:[nxv16i8] } (undef:{ *:[nxv16i8] }), (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$Idx), 0:{ *:[i64] })  =>  (DUP_ZZI_B:{ *:[nxv16i8] } ZPR:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$Idx)
     /* 363959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_B),
     /* 363962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 363964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // vec
     /* 363968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // Idx
     /* 363971 */     GIR_RootConstrainSelectedInstOperands,
     /* 363972 */     // GIR_Coverage, 11220,
     /* 363972 */     GIR_EraseRootFromParent_Done,
     /* 363973 */   // Label 7217: @363973
     /* 363973 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(364111), // Rule ID 11164 //
     /* 363978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 363981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 363985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 363989 */     // (vector_insert:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$vec, GPR32:{ *:[i32] }:$src, GPR64:{ *:[i64] }:$index)  =>  (CPY_ZPmR_B:{ *:[nxv16i8] } ZPR:{ *:[nxv16i8] }:$vec, (CMPEQ_PPzZZ_B:{ *:[nxv1i1] }:{ *:[i32] } (PTRUE_B:{ *:[nxv1i1] } 31:{ *:[i32] }), (INDEX_II_B:{ *:[nxv16i8] } 0:{ *:[i32] }, 1:{ *:[i32] }), (DUP_ZR_B:{ *:[nxv16i8] } (EXTRACT_SUBREG:{ *:[i32] } GPR64:{ *:[i64] }:$index, sub_32:{ *:[i32] }))), GPR32:{ *:[i32] }:$src)
     /* 363989 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_s32,
     /* 363992 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 363996 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364001 */     GIR_CopySubReg, /*NewInsnID*/5, /*OldInsnID*/0, /*OpIdx*/3, /*SubRegIdx*/GIMT_Encode2(20), // index
     /* 364007 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/0, GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 364012 */     GIR_ConstrainOperandRC, /*InsnID*/5, /*Op*/1, GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 364017 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_nxv16s8,
     /* 364020 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_B),
     /* 364024 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364029 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 364032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 364034 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_nxv16s8,
     /* 364037 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::INDEX_II_B),
     /* 364041 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364046 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/0,
     /* 364049 */     GIR_AddImm8, /*InsnID*/3, /*Imm*/1,
     /* 364052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 364054 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv1s1,
     /* 364057 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::PTRUE_B),
     /* 364061 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364066 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/31,
     /* 364069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 364071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 364074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::CMPEQ_PPzZZ_B),
     /* 364078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364083 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 364086 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 364089 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/3,
     /* 364092 */     GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 364095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CPY_ZPmR_B),
     /* 364100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 364102 */     GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 364104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364107 */     GIR_RootToRootCopy, /*OpIdx*/2, // src
     /* 364109 */     GIR_RootConstrainSelectedInstOperands,
     /* 364110 */     // GIR_Coverage, 11164,
     /* 364110 */     GIR_EraseRootFromParent_Done,
     /* 364111 */   // Label 7218: @364111
     /* 364111 */   GIM_Reject,
     /* 364112 */ // Label 7208: @364112
     /* 364112 */ GIM_Reject,
     /* 364113 */ // Label 6938: @364113
     /* 364113 */ GIM_Reject,
     /* 364114 */ // Label 89: @364114
     /* 364114 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7222*/ GIMT_Encode4(367031),
     /* 364125 */ /*GILLT_s16*//*Label 7219*/ GIMT_Encode4(364137),
     /* 364129 */ /*GILLT_s32*//*Label 7220*/ GIMT_Encode4(364771),
     /* 364133 */ /*GILLT_s64*//*Label 7221*/ GIMT_Encode4(366364),
     /* 364137 */ // Label 7219: @364137
     /* 364137 */ GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(364181), // Rule ID 11213 //
     /* 364142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 364148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364155 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 364159 */   // (vector_extract:{ *:[f16] } nxv8f16:{ *:[nxv8f16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$Zs, hsub:{ *:[i32] })
     /* 364159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364164 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Zs
     /* 364170 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364175 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364180 */   // GIR_Coverage, 11213,
     /* 364180 */   GIR_EraseRootFromParent_Done,
     /* 364181 */ // Label 7223: @364181
     /* 364181 */ GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(364225), // Rule ID 11214 //
     /* 364186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 364192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364199 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 364203 */   // (vector_extract:{ *:[f16] } nxv4f16:{ *:[nxv4f16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } ZPR:{ *:[nxv4f16] }:$Zs, hsub:{ *:[i32] })
     /* 364203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364208 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Zs
     /* 364214 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364219 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364224 */   // GIR_Coverage, 11214,
     /* 364224 */   GIR_EraseRootFromParent_Done,
     /* 364225 */ // Label 7224: @364225
     /* 364225 */ GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(364269), // Rule ID 11215 //
     /* 364230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 364236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364243 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 364247 */   // (vector_extract:{ *:[f16] } nxv2f16:{ *:[nxv2f16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } ZPR:{ *:[nxv2f16] }:$Zs, hsub:{ *:[i32] })
     /* 364247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364252 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Zs
     /* 364258 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364263 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364268 */   // GIR_Coverage, 11215,
     /* 364268 */   GIR_EraseRootFromParent_Done,
     /* 364269 */ // Label 7225: @364269
     /* 364269 */ GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(364314), // Rule ID 5777 //
     /* 364274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364288 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 364292 */   // (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] })
     /* 364292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364297 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 364303 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364308 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364313 */   // GIR_Coverage, 5777,
     /* 364313 */   GIR_EraseRootFromParent_Done,
     /* 364314 */ // Label 7226: @364314
     /* 364314 */ GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(364359), // Rule ID 5780 //
     /* 364319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 364322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364333 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 364337 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364341 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 364345 */   // MIs[1] Operand 1
     /* 364345 */   // No operand predicates
     /* 364345 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 364347 */   // (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (DUPi16:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 364347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPi16),
     /* 364350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364352 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 364354 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 364357 */   GIR_RootConstrainSelectedInstOperands,
     /* 364358 */   // GIR_Coverage, 5780,
     /* 364358 */   GIR_EraseRootFromParent_Done,
     /* 364359 */ // Label 7227: @364359
     /* 364359 */ GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(364435), // Rule ID 11188 //
     /* 364364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 364370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364377 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 364381 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364385 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 364389 */   // MIs[1] Operand 1
     /* 364389 */   // No operand predicates
     /* 364389 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 364391 */   // (vector_extract:{ *:[f16] } nxv8f16:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f16] } (DUP_ZZI_H:{ *:[nxv16i8] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index), hsub:{ *:[i32] })
     /* 364391 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 364394 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 364398 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364403 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 364407 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 364410 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364417 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 364424 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364429 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364434 */   // GIR_Coverage, 11188,
     /* 364434 */   GIR_EraseRootFromParent_Done,
     /* 364435 */ // Label 7228: @364435
     /* 364435 */ GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(364511), // Rule ID 11189 //
     /* 364440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 364446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364453 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 364457 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364461 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 364465 */   // MIs[1] Operand 1
     /* 364465 */   // No operand predicates
     /* 364465 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 364467 */   // (vector_extract:{ *:[f16] } nxv4f16:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f16] } (DUP_ZZI_S:{ *:[nxv16i8] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index), hsub:{ *:[i32] })
     /* 364467 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 364470 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 364474 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364479 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 364483 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 364486 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364493 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 364500 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364505 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364510 */   // GIR_Coverage, 11189,
     /* 364510 */   GIR_EraseRootFromParent_Done,
     /* 364511 */ // Label 7229: @364511
     /* 364511 */ GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(364587), // Rule ID 11190 //
     /* 364516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 364522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364529 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 364533 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 364537 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 364541 */   // MIs[1] Operand 1
     /* 364541 */   // No operand predicates
     /* 364541 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 364543 */   // (vector_extract:{ *:[f16] } nxv2f16:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f16] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), hsub:{ *:[i32] })
     /* 364543 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 364546 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 364550 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364555 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 364559 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 364562 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364569 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::hsub),
     /* 364576 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364581 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364586 */   // GIR_Coverage, 11190,
     /* 364586 */   GIR_EraseRootFromParent_Done,
     /* 364587 */ // Label 7230: @364587
     /* 364587 */ GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(364648), // Rule ID 11178 //
     /* 364592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 364598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 364609 */   // (vector_extract:{ *:[f16] } nxv8f16:{ *:[nxv8f16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_H:{ *:[f16] } (WHILELS_PXX_H:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv8f16] }:$vec)
     /* 364609 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 364612 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_H),
     /* 364616 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364621 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 364627 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 364631 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 364634 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_H),
     /* 364639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 364641 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364644 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 364646 */   GIR_RootConstrainSelectedInstOperands,
     /* 364647 */   // GIR_Coverage, 11178,
     /* 364647 */   GIR_EraseRootFromParent_Done,
     /* 364648 */ // Label 7231: @364648
     /* 364648 */ GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(364709), // Rule ID 11179 //
     /* 364653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 364659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 364670 */   // (vector_extract:{ *:[f16] } nxv4f16:{ *:[nxv4f16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_H:{ *:[f16] } (WHILELS_PXX_S:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv4f16] }:$vec)
     /* 364670 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 364673 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 364677 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364682 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 364688 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 364692 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 364695 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_H),
     /* 364700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 364702 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364705 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 364707 */   GIR_RootConstrainSelectedInstOperands,
     /* 364708 */   // GIR_Coverage, 11179,
     /* 364708 */   GIR_EraseRootFromParent_Done,
     /* 364709 */ // Label 7232: @364709
     /* 364709 */ GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(364770), // Rule ID 11180 //
     /* 364714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 364720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 364727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 364731 */   // (vector_extract:{ *:[f16] } nxv2f16:{ *:[nxv2f16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_H:{ *:[f16] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2f16] }:$vec)
     /* 364731 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 364734 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 364738 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 364743 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 364749 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 364753 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 364756 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 364758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_H),
     /* 364761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 364763 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 364766 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 364768 */   GIR_RootConstrainSelectedInstOperands,
     /* 364769 */   // GIR_Coverage, 11180,
     /* 364769 */   GIR_EraseRootFromParent_Done,
     /* 364770 */ // Label 7233: @364770
     /* 364770 */ GIM_Reject,
     /* 364771 */ // Label 7220: @364771
     /* 364771 */ GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(364816), // Rule ID 6954 //
     /* 364776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 364779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 364786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364790 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 364794 */   // (extractelt:{ *:[i32] } V128:{ *:[v4i32] }:$V, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4i32] }:$V, ssub:{ *:[i32] })
     /* 364794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364799 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // V
     /* 364805 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 364810 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 364815 */   // GIR_Coverage, 6954,
     /* 364815 */   GIR_EraseRootFromParent_Done,
     /* 364816 */ // Label 7234: @364816
     /* 364816 */ GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(364861), // Rule ID 6955 //
     /* 364821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 364824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 364831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 364835 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 364839 */   // (extractelt:{ *:[i32] } V64:{ *:[v2i32] }:$V, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } V64:{ *:[v2i32] }:$V, ssub:{ *:[i32] })
     /* 364839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364844 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // V
     /* 364850 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 364855 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 364860 */   // GIR_Coverage, 6955,
     /* 364860 */   GIR_EraseRootFromParent_Done,
     /* 364861 */ // Label 7235: @364861
     /* 364861 */ GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(364905), // Rule ID 11209 //
     /* 364866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 364872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 364879 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 364883 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } ZPR:{ *:[nxv16i8] }:$Zs, ssub:{ *:[i32] })
     /* 364883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364888 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 364894 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 364899 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364904 */   // GIR_Coverage, 11209,
     /* 364904 */   GIR_EraseRootFromParent_Done,
     /* 364905 */ // Label 7236: @364905
     /* 364905 */ GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(364949), // Rule ID 11210 //
     /* 364910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 364916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 364923 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 364927 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } ZPR:{ *:[nxv8i16] }:$Zs, ssub:{ *:[i32] })
     /* 364927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364932 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 364938 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 364943 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364948 */   // GIR_Coverage, 11210,
     /* 364948 */   GIR_EraseRootFromParent_Done,
     /* 364949 */ // Label 7237: @364949
     /* 364949 */ GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(364993), // Rule ID 11211 //
     /* 364954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 364957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 364960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 364963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 364967 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 364971 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i32] } ZPR:{ *:[nxv4i32] }:$Zs, ssub:{ *:[i32] })
     /* 364971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 364974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 364976 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 364982 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 364987 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 364992 */   // GIR_Coverage, 11211,
     /* 364992 */   GIR_EraseRootFromParent_Done,
     /* 364993 */ // Label 7238: @364993
     /* 364993 */ GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(365037), // Rule ID 11216 //
     /* 364998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 365004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365011 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 365015 */   // (vector_extract:{ *:[f32] } nxv4f32:{ *:[nxv4f32] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f32] } ZPR:{ *:[nxv4f32] }:$Zs, ssub:{ *:[i32] })
     /* 365015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365020 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 365026 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365031 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365036 */   // GIR_Coverage, 11216,
     /* 365036 */   GIR_EraseRootFromParent_Done,
     /* 365037 */ // Label 7239: @365037
     /* 365037 */ GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(365081), // Rule ID 11217 //
     /* 365042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 365048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365055 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 365059 */   // (vector_extract:{ *:[f32] } nxv2f32:{ *:[nxv2f32] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f32] } ZPR:{ *:[nxv2f32] }:$Zs, ssub:{ *:[i32] })
     /* 365059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365064 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Zs
     /* 365070 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365075 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365080 */   // GIR_Coverage, 11217,
     /* 365080 */   GIR_EraseRootFromParent_Done,
     /* 365081 */ // Label 7240: @365081
     /* 365081 */ GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(365126), // Rule ID 5776 //
     /* 365086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 365089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365100 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 365104 */   // (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] })
     /* 365104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365109 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 365115 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365120 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365125 */   // GIR_Coverage, 5776,
     /* 365125 */   GIR_EraseRootFromParent_Done,
     /* 365126 */ // Label 7241: @365126
     /* 365126 */ GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(365199), // Rule ID 11194 //
     /* 365131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 365137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365144 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365148 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365152 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 365156 */   // MIs[1] Operand 1
     /* 365156 */   // No operand predicates
     /* 365156 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365158 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)  =>  (UMOVvi8:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v16i8] } ZPR:{ *:[nxv16i8] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$index)
     /* 365158 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 365161 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365165 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365170 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 365176 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365181 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /* 365189 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365191 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365194 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 365197 */   GIR_RootConstrainSelectedInstOperands,
     /* 365198 */   // GIR_Coverage, 11194,
     /* 365198 */   GIR_EraseRootFromParent_Done,
     /* 365199 */ // Label 7242: @365199
     /* 365199 */ GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(365272), // Rule ID 11195 //
     /* 365204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 365210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365217 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365221 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365225 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 365229 */   // MIs[1] Operand 1
     /* 365229 */   // No operand predicates
     /* 365229 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365231 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)  =>  (UMOVvi16:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v8i16] } ZPR:{ *:[nxv8i16] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$index)
     /* 365231 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 365234 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365238 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365243 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 365249 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365254 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /* 365262 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365264 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365267 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 365270 */   GIR_RootConstrainSelectedInstOperands,
     /* 365271 */   // GIR_Coverage, 11195,
     /* 365271 */   GIR_EraseRootFromParent_Done,
     /* 365272 */ // Label 7243: @365272
     /* 365272 */ GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(365345), // Rule ID 11196 //
     /* 365277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 365283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365290 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365294 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365298 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 365302 */   // MIs[1] Operand 1
     /* 365302 */   // No operand predicates
     /* 365302 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365304 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index)  =>  (UMOVvi32:{ *:[i32] } (EXTRACT_SUBREG:{ *:[v4i32] } ZPR:{ *:[nxv4i32] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$index)
     /* 365304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 365307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365316 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 365322 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365327 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365332 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi32),
     /* 365335 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365337 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 365340 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 365343 */   GIR_RootConstrainSelectedInstOperands,
     /* 365344 */   // GIR_Coverage, 11196,
     /* 365344 */   GIR_EraseRootFromParent_Done,
     /* 365345 */ // Label 7244: @365345
     /* 365345 */ GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(365393), // Rule ID 1926 //
     /* 365350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 365353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 365356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365367 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365371 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365375 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 365379 */   // MIs[1] Operand 1
     /* 365379 */   // No operand predicates
     /* 365379 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365381 */   // (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi8_idx0:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 365381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8_idx0),
     /* 365384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365386 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365388 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 365391 */   GIR_RootConstrainSelectedInstOperands,
     /* 365392 */   // GIR_Coverage, 1926,
     /* 365392 */   GIR_EraseRootFromParent_Done,
     /* 365393 */ // Label 7245: @365393
     /* 365393 */ GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(365441), // Rule ID 1927 //
     /* 365398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 365401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365415 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365419 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365423 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 365427 */   // MIs[1] Operand 1
     /* 365427 */   // No operand predicates
     /* 365427 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365429 */   // (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi16_idx0:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 365429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16_idx0),
     /* 365432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365434 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365436 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 365439 */   GIR_RootConstrainSelectedInstOperands,
     /* 365440 */   // GIR_Coverage, 1927,
     /* 365440 */   GIR_EraseRootFromParent_Done,
     /* 365441 */ // Label 7246: @365441
     /* 365441 */ GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(365489), // Rule ID 1928 //
     /* 365446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 365449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 365452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365463 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365467 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365471 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 365475 */   // MIs[1] Operand 1
     /* 365475 */   // No operand predicates
     /* 365475 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365477 */   // (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi32_idx0:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 365477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi32_idx0),
     /* 365480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365482 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365484 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 365487 */   GIR_RootConstrainSelectedInstOperands,
     /* 365488 */   // GIR_Coverage, 1928,
     /* 365488 */   GIR_EraseRootFromParent_Done,
     /* 365489 */ // Label 7247: @365489
     /* 365489 */ GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(365537), // Rule ID 1930 //
     /* 365494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 365500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365511 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365515 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365519 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 365523 */   // MIs[1] Operand 1
     /* 365523 */   // No operand predicates
     /* 365523 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365525 */   // (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (UMOVvi8:{ *:[i32] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 365525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi8),
     /* 365528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365530 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365532 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 365535 */   GIR_RootConstrainSelectedInstOperands,
     /* 365536 */   // GIR_Coverage, 1930,
     /* 365536 */   GIR_EraseRootFromParent_Done,
     /* 365537 */ // Label 7248: @365537
     /* 365537 */ GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(365585), // Rule ID 1931 //
     /* 365542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 365548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365559 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365563 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365567 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 365571 */   // MIs[1] Operand 1
     /* 365571 */   // No operand predicates
     /* 365571 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365573 */   // (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (UMOVvi16:{ *:[i32] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 365573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi16),
     /* 365576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365578 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365580 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 365583 */   GIR_RootConstrainSelectedInstOperands,
     /* 365584 */   // GIR_Coverage, 1931,
     /* 365584 */   GIR_EraseRootFromParent_Done,
     /* 365585 */ // Label 7249: @365585
     /* 365585 */ GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(365633), // Rule ID 1932 //
     /* 365590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 365593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 365596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 365603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365607 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365611 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365615 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 365619 */   // MIs[1] Operand 1
     /* 365619 */   // No operand predicates
     /* 365619 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365621 */   // (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (UMOVvi32:{ *:[i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 365621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi32),
     /* 365624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 365626 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365628 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 365631 */   GIR_RootConstrainSelectedInstOperands,
     /* 365632 */   // GIR_Coverage, 1932,
     /* 365632 */   GIR_EraseRootFromParent_Done,
     /* 365633 */ // Label 7250: @365633
     /* 365633 */ GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(365678), // Rule ID 5779 //
     /* 365638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 365641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 365652 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365656 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365660 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 365664 */   // MIs[1] Operand 1
     /* 365664 */   // No operand predicates
     /* 365664 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365666 */   // (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (DUPi32:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 365666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPi32),
     /* 365669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365671 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 365673 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 365676 */   GIR_RootConstrainSelectedInstOperands,
     /* 365677 */   // GIR_Coverage, 5779,
     /* 365677 */   GIR_EraseRootFromParent_Done,
     /* 365678 */ // Label 7251: @365678
     /* 365678 */ GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(365754), // Rule ID 11184 //
     /* 365683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 365689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365696 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365700 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365704 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_b),
     /* 365708 */   // MIs[1] Operand 1
     /* 365708 */   // No operand predicates
     /* 365708 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365710 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i32] } (DUP_ZZI_B:{ *:[nxv16i8] } ZPR:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index), ssub:{ *:[i32] })
     /* 365710 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 365713 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_B),
     /* 365717 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365722 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 365726 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 365729 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 365731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365736 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 365743 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365748 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365753 */   // GIR_Coverage, 11184,
     /* 365753 */   GIR_EraseRootFromParent_Done,
     /* 365754 */ // Label 7252: @365754
     /* 365754 */ GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(365830), // Rule ID 11185 //
     /* 365759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 365765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365772 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365776 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365780 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 365784 */   // MIs[1] Operand 1
     /* 365784 */   // No operand predicates
     /* 365784 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365786 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i32] } (DUP_ZZI_H:{ *:[nxv16i8] } ZPR:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index), ssub:{ *:[i32] })
     /* 365786 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 365789 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 365793 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365798 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 365802 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 365805 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 365807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365812 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 365819 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365824 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365829 */   // GIR_Coverage, 11185,
     /* 365829 */   GIR_EraseRootFromParent_Done,
     /* 365830 */ // Label 7253: @365830
     /* 365830 */ GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(365906), // Rule ID 11186 //
     /* 365835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 365841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365848 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365852 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365856 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 365860 */   // MIs[1] Operand 1
     /* 365860 */   // No operand predicates
     /* 365860 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365862 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i32] } (DUP_ZZI_S:{ *:[nxv16i8] } ZPR:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index), ssub:{ *:[i32] })
     /* 365862 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 365865 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 365869 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365874 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 365878 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 365881 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 365883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365888 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 365895 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365900 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365905 */   // GIR_Coverage, 11186,
     /* 365905 */   GIR_EraseRootFromParent_Done,
     /* 365906 */ // Label 7254: @365906
     /* 365906 */ GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(365982), // Rule ID 11191 //
     /* 365911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 365917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365924 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 365928 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 365932 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 365936 */   // MIs[1] Operand 1
     /* 365936 */   // No operand predicates
     /* 365936 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 365938 */   // (vector_extract:{ *:[f32] } nxv4f32:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f32] } (DUP_ZZI_S:{ *:[nxv16i8] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index), ssub:{ *:[i32] })
     /* 365938 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 365941 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 365945 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 365950 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 365954 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 365957 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 365959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 365962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 365964 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 365971 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 365976 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 365981 */   // GIR_Coverage, 11191,
     /* 365981 */   GIR_EraseRootFromParent_Done,
     /* 365982 */ // Label 7255: @365982
     /* 365982 */ GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(366058), // Rule ID 11192 //
     /* 365987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 365990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 365993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 365996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366000 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366004 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366008 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 366012 */   // MIs[1] Operand 1
     /* 366012 */   // No operand predicates
     /* 366012 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366014 */   // (vector_extract:{ *:[f32] } nxv2f32:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f32] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), ssub:{ *:[i32] })
     /* 366014 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 366017 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 366021 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366026 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 366030 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 366033 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366040 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 366047 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366052 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 366057 */   // GIR_Coverage, 11192,
     /* 366057 */   GIR_EraseRootFromParent_Done,
     /* 366058 */ // Label 7256: @366058
     /* 366058 */ GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(366119), // Rule ID 11174 //
     /* 366063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 366069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366076 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366080 */   // (vector_extract:{ *:[i32] } nxv16i8:{ *:[nxv16i8] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_B:{ *:[i32] } (WHILELS_PXX_B:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv16i8] }:$vec)
     /* 366080 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 366083 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_B),
     /* 366087 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366092 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 366098 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 366102 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 366105 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_B),
     /* 366110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366112 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366115 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 366117 */   GIR_RootConstrainSelectedInstOperands,
     /* 366118 */   // GIR_Coverage, 11174,
     /* 366118 */   GIR_EraseRootFromParent_Done,
     /* 366119 */ // Label 7257: @366119
     /* 366119 */ GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(366180), // Rule ID 11175 //
     /* 366124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 366130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366137 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366141 */   // (vector_extract:{ *:[i32] } nxv8i16:{ *:[nxv8i16] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_H:{ *:[i32] } (WHILELS_PXX_H:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv8i16] }:$vec)
     /* 366141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 366144 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_H),
     /* 366148 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366153 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 366159 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 366163 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 366166 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_H),
     /* 366171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366173 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366176 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 366178 */   GIR_RootConstrainSelectedInstOperands,
     /* 366179 */   // GIR_Coverage, 11175,
     /* 366179 */   GIR_EraseRootFromParent_Done,
     /* 366180 */ // Label 7258: @366180
     /* 366180 */ GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(366241), // Rule ID 11176 //
     /* 366185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 366191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 366198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366202 */   // (vector_extract:{ *:[i32] } nxv4i32:{ *:[nxv4i32] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_S:{ *:[i32] } (WHILELS_PXX_S:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv4i32] }:$vec)
     /* 366202 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 366205 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 366209 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366214 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 366220 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 366224 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 366227 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_S),
     /* 366232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366234 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366237 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 366239 */   GIR_RootConstrainSelectedInstOperands,
     /* 366240 */   // GIR_Coverage, 11176,
     /* 366240 */   GIR_EraseRootFromParent_Done,
     /* 366241 */ // Label 7259: @366241
     /* 366241 */ GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(366302), // Rule ID 11181 //
     /* 366246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 366252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366263 */   // (vector_extract:{ *:[f32] } nxv4f32:{ *:[nxv4f32] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_S:{ *:[f32] } (WHILELS_PXX_S:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv4f32] }:$vec)
     /* 366263 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 366266 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_S),
     /* 366270 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366275 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 366281 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 366285 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 366288 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_S),
     /* 366293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 366295 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366298 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 366300 */   GIR_RootConstrainSelectedInstOperands,
     /* 366301 */   // GIR_Coverage, 11181,
     /* 366301 */   GIR_EraseRootFromParent_Done,
     /* 366302 */ // Label 7260: @366302
     /* 366302 */ GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(366363), // Rule ID 11182 //
     /* 366307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 366313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 366320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366324 */   // (vector_extract:{ *:[f32] } nxv2f32:{ *:[nxv2f32] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_S:{ *:[f32] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2f32] }:$vec)
     /* 366324 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 366327 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 366331 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366336 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 366342 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 366346 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 366349 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_S),
     /* 366354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 366356 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366359 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 366361 */   GIR_RootConstrainSelectedInstOperands,
     /* 366362 */   // GIR_Coverage, 11182,
     /* 366362 */   GIR_EraseRootFromParent_Done,
     /* 366363 */ // Label 7261: @366363
     /* 366363 */ GIM_Reject,
     /* 366364 */ // Label 7221: @366364
     /* 366364 */ GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(366409), // Rule ID 6953 //
     /* 366369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 366372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366383 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 366387 */   // (extractelt:{ *:[i64] } V128:{ *:[v2i64] }:$V, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2i64] }:$V, dsub:{ *:[i32] })
     /* 366387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366392 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // V
     /* 366398 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366403 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366408 */   // GIR_Coverage, 6953,
     /* 366408 */   GIR_EraseRootFromParent_Done,
     /* 366409 */ // Label 7262: @366409
     /* 366409 */ GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(366453), // Rule ID 11212 //
     /* 366414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 366420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366427 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 366431 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[i64] } ZPR:{ *:[nxv2i64] }:$Zs, dsub:{ *:[i32] })
     /* 366431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366434 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366436 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Zs
     /* 366442 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366447 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 366452 */   // GIR_Coverage, 11212,
     /* 366452 */   GIR_EraseRootFromParent_Done,
     /* 366453 */ // Label 7263: @366453
     /* 366453 */ GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(366497), // Rule ID 11218 //
     /* 366458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 366464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366471 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 366475 */   // (vector_extract:{ *:[f64] } nxv2f64:{ *:[nxv2f64] }:$Zs, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f64] } ZPR:{ *:[nxv2f64] }:$Zs, dsub:{ *:[i32] })
     /* 366475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366480 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Zs
     /* 366486 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366491 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 366496 */   // GIR_Coverage, 11218,
     /* 366496 */   GIR_EraseRootFromParent_Done,
     /* 366497 */ // Label 7264: @366497
     /* 366497 */ GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(366542), // Rule ID 5775 //
     /* 366502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 366505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366516 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 366520 */   // (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })  =>  (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] })
     /* 366520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366525 */   GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 366531 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366536 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366541 */   // GIR_Coverage, 5775,
     /* 366541 */   GIR_EraseRootFromParent_Done,
     /* 366542 */ // Label 7265: @366542
     /* 366542 */ GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(366615), // Rule ID 11197 //
     /* 366547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 366550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 366553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366560 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366564 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366568 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 366572 */   // MIs[1] Operand 1
     /* 366572 */   // No operand predicates
     /* 366572 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366574 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$index)  =>  (UMOVvi64:{ *:[i64] } (EXTRACT_SUBREG:{ *:[v2i64] } ZPR:{ *:[nxv2i64] }:$vec, zsub:{ *:[i32] }), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$index)
     /* 366574 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 366577 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366581 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366586 */   GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(43), // vec
     /* 366592 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366597 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 366602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi64),
     /* 366605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366607 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366610 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // index
     /* 366613 */   GIR_RootConstrainSelectedInstOperands,
     /* 366614 */   // GIR_Coverage, 11197,
     /* 366614 */   GIR_EraseRootFromParent_Done,
     /* 366615 */ // Label 7266: @366615
     /* 366615 */ GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(366663), // Rule ID 1929 //
     /* 366620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 366623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 366626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366637 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366641 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366645 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndex0),
     /* 366649 */   // MIs[1] Operand 1
     /* 366649 */   // No operand predicates
     /* 366649 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366651 */   // (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndex0>>:$idx)  =>  (UMOVvi64_idx0:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 366651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi64_idx0),
     /* 366654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366656 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 366658 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 366661 */   GIR_RootConstrainSelectedInstOperands,
     /* 366662 */   // GIR_Coverage, 1929,
     /* 366662 */   GIR_EraseRootFromParent_Done,
     /* 366663 */ // Label 7267: @366663
     /* 366663 */ GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(366711), // Rule ID 1933 //
     /* 366668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 366671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 366674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366685 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366689 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366693 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 366697 */   // MIs[1] Operand 1
     /* 366697 */   // No operand predicates
     /* 366697 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366699 */   // (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (UMOVvi64:{ *:[i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 366699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMOVvi64),
     /* 366702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366704 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 366706 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 366709 */   GIR_RootConstrainSelectedInstOperands,
     /* 366710 */   // GIR_Coverage, 1933,
     /* 366710 */   GIR_EraseRootFromParent_Done,
     /* 366711 */ // Label 7268: @366711
     /* 366711 */ GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(366756), // Rule ID 5778 //
     /* 366716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 366719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 366730 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366734 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366738 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 366742 */   // MIs[1] Operand 1
     /* 366742 */   // No operand predicates
     /* 366742 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366744 */   // (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (DUPi64:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 366744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPi64),
     /* 366747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366749 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 366751 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 366754 */   GIR_RootConstrainSelectedInstOperands,
     /* 366755 */   // GIR_Coverage, 5778,
     /* 366755 */   GIR_EraseRootFromParent_Done,
     /* 366756 */ // Label 7269: @366756
     /* 366756 */ GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(366832), // Rule ID 11187 //
     /* 366761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 366767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366774 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366778 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366782 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 366786 */   // MIs[1] Operand 1
     /* 366786 */   // No operand predicates
     /* 366786 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366788 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[i64] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), dsub:{ *:[i32] })
     /* 366788 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 366791 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 366795 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366800 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 366804 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 366807 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366814 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 366821 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366826 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 366831 */   // GIR_Coverage, 11187,
     /* 366831 */   GIR_EraseRootFromParent_Done,
     /* 366832 */ // Label 7270: @366832
     /* 366832 */ GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(366908), // Rule ID 11193 //
     /* 366837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 366843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366850 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 366854 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 366858 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 366862 */   // MIs[1] Operand 1
     /* 366862 */   // No operand predicates
     /* 366862 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 366864 */   // (vector_extract:{ *:[f64] } nxv2f64:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)  =>  (EXTRACT_SUBREG:{ *:[f64] } (DUP_ZZI_D:{ *:[nxv16i8] } ZPR:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index), dsub:{ *:[i32] })
     /* 366864 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 366867 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 366871 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366876 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // vec
     /* 366880 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // index
     /* 366883 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 366888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 366890 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 366897 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366902 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 366907 */   // GIR_Coverage, 11193,
     /* 366907 */   GIR_EraseRootFromParent_Done,
     /* 366908 */ // Label 7271: @366908
     /* 366908 */ GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(366969), // Rule ID 11177 //
     /* 366913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 366919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366926 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366930 */   // (vector_extract:{ *:[i64] } nxv2i64:{ *:[nxv2i64] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_RPZ_D:{ *:[i64] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2i64] }:$vec)
     /* 366930 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 366933 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 366937 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 366942 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 366948 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 366952 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 366955 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 366957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_RPZ_D),
     /* 366960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 366962 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 366965 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 366967 */   GIR_RootConstrainSelectedInstOperands,
     /* 366968 */   // GIR_Coverage, 11177,
     /* 366968 */   GIR_EraseRootFromParent_Done,
     /* 366969 */ // Label 7272: @366969
     /* 366969 */ GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(367030), // Rule ID 11183 //
     /* 366974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 366977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 366980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 366983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 366987 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 366991 */   // (vector_extract:{ *:[f64] } nxv2f64:{ *:[nxv2f64] }:$vec, GPR64:{ *:[i64] }:$index)  =>  (LASTB_VPZ_D:{ *:[f64] } (WHILELS_PXX_D:{ *:[nxv1i1] }:{ *:[i32] } XZR:{ *:[i64] }, GPR64:{ *:[i64] }:$index), ZPR:{ *:[nxv2f64] }:$vec)
     /* 366991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /* 366994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::WHILELS_PXX_D),
     /* 366998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367003 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(AArch64::XZR), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 367009 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // index
     /* 367013 */   GIR_SetImplicitDefDead, /*InsnID*/1, /*OpIdx for AArch64::NZCV*/0,
     /* 367016 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 367018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LASTB_VPZ_D),
     /* 367021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vd]
     /* 367023 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367026 */   GIR_RootToRootCopy, /*OpIdx*/1, // vec
     /* 367028 */   GIR_RootConstrainSelectedInstOperands,
     /* 367029 */   // GIR_Coverage, 11183,
     /* 367029 */   GIR_EraseRootFromParent_Done,
     /* 367030 */ // Label 7273: @367030
     /* 367030 */ GIM_Reject,
     /* 367031 */ // Label 7222: @367031
     /* 367031 */ GIM_Reject,
     /* 367032 */ // Label 90: @367032
     /* 367032 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(14), GIMT_Encode2(24), /*)*//*default:*//*Label 7281*/ GIMT_Encode4(369351),
     /* 367043 */ /*GILLT_nxv2s16*//*Label 7274*/ GIMT_Encode4(367083),
     /* 367047 */ /*GILLT_nxv2s32*//*Label 7275*/ GIMT_Encode4(367442),
     /* 367051 */ /*GILLT_nxv2s64*//*Label 7276*/ GIMT_Encode4(367744), GIMT_Encode4(0),
     /* 367059 */ /*GILLT_nxv4s16*//*Label 7277*/ GIMT_Encode4(368119),
     /* 367063 */ /*GILLT_nxv4s32*//*Label 7278*/ GIMT_Encode4(368421), GIMT_Encode4(0),
     /* 367071 */ /*GILLT_nxv8s16*//*Label 7279*/ GIMT_Encode4(368796), GIMT_Encode4(0),
     /* 367079 */ /*GILLT_nxv16s8*//*Label 7280*/ GIMT_Encode4(369207),
     /* 367083 */ // Label 7274: @367083
     /* 367083 */ GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(367441),
     /* 367088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 367091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367095 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(367159), // Rule ID 6009 //
     /* 367100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 367111 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 367115 */     // MIs[1] Operand 1
     /* 367115 */     // No operand predicates
     /* 367115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 367117 */     // (splat_vector:{ *:[nxv2f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv2f16] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 367117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 367120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 367124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367129 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 367132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 367134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 367137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 367148 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367153 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367158 */     // GIR_Coverage, 6009,
     /* 367158 */     GIR_EraseRootFromParent_Done,
     /* 367159 */   // Label 7283: @367159
     /* 367159 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(367216), // Rule ID 2675 //
     /* 367164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 367179 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367188 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 367192 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367196 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 367200 */     // MIs[2] Operand 1
     /* 367200 */     // No operand predicates
     /* 367200 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367202 */     // (splat_vector:{ *:[nxv2f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv2f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 367202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 367205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 367211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 367214 */     GIR_RootConstrainSelectedInstOperands,
     /* 367215 */     // GIR_Coverage, 2675,
     /* 367215 */     GIR_EraseRootFromParent_Done,
     /* 367216 */   // Label 7284: @367216
     /* 367216 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(367273), // Rule ID 2677 //
     /* 367221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 367236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 367249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367253 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 367257 */     // MIs[2] Operand 1
     /* 367257 */     // No operand predicates
     /* 367257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367259 */     // (splat_vector:{ *:[nxv2f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2f16] } ZPR:{ *:[nxv2f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 367259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 367262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 367268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 367271 */     GIR_RootConstrainSelectedInstOperands,
     /* 367272 */     // GIR_Coverage, 2677,
     /* 367272 */     GIR_EraseRootFromParent_Done,
     /* 367273 */   // Label 7285: @367273
     /* 367273 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(367330), // Rule ID 8317 //
     /* 367278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 367293 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 367306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367310 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 367314 */     // MIs[2] Operand 1
     /* 367314 */     // No operand predicates
     /* 367314 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367316 */     // (splat_vector:{ *:[nxv2f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv2f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 367316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 367319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 367325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 367328 */     GIR_RootConstrainSelectedInstOperands,
     /* 367329 */     // GIR_Coverage, 8317,
     /* 367329 */     GIR_EraseRootFromParent_Done,
     /* 367330 */   // Label 7286: @367330
     /* 367330 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(367364), // Rule ID 8360 //
     /* 367335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 367346 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 367350 */     // MIs[1] Operand 1
     /* 367350 */     // No operand predicates
     /* 367350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 367352 */     // (splat_vector:{ *:[nxv2f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8)  =>  (FDUP_ZI_H:{ *:[nxv2f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 367352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_H),
     /* 367355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367357 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 367362 */     GIR_RootConstrainSelectedInstOperands,
     /* 367363 */     // GIR_Coverage, 8360,
     /* 367363 */     GIR_EraseRootFromParent_Done,
     /* 367364 */   // Label 7287: @367364
     /* 367364 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(367440), // Rule ID 8338 //
     /* 367369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 367376 */     // (splat_vector:{ *:[nxv2f16] } FPR16:{ *:[f16] }:$src)  =>  (DUP_ZZI_H:{ *:[nxv2f16] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR16:{ *:[f16] }:$src, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 367376 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 367379 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 367383 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 367390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 367393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 367397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367402 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 367405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 367409 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 367412 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367417 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367422 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 367427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 367430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367438 */     GIR_RootConstrainSelectedInstOperands,
     /* 367439 */     // GIR_Coverage, 8338,
     /* 367439 */     GIR_EraseRootFromParent_Done,
     /* 367440 */   // Label 7288: @367440
     /* 367440 */   GIM_Reject,
     /* 367441 */ // Label 7282: @367441
     /* 367441 */ GIM_Reject,
     /* 367442 */ // Label 7275: @367442
     /* 367442 */ GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(367743),
     /* 367447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 367450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367454 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(367518), // Rule ID 6007 //
     /* 367459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 367470 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 367474 */     // MIs[1] Operand 1
     /* 367474 */     // No operand predicates
     /* 367474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 367476 */     // (splat_vector:{ *:[nxv2f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv2f32] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 367476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 367479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 367483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367488 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 367491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 367493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 367496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 367507 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367512 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367517 */     // GIR_Coverage, 6007,
     /* 367517 */     GIR_EraseRootFromParent_Done,
     /* 367518 */   // Label 7290: @367518
     /* 367518 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(367575), // Rule ID 8326 //
     /* 367523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 367538 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 367551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367555 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 367559 */     // MIs[2] Operand 1
     /* 367559 */     // No operand predicates
     /* 367559 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367561 */     // (splat_vector:{ *:[nxv2f32] } (vector_extract:{ *:[f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv2f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 367561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 367564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 367570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 367573 */     GIR_RootConstrainSelectedInstOperands,
     /* 367574 */     // GIR_Coverage, 8326,
     /* 367574 */     GIR_EraseRootFromParent_Done,
     /* 367575 */   // Label 7291: @367575
     /* 367575 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(367632), // Rule ID 8335 //
     /* 367580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 367595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 367608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367612 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 367616 */     // MIs[2] Operand 1
     /* 367616 */     // No operand predicates
     /* 367616 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367618 */     // (splat_vector:{ *:[nxv2f32] } (vector_extract:{ *:[f32] } ZPR:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2f32] } ZPR:{ *:[nxv2f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 367618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 367621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 367627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 367630 */     GIR_RootConstrainSelectedInstOperands,
     /* 367631 */     // GIR_Coverage, 8335,
     /* 367631 */     GIR_EraseRootFromParent_Done,
     /* 367632 */   // Label 7292: @367632
     /* 367632 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(367666), // Rule ID 8362 //
     /* 367637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 367648 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 367652 */     // MIs[1] Operand 1
     /* 367652 */     // No operand predicates
     /* 367652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 367654 */     // (splat_vector:{ *:[nxv2f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm8)  =>  (FDUP_ZI_S:{ *:[nxv2f32] } (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>>:$imm8))
     /* 367654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_S),
     /* 367657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367659 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm8
     /* 367664 */     GIR_RootConstrainSelectedInstOperands,
     /* 367665 */     // GIR_Coverage, 8362,
     /* 367665 */     GIR_EraseRootFromParent_Done,
     /* 367666 */   // Label 7293: @367666
     /* 367666 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(367742), // Rule ID 8340 //
     /* 367671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367678 */     // (splat_vector:{ *:[nxv2f32] } FPR32:{ *:[f32] }:$src)  =>  (DUP_ZZI_S:{ *:[nxv2f32] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR32:{ *:[f32] }:$src, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 367678 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 367681 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 367685 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 367692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 367695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 367699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367704 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 367707 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 367711 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 367714 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367719 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367724 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 367729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 367732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367740 */     GIR_RootConstrainSelectedInstOperands,
     /* 367741 */     // GIR_Coverage, 8340,
     /* 367741 */     GIR_EraseRootFromParent_Done,
     /* 367742 */   // Label 7294: @367742
     /* 367742 */   GIM_Reject,
     /* 367743 */ // Label 7289: @367743
     /* 367743 */ GIM_Reject,
     /* 367744 */ // Label 7276: @367744
     /* 367744 */ GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(368118),
     /* 367749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 367752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367756 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(367810), // Rule ID 6002 //
     /* 367761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367764 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 367768 */     // (splat_vector:{ *:[nxv2i64] } 0:{ *:[i64] })  =>  (SUBREG_TO_REG:{ *:[nxv2i64] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 367768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 367771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 367775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367780 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 367783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 367785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 367788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 367799 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367804 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367809 */     // GIR_Coverage, 6002,
     /* 367809 */     GIR_EraseRootFromParent_Done,
     /* 367810 */   // Label 7296: @367810
     /* 367810 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(367874), // Rule ID 6006 //
     /* 367815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 367818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 367826 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 367830 */     // MIs[1] Operand 1
     /* 367830 */     // No operand predicates
     /* 367830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 367832 */     // (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv2f64] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 367832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 367835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 367839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 367844 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 367847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 367849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 367852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 367854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 367857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 367860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 367863 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367868 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 367873 */     // GIR_Coverage, 6006,
     /* 367873 */     GIR_EraseRootFromParent_Done,
     /* 367874 */   // Label 7297: @367874
     /* 367874 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(367931), // Rule ID 2672 //
     /* 367879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 367894 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 367907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367911 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 367915 */     // MIs[2] Operand 1
     /* 367915 */     // No operand predicates
     /* 367915 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367917 */     // (splat_vector:{ *:[nxv2i64] } (vector_extract:{ *:[i64] } ZPR:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2i64] } ZPR:{ *:[nxv2i64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 367917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 367920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 367926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 367929 */     GIR_RootConstrainSelectedInstOperands,
     /* 367930 */     // GIR_Coverage, 2672,
     /* 367930 */     GIR_EraseRootFromParent_Done,
     /* 367931 */   // Label 7298: @367931
     /* 367931 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(367988), // Rule ID 8332 //
     /* 367936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 367943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 367947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 367951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 367955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 367960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 367964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 367968 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_d),
     /* 367972 */     // MIs[2] Operand 1
     /* 367972 */     // No operand predicates
     /* 367972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 367974 */     // (splat_vector:{ *:[nxv2f64] } (vector_extract:{ *:[f64] } ZPR:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index))  =>  (DUP_ZZI_D:{ *:[nxv2f64] } ZPR:{ *:[nxv2f64] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_d>>:$index)
     /* 367974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 367977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 367979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 367983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 367986 */     GIR_RootConstrainSelectedInstOperands,
     /* 367987 */     // GIR_Coverage, 8332,
     /* 367987 */     GIR_EraseRootFromParent_Done,
     /* 367988 */   // Label 7299: @367988
     /* 367988 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(368022), // Rule ID 8363 //
     /* 367993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 367996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 368004 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm64),
     /* 368008 */     // MIs[1] Operand 1
     /* 368008 */     // No operand predicates
     /* 368008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 368010 */     // (splat_vector:{ *:[nxv2f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>><<X:fpimm64XForm>>:$imm8)  =>  (FDUP_ZI_D:{ *:[nxv2f64] } (fpimm64XForm:{ *:[f64] } (fpimm:{ *:[f64] })<<P:Predicate_fpimm64>>:$imm8))
     /* 368010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_D),
     /* 368013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368015 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm64), // imm8
     /* 368020 */     GIR_RootConstrainSelectedInstOperands,
     /* 368021 */     // GIR_Coverage, 8363,
     /* 368021 */     GIR_EraseRootFromParent_Done,
     /* 368022 */   // Label 7300: @368022
     /* 368022 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(368041), // Rule ID 2391 //
     /* 368027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 368034 */     // (splat_vector:{ *:[nxv2i64] } GPR64sp:{ *:[i64] }:$Rn)  =>  (DUP_ZR_D:{ *:[nxv2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 368034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_D),
     /* 368039 */     GIR_RootConstrainSelectedInstOperands,
     /* 368040 */     // GIR_Coverage, 2391,
     /* 368040 */     GIR_Done,
     /* 368041 */   // Label 7301: @368041
     /* 368041 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(368117), // Rule ID 8341 //
     /* 368046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368053 */     // (splat_vector:{ *:[nxv2f64] } FPR64:{ *:[f64] }:$src)  =>  (DUP_ZZI_D:{ *:[nxv2f64] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR64:{ *:[f64] }:$src, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 368053 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 368056 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 368060 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 368067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 368070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 368074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368079 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 368082 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 368086 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 368089 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368094 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368099 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 368104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_D),
     /* 368107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368115 */     GIR_RootConstrainSelectedInstOperands,
     /* 368116 */     // GIR_Coverage, 8341,
     /* 368116 */     GIR_EraseRootFromParent_Done,
     /* 368117 */   // Label 7302: @368117
     /* 368117 */   GIM_Reject,
     /* 368118 */ // Label 7295: @368118
     /* 368118 */ GIM_Reject,
     /* 368119 */ // Label 7277: @368119
     /* 368119 */ GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(368420),
     /* 368124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 368127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368131 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(368195), // Rule ID 6010 //
     /* 368136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 368147 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 368151 */     // MIs[1] Operand 1
     /* 368151 */     // No operand predicates
     /* 368151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 368153 */     // (splat_vector:{ *:[nxv4f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv4f16] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 368153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 368156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 368160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368165 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 368168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 368170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 368173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 368184 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368189 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368194 */     // GIR_Coverage, 6010,
     /* 368194 */     GIR_EraseRootFromParent_Done,
     /* 368195 */   // Label 7304: @368195
     /* 368195 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(368252), // Rule ID 2676 //
     /* 368200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 368215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 368228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368232 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 368236 */     // MIs[2] Operand 1
     /* 368236 */     // No operand predicates
     /* 368236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368238 */     // (splat_vector:{ *:[nxv4f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv4f16] } ZPR:{ *:[nxv4f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 368238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 368241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 368247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 368250 */     GIR_RootConstrainSelectedInstOperands,
     /* 368251 */     // GIR_Coverage, 2676,
     /* 368251 */     GIR_EraseRootFromParent_Done,
     /* 368252 */   // Label 7305: @368252
     /* 368252 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(368309), // Rule ID 8320 //
     /* 368257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 368272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 368285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368289 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 368293 */     // MIs[2] Operand 1
     /* 368293 */     // No operand predicates
     /* 368293 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368295 */     // (splat_vector:{ *:[nxv4f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv4f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 368295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 368298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 368304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 368307 */     GIR_RootConstrainSelectedInstOperands,
     /* 368308 */     // GIR_Coverage, 8320,
     /* 368308 */     GIR_EraseRootFromParent_Done,
     /* 368309 */   // Label 7306: @368309
     /* 368309 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(368343), // Rule ID 8359 //
     /* 368314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 368325 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 368329 */     // MIs[1] Operand 1
     /* 368329 */     // No operand predicates
     /* 368329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 368331 */     // (splat_vector:{ *:[nxv4f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8)  =>  (FDUP_ZI_H:{ *:[nxv4f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 368331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_H),
     /* 368334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368336 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 368341 */     GIR_RootConstrainSelectedInstOperands,
     /* 368342 */     // GIR_Coverage, 8359,
     /* 368342 */     GIR_EraseRootFromParent_Done,
     /* 368343 */   // Label 7307: @368343
     /* 368343 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(368419), // Rule ID 8337 //
     /* 368348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 368355 */     // (splat_vector:{ *:[nxv4f16] } FPR16:{ *:[f16] }:$src)  =>  (DUP_ZZI_H:{ *:[nxv4f16] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR16:{ *:[f16] }:$src, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 368355 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 368358 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 368362 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 368369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 368372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 368376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368381 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 368384 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 368388 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 368391 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368396 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368401 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 368406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 368409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368417 */     GIR_RootConstrainSelectedInstOperands,
     /* 368418 */     // GIR_Coverage, 8337,
     /* 368418 */     GIR_EraseRootFromParent_Done,
     /* 368419 */   // Label 7308: @368419
     /* 368419 */   GIM_Reject,
     /* 368420 */ // Label 7303: @368420
     /* 368420 */ GIM_Reject,
     /* 368421 */ // Label 7278: @368421
     /* 368421 */ GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(368795),
     /* 368426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 368429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368433 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(368487), // Rule ID 6003 //
     /* 368438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368441 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 368445 */     // (splat_vector:{ *:[nxv4i32] } 0:{ *:[i32] })  =>  (SUBREG_TO_REG:{ *:[nxv4i32] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 368445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 368448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 368452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368457 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 368460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 368462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 368465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 368476 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368481 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368486 */     // GIR_Coverage, 6003,
     /* 368486 */     GIR_EraseRootFromParent_Done,
     /* 368487 */   // Label 7310: @368487
     /* 368487 */   GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(368551), // Rule ID 6008 //
     /* 368492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 368503 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 368507 */     // MIs[1] Operand 1
     /* 368507 */     // No operand predicates
     /* 368507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 368509 */     // (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv4f32] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 368509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 368512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 368516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368521 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 368524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 368526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 368529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 368540 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368545 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368550 */     // GIR_Coverage, 6008,
     /* 368550 */     GIR_EraseRootFromParent_Done,
     /* 368551 */   // Label 7311: @368551
     /* 368551 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(368608), // Rule ID 2669 //
     /* 368556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 368571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 368584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368588 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 368592 */     // MIs[2] Operand 1
     /* 368592 */     // No operand predicates
     /* 368592 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368594 */     // (splat_vector:{ *:[nxv4i32] } (vector_extract:{ *:[i32] } ZPR:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv4i32] } ZPR:{ *:[nxv4i32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 368594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 368597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 368603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 368606 */     GIR_RootConstrainSelectedInstOperands,
     /* 368607 */     // GIR_Coverage, 2669,
     /* 368607 */     GIR_EraseRootFromParent_Done,
     /* 368608 */   // Label 7312: @368608
     /* 368608 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(368665), // Rule ID 8329 //
     /* 368613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 368628 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 368641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368645 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_s),
     /* 368649 */     // MIs[2] Operand 1
     /* 368649 */     // No operand predicates
     /* 368649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368651 */     // (splat_vector:{ *:[nxv4f32] } (vector_extract:{ *:[f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index))  =>  (DUP_ZZI_S:{ *:[nxv4f32] } ZPR:{ *:[nxv4f32] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_s>>:$index)
     /* 368651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 368654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 368660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 368663 */     GIR_RootConstrainSelectedInstOperands,
     /* 368664 */     // GIR_Coverage, 8329,
     /* 368664 */     GIR_EraseRootFromParent_Done,
     /* 368665 */   // Label 7313: @368665
     /* 368665 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(368699), // Rule ID 8361 //
     /* 368670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 368681 */     GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm32),
     /* 368685 */     // MIs[1] Operand 1
     /* 368685 */     // No operand predicates
     /* 368685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 368687 */     // (splat_vector:{ *:[nxv4f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>><<X:fpimm32XForm>>:$imm8)  =>  (FDUP_ZI_S:{ *:[nxv4f32] } (fpimm32XForm:{ *:[f32] } (fpimm:{ *:[f32] })<<P:Predicate_fpimm32>>:$imm8))
     /* 368687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_S),
     /* 368690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368692 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm32), // imm8
     /* 368697 */     GIR_RootConstrainSelectedInstOperands,
     /* 368698 */     // GIR_Coverage, 8361,
     /* 368698 */     GIR_EraseRootFromParent_Done,
     /* 368699 */   // Label 7314: @368699
     /* 368699 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(368718), // Rule ID 2390 //
     /* 368704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 368711 */     // (splat_vector:{ *:[nxv4i32] } GPR32sp:{ *:[i32] }:$Rn)  =>  (DUP_ZR_S:{ *:[nxv4i32] } GPR32sp:{ *:[i32] }:$Rn)
     /* 368711 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_S),
     /* 368716 */     GIR_RootConstrainSelectedInstOperands,
     /* 368717 */     // GIR_Coverage, 2390,
     /* 368717 */     GIR_Done,
     /* 368718 */   // Label 7315: @368718
     /* 368718 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(368794), // Rule ID 8339 //
     /* 368723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368730 */     // (splat_vector:{ *:[nxv4f32] } FPR32:{ *:[f32] }:$src)  =>  (DUP_ZZI_S:{ *:[nxv4f32] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR32:{ *:[f32] }:$src, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 368730 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 368733 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 368737 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 368744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 368747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 368751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368756 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 368759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 368763 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 368766 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368771 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368776 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 368781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_S),
     /* 368784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368792 */     GIR_RootConstrainSelectedInstOperands,
     /* 368793 */     // GIR_Coverage, 8339,
     /* 368793 */     GIR_EraseRootFromParent_Done,
     /* 368794 */   // Label 7316: @368794
     /* 368794 */   GIM_Reject,
     /* 368795 */ // Label 7309: @368795
     /* 368795 */ GIM_Reject,
     /* 368796 */ // Label 7279: @368796
     /* 368796 */ GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(368857), // Rule ID 6004 //
     /* 368801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 368807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368811 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 368815 */   // (splat_vector:{ *:[nxv8i16] } 0:{ *:[i32] })  =>  (SUBREG_TO_REG:{ *:[nxv8i16] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 368815 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 368818 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 368822 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368827 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 368830 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 368832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 368835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368840 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 368846 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368851 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368856 */   // GIR_Coverage, 6004,
     /* 368856 */   GIR_EraseRootFromParent_Done,
     /* 368857 */ // Label 7317: @368857
     /* 368857 */ GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(368928), // Rule ID 6011 //
     /* 368862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 368865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 368868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368872 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368876 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 368880 */   GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm0),
     /* 368884 */   // MIs[1] Operand 1
     /* 368884 */   // No operand predicates
     /* 368884 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 368886 */   // (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm0>>)  =>  (SUBREG_TO_REG:{ *:[nxv8f16] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 368886 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 368889 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 368893 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 368898 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 368901 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 368903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 368906 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 368908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 368911 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 368914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 368917 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368922 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 368927 */   // GIR_Coverage, 6011,
     /* 368927 */   GIR_EraseRootFromParent_Done,
     /* 368928 */ // Label 7318: @368928
     /* 368928 */ GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(368992), // Rule ID 2666 //
     /* 368933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 368936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 368939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368943 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 368947 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 368951 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 368955 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 368959 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 368964 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 368968 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 368972 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 368976 */   // MIs[2] Operand 1
     /* 368976 */   // No operand predicates
     /* 368976 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 368978 */   // (splat_vector:{ *:[nxv8i16] } (vector_extract:{ *:[i32] } ZPR:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv8i16] } ZPR:{ *:[nxv8i16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 368978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 368981 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 368983 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 368987 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 368990 */   GIR_RootConstrainSelectedInstOperands,
     /* 368991 */   // GIR_Coverage, 2666,
     /* 368991 */   GIR_EraseRootFromParent_Done,
     /* 368992 */ // Label 7319: @368992
     /* 368992 */ GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(369056), // Rule ID 8323 //
     /* 368997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 369000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 369003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369007 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369011 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369015 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 369019 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369023 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369028 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 369032 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 369036 */   GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_h),
     /* 369040 */   // MIs[2] Operand 1
     /* 369040 */   // No operand predicates
     /* 369040 */   GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 369042 */   // (splat_vector:{ *:[nxv8f16] } (vector_extract:{ *:[f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index))  =>  (DUP_ZZI_H:{ *:[nxv8f16] } ZPR:{ *:[nxv8f16] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_h>>:$index)
     /* 369042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 369045 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 369047 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 369051 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 369054 */   GIR_RootConstrainSelectedInstOperands,
     /* 369055 */   // GIR_Coverage, 8323,
     /* 369055 */   GIR_EraseRootFromParent_Done,
     /* 369056 */ // Label 7320: @369056
     /* 369056 */ GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(369097), // Rule ID 8358 //
     /* 369061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 369064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 369067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369071 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369075 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FCONSTANT),
     /* 369079 */   GIM_CheckAPFloatImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APFloat_Predicate_fpimm16),
     /* 369083 */   // MIs[1] Operand 1
     /* 369083 */   // No operand predicates
     /* 369083 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 369085 */   // (splat_vector:{ *:[nxv8f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>><<X:fpimm16XForm>>:$imm8)  =>  (FDUP_ZI_H:{ *:[nxv8f16] } (fpimm16XForm:{ *:[f16] } (fpimm:{ *:[f16] })<<P:Predicate_fpimm16>>:$imm8))
     /* 369085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FDUP_ZI_H),
     /* 369088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 369090 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFPImm16), // imm8
     /* 369095 */   GIR_RootConstrainSelectedInstOperands,
     /* 369096 */   // GIR_Coverage, 8358,
     /* 369096 */   GIR_EraseRootFromParent_Done,
     /* 369097 */ // Label 7321: @369097
     /* 369097 */ GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(369123), // Rule ID 2389 //
     /* 369102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 369105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 369108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 369116 */   // (splat_vector:{ *:[nxv8i16] } GPR32sp:{ *:[i32] }:$Rn)  =>  (DUP_ZR_H:{ *:[nxv8i16] } GPR32sp:{ *:[i32] }:$Rn)
     /* 369116 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_H),
     /* 369121 */   GIR_RootConstrainSelectedInstOperands,
     /* 369122 */   // GIR_Coverage, 2389,
     /* 369122 */   GIR_Done,
     /* 369123 */ // Label 7322: @369123
     /* 369123 */ GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(369206), // Rule ID 8336 //
     /* 369128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 369131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 369134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 369142 */   // (splat_vector:{ *:[nxv8f16] } FPR16:{ *:[f16] }:$src)  =>  (DUP_ZZI_H:{ *:[nxv8f16] } (INSERT_SUBREG:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), FPR16:{ *:[f16] }:$src, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 369142 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_nxv16s8,
     /* 369145 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 369149 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369154 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 369156 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 369159 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 369163 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369168 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 369171 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 369175 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 369178 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369183 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369188 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 369193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_H),
     /* 369196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 369198 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369204 */   GIR_RootConstrainSelectedInstOperands,
     /* 369205 */   // GIR_Coverage, 8336,
     /* 369205 */   GIR_EraseRootFromParent_Done,
     /* 369206 */ // Label 7323: @369206
     /* 369206 */ GIM_Reject,
     /* 369207 */ // Label 7280: @369207
     /* 369207 */ GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(369350),
     /* 369212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 369215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369219 */   GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(369273), // Rule ID 6005 //
     /* 369224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 369227 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /* 369231 */     // (splat_vector:{ *:[nxv16i8] } 0:{ *:[i32] })  =>  (SUBREG_TO_REG:{ *:[nxv16i8] } 0:{ *:[i32] }, (MOVIv2d_ns:{ *:[f128] } 0:{ *:[i32] }), zsub:{ *:[i32] })
     /* 369231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 369234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::MOVIv2d_ns),
     /* 369238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369243 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 369246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 369248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 369251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 369253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 369256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/43,
     /* 369262 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369267 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 369272 */     // GIR_Coverage, 6005,
     /* 369272 */     GIR_EraseRootFromParent_Done,
     /* 369273 */   // Label 7325: @369273
     /* 369273 */   GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(369330), // Rule ID 2663 //
     /* 369278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 369281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 369289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 369293 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 369302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 369306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 369310 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_sve_elm_idx_extdup_b),
     /* 369314 */     // MIs[2] Operand 1
     /* 369314 */     // No operand predicates
     /* 369314 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 369316 */     // (splat_vector:{ *:[nxv16i8] } (vector_extract:{ *:[i32] } ZPR:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index))  =>  (DUP_ZZI_B:{ *:[nxv16i8] } ZPR:{ *:[nxv16i8] }:$vec, (imm:{ *:[i64] })<<P:Predicate_sve_elm_idx_extdup_b>>:$index)
     /* 369316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZZI_B),
     /* 369319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zd]
     /* 369321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // vec
     /* 369325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // index
     /* 369328 */     GIR_RootConstrainSelectedInstOperands,
     /* 369329 */     // GIR_Coverage, 2663,
     /* 369329 */     GIR_EraseRootFromParent_Done,
     /* 369330 */   // Label 7326: @369330
     /* 369330 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(369349), // Rule ID 2388 //
     /* 369335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 369338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32spRegClassID),
     /* 369342 */     // (splat_vector:{ *:[nxv16i8] } GPR32sp:{ *:[i32] }:$Rn)  =>  (DUP_ZR_B:{ *:[nxv16i8] } GPR32sp:{ *:[i32] }:$Rn)
     /* 369342 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUP_ZR_B),
     /* 369347 */     GIR_RootConstrainSelectedInstOperands,
     /* 369348 */     // GIR_Coverage, 2388,
     /* 369348 */     GIR_Done,
     /* 369349 */   // Label 7327: @369349
     /* 369349 */   GIM_Reject,
     /* 369350 */ // Label 7324: @369350
     /* 369350 */ GIM_Reject,
     /* 369351 */ // Label 7281: @369351
     /* 369351 */ GIM_Reject,
     /* 369352 */ // Label 91: @369352
     /* 369352 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(4), /*)*//*default:*//*Label 7330*/ GIMT_Encode4(369503),
     /* 369363 */ /*GILLT_s32*//*Label 7328*/ GIMT_Encode4(369371),
     /* 369367 */ /*GILLT_s64*//*Label 7329*/ GIMT_Encode4(369437),
     /* 369371 */ // Label 7328: @369371
     /* 369371 */ GIM_Try, /*On fail goto*//*Label 7331*/ GIMT_Encode4(369436),
     /* 369376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 369379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 369383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 369387 */   GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(369402), // Rule ID 2321 //
     /* 369392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 369395 */     // (cttz:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CTZWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 369395 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CTZWr),
     /* 369400 */     GIR_RootConstrainSelectedInstOperands,
     /* 369401 */     // GIR_Coverage, 2321,
     /* 369401 */     GIR_Done,
     /* 369402 */   // Label 7332: @369402
     /* 369402 */   GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(369435), // Rule ID 4005 //
     /* 369407 */     // (cttz:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CLZWr:{ *:[i32] } (RBITWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn))
     /* 369407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 369410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::RBITWr),
     /* 369414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 369423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 369425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLZWr),
     /* 369428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369433 */     GIR_RootConstrainSelectedInstOperands,
     /* 369434 */     // GIR_Coverage, 4005,
     /* 369434 */     GIR_EraseRootFromParent_Done,
     /* 369435 */   // Label 7333: @369435
     /* 369435 */   GIM_Reject,
     /* 369436 */ // Label 7331: @369436
     /* 369436 */ GIM_Reject,
     /* 369437 */ // Label 7329: @369437
     /* 369437 */ GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(369502),
     /* 369442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 369445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 369449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 369453 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(369468), // Rule ID 2322 //
     /* 369458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 369461 */     // (cttz:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CTZXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 369461 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CTZXr),
     /* 369466 */     GIR_RootConstrainSelectedInstOperands,
     /* 369467 */     // GIR_Coverage, 2322,
     /* 369467 */     GIR_Done,
     /* 369468 */   // Label 7335: @369468
     /* 369468 */   GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(369501), // Rule ID 4006 //
     /* 369473 */     // (cttz:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CLZXr:{ *:[i64] } (RBITXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn))
     /* 369473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 369476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::RBITXr),
     /* 369480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 369485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 369489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 369491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLZXr),
     /* 369494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 369499 */     GIR_RootConstrainSelectedInstOperands,
     /* 369500 */     // GIR_Coverage, 4006,
     /* 369500 */     GIR_EraseRootFromParent_Done,
     /* 369501 */   // Label 7336: @369501
     /* 369501 */   GIM_Reject,
     /* 369502 */ // Label 7334: @369502
     /* 369502 */ GIM_Reject,
     /* 369503 */ // Label 7330: @369503
     /* 369503 */ GIM_Reject,
     /* 369504 */ // Label 92: @369504
     /* 369504 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 7345*/ GIMT_Encode4(370177),
     /* 369515 */ /*GILLT_s32*//*Label 7337*/ GIMT_Encode4(369555),
     /* 369519 */ /*GILLT_s64*//*Label 7338*/ GIMT_Encode4(369785), GIMT_Encode4(0),
     /* 369527 */ /*GILLT_v2s32*//*Label 7339*/ GIMT_Encode4(370015), GIMT_Encode4(0),
     /* 369535 */ /*GILLT_v4s16*//*Label 7340*/ GIMT_Encode4(370042),
     /* 369539 */ /*GILLT_v4s32*//*Label 7341*/ GIMT_Encode4(370069),
     /* 369543 */ /*GILLT_v8s8*//*Label 7342*/ GIMT_Encode4(370096),
     /* 369547 */ /*GILLT_v8s16*//*Label 7343*/ GIMT_Encode4(370123),
     /* 369551 */ /*GILLT_v16s8*//*Label 7344*/ GIMT_Encode4(370150),
     /* 369555 */ // Label 7337: @369555
     /* 369555 */ GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(369784),
     /* 369560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 369563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 369567 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(369667), // Rule ID 4007 //
     /* 369572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 369580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 369584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 369588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 369592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 369596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 369600 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 369604 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 369608 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 369612 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 369616 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 369620 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 369624 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /* 369628 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 369632 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 369637 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 31,
     /* 369641 */     // MIs[3] Rn
     /* 369641 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/4, /*OtherOpIdx*/1,
     /* 369646 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 369650 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 369654 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 369656 */     // (ctlz:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (xor:{ *:[i32] } (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, 31:{ *:[i64] }), GPR32:{ *:[i32] }:$Rn), 1:{ *:[i64] }), 1:{ *:[i32] }))  =>  (CLSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 369656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSWr),
     /* 369659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /* 369665 */     GIR_RootConstrainSelectedInstOperands,
     /* 369666 */     // GIR_Coverage, 4007,
     /* 369666 */     GIR_EraseRootFromParent_Done,
     /* 369667 */   // Label 7347: @369667
     /* 369667 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(369767), // Rule ID 13775 //
     /* 369672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 369680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 369684 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 369688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 369692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 369696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 369700 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 369704 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 369708 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 369712 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 369716 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /* 369720 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 369725 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 369729 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 369733 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 369737 */     // MIs[4] Rn
     /* 369737 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /* 369742 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 31,
     /* 369746 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 369750 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 369754 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 369756 */     // (ctlz:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (xor:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, (sra:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, 31:{ *:[i64] })), 1:{ *:[i64] }), 1:{ *:[i32] }))  =>  (CLSWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 369756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSWr),
     /* 369759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 369765 */     GIR_RootConstrainSelectedInstOperands,
     /* 369766 */     // GIR_Coverage, 13775,
     /* 369766 */     GIR_EraseRootFromParent_Done,
     /* 369767 */   // Label 7348: @369767
     /* 369767 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(369783), // Rule ID 180 //
     /* 369772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 369776 */     // (ctlz:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CLZWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 369776 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZWr),
     /* 369781 */     GIR_RootConstrainSelectedInstOperands,
     /* 369782 */     // GIR_Coverage, 180,
     /* 369782 */     GIR_Done,
     /* 369783 */   // Label 7349: @369783
     /* 369783 */   GIM_Reject,
     /* 369784 */ // Label 7346: @369784
     /* 369784 */ GIM_Reject,
     /* 369785 */ // Label 7338: @369785
     /* 369785 */ GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(370014),
     /* 369790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 369793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 369797 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(369897), // Rule ID 4008 //
     /* 369802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 369810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 369814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 369822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 369826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 369830 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 369834 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 369838 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 369842 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 369846 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 369850 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 369854 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /* 369858 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 369862 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 369867 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 63,
     /* 369871 */     // MIs[3] Rn
     /* 369871 */     GIM_CheckIsSameOperand, /*MI*/3, /*OpIdx*/2, /*OtherMI*/4, /*OtherOpIdx*/1,
     /* 369876 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 369880 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 369884 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 369886 */     // (ctlz:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (xor:{ *:[i64] } (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 63:{ *:[i64] }), GPR64:{ *:[i64] }:$Rn), 1:{ *:[i64] }), 1:{ *:[i64] }))  =>  (CLSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 369886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSXr),
     /* 369889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/4, /*OpIdx*/1, // Rn
     /* 369895 */     GIR_RootConstrainSelectedInstOperands,
     /* 369896 */     // GIR_Coverage, 4008,
     /* 369896 */     GIR_EraseRootFromParent_Done,
     /* 369897 */   // Label 7351: @369897
     /* 369897 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(369997), // Rule ID 13776 //
     /* 369902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 369906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /* 369910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 369914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 369918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 369922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /* 369926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 369930 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 369934 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 369938 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 369942 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 369946 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 369950 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 369955 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 369959 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_ASHR),
     /* 369963 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 369967 */     // MIs[4] Rn
     /* 369967 */     GIM_CheckIsSameOperand, /*MI*/4, /*OpIdx*/1, /*OtherMI*/3, /*OtherOpIdx*/1,
     /* 369972 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 63,
     /* 369976 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 369980 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 369984 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 369986 */     // (ctlz:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (xor:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, (sra:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 63:{ *:[i64] })), 1:{ *:[i64] }), 1:{ *:[i64] }))  =>  (CLSXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 369986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CLSXr),
     /* 369989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 369991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 369995 */     GIR_RootConstrainSelectedInstOperands,
     /* 369996 */     // GIR_Coverage, 13776,
     /* 369996 */     GIR_EraseRootFromParent_Done,
     /* 369997 */   // Label 7352: @369997
     /* 369997 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(370013), // Rule ID 181 //
     /* 370002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370006 */     // (ctlz:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CLZXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 370006 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZXr),
     /* 370011 */     GIR_RootConstrainSelectedInstOperands,
     /* 370012 */     // GIR_Coverage, 181,
     /* 370012 */     GIR_Done,
     /* 370013 */   // Label 7353: @370013
     /* 370013 */   GIM_Reject,
     /* 370014 */ // Label 7350: @370014
     /* 370014 */ GIM_Reject,
     /* 370015 */ // Label 7339: @370015
     /* 370015 */ GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(370041), // Rule ID 720 //
     /* 370020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 370026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370034 */   // (ctlz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (CLZv2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 370034 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv2i32),
     /* 370039 */   GIR_RootConstrainSelectedInstOperands,
     /* 370040 */   // GIR_Coverage, 720,
     /* 370040 */   GIR_Done,
     /* 370041 */ // Label 7354: @370041
     /* 370041 */ GIM_Reject,
     /* 370042 */ // Label 7340: @370042
     /* 370042 */ GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(370068), // Rule ID 718 //
     /* 370047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 370053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370061 */   // (ctlz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (CLZv4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 370061 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv4i16),
     /* 370066 */   GIR_RootConstrainSelectedInstOperands,
     /* 370067 */   // GIR_Coverage, 718,
     /* 370067 */   GIR_Done,
     /* 370068 */ // Label 7355: @370068
     /* 370068 */ GIM_Reject,
     /* 370069 */ // Label 7341: @370069
     /* 370069 */ GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(370095), // Rule ID 721 //
     /* 370074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 370080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370088 */   // (ctlz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (CLZv4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 370088 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv4i32),
     /* 370093 */   GIR_RootConstrainSelectedInstOperands,
     /* 370094 */   // GIR_Coverage, 721,
     /* 370094 */   GIR_Done,
     /* 370095 */ // Label 7356: @370095
     /* 370095 */ GIM_Reject,
     /* 370096 */ // Label 7342: @370096
     /* 370096 */ GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(370122), // Rule ID 716 //
     /* 370101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 370107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370115 */   // (ctlz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (CLZv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 370115 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv8i8),
     /* 370120 */   GIR_RootConstrainSelectedInstOperands,
     /* 370121 */   // GIR_Coverage, 716,
     /* 370121 */   GIR_Done,
     /* 370122 */ // Label 7357: @370122
     /* 370122 */ GIM_Reject,
     /* 370123 */ // Label 7343: @370123
     /* 370123 */ GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(370149), // Rule ID 719 //
     /* 370128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 370134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370142 */   // (ctlz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (CLZv8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 370142 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv8i16),
     /* 370147 */   GIR_RootConstrainSelectedInstOperands,
     /* 370148 */   // GIR_Coverage, 719,
     /* 370148 */   GIR_Done,
     /* 370149 */ // Label 7358: @370149
     /* 370149 */ GIM_Reject,
     /* 370150 */ // Label 7344: @370150
     /* 370150 */ GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(370176), // Rule ID 717 //
     /* 370155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 370161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370169 */   // (ctlz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (CLZv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 370169 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CLZv16i8),
     /* 370174 */   GIR_RootConstrainSelectedInstOperands,
     /* 370175 */   // GIR_Coverage, 717,
     /* 370175 */   GIR_Done,
     /* 370176 */ // Label 7359: @370176
     /* 370176 */ GIM_Reject,
     /* 370177 */ // Label 7345: @370177
     /* 370177 */ GIM_Reject,
     /* 370178 */ // Label 93: @370178
     /* 370178 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 7364*/ GIMT_Encode4(370337),
     /* 370189 */ /*GILLT_s32*//*Label 7360*/ GIMT_Encode4(370229),
     /* 370193 */ /*GILLT_s64*//*Label 7361*/ GIMT_Encode4(370256), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 370217 */ /*GILLT_v8s8*//*Label 7362*/ GIMT_Encode4(370283), GIMT_Encode4(0),
     /* 370225 */ /*GILLT_v16s8*//*Label 7363*/ GIMT_Encode4(370310),
     /* 370229 */ // Label 7360: @370229
     /* 370229 */ GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(370255), // Rule ID 2319 //
     /* 370234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 370237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 370240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 370244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 370248 */   // (ctpop:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (CNTWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 370248 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTWr),
     /* 370253 */   GIR_RootConstrainSelectedInstOperands,
     /* 370254 */   // GIR_Coverage, 2319,
     /* 370254 */   GIR_Done,
     /* 370255 */ // Label 7365: @370255
     /* 370255 */ GIM_Reject,
     /* 370256 */ // Label 7361: @370256
     /* 370256 */ GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(370282), // Rule ID 2320 //
     /* 370261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasCSSC),
     /* 370264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 370267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370275 */   // (ctpop:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (CNTXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 370275 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTXr),
     /* 370280 */   GIR_RootConstrainSelectedInstOperands,
     /* 370281 */   // GIR_Coverage, 2320,
     /* 370281 */   GIR_Done,
     /* 370282 */ // Label 7366: @370282
     /* 370282 */ GIM_Reject,
     /* 370283 */ // Label 7362: @370283
     /* 370283 */ GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(370309), // Rule ID 764 //
     /* 370288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 370294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370302 */   // (ctpop:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (CNTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 370302 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTv8i8),
     /* 370307 */   GIR_RootConstrainSelectedInstOperands,
     /* 370308 */   // GIR_Coverage, 764,
     /* 370308 */   GIR_Done,
     /* 370309 */ // Label 7367: @370309
     /* 370309 */ GIM_Reject,
     /* 370310 */ // Label 7363: @370310
     /* 370310 */ GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(370336), // Rule ID 765 //
     /* 370315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 370321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370329 */   // (ctpop:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (CNTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 370329 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::CNTv16i8),
     /* 370334 */   GIR_RootConstrainSelectedInstOperands,
     /* 370335 */   // GIR_Coverage, 765,
     /* 370335 */   GIR_Done,
     /* 370336 */ // Label 7368: @370336
     /* 370336 */ GIM_Reject,
     /* 370337 */ // Label 7364: @370337
     /* 370337 */ GIM_Reject,
     /* 370338 */ // Label 94: @370338
     /* 370338 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 7376*/ GIMT_Encode4(370651),
     /* 370349 */ /*GILLT_s32*//*Label 7369*/ GIMT_Encode4(370385),
     /* 370353 */ /*GILLT_s64*//*Label 7370*/ GIMT_Encode4(370458), GIMT_Encode4(0),
     /* 370361 */ /*GILLT_v2s32*//*Label 7371*/ GIMT_Encode4(370531),
     /* 370365 */ /*GILLT_v2s64*//*Label 7372*/ GIMT_Encode4(370555),
     /* 370369 */ /*GILLT_v4s16*//*Label 7373*/ GIMT_Encode4(370579),
     /* 370373 */ /*GILLT_v4s32*//*Label 7374*/ GIMT_Encode4(370603), GIMT_Encode4(0),
     /* 370381 */ /*GILLT_v8s16*//*Label 7375*/ GIMT_Encode4(370627),
     /* 370385 */ // Label 7369: @370385
     /* 370385 */ GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(370457),
     /* 370390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 370393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 370397 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(370440), // Rule ID 4011 //
     /* 370402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /* 370410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 370414 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 370418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 370423 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /* 370427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 370429 */     // (bswap:{ *:[i32] } (rotr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn, 16:{ *:[i64] }))  =>  (REV16Wr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 370429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV16Wr),
     /* 370432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 370434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 370438 */     GIR_RootConstrainSelectedInstOperands,
     /* 370439 */     // GIR_Coverage, 4011,
     /* 370439 */     GIR_EraseRootFromParent_Done,
     /* 370440 */   // Label 7378: @370440
     /* 370440 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(370456), // Rule ID 185 //
     /* 370445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 370449 */     // (bswap:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (REVWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 370449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REVWr),
     /* 370454 */     GIR_RootConstrainSelectedInstOperands,
     /* 370455 */     // GIR_Coverage, 185,
     /* 370455 */     GIR_Done,
     /* 370456 */   // Label 7379: @370456
     /* 370456 */   GIM_Reject,
     /* 370457 */ // Label 7377: @370457
     /* 370457 */ GIM_Reject,
     /* 370458 */ // Label 7370: @370458
     /* 370458 */ GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(370530),
     /* 370463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 370466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370470 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(370513), // Rule ID 4012 //
     /* 370475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 370479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTR),
     /* 370483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 370487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 370491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370496 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /* 370500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 370502 */     // (bswap:{ *:[i64] } (rotr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn, 32:{ *:[i64] }))  =>  (REV32Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 370502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::REV32Xr),
     /* 370505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 370507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 370511 */     GIR_RootConstrainSelectedInstOperands,
     /* 370512 */     // GIR_Coverage, 4012,
     /* 370512 */     GIR_EraseRootFromParent_Done,
     /* 370513 */   // Label 7381: @370513
     /* 370513 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(370529), // Rule ID 186 //
     /* 370518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370522 */     // (bswap:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (REVXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 370522 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REVXr),
     /* 370527 */     GIR_RootConstrainSelectedInstOperands,
     /* 370528 */     // GIR_Coverage, 186,
     /* 370528 */     GIR_Done,
     /* 370529 */   // Label 7382: @370529
     /* 370529 */   GIM_Reject,
     /* 370530 */ // Label 7380: @370530
     /* 370530 */ GIM_Reject,
     /* 370531 */ // Label 7371: @370531
     /* 370531 */ GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(370554), // Rule ID 4988 //
     /* 370536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 370539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370547 */   // (bswap:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (REV32v8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 370547 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /* 370552 */   GIR_RootConstrainSelectedInstOperands,
     /* 370553 */   // GIR_Coverage, 4988,
     /* 370553 */   GIR_Done,
     /* 370554 */ // Label 7383: @370554
     /* 370554 */ GIM_Reject,
     /* 370555 */ // Label 7372: @370555
     /* 370555 */ GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(370578), // Rule ID 4990 //
     /* 370560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370571 */   // (bswap:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)  =>  (REV64v16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 370571 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /* 370576 */   GIR_RootConstrainSelectedInstOperands,
     /* 370577 */   // GIR_Coverage, 4990,
     /* 370577 */   GIR_Done,
     /* 370578 */ // Label 7384: @370578
     /* 370578 */ GIM_Reject,
     /* 370579 */ // Label 7373: @370579
     /* 370579 */ GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(370602), // Rule ID 4986 //
     /* 370584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 370587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370595 */   // (bswap:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (REV16v8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 370595 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /* 370600 */   GIR_RootConstrainSelectedInstOperands,
     /* 370601 */   // GIR_Coverage, 4986,
     /* 370601 */   GIR_Done,
     /* 370602 */ // Label 7385: @370602
     /* 370602 */ GIM_Reject,
     /* 370603 */ // Label 7374: @370603
     /* 370603 */ GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(370626), // Rule ID 4989 //
     /* 370608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 370611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370619 */   // (bswap:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (REV32v16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 370619 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /* 370624 */   GIR_RootConstrainSelectedInstOperands,
     /* 370625 */   // GIR_Coverage, 4989,
     /* 370625 */   GIR_Done,
     /* 370626 */ // Label 7386: @370626
     /* 370626 */ GIM_Reject,
     /* 370627 */ // Label 7375: @370627
     /* 370627 */ GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(370650), // Rule ID 4987 //
     /* 370632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 370635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370643 */   // (bswap:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (REV16v16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 370643 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /* 370648 */   GIR_RootConstrainSelectedInstOperands,
     /* 370649 */   // GIR_Coverage, 4987,
     /* 370649 */   GIR_Done,
     /* 370650 */ // Label 7387: @370650
     /* 370650 */ GIM_Reject,
     /* 370651 */ // Label 7376: @370651
     /* 370651 */ GIM_Reject,
     /* 370652 */ // Label 95: @370652
     /* 370652 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 7392*/ GIMT_Encode4(370805),
     /* 370663 */ /*GILLT_s32*//*Label 7388*/ GIMT_Encode4(370703),
     /* 370667 */ /*GILLT_s64*//*Label 7389*/ GIMT_Encode4(370727), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 370691 */ /*GILLT_v8s8*//*Label 7390*/ GIMT_Encode4(370751), GIMT_Encode4(0),
     /* 370699 */ /*GILLT_v16s8*//*Label 7391*/ GIMT_Encode4(370778),
     /* 370703 */ // Label 7388: @370703
     /* 370703 */ GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(370726), // Rule ID 182 //
     /* 370708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 370711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 370715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 370719 */   // (bitreverse:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (RBITWr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 370719 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITWr),
     /* 370724 */   GIR_RootConstrainSelectedInstOperands,
     /* 370725 */   // GIR_Coverage, 182,
     /* 370725 */   GIR_Done,
     /* 370726 */ // Label 7393: @370726
     /* 370726 */ GIM_Reject,
     /* 370727 */ // Label 7389: @370727
     /* 370727 */ GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(370750), // Rule ID 183 //
     /* 370732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 370735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370739 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 370743 */   // (bitreverse:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (RBITXr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 370743 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITXr),
     /* 370748 */   GIR_RootConstrainSelectedInstOperands,
     /* 370749 */   // GIR_Coverage, 183,
     /* 370749 */   GIR_Done,
     /* 370750 */ // Label 7394: @370750
     /* 370750 */ GIM_Reject,
     /* 370751 */ // Label 7390: @370751
     /* 370751 */ GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(370777), // Rule ID 974 //
     /* 370756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 370762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370770 */   // (bitreverse:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (RBITv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 370770 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITv8i8),
     /* 370775 */   GIR_RootConstrainSelectedInstOperands,
     /* 370776 */   // GIR_Coverage, 974,
     /* 370776 */   GIR_Done,
     /* 370777 */ // Label 7395: @370777
     /* 370777 */ GIM_Reject,
     /* 370778 */ // Label 7391: @370778
     /* 370778 */ GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(370804), // Rule ID 975 //
     /* 370783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 370789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370797 */   // (bitreverse:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (RBITv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 370797 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::RBITv16i8),
     /* 370802 */   GIR_RootConstrainSelectedInstOperands,
     /* 370803 */   // GIR_Coverage, 975,
     /* 370803 */   GIR_Done,
     /* 370804 */ // Label 7396: @370804
     /* 370804 */ GIM_Reject,
     /* 370805 */ // Label 7392: @370805
     /* 370805 */ GIM_Reject,
     /* 370806 */ // Label 96: @370806
     /* 370806 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7405*/ GIMT_Encode4(371296),
     /* 370817 */ /*GILLT_s16*//*Label 7397*/ GIMT_Encode4(370857),
     /* 370821 */ /*GILLT_s32*//*Label 7398*/ GIMT_Encode4(370888),
     /* 370825 */ /*GILLT_s64*//*Label 7399*/ GIMT_Encode4(370919), GIMT_Encode4(0),
     /* 370833 */ /*GILLT_v2s32*//*Label 7400*/ GIMT_Encode4(370950),
     /* 370837 */ /*GILLT_v2s64*//*Label 7401*/ GIMT_Encode4(370981),
     /* 370841 */ /*GILLT_v4s16*//*Label 7402*/ GIMT_Encode4(371012),
     /* 370845 */ /*GILLT_v4s32*//*Label 7403*/ GIMT_Encode4(371043), GIMT_Encode4(0),
     /* 370853 */ /*GILLT_v8s16*//*Label 7404*/ GIMT_Encode4(371074),
     /* 370857 */ // Label 7397: @370857
     /* 370857 */ GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(370887), // Rule ID 552 //
     /* 370862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 370865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 370868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 370872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 370876 */   // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTPHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 370876 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPHr),
     /* 370881 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370885 */   GIR_RootConstrainSelectedInstOperands,
     /* 370886 */   // GIR_Coverage, 552,
     /* 370886 */   GIR_Done,
     /* 370887 */ // Label 7406: @370887
     /* 370887 */ GIM_Reject,
     /* 370888 */ // Label 7398: @370888
     /* 370888 */ GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(370918), // Rule ID 554 //
     /* 370893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 370896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 370899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 370903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 370907 */   // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTPSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 370907 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPSr),
     /* 370912 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370916 */   GIR_RootConstrainSelectedInstOperands,
     /* 370917 */   // GIR_Coverage, 554,
     /* 370917 */   GIR_Done,
     /* 370918 */ // Label 7407: @370918
     /* 370918 */ GIM_Reject,
     /* 370919 */ // Label 7399: @370919
     /* 370919 */ GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(370949), // Rule ID 556 //
     /* 370924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 370927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 370930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370938 */   // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTPDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 370938 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPDr),
     /* 370943 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370947 */   GIR_RootConstrainSelectedInstOperands,
     /* 370948 */   // GIR_Coverage, 556,
     /* 370948 */   GIR_Done,
     /* 370949 */ // Label 7408: @370949
     /* 370949 */ GIM_Reject,
     /* 370950 */ // Label 7400: @370950
     /* 370950 */ GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(370980), // Rule ID 913 //
     /* 370955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 370961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 370969 */   // (fceil:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTPv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 370969 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv2f32),
     /* 370974 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 370978 */   GIR_RootConstrainSelectedInstOperands,
     /* 370979 */   // GIR_Coverage, 913,
     /* 370979 */   GIR_Done,
     /* 370980 */ // Label 7409: @370980
     /* 370980 */ GIM_Reject,
     /* 370981 */ // Label 7401: @370981
     /* 370981 */ GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(371011), // Rule ID 917 //
     /* 370986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 370989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 370992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 370996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371000 */   // (fceil:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTPv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 371000 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv2f64),
     /* 371005 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371009 */   GIR_RootConstrainSelectedInstOperands,
     /* 371010 */   // GIR_Coverage, 917,
     /* 371010 */   GIR_Done,
     /* 371011 */ // Label 7410: @371011
     /* 371011 */ GIM_Reject,
     /* 371012 */ // Label 7402: @371012
     /* 371012 */ GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(371042), // Rule ID 909 //
     /* 371017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 371020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 371023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371031 */   // (fceil:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTPv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 371031 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f16),
     /* 371036 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371040 */   GIR_RootConstrainSelectedInstOperands,
     /* 371041 */   // GIR_Coverage, 909,
     /* 371041 */   GIR_Done,
     /* 371042 */ // Label 7411: @371042
     /* 371042 */ GIM_Reject,
     /* 371043 */ // Label 7403: @371043
     /* 371043 */ GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(371073), // Rule ID 915 //
     /* 371048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 371054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371062 */   // (fceil:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTPv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 371062 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f32),
     /* 371067 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371071 */   GIR_RootConstrainSelectedInstOperands,
     /* 371072 */   // GIR_Coverage, 915,
     /* 371072 */   GIR_Done,
     /* 371073 */ // Label 7412: @371073
     /* 371073 */ GIM_Reject,
     /* 371074 */ // Label 7404: @371074
     /* 371074 */ GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(371295),
     /* 371079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 371082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371090 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(371109), // Rule ID 911 //
     /* 371095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 371098 */     // (fceil:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTPv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 371098 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv8f16),
     /* 371103 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371107 */     GIR_RootConstrainSelectedInstOperands,
     /* 371108 */     // GIR_Coverage, 911,
     /* 371108 */     GIR_Done,
     /* 371109 */   // Label 7414: @371109
     /* 371109 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(371294), // Rule ID 6986 //
     /* 371114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 371117 */     // (fceil:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTPv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTPv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 371117 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 371120 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 371124 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371129 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 371133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 371135 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 371138 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f32),
     /* 371142 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371147 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 371150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 371152 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 371155 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371159 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371164 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 371170 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371175 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371180 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 371183 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 371187 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371192 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 371195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 371197 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 371200 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTPv4f32),
     /* 371204 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371209 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 371212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 371214 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 371217 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 371221 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371226 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 371229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 371231 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 371234 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 371238 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 371245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 371248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 371252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371257 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 371260 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 371263 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 371266 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371271 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371276 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 371284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 371286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 371289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 371292 */     GIR_RootConstrainSelectedInstOperands,
     /* 371293 */     // GIR_Coverage, 6986,
     /* 371293 */     GIR_EraseRootFromParent_Done,
     /* 371294 */   // Label 7415: @371294
     /* 371294 */   GIM_Reject,
     /* 371295 */ // Label 7413: @371295
     /* 371295 */ GIM_Reject,
     /* 371296 */ // Label 7405: @371296
     /* 371296 */ GIM_Reject,
     /* 371297 */ // Label 97: @371297
     /* 371297 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7424*/ GIMT_Encode4(371596),
     /* 371308 */ /*GILLT_s16*//*Label 7416*/ GIMT_Encode4(371348),
     /* 371312 */ /*GILLT_s32*//*Label 7417*/ GIMT_Encode4(371379),
     /* 371316 */ /*GILLT_s64*//*Label 7418*/ GIMT_Encode4(371410), GIMT_Encode4(0),
     /* 371324 */ /*GILLT_v2s32*//*Label 7419*/ GIMT_Encode4(371441),
     /* 371328 */ /*GILLT_v2s64*//*Label 7420*/ GIMT_Encode4(371472),
     /* 371332 */ /*GILLT_v4s16*//*Label 7421*/ GIMT_Encode4(371503),
     /* 371336 */ /*GILLT_v4s32*//*Label 7422*/ GIMT_Encode4(371534), GIMT_Encode4(0),
     /* 371344 */ /*GILLT_v8s16*//*Label 7423*/ GIMT_Encode4(371565),
     /* 371348 */ // Label 7416: @371348
     /* 371348 */ GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(371378), // Rule ID 570 //
     /* 371353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 371356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 371359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371367 */   // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FSQRTHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 371367 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTHr),
     /* 371372 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371376 */   GIR_RootConstrainSelectedInstOperands,
     /* 371377 */   // GIR_Coverage, 570,
     /* 371377 */   GIR_Done,
     /* 371378 */ // Label 7425: @371378
     /* 371378 */ GIM_Reject,
     /* 371379 */ // Label 7417: @371379
     /* 371379 */ GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(371409), // Rule ID 572 //
     /* 371384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 371390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 371394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 371398 */   // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FSQRTSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 371398 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTSr),
     /* 371403 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371407 */   GIR_RootConstrainSelectedInstOperands,
     /* 371408 */   // GIR_Coverage, 572,
     /* 371408 */   GIR_Done,
     /* 371409 */ // Label 7426: @371409
     /* 371409 */ GIM_Reject,
     /* 371410 */ // Label 7418: @371410
     /* 371410 */ GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(371440), // Rule ID 574 //
     /* 371415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 371421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371429 */   // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FSQRTDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 371429 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTDr),
     /* 371434 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371438 */   GIR_RootConstrainSelectedInstOperands,
     /* 371439 */   // GIR_Coverage, 574,
     /* 371439 */   GIR_Done,
     /* 371440 */ // Label 7427: @371440
     /* 371440 */ GIM_Reject,
     /* 371441 */ // Label 7419: @371441
     /* 371441 */ GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(371471), // Rule ID 960 //
     /* 371446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 371452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371460 */   // (fsqrt:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FSQRTv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 371460 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f32),
     /* 371465 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371469 */   GIR_RootConstrainSelectedInstOperands,
     /* 371470 */   // GIR_Coverage, 960,
     /* 371470 */   GIR_Done,
     /* 371471 */ // Label 7428: @371471
     /* 371471 */ GIM_Reject,
     /* 371472 */ // Label 7420: @371472
     /* 371472 */ GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(371502), // Rule ID 964 //
     /* 371477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371491 */   // (fsqrt:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FSQRTv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 371491 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f64),
     /* 371496 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371500 */   GIR_RootConstrainSelectedInstOperands,
     /* 371501 */   // GIR_Coverage, 964,
     /* 371501 */   GIR_Done,
     /* 371502 */ // Label 7429: @371502
     /* 371502 */ GIM_Reject,
     /* 371503 */ // Label 7421: @371503
     /* 371503 */ GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(371533), // Rule ID 956 //
     /* 371508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 371511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 371514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371522 */   // (fsqrt:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FSQRTv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 371522 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f16),
     /* 371527 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371531 */   GIR_RootConstrainSelectedInstOperands,
     /* 371532 */   // GIR_Coverage, 956,
     /* 371532 */   GIR_Done,
     /* 371533 */ // Label 7430: @371533
     /* 371533 */ GIM_Reject,
     /* 371534 */ // Label 7422: @371534
     /* 371534 */ GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(371564), // Rule ID 962 //
     /* 371539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 371545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371553 */   // (fsqrt:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FSQRTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 371553 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f32),
     /* 371558 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371562 */   GIR_RootConstrainSelectedInstOperands,
     /* 371563 */   // GIR_Coverage, 962,
     /* 371563 */   GIR_Done,
     /* 371564 */ // Label 7431: @371564
     /* 371564 */ GIM_Reject,
     /* 371565 */ // Label 7423: @371565
     /* 371565 */ GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(371595), // Rule ID 958 //
     /* 371570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 371573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 371576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371584 */   // (fsqrt:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FSQRTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 371584 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv8f16),
     /* 371589 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371593 */   GIR_RootConstrainSelectedInstOperands,
     /* 371594 */   // GIR_Coverage, 958,
     /* 371594 */   GIR_Done,
     /* 371595 */ // Label 7432: @371595
     /* 371595 */ GIM_Reject,
     /* 371596 */ // Label 7424: @371596
     /* 371596 */ GIM_Reject,
     /* 371597 */ // Label 98: @371597
     /* 371597 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7441*/ GIMT_Encode4(372087),
     /* 371608 */ /*GILLT_s16*//*Label 7433*/ GIMT_Encode4(371648),
     /* 371612 */ /*GILLT_s32*//*Label 7434*/ GIMT_Encode4(371679),
     /* 371616 */ /*GILLT_s64*//*Label 7435*/ GIMT_Encode4(371710), GIMT_Encode4(0),
     /* 371624 */ /*GILLT_v2s32*//*Label 7436*/ GIMT_Encode4(371741),
     /* 371628 */ /*GILLT_v2s64*//*Label 7437*/ GIMT_Encode4(371772),
     /* 371632 */ /*GILLT_v4s16*//*Label 7438*/ GIMT_Encode4(371803),
     /* 371636 */ /*GILLT_v4s32*//*Label 7439*/ GIMT_Encode4(371834), GIMT_Encode4(0),
     /* 371644 */ /*GILLT_v8s16*//*Label 7440*/ GIMT_Encode4(371865),
     /* 371648 */ // Label 7433: @371648
     /* 371648 */ GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(371678), // Rule ID 540 //
     /* 371653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 371656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 371659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 371667 */   // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTMHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 371667 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMHr),
     /* 371672 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371676 */   GIR_RootConstrainSelectedInstOperands,
     /* 371677 */   // GIR_Coverage, 540,
     /* 371677 */   GIR_Done,
     /* 371678 */ // Label 7442: @371678
     /* 371678 */ GIM_Reject,
     /* 371679 */ // Label 7434: @371679
     /* 371679 */ GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(371709), // Rule ID 542 //
     /* 371684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 371690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 371694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 371698 */   // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTMSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 371698 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMSr),
     /* 371703 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371707 */   GIR_RootConstrainSelectedInstOperands,
     /* 371708 */   // GIR_Coverage, 542,
     /* 371708 */   GIR_Done,
     /* 371709 */ // Label 7443: @371709
     /* 371709 */ GIM_Reject,
     /* 371710 */ // Label 7435: @371710
     /* 371710 */ GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(371740), // Rule ID 544 //
     /* 371715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 371718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 371721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371729 */   // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTMDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 371729 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMDr),
     /* 371734 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371738 */   GIR_RootConstrainSelectedInstOperands,
     /* 371739 */   // GIR_Coverage, 544,
     /* 371739 */   GIR_Done,
     /* 371740 */ // Label 7444: @371740
     /* 371740 */ GIM_Reject,
     /* 371741 */ // Label 7436: @371741
     /* 371741 */ GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(371771), // Rule ID 893 //
     /* 371746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 371752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371760 */   // (ffloor:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTMv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 371760 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv2f32),
     /* 371765 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371769 */   GIR_RootConstrainSelectedInstOperands,
     /* 371770 */   // GIR_Coverage, 893,
     /* 371770 */   GIR_Done,
     /* 371771 */ // Label 7445: @371771
     /* 371771 */ GIM_Reject,
     /* 371772 */ // Label 7437: @371772
     /* 371772 */ GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(371802), // Rule ID 897 //
     /* 371777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 371783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371791 */   // (ffloor:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTMv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 371791 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv2f64),
     /* 371796 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371800 */   GIR_RootConstrainSelectedInstOperands,
     /* 371801 */   // GIR_Coverage, 897,
     /* 371801 */   GIR_Done,
     /* 371802 */ // Label 7446: @371802
     /* 371802 */ GIM_Reject,
     /* 371803 */ // Label 7438: @371803
     /* 371803 */ GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(371833), // Rule ID 889 //
     /* 371808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 371811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 371814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371822 */   // (ffloor:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTMv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 371822 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f16),
     /* 371827 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371831 */   GIR_RootConstrainSelectedInstOperands,
     /* 371832 */   // GIR_Coverage, 889,
     /* 371832 */   GIR_Done,
     /* 371833 */ // Label 7447: @371833
     /* 371833 */ GIM_Reject,
     /* 371834 */ // Label 7439: @371834
     /* 371834 */ GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(371864), // Rule ID 895 //
     /* 371839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 371842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 371845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371853 */   // (ffloor:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTMv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 371853 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f32),
     /* 371858 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371862 */   GIR_RootConstrainSelectedInstOperands,
     /* 371863 */   // GIR_Coverage, 895,
     /* 371863 */   GIR_Done,
     /* 371864 */ // Label 7448: @371864
     /* 371864 */ GIM_Reject,
     /* 371865 */ // Label 7440: @371865
     /* 371865 */ GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(372086),
     /* 371870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 371873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371881 */   GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(371900), // Rule ID 891 //
     /* 371886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 371889 */     // (ffloor:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTMv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 371889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv8f16),
     /* 371894 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 371898 */     GIR_RootConstrainSelectedInstOperands,
     /* 371899 */     // GIR_Coverage, 891,
     /* 371899 */     GIR_Done,
     /* 371900 */   // Label 7450: @371900
     /* 371900 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(372085), // Rule ID 6988 //
     /* 371905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 371908 */     // (ffloor:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTMv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTMv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 371908 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 371911 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 371915 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371920 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 371924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 371926 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 371929 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f32),
     /* 371933 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371938 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 371941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 371943 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 371946 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 371950 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371955 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 371961 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 371966 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 371971 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 371974 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 371978 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 371983 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 371986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 371988 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 371991 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTMv4f32),
     /* 371995 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372000 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 372003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 372005 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 372008 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 372012 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372017 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 372020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 372022 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 372025 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 372029 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 372036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 372039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 372043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372048 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 372051 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 372054 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 372057 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372062 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372067 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 372075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 372077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 372080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 372083 */     GIR_RootConstrainSelectedInstOperands,
     /* 372084 */     // GIR_Coverage, 6988,
     /* 372084 */     GIR_EraseRootFromParent_Done,
     /* 372085 */   // Label 7451: @372085
     /* 372085 */   GIM_Reject,
     /* 372086 */ // Label 7449: @372086
     /* 372086 */ GIM_Reject,
     /* 372087 */ // Label 7441: @372087
     /* 372087 */ GIM_Reject,
     /* 372088 */ // Label 99: @372088
     /* 372088 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7460*/ GIMT_Encode4(372578),
     /* 372099 */ /*GILLT_s16*//*Label 7452*/ GIMT_Encode4(372139),
     /* 372103 */ /*GILLT_s32*//*Label 7453*/ GIMT_Encode4(372170),
     /* 372107 */ /*GILLT_s64*//*Label 7454*/ GIMT_Encode4(372201), GIMT_Encode4(0),
     /* 372115 */ /*GILLT_v2s32*//*Label 7455*/ GIMT_Encode4(372232),
     /* 372119 */ /*GILLT_v2s64*//*Label 7456*/ GIMT_Encode4(372263),
     /* 372123 */ /*GILLT_v4s16*//*Label 7457*/ GIMT_Encode4(372294),
     /* 372127 */ /*GILLT_v4s32*//*Label 7458*/ GIMT_Encode4(372325), GIMT_Encode4(0),
     /* 372135 */ /*GILLT_v8s16*//*Label 7459*/ GIMT_Encode4(372356),
     /* 372139 */ // Label 7452: @372139
     /* 372139 */ GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(372169), // Rule ID 558 //
     /* 372144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 372147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 372150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 372154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 372158 */   // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTXHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 372158 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXHr),
     /* 372163 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372167 */   GIR_RootConstrainSelectedInstOperands,
     /* 372168 */   // GIR_Coverage, 558,
     /* 372168 */   GIR_Done,
     /* 372169 */ // Label 7461: @372169
     /* 372169 */ GIM_Reject,
     /* 372170 */ // Label 7453: @372170
     /* 372170 */ GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(372200), // Rule ID 560 //
     /* 372175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 372178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 372181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372189 */   // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTXSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 372189 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXSr),
     /* 372194 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372198 */   GIR_RootConstrainSelectedInstOperands,
     /* 372199 */   // GIR_Coverage, 560,
     /* 372199 */   GIR_Done,
     /* 372200 */ // Label 7462: @372200
     /* 372200 */ GIM_Reject,
     /* 372201 */ // Label 7454: @372201
     /* 372201 */ GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(372231), // Rule ID 562 //
     /* 372206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 372209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 372212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372220 */   // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTXDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 372220 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXDr),
     /* 372225 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372229 */   GIR_RootConstrainSelectedInstOperands,
     /* 372230 */   // GIR_Coverage, 562,
     /* 372230 */   GIR_Done,
     /* 372231 */ // Label 7463: @372231
     /* 372231 */ GIM_Reject,
     /* 372232 */ // Label 7455: @372232
     /* 372232 */ GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(372262), // Rule ID 923 //
     /* 372237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 372243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372251 */   // (frint:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTXv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 372251 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv2f32),
     /* 372256 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372260 */   GIR_RootConstrainSelectedInstOperands,
     /* 372261 */   // GIR_Coverage, 923,
     /* 372261 */   GIR_Done,
     /* 372262 */ // Label 7464: @372262
     /* 372262 */ GIM_Reject,
     /* 372263 */ // Label 7456: @372263
     /* 372263 */ GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(372293), // Rule ID 927 //
     /* 372268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 372274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372282 */   // (frint:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTXv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 372282 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv2f64),
     /* 372287 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372291 */   GIR_RootConstrainSelectedInstOperands,
     /* 372292 */   // GIR_Coverage, 927,
     /* 372292 */   GIR_Done,
     /* 372293 */ // Label 7465: @372293
     /* 372293 */ GIM_Reject,
     /* 372294 */ // Label 7457: @372294
     /* 372294 */ GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(372324), // Rule ID 919 //
     /* 372299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 372302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 372305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372313 */   // (frint:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTXv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 372313 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f16),
     /* 372318 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372322 */   GIR_RootConstrainSelectedInstOperands,
     /* 372323 */   // GIR_Coverage, 919,
     /* 372323 */   GIR_Done,
     /* 372324 */ // Label 7466: @372324
     /* 372324 */ GIM_Reject,
     /* 372325 */ // Label 7458: @372325
     /* 372325 */ GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(372355), // Rule ID 925 //
     /* 372330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372344 */   // (frint:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTXv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 372344 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f32),
     /* 372349 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372353 */   GIR_RootConstrainSelectedInstOperands,
     /* 372354 */   // GIR_Coverage, 925,
     /* 372354 */   GIR_Done,
     /* 372355 */ // Label 7467: @372355
     /* 372355 */ GIM_Reject,
     /* 372356 */ // Label 7459: @372356
     /* 372356 */ GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(372577),
     /* 372361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 372364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372372 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(372391), // Rule ID 921 //
     /* 372377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 372380 */     // (frint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTXv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 372380 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv8f16),
     /* 372385 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372389 */     GIR_RootConstrainSelectedInstOperands,
     /* 372390 */     // GIR_Coverage, 921,
     /* 372390 */     GIR_Done,
     /* 372391 */   // Label 7469: @372391
     /* 372391 */   GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(372576), // Rule ID 6996 //
     /* 372396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 372399 */     // (frint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTXv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTXv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 372399 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 372402 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 372406 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372411 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 372415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 372417 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 372420 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f32),
     /* 372424 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372429 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 372432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 372434 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 372437 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 372441 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372446 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 372452 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372457 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372462 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 372465 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 372469 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372474 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 372477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 372479 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 372482 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTXv4f32),
     /* 372486 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372491 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 372494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 372496 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 372499 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 372503 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372508 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 372511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 372513 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 372516 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 372520 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 372527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 372530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 372534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372539 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 372542 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 372545 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 372548 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372553 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372558 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 372566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 372568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 372571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 372574 */     GIR_RootConstrainSelectedInstOperands,
     /* 372575 */     // GIR_Coverage, 6996,
     /* 372575 */     GIR_EraseRootFromParent_Done,
     /* 372576 */   // Label 7470: @372576
     /* 372576 */   GIM_Reject,
     /* 372577 */ // Label 7468: @372577
     /* 372577 */ GIM_Reject,
     /* 372578 */ // Label 7460: @372578
     /* 372578 */ GIM_Reject,
     /* 372579 */ // Label 100: @372579
     /* 372579 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7479*/ GIMT_Encode4(373069),
     /* 372590 */ /*GILLT_s16*//*Label 7471*/ GIMT_Encode4(372630),
     /* 372594 */ /*GILLT_s32*//*Label 7472*/ GIMT_Encode4(372661),
     /* 372598 */ /*GILLT_s64*//*Label 7473*/ GIMT_Encode4(372692), GIMT_Encode4(0),
     /* 372606 */ /*GILLT_v2s32*//*Label 7474*/ GIMT_Encode4(372723),
     /* 372610 */ /*GILLT_v2s64*//*Label 7475*/ GIMT_Encode4(372754),
     /* 372614 */ /*GILLT_v4s16*//*Label 7476*/ GIMT_Encode4(372785),
     /* 372618 */ /*GILLT_v4s32*//*Label 7477*/ GIMT_Encode4(372816), GIMT_Encode4(0),
     /* 372626 */ /*GILLT_v8s16*//*Label 7478*/ GIMT_Encode4(372847),
     /* 372630 */ // Label 7471: @372630
     /* 372630 */ GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(372660), // Rule ID 534 //
     /* 372635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 372638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 372641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 372645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 372649 */   // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FRINTIHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 372649 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIHr),
     /* 372654 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372658 */   GIR_RootConstrainSelectedInstOperands,
     /* 372659 */   // GIR_Coverage, 534,
     /* 372659 */   GIR_Done,
     /* 372660 */ // Label 7480: @372660
     /* 372660 */ GIM_Reject,
     /* 372661 */ // Label 7472: @372661
     /* 372661 */ GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(372691), // Rule ID 536 //
     /* 372666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 372669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 372672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 372680 */   // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FRINTISr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 372680 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTISr),
     /* 372685 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372689 */   GIR_RootConstrainSelectedInstOperands,
     /* 372690 */   // GIR_Coverage, 536,
     /* 372690 */   GIR_Done,
     /* 372691 */ // Label 7481: @372691
     /* 372691 */ GIM_Reject,
     /* 372692 */ // Label 7473: @372692
     /* 372692 */ GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(372722), // Rule ID 538 //
     /* 372697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 372700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 372703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372711 */   // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FRINTIDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 372711 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIDr),
     /* 372716 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372720 */   GIR_RootConstrainSelectedInstOperands,
     /* 372721 */   // GIR_Coverage, 538,
     /* 372721 */   GIR_Done,
     /* 372722 */ // Label 7482: @372722
     /* 372722 */ GIM_Reject,
     /* 372723 */ // Label 7474: @372723
     /* 372723 */ GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(372753), // Rule ID 883 //
     /* 372728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 372734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372742 */   // (fnearbyint:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FRINTIv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 372742 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv2f32),
     /* 372747 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372751 */   GIR_RootConstrainSelectedInstOperands,
     /* 372752 */   // GIR_Coverage, 883,
     /* 372752 */   GIR_Done,
     /* 372753 */ // Label 7483: @372753
     /* 372753 */ GIM_Reject,
     /* 372754 */ // Label 7475: @372754
     /* 372754 */ GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(372784), // Rule ID 887 //
     /* 372759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 372765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372773 */   // (fnearbyint:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FRINTIv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 372773 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv2f64),
     /* 372778 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372782 */   GIR_RootConstrainSelectedInstOperands,
     /* 372783 */   // GIR_Coverage, 887,
     /* 372783 */   GIR_Done,
     /* 372784 */ // Label 7484: @372784
     /* 372784 */ GIM_Reject,
     /* 372785 */ // Label 7476: @372785
     /* 372785 */ GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(372815), // Rule ID 879 //
     /* 372790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 372793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 372796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372804 */   // (fnearbyint:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FRINTIv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 372804 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f16),
     /* 372809 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372813 */   GIR_RootConstrainSelectedInstOperands,
     /* 372814 */   // GIR_Coverage, 879,
     /* 372814 */   GIR_Done,
     /* 372815 */ // Label 7485: @372815
     /* 372815 */ GIM_Reject,
     /* 372816 */ // Label 7477: @372816
     /* 372816 */ GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(372846), // Rule ID 885 //
     /* 372821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 372824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 372827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372835 */   // (fnearbyint:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FRINTIv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 372835 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f32),
     /* 372840 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372844 */   GIR_RootConstrainSelectedInstOperands,
     /* 372845 */   // GIR_Coverage, 885,
     /* 372845 */   GIR_Done,
     /* 372846 */ // Label 7486: @372846
     /* 372846 */ GIM_Reject,
     /* 372847 */ // Label 7478: @372847
     /* 372847 */ GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(373068),
     /* 372852 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 372855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372859 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372863 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(372882), // Rule ID 881 //
     /* 372868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 372871 */     // (fnearbyint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FRINTIv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 372871 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv8f16),
     /* 372876 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 372880 */     GIR_RootConstrainSelectedInstOperands,
     /* 372881 */     // GIR_Coverage, 881,
     /* 372881 */     GIR_Done,
     /* 372882 */   // Label 7488: @372882
     /* 372882 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(373067), // Rule ID 6990 //
     /* 372887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 372890 */     // (fnearbyint:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FRINTIv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FRINTIv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn)))
     /* 372890 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s32,
     /* 372893 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 372897 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372902 */     GIR_Copy, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 372906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/8,
     /* 372908 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 372911 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f32),
     /* 372915 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372920 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 372923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 372925 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 372928 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 372932 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372937 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 372943 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 372948 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 372953 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 372956 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 372960 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372965 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 372968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 372970 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 372973 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FRINTIv4f32),
     /* 372977 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372982 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 372985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 372987 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 372990 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 372994 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 372999 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 373002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 373004 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 373007 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 373011 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 373018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 373021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 373025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373030 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 373033 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 373036 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 373039 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373044 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373049 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 373057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 373059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/6,
     /* 373065 */     GIR_RootConstrainSelectedInstOperands,
     /* 373066 */     // GIR_Coverage, 6990,
     /* 373066 */     GIR_EraseRootFromParent_Done,
     /* 373067 */   // Label 7489: @373067
     /* 373067 */   GIM_Reject,
     /* 373068 */ // Label 7487: @373068
     /* 373068 */ GIM_Reject,
     /* 373069 */ // Label 7479: @373069
     /* 373069 */ GIM_Reject,
     /* 373070 */ // Label 101: @373070
     /* 373070 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7498*/ GIMT_Encode4(374195),
     /* 373081 */ /*GILLT_s16*//*Label 7490*/ GIMT_Encode4(373121),
     /* 373085 */ /*GILLT_s32*//*Label 7491*/ GIMT_Encode4(373347),
     /* 373089 */ /*GILLT_s64*//*Label 7492*/ GIMT_Encode4(373573), GIMT_Encode4(0),
     /* 373097 */ /*GILLT_v2s32*//*Label 7493*/ GIMT_Encode4(373745),
     /* 373101 */ /*GILLT_v2s64*//*Label 7494*/ GIMT_Encode4(373783),
     /* 373105 */ /*GILLT_v4s16*//*Label 7495*/ GIMT_Encode4(373821),
     /* 373109 */ /*GILLT_v4s32*//*Label 7496*/ GIMT_Encode4(373859), GIMT_Encode4(0),
     /* 373117 */ /*GILLT_v8s16*//*Label 7497*/ GIMT_Encode4(373897),
     /* 373121 */ // Label 7490: @373121
     /* 373121 */ GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(373346),
     /* 373126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 373129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 373132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 373136 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(373227), // Rule ID 6910 //
     /* 373141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 373153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373162 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 373166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373170 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373174 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373178 */     // MIs[2] Rn
     /* 373178 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373183 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 373187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373189 */     // (strict_fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 373189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 373192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 373196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373201 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 373207 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373212 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 373220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373225 */     GIR_RootConstrainSelectedInstOperands,
     /* 373226 */     // GIR_Coverage, 6910,
     /* 373226 */     GIR_EraseRootFromParent_Done,
     /* 373227 */   // Label 7500: @373227
     /* 373227 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(373318), // Rule ID 13913 //
     /* 373232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 373244 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373253 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 373257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373265 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373269 */     // MIs[2] Rn
     /* 373269 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373274 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 373278 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373280 */     // (strict_fadd:{ *:[f16] } (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f16] } FPR128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] }))
     /* 373280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 373283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 373287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373292 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 373298 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373303 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 373311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373316 */     GIR_RootConstrainSelectedInstOperands,
     /* 373317 */     // GIR_Coverage, 13913,
     /* 373317 */     GIR_EraseRootFromParent_Done,
     /* 373318 */   // Label 7501: @373318
     /* 373318 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(373345), // Rule ID 583 //
     /* 373323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 373326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 373330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 373334 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FADDHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 373334 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDHrr),
     /* 373339 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373343 */     GIR_RootConstrainSelectedInstOperands,
     /* 373344 */     // GIR_Coverage, 583,
     /* 373344 */     GIR_Done,
     /* 373345 */   // Label 7502: @373345
     /* 373345 */   GIM_Reject,
     /* 373346 */ // Label 7499: @373346
     /* 373346 */ GIM_Reject,
     /* 373347 */ // Label 7491: @373347
     /* 373347 */ GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(373572),
     /* 373352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 373355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 373358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373362 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(373453), // Rule ID 6908 //
     /* 373367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 373379 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373388 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 373392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373400 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373404 */     // MIs[2] Rn
     /* 373404 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373409 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 373413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373415 */     // (strict_fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 373415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 373418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 373422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373427 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 373433 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373438 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 373446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373451 */     GIR_RootConstrainSelectedInstOperands,
     /* 373452 */     // GIR_Coverage, 6908,
     /* 373452 */     GIR_EraseRootFromParent_Done,
     /* 373453 */   // Label 7504: @373453
     /* 373453 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(373544), // Rule ID 13911 //
     /* 373458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 373470 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373479 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 373483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373491 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373495 */     // MIs[2] Rn
     /* 373495 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373500 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 373504 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373506 */     // (strict_fadd:{ *:[f32] } (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f32] } FPR128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } FPR128:{ *:[v4f32] }:$Rn, dsub:{ *:[i32] }))
     /* 373506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 373509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 373513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373518 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 373524 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373529 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 373537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 373542 */     GIR_RootConstrainSelectedInstOperands,
     /* 373543 */     // GIR_Coverage, 13911,
     /* 373543 */     GIR_EraseRootFromParent_Done,
     /* 373544 */   // Label 7505: @373544
     /* 373544 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(373571), // Rule ID 585 //
     /* 373549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 373552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 373560 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FADDSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 373560 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDSrr),
     /* 373565 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373569 */     GIR_RootConstrainSelectedInstOperands,
     /* 373570 */     // GIR_Coverage, 585,
     /* 373570 */     GIR_Done,
     /* 373571 */   // Label 7506: @373571
     /* 373571 */   GIM_Reject,
     /* 373572 */ // Label 7503: @373572
     /* 373572 */ GIM_Reject,
     /* 373573 */ // Label 7492: @373573
     /* 373573 */ GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(373744),
     /* 373578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 373581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 373584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373588 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(373652), // Rule ID 6906 //
     /* 373593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 373605 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373609 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373614 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 373618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373626 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373630 */     // MIs[2] Rn
     /* 373630 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373635 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /* 373639 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373641 */     // (strict_fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 373641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 373644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 373650 */     GIR_RootConstrainSelectedInstOperands,
     /* 373651 */     // GIR_Coverage, 6906,
     /* 373651 */     GIR_EraseRootFromParent_Done,
     /* 373652 */   // Label 7508: @373652
     /* 373652 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(373716), // Rule ID 13909 //
     /* 373657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 373661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 373669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 373673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373678 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /* 373682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 373686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 373690 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 373694 */     // MIs[2] Rn
     /* 373694 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 373699 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 373703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 373705 */     // (strict_fadd:{ *:[f64] } (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }), (vector_extract:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FADDPv2i64p:{ *:[f64] } FPR128:{ *:[v2f64] }:$Rn)
     /* 373705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 373708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 373710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 373714 */     GIR_RootConstrainSelectedInstOperands,
     /* 373715 */     // GIR_Coverage, 13909,
     /* 373715 */     GIR_EraseRootFromParent_Done,
     /* 373716 */   // Label 7509: @373716
     /* 373716 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(373743), // Rule ID 587 //
     /* 373721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 373724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373732 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FADDDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 373732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDDrr),
     /* 373737 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373741 */     GIR_RootConstrainSelectedInstOperands,
     /* 373742 */     // GIR_Coverage, 587,
     /* 373742 */     GIR_Done,
     /* 373743 */   // Label 7510: @373743
     /* 373743 */   GIM_Reject,
     /* 373744 */ // Label 7507: @373744
     /* 373744 */ GIM_Reject,
     /* 373745 */ // Label 7493: @373745
     /* 373745 */ GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(373782), // Rule ID 1202 //
     /* 373750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 373756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 373759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373771 */   // (strict_fadd:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FADDv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 373771 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f32),
     /* 373776 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373780 */   GIR_RootConstrainSelectedInstOperands,
     /* 373781 */   // GIR_Coverage, 1202,
     /* 373781 */   GIR_Done,
     /* 373782 */ // Label 7511: @373782
     /* 373782 */ GIM_Reject,
     /* 373783 */ // Label 7494: @373783
     /* 373783 */ GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(373820), // Rule ID 1206 //
     /* 373788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 373794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 373797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373809 */   // (strict_fadd:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FADDv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 373809 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv2f64),
     /* 373814 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373818 */   GIR_RootConstrainSelectedInstOperands,
     /* 373819 */   // GIR_Coverage, 1206,
     /* 373819 */   GIR_Done,
     /* 373820 */ // Label 7512: @373820
     /* 373820 */ GIM_Reject,
     /* 373821 */ // Label 7495: @373821
     /* 373821 */ GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(373858), // Rule ID 1198 //
     /* 373826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 373829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 373832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 373835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 373847 */   // (strict_fadd:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FADDv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 373847 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f16),
     /* 373852 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373856 */   GIR_RootConstrainSelectedInstOperands,
     /* 373857 */   // GIR_Coverage, 1198,
     /* 373857 */   GIR_Done,
     /* 373858 */ // Label 7513: @373858
     /* 373858 */ GIM_Reject,
     /* 373859 */ // Label 7496: @373859
     /* 373859 */ GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(373896), // Rule ID 1204 //
     /* 373864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 373867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 373870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 373873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373881 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373885 */   // (strict_fadd:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FADDv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 373885 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 373890 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373894 */   GIR_RootConstrainSelectedInstOperands,
     /* 373895 */   // GIR_Coverage, 1204,
     /* 373895 */   GIR_Done,
     /* 373896 */ // Label 7514: @373896
     /* 373896 */ GIM_Reject,
     /* 373897 */ // Label 7497: @373897
     /* 373897 */ GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(374194),
     /* 373902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 373905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 373908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 373920 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(373939), // Rule ID 1200 //
     /* 373925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 373928 */     // (strict_fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FADDv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 373928 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDv8f16),
     /* 373933 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 373937 */     GIR_RootConstrainSelectedInstOperands,
     /* 373938 */     // GIR_Coverage, 1200,
     /* 373938 */     GIR_Done,
     /* 373939 */   // Label 7516: @373939
     /* 373939 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(374193), // Rule ID 6999 //
     /* 373944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 373947 */     // (strict_fadd:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FADDv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FADDv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 373947 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 373950 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 373954 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373959 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 373963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 373965 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 373968 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 373972 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373977 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 373981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 373983 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 373986 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 373990 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 373995 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 373998 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 374001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 374003 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 374006 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 374010 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374015 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 374021 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374026 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374031 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 374034 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 374038 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374043 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 374046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 374048 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 374051 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 374055 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374060 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 374066 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374071 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374076 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 374079 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 374083 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374088 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 374091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 374093 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 374096 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FADDv4f32),
     /* 374100 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374105 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 374108 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 374111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 374113 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 374116 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 374120 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374125 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 374128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 374130 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 374133 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 374137 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 374144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 374147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 374151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374156 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 374159 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 374162 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 374165 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374170 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374175 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 374183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 374188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 374191 */     GIR_RootConstrainSelectedInstOperands,
     /* 374192 */     // GIR_Coverage, 6999,
     /* 374192 */     GIR_EraseRootFromParent_Done,
     /* 374193 */   // Label 7517: @374193
     /* 374193 */   GIM_Reject,
     /* 374194 */ // Label 7515: @374194
     /* 374194 */ GIM_Reject,
     /* 374195 */ // Label 7498: @374195
     /* 374195 */ GIM_Reject,
     /* 374196 */ // Label 102: @374196
     /* 374196 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7526*/ GIMT_Encode4(374811),
     /* 374207 */ /*GILLT_s16*//*Label 7518*/ GIMT_Encode4(374247),
     /* 374211 */ /*GILLT_s32*//*Label 7519*/ GIMT_Encode4(374285),
     /* 374215 */ /*GILLT_s64*//*Label 7520*/ GIMT_Encode4(374323), GIMT_Encode4(0),
     /* 374223 */ /*GILLT_v2s32*//*Label 7521*/ GIMT_Encode4(374361),
     /* 374227 */ /*GILLT_v2s64*//*Label 7522*/ GIMT_Encode4(374399),
     /* 374231 */ /*GILLT_v4s16*//*Label 7523*/ GIMT_Encode4(374437),
     /* 374235 */ /*GILLT_v4s32*//*Label 7524*/ GIMT_Encode4(374475), GIMT_Encode4(0),
     /* 374243 */ /*GILLT_v8s16*//*Label 7525*/ GIMT_Encode4(374513),
     /* 374247 */ // Label 7518: @374247
     /* 374247 */ GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(374284), // Rule ID 631 //
     /* 374252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 374255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 374258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 374261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 374265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 374269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 374273 */   // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FSUBHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 374273 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBHrr),
     /* 374278 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374282 */   GIR_RootConstrainSelectedInstOperands,
     /* 374283 */   // GIR_Coverage, 631,
     /* 374283 */   GIR_Done,
     /* 374284 */ // Label 7527: @374284
     /* 374284 */ GIM_Reject,
     /* 374285 */ // Label 7519: @374285
     /* 374285 */ GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(374322), // Rule ID 633 //
     /* 374290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 374293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 374296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 374299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 374303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 374307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 374311 */   // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FSUBSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 374311 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBSrr),
     /* 374316 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374320 */   GIR_RootConstrainSelectedInstOperands,
     /* 374321 */   // GIR_Coverage, 633,
     /* 374321 */   GIR_Done,
     /* 374322 */ // Label 7528: @374322
     /* 374322 */ GIM_Reject,
     /* 374323 */ // Label 7520: @374323
     /* 374323 */ GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(374360), // Rule ID 635 //
     /* 374328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 374331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 374334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 374337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374349 */   // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FSUBDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 374349 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBDrr),
     /* 374354 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374358 */   GIR_RootConstrainSelectedInstOperands,
     /* 374359 */   // GIR_Coverage, 635,
     /* 374359 */   GIR_Done,
     /* 374360 */ // Label 7529: @374360
     /* 374360 */ GIM_Reject,
     /* 374361 */ // Label 7521: @374361
     /* 374361 */ GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(374398), // Rule ID 1342 //
     /* 374366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 374372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 374375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374387 */   // (strict_fsub:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FSUBv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 374387 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f32),
     /* 374392 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374396 */   GIR_RootConstrainSelectedInstOperands,
     /* 374397 */   // GIR_Coverage, 1342,
     /* 374397 */   GIR_Done,
     /* 374398 */ // Label 7530: @374398
     /* 374398 */ GIM_Reject,
     /* 374399 */ // Label 7522: @374399
     /* 374399 */ GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(374436), // Rule ID 1346 //
     /* 374404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 374410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 374413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374425 */   // (strict_fsub:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FSUBv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 374425 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv2f64),
     /* 374430 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374434 */   GIR_RootConstrainSelectedInstOperands,
     /* 374435 */   // GIR_Coverage, 1346,
     /* 374435 */   GIR_Done,
     /* 374436 */ // Label 7531: @374436
     /* 374436 */ GIM_Reject,
     /* 374437 */ // Label 7523: @374437
     /* 374437 */ GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(374474), // Rule ID 1338 //
     /* 374442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 374445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 374448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 374451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374459 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374463 */   // (strict_fsub:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FSUBv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 374463 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f16),
     /* 374468 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374472 */   GIR_RootConstrainSelectedInstOperands,
     /* 374473 */   // GIR_Coverage, 1338,
     /* 374473 */   GIR_Done,
     /* 374474 */ // Label 7532: @374474
     /* 374474 */ GIM_Reject,
     /* 374475 */ // Label 7524: @374475
     /* 374475 */ GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(374512), // Rule ID 1344 //
     /* 374480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 374483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 374486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 374489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374501 */   // (strict_fsub:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FSUBv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 374501 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 374506 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374510 */   GIR_RootConstrainSelectedInstOperands,
     /* 374511 */   // GIR_Coverage, 1344,
     /* 374511 */   GIR_Done,
     /* 374512 */ // Label 7533: @374512
     /* 374512 */ GIM_Reject,
     /* 374513 */ // Label 7525: @374513
     /* 374513 */ GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(374810),
     /* 374518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 374521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 374524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374536 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(374555), // Rule ID 1340 //
     /* 374541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 374544 */     // (strict_fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FSUBv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 374544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSUBv8f16),
     /* 374549 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 374553 */     GIR_RootConstrainSelectedInstOperands,
     /* 374554 */     // GIR_Coverage, 1340,
     /* 374554 */     GIR_Done,
     /* 374555 */   // Label 7535: @374555
     /* 374555 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(374809), // Rule ID 7005 //
     /* 374560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 374563 */     // (strict_fsub:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FSUBv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FSUBv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 374563 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 374566 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 374570 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374575 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 374579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 374581 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 374584 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 374588 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374593 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 374597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 374599 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 374602 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 374606 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374611 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 374614 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 374617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 374619 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 374622 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 374626 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374631 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 374637 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374642 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374647 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 374650 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 374654 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374659 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 374662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 374664 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 374667 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 374671 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374676 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 374682 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374687 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374692 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 374695 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 374699 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374704 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 374707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 374709 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 374712 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FSUBv4f32),
     /* 374716 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374721 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 374724 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 374727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 374729 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 374732 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 374736 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374741 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 374744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 374746 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 374749 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 374753 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 374760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 374763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 374767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374772 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 374775 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 374778 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 374781 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374786 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374791 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 374796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 374799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 374801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 374804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 374807 */     GIR_RootConstrainSelectedInstOperands,
     /* 374808 */     // GIR_Coverage, 7005,
     /* 374808 */     GIR_EraseRootFromParent_Done,
     /* 374809 */   // Label 7536: @374809
     /* 374809 */   GIM_Reject,
     /* 374810 */ // Label 7534: @374810
     /* 374810 */ GIM_Reject,
     /* 374811 */ // Label 7526: @374811
     /* 374811 */ GIM_Reject,
     /* 374812 */ // Label 103: @374812
     /* 374812 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7545*/ GIMT_Encode4(378533),
     /* 374823 */ /*GILLT_s16*//*Label 7537*/ GIMT_Encode4(374863),
     /* 374827 */ /*GILLT_s32*//*Label 7538*/ GIMT_Encode4(375417),
     /* 374831 */ /*GILLT_s64*//*Label 7539*/ GIMT_Encode4(375965), GIMT_Encode4(0),
     /* 374839 */ /*GILLT_v2s32*//*Label 7540*/ GIMT_Encode4(376513),
     /* 374843 */ /*GILLT_v2s64*//*Label 7541*/ GIMT_Encode4(377043),
     /* 374847 */ /*GILLT_v4s16*//*Label 7542*/ GIMT_Encode4(377401),
     /* 374851 */ /*GILLT_v4s32*//*Label 7543*/ GIMT_Encode4(377743), GIMT_Encode4(0),
     /* 374859 */ /*GILLT_v8s16*//*Label 7544*/ GIMT_Encode4(378101),
     /* 374863 */ // Label 7537: @374863
     /* 374863 */ GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(375416),
     /* 374868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 374871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 374874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 374878 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(374991), // Rule ID 6240 //
     /* 374883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 374886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 374890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 374894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 374898 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 374902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374907 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 374911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 374915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 374919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 374923 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 374927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374932 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 374936 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 374940 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 374944 */     // MIs[3] Operand 1
     /* 374944 */     // No operand predicates
     /* 374944 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 374946 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 374946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 374949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 374953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 374958 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 374964 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 374969 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 374974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 374977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 374979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 374982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 374986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 374989 */     GIR_RootConstrainSelectedInstOperands,
     /* 374990 */     // GIR_Coverage, 6240,
     /* 374990 */     GIR_EraseRootFromParent_Done,
     /* 374991 */   // Label 7547: @374991
     /* 374991 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(375104), // Rule ID 13890 //
     /* 374996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 374999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375011 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375028 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 375032 */     // MIs[2] Operand 1
     /* 375032 */     // No operand predicates
     /* 375032 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 375036 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375040 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375044 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 375048 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375053 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 375057 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375059 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i16_indexed:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 375059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 375062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375071 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 375077 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375082 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 375090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 375102 */     GIR_RootConstrainSelectedInstOperands,
     /* 375103 */     // GIR_Coverage, 13890,
     /* 375103 */     GIR_EraseRootFromParent_Done,
     /* 375104 */   // Label 7548: @375104
     /* 375104 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(375183), // Rule ID 13824 //
     /* 375109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 375112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375133 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 375137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 375143 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rn)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 375143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 375146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375155 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 375161 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375166 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 375174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375176 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 375178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375181 */     GIR_RootConstrainSelectedInstOperands,
     /* 375182 */     // GIR_Coverage, 13824,
     /* 375182 */     GIR_EraseRootFromParent_Done,
     /* 375183 */   // Label 7549: @375183
     /* 375183 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(375262), // Rule ID 4802 //
     /* 375188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 375191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 375199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375207 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375216 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 375220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 375222 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }))  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }))
     /* 375222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 375225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375234 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 375240 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375245 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 375253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375255 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 375257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375260 */     GIR_RootConstrainSelectedInstOperands,
     /* 375261 */     // GIR_Coverage, 4802,
     /* 375261 */     GIR_EraseRootFromParent_Done,
     /* 375262 */   // Label 7550: @375262
     /* 375262 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(375325), // Rule ID 13439 //
     /* 375267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375282 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 375291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375299 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 375303 */     // MIs[2] Operand 1
     /* 375303 */     // No operand predicates
     /* 375303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 375309 */     // (strict_fmul:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16Op:{ *:[f16] }:$Rn)  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 375309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 375312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375314 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 375316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 375323 */     GIR_RootConstrainSelectedInstOperands,
     /* 375324 */     // GIR_Coverage, 13439,
     /* 375324 */     GIR_EraseRootFromParent_Done,
     /* 375325 */   // Label 7551: @375325
     /* 375325 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(375388), // Rule ID 2011 //
     /* 375330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 375333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 375341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 375349 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 375358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375366 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 375370 */     // MIs[2] Operand 1
     /* 375370 */     // No operand predicates
     /* 375370 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 375372 */     // (strict_fmul:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv1i16_indexed:{ *:[f16] } FPR16Op:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 375372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i16_indexed),
     /* 375375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375377 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 375379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 375386 */     GIR_RootConstrainSelectedInstOperands,
     /* 375387 */     // GIR_Coverage, 2011,
     /* 375387 */     GIR_EraseRootFromParent_Done,
     /* 375388 */   // Label 7552: @375388
     /* 375388 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(375415), // Rule ID 619 //
     /* 375393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 375396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 375404 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FMULHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 375404 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULHrr),
     /* 375409 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 375413 */     GIR_RootConstrainSelectedInstOperands,
     /* 375414 */     // GIR_Coverage, 619,
     /* 375414 */     GIR_Done,
     /* 375415 */   // Label 7553: @375415
     /* 375415 */   GIM_Reject,
     /* 375416 */ // Label 7546: @375416
     /* 375416 */ GIM_Reject,
     /* 375417 */ // Label 7538: @375417
     /* 375417 */ GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(375964),
     /* 375422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 375425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 375428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375432 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(375545), // Rule ID 6242 //
     /* 375437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375452 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375456 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375461 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 375465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 375469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375477 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 375481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375486 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 375490 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375494 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 375498 */     // MIs[3] Operand 1
     /* 375498 */     // No operand predicates
     /* 375498 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375500 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 375500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 375503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375512 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 375518 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375523 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 375531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 375540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 375543 */     GIR_RootConstrainSelectedInstOperands,
     /* 375544 */     // GIR_Coverage, 6242,
     /* 375544 */     GIR_EraseRootFromParent_Done,
     /* 375545 */   // Label 7555: @375545
     /* 375545 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(375658), // Rule ID 13892 //
     /* 375550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375565 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375582 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 375586 */     // MIs[2] Operand 1
     /* 375586 */     // No operand predicates
     /* 375586 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 375590 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375594 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375598 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 375602 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375607 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 375611 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 375613 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i32_indexed:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 375613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 375616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375625 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 375631 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375636 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 375644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 375656 */     GIR_RootConstrainSelectedInstOperands,
     /* 375657 */     // GIR_Coverage, 13892,
     /* 375657 */     GIR_EraseRootFromParent_Done,
     /* 375658 */   // Label 7556: @375658
     /* 375658 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(375734), // Rule ID 13826 //
     /* 375663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375684 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 375688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 375694 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rn)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 375694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 375697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375706 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 375712 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375717 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 375725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375727 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 375729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375732 */     GIR_RootConstrainSelectedInstOperands,
     /* 375733 */     // GIR_Coverage, 13826,
     /* 375733 */     GIR_EraseRootFromParent_Done,
     /* 375734 */   // Label 7557: @375734
     /* 375734 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(375810), // Rule ID 4804 //
     /* 375739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 375747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375764 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 375768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 375770 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }))  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }))
     /* 375770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 375773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 375777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 375782 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 375788 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375793 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 375801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375803 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 375805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 375808 */     GIR_RootConstrainSelectedInstOperands,
     /* 375809 */     // GIR_Coverage, 4804,
     /* 375809 */     GIR_EraseRootFromParent_Done,
     /* 375810 */   // Label 7558: @375810
     /* 375810 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(375873), // Rule ID 13441 //
     /* 375815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375847 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 375851 */     // MIs[2] Operand 1
     /* 375851 */     // No operand predicates
     /* 375851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 375857 */     // (strict_fmul:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32Op:{ *:[f32] }:$Rn)  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 375857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 375860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375862 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 375864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 375871 */     GIR_RootConstrainSelectedInstOperands,
     /* 375872 */     // GIR_Coverage, 13441,
     /* 375872 */     GIR_EraseRootFromParent_Done,
     /* 375873 */   // Label 7559: @375873
     /* 375873 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(375936), // Rule ID 2013 //
     /* 375878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 375889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 375897 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 375901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 375906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 375910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 375914 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 375918 */     // MIs[2] Operand 1
     /* 375918 */     // No operand predicates
     /* 375918 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 375920 */     // (strict_fmul:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv1i32_indexed:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 375920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i32_indexed),
     /* 375923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 375925 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 375927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 375931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 375934 */     GIR_RootConstrainSelectedInstOperands,
     /* 375935 */     // GIR_Coverage, 2013,
     /* 375935 */     GIR_EraseRootFromParent_Done,
     /* 375936 */   // Label 7560: @375936
     /* 375936 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(375963), // Rule ID 621 //
     /* 375941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 375944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 375952 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FMULSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 375952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULSrr),
     /* 375957 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 375961 */     GIR_RootConstrainSelectedInstOperands,
     /* 375962 */     // GIR_Coverage, 621,
     /* 375962 */     GIR_Done,
     /* 375963 */   // Label 7561: @375963
     /* 375963 */   GIM_Reject,
     /* 375964 */ // Label 7554: @375964
     /* 375964 */ GIM_Reject,
     /* 375965 */ // Label 7539: @375965
     /* 375965 */ GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(376512),
     /* 375970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 375973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 375976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 375980 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(376093), // Rule ID 6244 //
     /* 375985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 375988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 375992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 375996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376009 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 376013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 376017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376025 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 376029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376034 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 376038 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376042 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 376046 */     // MIs[3] Operand 1
     /* 376046 */     // No operand predicates
     /* 376046 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376048 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 376048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 376051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376060 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 376066 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376071 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 376079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 376091 */     GIR_RootConstrainSelectedInstOperands,
     /* 376092 */     // GIR_Coverage, 6244,
     /* 376092 */     GIR_EraseRootFromParent_Done,
     /* 376093 */   // Label 7563: @376093
     /* 376093 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(376206), // Rule ID 13894 //
     /* 376098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376130 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 376134 */     // MIs[2] Operand 1
     /* 376134 */     // No operand predicates
     /* 376134 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 376138 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376142 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376146 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 376150 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376155 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 376159 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376161 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }))  =>  (FMULv1i64_indexed:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 376161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 376164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376173 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 376179 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376184 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 376192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 376204 */     GIR_RootConstrainSelectedInstOperands,
     /* 376205 */     // GIR_Coverage, 13894,
     /* 376205 */     GIR_EraseRootFromParent_Done,
     /* 376206 */   // Label 7564: @376206
     /* 376206 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(376282), // Rule ID 13828 //
     /* 376211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376232 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 376236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 376242 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rn)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 376242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 376245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376254 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 376260 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376265 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 376273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376275 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376280 */     GIR_RootConstrainSelectedInstOperands,
     /* 376281 */     // GIR_Coverage, 13828,
     /* 376281 */     GIR_EraseRootFromParent_Done,
     /* 376282 */   // Label 7565: @376282
     /* 376282 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(376358), // Rule ID 4806 //
     /* 376287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376312 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 376316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 376318 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }))  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }))
     /* 376318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 376321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 376325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376330 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 376336 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376341 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 376349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376351 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 376353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376356 */     GIR_RootConstrainSelectedInstOperands,
     /* 376357 */     // GIR_Coverage, 4806,
     /* 376357 */     GIR_EraseRootFromParent_Done,
     /* 376358 */   // Label 7566: @376358
     /* 376358 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(376421), // Rule ID 13443 //
     /* 376363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376378 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376395 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 376399 */     // MIs[2] Operand 1
     /* 376399 */     // No operand predicates
     /* 376399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376403 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 376405 */     // (strict_fmul:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64Op:{ *:[f64] }:$Rn)  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 376405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 376408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376410 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 376419 */     GIR_RootConstrainSelectedInstOperands,
     /* 376420 */     // GIR_Coverage, 13443,
     /* 376420 */     GIR_EraseRootFromParent_Done,
     /* 376421 */   // Label 7567: @376421
     /* 376421 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(376484), // Rule ID 2015 //
     /* 376426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 376441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 376445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376462 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 376466 */     // MIs[2] Operand 1
     /* 376466 */     // No operand predicates
     /* 376466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 376468 */     // (strict_fmul:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv1i64_indexed:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 376468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv1i64_indexed),
     /* 376471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376473 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 376475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 376482 */     GIR_RootConstrainSelectedInstOperands,
     /* 376483 */     // GIR_Coverage, 2015,
     /* 376483 */     GIR_EraseRootFromParent_Done,
     /* 376484 */   // Label 7568: @376484
     /* 376484 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(376511), // Rule ID 623 //
     /* 376489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 376492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376500 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FMULDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 376500 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULDrr),
     /* 376505 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 376509 */     GIR_RootConstrainSelectedInstOperands,
     /* 376510 */     // GIR_Coverage, 623,
     /* 376510 */     GIR_Done,
     /* 376511 */   // Label 7569: @376511
     /* 376511 */   GIM_Reject,
     /* 376512 */ // Label 7562: @376512
     /* 376512 */ GIM_Reject,
     /* 376513 */ // Label 7540: @376513
     /* 376513 */ GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(377042),
     /* 376518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 376521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 376524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376528 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(376614), // Rule ID 13431 //
     /* 376533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 376544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 376556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376560 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 376564 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376569 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 376573 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376577 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 376581 */     // MIs[3] Operand 1
     /* 376581 */     // No operand predicates
     /* 376581 */     // MIs[1] Operand 2
     /* 376581 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 376592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376596 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376598 */     // (strict_fmul:{ *:[v2f32] } (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 376598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 376601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376603 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 376612 */     GIR_RootConstrainSelectedInstOperands,
     /* 376613 */     // GIR_Coverage, 13431,
     /* 376613 */     GIR_EraseRootFromParent_Done,
     /* 376614 */   // Label 7571: @376614
     /* 376614 */   GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(376700), // Rule ID 2003 //
     /* 376619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 376634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 376642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 376646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376650 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 376654 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376659 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 376663 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376667 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 376671 */     // MIs[3] Operand 1
     /* 376671 */     // No operand predicates
     /* 376671 */     // MIs[1] Operand 2
     /* 376671 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 376682 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 376684 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (extract_subvector:{ *:[v2f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 376684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 376687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376689 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 376691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 376695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 376698 */     GIR_RootConstrainSelectedInstOperands,
     /* 376699 */     // GIR_Coverage, 2003,
     /* 376699 */     GIR_EraseRootFromParent_Done,
     /* 376700 */   // Label 7572: @376700
     /* 376700 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(376763), // Rule ID 13432 //
     /* 376705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 376716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376737 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 376741 */     // MIs[2] Operand 1
     /* 376741 */     // No operand predicates
     /* 376741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 376747 */     // (strict_fmul:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 376747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 376750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376752 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 376761 */     GIR_RootConstrainSelectedInstOperands,
     /* 376762 */     // GIR_Coverage, 13432,
     /* 376762 */     GIR_EraseRootFromParent_Done,
     /* 376763 */   // Label 7573: @376763
     /* 376763 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(376826), // Rule ID 2004 //
     /* 376768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 376771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 376783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 376787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 376791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 376800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 376804 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 376808 */     // MIs[2] Operand 1
     /* 376808 */     // No operand predicates
     /* 376808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 376810 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 376810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 376813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376815 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 376817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 376824 */     GIR_RootConstrainSelectedInstOperands,
     /* 376825 */     // GIR_Coverage, 2004,
     /* 376825 */     GIR_EraseRootFromParent_Done,
     /* 376826 */   // Label 7574: @376826
     /* 376826 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(376920), // Rule ID 13896 //
     /* 376831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 376835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 376839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 376843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 376848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 376854 */     // (strict_fmul:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn)  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 376854 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 376857 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 376861 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 376868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 376871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 376875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376880 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 376883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376887 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 376890 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376895 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376900 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 376905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 376908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 376910 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 376912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 376915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 376918 */     GIR_RootConstrainSelectedInstOperands,
     /* 376919 */     // GIR_Coverage, 13896,
     /* 376919 */     GIR_EraseRootFromParent_Done,
     /* 376920 */   // Label 7575: @376920
     /* 376920 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(377014), // Rule ID 6246 //
     /* 376925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 376929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 376933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 376937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 376941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 376946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 376948 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 376948 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 376951 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 376955 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 376962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 376965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 376969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 376974 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 376977 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 376981 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 376984 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376989 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 376994 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 376999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i32_indexed),
     /* 377002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377004 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377012 */     GIR_RootConstrainSelectedInstOperands,
     /* 377013 */     // GIR_Coverage, 6246,
     /* 377013 */     GIR_EraseRootFromParent_Done,
     /* 377014 */   // Label 7576: @377014
     /* 377014 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(377041), // Rule ID 1322 //
     /* 377019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377030 */     // (strict_fmul:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FMULv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 377030 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f32),
     /* 377035 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 377039 */     GIR_RootConstrainSelectedInstOperands,
     /* 377040 */     // GIR_Coverage, 1322,
     /* 377040 */     GIR_Done,
     /* 377041 */   // Label 7577: @377041
     /* 377041 */   GIM_Reject,
     /* 377042 */ // Label 7570: @377042
     /* 377042 */ GIM_Reject,
     /* 377043 */ // Label 7541: @377043
     /* 377043 */ GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(377400),
     /* 377048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 377051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 377054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377058 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(377121), // Rule ID 13437 //
     /* 377063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 377074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 377078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 377091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377095 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 377099 */     // MIs[2] Operand 1
     /* 377099 */     // No operand predicates
     /* 377099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377105 */     // (strict_fmul:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 377108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377110 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377119 */     GIR_RootConstrainSelectedInstOperands,
     /* 377120 */     // GIR_Coverage, 13437,
     /* 377120 */     GIR_EraseRootFromParent_Done,
     /* 377121 */   // Label 7579: @377121
     /* 377121 */   GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(377184), // Rule ID 2009 //
     /* 377126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 377141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 377145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 377158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377162 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 377166 */     // MIs[2] Operand 1
     /* 377166 */     // No operand predicates
     /* 377166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377168 */     // (strict_fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 377171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377173 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377182 */     GIR_RootConstrainSelectedInstOperands,
     /* 377183 */     // GIR_Coverage, 2009,
     /* 377183 */     GIR_EraseRootFromParent_Done,
     /* 377184 */   // Label 7580: @377184
     /* 377184 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(377278), // Rule ID 13900 //
     /* 377189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 377197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 377201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 377212 */     // (strict_fmul:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn)  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377212 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 377215 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 377219 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 377226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 377229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 377233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377238 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 377241 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377245 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 377248 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377253 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377258 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 377266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377268 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377276 */     GIR_RootConstrainSelectedInstOperands,
     /* 377277 */     // GIR_Coverage, 13900,
     /* 377277 */     GIR_EraseRootFromParent_Done,
     /* 377278 */   // Label 7581: @377278
     /* 377278 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(377372), // Rule ID 6250 //
     /* 377283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 377295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 377299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 377306 */     // (strict_fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rm))  =>  (FMULv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377306 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 377309 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 377313 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 377320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 377323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 377327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377332 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 377335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377339 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 377342 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377347 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377352 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv2i64_indexed),
     /* 377360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377362 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377370 */     GIR_RootConstrainSelectedInstOperands,
     /* 377371 */     // GIR_Coverage, 6250,
     /* 377371 */     GIR_EraseRootFromParent_Done,
     /* 377372 */   // Label 7582: @377372
     /* 377372 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(377399), // Rule ID 1326 //
     /* 377377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377388 */     // (strict_fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FMULv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 377388 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv2f64),
     /* 377393 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 377397 */     GIR_RootConstrainSelectedInstOperands,
     /* 377398 */     // GIR_Coverage, 1326,
     /* 377398 */     GIR_Done,
     /* 377399 */   // Label 7583: @377399
     /* 377399 */   GIM_Reject,
     /* 377400 */ // Label 7578: @377400
     /* 377400 */ GIM_Reject,
     /* 377401 */ // Label 7542: @377401
     /* 377401 */ GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(377742),
     /* 377406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 377409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 377412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377416 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(377502), // Rule ID 13425 //
     /* 377421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 377424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 377432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 377444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377448 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 377452 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 377457 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 377461 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377465 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 377469 */     // MIs[3] Operand 1
     /* 377469 */     // No operand predicates
     /* 377469 */     // MIs[1] Operand 2
     /* 377469 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 377480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377484 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377486 */     // (strict_fmul:{ *:[v4f16] } (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 377489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377491 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 377497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 377500 */     GIR_RootConstrainSelectedInstOperands,
     /* 377501 */     // GIR_Coverage, 13425,
     /* 377501 */     GIR_EraseRootFromParent_Done,
     /* 377502 */   // Label 7585: @377502
     /* 377502 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(377588), // Rule ID 1997 //
     /* 377507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 377510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 377522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 377530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 377534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377538 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 377542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 377547 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 377551 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377555 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 377559 */     // MIs[3] Operand 1
     /* 377559 */     // No operand predicates
     /* 377559 */     // MIs[1] Operand 2
     /* 377559 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 377570 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 377572 */     // (strict_fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (extract_subvector:{ *:[v4f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 377575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377577 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 377583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 377586 */     GIR_RootConstrainSelectedInstOperands,
     /* 377587 */     // GIR_Coverage, 1997,
     /* 377587 */     GIR_EraseRootFromParent_Done,
     /* 377588 */   // Label 7586: @377588
     /* 377588 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(377651), // Rule ID 13426 //
     /* 377593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 377596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 377604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377608 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 377617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 377621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377625 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 377629 */     // MIs[2] Operand 1
     /* 377629 */     // No operand predicates
     /* 377629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377633 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377635 */     // (strict_fmul:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn)  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 377638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377640 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377649 */     GIR_RootConstrainSelectedInstOperands,
     /* 377650 */     // GIR_Coverage, 13426,
     /* 377650 */     GIR_EraseRootFromParent_Done,
     /* 377651 */   // Label 7587: @377651
     /* 377651 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(377714), // Rule ID 1998 //
     /* 377656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 377659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 377671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 377675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 377684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 377688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377692 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 377696 */     // MIs[2] Operand 1
     /* 377696 */     // No operand predicates
     /* 377696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377698 */     // (strict_fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i16_indexed),
     /* 377701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377703 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377712 */     GIR_RootConstrainSelectedInstOperands,
     /* 377713 */     // GIR_Coverage, 1998,
     /* 377713 */     GIR_EraseRootFromParent_Done,
     /* 377714 */   // Label 7588: @377714
     /* 377714 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(377741), // Rule ID 1318 //
     /* 377719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 377722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 377730 */     // (strict_fmul:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FMULv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 377730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f16),
     /* 377735 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 377739 */     GIR_RootConstrainSelectedInstOperands,
     /* 377740 */     // GIR_Coverage, 1318,
     /* 377740 */     GIR_Done,
     /* 377741 */   // Label 7589: @377741
     /* 377741 */   GIM_Reject,
     /* 377742 */ // Label 7584: @377742
     /* 377742 */ GIM_Reject,
     /* 377743 */ // Label 7543: @377743
     /* 377743 */ GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(378100),
     /* 377748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 377751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 377754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377758 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(377821), // Rule ID 13435 //
     /* 377763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 377774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 377778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 377791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377795 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 377799 */     // MIs[2] Operand 1
     /* 377799 */     // No operand predicates
     /* 377799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377805 */     // (strict_fmul:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 377808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377810 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377819 */     GIR_RootConstrainSelectedInstOperands,
     /* 377820 */     // GIR_Coverage, 13435,
     /* 377820 */     GIR_EraseRootFromParent_Done,
     /* 377821 */   // Label 7591: @377821
     /* 377821 */   GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(377884), // Rule ID 2007 //
     /* 377826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 377829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 377841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 377845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 377849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 377858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 377862 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 377866 */     // MIs[2] Operand 1
     /* 377866 */     // No operand predicates
     /* 377866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 377868 */     // (strict_fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 377868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 377871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377873 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 377875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 377882 */     GIR_RootConstrainSelectedInstOperands,
     /* 377883 */     // GIR_Coverage, 2007,
     /* 377883 */     GIR_EraseRootFromParent_Done,
     /* 377884 */   // Label 7592: @377884
     /* 377884 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(377978), // Rule ID 13898 //
     /* 377889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 377893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 377897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 377912 */     // (strict_fmul:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn)  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 377912 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 377915 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 377919 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 377926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 377929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 377933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 377938 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 377941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 377945 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 377948 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377953 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377958 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 377963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 377966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 377968 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 377970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 377973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 377976 */     GIR_RootConstrainSelectedInstOperands,
     /* 377977 */     // GIR_Coverage, 13898,
     /* 377977 */     GIR_EraseRootFromParent_Done,
     /* 377978 */   // Label 7593: @377978
     /* 377978 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(378072), // Rule ID 6248 //
     /* 377983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 377987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 377991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 377995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 377999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 378006 */     // (strict_fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rm))  =>  (FMULv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 378006 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 378009 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 378013 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 378020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 378023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 378027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378032 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 378035 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378039 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 378042 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378047 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378052 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv4i32_indexed),
     /* 378060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378062 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 378064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 378067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 378070 */     GIR_RootConstrainSelectedInstOperands,
     /* 378071 */     // GIR_Coverage, 6248,
     /* 378071 */     GIR_EraseRootFromParent_Done,
     /* 378072 */   // Label 7594: @378072
     /* 378072 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(378099), // Rule ID 1324 //
     /* 378077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 378080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378088 */     // (strict_fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FMULv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 378088 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 378093 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378097 */     GIR_RootConstrainSelectedInstOperands,
     /* 378098 */     // GIR_Coverage, 1324,
     /* 378098 */     GIR_Done,
     /* 378099 */   // Label 7595: @378099
     /* 378099 */   GIM_Reject,
     /* 378100 */ // Label 7590: @378100
     /* 378100 */ GIM_Reject,
     /* 378101 */ // Label 7544: @378101
     /* 378101 */ GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(378532),
     /* 378106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 378112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378116 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(378179), // Rule ID 13429 //
     /* 378121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 378128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 378132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378136 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 378140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 378145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 378149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 378153 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 378157 */     // MIs[2] Operand 1
     /* 378157 */     // No operand predicates
     /* 378157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378161 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 378163 */     // (strict_fmul:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn)  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 378163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 378166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378168 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 378170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 378177 */     GIR_RootConstrainSelectedInstOperands,
     /* 378178 */     // GIR_Coverage, 13429,
     /* 378178 */     GIR_EraseRootFromParent_Done,
     /* 378179 */   // Label 7597: @378179
     /* 378179 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(378242), // Rule ID 2001 //
     /* 378184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 378195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 378199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 378207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 378212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 378216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 378220 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 378224 */     // MIs[2] Operand 1
     /* 378224 */     // No operand predicates
     /* 378224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 378226 */     // (strict_fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (FMULv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 378226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMULv8i16_indexed),
     /* 378229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 378231 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 378233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 378237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 378240 */     GIR_RootConstrainSelectedInstOperands,
     /* 378241 */     // GIR_Coverage, 2001,
     /* 378241 */     GIR_EraseRootFromParent_Done,
     /* 378242 */   // Label 7598: @378242
     /* 378242 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(378269), // Rule ID 1320 //
     /* 378247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378258 */     // (strict_fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FMULv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 378258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMULv8f16),
     /* 378263 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378267 */     GIR_RootConstrainSelectedInstOperands,
     /* 378268 */     // GIR_Coverage, 1320,
     /* 378268 */     GIR_Done,
     /* 378269 */   // Label 7599: @378269
     /* 378269 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(378531), // Rule ID 7003 //
     /* 378274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 378277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378285 */     // (strict_fmul:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FMULv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FMULv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 378285 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 378288 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 378292 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378297 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 378301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 378303 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 378306 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 378310 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378315 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 378319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 378321 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 378324 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 378328 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378333 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 378336 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 378339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 378341 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 378344 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 378348 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378353 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 378359 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378364 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378369 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 378372 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 378376 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378381 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 378384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 378386 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 378389 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 378393 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378398 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 378404 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378409 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378414 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 378417 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 378421 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378426 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 378429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 378431 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 378434 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FMULv4f32),
     /* 378438 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378443 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 378446 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 378449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 378451 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 378454 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 378458 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378463 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 378466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 378468 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 378471 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 378475 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 378482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 378485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 378489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378494 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 378497 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 378500 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 378503 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378508 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378513 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 378521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 378523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 378526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 378529 */     GIR_RootConstrainSelectedInstOperands,
     /* 378530 */     // GIR_Coverage, 7003,
     /* 378530 */     GIR_EraseRootFromParent_Done,
     /* 378531 */   // Label 7600: @378531
     /* 378531 */   GIM_Reject,
     /* 378532 */ // Label 7596: @378532
     /* 378532 */ GIM_Reject,
     /* 378533 */ // Label 7545: @378533
     /* 378533 */ GIM_Reject,
     /* 378534 */ // Label 104: @378534
     /* 378534 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7609*/ GIMT_Encode4(379149),
     /* 378545 */ /*GILLT_s16*//*Label 7601*/ GIMT_Encode4(378585),
     /* 378549 */ /*GILLT_s32*//*Label 7602*/ GIMT_Encode4(378623),
     /* 378553 */ /*GILLT_s64*//*Label 7603*/ GIMT_Encode4(378661), GIMT_Encode4(0),
     /* 378561 */ /*GILLT_v2s32*//*Label 7604*/ GIMT_Encode4(378699),
     /* 378565 */ /*GILLT_v2s64*//*Label 7605*/ GIMT_Encode4(378737),
     /* 378569 */ /*GILLT_v4s16*//*Label 7606*/ GIMT_Encode4(378775),
     /* 378573 */ /*GILLT_v4s32*//*Label 7607*/ GIMT_Encode4(378813), GIMT_Encode4(0),
     /* 378581 */ /*GILLT_v8s16*//*Label 7608*/ GIMT_Encode4(378851),
     /* 378585 */ // Label 7601: @378585
     /* 378585 */ GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(378622), // Rule ID 589 //
     /* 378590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 378593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 378596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 378599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 378611 */   // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)  =>  (FDIVHrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm)
     /* 378611 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVHrr),
     /* 378616 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378620 */   GIR_RootConstrainSelectedInstOperands,
     /* 378621 */   // GIR_Coverage, 589,
     /* 378621 */   GIR_Done,
     /* 378622 */ // Label 7610: @378622
     /* 378622 */ GIM_Reject,
     /* 378623 */ // Label 7602: @378623
     /* 378623 */ GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(378660), // Rule ID 591 //
     /* 378628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 378631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 378634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 378637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 378649 */   // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FDIVSrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 378649 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVSrr),
     /* 378654 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378658 */   GIR_RootConstrainSelectedInstOperands,
     /* 378659 */   // GIR_Coverage, 591,
     /* 378659 */   GIR_Done,
     /* 378660 */ // Label 7611: @378660
     /* 378660 */ GIM_Reject,
     /* 378661 */ // Label 7603: @378661
     /* 378661 */ GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(378698), // Rule ID 593 //
     /* 378666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 378669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 378672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 378675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378687 */   // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FDIVDrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 378687 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVDrr),
     /* 378692 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378696 */   GIR_RootConstrainSelectedInstOperands,
     /* 378697 */   // GIR_Coverage, 593,
     /* 378697 */   GIR_Done,
     /* 378698 */ // Label 7612: @378698
     /* 378698 */ GIM_Reject,
     /* 378699 */ // Label 7604: @378699
     /* 378699 */ GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(378736), // Rule ID 1227 //
     /* 378704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 378707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 378710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 378713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378725 */   // (strict_fdiv:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FDIVv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 378725 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f32),
     /* 378730 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378734 */   GIR_RootConstrainSelectedInstOperands,
     /* 378735 */   // GIR_Coverage, 1227,
     /* 378735 */   GIR_Done,
     /* 378736 */ // Label 7613: @378736
     /* 378736 */ GIM_Reject,
     /* 378737 */ // Label 7605: @378737
     /* 378737 */ GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(378774), // Rule ID 1231 //
     /* 378742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 378745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 378748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 378751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378763 */   // (strict_fdiv:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FDIVv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 378763 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv2f64),
     /* 378768 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378772 */   GIR_RootConstrainSelectedInstOperands,
     /* 378773 */   // GIR_Coverage, 1231,
     /* 378773 */   GIR_Done,
     /* 378774 */ // Label 7614: @378774
     /* 378774 */ GIM_Reject,
     /* 378775 */ // Label 7606: @378775
     /* 378775 */ GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(378812), // Rule ID 1223 //
     /* 378780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 378786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 378789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378801 */   // (strict_fdiv:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FDIVv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 378801 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f16),
     /* 378806 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378810 */   GIR_RootConstrainSelectedInstOperands,
     /* 378811 */   // GIR_Coverage, 1223,
     /* 378811 */   GIR_Done,
     /* 378812 */ // Label 7615: @378812
     /* 378812 */ GIM_Reject,
     /* 378813 */ // Label 7607: @378813
     /* 378813 */ GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(378850), // Rule ID 1229 //
     /* 378818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 378821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 378824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 378827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378839 */   // (strict_fdiv:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FDIVv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 378839 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 378844 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378848 */   GIR_RootConstrainSelectedInstOperands,
     /* 378849 */   // GIR_Coverage, 1229,
     /* 378849 */   GIR_Done,
     /* 378850 */ // Label 7616: @378850
     /* 378850 */ GIM_Reject,
     /* 378851 */ // Label 7608: @378851
     /* 378851 */ GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(379148),
     /* 378856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 378859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 378862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378874 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(378893), // Rule ID 1225 //
     /* 378879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 378882 */     // (strict_fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FDIVv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 378882 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FDIVv8f16),
     /* 378887 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 378891 */     GIR_RootConstrainSelectedInstOperands,
     /* 378892 */     // GIR_Coverage, 1225,
     /* 378892 */     GIR_Done,
     /* 378893 */   // Label 7618: @378893
     /* 378893 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(379147), // Rule ID 7001 //
     /* 378898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNoFullFP16),
     /* 378901 */     // (strict_fdiv:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCVTNv8i16:{ *:[v8f16] } (INSERT_SUBREG:{ *:[f128] } (IMPLICIT_DEF:{ *:[f128] }), (FCVTNv4i16:{ *:[v4f16] } (FDIVv4f32:{ *:[v4f32] } (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rn, dsub:{ *:[i32] })), (FCVTLv4i16:{ *:[v4f32] } (EXTRACT_SUBREG:{ *:[v4i16] } V128:{ *:[v8f16] }:$Rm, dsub:{ *:[i32] })))), dsub:{ *:[i32] }), (FDIVv4f32:{ *:[v4f32] } (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rn), (FCVTLv8i16:{ *:[v4f32] } V128:{ *:[v8f16] }:$Rm)))
     /* 378901 */     GIR_MakeTempReg, /*TempRegID*/10, /*TypeID*/GILLT_v4s32,
     /* 378904 */     GIR_BuildMI, /*InsnID*/11, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 378908 */     GIR_AddTempRegister, /*InsnID*/11, /*TempRegID*/10, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378913 */     GIR_Copy, /*NewInsnID*/11, /*OldInsnID*/0, /*OpIdx*/2, // Rm
     /* 378917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/11,
     /* 378919 */     GIR_MakeTempReg, /*TempRegID*/9, /*TypeID*/GILLT_v4s32,
     /* 378922 */     GIR_BuildMI, /*InsnID*/10, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv8i16),
     /* 378926 */     GIR_AddTempRegister, /*InsnID*/10, /*TempRegID*/9, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378931 */     GIR_Copy, /*NewInsnID*/10, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 378935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/10,
     /* 378937 */     GIR_MakeTempReg, /*TempRegID*/8, /*TypeID*/GILLT_v4s32,
     /* 378940 */     GIR_BuildMI, /*InsnID*/9, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 378944 */     GIR_AddTempRegister, /*InsnID*/9, /*TempRegID*/8, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378949 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/9,
     /* 378952 */     GIR_AddSimpleTempRegister, /*InsnID*/9, /*TempRegID*/10,
     /* 378955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/9,
     /* 378957 */     GIR_MakeTempReg, /*TempRegID*/7, /*TypeID*/GILLT_v4s16,
     /* 378960 */     GIR_BuildMI, /*InsnID*/8, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 378964 */     GIR_AddTempRegister, /*InsnID*/8, /*TempRegID*/7, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378969 */     GIR_CopySubReg, /*NewInsnID*/8, /*OldInsnID*/0, /*OpIdx*/2, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 378975 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 378980 */     GIR_ConstrainOperandRC, /*InsnID*/8, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 378985 */     GIR_MakeTempReg, /*TempRegID*/6, /*TypeID*/GILLT_v4s32,
     /* 378988 */     GIR_BuildMI, /*InsnID*/7, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 378992 */     GIR_AddTempRegister, /*InsnID*/7, /*TempRegID*/6, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 378997 */     GIR_AddSimpleTempRegister, /*InsnID*/7, /*TempRegID*/7,
     /* 379000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/7,
     /* 379002 */     GIR_MakeTempReg, /*TempRegID*/5, /*TypeID*/GILLT_v4s16,
     /* 379005 */     GIR_BuildMI, /*InsnID*/6, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379009 */     GIR_AddTempRegister, /*InsnID*/6, /*TempRegID*/5, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379014 */     GIR_CopySubReg, /*NewInsnID*/6, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 379020 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379025 */     GIR_ConstrainOperandRC, /*InsnID*/6, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379030 */     GIR_MakeTempReg, /*TempRegID*/4, /*TypeID*/GILLT_v4s32,
     /* 379033 */     GIR_BuildMI, /*InsnID*/5, /*Opcode*/GIMT_Encode2(AArch64::FCVTLv4i16),
     /* 379037 */     GIR_AddTempRegister, /*InsnID*/5, /*TempRegID*/4, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379042 */     GIR_AddSimpleTempRegister, /*InsnID*/5, /*TempRegID*/5,
     /* 379045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/5,
     /* 379047 */     GIR_MakeTempReg, /*TempRegID*/3, /*TypeID*/GILLT_v4s32,
     /* 379050 */     GIR_BuildMI, /*InsnID*/4, /*Opcode*/GIMT_Encode2(AArch64::FDIVv4f32),
     /* 379054 */     GIR_AddTempRegister, /*InsnID*/4, /*TempRegID*/3, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379059 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/4,
     /* 379062 */     GIR_AddSimpleTempRegister, /*InsnID*/4, /*TempRegID*/6,
     /* 379065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/4,
     /* 379067 */     GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_v4s16,
     /* 379070 */     GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv4i16),
     /* 379074 */     GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379079 */     GIR_AddSimpleTempRegister, /*InsnID*/3, /*TempRegID*/3,
     /* 379082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 379084 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 379087 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 379091 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 379098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 379101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 379105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379110 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 379113 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/2,
     /* 379116 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 379119 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379124 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379129 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 379134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCVTNv8i16),
     /* 379137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/8,
     /* 379145 */     GIR_RootConstrainSelectedInstOperands,
     /* 379146 */     // GIR_Coverage, 7001,
     /* 379146 */     GIR_EraseRootFromParent_Done,
     /* 379147 */   // Label 7619: @379147
     /* 379147 */   GIM_Reject,
     /* 379148 */ // Label 7617: @379148
     /* 379148 */ GIM_Reject,
     /* 379149 */ // Label 7609: @379149
     /* 379149 */ GIM_Reject,
     /* 379150 */ // Label 105: @379150
     /* 379150 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7628*/ GIMT_Encode4(394756),
     /* 379161 */ /*GILLT_s16*//*Label 7620*/ GIMT_Encode4(379201),
     /* 379165 */ /*GILLT_s32*//*Label 7621*/ GIMT_Encode4(381975),
     /* 379169 */ /*GILLT_s64*//*Label 7622*/ GIMT_Encode4(384905), GIMT_Encode4(0),
     /* 379177 */ /*GILLT_v2s32*//*Label 7623*/ GIMT_Encode4(387835),
     /* 379181 */ /*GILLT_v2s64*//*Label 7624*/ GIMT_Encode4(389356),
     /* 379185 */ /*GILLT_v4s16*//*Label 7625*/ GIMT_Encode4(390877),
     /* 379189 */ /*GILLT_v4s32*//*Label 7626*/ GIMT_Encode4(392056), GIMT_Encode4(0),
     /* 379197 */ /*GILLT_v8s16*//*Label 7627*/ GIMT_Encode4(393577),
     /* 379201 */ // Label 7620: @379201
     /* 379201 */ GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(381974),
     /* 379206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 379209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 379212 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 379215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379219 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(379369), // Rule ID 4864 //
     /* 379224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 379227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 379243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379248 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 379252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379264 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 379268 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379273 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 379277 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 379281 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379285 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 379289 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379294 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379296 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 379296 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 379299 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379303 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379308 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 379314 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379319 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 379327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379336 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 379342 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379347 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 379355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 379357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 379363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 379367 */     GIR_RootConstrainSelectedInstOperands,
     /* 379368 */     // GIR_Coverage, 4864,
     /* 379368 */     GIR_EraseRootFromParent_Done,
     /* 379369 */   // Label 7630: @379369
     /* 379369 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(379516), // Rule ID 4828 //
     /* 379374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 379377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379389 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 379393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379398 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 379402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 379414 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 379418 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379422 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379426 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 379430 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379435 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 379439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379443 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379445 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 379445 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 379448 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379452 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379457 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 379463 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379468 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 379476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379485 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 379491 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379496 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 379504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 379506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 379512 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 379514 */     GIR_RootConstrainSelectedInstOperands,
     /* 379515 */     // GIR_Coverage, 4828,
     /* 379515 */     GIR_EraseRootFromParent_Done,
     /* 379516 */   // Label 7631: @379516
     /* 379516 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(379663), // Rule ID 13837 //
     /* 379521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 379524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 379536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 379540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379548 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 379552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379557 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 379561 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 379565 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379569 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379573 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 379577 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379582 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 379586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379590 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 379592 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 379592 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 379595 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379599 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379604 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 379610 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379615 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 379623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379632 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 379638 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379643 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 379651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 379653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 379659 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 379661 */     GIR_RootConstrainSelectedInstOperands,
     /* 379662 */     // GIR_Coverage, 13837,
     /* 379662 */     GIR_EraseRootFromParent_Done,
     /* 379663 */   // Label 7632: @379663
     /* 379663 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(379794), // Rule ID 6078 //
     /* 379668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 379671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379683 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 379687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379692 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 379696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 379700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 379708 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 379712 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379716 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379720 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 379724 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 379729 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 379733 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 379737 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 379741 */     // MIs[4] Operand 1
     /* 379741 */     // No operand predicates
     /* 379741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379745 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 379747 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 379747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 379750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379759 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 379765 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379770 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 379778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379780 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 379782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 379789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 379792 */     GIR_RootConstrainSelectedInstOperands,
     /* 379793 */     // GIR_Coverage, 6078,
     /* 379793 */     GIR_EraseRootFromParent_Done,
     /* 379794 */   // Label 7633: @379794
     /* 379794 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(379925), // Rule ID 6110 //
     /* 379799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 379802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 379818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 379823 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 379827 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 379831 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 379835 */     // MIs[2] Operand 1
     /* 379835 */     // No operand predicates
     /* 379835 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 379839 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379843 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 379847 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 379851 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379855 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379859 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 379863 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379868 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 379872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379876 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 379878 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 379878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 379881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 379885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 379890 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 379896 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 379901 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 379909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 379911 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 379913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 379916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 379920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 379923 */     GIR_RootConstrainSelectedInstOperands,
     /* 379924 */     // GIR_Coverage, 6110,
     /* 379924 */     GIR_EraseRootFromParent_Done,
     /* 379925 */   // Label 7634: @379925
     /* 379925 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(380056), // Rule ID 6174 //
     /* 379930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 379933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 379937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 379941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 379945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 379949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379957 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 379961 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 379966 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 379970 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 379974 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 379978 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 379982 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 379986 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 379991 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 379995 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 379999 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 380003 */     // MIs[4] Operand 1
     /* 380003 */     // No operand predicates
     /* 380003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380007 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 380009 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 380009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380021 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380027 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380032 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 380040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380042 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 380051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 380054 */     GIR_RootConstrainSelectedInstOperands,
     /* 380055 */     // GIR_Coverage, 6174,
     /* 380055 */     GIR_EraseRootFromParent_Done,
     /* 380056 */   // Label 7635: @380056
     /* 380056 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(380187), // Rule ID 6142 //
     /* 380061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 380064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 380076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 380080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380088 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 380097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 380101 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 380105 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 380109 */     // MIs[3] Operand 1
     /* 380109 */     // No operand predicates
     /* 380109 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 380113 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380117 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380121 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 380125 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380130 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 380134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380138 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 380140 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 380140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380152 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380158 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380163 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 380171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380173 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 380182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 380185 */     GIR_RootConstrainSelectedInstOperands,
     /* 380186 */     // GIR_Coverage, 6142,
     /* 380186 */     GIR_EraseRootFromParent_Done,
     /* 380187 */   // Label 7636: @380187
     /* 380187 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(380322), // Rule ID 2455 //
     /* 380192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 380195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380207 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380216 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 380220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380232 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380236 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380241 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 380245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 380251 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 380251 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 380254 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380258 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380263 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 380269 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380274 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380291 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380297 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380302 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 380310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 380318 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 380320 */     GIR_RootConstrainSelectedInstOperands,
     /* 380321 */     // GIR_Coverage, 2455,
     /* 380321 */     GIR_EraseRootFromParent_Done,
     /* 380322 */   // Label 7637: @380322
     /* 380322 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(380441), // Rule ID 6046 //
     /* 380327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 380330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380351 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 380355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380367 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380371 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 380376 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 380380 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 380384 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 380388 */     // MIs[3] Operand 1
     /* 380388 */     // No operand predicates
     /* 380388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380392 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380394 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 380394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380406 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380412 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380417 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 380425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380427 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 380436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 380439 */     GIR_RootConstrainSelectedInstOperands,
     /* 380440 */     // GIR_Coverage, 6046,
     /* 380440 */     GIR_EraseRootFromParent_Done,
     /* 380441 */   // Label 7638: @380441
     /* 380441 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(380560), // Rule ID 2537 //
     /* 380446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 380449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380461 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 380470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 380474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 380478 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 380482 */     // MIs[2] Operand 1
     /* 380482 */     // No operand predicates
     /* 380482 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 380486 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380490 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380494 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 380498 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380503 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 380507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380511 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 380513 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (vector_extract:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 380513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380525 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380531 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380536 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 380544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 380546 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 380548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 380555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 380558 */     GIR_RootConstrainSelectedInstOperands,
     /* 380559 */     // GIR_Coverage, 2537,
     /* 380559 */     GIR_EraseRootFromParent_Done,
     /* 380560 */   // Label 7639: @380560
     /* 380560 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(380660), // Rule ID 4826 //
     /* 380565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 380568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380580 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380589 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 380593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 380605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 380616 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 380616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380628 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380634 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380639 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 380647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 380656 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 380658 */     GIR_RootConstrainSelectedInstOperands,
     /* 380659 */     // GIR_Coverage, 4826,
     /* 380659 */     GIR_EraseRootFromParent_Done,
     /* 380660 */   // Label 7640: @380660
     /* 380660 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(380760), // Rule ID 4862 //
     /* 380665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 380668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380689 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 380693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 380701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 380709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 380716 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 380716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380728 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380734 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380739 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 380747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380752 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 380754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 380758 */     GIR_RootConstrainSelectedInstOperands,
     /* 380759 */     // GIR_Coverage, 4862,
     /* 380759 */     GIR_EraseRootFromParent_Done,
     /* 380760 */   // Label 7641: @380760
     /* 380760 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(380857), // Rule ID 13833 //
     /* 380765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 380768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 380780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 380784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380788 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380792 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380796 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380801 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 380805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 380815 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 380815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380827 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 380833 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380838 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 380846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380848 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 380850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380853 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 380855 */     GIR_RootConstrainSelectedInstOperands,
     /* 380856 */     // GIR_Coverage, 13833,
     /* 380856 */     GIR_EraseRootFromParent_Done,
     /* 380857 */   // Label 7642: @380857
     /* 380857 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(380957), // Rule ID 13835 //
     /* 380862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 380865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 380869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 380873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 380877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 380886 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380890 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380894 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 380898 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380903 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 380907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 380913 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 380913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 380916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 380920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 380925 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 380931 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380936 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 380944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 380946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 380949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 380953 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 380955 */     GIR_RootConstrainSelectedInstOperands,
     /* 380956 */     // GIR_Coverage, 13835,
     /* 380956 */     GIR_EraseRootFromParent_Done,
     /* 380957 */   // Label 7643: @380957
     /* 380957 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(381057), // Rule ID 4860 //
     /* 380962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 380965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 380969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 380973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 380977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 380981 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 380985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 380990 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 380994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 380998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 381006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 381013 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 381013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 381016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381025 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 381031 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381036 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 381044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381046 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 381055 */     GIR_RootConstrainSelectedInstOperands,
     /* 381056 */     // GIR_Coverage, 4860,
     /* 381056 */     GIR_EraseRootFromParent_Done,
     /* 381057 */   // Label 7644: @381057
     /* 381057 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(381154), // Rule ID 4824 //
     /* 381062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 381065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 381073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 381081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 381085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381093 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 381097 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381102 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 381106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 381112 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] })), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 381112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 381115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381124 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 381130 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381135 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 381143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381145 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381150 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381152 */     GIR_RootConstrainSelectedInstOperands,
     /* 381153 */     // GIR_Coverage, 4824,
     /* 381153 */     GIR_EraseRootFromParent_Done,
     /* 381154 */   // Label 7645: @381154
     /* 381154 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(381238), // Rule ID 6108 //
     /* 381159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 381162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381174 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 381183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 381187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381191 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 381195 */     // MIs[2] Operand 1
     /* 381195 */     // No operand predicates
     /* 381195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 381199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381203 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s16,
     /* 381207 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381216 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381218 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 381218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 381221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381223 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 381229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 381233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 381236 */     GIR_RootConstrainSelectedInstOperands,
     /* 381237 */     // GIR_Coverage, 6108,
     /* 381237 */     GIR_EraseRootFromParent_Done,
     /* 381238 */   // Label 7646: @381238
     /* 381238 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(381319), // Rule ID 6140 //
     /* 381243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 381246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 381258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 381262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381270 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 381274 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 381279 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 381283 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381287 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 381291 */     // MIs[3] Operand 1
     /* 381291 */     // No operand predicates
     /* 381291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381299 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381301 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 381301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 381304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381306 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381308 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 381310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 381314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 381317 */     GIR_RootConstrainSelectedInstOperands,
     /* 381318 */     // GIR_Coverage, 6140,
     /* 381318 */     GIR_EraseRootFromParent_Done,
     /* 381319 */   // Label 7647: @381319
     /* 381319 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(381403), // Rule ID 6172 //
     /* 381324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 381327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 381339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 381348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381356 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 381360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 381365 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 381369 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381373 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 381377 */     // MIs[3] Operand 1
     /* 381377 */     // No operand predicates
     /* 381377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381381 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381383 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rn), (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 381383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 381386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381388 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 381394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 381398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 381401 */     GIR_RootConstrainSelectedInstOperands,
     /* 381402 */     // GIR_Coverage, 6172,
     /* 381402 */     GIR_EraseRootFromParent_Done,
     /* 381403 */   // Label 7648: @381403
     /* 381403 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(381484), // Rule ID 6076 //
     /* 381408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 381411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 381419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 381427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 381431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381439 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 381443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 381448 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 381452 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381456 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 381460 */     // MIs[3] Operand 1
     /* 381460 */     // No operand predicates
     /* 381460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381464 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 381466 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), FPR16:{ *:[f16] }:$Rd)  =>  (FMLSv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 381466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i16_indexed),
     /* 381469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381471 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381473 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 381479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 381482 */     GIR_RootConstrainSelectedInstOperands,
     /* 381483 */     // GIR_Coverage, 6076,
     /* 381483 */     GIR_EraseRootFromParent_Done,
     /* 381484 */   // Label 7649: @381484
     /* 381484 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(381569), // Rule ID 2453 //
     /* 381489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 381492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381504 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381513 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 381517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381527 */     // (strict_fma:{ *:[f16] } (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rn, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 381527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 381530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381539 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rn
     /* 381545 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381550 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 381558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381563 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 381565 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381567 */     GIR_RootConstrainSelectedInstOperands,
     /* 381568 */     // GIR_Coverage, 2453,
     /* 381568 */     GIR_EraseRootFromParent_Done,
     /* 381569 */   // Label 7650: @381569
     /* 381569 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(381654), // Rule ID 2451 //
     /* 381574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 381577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 381585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381602 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 381606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381612 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (extractelt:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, 0:{ *:[i64] }), FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (EXTRACT_SUBREG:{ *:[f16] } V128:{ *:[v8f16] }:$Rm, hsub:{ *:[i32] }), FPR16:{ *:[f16] }:$Ra)
     /* 381612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 381615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 381619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 381624 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(9), // Rm
     /* 381630 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381635 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 381640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 381643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381645 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 381650 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381652 */     GIR_RootConstrainSelectedInstOperands,
     /* 381653 */     // GIR_Coverage, 2451,
     /* 381653 */     GIR_EraseRootFromParent_Done,
     /* 381654 */   // Label 7651: @381654
     /* 381654 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(381723), // Rule ID 2535 //
     /* 381659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 381662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381674 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 381683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 381687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381691 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 381695 */     // MIs[2] Operand 1
     /* 381695 */     // No operand predicates
     /* 381695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 381705 */     // (strict_fma:{ *:[f16] } (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 381705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 381708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381710 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381712 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 381714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 381718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 381721 */     GIR_RootConstrainSelectedInstOperands,
     /* 381722 */     // GIR_Coverage, 2535,
     /* 381722 */     GIR_EraseRootFromParent_Done,
     /* 381723 */   // Label 7652: @381723
     /* 381723 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(381792), // Rule ID 6044 //
     /* 381728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 381731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 381739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 381743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 381747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 381751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 381756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 381760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 381764 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 381768 */     // MIs[2] Operand 1
     /* 381768 */     // No operand predicates
     /* 381768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381772 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 381774 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (vector_extract:{ *:[f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), FPR16:{ *:[f16] }:$Rd)  =>  (FMLAv1i16_indexed:{ *:[f16] } FPR16:{ *:[f16] }:$Rd, FPR16:{ *:[f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 381774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i16_indexed),
     /* 381777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 381779 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 381781 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 381787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 381790 */     GIR_RootConstrainSelectedInstOperands,
     /* 381791 */     // GIR_Coverage, 6044,
     /* 381791 */     GIR_EraseRootFromParent_Done,
     /* 381792 */   // Label 7653: @381792
     /* 381792 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(381842), // Rule ID 13279 //
     /* 381797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 381800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 381804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 381812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381827 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 381827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 381830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381832 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 381834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 381838 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381840 */     GIR_RootConstrainSelectedInstOperands,
     /* 381841 */     // GIR_Coverage, 13279,
     /* 381841 */     GIR_EraseRootFromParent_Done,
     /* 381842 */   // Label 7654: @381842
     /* 381842 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(381892), // Rule ID 643 //
     /* 381847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 381850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 381858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 381866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381877 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Rm), FPR16:{ *:[f16] }:$Ra)  =>  (FMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 381877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBHrrr),
     /* 381880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381882 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 381888 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 381890 */     GIR_RootConstrainSelectedInstOperands,
     /* 381891 */     // GIR_Coverage, 643,
     /* 381891 */     GIR_EraseRootFromParent_Done,
     /* 381892 */   // Label 7655: @381892
     /* 381892 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(381942), // Rule ID 655 //
     /* 381897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 381900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 381912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 381916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 381920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 381927 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$Ra))  =>  (FNMSUBHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 381927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBHrrr),
     /* 381930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 381932 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 381934 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 381936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 381940 */     GIR_RootConstrainSelectedInstOperands,
     /* 381941 */     // GIR_Coverage, 655,
     /* 381941 */     GIR_EraseRootFromParent_Done,
     /* 381942 */   // Label 7656: @381942
     /* 381942 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(381973), // Rule ID 637 //
     /* 381947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 381950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 381962 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)  =>  (FMADDHrrr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn, FPR16:{ *:[f16] }:$Rm, FPR16:{ *:[f16] }:$Ra)
     /* 381962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDHrrr),
     /* 381967 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 381971 */     GIR_RootConstrainSelectedInstOperands,
     /* 381972 */     // GIR_Coverage, 637,
     /* 381972 */     GIR_Done,
     /* 381973 */   // Label 7657: @381973
     /* 381973 */   GIM_Reject,
     /* 381974 */ // Label 7629: @381974
     /* 381974 */ GIM_Reject,
     /* 381975 */ // Label 7621: @381975
     /* 381975 */ GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(384904),
     /* 381980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 381983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 381986 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 381989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 381993 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(382143), // Rule ID 4870 //
     /* 381998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 382001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 382017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382022 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 382026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382038 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 382042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382047 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 382051 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 382055 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382059 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 382063 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382068 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382070 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 382070 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 382073 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382077 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382082 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 382088 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382093 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 382101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382110 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 382116 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382121 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 382129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 382131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 382137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 382141 */     GIR_RootConstrainSelectedInstOperands,
     /* 382142 */     // GIR_Coverage, 4870,
     /* 382142 */     GIR_EraseRootFromParent_Done,
     /* 382143 */   // Label 7659: @382143
     /* 382143 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(382290), // Rule ID 4834 //
     /* 382148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 382151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 382167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382172 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 382176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 382188 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 382192 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382196 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382200 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 382204 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382209 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 382213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382217 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382219 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 382219 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 382222 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382226 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382231 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 382237 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382242 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 382250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382259 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 382265 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382270 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 382278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 382280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 382286 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 382288 */     GIR_RootConstrainSelectedInstOperands,
     /* 382289 */     // GIR_Coverage, 4834,
     /* 382289 */     GIR_EraseRootFromParent_Done,
     /* 382290 */   // Label 7660: @382290
     /* 382290 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(382437), // Rule ID 13843 //
     /* 382295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 382298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 382310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 382314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382318 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382322 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 382326 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382331 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 382335 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 382339 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382343 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382347 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 382351 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382356 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 382360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382364 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 382366 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 382366 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 382369 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382373 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382378 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 382384 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382389 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 382397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382406 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 382412 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382417 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 382425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 382427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 382433 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 382435 */     GIR_RootConstrainSelectedInstOperands,
     /* 382436 */     // GIR_Coverage, 13843,
     /* 382436 */     GIR_EraseRootFromParent_Done,
     /* 382437 */   // Label 7661: @382437
     /* 382437 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(382568), // Rule ID 6094 //
     /* 382442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 382445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382457 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 382461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382466 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 382470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 382482 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 382486 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382490 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382494 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 382498 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382503 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 382507 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 382511 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 382515 */     // MIs[4] Operand 1
     /* 382515 */     // No operand predicates
     /* 382515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382519 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 382521 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 382521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 382524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382533 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 382539 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382544 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 382552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 382554 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 382556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 382563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 382566 */     GIR_RootConstrainSelectedInstOperands,
     /* 382567 */     // GIR_Coverage, 6094,
     /* 382567 */     GIR_EraseRootFromParent_Done,
     /* 382568 */   // Label 7662: @382568
     /* 382568 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(382699), // Rule ID 6126 //
     /* 382573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 382576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382588 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 382592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 382601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 382605 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 382609 */     // MIs[2] Operand 1
     /* 382609 */     // No operand predicates
     /* 382609 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 382613 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382617 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 382621 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 382625 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382629 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382633 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 382637 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382642 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 382646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382650 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 382652 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 382652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 382655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382664 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 382670 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382675 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 382683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 382685 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 382687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 382694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 382697 */     GIR_RootConstrainSelectedInstOperands,
     /* 382698 */     // GIR_Coverage, 6126,
     /* 382698 */     GIR_EraseRootFromParent_Done,
     /* 382699 */   // Label 7663: @382699
     /* 382699 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(382830), // Rule ID 6190 //
     /* 382704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 382707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 382719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 382723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382731 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 382735 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382740 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 382744 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 382748 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382752 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382756 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 382760 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382765 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 382769 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 382773 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 382777 */     // MIs[4] Operand 1
     /* 382777 */     // No operand predicates
     /* 382777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382781 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 382783 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 382783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 382786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382795 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 382801 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382806 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 382814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 382816 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 382818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 382825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 382828 */     GIR_RootConstrainSelectedInstOperands,
     /* 382829 */     // GIR_Coverage, 6190,
     /* 382829 */     GIR_EraseRootFromParent_Done,
     /* 382830 */   // Label 7664: @382830
     /* 382830 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(382961), // Rule ID 6158 //
     /* 382835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 382838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 382846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 382850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 382854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382862 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 382866 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382871 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 382875 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 382879 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 382883 */     // MIs[3] Operand 1
     /* 382883 */     // No operand predicates
     /* 382883 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 382887 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382891 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382895 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 382899 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382904 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 382908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382912 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 382914 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 382914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 382917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 382921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 382926 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 382932 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 382937 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 382945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 382947 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 382949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 382952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 382956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 382959 */     GIR_RootConstrainSelectedInstOperands,
     /* 382960 */     // GIR_Coverage, 6158,
     /* 382960 */     GIR_EraseRootFromParent_Done,
     /* 382961 */   // Label 7665: @382961
     /* 382961 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(383096), // Rule ID 2461 //
     /* 382966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 382969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 382973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 382977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 382981 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 382985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 382990 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 382994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 382998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383006 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383010 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383015 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 383019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383025 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 383025 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /* 383028 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383032 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383037 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 383043 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383048 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383065 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 383071 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383076 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 383084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 383092 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 383094 */     GIR_RootConstrainSelectedInstOperands,
     /* 383095 */     // GIR_Coverage, 2461,
     /* 383095 */     GIR_EraseRootFromParent_Done,
     /* 383096 */   // Label 7666: @383096
     /* 383096 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(383215), // Rule ID 6062 //
     /* 383101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 383104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383125 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 383129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 383133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383141 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383150 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 383154 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 383158 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 383162 */     // MIs[3] Operand 1
     /* 383162 */     // No operand predicates
     /* 383162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383166 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383168 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 383168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383180 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 383186 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383191 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 383199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 383201 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 383203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 383210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 383213 */     GIR_RootConstrainSelectedInstOperands,
     /* 383214 */     // GIR_Coverage, 6062,
     /* 383214 */     GIR_EraseRootFromParent_Done,
     /* 383215 */   // Label 7667: @383215
     /* 383215 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(383334), // Rule ID 2553 //
     /* 383220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 383223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 383248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 383252 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 383256 */     // MIs[2] Operand 1
     /* 383256 */     // No operand predicates
     /* 383256 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 383260 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383264 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383268 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 383272 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383277 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 383281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383285 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383287 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, (EXTRACT_SUBREG:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 383287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383299 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 383305 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383310 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 383318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 383320 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 383322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 383329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 383332 */     GIR_RootConstrainSelectedInstOperands,
     /* 383333 */     // GIR_Coverage, 2553,
     /* 383333 */     GIR_EraseRootFromParent_Done,
     /* 383334 */   // Label 7668: @383334
     /* 383334 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(383434), // Rule ID 4832 //
     /* 383339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383363 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 383367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 383371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 383379 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383388 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383390 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 383390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383402 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 383408 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383413 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 383421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 383430 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 383432 */     GIR_RootConstrainSelectedInstOperands,
     /* 383433 */     // GIR_Coverage, 4832,
     /* 383433 */     GIR_EraseRootFromParent_Done,
     /* 383434 */   // Label 7669: @383434
     /* 383434 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(383534), // Rule ID 4868 //
     /* 383439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383454 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383463 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 383467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383471 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 383475 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383479 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 383483 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383488 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383490 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 383490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383502 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 383508 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383513 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 383521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383526 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 383528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 383532 */     GIR_RootConstrainSelectedInstOperands,
     /* 383533 */     // GIR_Coverage, 4868,
     /* 383533 */     GIR_EraseRootFromParent_Done,
     /* 383534 */   // Label 7670: @383534
     /* 383534 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(383631), // Rule ID 13839 //
     /* 383539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 383554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 383558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383566 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383570 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383575 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 383579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383587 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383589 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 383589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383601 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 383607 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383612 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 383620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 383624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383627 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 383629 */     GIR_RootConstrainSelectedInstOperands,
     /* 383630 */     // GIR_Coverage, 13839,
     /* 383630 */     GIR_EraseRootFromParent_Done,
     /* 383631 */   // Label 7671: @383631
     /* 383631 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(383731), // Rule ID 13841 //
     /* 383636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 383651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 383660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383668 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383677 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 383681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383685 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383687 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 383687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383699 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 383705 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383710 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 383718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 383727 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 383729 */     GIR_RootConstrainSelectedInstOperands,
     /* 383730 */     // GIR_Coverage, 13841,
     /* 383730 */     GIR_EraseRootFromParent_Done,
     /* 383731 */   // Label 7672: @383731
     /* 383731 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(383831), // Rule ID 4866 //
     /* 383736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 383747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383764 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 383768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 383772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 383780 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383785 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383787 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 383787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383799 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 383805 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383810 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 383818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383820 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 383822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 383829 */     GIR_RootConstrainSelectedInstOperands,
     /* 383830 */     // GIR_Coverage, 4866,
     /* 383830 */     GIR_EraseRootFromParent_Done,
     /* 383831 */   // Label 7673: @383831
     /* 383831 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(383928), // Rule ID 4830 //
     /* 383836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 383839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 383847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 383855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 383859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383867 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 383871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383876 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 383880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 383886 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] })), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 383886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 383889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 383893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 383898 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 383904 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383909 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 383917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 383919 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 383921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 383924 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 383926 */     GIR_RootConstrainSelectedInstOperands,
     /* 383927 */     // GIR_Coverage, 4830,
     /* 383927 */     GIR_EraseRootFromParent_Done,
     /* 383928 */   // Label 7674: @383928
     /* 383928 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(384006), // Rule ID 6212 //
     /* 383933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 383937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 383941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383945 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 383949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 383953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 383957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 383961 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 383966 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 383970 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 383974 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 383978 */     // MIs[3] Operand 1
     /* 383978 */     // No operand predicates
     /* 383978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 383986 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 383988 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 383988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 383991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 383993 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 383995 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 383997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384004 */     GIR_RootConstrainSelectedInstOperands,
     /* 384005 */     // GIR_Coverage, 6212,
     /* 384005 */     GIR_EraseRootFromParent_Done,
     /* 384006 */   // Label 7675: @384006
     /* 384006 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(384090), // Rule ID 6124 //
     /* 384011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384026 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384043 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384047 */     // MIs[2] Operand 1
     /* 384047 */     // No operand predicates
     /* 384047 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 384051 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384055 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /* 384059 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384068 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384070 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 384073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384075 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 384081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 384088 */     GIR_RootConstrainSelectedInstOperands,
     /* 384089 */     // GIR_Coverage, 6124,
     /* 384089 */     GIR_EraseRootFromParent_Done,
     /* 384090 */   // Label 7676: @384090
     /* 384090 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(384171), // Rule ID 6156 //
     /* 384095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384122 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 384126 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384131 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 384135 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384139 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384143 */     // MIs[3] Operand 1
     /* 384143 */     // No operand predicates
     /* 384143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384151 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384153 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 384156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384158 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384160 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 384162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384169 */     GIR_RootConstrainSelectedInstOperands,
     /* 384170 */     // GIR_Coverage, 6156,
     /* 384170 */     GIR_EraseRootFromParent_Done,
     /* 384171 */   // Label 7677: @384171
     /* 384171 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(384255), // Rule ID 6188 //
     /* 384176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 384200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384208 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 384212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384217 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 384221 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384225 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384229 */     // MIs[3] Operand 1
     /* 384229 */     // No operand predicates
     /* 384229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384233 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384235 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rn), (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 384238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384240 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 384246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384253 */     GIR_RootConstrainSelectedInstOperands,
     /* 384254 */     // GIR_Coverage, 6188,
     /* 384254 */     GIR_EraseRootFromParent_Done,
     /* 384255 */   // Label 7678: @384255
     /* 384255 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(384333), // Rule ID 6234 //
     /* 384260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384276 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384292 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384297 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 384301 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384305 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384309 */     // MIs[3] Operand 1
     /* 384309 */     // No operand predicates
     /* 384309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384313 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384315 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 384318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384320 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384322 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384331 */     GIR_RootConstrainSelectedInstOperands,
     /* 384332 */     // GIR_Coverage, 6234,
     /* 384332 */     GIR_EraseRootFromParent_Done,
     /* 384333 */   // Label 7679: @384333
     /* 384333 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(384414), // Rule ID 6092 //
     /* 384338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 384361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384369 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 384373 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384378 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 384382 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384386 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384390 */     // MIs[3] Operand 1
     /* 384390 */     // No operand predicates
     /* 384390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384394 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 384396 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), FPR32:{ *:[f32] }:$Rd)  =>  (FMLSv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i32_indexed),
     /* 384399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384401 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384403 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 384409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 384412 */     GIR_RootConstrainSelectedInstOperands,
     /* 384413 */     // GIR_Coverage, 6092,
     /* 384413 */     GIR_EraseRootFromParent_Done,
     /* 384414 */   // Label 7680: @384414
     /* 384414 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(384499), // Rule ID 2459 //
     /* 384419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384434 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384443 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 384447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384457 */     // (strict_fma:{ *:[f32] } (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rn, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 384457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 384460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 384464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 384469 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rn
     /* 384475 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384480 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 384488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 384493 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 384495 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 384497 */     GIR_RootConstrainSelectedInstOperands,
     /* 384498 */     // GIR_Coverage, 2459,
     /* 384498 */     GIR_EraseRootFromParent_Done,
     /* 384499 */   // Label 7681: @384499
     /* 384499 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(384584), // Rule ID 2457 //
     /* 384504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384523 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384532 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 384536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384542 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (extractelt:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, 0:{ *:[i64] }), FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (EXTRACT_SUBREG:{ *:[i32] } V128:{ *:[v4f32] }:$Rm, ssub:{ *:[i32] }), FPR32:{ *:[f32] }:$Ra)
     /* 384542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 384545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 384549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 384554 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(18), // Rm
     /* 384560 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384565 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 384573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384575 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 384580 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 384582 */     GIR_RootConstrainSelectedInstOperands,
     /* 384583 */     // GIR_Coverage, 2457,
     /* 384583 */     GIR_EraseRootFromParent_Done,
     /* 384584 */   // Label 7682: @384584
     /* 384584 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(384653), // Rule ID 2551 //
     /* 384589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384604 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384621 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384625 */     // MIs[2] Operand 1
     /* 384625 */     // No operand predicates
     /* 384625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384633 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 384635 */     // (strict_fma:{ *:[f32] } (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 384638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384640 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384642 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 384644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 384651 */     GIR_RootConstrainSelectedInstOperands,
     /* 384652 */     // GIR_Coverage, 2551,
     /* 384652 */     GIR_EraseRootFromParent_Done,
     /* 384653 */   // Label 7683: @384653
     /* 384653 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(384722), // Rule ID 6060 //
     /* 384658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 384661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 384677 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 384690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 384694 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 384698 */     // MIs[2] Operand 1
     /* 384698 */     // No operand predicates
     /* 384698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 384704 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR32:{ *:[f32] }:$Rd)  =>  (FMLAv1i32_indexed:{ *:[f32] } FPR32:{ *:[f32] }:$Rd, FPR32:{ *:[f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 384704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i32_indexed),
     /* 384707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 384709 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 384711 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 384720 */     GIR_RootConstrainSelectedInstOperands,
     /* 384721 */     // GIR_Coverage, 6060,
     /* 384721 */     GIR_EraseRootFromParent_Done,
     /* 384722 */   // Label 7684: @384722
     /* 384722 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(384772), // Rule ID 13281 //
     /* 384727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384757 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 384757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 384760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384762 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 384764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384768 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 384770 */     GIR_RootConstrainSelectedInstOperands,
     /* 384771 */     // GIR_Coverage, 13281,
     /* 384771 */     GIR_EraseRootFromParent_Done,
     /* 384772 */   // Label 7685: @384772
     /* 384772 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(384822), // Rule ID 645 //
     /* 384777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 384788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384807 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Rm), FPR32:{ *:[f32] }:$Ra)  =>  (FMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 384807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBSrrr),
     /* 384810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384812 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 384818 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 384820 */     GIR_RootConstrainSelectedInstOperands,
     /* 384821 */     // GIR_Coverage, 645,
     /* 384821 */     GIR_EraseRootFromParent_Done,
     /* 384822 */   // Label 7686: @384822
     /* 384822 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(384872), // Rule ID 657 //
     /* 384827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 384842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 384850 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 384857 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$Ra))  =>  (FNMSUBSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 384857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBSrrr),
     /* 384860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 384862 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 384864 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 384866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 384870 */     GIR_RootConstrainSelectedInstOperands,
     /* 384871 */     // GIR_Coverage, 657,
     /* 384871 */     GIR_EraseRootFromParent_Done,
     /* 384872 */   // Label 7687: @384872
     /* 384872 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(384903), // Rule ID 639 //
     /* 384877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 384892 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)  =>  (FMADDSrrr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm, FPR32:{ *:[f32] }:$Ra)
     /* 384892 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDSrrr),
     /* 384897 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 384901 */     GIR_RootConstrainSelectedInstOperands,
     /* 384902 */     // GIR_Coverage, 639,
     /* 384902 */     GIR_Done,
     /* 384903 */   // Label 7688: @384903
     /* 384903 */   GIM_Reject,
     /* 384904 */ // Label 7658: @384904
     /* 384904 */ GIM_Reject,
     /* 384905 */ // Label 7622: @384905
     /* 384905 */ GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(387834),
     /* 384910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 384913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 384916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 384919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384923 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(385073), // Rule ID 4876 //
     /* 384928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 384931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 384935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 384943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 384947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384952 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 384956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 384960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 384964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 384968 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 384972 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 384977 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 384981 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 384985 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 384989 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 384993 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 384998 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385000 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 385000 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 385003 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385007 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385012 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 385018 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385023 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 385031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385040 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 385046 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385051 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 385059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 385067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Ra
     /* 385071 */     GIR_RootConstrainSelectedInstOperands,
     /* 385072 */     // GIR_Coverage, 4876,
     /* 385072 */     GIR_EraseRootFromParent_Done,
     /* 385073 */   // Label 7690: @385073
     /* 385073 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(385220), // Rule ID 4840 //
     /* 385078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 385081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385093 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 385097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385102 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 385106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 385110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 385118 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 385122 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385126 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385130 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 385134 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385139 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 385143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385147 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385149 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 385149 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 385152 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385156 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385161 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 385167 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385172 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 385180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385189 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 385195 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385200 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 385208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 385216 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 385218 */     GIR_RootConstrainSelectedInstOperands,
     /* 385219 */     // GIR_Coverage, 4840,
     /* 385219 */     GIR_EraseRootFromParent_Done,
     /* 385220 */   // Label 7691: @385220
     /* 385220 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(385367), // Rule ID 13849 //
     /* 385225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 385228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 385240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385252 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 385256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385261 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 385265 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 385269 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385273 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385277 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 385281 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385286 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 385290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385294 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 385296 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 385296 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 385299 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385303 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385308 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 385314 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385319 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 385327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385336 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 385342 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385347 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 385355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 385357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 385363 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 385365 */     GIR_RootConstrainSelectedInstOperands,
     /* 385366 */     // GIR_Coverage, 13849,
     /* 385366 */     GIR_EraseRootFromParent_Done,
     /* 385367 */   // Label 7692: @385367
     /* 385367 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(385498), // Rule ID 6098 //
     /* 385372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 385391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385396 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 385400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 385404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 385412 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/1, // MIs[3]
     /* 385416 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385420 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385424 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 385428 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385433 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 385437 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385441 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 385445 */     // MIs[4] Operand 1
     /* 385445 */     // No operand predicates
     /* 385445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385449 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 385451 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 385451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 385454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385463 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 385469 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385474 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 385482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385484 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 385493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 385496 */     GIR_RootConstrainSelectedInstOperands,
     /* 385497 */     // GIR_Coverage, 6098,
     /* 385497 */     GIR_EraseRootFromParent_Done,
     /* 385498 */   // Label 7693: @385498
     /* 385498 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(385629), // Rule ID 6130 //
     /* 385503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 385522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 385531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385535 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 385539 */     // MIs[2] Operand 1
     /* 385539 */     // No operand predicates
     /* 385539 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 385543 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385547 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 385551 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /* 385555 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385559 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385563 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 385567 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385572 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 385576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385580 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 385582 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 385582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 385585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385594 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 385600 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385605 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 385613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385615 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 385624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 385627 */     GIR_RootConstrainSelectedInstOperands,
     /* 385628 */     // GIR_Coverage, 6130,
     /* 385628 */     GIR_EraseRootFromParent_Done,
     /* 385629 */   // Label 7694: @385629
     /* 385629 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(385760), // Rule ID 6194 //
     /* 385634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 385649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385661 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 385665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385670 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 385674 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 385678 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385682 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385686 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 385690 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385695 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/2, // MIs[4]
     /* 385699 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385703 */     GIM_CheckI64ImmPredicate, /*MI*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 385707 */     // MIs[4] Operand 1
     /* 385707 */     // No operand predicates
     /* 385707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385711 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 385713 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] })), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 385713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 385716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385725 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 385731 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385736 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 385744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385746 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rm
     /* 385755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/4, // idx
     /* 385758 */     GIR_RootConstrainSelectedInstOperands,
     /* 385759 */     // GIR_Coverage, 6194,
     /* 385759 */     GIR_EraseRootFromParent_Done,
     /* 385760 */   // Label 7695: @385760
     /* 385760 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(385891), // Rule ID 6162 //
     /* 385765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 385768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 385776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 385780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 385784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385788 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385792 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 385796 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385801 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 385805 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 385809 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 385813 */     // MIs[3] Operand 1
     /* 385813 */     // No operand predicates
     /* 385813 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /* 385817 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385821 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385825 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /* 385829 */     GIM_CheckRegBankForClass, /*MI*/4, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385834 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 0,
     /* 385838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385842 */     GIM_CheckIsSafeToFold, /*NumInsns*/4,
     /* 385844 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 385844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 385847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385856 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/4, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 385862 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385867 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 385875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 385877 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 385879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 385882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 385886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 385889 */     GIR_RootConstrainSelectedInstOperands,
     /* 385890 */     // GIR_Coverage, 6162,
     /* 385890 */     GIR_EraseRootFromParent_Done,
     /* 385891 */   // Label 7696: @385891
     /* 385891 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(386026), // Rule ID 2467 //
     /* 385896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 385899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 385903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 385915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385920 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 385924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 385928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 385932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 385936 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 385940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385945 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 385949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 385955 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 385955 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 385958 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385962 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385967 */     GIR_CopySubReg, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 385973 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 385978 */     GIR_ConstrainOperandRC, /*InsnID*/2, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 385983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 385986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 385990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 385995 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 386001 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386006 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 386014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 386022 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 386024 */     GIR_RootConstrainSelectedInstOperands,
     /* 386025 */     // GIR_Coverage, 2467,
     /* 386025 */     GIR_EraseRootFromParent_Done,
     /* 386026 */   // Label 7697: @386026
     /* 386026 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(386145), // Rule ID 6066 //
     /* 386031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 386034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386055 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 386059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386071 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 386075 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386080 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 386084 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386088 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 386092 */     // MIs[3] Operand 1
     /* 386092 */     // No operand predicates
     /* 386092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386096 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386098 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 386098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386110 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 386116 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386121 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 386129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386131 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 386143 */     GIR_RootConstrainSelectedInstOperands,
     /* 386144 */     // GIR_Coverage, 6066,
     /* 386144 */     GIR_EraseRootFromParent_Done,
     /* 386145 */   // Label 7698: @386145
     /* 386145 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(386264), // Rule ID 2557 //
     /* 386150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 386153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 386178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386182 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 386186 */     // MIs[2] Operand 1
     /* 386186 */     // No operand predicates
     /* 386186 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 386190 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386194 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386198 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /* 386202 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386207 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 0,
     /* 386211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386215 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386217 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, (EXTRACT_SUBREG:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 386217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386229 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/3, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 386235 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386240 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 386248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386250 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 386259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 386262 */     GIR_RootConstrainSelectedInstOperands,
     /* 386263 */     // GIR_Coverage, 2557,
     /* 386263 */     GIR_EraseRootFromParent_Done,
     /* 386264 */   // Label 7699: @386264
     /* 386264 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(386364), // Rule ID 4838 //
     /* 386269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 386272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386293 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 386297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 386309 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386320 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 386320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386332 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 386338 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386343 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 386351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386360 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 386362 */     GIR_RootConstrainSelectedInstOperands,
     /* 386363 */     // GIR_Coverage, 4838,
     /* 386363 */     GIR_EraseRootFromParent_Done,
     /* 386364 */   // Label 7700: @386364
     /* 386364 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(386464), // Rule ID 4874 //
     /* 386369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 386372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386393 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 386397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386401 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 386405 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386409 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 386413 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386420 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 386420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386432 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 386438 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386443 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 386451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386456 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 386458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 386462 */     GIR_RootConstrainSelectedInstOperands,
     /* 386463 */     // GIR_Coverage, 4874,
     /* 386463 */     GIR_EraseRootFromParent_Done,
     /* 386464 */   // Label 7701: @386464
     /* 386464 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(386561), // Rule ID 13845 //
     /* 386469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 386472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 386484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386496 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 386500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386505 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 386509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386517 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386519 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 386519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386531 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 386537 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386542 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 386550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386552 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 386554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386557 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 386559 */     GIR_RootConstrainSelectedInstOperands,
     /* 386560 */     // GIR_Coverage, 13845,
     /* 386560 */     GIR_EraseRootFromParent_Done,
     /* 386561 */   // Label 7702: @386561
     /* 386561 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(386661), // Rule ID 13847 //
     /* 386566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 386569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 386581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 386590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386598 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 386602 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386607 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 386611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386615 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386617 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 386617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386629 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 386635 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386640 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 386648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 386657 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 386659 */     GIR_RootConstrainSelectedInstOperands,
     /* 386660 */     // GIR_Coverage, 13847,
     /* 386660 */     GIR_EraseRootFromParent_Done,
     /* 386661 */   // Label 7703: @386661
     /* 386661 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(386761), // Rule ID 4872 //
     /* 386666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 386669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 386677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386694 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 386698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 386702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 386710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386715 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386717 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 386717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386729 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 386735 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386740 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 386748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386750 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 386752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Ra
     /* 386759 */     GIR_RootConstrainSelectedInstOperands,
     /* 386760 */     // GIR_Coverage, 4872,
     /* 386760 */     GIR_EraseRootFromParent_Done,
     /* 386761 */   // Label 7704: @386761
     /* 386761 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(386858), // Rule ID 4836 //
     /* 386766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 386769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 386777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 386785 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386793 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386797 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 386801 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386806 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 0,
     /* 386810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 386816 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] })), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 386816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 386819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 386823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 386828 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 386834 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386839 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 386847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 386849 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 386851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 386854 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 386856 */     GIR_RootConstrainSelectedInstOperands,
     /* 386857 */     // GIR_Coverage, 4836,
     /* 386857 */     GIR_EraseRootFromParent_Done,
     /* 386858 */   // Label 7705: @386858
     /* 386858 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(386936), // Rule ID 6216 //
     /* 386863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386875 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 386883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386891 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386896 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 386900 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386904 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 386908 */     // MIs[3] Operand 1
     /* 386908 */     // No operand predicates
     /* 386908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386916 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 386918 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 386918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 386921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 386923 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 386925 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 386927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 386931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 386934 */     GIR_RootConstrainSelectedInstOperands,
     /* 386935 */     // GIR_Coverage, 6216,
     /* 386935 */     GIR_EraseRootFromParent_Done,
     /* 386936 */   // Label 7706: @386936
     /* 386936 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(387020), // Rule ID 6128 //
     /* 386941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 386944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 386948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 386952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 386956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 386960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 386965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 386969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 386973 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 386977 */     // MIs[2] Operand 1
     /* 386977 */     // No operand predicates
     /* 386977 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 386981 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 386985 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /* 386989 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 386998 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387000 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 387000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 387003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387005 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 387011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 387018 */     GIR_RootConstrainSelectedInstOperands,
     /* 387019 */     // GIR_Coverage, 6128,
     /* 387019 */     GIR_EraseRootFromParent_Done,
     /* 387020 */   // Label 7707: @387020
     /* 387020 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(387101), // Rule ID 6160 //
     /* 387025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 387040 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 387044 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387048 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387052 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 387056 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387061 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 387065 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387069 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 387073 */     // MIs[3] Operand 1
     /* 387073 */     // No operand predicates
     /* 387073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387081 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387083 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 387083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 387086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387088 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387090 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 387092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 387096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 387099 */     GIR_RootConstrainSelectedInstOperands,
     /* 387100 */     // GIR_Coverage, 6160,
     /* 387100 */     GIR_EraseRootFromParent_Done,
     /* 387101 */   // Label 7708: @387101
     /* 387101 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(387185), // Rule ID 6192 //
     /* 387106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 387121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 387130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387138 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 387142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387147 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 387151 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387155 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 387159 */     // MIs[3] Operand 1
     /* 387159 */     // No operand predicates
     /* 387159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387163 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387165 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rn), (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 387165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 387168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387170 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 387176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 387180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 387183 */     GIR_RootConstrainSelectedInstOperands,
     /* 387184 */     // GIR_Coverage, 6192,
     /* 387184 */     GIR_EraseRootFromParent_Done,
     /* 387185 */   // Label 7709: @387185
     /* 387185 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(387263), // Rule ID 6238 //
     /* 387190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 387214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387222 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387227 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 387231 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387235 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 387239 */     // MIs[3] Operand 1
     /* 387239 */     // No operand predicates
     /* 387239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387243 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387245 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 387245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 387248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387250 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387252 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 387258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 387261 */     GIR_RootConstrainSelectedInstOperands,
     /* 387262 */     // GIR_Coverage, 6238,
     /* 387262 */     GIR_EraseRootFromParent_Done,
     /* 387263 */   // Label 7710: @387263
     /* 387263 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(387344), // Rule ID 6096 //
     /* 387268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 387287 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 387291 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387295 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387299 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 387303 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387308 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 387312 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387316 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 387320 */     // MIs[3] Operand 1
     /* 387320 */     // No operand predicates
     /* 387320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387324 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387326 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), FPR64:{ *:[f64] }:$Rd)  =>  (FMLSv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 387326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv1i64_indexed),
     /* 387329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387331 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387333 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 387339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 387342 */     GIR_RootConstrainSelectedInstOperands,
     /* 387343 */     // GIR_Coverage, 6096,
     /* 387343 */     GIR_EraseRootFromParent_Done,
     /* 387344 */   // Label 7711: @387344
     /* 387344 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(387429), // Rule ID 2465 //
     /* 387349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 387352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387373 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 387377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387387 */     // (strict_fma:{ *:[f64] } (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rn, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 387387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 387390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 387394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 387399 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rn
     /* 387405 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387410 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 387418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 387423 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 387425 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 387427 */     GIR_RootConstrainSelectedInstOperands,
     /* 387428 */     // GIR_Coverage, 2465,
     /* 387428 */     GIR_EraseRootFromParent_Done,
     /* 387429 */   // Label 7712: @387429
     /* 387429 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(387514), // Rule ID 2463 //
     /* 387434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 387437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387462 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 0,
     /* 387466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387472 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (extractelt:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, 0:{ *:[i64] }), FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (EXTRACT_SUBREG:{ *:[i64] } V128:{ *:[v2f64] }:$Rm, dsub:{ *:[i32] }), FPR64:{ *:[f64] }:$Ra)
     /* 387472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 387475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 387479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 387484 */     GIR_CopySubReg, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(3), // Rm
     /* 387490 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387495 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 387503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387505 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 387510 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 387512 */     GIR_RootConstrainSelectedInstOperands,
     /* 387513 */     // GIR_Coverage, 2463,
     /* 387513 */     GIR_EraseRootFromParent_Done,
     /* 387514 */   // Label 7713: @387514
     /* 387514 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(387583), // Rule ID 2555 //
     /* 387519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387534 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387543 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 387547 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387551 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 387555 */     // MIs[2] Operand 1
     /* 387555 */     // No operand predicates
     /* 387555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 387565 */     // (strict_fma:{ *:[f64] } (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 387565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 387568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387570 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387572 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 387574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 387581 */     GIR_RootConstrainSelectedInstOperands,
     /* 387582 */     // GIR_Coverage, 2555,
     /* 387582 */     GIR_EraseRootFromParent_Done,
     /* 387583 */   // Label 7714: @387583
     /* 387583 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(387652), // Rule ID 6064 //
     /* 387588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_VECTOR_ELT),
     /* 387603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 387607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 387620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387624 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 387628 */     // MIs[2] Operand 1
     /* 387628 */     // No operand predicates
     /* 387628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 387634 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), FPR64:{ *:[f64] }:$Rd)  =>  (FMLAv1i64_indexed:{ *:[f64] } FPR64:{ *:[f64] }:$Rd, FPR64:{ *:[f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)
     /* 387634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv1i64_indexed),
     /* 387637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387639 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387641 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 387650 */     GIR_RootConstrainSelectedInstOperands,
     /* 387651 */     // GIR_Coverage, 6064,
     /* 387651 */     GIR_EraseRootFromParent_Done,
     /* 387652 */   // Label 7715: @387652
     /* 387652 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(387702), // Rule ID 13283 //
     /* 387657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 387660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 387672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387687 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 387687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 387690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387692 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 387694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387698 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 387700 */     GIR_RootConstrainSelectedInstOperands,
     /* 387701 */     // GIR_Coverage, 13283,
     /* 387701 */     GIR_EraseRootFromParent_Done,
     /* 387702 */   // Label 7716: @387702
     /* 387702 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(387752), // Rule ID 647 //
     /* 387707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 387710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 387718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 387726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387737 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Rm), FPR64:{ *:[f64] }:$Ra)  =>  (FMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 387737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMSUBDrrr),
     /* 387740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387742 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 387748 */     GIR_RootToRootCopy, /*OpIdx*/3, // Ra
     /* 387750 */     GIR_RootConstrainSelectedInstOperands,
     /* 387751 */     // GIR_Coverage, 647,
     /* 387751 */     GIR_EraseRootFromParent_Done,
     /* 387752 */   // Label 7717: @387752
     /* 387752 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(387802), // Rule ID 659 //
     /* 387757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 387760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 387772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 387780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 387787 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$Ra))  =>  (FNMSUBDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 387787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FNMSUBDrrr),
     /* 387790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 387792 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 387794 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 387796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Ra
     /* 387800 */     GIR_RootConstrainSelectedInstOperands,
     /* 387801 */     // GIR_Coverage, 659,
     /* 387801 */     GIR_EraseRootFromParent_Done,
     /* 387802 */   // Label 7718: @387802
     /* 387802 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(387833), // Rule ID 641 //
     /* 387807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 387810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387822 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)  =>  (FMADDDrrr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm, FPR64:{ *:[f64] }:$Ra)
     /* 387822 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMADDDrrr),
     /* 387827 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 387831 */     GIR_RootConstrainSelectedInstOperands,
     /* 387832 */     // GIR_Coverage, 641,
     /* 387832 */     GIR_Done,
     /* 387833 */   // Label 7719: @387833
     /* 387833 */   GIM_Reject,
     /* 387834 */ // Label 7689: @387834
     /* 387834 */ GIM_Reject,
     /* 387835 */ // Label 7623: @387835
     /* 387835 */ GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(389355),
     /* 387840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 387843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 387846 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 387849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387853 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(387931), // Rule ID 6196 //
     /* 387858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 387866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 387870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 387878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 387886 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387891 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 387895 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387899 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 387903 */     // MIs[3] Operand 1
     /* 387903 */     // No operand predicates
     /* 387903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387911 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387913 */     // (strict_fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 387913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 387916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 387918 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 387920 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 387922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 387926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 387929 */     GIR_RootConstrainSelectedInstOperands,
     /* 387930 */     // GIR_Coverage, 6196,
     /* 387930 */     GIR_EraseRootFromParent_Done,
     /* 387931 */   // Label 7721: @387931
     /* 387931 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(388015), // Rule ID 6112 //
     /* 387936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 387939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 387943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 387947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 387951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 387955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 387960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 387964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 387968 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 387972 */     // MIs[2] Operand 1
     /* 387972 */     // No operand predicates
     /* 387972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 387976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 387980 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 387984 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 387993 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 387995 */     // (strict_fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 387995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 387998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388000 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 388006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 388010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 388013 */     GIR_RootConstrainSelectedInstOperands,
     /* 388014 */     // GIR_Coverage, 6112,
     /* 388014 */     GIR_EraseRootFromParent_Done,
     /* 388015 */   // Label 7722: @388015
     /* 388015 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(388096), // Rule ID 6144 //
     /* 388020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388047 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 388051 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388056 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388060 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388064 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388068 */     // MIs[3] Operand 1
     /* 388068 */     // No operand predicates
     /* 388068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388076 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388078 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388083 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388085 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 388087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 388094 */     GIR_RootConstrainSelectedInstOperands,
     /* 388095 */     // GIR_Coverage, 6144,
     /* 388095 */     GIR_EraseRootFromParent_Done,
     /* 388096 */   // Label 7723: @388096
     /* 388096 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(388180), // Rule ID 6176 //
     /* 388101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388133 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 388137 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388142 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388146 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388150 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388154 */     // MIs[3] Operand 1
     /* 388154 */     // No operand predicates
     /* 388154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388158 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388160 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388165 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 388171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 388178 */     GIR_RootConstrainSelectedInstOperands,
     /* 388179 */     // GIR_Coverage, 6176,
     /* 388179 */     GIR_EraseRootFromParent_Done,
     /* 388180 */   // Label 7724: @388180
     /* 388180 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(388258), // Rule ID 6218 //
     /* 388185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 388193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388201 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 388205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388217 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388222 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 388226 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388230 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388234 */     // MIs[3] Operand 1
     /* 388234 */     // No operand predicates
     /* 388234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388238 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388240 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388245 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388247 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 388249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 388256 */     GIR_RootConstrainSelectedInstOperands,
     /* 388257 */     // GIR_Coverage, 6218,
     /* 388257 */     GIR_EraseRootFromParent_Done,
     /* 388258 */   // Label 7725: @388258
     /* 388258 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(388339), // Rule ID 6080 //
     /* 388263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 388274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388294 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 388298 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388303 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 388307 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388311 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388315 */     // MIs[3] Operand 1
     /* 388315 */     // No operand predicates
     /* 388315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388319 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 388321 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388326 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388328 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 388330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 388337 */     GIR_RootConstrainSelectedInstOperands,
     /* 388338 */     // GIR_Coverage, 6080,
     /* 388338 */     GIR_EraseRootFromParent_Done,
     /* 388339 */   // Label 7726: @388339
     /* 388339 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(388408), // Rule ID 2539 //
     /* 388344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388359 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 388363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 388372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388376 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388380 */     // MIs[2] Operand 1
     /* 388380 */     // No operand predicates
     /* 388380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388388 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388390 */     // (strict_fma:{ *:[v2f32] } (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 388393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388395 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388397 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 388399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 388403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 388406 */     GIR_RootConstrainSelectedInstOperands,
     /* 388407 */     // GIR_Coverage, 2539,
     /* 388407 */     GIR_EraseRootFromParent_Done,
     /* 388408 */   // Label 7727: @388408
     /* 388408 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(388477), // Rule ID 6048 //
     /* 388413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 388424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 388428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 388432 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 388436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 388445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 388449 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 388453 */     // MIs[2] Operand 1
     /* 388453 */     // No operand predicates
     /* 388453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388459 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 388459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 388462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388464 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388466 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 388468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 388472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 388475 */     GIR_RootConstrainSelectedInstOperands,
     /* 388476 */     // GIR_Coverage, 6048,
     /* 388476 */     GIR_EraseRootFromParent_Done,
     /* 388477 */   // Label 7728: @388477
     /* 388477 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(388570), // Rule ID 6200 //
     /* 388482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 388490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 388494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 388506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388521 */     // (strict_fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 388521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 388524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 388528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 388533 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 388536 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388540 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 388543 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388548 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388558 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388560 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 388562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 388565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388568 */     GIR_RootConstrainSelectedInstOperands,
     /* 388569 */     // GIR_Coverage, 6200,
     /* 388569 */     GIR_EraseRootFromParent_Done,
     /* 388570 */   // Label 7729: @388570
     /* 388570 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(388669), // Rule ID 6114 //
     /* 388575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 388586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 388590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388603 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388607 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388616 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388618 */     // (strict_fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 388618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 388621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 388625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 388630 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 388633 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 388637 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 388640 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388645 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388655 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 388661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 388664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388667 */     GIR_RootConstrainSelectedInstOperands,
     /* 388668 */     // GIR_Coverage, 6114,
     /* 388668 */     GIR_EraseRootFromParent_Done,
     /* 388669 */   // Label 7730: @388669
     /* 388669 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(388765), // Rule ID 6146 //
     /* 388674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 388697 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 388701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388716 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 388716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 388719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 388723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 388728 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 388731 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388735 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 388738 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388743 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388753 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388755 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 388757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 388760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388763 */     GIR_RootConstrainSelectedInstOperands,
     /* 388764 */     // GIR_Coverage, 6146,
     /* 388764 */     GIR_EraseRootFromParent_Done,
     /* 388765 */   // Label 7731: @388765
     /* 388765 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(388864), // Rule ID 6178 //
     /* 388770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 388777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 388794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 388798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 388802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388813 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 388813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 388816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 388820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 388825 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 388828 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388832 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 388835 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388840 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388850 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 388856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 388859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388862 */     GIR_RootConstrainSelectedInstOperands,
     /* 388863 */     // GIR_Coverage, 6178,
     /* 388863 */     GIR_EraseRootFromParent_Done,
     /* 388864 */   // Label 7732: @388864
     /* 388864 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(388957), // Rule ID 6222 //
     /* 388869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 388877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 388881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 388885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 388897 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 388908 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 388908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 388911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 388915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 388920 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 388923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 388927 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 388930 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 388935 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 388943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 388945 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 388947 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 388949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 388952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 388955 */     GIR_RootConstrainSelectedInstOperands,
     /* 388956 */     // GIR_Coverage, 6222,
     /* 388956 */     GIR_EraseRootFromParent_Done,
     /* 388957 */   // Label 7733: @388957
     /* 388957 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(389053), // Rule ID 6082 //
     /* 388962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 388965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 388969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 388973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 388977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 388981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 388985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 388989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 388993 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 388998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389004 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm)), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389016 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389019 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389023 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389026 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389031 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i32_indexed),
     /* 389039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389041 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389043 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389051 */     GIR_RootConstrainSelectedInstOperands,
     /* 389052 */     // GIR_Coverage, 6082,
     /* 389052 */     GIR_EraseRootFromParent_Done,
     /* 389053 */   // Label 7734: @389053
     /* 389053 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(389137), // Rule ID 2541 //
     /* 389058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 389069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 389073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 389088 */     // (strict_fma:{ *:[v2f32] } (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389100 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389103 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389107 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389110 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389115 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 389123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389125 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389127 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389135 */     GIR_RootConstrainSelectedInstOperands,
     /* 389136 */     // GIR_Coverage, 2541,
     /* 389136 */     GIR_EraseRootFromParent_Done,
     /* 389137 */   // Label 7735: @389137
     /* 389137 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(389187), // Rule ID 13313 //
     /* 389142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 389157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 389172 */     // (strict_fma:{ *:[v2f32] } (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 389172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 389175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389177 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389179 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389185 */     GIR_RootConstrainSelectedInstOperands,
     /* 389186 */     // GIR_Coverage, 13313,
     /* 389186 */     GIR_EraseRootFromParent_Done,
     /* 389187 */   // Label 7736: @389187
     /* 389187 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(389271), // Rule ID 6050 //
     /* 389192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 389207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 389211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 389222 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (AArch64dup:{ *:[v2f32] } FPR32Op:{ *:[f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2i32_indexed:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 389222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 389225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 389229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 389234 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 389237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389241 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 389244 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389249 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 389254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i32_indexed),
     /* 389257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389259 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389261 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 389266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 389269 */     GIR_RootConstrainSelectedInstOperands,
     /* 389270 */     // GIR_Coverage, 6050,
     /* 389270 */     GIR_EraseRootFromParent_Done,
     /* 389271 */   // Label 7737: @389271
     /* 389271 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(389321), // Rule ID 1307 //
     /* 389276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 389295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 389306 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, (fneg:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm), V64:{ *:[v2f32] }:$Rd)  =>  (FMLSv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 389306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f32),
     /* 389309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389311 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389313 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389319 */     GIR_RootConstrainSelectedInstOperands,
     /* 389320 */     // GIR_Coverage, 1307,
     /* 389320 */     GIR_EraseRootFromParent_Done,
     /* 389321 */   // Label 7738: @389321
     /* 389321 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(389354), // Rule ID 1297 //
     /* 389326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 389341 */     // (strict_fma:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rd)  =>  (FMLAv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rd, V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 389341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f32),
     /* 389344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389346 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389348 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389350 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 389352 */     GIR_RootConstrainSelectedInstOperands,
     /* 389353 */     // GIR_Coverage, 1297,
     /* 389353 */     GIR_EraseRootFromParent_Done,
     /* 389354 */   // Label 7739: @389354
     /* 389354 */   GIM_Reject,
     /* 389355 */ // Label 7720: @389355
     /* 389355 */ GIM_Reject,
     /* 389356 */ // Label 7624: @389356
     /* 389356 */ GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(390876),
     /* 389361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 389367 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 389370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389374 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(389452), // Rule ID 6208 //
     /* 389379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 389387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 389395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 389399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389407 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389412 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 389416 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389420 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 389424 */     // MIs[3] Operand 1
     /* 389424 */     // No operand predicates
     /* 389424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389432 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389434 */     // (strict_fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 389437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389439 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389441 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 389450 */     GIR_RootConstrainSelectedInstOperands,
     /* 389451 */     // GIR_Coverage, 6208,
     /* 389451 */     GIR_EraseRootFromParent_Done,
     /* 389452 */   // Label 7741: @389452
     /* 389452 */   GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(389536), // Rule ID 6120 //
     /* 389457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 389468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 389476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389481 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 389485 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389489 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 389493 */     // MIs[2] Operand 1
     /* 389493 */     // No operand predicates
     /* 389493 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 389497 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389501 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389505 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389514 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389516 */     // (strict_fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 389519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389521 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 389527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 389534 */     GIR_RootConstrainSelectedInstOperands,
     /* 389535 */     // GIR_Coverage, 6120,
     /* 389535 */     GIR_EraseRootFromParent_Done,
     /* 389536 */   // Label 7742: @389536
     /* 389536 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(389617), // Rule ID 6152 //
     /* 389541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389556 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 389560 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 389564 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389568 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 389572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389577 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 389581 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389585 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 389589 */     // MIs[3] Operand 1
     /* 389589 */     // No operand predicates
     /* 389589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389597 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389599 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 389602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389604 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389606 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 389615 */     GIR_RootConstrainSelectedInstOperands,
     /* 389616 */     // GIR_Coverage, 6152,
     /* 389616 */     GIR_EraseRootFromParent_Done,
     /* 389617 */   // Label 7743: @389617
     /* 389617 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(389701), // Rule ID 6184 //
     /* 389622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389642 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 389646 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 389650 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389654 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 389658 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389663 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 389667 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389671 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 389675 */     // MIs[3] Operand 1
     /* 389675 */     // No operand predicates
     /* 389675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389679 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389681 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 389684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389686 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 389692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 389699 */     GIR_RootConstrainSelectedInstOperands,
     /* 389700 */     // GIR_Coverage, 6184,
     /* 389700 */     GIR_EraseRootFromParent_Done,
     /* 389701 */   // Label 7744: @389701
     /* 389701 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(389779), // Rule ID 6230 //
     /* 389706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 389718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389722 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 389726 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 389730 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389734 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389743 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 389747 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389751 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 389755 */     // MIs[3] Operand 1
     /* 389755 */     // No operand predicates
     /* 389755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389759 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389761 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 389764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389766 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389768 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 389777 */     GIR_RootConstrainSelectedInstOperands,
     /* 389778 */     // GIR_Coverage, 6230,
     /* 389778 */     GIR_EraseRootFromParent_Done,
     /* 389779 */   // Label 7745: @389779
     /* 389779 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(389860), // Rule ID 6088 //
     /* 389784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 389799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389803 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 389807 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 389811 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389815 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 389819 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389824 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 389828 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389832 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 389836 */     // MIs[3] Operand 1
     /* 389836 */     // No operand predicates
     /* 389836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389840 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 389842 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 389845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389847 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389849 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 389855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 389858 */     GIR_RootConstrainSelectedInstOperands,
     /* 389859 */     // GIR_Coverage, 6088,
     /* 389859 */     GIR_EraseRootFromParent_Done,
     /* 389860 */   // Label 7746: @389860
     /* 389860 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(389929), // Rule ID 2547 //
     /* 389865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 389872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 389876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 389884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 389893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389897 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 389901 */     // MIs[2] Operand 1
     /* 389901 */     // No operand predicates
     /* 389901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389911 */     // (strict_fma:{ *:[v2f64] } (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 389914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389916 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389918 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 389920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 389927 */     GIR_RootConstrainSelectedInstOperands,
     /* 389928 */     // GIR_Coverage, 2547,
     /* 389928 */     GIR_EraseRootFromParent_Done,
     /* 389929 */   // Label 7747: @389929
     /* 389929 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(389998), // Rule ID 6056 //
     /* 389934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 389937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 389945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE64),
     /* 389949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 389953 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 389957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 389966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 389970 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 389974 */     // MIs[2] Operand 1
     /* 389974 */     // No operand predicates
     /* 389974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 389978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 389980 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 389980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 389983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 389985 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 389987 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 389989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 389993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 389996 */     GIR_RootConstrainSelectedInstOperands,
     /* 389997 */     // GIR_Coverage, 6056,
     /* 389997 */     GIR_EraseRootFromParent_Done,
     /* 389998 */   // Label 7748: @389998
     /* 389998 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(390091), // Rule ID 6210 //
     /* 390003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 390011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 390015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 390019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 390027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390042 */     // (strict_fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390054 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390057 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390061 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390064 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390069 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 390077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390079 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390081 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390089 */     GIR_RootConstrainSelectedInstOperands,
     /* 390090 */     // GIR_Coverage, 6210,
     /* 390090 */     GIR_EraseRootFromParent_Done,
     /* 390091 */   // Label 7749: @390091
     /* 390091 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(390190), // Rule ID 6122 //
     /* 390096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 390107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 390111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390128 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390139 */     // (strict_fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390151 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390154 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390158 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390161 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390166 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 390174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390176 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 390182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390188 */     GIR_RootConstrainSelectedInstOperands,
     /* 390189 */     // GIR_Coverage, 6122,
     /* 390189 */     GIR_EraseRootFromParent_Done,
     /* 390190 */   // Label 7750: @390190
     /* 390190 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(390286), // Rule ID 6154 //
     /* 390195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 390214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 390218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 390222 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390235 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390237 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390249 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390252 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390256 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390259 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390264 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 390272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390274 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390284 */     GIR_RootConstrainSelectedInstOperands,
     /* 390285 */     // GIR_Coverage, 6154,
     /* 390285 */     GIR_EraseRootFromParent_Done,
     /* 390286 */   // Label 7751: @390286
     /* 390286 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(390385), // Rule ID 6186 //
     /* 390291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 390315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 390319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 390323 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390332 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390334 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390346 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390353 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390356 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390361 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 390369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390371 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 390377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390383 */     GIR_RootConstrainSelectedInstOperands,
     /* 390384 */     // GIR_Coverage, 6186,
     /* 390384 */     GIR_EraseRootFromParent_Done,
     /* 390385 */   // Label 7752: @390385
     /* 390385 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(390478), // Rule ID 6232 //
     /* 390390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 390398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 390402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 390406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 390410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 390418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390429 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } (fneg:{ *:[f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390441 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390444 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390448 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390451 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390456 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 390464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390466 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390468 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 390470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390476 */     GIR_RootConstrainSelectedInstOperands,
     /* 390477 */     // GIR_Coverage, 6232,
     /* 390477 */     GIR_EraseRootFromParent_Done,
     /* 390478 */   // Label 7753: @390478
     /* 390478 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(390574), // Rule ID 6090 //
     /* 390483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 390494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 390506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 390510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 390514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390523 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 390525 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm)), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390537 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390540 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 390544 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390547 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390552 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2i64_indexed),
     /* 390560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390562 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390564 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 390566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390572 */     GIR_RootConstrainSelectedInstOperands,
     /* 390573 */     // GIR_Coverage, 6090,
     /* 390573 */     GIR_EraseRootFromParent_Done,
     /* 390574 */   // Label 7754: @390574
     /* 390574 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(390658), // Rule ID 2549 //
     /* 390579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 390590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 390594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 390609 */     // (strict_fma:{ *:[v2f64] } (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390621 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390624 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390628 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390631 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390636 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 390644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390646 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390648 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390656 */     GIR_RootConstrainSelectedInstOperands,
     /* 390657 */     // GIR_Coverage, 2549,
     /* 390657 */     GIR_EraseRootFromParent_Done,
     /* 390658 */   // Label 7755: @390658
     /* 390658 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(390708), // Rule ID 13317 //
     /* 390663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 390693 */     // (strict_fma:{ *:[v2f64] } (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 390693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 390696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390698 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390700 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390706 */     GIR_RootConstrainSelectedInstOperands,
     /* 390707 */     // GIR_Coverage, 13317,
     /* 390707 */     GIR_EraseRootFromParent_Done,
     /* 390708 */   // Label 7756: @390708
     /* 390708 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(390792), // Rule ID 6058 //
     /* 390713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 390724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 390728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 390732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 390743 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (AArch64dup:{ *:[v2f64] } FPR64Op:{ *:[f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2i64_indexed:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR64Op:{ *:[f64] }:$Rm, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 390743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 390746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 390750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 390755 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 390758 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390762 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 390765 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390770 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2i64_indexed),
     /* 390778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390780 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390782 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 390784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 390787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 390790 */     GIR_RootConstrainSelectedInstOperands,
     /* 390791 */     // GIR_Coverage, 6058,
     /* 390791 */     GIR_EraseRootFromParent_Done,
     /* 390792 */   // Label 7757: @390792
     /* 390792 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(390842), // Rule ID 1311 //
     /* 390797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 390808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 390816 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 390827 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm), V128:{ *:[v2f64] }:$Rd)  =>  (FMLSv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 390827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv2f64),
     /* 390830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390832 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390834 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 390836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390840 */     GIR_RootConstrainSelectedInstOperands,
     /* 390841 */     // GIR_Coverage, 1311,
     /* 390841 */     GIR_EraseRootFromParent_Done,
     /* 390842 */   // Label 7758: @390842
     /* 390842 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(390875), // Rule ID 1301 //
     /* 390847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 390850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 390862 */     // (strict_fma:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rd)  =>  (FMLAv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rd, V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 390862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv2f64),
     /* 390865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390867 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390869 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 390871 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 390873 */     GIR_RootConstrainSelectedInstOperands,
     /* 390874 */     // GIR_Coverage, 1301,
     /* 390874 */     GIR_EraseRootFromParent_Done,
     /* 390875 */   // Label 7759: @390875
     /* 390875 */   GIM_Reject,
     /* 390876 */ // Label 7740: @390876
     /* 390876 */ GIM_Reject,
     /* 390877 */ // Label 7625: @390877
     /* 390877 */ GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(392055),
     /* 390882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 390885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 390888 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 390891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390895 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(390979), // Rule ID 6104 //
     /* 390900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 390911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 390915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 390919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 390924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 390928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 390932 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 390936 */     // MIs[2] Operand 1
     /* 390936 */     // No operand predicates
     /* 390936 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 390940 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390944 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 390948 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 390957 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 390959 */     // (strict_fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 390959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 390962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 390964 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 390966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 390970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 390974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 390977 */     GIR_RootConstrainSelectedInstOperands,
     /* 390978 */     // GIR_Coverage, 6104,
     /* 390978 */     GIR_EraseRootFromParent_Done,
     /* 390979 */   // Label 7761: @390979
     /* 390979 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(391060), // Rule ID 6136 //
     /* 390984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 390987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 390991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 390995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 390999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 391003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 391007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391011 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 391015 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 391020 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 391024 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 391028 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 391032 */     // MIs[3] Operand 1
     /* 391032 */     // No operand predicates
     /* 391032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391040 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391042 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 391042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391047 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391049 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 391051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 391055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 391058 */     GIR_RootConstrainSelectedInstOperands,
     /* 391059 */     // GIR_Coverage, 6136,
     /* 391059 */     GIR_EraseRootFromParent_Done,
     /* 391060 */   // Label 7762: @391060
     /* 391060 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(391144), // Rule ID 6168 //
     /* 391065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 391089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 391093 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391097 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 391101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 391106 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 391110 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 391114 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 391118 */     // MIs[3] Operand 1
     /* 391118 */     // No operand predicates
     /* 391118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391122 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391124 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 391124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391129 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 391135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 391139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 391142 */     GIR_RootConstrainSelectedInstOperands,
     /* 391143 */     // GIR_Coverage, 6168,
     /* 391143 */     GIR_EraseRootFromParent_Done,
     /* 391144 */   // Label 7763: @391144
     /* 391144 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(391225), // Rule ID 6072 //
     /* 391149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 391160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 391172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 391176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391180 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 391184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 391189 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 391193 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 391197 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 391201 */     // MIs[3] Operand 1
     /* 391201 */     // No operand predicates
     /* 391201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391205 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 391207 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 391207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391212 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391214 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 391216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 391220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 391223 */     GIR_RootConstrainSelectedInstOperands,
     /* 391224 */     // GIR_Coverage, 6072,
     /* 391224 */     GIR_EraseRootFromParent_Done,
     /* 391225 */   // Label 7764: @391225
     /* 391225 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(391294), // Rule ID 2531 //
     /* 391230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 391241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 391249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 391254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 391258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 391262 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 391266 */     // MIs[2] Operand 1
     /* 391266 */     // No operand predicates
     /* 391266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 391276 */     // (strict_fma:{ *:[v4f16] } (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 391276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 391279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391281 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391283 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 391285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 391292 */     GIR_RootConstrainSelectedInstOperands,
     /* 391293 */     // GIR_Coverage, 2531,
     /* 391293 */     GIR_EraseRootFromParent_Done,
     /* 391294 */   // Label 7765: @391294
     /* 391294 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(391363), // Rule ID 6040 //
     /* 391299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 391310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 391314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 391318 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 391322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 391327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 391331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 391335 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 391339 */     // MIs[2] Operand 1
     /* 391339 */     // No operand predicates
     /* 391339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391343 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 391345 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64duplane16:{ *:[v4f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 391345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 391348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391350 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391352 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 391354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 391361 */     GIR_RootConstrainSelectedInstOperands,
     /* 391362 */     // GIR_Coverage, 6040,
     /* 391362 */     GIR_EraseRootFromParent_Done,
     /* 391363 */   // Label 7766: @391363
     /* 391363 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(391462), // Rule ID 6106 //
     /* 391368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 391379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 391383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 391392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391409 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 391411 */     // (strict_fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 391411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 391414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391423 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 391426 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391430 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 391433 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391438 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391448 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 391454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391460 */     GIR_RootConstrainSelectedInstOperands,
     /* 391461 */     // GIR_Coverage, 6106,
     /* 391461 */     GIR_EraseRootFromParent_Done,
     /* 391462 */   // Label 7767: @391462
     /* 391462 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(391558), // Rule ID 6138 //
     /* 391467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 391486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 391490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 391494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391507 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 391509 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 391509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 391512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391521 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 391524 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 391528 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 391531 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391536 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391546 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391548 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 391550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391556 */     GIR_RootConstrainSelectedInstOperands,
     /* 391557 */     // GIR_Coverage, 6138,
     /* 391557 */     GIR_EraseRootFromParent_Done,
     /* 391558 */   // Label 7768: @391558
     /* 391558 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(391657), // Rule ID 6170 //
     /* 391563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 391587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 391591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 391595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 391606 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 391606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 391609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391618 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 391621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 391625 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 391628 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391633 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391643 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 391649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391655 */     GIR_RootConstrainSelectedInstOperands,
     /* 391656 */     // GIR_Coverage, 6170,
     /* 391656 */     GIR_EraseRootFromParent_Done,
     /* 391657 */   // Label 7769: @391657
     /* 391657 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(391753), // Rule ID 6074 //
     /* 391662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 391673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 391685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 391689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 391693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 391704 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 391704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 391707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391716 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 391719 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 391723 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 391726 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391731 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i16_indexed),
     /* 391739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391741 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391743 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 391745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391751 */     GIR_RootConstrainSelectedInstOperands,
     /* 391752 */     // GIR_Coverage, 6074,
     /* 391752 */     GIR_EraseRootFromParent_Done,
     /* 391753 */   // Label 7770: @391753
     /* 391753 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(391837), // Rule ID 2533 //
     /* 391758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 391769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 391773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 391788 */     // (strict_fma:{ *:[v4f16] } (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 391788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 391791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391800 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 391803 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391807 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 391810 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391815 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 391823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391825 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391827 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 391829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391835 */     GIR_RootConstrainSelectedInstOperands,
     /* 391836 */     // GIR_Coverage, 2533,
     /* 391836 */     GIR_EraseRootFromParent_Done,
     /* 391837 */   // Label 7771: @391837
     /* 391837 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(391887), // Rule ID 13309 //
     /* 391842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 391849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 391872 */     // (strict_fma:{ *:[v4f16] } (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 391872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 391875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391877 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391879 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 391881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391885 */     GIR_RootConstrainSelectedInstOperands,
     /* 391886 */     // GIR_Coverage, 13309,
     /* 391886 */     GIR_EraseRootFromParent_Done,
     /* 391887 */   // Label 7772: @391887
     /* 391887 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(391971), // Rule ID 6042 //
     /* 391892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 391903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 391907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 391911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 391922 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (AArch64dup:{ *:[v4f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4i16_indexed:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 391922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 391925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 391929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 391934 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 391937 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 391941 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 391944 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 391949 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 391954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i16_indexed),
     /* 391957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 391959 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 391961 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 391963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 391966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 391969 */     GIR_RootConstrainSelectedInstOperands,
     /* 391970 */     // GIR_Coverage, 6042,
     /* 391970 */     GIR_EraseRootFromParent_Done,
     /* 391971 */   // Label 7773: @391971
     /* 391971 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(392021), // Rule ID 1303 //
     /* 391976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 391979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 391983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 391987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 391991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 391995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 392006 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, (fneg:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm), V64:{ *:[v4f16] }:$Rd)  =>  (FMLSv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 392006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f16),
     /* 392009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392011 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392013 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 392015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 392019 */     GIR_RootConstrainSelectedInstOperands,
     /* 392020 */     // GIR_Coverage, 1303,
     /* 392020 */     GIR_EraseRootFromParent_Done,
     /* 392021 */   // Label 7774: @392021
     /* 392021 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(392054), // Rule ID 1293 //
     /* 392026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 392029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 392041 */     // (strict_fma:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rd)  =>  (FMLAv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rd, V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 392041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f16),
     /* 392044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392046 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392048 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392050 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 392052 */     GIR_RootConstrainSelectedInstOperands,
     /* 392053 */     // GIR_Coverage, 1293,
     /* 392053 */     GIR_EraseRootFromParent_Done,
     /* 392054 */   // Label 7775: @392054
     /* 392054 */   GIM_Reject,
     /* 392055 */ // Label 7760: @392055
     /* 392055 */ GIM_Reject,
     /* 392056 */ // Label 7626: @392056
     /* 392056 */ GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(393576),
     /* 392061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 392067 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 392070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392074 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(392152), // Rule ID 6202 //
     /* 392079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392091 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 392095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392103 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392107 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392112 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 392116 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392120 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392124 */     // MIs[3] Operand 1
     /* 392124 */     // No operand predicates
     /* 392124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392132 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392134 */     // (strict_fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392139 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392141 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392150 */     GIR_RootConstrainSelectedInstOperands,
     /* 392151 */     // GIR_Coverage, 6202,
     /* 392151 */     GIR_EraseRootFromParent_Done,
     /* 392152 */   // Label 7777: @392152
     /* 392152 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(392236), // Rule ID 6116 //
     /* 392157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392172 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 392176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 392185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392189 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392193 */     // MIs[2] Operand 1
     /* 392193 */     // No operand predicates
     /* 392193 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 392197 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392201 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392205 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392214 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392216 */     // (strict_fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392221 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 392227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 392231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 392234 */     GIR_RootConstrainSelectedInstOperands,
     /* 392235 */     // GIR_Coverage, 6116,
     /* 392235 */     GIR_EraseRootFromParent_Done,
     /* 392236 */   // Label 7778: @392236
     /* 392236 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(392317), // Rule ID 6148 //
     /* 392241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392268 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 392272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392277 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 392281 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392285 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392289 */     // MIs[3] Operand 1
     /* 392289 */     // No operand predicates
     /* 392289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392297 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392299 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392304 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392306 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392315 */     GIR_RootConstrainSelectedInstOperands,
     /* 392316 */     // GIR_Coverage, 6148,
     /* 392316 */     GIR_EraseRootFromParent_Done,
     /* 392317 */   // Label 7779: @392317
     /* 392317 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(392401), // Rule ID 6180 //
     /* 392322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 392346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392354 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 392358 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392363 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 392367 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392371 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392375 */     // MIs[3] Operand 1
     /* 392375 */     // No operand predicates
     /* 392375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392379 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392381 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392386 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 392392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392399 */     GIR_RootConstrainSelectedInstOperands,
     /* 392400 */     // GIR_Coverage, 6180,
     /* 392400 */     GIR_EraseRootFromParent_Done,
     /* 392401 */   // Label 7780: @392401
     /* 392401 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(392479), // Rule ID 6224 //
     /* 392406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 392414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 392426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392443 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /* 392447 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392451 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392455 */     // MIs[3] Operand 1
     /* 392455 */     // No operand predicates
     /* 392455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392459 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392461 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392466 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392468 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 392470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392477 */     GIR_RootConstrainSelectedInstOperands,
     /* 392478 */     // GIR_Coverage, 6224,
     /* 392478 */     GIR_EraseRootFromParent_Done,
     /* 392479 */   // Label 7781: @392479
     /* 392479 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(392560), // Rule ID 6084 //
     /* 392484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 392495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392515 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 392519 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392524 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 392528 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392532 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392536 */     // MIs[3] Operand 1
     /* 392536 */     // No operand predicates
     /* 392536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392540 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 392542 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392547 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392549 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 392551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 392558 */     GIR_RootConstrainSelectedInstOperands,
     /* 392559 */     // GIR_Coverage, 6084,
     /* 392559 */     GIR_EraseRootFromParent_Done,
     /* 392560 */   // Label 7782: @392560
     /* 392560 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(392629), // Rule ID 2543 //
     /* 392565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392580 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 392584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 392593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392597 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392601 */     // MIs[2] Operand 1
     /* 392601 */     // No operand predicates
     /* 392601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 392611 */     // (strict_fma:{ *:[v4f32] } (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 392614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392616 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392618 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 392624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 392627 */     GIR_RootConstrainSelectedInstOperands,
     /* 392628 */     // GIR_Coverage, 2543,
     /* 392628 */     GIR_EraseRootFromParent_Done,
     /* 392629 */   // Label 7783: @392629
     /* 392629 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(392698), // Rule ID 6052 //
     /* 392634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 392645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 392649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392653 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 392657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 392666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 392670 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 392674 */     // MIs[2] Operand 1
     /* 392674 */     // No operand predicates
     /* 392674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392678 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 392680 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)
     /* 392680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 392683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392685 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392687 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 392689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 392693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 392696 */     GIR_RootConstrainSelectedInstOperands,
     /* 392697 */     // GIR_Coverage, 6052,
     /* 392697 */     GIR_EraseRootFromParent_Done,
     /* 392698 */   // Label 7784: @392698
     /* 392698 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(392791), // Rule ID 6206 //
     /* 392703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 392711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 392715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 392727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 392742 */     // (strict_fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 392742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 392745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 392749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 392754 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 392757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392761 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 392764 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392769 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392779 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392781 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 392786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392789 */     GIR_RootConstrainSelectedInstOperands,
     /* 392790 */     // GIR_Coverage, 6206,
     /* 392790 */     GIR_EraseRootFromParent_Done,
     /* 392791 */   // Label 7785: @392791
     /* 392791 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(392890), // Rule ID 6118 //
     /* 392796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 392807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 392811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 392820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 392839 */     // (strict_fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 392839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 392842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 392846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 392851 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 392854 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 392858 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 392861 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392866 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392876 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 392882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 392885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392888 */     GIR_RootConstrainSelectedInstOperands,
     /* 392889 */     // GIR_Coverage, 6118,
     /* 392889 */     GIR_EraseRootFromParent_Done,
     /* 392890 */   // Label 7786: @392890
     /* 392890 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(392986), // Rule ID 6150 //
     /* 392895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 392906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 392910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 392914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 392918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 392922 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392935 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 392937 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 392937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 392940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 392944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 392949 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 392952 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 392956 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 392959 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 392964 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 392969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 392972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 392974 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 392976 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 392978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 392981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 392984 */     GIR_RootConstrainSelectedInstOperands,
     /* 392985 */     // GIR_Coverage, 6150,
     /* 392985 */     GIR_EraseRootFromParent_Done,
     /* 392986 */   // Label 7787: @392986
     /* 392986 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(393085), // Rule ID 6182 //
     /* 392991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 392994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 392998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 393015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 393019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 393023 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393032 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 393034 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 393034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 393037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 393041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 393046 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 393049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 393053 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 393056 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393061 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 393069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393071 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 393077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 393080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393083 */     GIR_RootConstrainSelectedInstOperands,
     /* 393084 */     // GIR_Coverage, 6182,
     /* 393084 */     GIR_EraseRootFromParent_Done,
     /* 393085 */   // Label 7788: @393085
     /* 393085 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(393178), // Rule ID 6228 //
     /* 393090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 393098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 393102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 393106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 393110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 393118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393127 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 393129 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } (fneg:{ *:[f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 393129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 393132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 393136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 393141 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 393144 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 393148 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 393151 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393156 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 393164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393166 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393168 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 393170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 393173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393176 */     GIR_RootConstrainSelectedInstOperands,
     /* 393177 */     // GIR_Coverage, 6228,
     /* 393177 */     GIR_EraseRootFromParent_Done,
     /* 393178 */   // Label 7789: @393178
     /* 393178 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(393274), // Rule ID 6086 //
     /* 393183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 393194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 393206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 393210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 393214 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393223 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 393225 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm)), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 393225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 393228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 393232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 393237 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 393240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 393244 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 393247 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393252 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4i32_indexed),
     /* 393260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393262 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393264 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 393266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 393269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393272 */     GIR_RootConstrainSelectedInstOperands,
     /* 393273 */     // GIR_Coverage, 6086,
     /* 393273 */     GIR_EraseRootFromParent_Done,
     /* 393274 */   // Label 7790: @393274
     /* 393274 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(393358), // Rule ID 2545 //
     /* 393279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 393290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 393294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393309 */     // (strict_fma:{ *:[v4f32] } (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 393309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 393312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 393316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 393321 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 393324 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 393328 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 393331 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393336 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 393344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393346 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393348 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 393350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 393353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393356 */     GIR_RootConstrainSelectedInstOperands,
     /* 393357 */     // GIR_Coverage, 2545,
     /* 393357 */     GIR_EraseRootFromParent_Done,
     /* 393358 */   // Label 7791: @393358
     /* 393358 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(393408), // Rule ID 13315 //
     /* 393363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393393 */     // (strict_fma:{ *:[v4f32] } (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 393393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 393396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393398 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393400 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 393402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 393406 */     GIR_RootConstrainSelectedInstOperands,
     /* 393407 */     // GIR_Coverage, 13315,
     /* 393407 */     GIR_EraseRootFromParent_Done,
     /* 393408 */   // Label 7792: @393408
     /* 393408 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(393492), // Rule ID 6054 //
     /* 393413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 393424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 393428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 393432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393443 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (AArch64dup:{ *:[v4f32] } FPR32Op:{ *:[f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4i32_indexed:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, (SUBREG_TO_REG:{ *:[f128] } 0:{ *:[i32] }, FPR32Op:{ *:[f32] }:$Rm, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 393443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 393446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 393450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 393455 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 393458 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 393462 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 393465 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393470 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 393475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4i32_indexed),
     /* 393478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393480 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393482 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 393484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 393487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 393490 */     GIR_RootConstrainSelectedInstOperands,
     /* 393491 */     // GIR_Coverage, 6054,
     /* 393491 */     GIR_EraseRootFromParent_Done,
     /* 393492 */   // Label 7793: @393492
     /* 393492 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(393542), // Rule ID 1309 //
     /* 393497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 393508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 393516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 393527 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm), V128:{ *:[v4f32] }:$Rd)  =>  (FMLSv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 393527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv4f32),
     /* 393530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393532 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393534 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 393536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 393540 */     GIR_RootConstrainSelectedInstOperands,
     /* 393541 */     // GIR_Coverage, 1309,
     /* 393541 */     GIR_EraseRootFromParent_Done,
     /* 393542 */   // Label 7794: @393542
     /* 393542 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(393575), // Rule ID 1299 //
     /* 393547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 393550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393562 */     // (strict_fma:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rd)  =>  (FMLAv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rd, V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 393562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv4f32),
     /* 393565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393567 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393569 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 393571 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 393573 */     GIR_RootConstrainSelectedInstOperands,
     /* 393574 */     // GIR_Coverage, 1299,
     /* 393574 */     GIR_EraseRootFromParent_Done,
     /* 393575 */   // Label 7795: @393575
     /* 393575 */   GIM_Reject,
     /* 393576 */ // Label 7776: @393576
     /* 393576 */ GIM_Reject,
     /* 393577 */ // Label 7627: @393577
     /* 393577 */ GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(394755),
     /* 393582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 393588 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 393591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393595 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(393679), // Rule ID 6100 //
     /* 393600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 393603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 393611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 393619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 393624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 393628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 393632 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 393636 */     // MIs[2] Operand 1
     /* 393636 */     // No operand predicates
     /* 393636 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /* 393640 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393644 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393648 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393657 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 393659 */     // (strict_fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 393659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 393662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393664 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // Rn
     /* 393670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 393674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 393677 */     GIR_RootConstrainSelectedInstOperands,
     /* 393678 */     // GIR_Coverage, 6100,
     /* 393678 */     GIR_EraseRootFromParent_Done,
     /* 393679 */   // Label 7797: @393679
     /* 393679 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(393760), // Rule ID 6132 //
     /* 393684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 393687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393699 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 393703 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 393707 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393711 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 393715 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 393720 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 393724 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 393728 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 393732 */     // MIs[3] Operand 1
     /* 393732 */     // No operand predicates
     /* 393732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393740 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 393742 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 393742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 393745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393747 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393749 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 393751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 393755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 393758 */     GIR_RootConstrainSelectedInstOperands,
     /* 393759 */     // GIR_Coverage, 6132,
     /* 393759 */     GIR_EraseRootFromParent_Done,
     /* 393760 */   // Label 7798: @393760
     /* 393760 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(393844), // Rule ID 6164 //
     /* 393765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 393768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393785 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 393789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 393793 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393797 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 393801 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 393806 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 393810 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 393814 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 393818 */     // MIs[3] Operand 1
     /* 393818 */     // No operand predicates
     /* 393818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393822 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 393824 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 393824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 393827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393829 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 393835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 393839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 393842 */     GIR_RootConstrainSelectedInstOperands,
     /* 393843 */     // GIR_Coverage, 6164,
     /* 393843 */     GIR_EraseRootFromParent_Done,
     /* 393844 */   // Label 7799: @393844
     /* 393844 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(393925), // Rule ID 6068 //
     /* 393849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 393852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 393860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 393864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 393872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 393876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393880 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 393884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 393889 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 393893 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 393897 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 393901 */     // MIs[3] Operand 1
     /* 393901 */     // No operand predicates
     /* 393901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393905 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 393907 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 393907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 393910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393912 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393914 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 393916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 393920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 393923 */     GIR_RootConstrainSelectedInstOperands,
     /* 393924 */     // GIR_Coverage, 6068,
     /* 393924 */     GIR_EraseRootFromParent_Done,
     /* 393925 */   // Label 7800: @393925
     /* 393925 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(393994), // Rule ID 2527 //
     /* 393930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 393933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 393937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 393941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 393945 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 393949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 393954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 393958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 393962 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 393966 */     // MIs[2] Operand 1
     /* 393966 */     // No operand predicates
     /* 393966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 393974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 393976 */     // (strict_fma:{ *:[v8f16] } (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 393976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 393979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 393981 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 393983 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 393985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 393989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 393992 */     GIR_RootConstrainSelectedInstOperands,
     /* 393993 */     // GIR_Coverage, 2527,
     /* 393993 */     GIR_EraseRootFromParent_Done,
     /* 393994 */   // Label 7801: @393994
     /* 393994 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(394063), // Rule ID 6036 //
     /* 393999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 394010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 394014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 394022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 394027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 394031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 394035 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 394039 */     // MIs[2] Operand 1
     /* 394039 */     // No operand predicates
     /* 394039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 394045 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64duplane16:{ *:[v8f16] } V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128_lo:{ *:[v8f16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)
     /* 394045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 394048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394050 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394052 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 394054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 394058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 394061 */     GIR_RootConstrainSelectedInstOperands,
     /* 394062 */     // GIR_Coverage, 6036,
     /* 394062 */     GIR_EraseRootFromParent_Done,
     /* 394063 */   // Label 7802: @394063
     /* 394063 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(394162), // Rule ID 6102 //
     /* 394068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 394079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 394083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 394092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 394096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394109 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 394111 */     // (strict_fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 394111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 394114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 394118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394123 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 394126 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 394130 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 394133 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394138 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 394146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394148 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rn
     /* 394154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 394157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394160 */     GIR_RootConstrainSelectedInstOperands,
     /* 394161 */     // GIR_Coverage, 6102,
     /* 394161 */     GIR_EraseRootFromParent_Done,
     /* 394162 */   // Label 7803: @394162
     /* 394162 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(394258), // Rule ID 6134 //
     /* 394167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 394178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 394186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 394190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 394194 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394207 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 394209 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 394209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 394212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 394216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394221 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 394224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 394228 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 394231 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394236 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 394244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394246 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394248 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 394250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 394253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394256 */     GIR_RootConstrainSelectedInstOperands,
     /* 394257 */     // GIR_Coverage, 6134,
     /* 394257 */     GIR_EraseRootFromParent_Done,
     /* 394258 */   // Label 7804: @394258
     /* 394258 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(394357), // Rule ID 6166 //
     /* 394263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 394274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 394287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 394291 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 394295 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394304 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 394306 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 394306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 394309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 394313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394318 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 394321 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 394325 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 394328 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394333 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 394341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394343 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 394349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 394352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394355 */     GIR_RootConstrainSelectedInstOperands,
     /* 394356 */     // GIR_Coverage, 6166,
     /* 394356 */     GIR_EraseRootFromParent_Done,
     /* 394357 */   // Label 7805: @394357
     /* 394357 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(394453), // Rule ID 6070 //
     /* 394362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 394373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 394377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 394385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUP),
     /* 394389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 394393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 394404 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm)), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 394404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 394407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 394411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394416 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 394419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 394423 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 394426 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394431 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8i16_indexed),
     /* 394439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394441 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394443 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 394445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 394448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394451 */     GIR_RootConstrainSelectedInstOperands,
     /* 394452 */     // GIR_Coverage, 6070,
     /* 394452 */     GIR_EraseRootFromParent_Done,
     /* 394453 */   // Label 7806: @394453
     /* 394453 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(394537), // Rule ID 2529 //
     /* 394458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 394469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 394473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 394488 */     // (strict_fma:{ *:[v8f16] } (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 394488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 394491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 394495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394500 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 394503 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 394507 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 394510 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394515 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 394523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394525 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394527 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 394529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 394532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394535 */     GIR_RootConstrainSelectedInstOperands,
     /* 394536 */     // GIR_Coverage, 2529,
     /* 394536 */     GIR_EraseRootFromParent_Done,
     /* 394537 */   // Label 7807: @394537
     /* 394537 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(394587), // Rule ID 13311 //
     /* 394542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 394549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 394553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 394572 */     // (strict_fma:{ *:[v8f16] } (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 394572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 394575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394577 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394579 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 394581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 394585 */     GIR_RootConstrainSelectedInstOperands,
     /* 394586 */     // GIR_Coverage, 13311,
     /* 394586 */     GIR_EraseRootFromParent_Done,
     /* 394587 */   // Label 7808: @394587
     /* 394587 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(394671), // Rule ID 6038 //
     /* 394592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 394603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUP),
     /* 394607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 394611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 394622 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (AArch64dup:{ *:[v8f16] } FPR16Op_lo:{ *:[f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8i16_indexed:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, (SUBREG_TO_REG:{ *:[v16i8] } 0:{ *:[i32] }, FPR16Op_lo:{ *:[f16] }:$Rm, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 394622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v16s8,
     /* 394625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 394629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 394634 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 394637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 394641 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 394644 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394649 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16_loRegClassID),
     /* 394654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8i16_indexed),
     /* 394657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394659 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394661 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 394663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 394666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 394669 */     GIR_RootConstrainSelectedInstOperands,
     /* 394670 */     // GIR_Coverage, 6038,
     /* 394670 */     GIR_EraseRootFromParent_Done,
     /* 394671 */   // Label 7809: @394671
     /* 394671 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(394721), // Rule ID 1305 //
     /* 394676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 394687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 394691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 394695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 394706 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (fneg:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm), V128:{ *:[v8f16] }:$Rd)  =>  (FMLSv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 394706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLSv8f16),
     /* 394709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394711 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394713 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 394715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 394719 */     GIR_RootConstrainSelectedInstOperands,
     /* 394720 */     // GIR_Coverage, 1305,
     /* 394720 */     GIR_EraseRootFromParent_Done,
     /* 394721 */   // Label 7810: @394721
     /* 394721 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(394754), // Rule ID 1295 //
     /* 394726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394741 */     // (strict_fma:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rd)  =>  (FMLAv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rd, V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 394741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FMLAv8f16),
     /* 394744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 394746 */     GIR_RootToRootCopy, /*OpIdx*/3, // Rd
     /* 394748 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 394750 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rm
     /* 394752 */     GIR_RootConstrainSelectedInstOperands,
     /* 394753 */     // GIR_Coverage, 1295,
     /* 394753 */     GIR_EraseRootFromParent_Done,
     /* 394754 */   // Label 7811: @394754
     /* 394754 */   GIM_Reject,
     /* 394755 */ // Label 7796: @394755
     /* 394755 */ GIM_Reject,
     /* 394756 */ // Label 7628: @394756
     /* 394756 */ GIM_Reject,
     /* 394757 */ // Label 106: @394757
     /* 394757 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(11), /*)*//*default:*//*Label 7820*/ GIMT_Encode4(395056),
     /* 394768 */ /*GILLT_s16*//*Label 7812*/ GIMT_Encode4(394808),
     /* 394772 */ /*GILLT_s32*//*Label 7813*/ GIMT_Encode4(394839),
     /* 394776 */ /*GILLT_s64*//*Label 7814*/ GIMT_Encode4(394870), GIMT_Encode4(0),
     /* 394784 */ /*GILLT_v2s32*//*Label 7815*/ GIMT_Encode4(394901),
     /* 394788 */ /*GILLT_v2s64*//*Label 7816*/ GIMT_Encode4(394932),
     /* 394792 */ /*GILLT_v4s16*//*Label 7817*/ GIMT_Encode4(394963),
     /* 394796 */ /*GILLT_v4s32*//*Label 7818*/ GIMT_Encode4(394994), GIMT_Encode4(0),
     /* 394804 */ /*GILLT_v8s16*//*Label 7819*/ GIMT_Encode4(395025),
     /* 394808 */ // Label 7812: @394808
     /* 394808 */ GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(394838), // Rule ID 569 //
     /* 394813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 394816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 394819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 394823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 394827 */   // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (FSQRTHr:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 394827 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTHr),
     /* 394832 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 394836 */   GIR_RootConstrainSelectedInstOperands,
     /* 394837 */   // GIR_Coverage, 569,
     /* 394837 */   GIR_Done,
     /* 394838 */ // Label 7821: @394838
     /* 394838 */ GIM_Reject,
     /* 394839 */ // Label 7813: @394839
     /* 394839 */ GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(394869), // Rule ID 571 //
     /* 394844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 394847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 394850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 394854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 394858 */   // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (FSQRTSr:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 394858 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTSr),
     /* 394863 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 394867 */   GIR_RootConstrainSelectedInstOperands,
     /* 394868 */   // GIR_Coverage, 571,
     /* 394868 */   GIR_Done,
     /* 394869 */ // Label 7822: @394869
     /* 394869 */ GIM_Reject,
     /* 394870 */ // Label 7814: @394870
     /* 394870 */ GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(394900), // Rule ID 573 //
     /* 394875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFPARMv8),
     /* 394878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 394881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394889 */   // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (FSQRTDr:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 394889 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTDr),
     /* 394894 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 394898 */   GIR_RootConstrainSelectedInstOperands,
     /* 394899 */   // GIR_Coverage, 573,
     /* 394899 */   GIR_Done,
     /* 394900 */ // Label 7823: @394900
     /* 394900 */ GIM_Reject,
     /* 394901 */ // Label 7815: @394901
     /* 394901 */ GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(394931), // Rule ID 959 //
     /* 394906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 394912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394920 */   // (strict_fsqrt:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FSQRTv2f32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 394920 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f32),
     /* 394925 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 394929 */   GIR_RootConstrainSelectedInstOperands,
     /* 394930 */   // GIR_Coverage, 959,
     /* 394930 */   GIR_Done,
     /* 394931 */ // Label 7824: @394931
     /* 394931 */ GIM_Reject,
     /* 394932 */ // Label 7816: @394932
     /* 394932 */ GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(394962), // Rule ID 963 //
     /* 394937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 394940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 394943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 394951 */   // (strict_fsqrt:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FSQRTv2f64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn)
     /* 394951 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv2f64),
     /* 394956 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 394960 */   GIR_RootConstrainSelectedInstOperands,
     /* 394961 */   // GIR_Coverage, 963,
     /* 394961 */   GIR_Done,
     /* 394962 */ // Label 7825: @394962
     /* 394962 */ GIM_Reject,
     /* 394963 */ // Label 7817: @394963
     /* 394963 */ GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(394993), // Rule ID 955 //
     /* 394968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 394971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 394974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 394982 */   // (strict_fsqrt:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FSQRTv4f16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 394982 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f16),
     /* 394987 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 394991 */   GIR_RootConstrainSelectedInstOperands,
     /* 394992 */   // GIR_Coverage, 955,
     /* 394992 */   GIR_Done,
     /* 394993 */ // Label 7826: @394993
     /* 394993 */ GIM_Reject,
     /* 394994 */ // Label 7818: @394994
     /* 394994 */ GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(395024), // Rule ID 961 //
     /* 394999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 395002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 395005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395013 */   // (strict_fsqrt:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FSQRTv4f32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 395013 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv4f32),
     /* 395018 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395022 */   GIR_RootConstrainSelectedInstOperands,
     /* 395023 */   // GIR_Coverage, 961,
     /* 395023 */   GIR_Done,
     /* 395024 */ // Label 7827: @395024
     /* 395024 */ GIM_Reject,
     /* 395025 */ // Label 7819: @395025
     /* 395025 */ GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(395055), // Rule ID 957 //
     /* 395030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 395036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395044 */   // (strict_fsqrt:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FSQRTv8f16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 395044 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FSQRTv8f16),
     /* 395049 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395053 */   GIR_RootConstrainSelectedInstOperands,
     /* 395054 */   // GIR_Coverage, 957,
     /* 395054 */   GIR_Done,
     /* 395055 */ // Label 7828: @395055
     /* 395055 */ GIM_Reject,
     /* 395056 */ // Label 7820: @395056
     /* 395056 */ GIM_Reject,
     /* 395057 */ // Label 107: @395057
     /* 395057 */ GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(395070), // Rule ID 6515 //
     /* 395062 */   // (trap)  =>  (BRK 1:{ *:[i32] })
     /* 395062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 395065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 395068 */   GIR_RootConstrainSelectedInstOperands,
     /* 395069 */   // GIR_Coverage, 6515,
     /* 395069 */   GIR_EraseRootFromParent_Done,
     /* 395070 */ // Label 7829: @395070
     /* 395070 */ GIM_Reject,
     /* 395071 */ // Label 108: @395071
     /* 395071 */ GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(395091), // Rule ID 6516 //
     /* 395076 */   // (debugtrap)  =>  (BRK 61440:{ *:[i32] })
     /* 395076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 395079 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(61440),
     /* 395089 */   GIR_RootConstrainSelectedInstOperands,
     /* 395090 */   // GIR_Coverage, 6516,
     /* 395090 */   GIR_EraseRootFromParent_Done,
     /* 395091 */ // Label 7830: @395091
     /* 395091 */ GIM_Reject,
     /* 395092 */ // Label 109: @395092
     /* 395092 */ GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(395116), // Rule ID 6517 //
     /* 395097 */   // MIs[0] kind
     /* 395097 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 395100 */   GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/0, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_ubsan_trap_imm),
     /* 395105 */   // (ubsantrap (timm:{ *:[i32] })<<P:Predicate_ubsan_trap_imm>><<X:ubsan_trap_xform>>:$kind)  =>  (BRK (ubsan_trap_xform:{ *:[i32] } (timm:{ *:[i32] })<<P:Predicate_ubsan_trap_imm>>:$kind))
     /* 395105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BRK),
     /* 395108 */   GIR_CustomOperandRenderer, /*InsnID*/0, /*OldInsnID*/0, /*OpIdx*/0, /*OperandRenderer*/GIMT_Encode2(GICR_renderUbsanTrap), // kind
     /* 395114 */   GIR_RootConstrainSelectedInstOperands,
     /* 395115 */   // GIR_Coverage, 6517,
     /* 395115 */   GIR_EraseRootFromParent_Done,
     /* 395116 */ // Label 7831: @395116
     /* 395116 */ GIM_Reject,
     /* 395117 */ // Label 110: @395117
     /* 395117 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7835*/ GIMT_Encode4(395426),
     /* 395128 */ /*GILLT_s16*//*Label 7832*/ GIMT_Encode4(395140),
     /* 395132 */ /*GILLT_s32*//*Label 7833*/ GIMT_Encode4(395293),
     /* 395136 */ /*GILLT_s64*//*Label 7834*/ GIMT_Encode4(395398),
     /* 395140 */ // Label 7832: @395140
     /* 395140 */ GIM_Try, /*On fail goto*//*Label 7836*/ GIMT_Encode4(395241), // Rule ID 5606 //
     /* 395145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 395148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 395151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395159 */   // (vecreduce_fadd:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FADDPv2i16p:{ *:[f16] } (EXTRACT_SUBREG:{ *:[i64] } (FADDPv8f16:{ *:[f128] } (FADDPv8f16:{ *:[f128] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn), V128:{ *:[v8f16] }:$Rn), dsub:{ *:[i32] }))
     /* 395159 */   GIR_MakeTempReg, /*TempRegID*/2, /*TypeID*/GILLT_s128,
     /* 395162 */   GIR_BuildMI, /*InsnID*/3, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 395166 */   GIR_AddTempRegister, /*InsnID*/3, /*TempRegID*/2, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395171 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395175 */   GIR_Copy, /*NewInsnID*/3, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395179 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/3,
     /* 395181 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 395184 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FADDPv8f16),
     /* 395188 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395193 */   GIR_AddSimpleTempRegister, /*InsnID*/2, /*TempRegID*/2,
     /* 395196 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395200 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 395202 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 395205 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 395209 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395214 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 395221 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395226 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 395234 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 395236 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395239 */   GIR_RootConstrainSelectedInstOperands,
     /* 395240 */   // GIR_Coverage, 5606,
     /* 395240 */   GIR_EraseRootFromParent_Done,
     /* 395241 */ // Label 7836: @395241
     /* 395241 */ GIM_Try, /*On fail goto*//*Label 7837*/ GIMT_Encode4(395292), // Rule ID 5607 //
     /* 395246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16),
     /* 395249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 395252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395260 */   // (vecreduce_fadd:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FADDPv2i16p:{ *:[f16] } (FADDPv4f16:{ *:[i64] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rn))
     /* 395260 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 395263 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f16),
     /* 395267 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395272 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395276 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395280 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 395282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i16p),
     /* 395285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 395287 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395290 */   GIR_RootConstrainSelectedInstOperands,
     /* 395291 */   // GIR_Coverage, 5607,
     /* 395291 */   GIR_EraseRootFromParent_Done,
     /* 395292 */ // Label 7837: @395292
     /* 395292 */ GIM_Reject,
     /* 395293 */ // Label 7833: @395293
     /* 395293 */ GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(395370), // Rule ID 5608 //
     /* 395298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 395301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395309 */   // (vecreduce_fadd:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } (EXTRACT_SUBREG:{ *:[i64] } (FADDPv4f32:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn), dsub:{ *:[i32] }))
     /* 395309 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s128,
     /* 395312 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::FADDPv4f32),
     /* 395316 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395321 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395325 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 395329 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 395331 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 395334 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 395338 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 395343 */   GIR_AddTempSubRegister, /*InsnID*/1, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 395350 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395355 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 395363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 395365 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 395368 */   GIR_RootConstrainSelectedInstOperands,
     /* 395369 */   // GIR_Coverage, 5608,
     /* 395369 */   GIR_EraseRootFromParent_Done,
     /* 395370 */ // Label 7838: @395370
     /* 395370 */ GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(395397), // Rule ID 5609 //
     /* 395375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 395378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395386 */   // (vecreduce_fadd:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FADDPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 395386 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i32p),
     /* 395391 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395395 */   GIR_RootConstrainSelectedInstOperands,
     /* 395396 */   // GIR_Coverage, 5609,
     /* 395396 */   GIR_Done,
     /* 395397 */ // Label 7839: @395397
     /* 395397 */ GIM_Reject,
     /* 395398 */ // Label 7834: @395398
     /* 395398 */ GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(395425), // Rule ID 5610 //
     /* 395403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 395406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395414 */   // (vecreduce_fadd:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FADDPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 395414 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FADDPv2i64p),
     /* 395419 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395423 */   GIR_RootConstrainSelectedInstOperands,
     /* 395424 */   // GIR_Coverage, 5610,
     /* 395424 */   GIR_Done,
     /* 395425 */ // Label 7840: @395425
     /* 395425 */ GIM_Reject,
     /* 395426 */ // Label 7835: @395426
     /* 395426 */ GIM_Reject,
     /* 395427 */ // Label 111: @395427
     /* 395427 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7844*/ GIMT_Encode4(395597),
     /* 395438 */ /*GILLT_s16*//*Label 7841*/ GIMT_Encode4(395450),
     /* 395442 */ /*GILLT_s32*//*Label 7842*/ GIMT_Encode4(395511),
     /* 395446 */ /*GILLT_s64*//*Label 7843*/ GIMT_Encode4(395569),
     /* 395450 */ // Label 7841: @395450
     /* 395450 */ GIM_Try, /*On fail goto*//*Label 7845*/ GIMT_Encode4(395480), // Rule ID 1942 //
     /* 395455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 395461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395469 */   // (vecreduce_fmax:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMAXNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 395469 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i16v),
     /* 395474 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395478 */   GIR_RootConstrainSelectedInstOperands,
     /* 395479 */   // GIR_Coverage, 1942,
     /* 395479 */   GIR_Done,
     /* 395480 */ // Label 7845: @395480
     /* 395480 */ GIM_Try, /*On fail goto*//*Label 7846*/ GIMT_Encode4(395510), // Rule ID 1944 //
     /* 395485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 395491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395499 */   // (vecreduce_fmax:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMAXNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 395499 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv8i16v),
     /* 395504 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395508 */   GIR_RootConstrainSelectedInstOperands,
     /* 395509 */   // GIR_Coverage, 1944,
     /* 395509 */   GIR_Done,
     /* 395510 */ // Label 7846: @395510
     /* 395510 */ GIM_Reject,
     /* 395511 */ // Label 7842: @395511
     /* 395511 */ GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(395541), // Rule ID 1946 //
     /* 395516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 395519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 395522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395530 */   // (vecreduce_fmax:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMAXNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 395530 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMVv4i32v),
     /* 395535 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395539 */   GIR_RootConstrainSelectedInstOperands,
     /* 395540 */   // GIR_Coverage, 1946,
     /* 395540 */   GIR_Done,
     /* 395541 */ // Label 7847: @395541
     /* 395541 */ GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(395568), // Rule ID 5616 //
     /* 395546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 395549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395557 */   // (vecreduce_fmax:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMAXNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 395557 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i32p),
     /* 395562 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395566 */   GIR_RootConstrainSelectedInstOperands,
     /* 395567 */   // GIR_Coverage, 5616,
     /* 395567 */   GIR_Done,
     /* 395568 */ // Label 7848: @395568
     /* 395568 */ GIM_Reject,
     /* 395569 */ // Label 7843: @395569
     /* 395569 */ GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(395596), // Rule ID 5618 //
     /* 395574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 395577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395585 */   // (vecreduce_fmax:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMAXNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 395585 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXNMPv2i64p),
     /* 395590 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395594 */   GIR_RootConstrainSelectedInstOperands,
     /* 395595 */   // GIR_Coverage, 5618,
     /* 395595 */   GIR_Done,
     /* 395596 */ // Label 7849: @395596
     /* 395596 */ GIM_Reject,
     /* 395597 */ // Label 7844: @395597
     /* 395597 */ GIM_Reject,
     /* 395598 */ // Label 112: @395598
     /* 395598 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7853*/ GIMT_Encode4(395768),
     /* 395609 */ /*GILLT_s16*//*Label 7850*/ GIMT_Encode4(395621),
     /* 395613 */ /*GILLT_s32*//*Label 7851*/ GIMT_Encode4(395682),
     /* 395617 */ /*GILLT_s64*//*Label 7852*/ GIMT_Encode4(395740),
     /* 395621 */ // Label 7850: @395621
     /* 395621 */ GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(395651), // Rule ID 1954 //
     /* 395626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 395632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395640 */   // (vecreduce_fmin:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMINNMVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 395640 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i16v),
     /* 395645 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395649 */   GIR_RootConstrainSelectedInstOperands,
     /* 395650 */   // GIR_Coverage, 1954,
     /* 395650 */   GIR_Done,
     /* 395651 */ // Label 7854: @395651
     /* 395651 */ GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(395681), // Rule ID 1956 //
     /* 395656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 395662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395670 */   // (vecreduce_fmin:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMINNMVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 395670 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv8i16v),
     /* 395675 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395679 */   GIR_RootConstrainSelectedInstOperands,
     /* 395680 */   // GIR_Coverage, 1956,
     /* 395680 */   GIR_Done,
     /* 395681 */ // Label 7855: @395681
     /* 395681 */ GIM_Reject,
     /* 395682 */ // Label 7851: @395682
     /* 395682 */ GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(395712), // Rule ID 1958 //
     /* 395687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 395690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 395693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395701 */   // (vecreduce_fmin:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMINNMVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 395701 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMVv4i32v),
     /* 395706 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395710 */   GIR_RootConstrainSelectedInstOperands,
     /* 395711 */   // GIR_Coverage, 1958,
     /* 395711 */   GIR_Done,
     /* 395712 */ // Label 7856: @395712
     /* 395712 */ GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(395739), // Rule ID 5624 //
     /* 395717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 395720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395728 */   // (vecreduce_fmin:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMINNMPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 395728 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i32p),
     /* 395733 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395737 */   GIR_RootConstrainSelectedInstOperands,
     /* 395738 */   // GIR_Coverage, 5624,
     /* 395738 */   GIR_Done,
     /* 395739 */ // Label 7857: @395739
     /* 395739 */ GIM_Reject,
     /* 395740 */ // Label 7852: @395740
     /* 395740 */ GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(395767), // Rule ID 5626 //
     /* 395745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 395748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395756 */   // (vecreduce_fmin:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMINNMPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 395756 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINNMPv2i64p),
     /* 395761 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395765 */   GIR_RootConstrainSelectedInstOperands,
     /* 395766 */   // GIR_Coverage, 5626,
     /* 395766 */   GIR_Done,
     /* 395767 */ // Label 7858: @395767
     /* 395767 */ GIM_Reject,
     /* 395768 */ // Label 7853: @395768
     /* 395768 */ GIM_Reject,
     /* 395769 */ // Label 113: @395769
     /* 395769 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7862*/ GIMT_Encode4(395939),
     /* 395780 */ /*GILLT_s16*//*Label 7859*/ GIMT_Encode4(395792),
     /* 395784 */ /*GILLT_s32*//*Label 7860*/ GIMT_Encode4(395853),
     /* 395788 */ /*GILLT_s64*//*Label 7861*/ GIMT_Encode4(395911),
     /* 395792 */ // Label 7859: @395792
     /* 395792 */ GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(395822), // Rule ID 1948 //
     /* 395797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 395803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395811 */   // (vecreduce_fmaximum:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMAXVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 395811 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i16v),
     /* 395816 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395820 */   GIR_RootConstrainSelectedInstOperands,
     /* 395821 */   // GIR_Coverage, 1948,
     /* 395821 */   GIR_Done,
     /* 395822 */ // Label 7863: @395822
     /* 395822 */ GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(395852), // Rule ID 1950 //
     /* 395827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 395833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395841 */   // (vecreduce_fmaximum:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMAXVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 395841 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv8i16v),
     /* 395846 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395850 */   GIR_RootConstrainSelectedInstOperands,
     /* 395851 */   // GIR_Coverage, 1950,
     /* 395851 */   GIR_Done,
     /* 395852 */ // Label 7864: @395852
     /* 395852 */ GIM_Reject,
     /* 395853 */ // Label 7860: @395853
     /* 395853 */ GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(395883), // Rule ID 1952 //
     /* 395858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 395861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 395864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395872 */   // (vecreduce_fmaximum:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMAXVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 395872 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXVv4i32v),
     /* 395877 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395881 */   GIR_RootConstrainSelectedInstOperands,
     /* 395882 */   // GIR_Coverage, 1952,
     /* 395882 */   GIR_Done,
     /* 395883 */ // Label 7865: @395883
     /* 395883 */ GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(395910), // Rule ID 5620 //
     /* 395888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 395891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 395895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395899 */   // (vecreduce_fmaximum:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMAXPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 395899 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i32p),
     /* 395904 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395908 */   GIR_RootConstrainSelectedInstOperands,
     /* 395909 */   // GIR_Coverage, 5620,
     /* 395909 */   GIR_Done,
     /* 395910 */ // Label 7866: @395910
     /* 395910 */ GIM_Reject,
     /* 395911 */ // Label 7861: @395911
     /* 395911 */ GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(395938), // Rule ID 5622 //
     /* 395916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 395919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 395927 */   // (vecreduce_fmaximum:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMAXPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 395927 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMAXPv2i64p),
     /* 395932 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395936 */   GIR_RootConstrainSelectedInstOperands,
     /* 395937 */   // GIR_Coverage, 5622,
     /* 395937 */   GIR_Done,
     /* 395938 */ // Label 7867: @395938
     /* 395938 */ GIM_Reject,
     /* 395939 */ // Label 7862: @395939
     /* 395939 */ GIM_Reject,
     /* 395940 */ // Label 114: @395940
     /* 395940 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 7871*/ GIMT_Encode4(396110),
     /* 395951 */ /*GILLT_s16*//*Label 7868*/ GIMT_Encode4(395963),
     /* 395955 */ /*GILLT_s32*//*Label 7869*/ GIMT_Encode4(396024),
     /* 395959 */ /*GILLT_s64*//*Label 7870*/ GIMT_Encode4(396082),
     /* 395963 */ // Label 7868: @395963
     /* 395963 */ GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(395993), // Rule ID 1960 //
     /* 395968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 395971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 395974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 395978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 395982 */   // (vecreduce_fminimum:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)  =>  (FMINVv4i16v:{ *:[f16] } V64:{ *:[v4f16] }:$Rn)
     /* 395982 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i16v),
     /* 395987 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 395991 */   GIR_RootConstrainSelectedInstOperands,
     /* 395992 */   // GIR_Coverage, 1960,
     /* 395992 */   GIR_Done,
     /* 395993 */ // Label 7872: @395993
     /* 395993 */ GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(396023), // Rule ID 1962 //
     /* 395998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 396001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396012 */   // (vecreduce_fminimum:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)  =>  (FMINVv8i16v:{ *:[f16] } V128:{ *:[v8f16] }:$Rn)
     /* 396012 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINVv8i16v),
     /* 396017 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396021 */   GIR_RootConstrainSelectedInstOperands,
     /* 396022 */   // GIR_Coverage, 1962,
     /* 396022 */   GIR_Done,
     /* 396023 */ // Label 7873: @396023
     /* 396023 */ GIM_Reject,
     /* 396024 */ // Label 7869: @396024
     /* 396024 */ GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(396054), // Rule ID 1964 //
     /* 396029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 396032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396043 */   // (vecreduce_fminimum:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)  =>  (FMINVv4i32v:{ *:[f32] } V128:{ *:[v4f32] }:$Rn)
     /* 396043 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINVv4i32v),
     /* 396048 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396052 */   GIR_RootConstrainSelectedInstOperands,
     /* 396053 */   // GIR_Coverage, 1964,
     /* 396053 */   GIR_Done,
     /* 396054 */ // Label 7874: @396054
     /* 396054 */ GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(396081), // Rule ID 5628 //
     /* 396059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 396062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396070 */   // (vecreduce_fminimum:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)  =>  (FMINPv2i32p:{ *:[f32] } V64:{ *:[v2f32] }:$Rn)
     /* 396070 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i32p),
     /* 396075 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396079 */   GIR_RootConstrainSelectedInstOperands,
     /* 396080 */   // GIR_Coverage, 5628,
     /* 396080 */   GIR_Done,
     /* 396081 */ // Label 7875: @396081
     /* 396081 */ GIM_Reject,
     /* 396082 */ // Label 7870: @396082
     /* 396082 */ GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(396109), // Rule ID 5630 //
     /* 396087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 396090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396098 */   // (vecreduce_fminimum:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)  =>  (FMINPv2i64p:{ *:[f64] } V128:{ *:[v2f64] }:$Rn)
     /* 396098 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FMINPv2i64p),
     /* 396103 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 396107 */   GIR_RootConstrainSelectedInstOperands,
     /* 396108 */   // GIR_Coverage, 5630,
     /* 396108 */   GIR_Done,
     /* 396109 */ // Label 7876: @396109
     /* 396109 */ GIM_Reject,
     /* 396110 */ // Label 7871: @396110
     /* 396110 */ GIM_Reject,
     /* 396111 */ // Label 115: @396111
     /* 396111 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(4), /*)*//*default:*//*Label 7881*/ GIMT_Encode4(397239),
     /* 396122 */ /*GILLT_s8*//*Label 7877*/ GIMT_Encode4(396138),
     /* 396126 */ /*GILLT_s16*//*Label 7878*/ GIMT_Encode4(396185),
     /* 396130 */ /*GILLT_s32*//*Label 7879*/ GIMT_Encode4(396600),
     /* 396134 */ /*GILLT_s64*//*Label 7880*/ GIMT_Encode4(397053),
     /* 396138 */ // Label 7877: @396138
     /* 396138 */ GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(396161), // Rule ID 5889 //
     /* 396143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 396146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 396150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396154 */   // (vecreduce_add:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)  =>  (ADDVv8i8v:{ *:[i8] } V64:{ *:[v8i8] }:$Rn)
     /* 396154 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i8v),
     /* 396159 */   GIR_RootConstrainSelectedInstOperands,
     /* 396160 */   // GIR_Coverage, 5889,
     /* 396160 */   GIR_Done,
     /* 396161 */ // Label 7882: @396161
     /* 396161 */ GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(396184), // Rule ID 5890 //
     /* 396166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 396169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 396173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396177 */   // (vecreduce_add:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)  =>  (ADDVv16i8v:{ *:[i8] } V128:{ *:[v16i8] }:$Rn)
     /* 396177 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv16i8v),
     /* 396182 */   GIR_RootConstrainSelectedInstOperands,
     /* 396183 */   // GIR_Coverage, 5890,
     /* 396183 */   GIR_Done,
     /* 396184 */ // Label 7883: @396184
     /* 396184 */ GIM_Reject,
     /* 396185 */ // Label 7878: @396185
     /* 396185 */ GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(396235), // Rule ID 5836 //
     /* 396190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 396193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396197 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396201 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396205 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396208 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 396213 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 396217 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396222 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396224 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 396224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 396227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396229 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396233 */   GIR_RootConstrainSelectedInstOperands,
     /* 396234 */   // GIR_Coverage, 5836,
     /* 396234 */   GIR_EraseRootFromParent_Done,
     /* 396235 */ // Label 7884: @396235
     /* 396235 */ GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(396285), // Rule ID 5838 //
     /* 396240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396247 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396251 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396255 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396258 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 396263 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 396267 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396272 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396274 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 396274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 396277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396279 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396283 */   GIR_RootConstrainSelectedInstOperands,
     /* 396284 */   // GIR_Coverage, 5838,
     /* 396284 */   GIR_EraseRootFromParent_Done,
     /* 396285 */ // Label 7885: @396285
     /* 396285 */ GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(396335), // Rule ID 5846 //
     /* 396290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 396293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396297 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396301 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396305 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396308 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 396313 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 396317 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396322 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396324 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v4i16] } 660:{ *:[iPTR] }, V64:{ *:[v8i8] }:$Rn))  =>  (SADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 396324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i8v),
     /* 396327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396329 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396333 */   GIR_RootConstrainSelectedInstOperands,
     /* 396334 */   // GIR_Coverage, 5846,
     /* 396334 */   GIR_EraseRootFromParent_Done,
     /* 396335 */ // Label 7886: @396335
     /* 396335 */ GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(396385), // Rule ID 5848 //
     /* 396340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396347 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396351 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396355 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396358 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 396363 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 396367 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396372 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396374 */   // (vecreduce_add:{ *:[i16] } (intrinsic_wo_chain:{ *:[v8i16] } 660:{ *:[iPTR] }, V128:{ *:[v16i8] }:$Rn))  =>  (SADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 396374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv16i8v),
     /* 396377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396379 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396383 */   GIR_RootConstrainSelectedInstOperands,
     /* 396384 */   // GIR_Coverage, 5848,
     /* 396384 */   GIR_EraseRootFromParent_Done,
     /* 396385 */ // Label 7887: @396385
     /* 396385 */ GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(396427), // Rule ID 5845 //
     /* 396390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 396393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396397 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396401 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 396405 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 396409 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396414 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396416 */   // (vecreduce_add:{ *:[i16] } (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (SADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 396416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i8v),
     /* 396419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396421 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396425 */   GIR_RootConstrainSelectedInstOperands,
     /* 396426 */   // GIR_Coverage, 5845,
     /* 396426 */   GIR_EraseRootFromParent_Done,
     /* 396427 */ // Label 7888: @396427
     /* 396427 */ GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(396469), // Rule ID 5847 //
     /* 396432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396439 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396443 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 396447 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 396451 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396456 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396458 */   // (vecreduce_add:{ *:[i16] } (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (SADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 396458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv16i8v),
     /* 396461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396463 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396467 */   GIR_RootConstrainSelectedInstOperands,
     /* 396468 */   // GIR_Coverage, 5847,
     /* 396468 */   GIR_EraseRootFromParent_Done,
     /* 396469 */ // Label 7889: @396469
     /* 396469 */ GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(396511), // Rule ID 5835 //
     /* 396474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 396477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396481 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396485 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 396489 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 396493 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396498 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396500 */   // (vecreduce_add:{ *:[i16] } (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn))  =>  (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn)
     /* 396500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 396503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396505 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396509 */   GIR_RootConstrainSelectedInstOperands,
     /* 396510 */   // GIR_Coverage, 5835,
     /* 396510 */   GIR_EraseRootFromParent_Done,
     /* 396511 */ // Label 7890: @396511
     /* 396511 */ GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(396553), // Rule ID 5837 //
     /* 396516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396523 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396527 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 396531 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 396535 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396540 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396542 */   // (vecreduce_add:{ *:[i16] } (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn))  =>  (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn)
     /* 396542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 396545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396547 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396551 */   GIR_RootConstrainSelectedInstOperands,
     /* 396552 */   // GIR_Coverage, 5837,
     /* 396552 */   GIR_EraseRootFromParent_Done,
     /* 396553 */ // Label 7891: @396553
     /* 396553 */ GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(396576), // Rule ID 5891 //
     /* 396558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 396561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396569 */   // (vecreduce_add:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)  =>  (ADDVv4i16v:{ *:[i16] } V64:{ *:[v4i16] }:$Rn)
     /* 396569 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i16v),
     /* 396574 */   GIR_RootConstrainSelectedInstOperands,
     /* 396575 */   // GIR_Coverage, 5891,
     /* 396575 */   GIR_Done,
     /* 396576 */ // Label 7892: @396576
     /* 396576 */ GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(396599), // Rule ID 5892 //
     /* 396581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 396588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396592 */   // (vecreduce_add:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)  =>  (ADDVv8i16v:{ *:[i16] } V128:{ *:[v8i16] }:$Rn)
     /* 396592 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv8i16v),
     /* 396597 */   GIR_RootConstrainSelectedInstOperands,
     /* 396598 */   // GIR_Coverage, 5892,
     /* 396598 */   GIR_Done,
     /* 396599 */ // Label 7893: @396599
     /* 396599 */ GIM_Reject,
     /* 396600 */ // Label 7879: @396600
     /* 396600 */ GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(396650), // Rule ID 5840 //
     /* 396605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396612 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396616 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396620 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396623 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 396628 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 396632 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396637 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396639 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 396639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 396642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396644 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396648 */   GIR_RootConstrainSelectedInstOperands,
     /* 396649 */   // GIR_Coverage, 5840,
     /* 396649 */   GIR_EraseRootFromParent_Done,
     /* 396650 */ // Label 7894: @396650
     /* 396650 */ GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(396700), // Rule ID 5842 //
     /* 396655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 396658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396662 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396666 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396670 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396673 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 396678 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 396682 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396687 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396689 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v2i32] } 725:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (UADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 396689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i16v),
     /* 396692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396694 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396698 */   GIR_RootConstrainSelectedInstOperands,
     /* 396699 */   // GIR_Coverage, 5842,
     /* 396699 */   GIR_EraseRootFromParent_Done,
     /* 396700 */ // Label 7895: @396700
     /* 396700 */ GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(396750), // Rule ID 5850 //
     /* 396705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396712 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396716 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396720 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396723 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 396728 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 396732 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396737 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396739 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v4i32] } 660:{ *:[iPTR] }, V128:{ *:[v8i16] }:$Rn))  =>  (SADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 396739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i16v),
     /* 396742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396744 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396748 */   GIR_RootConstrainSelectedInstOperands,
     /* 396749 */   // GIR_Coverage, 5850,
     /* 396749 */   GIR_EraseRootFromParent_Done,
     /* 396750 */ // Label 7896: @396750
     /* 396750 */ GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(396800), // Rule ID 5852 //
     /* 396755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 396758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396762 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396766 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 396770 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 396773 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 396778 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 396782 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396787 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396789 */   // (vecreduce_add:{ *:[i32] } (intrinsic_wo_chain:{ *:[v2i32] } 660:{ *:[iPTR] }, V64:{ *:[v4i16] }:$Rn))  =>  (SADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 396789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i16v),
     /* 396792 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396794 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 396798 */   GIR_RootConstrainSelectedInstOperands,
     /* 396799 */   // GIR_Coverage, 5852,
     /* 396799 */   GIR_EraseRootFromParent_Done,
     /* 396800 */ // Label 7897: @396800
     /* 396800 */ GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(396842), // Rule ID 5849 //
     /* 396805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396812 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396816 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 396820 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396824 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396829 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396831 */   // (vecreduce_add:{ *:[i32] } (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (SADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 396831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i16v),
     /* 396834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396836 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396840 */   GIR_RootConstrainSelectedInstOperands,
     /* 396841 */   // GIR_Coverage, 5849,
     /* 396841 */   GIR_EraseRootFromParent_Done,
     /* 396842 */ // Label 7898: @396842
     /* 396842 */ GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(396884), // Rule ID 5851 //
     /* 396847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 396850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396854 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396858 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 396862 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 396866 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396871 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396873 */   // (vecreduce_add:{ *:[i32] } (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (SADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 396873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i16v),
     /* 396876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396878 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396882 */   GIR_RootConstrainSelectedInstOperands,
     /* 396883 */   // GIR_Coverage, 5851,
     /* 396883 */   GIR_EraseRootFromParent_Done,
     /* 396884 */ // Label 7899: @396884
     /* 396884 */ GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(396926), // Rule ID 5839 //
     /* 396889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 396892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396896 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396900 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 396904 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 396908 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 396913 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396915 */   // (vecreduce_add:{ *:[i32] } (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn))  =>  (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn)
     /* 396915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 396918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396920 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396924 */   GIR_RootConstrainSelectedInstOperands,
     /* 396925 */   // GIR_Coverage, 5839,
     /* 396925 */   GIR_EraseRootFromParent_Done,
     /* 396926 */ // Label 7900: @396926
     /* 396926 */ GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(396968), // Rule ID 5841 //
     /* 396931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 396934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396938 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 396942 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 396946 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 396950 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396955 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 396957 */   // (vecreduce_add:{ *:[i32] } (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn))  =>  (UADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn)
     /* 396957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i16v),
     /* 396960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 396962 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 396966 */   GIR_RootConstrainSelectedInstOperands,
     /* 396967 */   // GIR_Coverage, 5841,
     /* 396967 */   GIR_EraseRootFromParent_Done,
     /* 396968 */ // Label 7901: @396968
     /* 396968 */ GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(397029), // Rule ID 5893 //
     /* 396973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 396976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 396980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 396984 */   // (vecreduce_add:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (ADDPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 396984 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 396987 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i32),
     /* 396991 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 396996 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 397000 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 397004 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 397006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 397009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 397011 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 397018 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397023 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397028 */   // GIR_Coverage, 5893,
     /* 397028 */   GIR_EraseRootFromParent_Done,
     /* 397029 */ // Label 7902: @397029
     /* 397029 */ GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(397052), // Rule ID 5894 //
     /* 397034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397045 */   // (vecreduce_add:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (ADDVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 397045 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDVv4i32v),
     /* 397050 */   GIR_RootConstrainSelectedInstOperands,
     /* 397051 */   // GIR_Coverage, 5894,
     /* 397051 */   GIR_Done,
     /* 397052 */ // Label 7903: @397052
     /* 397052 */ GIM_Reject,
     /* 397053 */ // Label 7880: @397053
     /* 397053 */ GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(397238),
     /* 397058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 397061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397065 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(397108), // Rule ID 5844 //
     /* 397070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 397078 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 397081 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 397086 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 397090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397097 */     // (vecreduce_add:{ *:[i64] } (intrinsic_wo_chain:{ *:[v2i64] } 725:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (UADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 397097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i32v),
     /* 397100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 397106 */     GIR_RootConstrainSelectedInstOperands,
     /* 397107 */     // GIR_Coverage, 5844,
     /* 397107 */     GIR_EraseRootFromParent_Done,
     /* 397108 */   // Label 7905: @397108
     /* 397108 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(397151), // Rule ID 5854 //
     /* 397113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 397121 */     GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 397124 */     GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_saddlp),
     /* 397129 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 397133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397140 */     // (vecreduce_add:{ *:[i64] } (intrinsic_wo_chain:{ *:[v2i64] } 660:{ *:[iPTR] }, V128:{ *:[v4i32] }:$Rn))  =>  (SADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 397140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i32v),
     /* 397143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // Rn
     /* 397149 */     GIR_RootConstrainSelectedInstOperands,
     /* 397150 */     // GIR_Coverage, 5854,
     /* 397150 */     GIR_EraseRootFromParent_Done,
     /* 397151 */   // Label 7906: @397151
     /* 397151 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(397186), // Rule ID 5853 //
     /* 397156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_SADDLP),
     /* 397164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397175 */     // (vecreduce_add:{ *:[i64] } (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (SADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 397175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i32v),
     /* 397178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 397184 */     GIR_RootConstrainSelectedInstOperands,
     /* 397185 */     // GIR_Coverage, 5853,
     /* 397185 */     GIR_EraseRootFromParent_Done,
     /* 397186 */   // Label 7907: @397186
     /* 397186 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(397221), // Rule ID 5843 //
     /* 397191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 397195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 397199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 397210 */     // (vecreduce_add:{ *:[i64] } (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn))  =>  (UADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn)
     /* 397210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i32v),
     /* 397213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 397215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 397219 */     GIR_RootConstrainSelectedInstOperands,
     /* 397220 */     // GIR_Coverage, 5843,
     /* 397220 */     GIR_EraseRootFromParent_Done,
     /* 397221 */   // Label 7908: @397221
     /* 397221 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(397237), // Rule ID 5895 //
     /* 397226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397230 */     // (vecreduce_add:{ *:[i64] } V128:{ *:[v2i64] }:$Rn)  =>  (ADDPv2i64p:{ *:[i64] } V128:{ *:[v2i64] }:$Rn)
     /* 397230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ADDPv2i64p),
     /* 397235 */     GIR_RootConstrainSelectedInstOperands,
     /* 397236 */     // GIR_Coverage, 5895,
     /* 397236 */     GIR_Done,
     /* 397237 */   // Label 7909: @397237
     /* 397237 */   GIM_Reject,
     /* 397238 */ // Label 7904: @397238
     /* 397238 */ GIM_Reject,
     /* 397239 */ // Label 7881: @397239
     /* 397239 */ GIM_Reject,
     /* 397240 */ // Label 116: @397240
     /* 397240 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7913*/ GIMT_Encode4(397442),
     /* 397251 */ /*GILLT_s8*//*Label 7910*/ GIMT_Encode4(397263),
     /* 397255 */ /*GILLT_s16*//*Label 7911*/ GIMT_Encode4(397310),
     /* 397259 */ /*GILLT_s32*//*Label 7912*/ GIMT_Encode4(397357),
     /* 397263 */ // Label 7910: @397263
     /* 397263 */ GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(397286), // Rule ID 5986 //
     /* 397268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 397271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 397275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397279 */   // (vecreduce_smax:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (SMAXVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 397279 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i8v),
     /* 397284 */   GIR_RootConstrainSelectedInstOperands,
     /* 397285 */   // GIR_Coverage, 5986,
     /* 397285 */   GIR_Done,
     /* 397286 */ // Label 7914: @397286
     /* 397286 */ GIM_Try, /*On fail goto*//*Label 7915*/ GIMT_Encode4(397309), // Rule ID 5987 //
     /* 397291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 397294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 397298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397302 */   // (vecreduce_smax:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (SMAXVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 397302 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv16i8v),
     /* 397307 */   GIR_RootConstrainSelectedInstOperands,
     /* 397308 */   // GIR_Coverage, 5987,
     /* 397308 */   GIR_Done,
     /* 397309 */ // Label 7915: @397309
     /* 397309 */ GIM_Reject,
     /* 397310 */ // Label 7911: @397310
     /* 397310 */ GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(397333), // Rule ID 5988 //
     /* 397315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 397318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 397322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397326 */   // (vecreduce_smax:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (SMAXVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 397326 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i16v),
     /* 397331 */   GIR_RootConstrainSelectedInstOperands,
     /* 397332 */   // GIR_Coverage, 5988,
     /* 397332 */   GIR_Done,
     /* 397333 */ // Label 7916: @397333
     /* 397333 */ GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(397356), // Rule ID 5989 //
     /* 397338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 397345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397349 */   // (vecreduce_smax:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (SMAXVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 397349 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv8i16v),
     /* 397354 */   GIR_RootConstrainSelectedInstOperands,
     /* 397355 */   // GIR_Coverage, 5989,
     /* 397355 */   GIR_Done,
     /* 397356 */ // Label 7917: @397356
     /* 397356 */ GIM_Reject,
     /* 397357 */ // Label 7912: @397357
     /* 397357 */ GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(397380), // Rule ID 5990 //
     /* 397362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397373 */   // (vecreduce_smax:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (SMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 397373 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMAXVv4i32v),
     /* 397378 */   GIR_RootConstrainSelectedInstOperands,
     /* 397379 */   // GIR_Coverage, 5990,
     /* 397379 */   GIR_Done,
     /* 397380 */ // Label 7918: @397380
     /* 397380 */ GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(397441), // Rule ID 5991 //
     /* 397385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 397388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397396 */   // (vecreduce_smax:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (SMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 397396 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 397399 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMAXPv2i32),
     /* 397403 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 397408 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 397412 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 397416 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 397418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 397421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 397423 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 397430 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397435 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397440 */   // GIR_Coverage, 5991,
     /* 397440 */   GIR_EraseRootFromParent_Done,
     /* 397441 */ // Label 7919: @397441
     /* 397441 */ GIM_Reject,
     /* 397442 */ // Label 7913: @397442
     /* 397442 */ GIM_Reject,
     /* 397443 */ // Label 117: @397443
     /* 397443 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7923*/ GIMT_Encode4(397645),
     /* 397454 */ /*GILLT_s8*//*Label 7920*/ GIMT_Encode4(397466),
     /* 397458 */ /*GILLT_s16*//*Label 7921*/ GIMT_Encode4(397513),
     /* 397462 */ /*GILLT_s32*//*Label 7922*/ GIMT_Encode4(397560),
     /* 397466 */ // Label 7920: @397466
     /* 397466 */ GIM_Try, /*On fail goto*//*Label 7924*/ GIMT_Encode4(397489), // Rule ID 5980 //
     /* 397471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 397474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 397478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397482 */   // (vecreduce_smin:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (SMINVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 397482 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i8v),
     /* 397487 */   GIR_RootConstrainSelectedInstOperands,
     /* 397488 */   // GIR_Coverage, 5980,
     /* 397488 */   GIR_Done,
     /* 397489 */ // Label 7924: @397489
     /* 397489 */ GIM_Try, /*On fail goto*//*Label 7925*/ GIMT_Encode4(397512), // Rule ID 5981 //
     /* 397494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 397497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 397501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397505 */   // (vecreduce_smin:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (SMINVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 397505 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv16i8v),
     /* 397510 */   GIR_RootConstrainSelectedInstOperands,
     /* 397511 */   // GIR_Coverage, 5981,
     /* 397511 */   GIR_Done,
     /* 397512 */ // Label 7925: @397512
     /* 397512 */ GIM_Reject,
     /* 397513 */ // Label 7921: @397513
     /* 397513 */ GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(397536), // Rule ID 5982 //
     /* 397518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 397521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 397525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397529 */   // (vecreduce_smin:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (SMINVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 397529 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i16v),
     /* 397534 */   GIR_RootConstrainSelectedInstOperands,
     /* 397535 */   // GIR_Coverage, 5982,
     /* 397535 */   GIR_Done,
     /* 397536 */ // Label 7926: @397536
     /* 397536 */ GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(397559), // Rule ID 5983 //
     /* 397541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 397548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397552 */   // (vecreduce_smin:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (SMINVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 397552 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv8i16v),
     /* 397557 */   GIR_RootConstrainSelectedInstOperands,
     /* 397558 */   // GIR_Coverage, 5983,
     /* 397558 */   GIR_Done,
     /* 397559 */ // Label 7927: @397559
     /* 397559 */ GIM_Reject,
     /* 397560 */ // Label 7922: @397560
     /* 397560 */ GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(397583), // Rule ID 5984 //
     /* 397565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397576 */   // (vecreduce_smin:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (SMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 397576 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMINVv4i32v),
     /* 397581 */   GIR_RootConstrainSelectedInstOperands,
     /* 397582 */   // GIR_Coverage, 5984,
     /* 397582 */   GIR_Done,
     /* 397583 */ // Label 7928: @397583
     /* 397583 */ GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(397644), // Rule ID 5985 //
     /* 397588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 397591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397599 */   // (vecreduce_smin:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (SMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 397599 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 397602 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SMINPv2i32),
     /* 397606 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 397611 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 397615 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 397619 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 397621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 397624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 397626 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 397633 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397638 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397643 */   // GIR_Coverage, 5985,
     /* 397643 */   GIR_EraseRootFromParent_Done,
     /* 397644 */ // Label 7929: @397644
     /* 397644 */ GIM_Reject,
     /* 397645 */ // Label 7923: @397645
     /* 397645 */ GIM_Reject,
     /* 397646 */ // Label 118: @397646
     /* 397646 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7933*/ GIMT_Encode4(397848),
     /* 397657 */ /*GILLT_s8*//*Label 7930*/ GIMT_Encode4(397669),
     /* 397661 */ /*GILLT_s16*//*Label 7931*/ GIMT_Encode4(397716),
     /* 397665 */ /*GILLT_s32*//*Label 7932*/ GIMT_Encode4(397763),
     /* 397669 */ // Label 7930: @397669
     /* 397669 */ GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(397692), // Rule ID 5974 //
     /* 397674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 397677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 397681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397685 */   // (vecreduce_umax:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (UMAXVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 397685 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i8v),
     /* 397690 */   GIR_RootConstrainSelectedInstOperands,
     /* 397691 */   // GIR_Coverage, 5974,
     /* 397691 */   GIR_Done,
     /* 397692 */ // Label 7934: @397692
     /* 397692 */ GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(397715), // Rule ID 5975 //
     /* 397697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 397700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 397704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397708 */   // (vecreduce_umax:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (UMAXVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 397708 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv16i8v),
     /* 397713 */   GIR_RootConstrainSelectedInstOperands,
     /* 397714 */   // GIR_Coverage, 5975,
     /* 397714 */   GIR_Done,
     /* 397715 */ // Label 7935: @397715
     /* 397715 */ GIM_Reject,
     /* 397716 */ // Label 7931: @397716
     /* 397716 */ GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(397739), // Rule ID 5976 //
     /* 397721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 397724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 397728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397732 */   // (vecreduce_umax:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (UMAXVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 397732 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i16v),
     /* 397737 */   GIR_RootConstrainSelectedInstOperands,
     /* 397738 */   // GIR_Coverage, 5976,
     /* 397738 */   GIR_Done,
     /* 397739 */ // Label 7936: @397739
     /* 397739 */ GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(397762), // Rule ID 5977 //
     /* 397744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 397751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397755 */   // (vecreduce_umax:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (UMAXVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 397755 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv8i16v),
     /* 397760 */   GIR_RootConstrainSelectedInstOperands,
     /* 397761 */   // GIR_Coverage, 5977,
     /* 397761 */   GIR_Done,
     /* 397762 */ // Label 7937: @397762
     /* 397762 */ GIM_Reject,
     /* 397763 */ // Label 7932: @397763
     /* 397763 */ GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(397786), // Rule ID 5978 //
     /* 397768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397779 */   // (vecreduce_umax:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (UMAXVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 397779 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMAXVv4i32v),
     /* 397784 */   GIR_RootConstrainSelectedInstOperands,
     /* 397785 */   // GIR_Coverage, 5978,
     /* 397785 */   GIR_Done,
     /* 397786 */ // Label 7938: @397786
     /* 397786 */ GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(397847), // Rule ID 5979 //
     /* 397791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 397794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397802 */   // (vecreduce_umax:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (UMAXPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 397802 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 397805 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMAXPv2i32),
     /* 397809 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 397814 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 397818 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 397822 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 397824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 397827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 397829 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 397836 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397841 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397846 */   // GIR_Coverage, 5979,
     /* 397846 */   GIR_EraseRootFromParent_Done,
     /* 397847 */ // Label 7939: @397847
     /* 397847 */ GIM_Reject,
     /* 397848 */ // Label 7933: @397848
     /* 397848 */ GIM_Reject,
     /* 397849 */ // Label 119: @397849
     /* 397849 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(3), /*)*//*default:*//*Label 7943*/ GIMT_Encode4(398051),
     /* 397860 */ /*GILLT_s8*//*Label 7940*/ GIMT_Encode4(397872),
     /* 397864 */ /*GILLT_s16*//*Label 7941*/ GIMT_Encode4(397919),
     /* 397868 */ /*GILLT_s32*//*Label 7942*/ GIMT_Encode4(397966),
     /* 397872 */ // Label 7940: @397872
     /* 397872 */ GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(397895), // Rule ID 5968 //
     /* 397877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 397880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 397884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397888 */   // (vecreduce_umin:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)  =>  (UMINVv8i8v:{ *:[i8] } FPR64:{ *:[v8i8] }:$Rn)
     /* 397888 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i8v),
     /* 397893 */   GIR_RootConstrainSelectedInstOperands,
     /* 397894 */   // GIR_Coverage, 5968,
     /* 397894 */   GIR_Done,
     /* 397895 */ // Label 7944: @397895
     /* 397895 */ GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(397918), // Rule ID 5969 //
     /* 397900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 397903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR8RegClassID),
     /* 397907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397911 */   // (vecreduce_umin:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)  =>  (UMINVv16i8v:{ *:[i8] } FPR128:{ *:[v16i8] }:$Rn)
     /* 397911 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv16i8v),
     /* 397916 */   GIR_RootConstrainSelectedInstOperands,
     /* 397917 */   // GIR_Coverage, 5969,
     /* 397917 */   GIR_Done,
     /* 397918 */ // Label 7945: @397918
     /* 397918 */ GIM_Reject,
     /* 397919 */ // Label 7941: @397919
     /* 397919 */ GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(397942), // Rule ID 5970 //
     /* 397924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 397927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 397931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 397935 */   // (vecreduce_umin:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)  =>  (UMINVv4i16v:{ *:[i16] } FPR64:{ *:[v4i16] }:$Rn)
     /* 397935 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i16v),
     /* 397940 */   GIR_RootConstrainSelectedInstOperands,
     /* 397941 */   // GIR_Coverage, 5970,
     /* 397941 */   GIR_Done,
     /* 397942 */ // Label 7946: @397942
     /* 397942 */ GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(397965), // Rule ID 5971 //
     /* 397947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 397950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 397954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397958 */   // (vecreduce_umin:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)  =>  (UMINVv8i16v:{ *:[i16] } FPR128:{ *:[v8i16] }:$Rn)
     /* 397958 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv8i16v),
     /* 397963 */   GIR_RootConstrainSelectedInstOperands,
     /* 397964 */   // GIR_Coverage, 5971,
     /* 397964 */   GIR_Done,
     /* 397965 */ // Label 7947: @397965
     /* 397965 */ GIM_Reject,
     /* 397966 */ // Label 7942: @397966
     /* 397966 */ GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(397989), // Rule ID 5972 //
     /* 397971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 397974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 397978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 397982 */   // (vecreduce_umin:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)  =>  (UMINVv4i32v:{ *:[i32] } V128:{ *:[v4i32] }:$Rn)
     /* 397982 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMINVv4i32v),
     /* 397987 */   GIR_RootConstrainSelectedInstOperands,
     /* 397988 */   // GIR_Coverage, 5972,
     /* 397988 */   GIR_Done,
     /* 397989 */ // Label 7948: @397989
     /* 397989 */ GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(398050), // Rule ID 5973 //
     /* 397994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 397997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 398001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398005 */   // (vecreduce_umin:{ *:[i32] } V64:{ *:[v2i32] }:$Rn)  =>  (EXTRACT_SUBREG:{ *:[i32] } (UMINPv2i32:{ *:[i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rn), ssub:{ *:[i32] })
     /* 398005 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 398008 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UMINPv2i32),
     /* 398012 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 398017 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 398021 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 398025 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 398027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 398030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 398032 */   GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::ssub),
     /* 398039 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 398044 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398049 */   // GIR_Coverage, 5973,
     /* 398049 */   GIR_EraseRootFromParent_Done,
     /* 398050 */ // Label 7949: @398050
     /* 398050 */ GIM_Reject,
     /* 398051 */ // Label 7943: @398051
     /* 398051 */ GIM_Reject,
     /* 398052 */ // Label 120: @398052
     /* 398052 */ GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(398191),
     /* 398057 */   GIM_CheckIsImm, /*MI*/0, /*Op*/0,
     /* 398060 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /* 398064 */   GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(398098), // Rule ID 257 //
     /* 398069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Windexed64),
     /* 398076 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (ro_Windexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend))  =>  (PRFMroW (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR32:{ *:[i32] }:$Rm, ro_Wextend64:{ *:[i32] }:$extend)
     /* 398076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFMroW),
     /* 398079 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 398081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 398086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 398091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 398096 */     GIR_RootConstrainSelectedInstOperands,
     /* 398097 */     // GIR_Coverage, 257,
     /* 398097 */     GIR_EraseRootFromParent_Done,
     /* 398098 */   // Label 7951: @398098
     /* 398098 */   GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(398132), // Rule ID 258 //
     /* 398103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_ro_Xindexed64),
     /* 398110 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (ro_Xindexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend))  =>  (PRFMroX (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, GPR64:{ *:[i64] }:$Rm, ro_Xextend64:{ *:[i32] }:$extend)
     /* 398110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFMroX),
     /* 398113 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 398115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 398120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // Rm
     /* 398125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/2, // extend
     /* 398130 */     GIR_RootConstrainSelectedInstOperands,
     /* 398131 */     // GIR_Coverage, 258,
     /* 398131 */     GIR_EraseRootFromParent_Done,
     /* 398132 */   // Label 7952: @398132
     /* 398132 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(398161), // Rule ID 273 //
     /* 398137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed64),
     /* 398144 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (am_indexed64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset))  =>  (PRFMui (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, uimm12s8:{ *:[i64] }:$offset)
     /* 398144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFMui),
     /* 398147 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 398149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 398154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 398159 */     GIR_RootConstrainSelectedInstOperands,
     /* 398160 */     // GIR_Coverage, 273,
     /* 398160 */     GIR_EraseRootFromParent_Done,
     /* 398161 */   // Label 7953: @398161
     /* 398161 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(398190), // Rule ID 294 //
     /* 398166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_unscaled64),
     /* 398173 */     // (AArch64Prefetch (timm:{ *:[i32] }):$Rt, (am_unscaled64:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_simm9>>:$offset))  =>  (PRFUMi (timm:{ *:[i32] }):$Rt, GPR64sp:{ *:[i64] }:$Rn, (imm:{ *:[i64] }):$offset)
     /* 398173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::PRFUMi),
     /* 398176 */     GIR_RootToRootCopy, /*OpIdx*/0, // Rt
     /* 398178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 398183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // offset
     /* 398188 */     GIR_RootConstrainSelectedInstOperands,
     /* 398189 */     // GIR_Coverage, 294,
     /* 398189 */     GIR_EraseRootFromParent_Done,
     /* 398190 */   // Label 7954: @398190
     /* 398190 */   GIM_Reject,
     /* 398191 */ // Label 7950: @398191
     /* 398191 */ GIM_Reject,
     /* 398192 */ // Label 121: @398192
     /* 398192 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(24), /*)*//*default:*//*Label 7967*/ GIMT_Encode4(398731),
     /* 398203 */ /*GILLT_s64*//*Label 7955*/ GIMT_Encode4(398287), GIMT_Encode4(0),
     /* 398211 */ /*GILLT_v2s32*//*Label 7956*/ GIMT_Encode4(398325),
     /* 398215 */ /*GILLT_v2s64*//*Label 7957*/ GIMT_Encode4(398363),
     /* 398219 */ /*GILLT_v4s16*//*Label 7958*/ GIMT_Encode4(398401),
     /* 398223 */ /*GILLT_v4s32*//*Label 7959*/ GIMT_Encode4(398439),
     /* 398227 */ /*GILLT_v8s8*//*Label 7960*/ GIMT_Encode4(398477),
     /* 398231 */ /*GILLT_v8s16*//*Label 7961*/ GIMT_Encode4(398515),
     /* 398235 */ /*GILLT_v16s8*//*Label 7962*/ GIMT_Encode4(398553), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 398255 */ /*GILLT_nxv2s64*//*Label 7963*/ GIMT_Encode4(398591), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 398267 */ /*GILLT_nxv4s32*//*Label 7964*/ GIMT_Encode4(398626), GIMT_Encode4(0),
     /* 398275 */ /*GILLT_nxv8s16*//*Label 7965*/ GIMT_Encode4(398661), GIMT_Encode4(0),
     /* 398283 */ /*GILLT_nxv16s8*//*Label 7966*/ GIMT_Encode4(398696),
     /* 398287 */ // Label 7955: @398287
     /* 398287 */ GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(398324), // Rule ID 5069 //
     /* 398292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 398295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 398298 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 398301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398313 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398317 */   // (AArch64bsp:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm)  =>  (BSPv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rd, V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm)
     /* 398317 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 398322 */   GIR_RootConstrainSelectedInstOperands,
     /* 398323 */   // GIR_Coverage, 5069,
     /* 398323 */   GIR_Done,
     /* 398324 */ // Label 7968: @398324
     /* 398324 */ GIM_Reject,
     /* 398325 */ // Label 7956: @398325
     /* 398325 */ GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(398362), // Rule ID 5068 //
     /* 398330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 398333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 398336 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s32,
     /* 398339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398351 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398355 */   // (AArch64bsp:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (BSPv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 398355 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 398360 */   GIR_RootConstrainSelectedInstOperands,
     /* 398361 */   // GIR_Coverage, 5068,
     /* 398361 */   GIR_Done,
     /* 398362 */ // Label 7969: @398362
     /* 398362 */ GIM_Reject,
     /* 398363 */ // Label 7957: @398363
     /* 398363 */ GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(398400), // Rule ID 5073 //
     /* 398368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 398371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 398374 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v2s64,
     /* 398377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398389 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398393 */   // (AArch64bsp:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (BSPv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rd, V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 398393 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 398398 */   GIR_RootConstrainSelectedInstOperands,
     /* 398399 */   // GIR_Coverage, 5073,
     /* 398399 */   GIR_Done,
     /* 398400 */ // Label 7970: @398400
     /* 398400 */ GIM_Reject,
     /* 398401 */ // Label 7958: @398401
     /* 398401 */ GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(398438), // Rule ID 5067 //
     /* 398406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 398409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 398412 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s16,
     /* 398415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398427 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398431 */   // (AArch64bsp:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (BSPv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rd, V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 398431 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 398436 */   GIR_RootConstrainSelectedInstOperands,
     /* 398437 */   // GIR_Coverage, 5067,
     /* 398437 */   GIR_Done,
     /* 398438 */ // Label 7971: @398438
     /* 398438 */ GIM_Reject,
     /* 398439 */ // Label 7959: @398439
     /* 398439 */ GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(398476), // Rule ID 5072 //
     /* 398444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 398447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 398450 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v4s32,
     /* 398453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398465 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398469 */   // (AArch64bsp:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (BSPv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 398469 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 398474 */   GIR_RootConstrainSelectedInstOperands,
     /* 398475 */   // GIR_Coverage, 5072,
     /* 398475 */   GIR_Done,
     /* 398476 */ // Label 7972: @398476
     /* 398476 */ GIM_Reject,
     /* 398477 */ // Label 7960: @398477
     /* 398477 */ GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(398514), // Rule ID 5066 //
     /* 398482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 398485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 398488 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 398491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398503 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398507 */   // (AArch64bsp:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (BSPv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 398507 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv8i8),
     /* 398512 */   GIR_RootConstrainSelectedInstOperands,
     /* 398513 */   // GIR_Coverage, 5066,
     /* 398513 */   GIR_Done,
     /* 398514 */ // Label 7973: @398514
     /* 398514 */ GIM_Reject,
     /* 398515 */ // Label 7961: @398515
     /* 398515 */ GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(398552), // Rule ID 5071 //
     /* 398520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 398523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 398526 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s16,
     /* 398529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398541 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398545 */   // (AArch64bsp:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (BSPv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rd, V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 398545 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 398550 */   GIR_RootConstrainSelectedInstOperands,
     /* 398551 */   // GIR_Coverage, 5071,
     /* 398551 */   GIR_Done,
     /* 398552 */ // Label 7974: @398552
     /* 398552 */ GIM_Reject,
     /* 398553 */ // Label 7962: @398553
     /* 398553 */ GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(398590), // Rule ID 5070 //
     /* 398558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 398561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 398564 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 398567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398579 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 398583 */   // (AArch64bsp:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (BSPv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 398583 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::BSPv16i8),
     /* 398588 */   GIR_RootConstrainSelectedInstOperands,
     /* 398589 */   // GIR_Coverage, 5070,
     /* 398589 */   GIR_Done,
     /* 398590 */ // Label 7975: @398590
     /* 398590 */ GIM_Reject,
     /* 398591 */ // Label 7963: @398591
     /* 398591 */ GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(398625), // Rule ID 11858 //
     /* 398596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 398599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 398602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 398605 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 398608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398612 */   // (AArch64bsp:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op3, nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2, ?:{ *:[nxv2i64] }:$Op3)
     /* 398612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 398615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 398617 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 398619 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 398621 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 398623 */   GIR_RootConstrainSelectedInstOperands,
     /* 398624 */   // GIR_Coverage, 11858,
     /* 398624 */   GIR_EraseRootFromParent_Done,
     /* 398625 */ // Label 7976: @398625
     /* 398625 */ GIM_Reject,
     /* 398626 */ // Label 7964: @398626
     /* 398626 */ GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(398660), // Rule ID 11856 //
     /* 398631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 398634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 398637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 398640 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 398643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398647 */   // (AArch64bsp:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op3, nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2, ?:{ *:[nxv4i32] }:$Op3)
     /* 398647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 398650 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 398652 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 398654 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 398656 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 398658 */   GIR_RootConstrainSelectedInstOperands,
     /* 398659 */   // GIR_Coverage, 11856,
     /* 398659 */   GIR_EraseRootFromParent_Done,
     /* 398660 */ // Label 7977: @398660
     /* 398660 */ GIM_Reject,
     /* 398661 */ // Label 7965: @398661
     /* 398661 */ GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(398695), // Rule ID 11854 //
     /* 398666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 398669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 398672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 398675 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 398678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398682 */   // (AArch64bsp:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op3, nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 398682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 398685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 398687 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 398689 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 398691 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 398693 */   GIR_RootConstrainSelectedInstOperands,
     /* 398694 */   // GIR_Coverage, 11854,
     /* 398694 */   GIR_EraseRootFromParent_Done,
     /* 398695 */ // Label 7978: @398695
     /* 398695 */ GIM_Reject,
     /* 398696 */ // Label 7966: @398696
     /* 398696 */ GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(398730), // Rule ID 11852 //
     /* 398701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE2_or_SME),
     /* 398704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 398707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 398710 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 398713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 398717 */   // (AArch64bsp:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op3, nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (BSL_ZZZZ:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 398717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::BSL_ZZZZ),
     /* 398720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 398722 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op1
     /* 398724 */   GIR_RootToRootCopy, /*OpIdx*/3, // Op2
     /* 398726 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op3
     /* 398728 */   GIR_RootConstrainSelectedInstOperands,
     /* 398729 */   // GIR_Coverage, 11852,
     /* 398729 */   GIR_EraseRootFromParent_Done,
     /* 398730 */ // Label 7979: @398730
     /* 398730 */ GIM_Reject,
     /* 398731 */ // Label 7967: @398731
     /* 398731 */ GIM_Reject,
     /* 398732 */ // Label 122: @398732
     /* 398732 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 7988*/ GIMT_Encode4(400554),
     /* 398743 */ /*GILLT_s64*//*Label 7980*/ GIMT_Encode4(398779), GIMT_Encode4(0),
     /* 398751 */ /*GILLT_v2s32*//*Label 7981*/ GIMT_Encode4(398974),
     /* 398755 */ /*GILLT_v2s64*//*Label 7982*/ GIMT_Encode4(399221),
     /* 398759 */ /*GILLT_v4s16*//*Label 7983*/ GIMT_Encode4(399468),
     /* 398763 */ /*GILLT_v4s32*//*Label 7984*/ GIMT_Encode4(399744),
     /* 398767 */ /*GILLT_v8s8*//*Label 7985*/ GIMT_Encode4(399991),
     /* 398771 */ /*GILLT_v8s16*//*Label 7986*/ GIMT_Encode4(400136),
     /* 398775 */ /*GILLT_v16s8*//*Label 7987*/ GIMT_Encode4(400412),
     /* 398779 */ // Label 7980: @398779
     /* 398779 */ GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(398973),
     /* 398784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 398787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398791 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(398838), // Rule ID 6413 //
     /* 398796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 398804 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 398807 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 398811 */     // MIs[1] Rn
     /* 398811 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 398815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 398820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 398822 */     // (AArch64dup:{ *:[v1i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv1d:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 398822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv1d),
     /* 398825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 398827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398831 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 398836 */     GIR_RootConstrainSelectedInstOperands,
     /* 398837 */     // GIR_Coverage, 6413,
     /* 398837 */     GIR_EraseRootFromParent_Done,
     /* 398838 */   // Label 7990: @398838
     /* 398838 */   GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(398885), // Rule ID 6424 //
     /* 398843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 398851 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 398854 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 398858 */     // MIs[1] Rn
     /* 398858 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 398862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 398867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 398869 */     // (AArch64dup:{ *:[v1f64] } (ld:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv1d:{ *:[v1f64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 398869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv1d),
     /* 398872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 398874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398878 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 398883 */     GIR_RootConstrainSelectedInstOperands,
     /* 398884 */     // GIR_Coverage, 6424,
     /* 398884 */     GIR_EraseRootFromParent_Done,
     /* 398885 */   // Label 7991: @398885
     /* 398885 */   GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(398932), // Rule ID 13182 //
     /* 398890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 398898 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 398901 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 398905 */     // MIs[1] Rn
     /* 398905 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 398909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 398914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 398916 */     // (AArch64dup:{ *:[v1i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv1d:{ *:[v1i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 398916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv1d),
     /* 398919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 398921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 398925 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 398930 */     GIR_RootConstrainSelectedInstOperands,
     /* 398931 */     // GIR_Coverage, 13182,
     /* 398931 */     GIR_EraseRootFromParent_Done,
     /* 398932 */   // Label 7992: @398932
     /* 398932 */   GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(398952), // Rule ID 5632 //
     /* 398937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 398941 */     // (AArch64dup:{ *:[v1i64] } GPR64:{ *:[i64] }:$Rn)  =>  (COPY_TO_REGCLASS:{ *:[v1i64] } GPR64:{ *:[i64] }:$Rn, FPR64:{ *:[i32] })
     /* 398941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 398946 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398951 */     // GIR_Coverage, 5632,
     /* 398951 */     GIR_Done,
     /* 398952 */   // Label 7993: @398952
     /* 398952 */   GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(398972), // Rule ID 5633 //
     /* 398957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398961 */     // (AArch64dup:{ *:[v1f64] } FPR64:{ *:[f64] }:$Rn)  =>  (COPY_TO_REGCLASS:{ *:[v1f64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[i32] })
     /* 398961 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 398966 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398971 */     // GIR_Coverage, 5633,
     /* 398971 */     GIR_Done,
     /* 398972 */   // Label 7994: @398972
     /* 398972 */   GIM_Reject,
     /* 398973 */ // Label 7989: @398973
     /* 398973 */ GIM_Reject,
     /* 398974 */ // Label 7981: @398974
     /* 398974 */ GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(399220),
     /* 398979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 398982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 398986 */   GIM_Try, /*On fail goto*//*Label 7996*/ GIMT_Encode4(399033), // Rule ID 6410 //
     /* 398991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 398995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 398999 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399002 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399006 */     // MIs[1] Rn
     /* 399006 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399017 */     // (AArch64dup:{ *:[v2i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2s:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2s),
     /* 399020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399026 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399031 */     GIR_RootConstrainSelectedInstOperands,
     /* 399032 */     // GIR_Coverage, 6410,
     /* 399032 */     GIR_EraseRootFromParent_Done,
     /* 399033 */   // Label 7996: @399033
     /* 399033 */   GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(399080), // Rule ID 6421 //
     /* 399038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399046 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399049 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399053 */     // MIs[1] Rn
     /* 399053 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399064 */     // (AArch64dup:{ *:[v2f32] } (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2s:{ *:[v2f32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2s),
     /* 399067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399073 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399078 */     GIR_RootConstrainSelectedInstOperands,
     /* 399079 */     // GIR_Coverage, 6421,
     /* 399079 */     GIR_EraseRootFromParent_Done,
     /* 399080 */   // Label 7997: @399080
     /* 399080 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(399127), // Rule ID 13179 //
     /* 399085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399093 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399096 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399100 */     // MIs[1] Rn
     /* 399100 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399111 */     // (AArch64dup:{ *:[v2i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2s:{ *:[v2i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2s),
     /* 399114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399125 */     GIR_RootConstrainSelectedInstOperands,
     /* 399126 */     // GIR_Coverage, 13179,
     /* 399126 */     GIR_EraseRootFromParent_Done,
     /* 399127 */   // Label 7998: @399127
     /* 399127 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(399146), // Rule ID 1916 //
     /* 399132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 399139 */     // (AArch64dup:{ *:[v2i32] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv2i32gpr:{ *:[v2i32] } GPR32:{ *:[i32] }:$Rn)
     /* 399139 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32gpr),
     /* 399144 */     GIR_RootConstrainSelectedInstOperands,
     /* 399145 */     // GIR_Coverage, 1916,
     /* 399145 */     GIR_Done,
     /* 399146 */   // Label 7999: @399146
     /* 399146 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(399219), // Rule ID 5634 //
     /* 399151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 399155 */     // (AArch64dup:{ *:[v2f32] } FPR32:{ *:[f32] }:$Rn)  =>  (DUPv2i32lane:{ *:[v2f32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 399155 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 399158 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 399162 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 399169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 399172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 399176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399181 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 399184 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 399188 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 399191 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399196 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399201 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 399206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32lane),
     /* 399209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 399214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399217 */     GIR_RootConstrainSelectedInstOperands,
     /* 399218 */     // GIR_Coverage, 5634,
     /* 399218 */     GIR_EraseRootFromParent_Done,
     /* 399219 */   // Label 8000: @399219
     /* 399219 */   GIM_Reject,
     /* 399220 */ // Label 7995: @399220
     /* 399220 */ GIM_Reject,
     /* 399221 */ // Label 7982: @399221
     /* 399221 */ GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(399467),
     /* 399226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 399229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399233 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(399280), // Rule ID 6412 //
     /* 399238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399246 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399249 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399253 */     // MIs[1] Rn
     /* 399253 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399264 */     // (AArch64dup:{ *:[v2i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 399267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399273 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399278 */     GIR_RootConstrainSelectedInstOperands,
     /* 399279 */     // GIR_Coverage, 6412,
     /* 399279 */     GIR_EraseRootFromParent_Done,
     /* 399280 */   // Label 8002: @399280
     /* 399280 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(399327), // Rule ID 6423 //
     /* 399285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399293 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399296 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399300 */     // MIs[1] Rn
     /* 399300 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399311 */     // (AArch64dup:{ *:[v2f64] } (ld:{ *:[f64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2d:{ *:[v2f64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 399314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399325 */     GIR_RootConstrainSelectedInstOperands,
     /* 399326 */     // GIR_Coverage, 6423,
     /* 399326 */     GIR_EraseRootFromParent_Done,
     /* 399327 */   // Label 8003: @399327
     /* 399327 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(399374), // Rule ID 13181 //
     /* 399332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399340 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399343 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399347 */     // MIs[1] Rn
     /* 399347 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399358 */     // (AArch64dup:{ *:[v2i64] } (ld:{ *:[i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 399361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399367 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399372 */     GIR_RootConstrainSelectedInstOperands,
     /* 399373 */     // GIR_Coverage, 13181,
     /* 399373 */     GIR_EraseRootFromParent_Done,
     /* 399374 */   // Label 8004: @399374
     /* 399374 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(399393), // Rule ID 1918 //
     /* 399379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 399386 */     // (AArch64dup:{ *:[v2i64] } GPR64:{ *:[i64] }:$Rn)  =>  (DUPv2i64gpr:{ *:[v2i64] } GPR64:{ *:[i64] }:$Rn)
     /* 399386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64gpr),
     /* 399391 */     GIR_RootConstrainSelectedInstOperands,
     /* 399392 */     // GIR_Coverage, 1918,
     /* 399392 */     GIR_Done,
     /* 399393 */   // Label 8005: @399393
     /* 399393 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(399466), // Rule ID 5636 //
     /* 399398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399402 */     // (AArch64dup:{ *:[v2f64] } FPR64:{ *:[f64] }:$Rn)  =>  (DUPv2i64lane:{ *:[v2f64] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR64:{ *:[f64] }:$Rn, dsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 399402 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 399405 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 399409 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 399416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 399419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 399423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399428 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 399431 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 399435 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /* 399438 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399443 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399448 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 399456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 399461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399464 */     GIR_RootConstrainSelectedInstOperands,
     /* 399465 */     // GIR_Coverage, 5636,
     /* 399465 */     GIR_EraseRootFromParent_Done,
     /* 399466 */   // Label 8006: @399466
     /* 399466 */   GIM_Reject,
     /* 399467 */ // Label 8001: @399467
     /* 399467 */ GIM_Reject,
     /* 399468 */ // Label 7983: @399468
     /* 399468 */ GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(399529), // Rule ID 6408 //
     /* 399473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 399476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399480 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399484 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399488 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399491 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399495 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 399502 */   // MIs[1] Rn
     /* 399502 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399506 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399511 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399513 */   // (AArch64dup:{ *:[v4i16] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>)  =>  (LD1Rv4h:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4h),
     /* 399516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399518 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399522 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399527 */   GIR_RootConstrainSelectedInstOperands,
     /* 399528 */   // GIR_Coverage, 6408,
     /* 399528 */   GIR_EraseRootFromParent_Done,
     /* 399529 */ // Label 8007: @399529
     /* 399529 */ GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(399583), // Rule ID 6425 //
     /* 399534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 399537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399541 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399545 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399549 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399552 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399556 */   // MIs[1] Rn
     /* 399556 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399560 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399565 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399567 */   // (AArch64dup:{ *:[v4f16] } (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4h:{ *:[v4f16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4h),
     /* 399570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399572 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399576 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399581 */   GIR_RootConstrainSelectedInstOperands,
     /* 399582 */   // GIR_Coverage, 6425,
     /* 399582 */   GIR_EraseRootFromParent_Done,
     /* 399583 */ // Label 8008: @399583
     /* 399583 */ GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(399637), // Rule ID 13177 //
     /* 399588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 399591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399595 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399599 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399603 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399606 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399610 */   // MIs[1] Rn
     /* 399610 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399614 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399619 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399621 */   // (AArch64dup:{ *:[v4i16] } (ld:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4h:{ *:[v4i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4h),
     /* 399624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399626 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399630 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399635 */   GIR_RootConstrainSelectedInstOperands,
     /* 399636 */   // GIR_Coverage, 13177,
     /* 399636 */   GIR_EraseRootFromParent_Done,
     /* 399637 */ // Label 8009: @399637
     /* 399637 */ GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(399663), // Rule ID 1914 //
     /* 399642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 399648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 399656 */   // (AArch64dup:{ *:[v4i16] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv4i16gpr:{ *:[v4i16] } GPR32:{ *:[i32] }:$Rn)
     /* 399656 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16gpr),
     /* 399661 */   GIR_RootConstrainSelectedInstOperands,
     /* 399662 */   // GIR_Coverage, 1914,
     /* 399662 */   GIR_Done,
     /* 399663 */ // Label 8010: @399663
     /* 399663 */ GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(399743), // Rule ID 5637 //
     /* 399668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 399671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 399675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 399679 */   // (AArch64dup:{ *:[v4f16] } FPR16:{ *:[f16] }:$Rn)  =>  (DUPv4i16lane:{ *:[v4f16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 399679 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 399682 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 399686 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399691 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 399693 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 399696 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 399700 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399705 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 399708 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 399712 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 399715 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399720 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399725 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 399730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16lane),
     /* 399733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 399738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399741 */   GIR_RootConstrainSelectedInstOperands,
     /* 399742 */   // GIR_Coverage, 5637,
     /* 399742 */   GIR_EraseRootFromParent_Done,
     /* 399743 */ // Label 8011: @399743
     /* 399743 */ GIM_Reject,
     /* 399744 */ // Label 7984: @399744
     /* 399744 */ GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(399990),
     /* 399749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 399752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399756 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(399803), // Rule ID 6411 //
     /* 399761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399769 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399772 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399776 */     // MIs[1] Rn
     /* 399776 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399787 */     // (AArch64dup:{ *:[v4i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 399790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399801 */     GIR_RootConstrainSelectedInstOperands,
     /* 399802 */     // GIR_Coverage, 6411,
     /* 399802 */     GIR_EraseRootFromParent_Done,
     /* 399803 */   // Label 8013: @399803
     /* 399803 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(399850), // Rule ID 6422 //
     /* 399808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399816 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399819 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399823 */     // MIs[1] Rn
     /* 399823 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399834 */     // (AArch64dup:{ *:[v4f32] } (ld:{ *:[f32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4s:{ *:[v4f32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 399837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399843 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399848 */     GIR_RootConstrainSelectedInstOperands,
     /* 399849 */     // GIR_Coverage, 6422,
     /* 399849 */     GIR_EraseRootFromParent_Done,
     /* 399850 */   // Label 8014: @399850
     /* 399850 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(399897), // Rule ID 13180 //
     /* 399855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 399859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 399863 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 399866 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 399870 */     // MIs[1] Rn
     /* 399870 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 399874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 399879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 399881 */     // (AArch64dup:{ *:[v4i32] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 399881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 399884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 399886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 399890 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 399895 */     GIR_RootConstrainSelectedInstOperands,
     /* 399896 */     // GIR_Coverage, 13180,
     /* 399896 */     GIR_EraseRootFromParent_Done,
     /* 399897 */   // Label 8015: @399897
     /* 399897 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(399916), // Rule ID 1917 //
     /* 399902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 399905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 399909 */     // (AArch64dup:{ *:[v4i32] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv4i32gpr:{ *:[v4i32] } GPR32:{ *:[i32] }:$Rn)
     /* 399909 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32gpr),
     /* 399914 */     GIR_RootConstrainSelectedInstOperands,
     /* 399915 */     // GIR_Coverage, 1917,
     /* 399915 */     GIR_Done,
     /* 399916 */   // Label 8016: @399916
     /* 399916 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(399989), // Rule ID 5635 //
     /* 399921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 399925 */     // (AArch64dup:{ *:[v4f32] } FPR32:{ *:[f32] }:$Rn)  =>  (DUPv4i32lane:{ *:[v4f32] } (INSERT_SUBREG:{ *:[v4i32] } (IMPLICIT_DEF:{ *:[v4i32] }), FPR32:{ *:[f32] }:$Rn, ssub:{ *:[i32] }), 0:{ *:[i64] })
     /* 399925 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v4s32,
     /* 399928 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 399932 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 399939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v4s32,
     /* 399942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 399946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 399951 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 399954 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 399958 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/18,
     /* 399961 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399966 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 399971 */     GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 399976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32lane),
     /* 399979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 399981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 399984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 399987 */     GIR_RootConstrainSelectedInstOperands,
     /* 399988 */     // GIR_Coverage, 5635,
     /* 399988 */     GIR_EraseRootFromParent_Done,
     /* 399989 */   // Label 8017: @399989
     /* 399989 */   GIM_Reject,
     /* 399990 */ // Label 8012: @399990
     /* 399990 */ GIM_Reject,
     /* 399991 */ // Label 7985: @399991
     /* 399991 */ GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(400048), // Rule ID 13175 //
     /* 399996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 399999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400003 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400007 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400011 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400014 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400018 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/0,
     /* 400022 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400024 */   GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_am_indexed8),
     /* 400031 */   // (AArch64dup:{ *:[v8i8] } (ld:{ *:[i8] } (am_indexed8:{ *:[iPTR] } GPR64sp:{ *:[i64] }:$Rn))<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv8b:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8b),
     /* 400034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400036 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 400041 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400046 */   GIR_RootConstrainSelectedInstOperands,
     /* 400047 */   // GIR_Coverage, 13175,
     /* 400047 */   GIR_EraseRootFromParent_Done,
     /* 400048 */ // Label 8018: @400048
     /* 400048 */ GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(400109), // Rule ID 6406 //
     /* 400053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 400056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400060 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400064 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400068 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400071 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400075 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 400082 */   // MIs[1] Rn
     /* 400082 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400086 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400091 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400093 */   // (AArch64dup:{ *:[v8i8] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>)  =>  (LD1Rv8b:{ *:[v8i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8b),
     /* 400096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400098 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400102 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400107 */   GIR_RootConstrainSelectedInstOperands,
     /* 400108 */   // GIR_Coverage, 6406,
     /* 400108 */   GIR_EraseRootFromParent_Done,
     /* 400109 */ // Label 8019: @400109
     /* 400109 */ GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(400135), // Rule ID 1912 //
     /* 400114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 400120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 400128 */   // (AArch64dup:{ *:[v8i8] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv8i8gpr:{ *:[v8i8] } GPR32:{ *:[i32] }:$Rn)
     /* 400128 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i8gpr),
     /* 400133 */   GIR_RootConstrainSelectedInstOperands,
     /* 400134 */   // GIR_Coverage, 1912,
     /* 400134 */   GIR_Done,
     /* 400135 */ // Label 8020: @400135
     /* 400135 */ GIM_Reject,
     /* 400136 */ // Label 7986: @400136
     /* 400136 */ GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(400197), // Rule ID 6409 //
     /* 400141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 400144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400148 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400152 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400156 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400159 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400163 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /* 400170 */   // MIs[1] Rn
     /* 400170 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400174 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400179 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400181 */   // (AArch64dup:{ *:[v8i16] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>)  =>  (LD1Rv8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 400184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400186 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400190 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400195 */   GIR_RootConstrainSelectedInstOperands,
     /* 400196 */   // GIR_Coverage, 6409,
     /* 400196 */   GIR_EraseRootFromParent_Done,
     /* 400197 */ // Label 8021: @400197
     /* 400197 */ GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(400251), // Rule ID 6426 //
     /* 400202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 400205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400209 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400213 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400217 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400220 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400224 */   // MIs[1] Rn
     /* 400224 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400228 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400233 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400235 */   // (AArch64dup:{ *:[v8f16] } (ld:{ *:[f16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv8h:{ *:[v8f16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 400238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400240 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400244 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400249 */   GIR_RootConstrainSelectedInstOperands,
     /* 400250 */   // GIR_Coverage, 6426,
     /* 400250 */   GIR_EraseRootFromParent_Done,
     /* 400251 */ // Label 8022: @400251
     /* 400251 */ GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(400305), // Rule ID 13178 //
     /* 400256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 400259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400263 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400267 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400271 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400274 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400278 */   // MIs[1] Rn
     /* 400278 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400282 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400287 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400289 */   // (AArch64dup:{ *:[v8i16] } (ld:{ *:[i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 400292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400294 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400298 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400303 */   GIR_RootConstrainSelectedInstOperands,
     /* 400304 */   // GIR_Coverage, 13178,
     /* 400304 */   GIR_EraseRootFromParent_Done,
     /* 400305 */ // Label 8023: @400305
     /* 400305 */ GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(400331), // Rule ID 1915 //
     /* 400310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 400316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 400324 */   // (AArch64dup:{ *:[v8i16] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv8i16gpr:{ *:[v8i16] } GPR32:{ *:[i32] }:$Rn)
     /* 400324 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16gpr),
     /* 400329 */   GIR_RootConstrainSelectedInstOperands,
     /* 400330 */   // GIR_Coverage, 1915,
     /* 400330 */   GIR_Done,
     /* 400331 */ // Label 8024: @400331
     /* 400331 */ GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(400411), // Rule ID 5638 //
     /* 400336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 400339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 400347 */   // (AArch64dup:{ *:[v8f16] } FPR16:{ *:[f16] }:$Rn)  =>  (DUPv8i16lane:{ *:[v8f16] } (INSERT_SUBREG:{ *:[v8i16] } (IMPLICIT_DEF:{ *:[v8i16] }), FPR16:{ *:[f16] }:$Rn, hsub:{ *:[i32] }), 0:{ *:[i64] })
     /* 400347 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_v8s16,
     /* 400350 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 400354 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 400359 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 400361 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v8s16,
     /* 400364 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 400368 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 400373 */   GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 400376 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 400380 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/9,
     /* 400383 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400388 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400393 */   GIR_ConstrainOperandRC, /*InsnID*/1, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 400398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16lane),
     /* 400401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400403 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 400406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 400409 */   GIR_RootConstrainSelectedInstOperands,
     /* 400410 */   // GIR_Coverage, 5638,
     /* 400410 */   GIR_EraseRootFromParent_Done,
     /* 400411 */ // Label 8025: @400411
     /* 400411 */ GIM_Reject,
     /* 400412 */ // Label 7987: @400412
     /* 400412 */ GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(400473), // Rule ID 6407 //
     /* 400417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 400420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400424 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400428 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400432 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400435 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400439 */   GIM_CheckMemorySizeEqualTo, /*MI*/1, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /* 400446 */   // MIs[1] Rn
     /* 400446 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400450 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400455 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400457 */   // (AArch64dup:{ *:[v16i8] } (ld:{ *:[i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>)  =>  (LD1Rv16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv16b),
     /* 400460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400462 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400466 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400471 */   GIR_RootConstrainSelectedInstOperands,
     /* 400472 */   // GIR_Coverage, 6407,
     /* 400472 */   GIR_EraseRootFromParent_Done,
     /* 400473 */ // Label 8026: @400473
     /* 400473 */ GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(400527), // Rule ID 13176 //
     /* 400478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s8,
     /* 400481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400485 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400489 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400493 */   GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400496 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400500 */   // MIs[1] Rn
     /* 400500 */   GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400504 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400509 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400511 */   // (AArch64dup:{ *:[v16i8] } (ld:{ *:[i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>)  =>  (LD1Rv16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv16b),
     /* 400514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400516 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400520 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400525 */   GIR_RootConstrainSelectedInstOperands,
     /* 400526 */   // GIR_Coverage, 13176,
     /* 400526 */   GIR_EraseRootFromParent_Done,
     /* 400527 */ // Label 8027: @400527
     /* 400527 */ GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(400553), // Rule ID 1913 //
     /* 400532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 400538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 400546 */   // (AArch64dup:{ *:[v16i8] } GPR32:{ *:[i32] }:$Rn)  =>  (DUPv16i8gpr:{ *:[v16i8] } GPR32:{ *:[i32] }:$Rn)
     /* 400546 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::DUPv16i8gpr),
     /* 400551 */   GIR_RootConstrainSelectedInstOperands,
     /* 400552 */   // GIR_Coverage, 1913,
     /* 400552 */   GIR_Done,
     /* 400553 */ // Label 8028: @400553
     /* 400553 */ GIM_Reject,
     /* 400554 */ // Label 7988: @400554
     /* 400554 */ GIM_Reject,
     /* 400555 */ // Label 123: @400555
     /* 400555 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(11), /*)*//*default:*//*Label 8031*/ GIMT_Encode4(400809),
     /* 400566 */ /*GILLT_v4s16*//*Label 8029*/ GIMT_Encode4(400582), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 400578 */ /*GILLT_v8s16*//*Label 8030*/ GIMT_Encode4(400668),
     /* 400582 */ // Label 8029: @400582
     /* 400582 */ GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(400667),
     /* 400587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 400590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 400593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400601 */   GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(400635), // Rule ID 1922 //
     /* 400606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 400621 */     // MIs[1] Operand 1
     /* 400621 */     // No operand predicates
     /* 400621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400623 */     // (AArch64duplane16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (DUPv4i16lane:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 400623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16lane),
     /* 400626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400628 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 400633 */     GIR_RootConstrainSelectedInstOperands,
     /* 400634 */     // GIR_Coverage, 1922,
     /* 400634 */     GIR_EraseRootFromParent_Done,
     /* 400635 */   // Label 8033: @400635
     /* 400635 */   GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(400666), // Rule ID 5639 //
     /* 400640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 400652 */     // MIs[1] Operand 1
     /* 400652 */     // No operand predicates
     /* 400652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400654 */     // (AArch64duplane16:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (DUPv4i16lane:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)
     /* 400654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i16lane),
     /* 400657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400659 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 400664 */     GIR_RootConstrainSelectedInstOperands,
     /* 400665 */     // GIR_Coverage, 5639,
     /* 400665 */     GIR_EraseRootFromParent_Done,
     /* 400666 */   // Label 8034: @400666
     /* 400666 */   GIM_Reject,
     /* 400667 */ // Label 8032: @400667
     /* 400667 */ GIM_Reject,
     /* 400668 */ // Label 8030: @400668
     /* 400668 */ GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(400808),
     /* 400673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 400676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 400679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400683 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(400734), // Rule ID 6417 //
     /* 400688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400696 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400699 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400703 */     // MIs[1] Rn
     /* 400703 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400712 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 400716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400718 */     // (AArch64duplane16:{ *:[v8i16] } (ld:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv8h:{ *:[v8i16] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv8h),
     /* 400721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400732 */     GIR_RootConstrainSelectedInstOperands,
     /* 400733 */     // GIR_Coverage, 6417,
     /* 400733 */     GIR_EraseRootFromParent_Done,
     /* 400734 */   // Label 8036: @400734
     /* 400734 */   GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(400772), // Rule ID 1923 //
     /* 400739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 400758 */     // MIs[1] Operand 1
     /* 400758 */     // No operand predicates
     /* 400758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400760 */     // (AArch64duplane16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx)  =>  (DUPv8i16lane:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 400760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16lane),
     /* 400763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400765 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 400770 */     GIR_RootConstrainSelectedInstOperands,
     /* 400771 */     // GIR_Coverage, 1923,
     /* 400771 */     GIR_EraseRootFromParent_Done,
     /* 400772 */   // Label 8037: @400772
     /* 400772 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(400807), // Rule ID 5640 //
     /* 400777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 400793 */     // MIs[1] Operand 1
     /* 400793 */     // No operand predicates
     /* 400793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400795 */     // (AArch64duplane16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)  =>  (DUPv8i16lane:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$imm)
     /* 400795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i16lane),
     /* 400798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400800 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 400805 */     GIR_RootConstrainSelectedInstOperands,
     /* 400806 */     // GIR_Coverage, 5640,
     /* 400806 */     GIR_EraseRootFromParent_Done,
     /* 400807 */   // Label 8038: @400807
     /* 400807 */   GIM_Reject,
     /* 400808 */ // Label 8035: @400808
     /* 400808 */ GIM_Reject,
     /* 400809 */ // Label 8031: @400809
     /* 400809 */ GIM_Reject,
     /* 400810 */ // Label 124: @400810
     /* 400810 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(9), /*)*//*default:*//*Label 8041*/ GIMT_Encode4(401064),
     /* 400821 */ /*GILLT_v2s32*//*Label 8039*/ GIMT_Encode4(400837), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 400833 */ /*GILLT_v4s32*//*Label 8040*/ GIMT_Encode4(400923),
     /* 400837 */ // Label 8039: @400837
     /* 400837 */ GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(400922),
     /* 400842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 400845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 400848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 400852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400856 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(400890), // Rule ID 1920 //
     /* 400861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 400876 */     // MIs[1] Operand 1
     /* 400876 */     // No operand predicates
     /* 400876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400878 */     // (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (DUPv2i32lane:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 400878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32lane),
     /* 400881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400883 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 400888 */     GIR_RootConstrainSelectedInstOperands,
     /* 400889 */     // GIR_Coverage, 1920,
     /* 400889 */     GIR_EraseRootFromParent_Done,
     /* 400890 */   // Label 8043: @400890
     /* 400890 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(400921), // Rule ID 5641 //
     /* 400895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 400899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 400903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 400907 */     // MIs[1] Operand 1
     /* 400907 */     // No operand predicates
     /* 400907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400909 */     // (AArch64duplane32:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (DUPv2i32lane:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)
     /* 400909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i32lane),
     /* 400912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 400914 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 400916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 400919 */     GIR_RootConstrainSelectedInstOperands,
     /* 400920 */     // GIR_Coverage, 5641,
     /* 400920 */     GIR_EraseRootFromParent_Done,
     /* 400921 */   // Label 8044: @400921
     /* 400921 */   GIM_Reject,
     /* 400922 */ // Label 8042: @400922
     /* 400922 */ GIM_Reject,
     /* 400923 */ // Label 8040: @400923
     /* 400923 */ GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(401063),
     /* 400928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 400931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 400934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 400938 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(400989), // Rule ID 6419 //
     /* 400943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 400947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 400951 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 400954 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 400958 */     // MIs[1] Rn
     /* 400958 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 400962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 400967 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 400971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 400973 */     // (AArch64duplane32:{ *:[v4i32] } (ld:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv4s:{ *:[v4i32] } GPR64sp:{ *:[i64] }:$Rn)
     /* 400973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv4s),
     /* 400976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 400978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 400982 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 400987 */     GIR_RootConstrainSelectedInstOperands,
     /* 400988 */     // GIR_Coverage, 6419,
     /* 400988 */     GIR_EraseRootFromParent_Done,
     /* 400989 */   // Label 8046: @400989
     /* 400989 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(401027), // Rule ID 1921 //
     /* 400994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 400997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 401005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 401013 */     // MIs[1] Operand 1
     /* 401013 */     // No operand predicates
     /* 401013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401015 */     // (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)  =>  (DUPv4i32lane:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 401015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32lane),
     /* 401018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401020 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 401025 */     GIR_RootConstrainSelectedInstOperands,
     /* 401026 */     // GIR_Coverage, 1921,
     /* 401026 */     GIR_EraseRootFromParent_Done,
     /* 401027 */   // Label 8047: @401027
     /* 401027 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(401062), // Rule ID 5642 //
     /* 401032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 401040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 401048 */     // MIs[1] Operand 1
     /* 401048 */     // No operand predicates
     /* 401048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401050 */     // (AArch64duplane32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)  =>  (DUPv4i32lane:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$imm)
     /* 401050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv4i32lane),
     /* 401053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401055 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 401060 */     GIR_RootConstrainSelectedInstOperands,
     /* 401061 */     // GIR_Coverage, 5642,
     /* 401061 */     GIR_EraseRootFromParent_Done,
     /* 401062 */   // Label 8048: @401062
     /* 401062 */   GIM_Reject,
     /* 401063 */ // Label 8045: @401063
     /* 401063 */ GIM_Reject,
     /* 401064 */ // Label 8041: @401064
     /* 401064 */ GIM_Reject,
     /* 401065 */ // Label 125: @401065
     /* 401065 */ GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(401210),
     /* 401070 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_v2s64,
     /* 401073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 401076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 401079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401083 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(401134), // Rule ID 6420 //
     /* 401088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 401096 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 401099 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 401103 */     // MIs[1] Rn
     /* 401103 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 401107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 401112 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 401116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401118 */     // (AArch64duplane64:{ *:[v2i64] } (ld:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv2d:{ *:[v2i64] } GPR64sp:{ *:[i64] }:$Rn)
     /* 401118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv2d),
     /* 401121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 401123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401127 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 401132 */     GIR_RootConstrainSelectedInstOperands,
     /* 401133 */     // GIR_Coverage, 6420,
     /* 401133 */     GIR_EraseRootFromParent_Done,
     /* 401134 */   // Label 8050: @401134
     /* 401134 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(401209),
     /* 401139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401143 */     GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(401177), // Rule ID 1919 //
     /* 401148 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401151 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 401155 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401159 */       GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 401163 */       // MIs[1] Operand 1
     /* 401163 */       // No operand predicates
     /* 401163 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401165 */       // (AArch64duplane64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$idx)  =>  (DUPv2i64lane:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 401165 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 401168 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401170 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401172 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 401175 */       GIR_RootConstrainSelectedInstOperands,
     /* 401176 */       // GIR_Coverage, 1919,
     /* 401176 */       GIR_EraseRootFromParent_Done,
     /* 401177 */     // Label 8052: @401177
     /* 401177 */     GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(401208), // Rule ID 5643 //
     /* 401182 */       GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 401186 */       GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401190 */       GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexD),
     /* 401194 */       // MIs[1] Operand 1
     /* 401194 */       // No operand predicates
     /* 401194 */       GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401196 */       // (AArch64duplane64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)  =>  (DUPv2i64lane:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexD>>:$imm)
     /* 401196 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv2i64lane),
     /* 401199 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401201 */       GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401203 */       GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 401206 */       GIR_RootConstrainSelectedInstOperands,
     /* 401207 */       // GIR_Coverage, 5643,
     /* 401207 */       GIR_EraseRootFromParent_Done,
     /* 401208 */     // Label 8053: @401208
     /* 401208 */     GIM_Reject,
     /* 401209 */   // Label 8051: @401209
     /* 401209 */   GIM_Reject,
     /* 401210 */ // Label 8049: @401210
     /* 401210 */ GIM_Reject,
     /* 401211 */ // Label 126: @401211
     /* 401211 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(9), GIMT_Encode2(12), /*)*//*default:*//*Label 8056*/ GIMT_Encode4(401389),
     /* 401222 */ /*GILLT_v8s8*//*Label 8054*/ GIMT_Encode4(401234), GIMT_Encode4(0),
     /* 401230 */ /*GILLT_v16s8*//*Label 8055*/ GIMT_Encode4(401283),
     /* 401234 */ // Label 8054: @401234
     /* 401234 */ GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(401282), // Rule ID 1924 //
     /* 401239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 401245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 401248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401256 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 401260 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401264 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 401268 */   // MIs[1] Operand 1
     /* 401268 */   // No operand predicates
     /* 401268 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401270 */   // (AArch64duplane8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (DUPv8i8lane:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 401270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv8i8lane),
     /* 401273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401275 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401277 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 401280 */   GIR_RootConstrainSelectedInstOperands,
     /* 401281 */   // GIR_Coverage, 1924,
     /* 401281 */   GIR_EraseRootFromParent_Done,
     /* 401282 */ // Label 8057: @401282
     /* 401282 */ GIM_Reject,
     /* 401283 */ // Label 8055: @401283
     /* 401283 */ GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(401388),
     /* 401288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 401291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 401294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401298 */   GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(401349), // Rule ID 6415 //
     /* 401303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LOAD),
     /* 401311 */     GIM_CheckAtomicOrdering, /*MI*/1, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /* 401314 */     GIM_CheckMemorySizeEqualToLLT, /*MI*/1, /*MMO*/0, /*OpIdx*/0,
     /* 401318 */     // MIs[1] Rn
     /* 401318 */     GIM_CheckPointerToAny, /*MI*/1, /*Op*/1, /*SizeInBits*/64,
     /* 401322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64spRegClassID),
     /* 401327 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 401331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401333 */     // (AArch64duplane8:{ *:[v16i8] } (ld:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[i64] })  =>  (LD1Rv16b:{ *:[v16i8] } GPR64sp:{ *:[i64] }:$Rn)
     /* 401333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::LD1Rv16b),
     /* 401336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Vt]
     /* 401338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401342 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/2, /*MergeInsnID's*/0, 1,
     /* 401347 */     GIR_RootConstrainSelectedInstOperands,
     /* 401348 */     // GIR_Coverage, 6415,
     /* 401348 */     GIR_EraseRootFromParent_Done,
     /* 401349 */   // Label 8059: @401349
     /* 401349 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(401387), // Rule ID 1925 //
     /* 401354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 401357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 401365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexB),
     /* 401373 */     // MIs[1] Operand 1
     /* 401373 */     // No operand predicates
     /* 401373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401375 */     // (AArch64duplane8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] })<<P:Predicate_VectorIndexB>>:$idx)  =>  (DUPv16i8lane:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i64] }):$idx)
     /* 401375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::DUPv16i8lane),
     /* 401378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401380 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // idx
     /* 401385 */     GIR_RootConstrainSelectedInstOperands,
     /* 401386 */     // GIR_Coverage, 1925,
     /* 401386 */     GIR_EraseRootFromParent_Done,
     /* 401387 */   // Label 8060: @401387
     /* 401387 */   GIM_Reject,
     /* 401388 */ // Label 8058: @401388
     /* 401388 */ GIM_Reject,
     /* 401389 */ // Label 8056: @401389
     /* 401389 */ GIM_Reject,
     /* 401390 */ // Label 127: @401390
     /* 401390 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(24), /*)*//*default:*//*Label 8070*/ GIMT_Encode4(403039),
     /* 401401 */ /*GILLT_s64*//*Label 8061*/ GIMT_Encode4(401485), GIMT_Encode4(0),
     /* 401409 */ /*GILLT_v2s32*//*Label 8062*/ GIMT_Encode4(401806),
     /* 401413 */ /*GILLT_v2s64*//*Label 8063*/ GIMT_Encode4(402127),
     /* 401417 */ /*GILLT_v4s16*//*Label 8064*/ GIMT_Encode4(402210),
     /* 401421 */ /*GILLT_v4s32*//*Label 8065*/ GIMT_Encode4(402531),
     /* 401425 */ /*GILLT_v8s8*//*Label 8066*/ GIMT_Encode4(402614),
     /* 401429 */ /*GILLT_v8s16*//*Label 8067*/ GIMT_Encode4(402823),
     /* 401433 */ /*GILLT_v16s8*//*Label 8068*/ GIMT_Encode4(402906), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 401481 */ /*GILLT_nxv16s8*//*Label 8069*/ GIMT_Encode4(402992),
     /* 401485 */ // Label 8061: @401485
     /* 401485 */ GIM_Try, /*On fail goto*//*Label 8071*/ GIMT_Encode4(401805),
     /* 401490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 401493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 401496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401500 */   GIM_Try, /*On fail goto*//*Label 8072*/ GIMT_Encode4(401615), // Rule ID 5460 //
     /* 401505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 401513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 401517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401522 */     // MIs[1] Operand 2
     /* 401522 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 401533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 401537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 401541 */     // MIs[2] Rn
     /* 401541 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 401546 */     // MIs[2] Operand 2
     /* 401546 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(1),
     /* 401557 */     // MIs[0] imm
     /* 401557 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 401561 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401565 */     // MIs[3] Operand 1
     /* 401565 */     // No operand predicates
     /* 401565 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 401567 */     // (AArch64ext:{ *:[v1i64] } (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v1i64] } V128:{ *:[v2i64] }:$Rn, 1:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v1i64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 401567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 401570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 401574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 401579 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401583 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 401590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 401592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 401595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 401597 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 401604 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401609 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401614 */     // GIR_Coverage, 5460,
     /* 401614 */     GIR_EraseRootFromParent_Done,
     /* 401615 */   // Label 8072: @401615
     /* 401615 */   GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(401730), // Rule ID 5465 //
     /* 401620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 401628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 401632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401637 */     // MIs[1] Operand 2
     /* 401637 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 401648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 401652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 401656 */     // MIs[2] Rn
     /* 401656 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 401661 */     // MIs[2] Operand 2
     /* 401661 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(1),
     /* 401672 */     // MIs[0] imm
     /* 401672 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 401676 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401680 */     // MIs[3] Operand 1
     /* 401680 */     // No operand predicates
     /* 401680 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 401682 */     // (AArch64ext:{ *:[v1f64] } (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v1f64] } V128:{ *:[v2f64] }:$Rn, 1:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v1f64] } (EXTv16i8:{ *:[f128] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 401682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 401685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 401689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 401694 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401698 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 401705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 401707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 401710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 401712 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 401719 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401724 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401729 */     // GIR_Coverage, 5465,
     /* 401729 */     GIR_EraseRootFromParent_Done,
     /* 401730 */   // Label 8073: @401730
     /* 401730 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(401767), // Rule ID 5457 //
     /* 401735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401743 */     // MIs[0] imm
     /* 401743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 401747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401751 */     // MIs[1] Operand 1
     /* 401751 */     // No operand predicates
     /* 401751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401753 */     // (AArch64ext:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, V64:{ *:[v1i64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 401753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 401756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401758 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401760 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 401762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 401765 */     GIR_RootConstrainSelectedInstOperands,
     /* 401766 */     // GIR_Coverage, 5457,
     /* 401766 */     GIR_EraseRootFromParent_Done,
     /* 401767 */   // Label 8074: @401767
     /* 401767 */   GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(401804), // Rule ID 5462 //
     /* 401772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401780 */     // MIs[0] imm
     /* 401780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 401784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401788 */     // MIs[1] Operand 1
     /* 401788 */     // No operand predicates
     /* 401788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 401790 */     // (AArch64ext:{ *:[v1f64] } V64:{ *:[v1f64] }:$Rn, V64:{ *:[v1f64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v1f64] } V64:{ *:[v1f64] }:$Rn, V64:{ *:[v1f64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 401790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 401793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 401795 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 401797 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 401799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 401802 */     GIR_RootConstrainSelectedInstOperands,
     /* 401803 */     // GIR_Coverage, 5462,
     /* 401803 */     GIR_EraseRootFromParent_Done,
     /* 401804 */   // Label 8075: @401804
     /* 401804 */   GIM_Reject,
     /* 401805 */ // Label 8071: @401805
     /* 401805 */ GIM_Reject,
     /* 401806 */ // Label 8062: @401806
     /* 401806 */ GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(402126),
     /* 401811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 401814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 401817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401821 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(401936), // Rule ID 5450 //
     /* 401826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 401834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 401838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401843 */     // MIs[1] Operand 2
     /* 401843 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 401854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 401858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 401862 */     // MIs[2] Rn
     /* 401862 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 401867 */     // MIs[2] Operand 2
     /* 401867 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 401878 */     // MIs[0] imm
     /* 401878 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 401882 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 401886 */     // MIs[3] Operand 1
     /* 401886 */     // No operand predicates
     /* 401886 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 401888 */     // (AArch64ext:{ *:[v2i32] } (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn, 2:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v2i32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 401888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 401891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 401895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 401900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401904 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 401908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 401911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 401913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 401916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 401918 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 401925 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 401930 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401935 */     // GIR_Coverage, 5450,
     /* 401935 */     GIR_EraseRootFromParent_Done,
     /* 401936 */   // Label 8077: @401936
     /* 401936 */   GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(402051), // Rule ID 5455 //
     /* 401941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 401945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 401949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 401953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 401958 */     // MIs[1] Operand 2
     /* 401958 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 401969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 401973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 401977 */     // MIs[2] Rn
     /* 401977 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 401982 */     // MIs[2] Operand 2
     /* 401982 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(2),
     /* 401993 */     // MIs[0] imm
     /* 401993 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 401997 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402001 */     // MIs[3] Operand 1
     /* 402001 */     // No operand predicates
     /* 402001 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402003 */     // (AArch64ext:{ *:[v2f32] } (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v2f32] } V128:{ *:[v4f32] }:$Rn, 2:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v2f32] } (EXTv16i8:{ *:[f128] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 402003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 402006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 402015 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402019 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 402026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 402028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 402031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 402033 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 402040 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402045 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402050 */     // GIR_Coverage, 5455,
     /* 402050 */     GIR_EraseRootFromParent_Done,
     /* 402051 */   // Label 8078: @402051
     /* 402051 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(402088), // Rule ID 5447 //
     /* 402056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402064 */     // MIs[0] imm
     /* 402064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402072 */     // MIs[1] Operand 1
     /* 402072 */     // No operand predicates
     /* 402072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402074 */     // (AArch64ext:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 402077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402079 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402081 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402086 */     GIR_RootConstrainSelectedInstOperands,
     /* 402087 */     // GIR_Coverage, 5447,
     /* 402087 */     GIR_EraseRootFromParent_Done,
     /* 402088 */   // Label 8079: @402088
     /* 402088 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(402125), // Rule ID 5452 //
     /* 402093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402101 */     // MIs[0] imm
     /* 402101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402109 */     // MIs[1] Operand 1
     /* 402109 */     // No operand predicates
     /* 402109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402111 */     // (AArch64ext:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 402114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402116 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402118 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402123 */     GIR_RootConstrainSelectedInstOperands,
     /* 402124 */     // GIR_Coverage, 5452,
     /* 402124 */     GIR_EraseRootFromParent_Done,
     /* 402125 */   // Label 8080: @402125
     /* 402125 */   GIM_Reject,
     /* 402126 */ // Label 8076: @402126
     /* 402126 */ GIM_Reject,
     /* 402127 */ // Label 8063: @402127
     /* 402127 */ GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(402209),
     /* 402132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 402135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 402138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402146 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402150 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(402179), // Rule ID 5458 //
     /* 402155 */     // MIs[0] imm
     /* 402155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402163 */     // MIs[1] Operand 1
     /* 402163 */     // No operand predicates
     /* 402163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402165 */     // (AArch64ext:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402170 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402172 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402177 */     GIR_RootConstrainSelectedInstOperands,
     /* 402178 */     // GIR_Coverage, 5458,
     /* 402178 */     GIR_EraseRootFromParent_Done,
     /* 402179 */   // Label 8082: @402179
     /* 402179 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(402208), // Rule ID 5463 //
     /* 402184 */     // MIs[0] imm
     /* 402184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402192 */     // MIs[1] Operand 1
     /* 402192 */     // No operand predicates
     /* 402192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402194 */     // (AArch64ext:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402199 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402201 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402206 */     GIR_RootConstrainSelectedInstOperands,
     /* 402207 */     // GIR_Coverage, 5463,
     /* 402207 */     GIR_EraseRootFromParent_Done,
     /* 402208 */   // Label 8083: @402208
     /* 402208 */   GIM_Reject,
     /* 402209 */ // Label 8081: @402209
     /* 402209 */ GIM_Reject,
     /* 402210 */ // Label 8064: @402210
     /* 402210 */ GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(402530),
     /* 402215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 402218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 402221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402225 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(402340), // Rule ID 5440 //
     /* 402230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 402242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402247 */     // MIs[1] Operand 2
     /* 402247 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 402258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 402262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402266 */     // MIs[2] Rn
     /* 402266 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 402271 */     // MIs[2] Operand 2
     /* 402271 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 402282 */     // MIs[0] imm
     /* 402282 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 402286 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402290 */     // MIs[3] Operand 1
     /* 402290 */     // No operand predicates
     /* 402290 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402292 */     // (AArch64ext:{ *:[v4i16] } (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn, 4:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v4i16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 402292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 402295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 402304 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402308 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 402315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 402317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 402320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 402322 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 402329 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402334 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402339 */     // GIR_Coverage, 5440,
     /* 402339 */     GIR_EraseRootFromParent_Done,
     /* 402340 */   // Label 8085: @402340
     /* 402340 */   GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(402455), // Rule ID 5445 //
     /* 402345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 402357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402362 */     // MIs[1] Operand 2
     /* 402362 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 402373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 402377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402381 */     // MIs[2] Rn
     /* 402381 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 402386 */     // MIs[2] Operand 2
     /* 402386 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4),
     /* 402397 */     // MIs[0] imm
     /* 402397 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 402401 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402405 */     // MIs[3] Operand 1
     /* 402405 */     // No operand predicates
     /* 402405 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402407 */     // (AArch64ext:{ *:[v4f16] } (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v4f16] } V128:{ *:[v8f16] }:$Rn, 4:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v4f16] } (EXTv16i8:{ *:[f128] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 402407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 402410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 402419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402423 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 402430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 402432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 402435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 402437 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 402444 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402449 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402454 */     // GIR_Coverage, 5445,
     /* 402454 */     GIR_EraseRootFromParent_Done,
     /* 402455 */   // Label 8086: @402455
     /* 402455 */   GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(402492), // Rule ID 5437 //
     /* 402460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402468 */     // MIs[0] imm
     /* 402468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402476 */     // MIs[1] Operand 1
     /* 402476 */     // No operand predicates
     /* 402476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402478 */     // (AArch64ext:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 402481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402483 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402485 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402490 */     GIR_RootConstrainSelectedInstOperands,
     /* 402491 */     // GIR_Coverage, 5437,
     /* 402491 */     GIR_EraseRootFromParent_Done,
     /* 402492 */   // Label 8087: @402492
     /* 402492 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(402529), // Rule ID 5442 //
     /* 402497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402505 */     // MIs[0] imm
     /* 402505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402513 */     // MIs[1] Operand 1
     /* 402513 */     // No operand predicates
     /* 402513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402515 */     // (AArch64ext:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 402518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402520 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402522 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402527 */     GIR_RootConstrainSelectedInstOperands,
     /* 402528 */     // GIR_Coverage, 5442,
     /* 402528 */     GIR_EraseRootFromParent_Done,
     /* 402529 */   // Label 8088: @402529
     /* 402529 */   GIM_Reject,
     /* 402530 */ // Label 8084: @402530
     /* 402530 */ GIM_Reject,
     /* 402531 */ // Label 8065: @402531
     /* 402531 */ GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(402613),
     /* 402536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 402539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 402542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402554 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(402583), // Rule ID 5448 //
     /* 402559 */     // MIs[0] imm
     /* 402559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402567 */     // MIs[1] Operand 1
     /* 402567 */     // No operand predicates
     /* 402567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402569 */     // (AArch64ext:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402574 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402576 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402581 */     GIR_RootConstrainSelectedInstOperands,
     /* 402582 */     // GIR_Coverage, 5448,
     /* 402582 */     GIR_EraseRootFromParent_Done,
     /* 402583 */   // Label 8090: @402583
     /* 402583 */   GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(402612), // Rule ID 5453 //
     /* 402588 */     // MIs[0] imm
     /* 402588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402596 */     // MIs[1] Operand 1
     /* 402596 */     // No operand predicates
     /* 402596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402598 */     // (AArch64ext:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402603 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402605 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402610 */     GIR_RootConstrainSelectedInstOperands,
     /* 402611 */     // GIR_Coverage, 5453,
     /* 402611 */     GIR_EraseRootFromParent_Done,
     /* 402612 */   // Label 8091: @402612
     /* 402612 */   GIM_Reject,
     /* 402613 */ // Label 8089: @402613
     /* 402613 */ GIM_Reject,
     /* 402614 */ // Label 8066: @402614
     /* 402614 */ GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(402822),
     /* 402619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 402622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 402625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402629 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(402744), // Rule ID 5435 //
     /* 402634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 402638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 402646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402651 */     // MIs[1] Operand 2
     /* 402651 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 402662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 402666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 402670 */     // MIs[2] Rn
     /* 402670 */     GIM_CheckIsSameOperand, /*MI*/2, /*OpIdx*/1, /*OtherMI*/1, /*OtherOpIdx*/1,
     /* 402675 */     // MIs[2] Operand 2
     /* 402675 */     GIM_CheckLiteralInt, /*MI*/2, /*Op*/2, GIMT_Encode8(8),
     /* 402686 */     // MIs[0] imm
     /* 402686 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/3, // MIs[3]
     /* 402690 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402694 */     // MIs[3] Operand 1
     /* 402694 */     // No operand predicates
     /* 402694 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 402696 */     // (AArch64ext:{ *:[v8i8] } (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 0:{ *:[i64] }), (extract_subvector:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn, 8:{ *:[i64] }), (imm:{ *:[i32] }):$imm)  =>  (EXTRACT_SUBREG:{ *:[v8i8] } (EXTv16i8:{ *:[f128] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm), dsub:{ *:[i32] })
     /* 402696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s128,
     /* 402699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 402708 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402712 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 402716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/3, // imm
     /* 402719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 402721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 402724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 402726 */     GIR_AddTempSubRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(0), GIMT_Encode2(AArch64::dsub),
     /* 402733 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402738 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402743 */     // GIR_Coverage, 5435,
     /* 402743 */     GIR_EraseRootFromParent_Done,
     /* 402744 */   // Label 8093: @402744
     /* 402744 */   GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(402784), // Rule ID 1868 //
     /* 402749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402760 */     // MIs[0] imm
     /* 402760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402768 */     // MIs[1] Operand 1
     /* 402768 */     // No operand predicates
     /* 402768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402770 */     // (AArch64ext:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 402773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402775 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402777 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402782 */     GIR_RootConstrainSelectedInstOperands,
     /* 402783 */     // GIR_Coverage, 1868,
     /* 402783 */     GIR_EraseRootFromParent_Done,
     /* 402784 */   // Label 8094: @402784
     /* 402784 */   GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(402821), // Rule ID 5432 //
     /* 402789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 402797 */     // MIs[0] imm
     /* 402797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402805 */     // MIs[1] Operand 1
     /* 402805 */     // No operand predicates
     /* 402805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402807 */     // (AArch64ext:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv8i8),
     /* 402810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402812 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402814 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402819 */     GIR_RootConstrainSelectedInstOperands,
     /* 402820 */     // GIR_Coverage, 5432,
     /* 402820 */     GIR_EraseRootFromParent_Done,
     /* 402821 */   // Label 8095: @402821
     /* 402821 */   GIM_Reject,
     /* 402822 */ // Label 8092: @402822
     /* 402822 */ GIM_Reject,
     /* 402823 */ // Label 8067: @402823
     /* 402823 */ GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(402905),
     /* 402828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 402831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 402834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402846 */   GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(402875), // Rule ID 5438 //
     /* 402851 */     // MIs[0] imm
     /* 402851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402859 */     // MIs[1] Operand 1
     /* 402859 */     // No operand predicates
     /* 402859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402861 */     // (AArch64ext:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402866 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402868 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402873 */     GIR_RootConstrainSelectedInstOperands,
     /* 402874 */     // GIR_Coverage, 5438,
     /* 402874 */     GIR_EraseRootFromParent_Done,
     /* 402875 */   // Label 8097: @402875
     /* 402875 */   GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(402904), // Rule ID 5443 //
     /* 402880 */     // MIs[0] imm
     /* 402880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402888 */     // MIs[1] Operand 1
     /* 402888 */     // No operand predicates
     /* 402888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402890 */     // (AArch64ext:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402895 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402897 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402902 */     GIR_RootConstrainSelectedInstOperands,
     /* 402903 */     // GIR_Coverage, 5443,
     /* 402903 */     GIR_EraseRootFromParent_Done,
     /* 402904 */   // Label 8098: @402904
     /* 402904 */   GIM_Reject,
     /* 402905 */ // Label 8096: @402905
     /* 402905 */ GIM_Reject,
     /* 402906 */ // Label 8068: @402906
     /* 402906 */ GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(402991),
     /* 402911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 402914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 402917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 402929 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(402961), // Rule ID 1869 //
     /* 402934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 402937 */     // MIs[0] imm
     /* 402937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402945 */     // MIs[1] Operand 1
     /* 402945 */     // No operand predicates
     /* 402945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402947 */     // (AArch64ext:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402952 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402954 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402959 */     GIR_RootConstrainSelectedInstOperands,
     /* 402960 */     // GIR_Coverage, 1869,
     /* 402960 */     GIR_EraseRootFromParent_Done,
     /* 402961 */   // Label 8100: @402961
     /* 402961 */   GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(402990), // Rule ID 5433 //
     /* 402966 */     // MIs[0] imm
     /* 402966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 402970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 402974 */     // MIs[1] Operand 1
     /* 402974 */     // No operand predicates
     /* 402974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 402976 */     // (AArch64ext:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)  =>  (EXTv16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm, (imm:{ *:[i32] }):$imm)
     /* 402976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXTv16i8),
     /* 402979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 402981 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 402983 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rm
     /* 402985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 402988 */     GIR_RootConstrainSelectedInstOperands,
     /* 402989 */     // GIR_Coverage, 5433,
     /* 402989 */     GIR_EraseRootFromParent_Done,
     /* 402990 */   // Label 8101: @402990
     /* 402990 */   GIM_Reject,
     /* 402991 */ // Label 8099: @402991
     /* 402991 */ GIM_Reject,
     /* 402992 */ // Label 8069: @402992
     /* 402992 */ GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(403038), // Rule ID 2733 //
     /* 402997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 403000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 403003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 403006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 403010 */   // MIs[0] Op3
     /* 403010 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 403014 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 403018 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_imm0_255),
     /* 403022 */   // MIs[1] Operand 1
     /* 403022 */   // No operand predicates
     /* 403022 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403024 */   // (AArch64ext:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, (imm:{ *:[i32] })<<P:Predicate_imm0_255>>:$Op3)  =>  (EXT_ZZI:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, (imm:{ *:[i32] })<<P:Predicate_imm0_255>>:$Op3)
     /* 403024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::EXT_ZZI),
     /* 403027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Zdn]
     /* 403029 */   GIR_RootToRootCopy, /*OpIdx*/1, // Op1
     /* 403031 */   GIR_RootToRootCopy, /*OpIdx*/2, // Op2
     /* 403033 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // Op3
     /* 403036 */   GIR_RootConstrainSelectedInstOperands,
     /* 403037 */   // GIR_Coverage, 2733,
     /* 403037 */   GIR_EraseRootFromParent_Done,
     /* 403038 */ // Label 8102: @403038
     /* 403038 */ GIM_Reject,
     /* 403039 */ // Label 8070: @403039
     /* 403039 */ GIM_Reject,
     /* 403040 */ // Label 128: @403040
     /* 403040 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 8110*/ GIMT_Encode4(403598),
     /* 403051 */ /*GILLT_s32*//*Label 8103*/ GIMT_Encode4(403087),
     /* 403055 */ /*GILLT_s64*//*Label 8104*/ GIMT_Encode4(403125), GIMT_Encode4(0),
     /* 403063 */ /*GILLT_v2s32*//*Label 8105*/ GIMT_Encode4(403223),
     /* 403067 */ /*GILLT_v2s64*//*Label 8106*/ GIMT_Encode4(403298),
     /* 403071 */ /*GILLT_v4s16*//*Label 8107*/ GIMT_Encode4(403373),
     /* 403075 */ /*GILLT_v4s32*//*Label 8108*/ GIMT_Encode4(403448), GIMT_Encode4(0),
     /* 403083 */ /*GILLT_v8s16*//*Label 8109*/ GIMT_Encode4(403523),
     /* 403087 */ // Label 8103: @403087
     /* 403087 */ GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(403124), // Rule ID 1622 //
     /* 403092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 403098 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 403101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403109 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403113 */   // (AArch64fcmeq:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FCMEQ32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 403113 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQ32),
     /* 403118 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403122 */   GIR_RootConstrainSelectedInstOperands,
     /* 403123 */   // GIR_Coverage, 1622,
     /* 403123 */   GIR_Done,
     /* 403124 */ // Label 8111: @403124
     /* 403124 */ GIM_Reject,
     /* 403125 */ // Label 8104: @403125
     /* 403125 */ GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(403222),
     /* 403130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 403133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 403136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403144 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(403175), // Rule ID 2513 //
     /* 403149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403156 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403162 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403166 */     // (AArch64fcmeq:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, immAllZerosV:{ *:[v1f64] })  =>  (FCMEQv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 403166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv1i64rz),
     /* 403169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403171 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403173 */     GIR_RootConstrainSelectedInstOperands,
     /* 403174 */     // GIR_Coverage, 2513,
     /* 403174 */     GIR_EraseRootFromParent_Done,
     /* 403175 */   // Label 8113: @403175
     /* 403175 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(403198), // Rule ID 1621 //
     /* 403180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403187 */     // (AArch64fcmeq:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FCMEQ64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 403187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQ64),
     /* 403192 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403196 */     GIR_RootConstrainSelectedInstOperands,
     /* 403197 */     // GIR_Coverage, 1621,
     /* 403197 */     GIR_Done,
     /* 403198 */   // Label 8114: @403198
     /* 403198 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(403221), // Rule ID 5212 //
     /* 403203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403210 */     // (AArch64fcmeq:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FCMEQ64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 403210 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQ64),
     /* 403215 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403219 */     GIR_RootConstrainSelectedInstOperands,
     /* 403220 */     // GIR_Coverage, 5212,
     /* 403220 */     GIR_Done,
     /* 403221 */   // Label 8115: @403221
     /* 403221 */   GIM_Reject,
     /* 403222 */ // Label 8112: @403222
     /* 403222 */ GIM_Reject,
     /* 403223 */ // Label 8105: @403223
     /* 403223 */ GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(403297),
     /* 403228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 403231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 403234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403242 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(403273), // Rule ID 773 //
     /* 403247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403254 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403260 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403264 */     // (AArch64fcmeq:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, immAllZerosV:{ *:[v2f32] })  =>  (FCMEQv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 403264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2i32rz),
     /* 403267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403269 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403271 */     GIR_RootConstrainSelectedInstOperands,
     /* 403272 */     // GIR_Coverage, 773,
     /* 403272 */     GIR_EraseRootFromParent_Done,
     /* 403273 */   // Label 8117: @403273
     /* 403273 */   GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(403296), // Rule ID 1210 //
     /* 403278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403285 */     // (AArch64fcmeq:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMEQv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 403285 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2f32),
     /* 403290 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403294 */     GIR_RootConstrainSelectedInstOperands,
     /* 403295 */     // GIR_Coverage, 1210,
     /* 403295 */     GIR_Done,
     /* 403296 */   // Label 8118: @403296
     /* 403296 */   GIM_Reject,
     /* 403297 */ // Label 8116: @403297
     /* 403297 */ GIM_Reject,
     /* 403298 */ // Label 8106: @403298
     /* 403298 */ GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(403372),
     /* 403303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 403306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 403309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403317 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(403348), // Rule ID 775 //
     /* 403322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403329 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403335 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403339 */     // (AArch64fcmeq:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, immAllZerosV:{ *:[v2f64] })  =>  (FCMEQv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 403339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2i64rz),
     /* 403342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403344 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403346 */     GIR_RootConstrainSelectedInstOperands,
     /* 403347 */     // GIR_Coverage, 775,
     /* 403347 */     GIR_EraseRootFromParent_Done,
     /* 403348 */   // Label 8120: @403348
     /* 403348 */   GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(403371), // Rule ID 1212 //
     /* 403353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403360 */     // (AArch64fcmeq:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMEQv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 403360 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv2f64),
     /* 403365 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403369 */     GIR_RootConstrainSelectedInstOperands,
     /* 403370 */     // GIR_Coverage, 1212,
     /* 403370 */     GIR_Done,
     /* 403371 */   // Label 8121: @403371
     /* 403371 */   GIM_Reject,
     /* 403372 */ // Label 8119: @403372
     /* 403372 */ GIM_Reject,
     /* 403373 */ // Label 8107: @403373
     /* 403373 */ GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(403447),
     /* 403378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 403381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 403384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403392 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(403423), // Rule ID 771 //
     /* 403397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 403400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403404 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403410 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403414 */     // (AArch64fcmeq:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, immAllZerosV:{ *:[v4f16] })  =>  (FCMEQv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 403414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4i16rz),
     /* 403417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403419 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403421 */     GIR_RootConstrainSelectedInstOperands,
     /* 403422 */     // GIR_Coverage, 771,
     /* 403422 */     GIR_EraseRootFromParent_Done,
     /* 403423 */   // Label 8123: @403423
     /* 403423 */   GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(403446), // Rule ID 1208 //
     /* 403428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 403431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403435 */     // (AArch64fcmeq:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMEQv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 403435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4f16),
     /* 403440 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403444 */     GIR_RootConstrainSelectedInstOperands,
     /* 403445 */     // GIR_Coverage, 1208,
     /* 403445 */     GIR_Done,
     /* 403446 */   // Label 8124: @403446
     /* 403446 */   GIM_Reject,
     /* 403447 */ // Label 8122: @403447
     /* 403447 */ GIM_Reject,
     /* 403448 */ // Label 8108: @403448
     /* 403448 */ GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(403522),
     /* 403453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 403456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 403459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403467 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(403498), // Rule ID 774 //
     /* 403472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403479 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403485 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403489 */     // (AArch64fcmeq:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, immAllZerosV:{ *:[v4f32] })  =>  (FCMEQv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 403489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4i32rz),
     /* 403492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403494 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403496 */     GIR_RootConstrainSelectedInstOperands,
     /* 403497 */     // GIR_Coverage, 774,
     /* 403497 */     GIR_EraseRootFromParent_Done,
     /* 403498 */   // Label 8126: @403498
     /* 403498 */   GIM_Try, /*On fail goto*//*Label 8127*/ GIMT_Encode4(403521), // Rule ID 1211 //
     /* 403503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403510 */     // (AArch64fcmeq:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMEQv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 403510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv4f32),
     /* 403515 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403519 */     GIR_RootConstrainSelectedInstOperands,
     /* 403520 */     // GIR_Coverage, 1211,
     /* 403520 */     GIR_Done,
     /* 403521 */   // Label 8127: @403521
     /* 403521 */   GIM_Reject,
     /* 403522 */ // Label 8125: @403522
     /* 403522 */ GIM_Reject,
     /* 403523 */ // Label 8109: @403523
     /* 403523 */ GIM_Try, /*On fail goto*//*Label 8128*/ GIMT_Encode4(403597),
     /* 403528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 403531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 403534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403542 */   GIM_Try, /*On fail goto*//*Label 8129*/ GIMT_Encode4(403573), // Rule ID 772 //
     /* 403547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 403550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403554 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403560 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403564 */     // (AArch64fcmeq:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, immAllZerosV:{ *:[v8f16] })  =>  (FCMEQv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 403564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv8i16rz),
     /* 403567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403569 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403571 */     GIR_RootConstrainSelectedInstOperands,
     /* 403572 */     // GIR_Coverage, 772,
     /* 403572 */     GIR_EraseRootFromParent_Done,
     /* 403573 */   // Label 8129: @403573
     /* 403573 */   GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(403596), // Rule ID 1209 //
     /* 403578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 403581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 403585 */     // (AArch64fcmeq:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMEQv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 403585 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMEQv8f16),
     /* 403590 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403594 */     GIR_RootConstrainSelectedInstOperands,
     /* 403595 */     // GIR_Coverage, 1209,
     /* 403595 */     GIR_Done,
     /* 403596 */   // Label 8130: @403596
     /* 403596 */   GIM_Reject,
     /* 403597 */ // Label 8128: @403597
     /* 403597 */ GIM_Reject,
     /* 403598 */ // Label 8110: @403598
     /* 403598 */ GIM_Reject,
     /* 403599 */ // Label 129: @403599
     /* 403599 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 8138*/ GIMT_Encode4(404690),
     /* 403610 */ /*GILLT_s32*//*Label 8131*/ GIMT_Encode4(403646),
     /* 403614 */ /*GILLT_s64*//*Label 8132*/ GIMT_Encode4(403684), GIMT_Encode4(0),
     /* 403622 */ /*GILLT_v2s32*//*Label 8133*/ GIMT_Encode4(403825),
     /* 403626 */ /*GILLT_v2s64*//*Label 8134*/ GIMT_Encode4(403998),
     /* 403630 */ /*GILLT_v4s16*//*Label 8135*/ GIMT_Encode4(404171),
     /* 403634 */ /*GILLT_v4s32*//*Label 8136*/ GIMT_Encode4(404344), GIMT_Encode4(0),
     /* 403642 */ /*GILLT_v8s16*//*Label 8137*/ GIMT_Encode4(404517),
     /* 403646 */ // Label 8131: @403646
     /* 403646 */ GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(403683), // Rule ID 1624 //
     /* 403651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 403657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 403660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 403672 */   // (AArch64fcmge:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FCMGE32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 403672 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGE32),
     /* 403677 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403681 */   GIR_RootConstrainSelectedInstOperands,
     /* 403682 */   // GIR_Coverage, 1624,
     /* 403682 */   GIR_Done,
     /* 403683 */ // Label 8139: @403683
     /* 403683 */ GIM_Reject,
     /* 403684 */ // Label 8132: @403684
     /* 403684 */ GIM_Try, /*On fail goto*//*Label 8140*/ GIMT_Encode4(403824),
     /* 403689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 403692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 403695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403699 */   GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(403734), // Rule ID 5246 //
     /* 403704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 403711 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403717 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403725 */     // (AArch64fcmge:{ *:[v1i64] } immAllZerosV:{ *:[v1f64] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCMLEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 403725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv1i64rz),
     /* 403728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403730 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 403732 */     GIR_RootConstrainSelectedInstOperands,
     /* 403733 */     // GIR_Coverage, 5246,
     /* 403733 */     GIR_EraseRootFromParent_Done,
     /* 403734 */   // Label 8141: @403734
     /* 403734 */   GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(403769), // Rule ID 5244 //
     /* 403739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403750 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403756 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403760 */     // (AArch64fcmge:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, immAllZerosV:{ *:[v1f64] })  =>  (FCMGEv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 403760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv1i64rz),
     /* 403763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403765 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403767 */     GIR_RootConstrainSelectedInstOperands,
     /* 403768 */     // GIR_Coverage, 5244,
     /* 403768 */     GIR_EraseRootFromParent_Done,
     /* 403769 */   // Label 8142: @403769
     /* 403769 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(403796), // Rule ID 1623 //
     /* 403774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403785 */     // (AArch64fcmge:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FCMGE64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 403785 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGE64),
     /* 403790 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403794 */     GIR_RootConstrainSelectedInstOperands,
     /* 403795 */     // GIR_Coverage, 1623,
     /* 403795 */     GIR_Done,
     /* 403796 */   // Label 8143: @403796
     /* 403796 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(403823), // Rule ID 5213 //
     /* 403801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403812 */     // (AArch64fcmge:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FCMGE64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 403812 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGE64),
     /* 403817 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403821 */     GIR_RootConstrainSelectedInstOperands,
     /* 403822 */     // GIR_Coverage, 5213,
     /* 403822 */     GIR_Done,
     /* 403823 */   // Label 8144: @403823
     /* 403823 */   GIM_Reject,
     /* 403824 */ // Label 8140: @403824
     /* 403824 */ GIM_Reject,
     /* 403825 */ // Label 8133: @403825
     /* 403825 */ GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(403997),
     /* 403830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 403833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 403836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403840 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(403899), // Rule ID 1172 //
     /* 403845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 403852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 403856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 403860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 403869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 403873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 403877 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 403884 */     // (AArch64fcmge:{ *:[v2i32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FACGEv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 403884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f32),
     /* 403887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 403893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 403897 */     GIR_RootConstrainSelectedInstOperands,
     /* 403898 */     // GIR_Coverage, 1172,
     /* 403898 */     GIR_EraseRootFromParent_Done,
     /* 403899 */   // Label 8146: @403899
     /* 403899 */   GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(403934), // Rule ID 788 //
     /* 403904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 403911 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403917 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403925 */     // (AArch64fcmge:{ *:[v2i32] } immAllZerosV:{ *:[v2f32] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCMLEv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 403925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv2i32rz),
     /* 403928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403930 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 403932 */     GIR_RootConstrainSelectedInstOperands,
     /* 403933 */     // GIR_Coverage, 788,
     /* 403933 */     GIR_EraseRootFromParent_Done,
     /* 403934 */   // Label 8147: @403934
     /* 403934 */   GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(403969), // Rule ID 778 //
     /* 403939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 403950 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 403956 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 403958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 403960 */     // (AArch64fcmge:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, immAllZerosV:{ *:[v2f32] })  =>  (FCMGEv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 403960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2i32rz),
     /* 403963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 403965 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 403967 */     GIR_RootConstrainSelectedInstOperands,
     /* 403968 */     // GIR_Coverage, 778,
     /* 403968 */     GIR_EraseRootFromParent_Done,
     /* 403969 */   // Label 8148: @403969
     /* 403969 */   GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(403996), // Rule ID 1215 //
     /* 403974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 403977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 403985 */     // (AArch64fcmge:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMGEv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 403985 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2f32),
     /* 403990 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 403994 */     GIR_RootConstrainSelectedInstOperands,
     /* 403995 */     // GIR_Coverage, 1215,
     /* 403995 */     GIR_Done,
     /* 403996 */   // Label 8149: @403996
     /* 403996 */   GIM_Reject,
     /* 403997 */ // Label 8145: @403997
     /* 403997 */ GIM_Reject,
     /* 403998 */ // Label 8134: @403998
     /* 403998 */ GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(404170),
     /* 404003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 404006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 404009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404013 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(404072), // Rule ID 1176 //
     /* 404018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 404033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 404042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 404050 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404055 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 404057 */     // (AArch64fcmge:{ *:[v2i64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FACGEv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 404057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv2f64),
     /* 404060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 404066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404070 */     GIR_RootConstrainSelectedInstOperands,
     /* 404071 */     // GIR_Coverage, 1176,
     /* 404071 */     GIR_EraseRootFromParent_Done,
     /* 404072 */   // Label 8151: @404072
     /* 404072 */   GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(404107), // Rule ID 790 //
     /* 404077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404084 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404090 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404098 */     // (AArch64fcmge:{ *:[v2i64] } immAllZerosV:{ *:[v2f64] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCMLEv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 404098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv2i64rz),
     /* 404101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404103 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 404105 */     GIR_RootConstrainSelectedInstOperands,
     /* 404106 */     // GIR_Coverage, 790,
     /* 404106 */     GIR_EraseRootFromParent_Done,
     /* 404107 */   // Label 8152: @404107
     /* 404107 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(404142), // Rule ID 780 //
     /* 404112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404123 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404129 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404133 */     // (AArch64fcmge:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, immAllZerosV:{ *:[v2f64] })  =>  (FCMGEv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 404133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2i64rz),
     /* 404136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404138 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 404140 */     GIR_RootConstrainSelectedInstOperands,
     /* 404141 */     // GIR_Coverage, 780,
     /* 404141 */     GIR_EraseRootFromParent_Done,
     /* 404142 */   // Label 8153: @404142
     /* 404142 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(404169), // Rule ID 1217 //
     /* 404147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404158 */     // (AArch64fcmge:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMGEv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 404158 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv2f64),
     /* 404163 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 404167 */     GIR_RootConstrainSelectedInstOperands,
     /* 404168 */     // GIR_Coverage, 1217,
     /* 404168 */     GIR_Done,
     /* 404169 */   // Label 8154: @404169
     /* 404169 */   GIM_Reject,
     /* 404170 */ // Label 8150: @404170
     /* 404170 */ GIM_Reject,
     /* 404171 */ // Label 8135: @404171
     /* 404171 */ GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(404343),
     /* 404176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 404179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 404182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404186 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(404245), // Rule ID 1168 //
     /* 404191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 404206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 404215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 404223 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 404230 */     // (AArch64fcmge:{ *:[v4i16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FACGEv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 404230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f16),
     /* 404233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 404239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404243 */     GIR_RootConstrainSelectedInstOperands,
     /* 404244 */     // GIR_Coverage, 1168,
     /* 404244 */     GIR_EraseRootFromParent_Done,
     /* 404245 */   // Label 8156: @404245
     /* 404245 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(404280), // Rule ID 786 //
     /* 404250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404257 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404263 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404271 */     // (AArch64fcmge:{ *:[v4i16] } immAllZerosV:{ *:[v4f16] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCMLEv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 404271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv4i16rz),
     /* 404274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404276 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 404278 */     GIR_RootConstrainSelectedInstOperands,
     /* 404279 */     // GIR_Coverage, 786,
     /* 404279 */     GIR_EraseRootFromParent_Done,
     /* 404280 */   // Label 8157: @404280
     /* 404280 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(404315), // Rule ID 776 //
     /* 404285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404296 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404302 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404306 */     // (AArch64fcmge:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, immAllZerosV:{ *:[v4f16] })  =>  (FCMGEv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 404306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4i16rz),
     /* 404309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404311 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 404313 */     GIR_RootConstrainSelectedInstOperands,
     /* 404314 */     // GIR_Coverage, 776,
     /* 404314 */     GIR_EraseRootFromParent_Done,
     /* 404315 */   // Label 8158: @404315
     /* 404315 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(404342), // Rule ID 1213 //
     /* 404320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404331 */     // (AArch64fcmge:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMGEv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 404331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4f16),
     /* 404336 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 404340 */     GIR_RootConstrainSelectedInstOperands,
     /* 404341 */     // GIR_Coverage, 1213,
     /* 404341 */     GIR_Done,
     /* 404342 */   // Label 8159: @404342
     /* 404342 */   GIM_Reject,
     /* 404343 */ // Label 8155: @404343
     /* 404343 */ GIM_Reject,
     /* 404344 */ // Label 8136: @404344
     /* 404344 */ GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(404516),
     /* 404349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 404355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404359 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(404418), // Rule ID 1174 //
     /* 404364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 404388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 404396 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 404403 */     // (AArch64fcmge:{ *:[v4i32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FACGEv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 404403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv4f32),
     /* 404406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 404412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404416 */     GIR_RootConstrainSelectedInstOperands,
     /* 404417 */     // GIR_Coverage, 1174,
     /* 404417 */     GIR_EraseRootFromParent_Done,
     /* 404418 */   // Label 8161: @404418
     /* 404418 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(404453), // Rule ID 789 //
     /* 404423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404430 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404436 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404444 */     // (AArch64fcmge:{ *:[v4i32] } immAllZerosV:{ *:[v4f32] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCMLEv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 404444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv4i32rz),
     /* 404447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404449 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 404451 */     GIR_RootConstrainSelectedInstOperands,
     /* 404452 */     // GIR_Coverage, 789,
     /* 404452 */     GIR_EraseRootFromParent_Done,
     /* 404453 */   // Label 8162: @404453
     /* 404453 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(404488), // Rule ID 779 //
     /* 404458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404469 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404475 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404479 */     // (AArch64fcmge:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, immAllZerosV:{ *:[v4f32] })  =>  (FCMGEv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 404479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4i32rz),
     /* 404482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404484 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 404486 */     GIR_RootConstrainSelectedInstOperands,
     /* 404487 */     // GIR_Coverage, 779,
     /* 404487 */     GIR_EraseRootFromParent_Done,
     /* 404488 */   // Label 8163: @404488
     /* 404488 */   GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(404515), // Rule ID 1216 //
     /* 404493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404504 */     // (AArch64fcmge:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMGEv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 404504 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv4f32),
     /* 404509 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 404513 */     GIR_RootConstrainSelectedInstOperands,
     /* 404514 */     // GIR_Coverage, 1216,
     /* 404514 */     GIR_Done,
     /* 404515 */   // Label 8164: @404515
     /* 404515 */   GIM_Reject,
     /* 404516 */ // Label 8160: @404516
     /* 404516 */ GIM_Reject,
     /* 404517 */ // Label 8137: @404517
     /* 404517 */ GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(404689),
     /* 404522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 404525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 404528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404532 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(404591), // Rule ID 1170 //
     /* 404537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 404552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 404561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404565 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 404569 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 404576 */     // (AArch64fcmge:{ *:[v8i16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FACGEv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 404576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGEv8f16),
     /* 404579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 404585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404589 */     GIR_RootConstrainSelectedInstOperands,
     /* 404590 */     // GIR_Coverage, 1170,
     /* 404590 */     GIR_EraseRootFromParent_Done,
     /* 404591 */   // Label 8166: @404591
     /* 404591 */   GIM_Try, /*On fail goto*//*Label 8167*/ GIMT_Encode4(404626), // Rule ID 787 //
     /* 404596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404603 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404609 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404617 */     // (AArch64fcmge:{ *:[v8i16] } immAllZerosV:{ *:[v8f16] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCMLEv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 404617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLEv8i16rz),
     /* 404620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404622 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 404624 */     GIR_RootConstrainSelectedInstOperands,
     /* 404625 */     // GIR_Coverage, 787,
     /* 404625 */     GIR_EraseRootFromParent_Done,
     /* 404626 */   // Label 8167: @404626
     /* 404626 */   GIM_Try, /*On fail goto*//*Label 8168*/ GIMT_Encode4(404661), // Rule ID 777 //
     /* 404631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404642 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404648 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404652 */     // (AArch64fcmge:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, immAllZerosV:{ *:[v8f16] })  =>  (FCMGEv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 404652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv8i16rz),
     /* 404655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404657 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 404659 */     GIR_RootConstrainSelectedInstOperands,
     /* 404660 */     // GIR_Coverage, 777,
     /* 404660 */     GIR_EraseRootFromParent_Done,
     /* 404661 */   // Label 8168: @404661
     /* 404661 */   GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(404688), // Rule ID 1214 //
     /* 404666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 404669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 404677 */     // (AArch64fcmge:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMGEv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 404677 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGEv8f16),
     /* 404682 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 404686 */     GIR_RootConstrainSelectedInstOperands,
     /* 404687 */     // GIR_Coverage, 1214,
     /* 404687 */     GIR_Done,
     /* 404688 */   // Label 8169: @404688
     /* 404688 */   GIM_Reject,
     /* 404689 */ // Label 8165: @404689
     /* 404689 */ GIM_Reject,
     /* 404690 */ // Label 8138: @404690
     /* 404690 */ GIM_Reject,
     /* 404691 */ // Label 130: @404691
     /* 404691 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(11), /*)*//*default:*//*Label 8177*/ GIMT_Encode4(405782),
     /* 404702 */ /*GILLT_s32*//*Label 8170*/ GIMT_Encode4(404738),
     /* 404706 */ /*GILLT_s64*//*Label 8171*/ GIMT_Encode4(404776), GIMT_Encode4(0),
     /* 404714 */ /*GILLT_v2s32*//*Label 8172*/ GIMT_Encode4(404917),
     /* 404718 */ /*GILLT_v2s64*//*Label 8173*/ GIMT_Encode4(405090),
     /* 404722 */ /*GILLT_v4s16*//*Label 8174*/ GIMT_Encode4(405263),
     /* 404726 */ /*GILLT_v4s32*//*Label 8175*/ GIMT_Encode4(405436), GIMT_Encode4(0),
     /* 404734 */ /*GILLT_v8s16*//*Label 8176*/ GIMT_Encode4(405609),
     /* 404738 */ // Label 8170: @404738
     /* 404738 */ GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(404775), // Rule ID 1626 //
     /* 404743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 404749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 404752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 404756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 404760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 404764 */   // (AArch64fcmgt:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)  =>  (FCMGT32:{ *:[i32] } FPR32:{ *:[f32] }:$Rn, FPR32:{ *:[f32] }:$Rm)
     /* 404764 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGT32),
     /* 404769 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 404773 */   GIR_RootConstrainSelectedInstOperands,
     /* 404774 */   // GIR_Coverage, 1626,
     /* 404774 */   GIR_Done,
     /* 404775 */ // Label 8178: @404775
     /* 404775 */ GIM_Reject,
     /* 404776 */ // Label 8171: @404776
     /* 404776 */ GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(404916),
     /* 404781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 404784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 404787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404791 */   GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(404826), // Rule ID 5247 //
     /* 404796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404803 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404809 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404817 */     // (AArch64fcmgt:{ *:[v1i64] } immAllZerosV:{ *:[v1f64] }, FPR64:{ *:[v1f64] }:$Rn)  =>  (FCMLTv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 404817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv1i64rz),
     /* 404820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404822 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 404824 */     GIR_RootConstrainSelectedInstOperands,
     /* 404825 */     // GIR_Coverage, 5247,
     /* 404825 */     GIR_EraseRootFromParent_Done,
     /* 404826 */   // Label 8180: @404826
     /* 404826 */   GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(404861), // Rule ID 5245 //
     /* 404831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 404842 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 404848 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 404850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 404852 */     // (AArch64fcmgt:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, immAllZerosV:{ *:[v1f64] })  =>  (FCMGTv1i64rz:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn)
     /* 404852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv1i64rz),
     /* 404855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404857 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 404859 */     GIR_RootConstrainSelectedInstOperands,
     /* 404860 */     // GIR_Coverage, 5245,
     /* 404860 */     GIR_EraseRootFromParent_Done,
     /* 404861 */   // Label 8181: @404861
     /* 404861 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(404888), // Rule ID 1625 //
     /* 404866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404877 */     // (AArch64fcmgt:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)  =>  (FCMGT64:{ *:[i64] } FPR64:{ *:[f64] }:$Rn, FPR64:{ *:[f64] }:$Rm)
     /* 404877 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGT64),
     /* 404882 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 404886 */     GIR_RootConstrainSelectedInstOperands,
     /* 404887 */     // GIR_Coverage, 1625,
     /* 404887 */     GIR_Done,
     /* 404888 */   // Label 8182: @404888
     /* 404888 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(404915), // Rule ID 5214 //
     /* 404893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404904 */     // (AArch64fcmgt:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)  =>  (FCMGT64:{ *:[v1i64] } FPR64:{ *:[v1f64] }:$Rn, FPR64:{ *:[v1f64] }:$Rm)
     /* 404904 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGT64),
     /* 404909 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 404913 */     GIR_RootConstrainSelectedInstOperands,
     /* 404914 */     // GIR_Coverage, 5214,
     /* 404914 */     GIR_Done,
     /* 404915 */   // Label 8183: @404915
     /* 404915 */   GIM_Reject,
     /* 404916 */ // Label 8179: @404916
     /* 404916 */ GIM_Reject,
     /* 404917 */ // Label 8172: @404917
     /* 404917 */ GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(405089),
     /* 404922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 404925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 404928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404932 */   GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(404991), // Rule ID 1182 //
     /* 404937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 404944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 404952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 404961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 404965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 404969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 404974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 404976 */     // (AArch64fcmgt:{ *:[v2i32] } (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn), (fabs:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rm))  =>  (FACGTv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 404976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f32),
     /* 404979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 404981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 404985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 404989 */     GIR_RootConstrainSelectedInstOperands,
     /* 404990 */     // GIR_Coverage, 1182,
     /* 404990 */     GIR_EraseRootFromParent_Done,
     /* 404991 */   // Label 8185: @404991
     /* 404991 */   GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(405026), // Rule ID 793 //
     /* 404996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 404999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405003 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405009 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405017 */     // (AArch64fcmgt:{ *:[v2i32] } immAllZerosV:{ *:[v2f32] }, V64:{ *:[v2f32] }:$Rn)  =>  (FCMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 405017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv2i32rz),
     /* 405020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405022 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 405024 */     GIR_RootConstrainSelectedInstOperands,
     /* 405025 */     // GIR_Coverage, 793,
     /* 405025 */     GIR_EraseRootFromParent_Done,
     /* 405026 */   // Label 8186: @405026
     /* 405026 */   GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(405061), // Rule ID 783 //
     /* 405031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 405042 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405048 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405052 */     // (AArch64fcmgt:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, immAllZerosV:{ *:[v2f32] })  =>  (FCMGTv2i32rz:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn)
     /* 405052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2i32rz),
     /* 405055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405057 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 405059 */     GIR_RootConstrainSelectedInstOperands,
     /* 405060 */     // GIR_Coverage, 783,
     /* 405060 */     GIR_EraseRootFromParent_Done,
     /* 405061 */   // Label 8187: @405061
     /* 405061 */   GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(405088), // Rule ID 1220 //
     /* 405066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405077 */     // (AArch64fcmgt:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (FCMGTv2f32:{ *:[v2i32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 405077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2f32),
     /* 405082 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 405086 */     GIR_RootConstrainSelectedInstOperands,
     /* 405087 */     // GIR_Coverage, 1220,
     /* 405087 */     GIR_Done,
     /* 405088 */   // Label 8188: @405088
     /* 405088 */   GIM_Reject,
     /* 405089 */ // Label 8184: @405089
     /* 405089 */ GIM_Reject,
     /* 405090 */ // Label 8173: @405090
     /* 405090 */ GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(405262),
     /* 405095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 405098 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 405101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405105 */   GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(405164), // Rule ID 1186 //
     /* 405110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 405125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 405134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 405142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 405149 */     // (AArch64fcmgt:{ *:[v2i64] } (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn), (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rm))  =>  (FACGTv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 405149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv2f64),
     /* 405152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 405158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 405162 */     GIR_RootConstrainSelectedInstOperands,
     /* 405163 */     // GIR_Coverage, 1186,
     /* 405163 */     GIR_EraseRootFromParent_Done,
     /* 405164 */   // Label 8190: @405164
     /* 405164 */   GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(405199), // Rule ID 795 //
     /* 405169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405176 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405182 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405190 */     // (AArch64fcmgt:{ *:[v2i64] } immAllZerosV:{ *:[v2f64] }, V128:{ *:[v2f64] }:$Rn)  =>  (FCMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 405190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv2i64rz),
     /* 405193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405195 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 405197 */     GIR_RootConstrainSelectedInstOperands,
     /* 405198 */     // GIR_Coverage, 795,
     /* 405198 */     GIR_EraseRootFromParent_Done,
     /* 405199 */   // Label 8191: @405199
     /* 405199 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(405234), // Rule ID 785 //
     /* 405204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 405215 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405221 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405225 */     // (AArch64fcmgt:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, immAllZerosV:{ *:[v2f64] })  =>  (FCMGTv2i64rz:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn)
     /* 405225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2i64rz),
     /* 405228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405230 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 405232 */     GIR_RootConstrainSelectedInstOperands,
     /* 405233 */     // GIR_Coverage, 785,
     /* 405233 */     GIR_EraseRootFromParent_Done,
     /* 405234 */   // Label 8192: @405234
     /* 405234 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(405261), // Rule ID 1222 //
     /* 405239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405250 */     // (AArch64fcmgt:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (FCMGTv2f64:{ *:[v2i64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 405250 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv2f64),
     /* 405255 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 405259 */     GIR_RootConstrainSelectedInstOperands,
     /* 405260 */     // GIR_Coverage, 1222,
     /* 405260 */     GIR_Done,
     /* 405261 */   // Label 8193: @405261
     /* 405261 */   GIM_Reject,
     /* 405262 */ // Label 8189: @405262
     /* 405262 */ GIM_Reject,
     /* 405263 */ // Label 8174: @405263
     /* 405263 */ GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(405435),
     /* 405268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 405271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 405274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405278 */   GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(405337), // Rule ID 1178 //
     /* 405283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 405298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 405307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 405315 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 405322 */     // (AArch64fcmgt:{ *:[v4i16] } (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn), (fabs:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rm))  =>  (FACGTv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 405322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f16),
     /* 405325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 405331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 405335 */     GIR_RootConstrainSelectedInstOperands,
     /* 405336 */     // GIR_Coverage, 1178,
     /* 405336 */     GIR_EraseRootFromParent_Done,
     /* 405337 */   // Label 8195: @405337
     /* 405337 */   GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(405372), // Rule ID 791 //
     /* 405342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405349 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405355 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405363 */     // (AArch64fcmgt:{ *:[v4i16] } immAllZerosV:{ *:[v4f16] }, V64:{ *:[v4f16] }:$Rn)  =>  (FCMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 405363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv4i16rz),
     /* 405366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405368 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 405370 */     GIR_RootConstrainSelectedInstOperands,
     /* 405371 */     // GIR_Coverage, 791,
     /* 405371 */     GIR_EraseRootFromParent_Done,
     /* 405372 */   // Label 8196: @405372
     /* 405372 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(405407), // Rule ID 781 //
     /* 405377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 405388 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405394 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405398 */     // (AArch64fcmgt:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, immAllZerosV:{ *:[v4f16] })  =>  (FCMGTv4i16rz:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn)
     /* 405398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4i16rz),
     /* 405401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405403 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 405405 */     GIR_RootConstrainSelectedInstOperands,
     /* 405406 */     // GIR_Coverage, 781,
     /* 405406 */     GIR_EraseRootFromParent_Done,
     /* 405407 */   // Label 8197: @405407
     /* 405407 */   GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(405434), // Rule ID 1218 //
     /* 405412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405423 */     // (AArch64fcmgt:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (FCMGTv4f16:{ *:[v4i16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 405423 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4f16),
     /* 405428 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 405432 */     GIR_RootConstrainSelectedInstOperands,
     /* 405433 */     // GIR_Coverage, 1218,
     /* 405433 */     GIR_Done,
     /* 405434 */   // Label 8198: @405434
     /* 405434 */   GIM_Reject,
     /* 405435 */ // Label 8194: @405435
     /* 405435 */ GIM_Reject,
     /* 405436 */ // Label 8175: @405436
     /* 405436 */ GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(405608),
     /* 405441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 405444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 405447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405451 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(405510), // Rule ID 1184 //
     /* 405456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 405471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 405480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 405488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405493 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 405495 */     // (AArch64fcmgt:{ *:[v4i32] } (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn), (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rm))  =>  (FACGTv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 405495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv4f32),
     /* 405498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 405504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 405508 */     GIR_RootConstrainSelectedInstOperands,
     /* 405509 */     // GIR_Coverage, 1184,
     /* 405509 */     GIR_EraseRootFromParent_Done,
     /* 405510 */   // Label 8200: @405510
     /* 405510 */   GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(405545), // Rule ID 794 //
     /* 405515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405522 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405528 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405536 */     // (AArch64fcmgt:{ *:[v4i32] } immAllZerosV:{ *:[v4f32] }, V128:{ *:[v4f32] }:$Rn)  =>  (FCMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 405536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv4i32rz),
     /* 405539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405541 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 405543 */     GIR_RootConstrainSelectedInstOperands,
     /* 405544 */     // GIR_Coverage, 794,
     /* 405544 */     GIR_EraseRootFromParent_Done,
     /* 405545 */   // Label 8201: @405545
     /* 405545 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(405580), // Rule ID 784 //
     /* 405550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 405561 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405567 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405571 */     // (AArch64fcmgt:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, immAllZerosV:{ *:[v4f32] })  =>  (FCMGTv4i32rz:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn)
     /* 405571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4i32rz),
     /* 405574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405576 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 405578 */     GIR_RootConstrainSelectedInstOperands,
     /* 405579 */     // GIR_Coverage, 784,
     /* 405579 */     GIR_EraseRootFromParent_Done,
     /* 405580 */   // Label 8202: @405580
     /* 405580 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(405607), // Rule ID 1221 //
     /* 405585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405596 */     // (AArch64fcmgt:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (FCMGTv4f32:{ *:[v4i32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 405596 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv4f32),
     /* 405601 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 405605 */     GIR_RootConstrainSelectedInstOperands,
     /* 405606 */     // GIR_Coverage, 1221,
     /* 405606 */     GIR_Done,
     /* 405607 */   // Label 8203: @405607
     /* 405607 */   GIM_Reject,
     /* 405608 */ // Label 8199: @405608
     /* 405608 */ GIM_Reject,
     /* 405609 */ // Label 8176: @405609
     /* 405609 */ GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(405781),
     /* 405614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 405617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 405620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405624 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(405683), // Rule ID 1180 //
     /* 405629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 405644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 405653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FABS),
     /* 405657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 405661 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 405668 */     // (AArch64fcmgt:{ *:[v8i16] } (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn), (fabs:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rm))  =>  (FACGTv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 405668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FACGTv8f16),
     /* 405671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rn
     /* 405677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 405681 */     GIR_RootConstrainSelectedInstOperands,
     /* 405682 */     // GIR_Coverage, 1180,
     /* 405682 */     GIR_EraseRootFromParent_Done,
     /* 405683 */   // Label 8205: @405683
     /* 405683 */   GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(405718), // Rule ID 792 //
     /* 405688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 405695 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405701 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405709 */     // (AArch64fcmgt:{ *:[v8i16] } immAllZerosV:{ *:[v8f16] }, V128:{ *:[v8f16] }:$Rn)  =>  (FCMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 405709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMLTv8i16rz),
     /* 405712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405714 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 405716 */     GIR_RootConstrainSelectedInstOperands,
     /* 405717 */     // GIR_Coverage, 792,
     /* 405717 */     GIR_EraseRootFromParent_Done,
     /* 405718 */   // Label 8206: @405718
     /* 405718 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(405753), // Rule ID 782 //
     /* 405723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 405734 */     GIM_CheckOpcodeIsEither, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR), GIMT_Encode2(TargetOpcode::G_BUILD_VECTOR_TRUNC),
     /* 405740 */     GIM_CheckIsBuildVectorAllZeros, /*MI*/1,
     /* 405742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 405744 */     // (AArch64fcmgt:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, immAllZerosV:{ *:[v8f16] })  =>  (FCMGTv8i16rz:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn)
     /* 405744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv8i16rz),
     /* 405747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 405749 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 405751 */     GIR_RootConstrainSelectedInstOperands,
     /* 405752 */     // GIR_Coverage, 782,
     /* 405752 */     GIR_EraseRootFromParent_Done,
     /* 405753 */   // Label 8207: @405753
     /* 405753 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(405780), // Rule ID 1219 //
     /* 405758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEON),
     /* 405761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405769 */     // (AArch64fcmgt:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (FCMGTv8f16:{ *:[v8i16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 405769 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::FCMGTv8f16),
     /* 405774 */     GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 405778 */     GIR_RootConstrainSelectedInstOperands,
     /* 405779 */     // GIR_Coverage, 1219,
     /* 405779 */     GIR_Done,
     /* 405780 */   // Label 8208: @405780
     /* 405780 */   GIM_Reject,
     /* 405781 */ // Label 8204: @405781
     /* 405781 */ GIM_Reject,
     /* 405782 */ // Label 8177: @405782
     /* 405782 */ GIM_Reject,
     /* 405783 */ // Label 131: @405783
     /* 405783 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(12), /*)*//*default:*//*Label 8213*/ GIMT_Encode4(405936),
     /* 405794 */ /*GILLT_s32*//*Label 8209*/ GIMT_Encode4(405834),
     /* 405798 */ /*GILLT_s64*//*Label 8210*/ GIMT_Encode4(405858), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 405822 */ /*GILLT_v8s8*//*Label 8211*/ GIMT_Encode4(405882), GIMT_Encode4(0),
     /* 405830 */ /*GILLT_v16s8*//*Label 8212*/ GIMT_Encode4(405909),
     /* 405834 */ // Label 8209: @405834
     /* 405834 */ GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(405857), // Rule ID 4015 //
     /* 405839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 405842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 405846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR32RegClassID),
     /* 405850 */   // (AArch64rev16:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)  =>  (REV16Wr:{ *:[i32] } GPR32:{ *:[i32] }:$Rn)
     /* 405850 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16Wr),
     /* 405855 */   GIR_RootConstrainSelectedInstOperands,
     /* 405856 */   // GIR_Coverage, 4015,
     /* 405856 */   GIR_Done,
     /* 405857 */ // Label 8214: @405857
     /* 405857 */ GIM_Reject,
     /* 405858 */ // Label 8210: @405858
     /* 405858 */ GIM_Try, /*On fail goto*//*Label 8215*/ GIMT_Encode4(405881), // Rule ID 4016 //
     /* 405863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 405866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 405870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::GPR64RegClassID),
     /* 405874 */   // (AArch64rev16:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)  =>  (REV16Xr:{ *:[i64] } GPR64:{ *:[i64] }:$Rn)
     /* 405874 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16Xr),
     /* 405879 */   GIR_RootConstrainSelectedInstOperands,
     /* 405880 */   // GIR_Coverage, 4016,
     /* 405880 */   GIR_Done,
     /* 405881 */ // Label 8215: @405881
     /* 405881 */ GIM_Reject,
     /* 405882 */ // Label 8211: @405882
     /* 405882 */ GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(405908), // Rule ID 976 //
     /* 405887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 405893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405901 */   // (AArch64rev16:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (REV16v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 405901 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v8i8),
     /* 405906 */   GIR_RootConstrainSelectedInstOperands,
     /* 405907 */   // GIR_Coverage, 976,
     /* 405907 */   GIR_Done,
     /* 405908 */ // Label 8216: @405908
     /* 405908 */ GIM_Reject,
     /* 405909 */ // Label 8212: @405909
     /* 405909 */ GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(405935), // Rule ID 977 //
     /* 405914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 405920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 405928 */   // (AArch64rev16:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (REV16v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 405928 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV16v16i8),
     /* 405933 */   GIR_RootConstrainSelectedInstOperands,
     /* 405934 */   // GIR_Coverage, 977,
     /* 405934 */   GIR_Done,
     /* 405935 */ // Label 8217: @405935
     /* 405935 */ GIM_Reject,
     /* 405936 */ // Label 8213: @405936
     /* 405936 */ GIM_Reject,
     /* 405937 */ // Label 132: @405937
     /* 405937 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(12), /*)*//*default:*//*Label 8222*/ GIMT_Encode4(406112),
     /* 405948 */ /*GILLT_v4s16*//*Label 8218*/ GIMT_Encode4(405968), GIMT_Encode4(0),
     /* 405956 */ /*GILLT_v8s8*//*Label 8219*/ GIMT_Encode4(406013),
     /* 405960 */ /*GILLT_v8s16*//*Label 8220*/ GIMT_Encode4(406040),
     /* 405964 */ /*GILLT_v16s8*//*Label 8221*/ GIMT_Encode4(406085),
     /* 405968 */ // Label 8218: @405968
     /* 405968 */ GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(406012),
     /* 405973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 405976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 405984 */   GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(405999), // Rule ID 980 //
     /* 405989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 405992 */     // (AArch64rev32:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (REV32v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 405992 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /* 405997 */     GIR_RootConstrainSelectedInstOperands,
     /* 405998 */     // GIR_Coverage, 980,
     /* 405998 */     GIR_Done,
     /* 405999 */   // Label 8224: @405999
     /* 405999 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(406011), // Rule ID 4962 //
     /* 406004 */     // (AArch64rev32:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (REV32v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 406004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v4i16),
     /* 406009 */     GIR_RootConstrainSelectedInstOperands,
     /* 406010 */     // GIR_Coverage, 4962,
     /* 406010 */     GIR_Done,
     /* 406011 */   // Label 8225: @406011
     /* 406011 */   GIM_Reject,
     /* 406012 */ // Label 8223: @406012
     /* 406012 */ GIM_Reject,
     /* 406013 */ // Label 8219: @406013
     /* 406013 */ GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(406039), // Rule ID 978 //
     /* 406018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 406024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406032 */   // (AArch64rev32:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (REV32v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 406032 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i8),
     /* 406037 */   GIR_RootConstrainSelectedInstOperands,
     /* 406038 */   // GIR_Coverage, 978,
     /* 406038 */   GIR_Done,
     /* 406039 */ // Label 8226: @406039
     /* 406039 */ GIM_Reject,
     /* 406040 */ // Label 8220: @406040
     /* 406040 */ GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(406084),
     /* 406045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 406048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406056 */   GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(406071), // Rule ID 981 //
     /* 406061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406064 */     // (AArch64rev32:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (REV32v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 406064 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /* 406069 */     GIR_RootConstrainSelectedInstOperands,
     /* 406070 */     // GIR_Coverage, 981,
     /* 406070 */     GIR_Done,
     /* 406071 */   // Label 8228: @406071
     /* 406071 */   GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(406083), // Rule ID 4964 //
     /* 406076 */     // (AArch64rev32:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (REV32v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 406076 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v8i16),
     /* 406081 */     GIR_RootConstrainSelectedInstOperands,
     /* 406082 */     // GIR_Coverage, 4964,
     /* 406082 */     GIR_Done,
     /* 406083 */   // Label 8229: @406083
     /* 406083 */   GIM_Reject,
     /* 406084 */ // Label 8227: @406084
     /* 406084 */ GIM_Reject,
     /* 406085 */ // Label 8221: @406085
     /* 406085 */ GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(406111), // Rule ID 979 //
     /* 406090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 406096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406104 */   // (AArch64rev32:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (REV32v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 406104 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV32v16i8),
     /* 406109 */   GIR_RootConstrainSelectedInstOperands,
     /* 406110 */   // GIR_Coverage, 979,
     /* 406110 */   GIR_Done,
     /* 406111 */ // Label 8230: @406111
     /* 406111 */ GIM_Reject,
     /* 406112 */ // Label 8222: @406112
     /* 406112 */ GIM_Reject,
     /* 406113 */ // Label 133: @406113
     /* 406113 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(12), /*)*//*default:*//*Label 8237*/ GIMT_Encode4(406386),
     /* 406124 */ /*GILLT_v2s32*//*Label 8231*/ GIMT_Encode4(406152), GIMT_Encode4(0),
     /* 406132 */ /*GILLT_v4s16*//*Label 8232*/ GIMT_Encode4(406197),
     /* 406136 */ /*GILLT_v4s32*//*Label 8233*/ GIMT_Encode4(406242),
     /* 406140 */ /*GILLT_v8s8*//*Label 8234*/ GIMT_Encode4(406287),
     /* 406144 */ /*GILLT_v8s16*//*Label 8235*/ GIMT_Encode4(406314),
     /* 406148 */ /*GILLT_v16s8*//*Label 8236*/ GIMT_Encode4(406359),
     /* 406152 */ // Label 8231: @406152
     /* 406152 */ GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(406196),
     /* 406157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 406160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406168 */   GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(406183), // Rule ID 986 //
     /* 406173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406176 */     // (AArch64rev64:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)  =>  (REV64v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 406176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /* 406181 */     GIR_RootConstrainSelectedInstOperands,
     /* 406182 */     // GIR_Coverage, 986,
     /* 406182 */     GIR_Done,
     /* 406183 */   // Label 8239: @406183
     /* 406183 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(406195), // Rule ID 4966 //
     /* 406188 */     // (AArch64rev64:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)  =>  (REV64v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn)
     /* 406188 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v2i32),
     /* 406193 */     GIR_RootConstrainSelectedInstOperands,
     /* 406194 */     // GIR_Coverage, 4966,
     /* 406194 */     GIR_Done,
     /* 406195 */   // Label 8240: @406195
     /* 406195 */   GIM_Reject,
     /* 406196 */ // Label 8238: @406196
     /* 406196 */ GIM_Reject,
     /* 406197 */ // Label 8232: @406197
     /* 406197 */ GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(406241),
     /* 406202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 406205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406213 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(406228), // Rule ID 984 //
     /* 406218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406221 */     // (AArch64rev64:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)  =>  (REV64v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 406221 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /* 406226 */     GIR_RootConstrainSelectedInstOperands,
     /* 406227 */     // GIR_Coverage, 984,
     /* 406227 */     GIR_Done,
     /* 406228 */   // Label 8242: @406228
     /* 406228 */   GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(406240), // Rule ID 4963 //
     /* 406233 */     // (AArch64rev64:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)  =>  (REV64v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn)
     /* 406233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i16),
     /* 406238 */     GIR_RootConstrainSelectedInstOperands,
     /* 406239 */     // GIR_Coverage, 4963,
     /* 406239 */     GIR_Done,
     /* 406240 */   // Label 8243: @406240
     /* 406240 */   GIM_Reject,
     /* 406241 */ // Label 8241: @406241
     /* 406241 */ GIM_Reject,
     /* 406242 */ // Label 8233: @406242
     /* 406242 */ GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(406286),
     /* 406247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 406250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406258 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(406273), // Rule ID 987 //
     /* 406263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406266 */     // (AArch64rev64:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)  =>  (REV64v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 406266 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /* 406271 */     GIR_RootConstrainSelectedInstOperands,
     /* 406272 */     // GIR_Coverage, 987,
     /* 406272 */     GIR_Done,
     /* 406273 */   // Label 8245: @406273
     /* 406273 */   GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(406285), // Rule ID 4967 //
     /* 406278 */     // (AArch64rev64:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)  =>  (REV64v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn)
     /* 406278 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v4i32),
     /* 406283 */     GIR_RootConstrainSelectedInstOperands,
     /* 406284 */     // GIR_Coverage, 4967,
     /* 406284 */     GIR_Done,
     /* 406285 */   // Label 8246: @406285
     /* 406285 */   GIM_Reject,
     /* 406286 */ // Label 8244: @406286
     /* 406286 */ GIM_Reject,
     /* 406287 */ // Label 8234: @406287
     /* 406287 */ GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(406313), // Rule ID 982 //
     /* 406292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 406298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406306 */   // (AArch64rev64:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)  =>  (REV64v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 406306 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i8),
     /* 406311 */   GIR_RootConstrainSelectedInstOperands,
     /* 406312 */   // GIR_Coverage, 982,
     /* 406312 */   GIR_Done,
     /* 406313 */ // Label 8247: @406313
     /* 406313 */ GIM_Reject,
     /* 406314 */ // Label 8235: @406314
     /* 406314 */ GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(406358),
     /* 406319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 406322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406330 */   GIM_Try, /*On fail goto*//*Label 8249*/ GIMT_Encode4(406345), // Rule ID 985 //
     /* 406335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406338 */     // (AArch64rev64:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)  =>  (REV64v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 406338 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /* 406343 */     GIR_RootConstrainSelectedInstOperands,
     /* 406344 */     // GIR_Coverage, 985,
     /* 406344 */     GIR_Done,
     /* 406345 */   // Label 8249: @406345
     /* 406345 */   GIM_Try, /*On fail goto*//*Label 8250*/ GIMT_Encode4(406357), // Rule ID 4965 //
     /* 406350 */     // (AArch64rev64:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)  =>  (REV64v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn)
     /* 406350 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v8i16),
     /* 406355 */     GIR_RootConstrainSelectedInstOperands,
     /* 406356 */     // GIR_Coverage, 4965,
     /* 406356 */     GIR_Done,
     /* 406357 */   // Label 8250: @406357
     /* 406357 */   GIM_Reject,
     /* 406358 */ // Label 8248: @406358
     /* 406358 */ GIM_Reject,
     /* 406359 */ // Label 8236: @406359
     /* 406359 */ GIM_Try, /*On fail goto*//*Label 8251*/ GIMT_Encode4(406385), // Rule ID 983 //
     /* 406364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 406370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406378 */   // (AArch64rev64:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)  =>  (REV64v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 406378 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::REV64v16i8),
     /* 406383 */   GIR_RootConstrainSelectedInstOperands,
     /* 406384 */   // GIR_Coverage, 983,
     /* 406384 */   GIR_Done,
     /* 406385 */ // Label 8251: @406385
     /* 406385 */ GIM_Reject,
     /* 406386 */ // Label 8237: @406386
     /* 406386 */ GIM_Reject,
     /* 406387 */ // Label 134: @406387
     /* 406387 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 8258*/ GIMT_Encode4(406592),
     /* 406398 */ /*GILLT_s64*//*Label 8252*/ GIMT_Encode4(406430), GIMT_Encode4(0),
     /* 406406 */ /*GILLT_v2s32*//*Label 8253*/ GIMT_Encode4(406457),
     /* 406410 */ /*GILLT_v2s64*//*Label 8254*/ GIMT_Encode4(406484),
     /* 406414 */ /*GILLT_v4s16*//*Label 8255*/ GIMT_Encode4(406511),
     /* 406418 */ /*GILLT_v4s32*//*Label 8256*/ GIMT_Encode4(406538), GIMT_Encode4(0),
     /* 406426 */ /*GILLT_v8s16*//*Label 8257*/ GIMT_Encode4(406565),
     /* 406430 */ // Label 8252: @406430
     /* 406430 */ GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(406456), // Rule ID 1008 //
     /* 406435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 406441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406449 */   // (AArch64saddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)  =>  (SADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 406449 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv2i32_v1i64),
     /* 406454 */   GIR_RootConstrainSelectedInstOperands,
     /* 406455 */   // GIR_Coverage, 1008,
     /* 406455 */   GIR_Done,
     /* 406456 */ // Label 8259: @406456
     /* 406456 */ GIM_Reject,
     /* 406457 */ // Label 8253: @406457
     /* 406457 */ GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(406483), // Rule ID 1004 //
     /* 406462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 406468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406476 */   // (AArch64saddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 406476 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i16_v2i32),
     /* 406481 */   GIR_RootConstrainSelectedInstOperands,
     /* 406482 */   // GIR_Coverage, 1004,
     /* 406482 */   GIR_Done,
     /* 406483 */ // Label 8260: @406483
     /* 406483 */ GIM_Reject,
     /* 406484 */ // Label 8254: @406484
     /* 406484 */ GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(406510), // Rule ID 1010 //
     /* 406489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 406495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406503 */   // (AArch64saddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (SADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 406503 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv4i32_v2i64),
     /* 406508 */   GIR_RootConstrainSelectedInstOperands,
     /* 406509 */   // GIR_Coverage, 1010,
     /* 406509 */   GIR_Done,
     /* 406510 */ // Label 8261: @406510
     /* 406510 */ GIM_Reject,
     /* 406511 */ // Label 8255: @406511
     /* 406511 */ GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(406537), // Rule ID 1000 //
     /* 406516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 406522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406530 */   // (AArch64saddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)  =>  (SADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 406530 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i8_v4i16),
     /* 406535 */   GIR_RootConstrainSelectedInstOperands,
     /* 406536 */   // GIR_Coverage, 1000,
     /* 406536 */   GIR_Done,
     /* 406537 */ // Label 8262: @406537
     /* 406537 */ GIM_Reject,
     /* 406538 */ // Label 8256: @406538
     /* 406538 */ GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(406564), // Rule ID 1006 //
     /* 406543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 406549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406557 */   // (AArch64saddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (SADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 406557 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv8i16_v4i32),
     /* 406562 */   GIR_RootConstrainSelectedInstOperands,
     /* 406563 */   // GIR_Coverage, 1006,
     /* 406563 */   GIR_Done,
     /* 406564 */ // Label 8263: @406564
     /* 406564 */ GIM_Reject,
     /* 406565 */ // Label 8257: @406565
     /* 406565 */ GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(406591), // Rule ID 1002 //
     /* 406570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 406573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 406576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406584 */   // (AArch64saddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)  =>  (SADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 406584 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv16i8_v8i16),
     /* 406589 */   GIR_RootConstrainSelectedInstOperands,
     /* 406590 */   // GIR_Coverage, 1002,
     /* 406590 */   GIR_Done,
     /* 406591 */ // Label 8264: @406591
     /* 406591 */ GIM_Reject,
     /* 406592 */ // Label 8258: @406592
     /* 406592 */ GIM_Reject,
     /* 406593 */ // Label 135: @406593
     /* 406593 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(9), /*)*//*default:*//*Label 8267*/ GIMT_Encode4(406991),
     /* 406604 */ /*GILLT_v2s64*//*Label 8265*/ GIMT_Encode4(406616), GIMT_Encode4(0),
     /* 406612 */ /*GILLT_v4s32*//*Label 8266*/ GIMT_Encode4(406754),
     /* 406616 */ // Label 8265: @406616
     /* 406616 */ GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(406675), // Rule ID 5870 //
     /* 406621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 406624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406632 */   // (AArch64saddlv:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (SADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /* 406632 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 406635 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i32v),
     /* 406639 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 406644 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 406648 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 406650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 406653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 406655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406658 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 406661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 406664 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406669 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406674 */   // GIR_Coverage, 5870,
     /* 406674 */   GIR_EraseRootFromParent_Done,
     /* 406675 */ // Label 8268: @406675
     /* 406675 */ GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(406753), // Rule ID 5992 //
     /* 406680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 406683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406691 */   // (AArch64saddlv:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (SADDLPv2i32_v1i64:{ *:[i64] } V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] })
     /* 406691 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 406694 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::SADDLPv2i32_v1i64),
     /* 406698 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 406703 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 406707 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 406709 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 406712 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 406716 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 406721 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 406723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 406726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 406728 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 406731 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 406734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 406737 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406742 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406747 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406752 */   // GIR_Coverage, 5992,
     /* 406752 */   GIR_EraseRootFromParent_Done,
     /* 406753 */ // Label 8269: @406753
     /* 406753 */ GIM_Reject,
     /* 406754 */ // Label 8266: @406754
     /* 406754 */ GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(406813), // Rule ID 5866 //
     /* 406759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 406762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406770 */   // (AArch64saddlv:{ *:[v4i32] } V64:{ *:[v8i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn), hsub:{ *:[i32] })
     /* 406770 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 406773 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i8v),
     /* 406777 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 406782 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 406786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 406788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 406791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 406793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406796 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 406799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 406802 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406807 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 406812 */   // GIR_Coverage, 5866,
     /* 406812 */   GIR_EraseRootFromParent_Done,
     /* 406813 */ // Label 8270: @406813
     /* 406813 */ GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(406872), // Rule ID 5867 //
     /* 406818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 406821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 406829 */   // (AArch64saddlv:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn), ssub:{ *:[i32] })
     /* 406829 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 406832 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv4i16v),
     /* 406836 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 406841 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 406845 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 406847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 406850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 406852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406855 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 406858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 406861 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406866 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 406871 */   // GIR_Coverage, 5867,
     /* 406871 */   GIR_EraseRootFromParent_Done,
     /* 406872 */ // Label 8271: @406872
     /* 406872 */ GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(406931), // Rule ID 5868 //
     /* 406877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 406880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406888 */   // (AArch64saddlv:{ *:[v4i32] } V128:{ *:[v16i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn), hsub:{ *:[i32] })
     /* 406888 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 406891 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv16i8v),
     /* 406895 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 406900 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 406904 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 406906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 406909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 406911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406914 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 406917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 406920 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406925 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 406930 */   // GIR_Coverage, 5868,
     /* 406930 */   GIR_EraseRootFromParent_Done,
     /* 406931 */ // Label 8272: @406931
     /* 406931 */ GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(406990), // Rule ID 5869 //
     /* 406936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 406939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406947 */   // (AArch64saddlv:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (SADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn), ssub:{ *:[i32] })
     /* 406947 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 406950 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::SADDLVv8i16v),
     /* 406954 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 406959 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 406963 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 406965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 406968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 406970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 406973 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 406976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 406979 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 406984 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 406989 */   // GIR_Coverage, 5869,
     /* 406989 */   GIR_EraseRootFromParent_Done,
     /* 406990 */ // Label 8273: @406990
     /* 406990 */ GIM_Reject,
     /* 406991 */ // Label 8267: @406991
     /* 406991 */ GIM_Reject,
     /* 406992 */ // Label 136: @406992
     /* 406992 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(20), /*)*//*default:*//*Label 8278*/ GIMT_Encode4(407361),
     /* 407003 */ /*GILLT_v2s32*//*Label 8274*/ GIMT_Encode4(407063), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 407015 */ /*GILLT_v4s32*//*Label 8275*/ GIMT_Encode4(407183), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 407047 */ /*GILLT_nxv2s64*//*Label 8276*/ GIMT_Encode4(407303), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 407059 */ /*GILLT_nxv4s32*//*Label 8277*/ GIMT_Encode4(407332),
     /* 407063 */ // Label 8274: @407063
     /* 407063 */ GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(407182),
     /* 407068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 407071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 407074 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 407077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407089 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(407162), // Rule ID 26 //
     /* 407094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 407097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 407101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 407105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 407109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 407117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407121 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 407125 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407130 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 407134 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 407138 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 407142 */     // MIs[3] Operand 1
     /* 407142 */     // No operand predicates
     /* 407142 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407144 */     // (AArch64sdot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, (bitconvert:{ *:[v8i8] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SDOTlanev8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 407144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOTlanev8i8),
     /* 407147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407149 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 407151 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 407153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 407157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 407160 */     GIR_RootConstrainSelectedInstOperands,
     /* 407161 */     // GIR_Coverage, 26,
     /* 407161 */     GIR_EraseRootFromParent_Done,
     /* 407162 */   // Label 8280: @407162
     /* 407162 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(407181), // Rule ID 22 //
     /* 407167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 407170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407174 */     // (AArch64sdot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SDOTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 407174 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOTv8i8),
     /* 407179 */     GIR_RootConstrainSelectedInstOperands,
     /* 407180 */     // GIR_Coverage, 22,
     /* 407180 */     GIR_Done,
     /* 407181 */   // Label 8281: @407181
     /* 407181 */   GIM_Reject,
     /* 407182 */ // Label 8279: @407182
     /* 407182 */ GIM_Reject,
     /* 407183 */ // Label 8275: @407183
     /* 407183 */ GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(407302),
     /* 407188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 407194 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 407197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407209 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(407282), // Rule ID 27 //
     /* 407214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 407217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 407221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 407225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407229 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407233 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 407237 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407241 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 407245 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407250 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 407254 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 407258 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 407262 */     // MIs[3] Operand 1
     /* 407262 */     // No operand predicates
     /* 407262 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407264 */     // (AArch64sdot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, (bitconvert:{ *:[v16i8] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (SDOTlanev16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 407264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SDOTlanev16i8),
     /* 407267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 407269 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 407271 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 407273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 407277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 407280 */     GIR_RootConstrainSelectedInstOperands,
     /* 407281 */     // GIR_Coverage, 27,
     /* 407281 */     GIR_EraseRootFromParent_Done,
     /* 407282 */   // Label 8283: @407282
     /* 407282 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(407301), // Rule ID 23 //
     /* 407287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 407290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407294 */     // (AArch64sdot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (SDOTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 407294 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOTv16i8),
     /* 407299 */     GIR_RootConstrainSelectedInstOperands,
     /* 407300 */     // GIR_Coverage, 23,
     /* 407300 */     GIR_Done,
     /* 407301 */   // Label 8284: @407301
     /* 407301 */   GIM_Reject,
     /* 407302 */ // Label 8282: @407302
     /* 407302 */ GIM_Reject,
     /* 407303 */ // Label 8276: @407303
     /* 407303 */ GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(407331), // Rule ID 2986 //
     /* 407308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 407311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 407314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 407317 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 407320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 407324 */   // (AArch64sdot:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (SDOT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 407324 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZ_D),
     /* 407329 */   GIR_RootConstrainSelectedInstOperands,
     /* 407330 */   // GIR_Coverage, 2986,
     /* 407330 */   GIR_Done,
     /* 407331 */ // Label 8285: @407331
     /* 407331 */ GIM_Reject,
     /* 407332 */ // Label 8277: @407332
     /* 407332 */ GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(407360), // Rule ID 2985 //
     /* 407337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 407340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 407343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 407346 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 407349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 407353 */   // (AArch64sdot:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (SDOT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 407353 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SDOT_ZZZ_S),
     /* 407358 */   GIR_RootConstrainSelectedInstOperands,
     /* 407359 */   // GIR_Coverage, 2985,
     /* 407359 */   GIR_Done,
     /* 407360 */ // Label 8286: @407360
     /* 407360 */ GIM_Reject,
     /* 407361 */ // Label 8278: @407361
     /* 407361 */ GIM_Reject,
     /* 407362 */ // Label 137: @407362
     /* 407362 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 8290*/ GIMT_Encode4(407478),
     /* 407373 */ /*GILLT_s16*//*Label 8287*/ GIMT_Encode4(407385),
     /* 407377 */ /*GILLT_s32*//*Label 8288*/ GIMT_Encode4(407416),
     /* 407381 */ /*GILLT_s64*//*Label 8289*/ GIMT_Encode4(407447),
     /* 407385 */ // Label 8287: @407385
     /* 407385 */ GIM_Try, /*On fail goto*//*Label 8291*/ GIMT_Encode4(407415), // Rule ID 1658 //
     /* 407390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 407393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 407396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 407400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 407404 */   // (AArch64sitof:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (SCVTFv1i16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 407404 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i16),
     /* 407409 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 407413 */   GIR_RootConstrainSelectedInstOperands,
     /* 407414 */   // GIR_Coverage, 1658,
     /* 407414 */   GIR_Done,
     /* 407415 */ // Label 8291: @407415
     /* 407415 */ GIM_Reject,
     /* 407416 */ // Label 8288: @407416
     /* 407416 */ GIM_Try, /*On fail goto*//*Label 8292*/ GIMT_Encode4(407446), // Rule ID 1657 //
     /* 407421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 407424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 407427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 407431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 407435 */   // (AArch64sitof:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (SCVTFv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 407435 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i32),
     /* 407440 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 407444 */   GIR_RootConstrainSelectedInstOperands,
     /* 407445 */   // GIR_Coverage, 1657,
     /* 407445 */   GIR_Done,
     /* 407446 */ // Label 8292: @407446
     /* 407446 */ GIM_Reject,
     /* 407447 */ // Label 8289: @407447
     /* 407447 */ GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(407477), // Rule ID 1656 //
     /* 407452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 407455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 407458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407466 */   // (AArch64sitof:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (SCVTFv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 407466 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SCVTFv1i64),
     /* 407471 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 407475 */   GIR_RootConstrainSelectedInstOperands,
     /* 407476 */   // GIR_Coverage, 1656,
     /* 407476 */   GIR_Done,
     /* 407477 */ // Label 8293: @407477
     /* 407477 */ GIM_Reject,
     /* 407478 */ // Label 8290: @407478
     /* 407478 */ GIM_Reject,
     /* 407479 */ // Label 138: @407479
     /* 407479 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(11), /*)*//*default:*//*Label 8297*/ GIMT_Encode4(408711),
     /* 407490 */ /*GILLT_v2s64*//*Label 8294*/ GIMT_Encode4(407510), GIMT_Encode4(0),
     /* 407498 */ /*GILLT_v4s32*//*Label 8295*/ GIMT_Encode4(408071), GIMT_Encode4(0),
     /* 407506 */ /*GILLT_v8s16*//*Label 8296*/ GIMT_Encode4(408632),
     /* 407510 */ // Label 8294: @407510
     /* 407510 */ GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(408070),
     /* 407515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 407518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 407521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407525 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(407617), // Rule ID 2054 //
     /* 407530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 407533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 407537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 407541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407545 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407549 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 407553 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407557 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 407561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407566 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 407570 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 407574 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 407578 */     // MIs[3] Operand 1
     /* 407578 */     // No operand predicates
     /* 407578 */     // MIs[1] Operand 2
     /* 407578 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 407589 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 407598 */     // (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }))  =>  (SMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 407598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_indexed),
     /* 407601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 407603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 407608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 407612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 407615 */     GIR_RootConstrainSelectedInstOperands,
     /* 407616 */     // GIR_Coverage, 2054,
     /* 407616 */     GIR_EraseRootFromParent_Done,
     /* 407617 */   // Label 8299: @407617
     /* 407617 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(407709), // Rule ID 13480 //
     /* 407622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 407625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 407633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 407645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407649 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 407653 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407658 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 407662 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 407666 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 407670 */     // MIs[3] Operand 1
     /* 407670 */     // No operand predicates
     /* 407670 */     // MIs[1] Operand 2
     /* 407670 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 407681 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 407690 */     // (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (SMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 407690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_indexed),
     /* 407693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 407695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 407700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 407704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 407707 */     GIR_RootConstrainSelectedInstOperands,
     /* 407708 */     // GIR_Coverage, 13480,
     /* 407708 */     GIR_EraseRootFromParent_Done,
     /* 407709 */   // Label 8300: @407709
     /* 407709 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(407795), // Rule ID 13478 //
     /* 407714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 407717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 407725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 407737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407741 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 407745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407750 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 407754 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 407758 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 407762 */     // MIs[3] Operand 1
     /* 407762 */     // No operand predicates
     /* 407762 */     // MIs[1] Operand 2
     /* 407762 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 407773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407777 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407779 */     // (AArch64smull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 407779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 407782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 407784 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 407786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 407790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 407793 */     GIR_RootConstrainSelectedInstOperands,
     /* 407794 */     // GIR_Coverage, 13478,
     /* 407794 */     GIR_EraseRootFromParent_Done,
     /* 407795 */   // Label 8301: @407795
     /* 407795 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(407881), // Rule ID 2052 //
     /* 407800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 407803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 407811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 407815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 407823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 407827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407831 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 407835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407840 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 407844 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 407848 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 407852 */     // MIs[3] Operand 1
     /* 407852 */     // No operand predicates
     /* 407852 */     // MIs[1] Operand 2
     /* 407852 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 407863 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 407865 */     // (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 407865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 407868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 407870 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 407872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 407876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 407879 */     GIR_RootConstrainSelectedInstOperands,
     /* 407880 */     // GIR_Coverage, 2052,
     /* 407880 */     GIR_EraseRootFromParent_Done,
     /* 407881 */   // Label 8302: @407881
     /* 407881 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(407920), // Rule ID 1741 //
     /* 407886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 407889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 407896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 407903 */     // (AArch64smull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (SMULLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 407903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i32_v2i64),
     /* 407906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 407908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 407913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 407918 */     GIR_RootConstrainSelectedInstOperands,
     /* 407919 */     // GIR_Coverage, 1741,
     /* 407919 */     GIR_EraseRootFromParent_Done,
     /* 407920 */   // Label 8303: @407920
     /* 407920 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(407983), // Rule ID 13479 //
     /* 407925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 407928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 407932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 407936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 407940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 407944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 407949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 407953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 407957 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 407961 */     // MIs[2] Operand 1
     /* 407961 */     // No operand predicates
     /* 407961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 407967 */     // (AArch64smull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn)  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 407967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 407970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 407972 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 407974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 407978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 407981 */     GIR_RootConstrainSelectedInstOperands,
     /* 407982 */     // GIR_Coverage, 13479,
     /* 407982 */     GIR_EraseRootFromParent_Done,
     /* 407983 */   // Label 8304: @407983
     /* 407983 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(408046), // Rule ID 2053 //
     /* 407988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 407991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 407995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 407999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 408003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 408011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 408020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408024 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 408028 */     // MIs[2] Operand 1
     /* 408028 */     // No operand predicates
     /* 408028 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 408030 */     // (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (SMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_indexed),
     /* 408033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408035 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 408037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 408041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 408044 */     GIR_RootConstrainSelectedInstOperands,
     /* 408045 */     // GIR_Coverage, 2053,
     /* 408045 */     GIR_EraseRootFromParent_Done,
     /* 408046 */   // Label 8305: @408046
     /* 408046 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(408069), // Rule ID 1740 //
     /* 408051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408062 */     // (AArch64smull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (SMULLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 408062 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULLv2i32_v2i64),
     /* 408067 */     GIR_RootConstrainSelectedInstOperands,
     /* 408068 */     // GIR_Coverage, 1740,
     /* 408068 */     GIR_Done,
     /* 408069 */   // Label 8306: @408069
     /* 408069 */   GIM_Reject,
     /* 408070 */ // Label 8298: @408070
     /* 408070 */ GIM_Reject,
     /* 408071 */ // Label 8295: @408071
     /* 408071 */ GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(408631),
     /* 408076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 408079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 408082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408086 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(408178), // Rule ID 2051 //
     /* 408091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 408098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 408102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 408114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408118 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408122 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 408127 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408131 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408135 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 408139 */     // MIs[3] Operand 1
     /* 408139 */     // No operand predicates
     /* 408139 */     // MIs[1] Operand 2
     /* 408139 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 408150 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 408159 */     // (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }))  =>  (SMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_indexed),
     /* 408162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 408169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408176 */     GIR_RootConstrainSelectedInstOperands,
     /* 408177 */     // GIR_Coverage, 2051,
     /* 408177 */     GIR_EraseRootFromParent_Done,
     /* 408178 */   // Label 8308: @408178
     /* 408178 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(408270), // Rule ID 13477 //
     /* 408183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 408194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 408206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408210 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408214 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 408219 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408223 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408227 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 408231 */     // MIs[3] Operand 1
     /* 408231 */     // No operand predicates
     /* 408231 */     // MIs[1] Operand 2
     /* 408231 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 408242 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 408251 */     // (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (SMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_indexed),
     /* 408254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 408261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408268 */     GIR_RootConstrainSelectedInstOperands,
     /* 408269 */     // GIR_Coverage, 13477,
     /* 408269 */     GIR_EraseRootFromParent_Done,
     /* 408270 */   // Label 8309: @408270
     /* 408270 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(408356), // Rule ID 13475 //
     /* 408275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 408286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 408298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408302 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408306 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 408311 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408315 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408319 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 408323 */     // MIs[3] Operand 1
     /* 408323 */     // No operand predicates
     /* 408323 */     // MIs[1] Operand 2
     /* 408323 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 408334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408338 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408340 */     // (AArch64smull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 408343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408345 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 408347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408354 */     GIR_RootConstrainSelectedInstOperands,
     /* 408355 */     // GIR_Coverage, 13475,
     /* 408355 */     GIR_EraseRootFromParent_Done,
     /* 408356 */   // Label 8310: @408356
     /* 408356 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(408442), // Rule ID 2049 //
     /* 408361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 408372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 408376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408380 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 408384 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 408388 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408392 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 408396 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 408401 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 408405 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408409 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 408413 */     // MIs[3] Operand 1
     /* 408413 */     // No operand predicates
     /* 408413 */     // MIs[1] Operand 2
     /* 408413 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 408424 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 408426 */     // (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 408429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408431 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 408433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 408437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 408440 */     GIR_RootConstrainSelectedInstOperands,
     /* 408441 */     // GIR_Coverage, 2049,
     /* 408441 */     GIR_EraseRootFromParent_Done,
     /* 408442 */   // Label 8311: @408442
     /* 408442 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(408481), // Rule ID 1739 //
     /* 408447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 408457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 408464 */     // (AArch64smull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (SMULLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 408464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i16_v4i32),
     /* 408467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 408474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 408479 */     GIR_RootConstrainSelectedInstOperands,
     /* 408480 */     // GIR_Coverage, 1739,
     /* 408480 */     GIR_EraseRootFromParent_Done,
     /* 408481 */   // Label 8312: @408481
     /* 408481 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(408544), // Rule ID 13476 //
     /* 408486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 408493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 408497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408501 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 408505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 408510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 408514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408518 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 408522 */     // MIs[2] Operand 1
     /* 408522 */     // No operand predicates
     /* 408522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 408528 */     // (AArch64smull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn)  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 408531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408533 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 408535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 408539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 408542 */     GIR_RootConstrainSelectedInstOperands,
     /* 408543 */     // GIR_Coverage, 13476,
     /* 408543 */     GIR_EraseRootFromParent_Done,
     /* 408544 */   // Label 8313: @408544
     /* 408544 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(408607), // Rule ID 2050 //
     /* 408549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 408560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 408564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 408568 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 408572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 408577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 408581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 408585 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 408589 */     // MIs[2] Operand 1
     /* 408589 */     // No operand predicates
     /* 408589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 408591 */     // (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (SMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 408591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_indexed),
     /* 408594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408596 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 408598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 408602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 408605 */     GIR_RootConstrainSelectedInstOperands,
     /* 408606 */     // GIR_Coverage, 2050,
     /* 408606 */     GIR_EraseRootFromParent_Done,
     /* 408607 */   // Label 8314: @408607
     /* 408607 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(408630), // Rule ID 1738 //
     /* 408612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408623 */     // (AArch64smull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (SMULLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 408623 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULLv4i16_v4i32),
     /* 408628 */     GIR_RootConstrainSelectedInstOperands,
     /* 408629 */     // GIR_Coverage, 1738,
     /* 408629 */     GIR_Done,
     /* 408630 */   // Label 8315: @408630
     /* 408630 */   GIM_Reject,
     /* 408631 */ // Label 8307: @408631
     /* 408631 */ GIM_Reject,
     /* 408632 */ // Label 8296: @408632
     /* 408632 */ GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(408710),
     /* 408637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 408640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 408643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408647 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(408686), // Rule ID 1737 //
     /* 408652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 408662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 408669 */     // (AArch64smull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))  =>  (SMULLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 408669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SMULLv16i8_v8i16),
     /* 408672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 408674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 408679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 408684 */     GIR_RootConstrainSelectedInstOperands,
     /* 408685 */     // GIR_Coverage, 1737,
     /* 408685 */     GIR_EraseRootFromParent_Done,
     /* 408686 */   // Label 8317: @408686
     /* 408686 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(408709), // Rule ID 1736 //
     /* 408691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408702 */     // (AArch64smull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (SMULLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 408702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::SMULLv8i8_v8i16),
     /* 408707 */     GIR_RootConstrainSelectedInstOperands,
     /* 408708 */     // GIR_Coverage, 1736,
     /* 408708 */     GIR_Done,
     /* 408709 */   // Label 8318: @408709
     /* 408709 */   GIM_Reject,
     /* 408710 */ // Label 8316: @408710
     /* 408710 */ GIM_Reject,
     /* 408711 */ // Label 8297: @408711
     /* 408711 */ GIM_Reject,
     /* 408712 */ // Label 139: @408712
     /* 408712 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8337*/ GIMT_Encode4(409491),
     /* 408723 */ /*GILLT_v2s32*//*Label 8319*/ GIMT_Encode4(408799),
     /* 408727 */ /*GILLT_v2s64*//*Label 8320*/ GIMT_Encode4(408854),
     /* 408731 */ /*GILLT_v4s16*//*Label 8321*/ GIMT_Encode4(408909),
     /* 408735 */ /*GILLT_v4s32*//*Label 8322*/ GIMT_Encode4(408964),
     /* 408739 */ /*GILLT_v8s8*//*Label 8323*/ GIMT_Encode4(409019),
     /* 408743 */ /*GILLT_v8s16*//*Label 8324*/ GIMT_Encode4(409053),
     /* 408747 */ /*GILLT_v16s8*//*Label 8325*/ GIMT_Encode4(409108), GIMT_Encode4(0),
     /* 408755 */ /*GILLT_nxv2s1*//*Label 8326*/ GIMT_Encode4(409142),
     /* 408759 */ /*GILLT_nxv2s16*//*Label 8327*/ GIMT_Encode4(409168),
     /* 408763 */ /*GILLT_nxv2s32*//*Label 8328*/ GIMT_Encode4(409194),
     /* 408767 */ /*GILLT_nxv2s64*//*Label 8329*/ GIMT_Encode4(409220),
     /* 408771 */ /*GILLT_nxv4s1*//*Label 8330*/ GIMT_Encode4(409267),
     /* 408775 */ /*GILLT_nxv4s16*//*Label 8331*/ GIMT_Encode4(409293),
     /* 408779 */ /*GILLT_nxv4s32*//*Label 8332*/ GIMT_Encode4(409319),
     /* 408783 */ /*GILLT_nxv8s1*//*Label 8333*/ GIMT_Encode4(409366),
     /* 408787 */ /*GILLT_nxv8s16*//*Label 8334*/ GIMT_Encode4(409392),
     /* 408791 */ /*GILLT_nxv16s1*//*Label 8335*/ GIMT_Encode4(409439),
     /* 408795 */ /*GILLT_nxv16s8*//*Label 8336*/ GIMT_Encode4(409465),
     /* 408799 */ // Label 8319: @408799
     /* 408799 */ GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(408853),
     /* 408804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 408807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 408810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408822 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(408837), // Rule ID 1874 //
     /* 408827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408830 */     // (AArch64trn1:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (TRN1v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 408830 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i32),
     /* 408835 */     GIR_RootConstrainSelectedInstOperands,
     /* 408836 */     // GIR_Coverage, 1874,
     /* 408836 */     GIR_Done,
     /* 408837 */   // Label 8339: @408837
     /* 408837 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(408852), // Rule ID 2505 //
     /* 408842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408845 */     // (AArch64trn1:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (TRN1v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 408845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i32),
     /* 408850 */     GIR_RootConstrainSelectedInstOperands,
     /* 408851 */     // GIR_Coverage, 2505,
     /* 408851 */     GIR_Done,
     /* 408852 */   // Label 8340: @408852
     /* 408852 */   GIM_Reject,
     /* 408853 */ // Label 8338: @408853
     /* 408853 */ GIM_Reject,
     /* 408854 */ // Label 8320: @408854
     /* 408854 */ GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(408908),
     /* 408859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 408862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 408865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408873 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408877 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(408892), // Rule ID 1876 //
     /* 408882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408885 */     // (AArch64trn1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (TRN1v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 408885 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i64),
     /* 408890 */     GIR_RootConstrainSelectedInstOperands,
     /* 408891 */     // GIR_Coverage, 1876,
     /* 408891 */     GIR_Done,
     /* 408892 */   // Label 8342: @408892
     /* 408892 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(408907), // Rule ID 2507 //
     /* 408897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408900 */     // (AArch64trn1:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (TRN1v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 408900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v2i64),
     /* 408905 */     GIR_RootConstrainSelectedInstOperands,
     /* 408906 */     // GIR_Coverage, 2507,
     /* 408906 */     GIR_Done,
     /* 408907 */   // Label 8343: @408907
     /* 408907 */   GIM_Reject,
     /* 408908 */ // Label 8341: @408908
     /* 408908 */ GIM_Reject,
     /* 408909 */ // Label 8321: @408909
     /* 408909 */ GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(408963),
     /* 408914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 408917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 408920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 408932 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(408947), // Rule ID 1872 //
     /* 408937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408940 */     // (AArch64trn1:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (TRN1v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 408940 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i16),
     /* 408945 */     GIR_RootConstrainSelectedInstOperands,
     /* 408946 */     // GIR_Coverage, 1872,
     /* 408946 */     GIR_Done,
     /* 408947 */   // Label 8345: @408947
     /* 408947 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(408962), // Rule ID 2503 //
     /* 408952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408955 */     // (AArch64trn1:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (TRN1v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 408955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i16),
     /* 408960 */     GIR_RootConstrainSelectedInstOperands,
     /* 408961 */     // GIR_Coverage, 2503,
     /* 408961 */     GIR_Done,
     /* 408962 */   // Label 8346: @408962
     /* 408962 */   GIM_Reject,
     /* 408963 */ // Label 8344: @408963
     /* 408963 */ GIM_Reject,
     /* 408964 */ // Label 8322: @408964
     /* 408964 */ GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(409018),
     /* 408969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 408972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 408975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 408987 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(409002), // Rule ID 1875 //
     /* 408992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 408995 */     // (AArch64trn1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (TRN1v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 408995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i32),
     /* 409000 */     GIR_RootConstrainSelectedInstOperands,
     /* 409001 */     // GIR_Coverage, 1875,
     /* 409001 */     GIR_Done,
     /* 409002 */   // Label 8348: @409002
     /* 409002 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(409017), // Rule ID 2506 //
     /* 409007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409010 */     // (AArch64trn1:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (TRN1v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 409010 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v4i32),
     /* 409015 */     GIR_RootConstrainSelectedInstOperands,
     /* 409016 */     // GIR_Coverage, 2506,
     /* 409016 */     GIR_Done,
     /* 409017 */   // Label 8349: @409017
     /* 409017 */   GIM_Reject,
     /* 409018 */ // Label 8347: @409018
     /* 409018 */ GIM_Reject,
     /* 409019 */ // Label 8323: @409019
     /* 409019 */ GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(409052), // Rule ID 1870 //
     /* 409024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 409030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 409033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409045 */   // (AArch64trn1:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (TRN1v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 409045 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v8i8),
     /* 409050 */   GIR_RootConstrainSelectedInstOperands,
     /* 409051 */   // GIR_Coverage, 1870,
     /* 409051 */   GIR_Done,
     /* 409052 */ // Label 8350: @409052
     /* 409052 */ GIM_Reject,
     /* 409053 */ // Label 8324: @409053
     /* 409053 */ GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(409107),
     /* 409058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 409061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 409064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409076 */   GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(409091), // Rule ID 1873 //
     /* 409081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409084 */     // (AArch64trn1:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (TRN1v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 409084 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v8i16),
     /* 409089 */     GIR_RootConstrainSelectedInstOperands,
     /* 409090 */     // GIR_Coverage, 1873,
     /* 409090 */     GIR_Done,
     /* 409091 */   // Label 8352: @409091
     /* 409091 */   GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(409106), // Rule ID 2504 //
     /* 409096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409099 */     // (AArch64trn1:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (TRN1v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 409099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v8i16),
     /* 409104 */     GIR_RootConstrainSelectedInstOperands,
     /* 409105 */     // GIR_Coverage, 2504,
     /* 409105 */     GIR_Done,
     /* 409106 */   // Label 8353: @409106
     /* 409106 */   GIM_Reject,
     /* 409107 */ // Label 8351: @409107
     /* 409107 */ GIM_Reject,
     /* 409108 */ // Label 8325: @409108
     /* 409108 */ GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(409141), // Rule ID 1871 //
     /* 409113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 409119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 409122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409134 */   // (AArch64trn1:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (TRN1v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 409134 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1v16i8),
     /* 409139 */   GIR_RootConstrainSelectedInstOperands,
     /* 409140 */   // GIR_Coverage, 1871,
     /* 409140 */   GIR_Done,
     /* 409141 */ // Label 8354: @409141
     /* 409141 */ GIM_Reject,
     /* 409142 */ // Label 8326: @409142
     /* 409142 */ GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(409167), // Rule ID 8943 //
     /* 409147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 409153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 409156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 409160 */   // (AArch64trn1:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (TRN1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 409160 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_D),
     /* 409165 */   GIR_RootConstrainSelectedInstOperands,
     /* 409166 */   // GIR_Coverage, 8943,
     /* 409166 */   GIR_Done,
     /* 409167 */ // Label 8355: @409167
     /* 409167 */ GIM_Reject,
     /* 409168 */ // Label 8327: @409168
     /* 409168 */ GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(409193), // Rule ID 8919 //
     /* 409173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 409179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 409182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409186 */   // (AArch64trn1:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 409186 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 409191 */   GIR_RootConstrainSelectedInstOperands,
     /* 409192 */   // GIR_Coverage, 8919,
     /* 409192 */   GIR_Done,
     /* 409193 */ // Label 8356: @409193
     /* 409193 */ GIM_Reject,
     /* 409194 */ // Label 8328: @409194
     /* 409194 */ GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(409219), // Rule ID 8920 //
     /* 409199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 409205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 409208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409212 */   // (AArch64trn1:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 409212 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 409217 */   GIR_RootConstrainSelectedInstOperands,
     /* 409218 */   // GIR_Coverage, 8920,
     /* 409218 */   GIR_Done,
     /* 409219 */ // Label 8357: @409219
     /* 409219 */ GIM_Reject,
     /* 409220 */ // Label 8329: @409220
     /* 409220 */ GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(409266),
     /* 409225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 409228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 409231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409235 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(409250), // Rule ID 8915 //
     /* 409240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409243 */     // (AArch64trn1:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 409243 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 409248 */     GIR_RootConstrainSelectedInstOperands,
     /* 409249 */     // GIR_Coverage, 8915,
     /* 409249 */     GIR_Done,
     /* 409250 */   // Label 8359: @409250
     /* 409250 */   GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(409265), // Rule ID 8921 //
     /* 409255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409258 */     // (AArch64trn1:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 409258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_D),
     /* 409263 */     GIR_RootConstrainSelectedInstOperands,
     /* 409264 */     // GIR_Coverage, 8921,
     /* 409264 */     GIR_Done,
     /* 409265 */   // Label 8360: @409265
     /* 409265 */   GIM_Reject,
     /* 409266 */ // Label 8358: @409266
     /* 409266 */ GIM_Reject,
     /* 409267 */ // Label 8330: @409267
     /* 409267 */ GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(409292), // Rule ID 8942 //
     /* 409272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 409278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 409281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 409285 */   // (AArch64trn1:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (TRN1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 409285 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_S),
     /* 409290 */   GIR_RootConstrainSelectedInstOperands,
     /* 409291 */   // GIR_Coverage, 8942,
     /* 409291 */   GIR_Done,
     /* 409292 */ // Label 8361: @409292
     /* 409292 */ GIM_Reject,
     /* 409293 */ // Label 8331: @409293
     /* 409293 */ GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(409318), // Rule ID 8917 //
     /* 409298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 409304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 409307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409311 */   // (AArch64trn1:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (TRN1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 409311 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_S),
     /* 409316 */   GIR_RootConstrainSelectedInstOperands,
     /* 409317 */   // GIR_Coverage, 8917,
     /* 409317 */   GIR_Done,
     /* 409318 */ // Label 8362: @409318
     /* 409318 */ GIM_Reject,
     /* 409319 */ // Label 8332: @409319
     /* 409319 */ GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(409365),
     /* 409324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 409327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 409330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409334 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(409349), // Rule ID 8914 //
     /* 409339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409342 */     // (AArch64trn1:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 409342 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_S),
     /* 409347 */     GIR_RootConstrainSelectedInstOperands,
     /* 409348 */     // GIR_Coverage, 8914,
     /* 409348 */     GIR_Done,
     /* 409349 */   // Label 8364: @409349
     /* 409349 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(409364), // Rule ID 8918 //
     /* 409354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409357 */     // (AArch64trn1:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 409357 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_S),
     /* 409362 */     GIR_RootConstrainSelectedInstOperands,
     /* 409363 */     // GIR_Coverage, 8918,
     /* 409363 */     GIR_Done,
     /* 409364 */   // Label 8365: @409364
     /* 409364 */   GIM_Reject,
     /* 409365 */ // Label 8363: @409365
     /* 409365 */ GIM_Reject,
     /* 409366 */ // Label 8333: @409366
     /* 409366 */ GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(409391), // Rule ID 8941 //
     /* 409371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 409377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 409380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 409384 */   // (AArch64trn1:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (TRN1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 409384 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_H),
     /* 409389 */   GIR_RootConstrainSelectedInstOperands,
     /* 409390 */   // GIR_Coverage, 8941,
     /* 409390 */   GIR_Done,
     /* 409391 */ // Label 8366: @409391
     /* 409391 */ GIM_Reject,
     /* 409392 */ // Label 8334: @409392
     /* 409392 */ GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(409438),
     /* 409397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 409400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 409403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409407 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(409422), // Rule ID 8913 //
     /* 409412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409415 */     // (AArch64trn1:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 409415 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_H),
     /* 409420 */     GIR_RootConstrainSelectedInstOperands,
     /* 409421 */     // GIR_Coverage, 8913,
     /* 409421 */     GIR_Done,
     /* 409422 */   // Label 8368: @409422
     /* 409422 */   GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(409437), // Rule ID 8916 //
     /* 409427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409430 */     // (AArch64trn1:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 409430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_H),
     /* 409435 */     GIR_RootConstrainSelectedInstOperands,
     /* 409436 */     // GIR_Coverage, 8916,
     /* 409436 */     GIR_Done,
     /* 409437 */   // Label 8369: @409437
     /* 409437 */   GIM_Reject,
     /* 409438 */ // Label 8367: @409438
     /* 409438 */ GIM_Reject,
     /* 409439 */ // Label 8335: @409439
     /* 409439 */ GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(409464), // Rule ID 2414 //
     /* 409444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 409450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 409453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 409457 */   // (AArch64trn1:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN1_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 409457 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_PPP_B),
     /* 409462 */   GIR_RootConstrainSelectedInstOperands,
     /* 409463 */   // GIR_Coverage, 2414,
     /* 409463 */   GIR_Done,
     /* 409464 */ // Label 8370: @409464
     /* 409464 */ GIM_Reject,
     /* 409465 */ // Label 8336: @409465
     /* 409465 */ GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(409490), // Rule ID 8912 //
     /* 409470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 409476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 409479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409483 */   // (AArch64trn1:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 409483 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN1_ZZZ_B),
     /* 409488 */   GIR_RootConstrainSelectedInstOperands,
     /* 409489 */   // GIR_Coverage, 8912,
     /* 409489 */   GIR_Done,
     /* 409490 */ // Label 8371: @409490
     /* 409490 */ GIM_Reject,
     /* 409491 */ // Label 8337: @409491
     /* 409491 */ GIM_Reject,
     /* 409492 */ // Label 140: @409492
     /* 409492 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8390*/ GIMT_Encode4(410271),
     /* 409503 */ /*GILLT_v2s32*//*Label 8372*/ GIMT_Encode4(409579),
     /* 409507 */ /*GILLT_v2s64*//*Label 8373*/ GIMT_Encode4(409634),
     /* 409511 */ /*GILLT_v4s16*//*Label 8374*/ GIMT_Encode4(409689),
     /* 409515 */ /*GILLT_v4s32*//*Label 8375*/ GIMT_Encode4(409744),
     /* 409519 */ /*GILLT_v8s8*//*Label 8376*/ GIMT_Encode4(409799),
     /* 409523 */ /*GILLT_v8s16*//*Label 8377*/ GIMT_Encode4(409833),
     /* 409527 */ /*GILLT_v16s8*//*Label 8378*/ GIMT_Encode4(409888), GIMT_Encode4(0),
     /* 409535 */ /*GILLT_nxv2s1*//*Label 8379*/ GIMT_Encode4(409922),
     /* 409539 */ /*GILLT_nxv2s16*//*Label 8380*/ GIMT_Encode4(409948),
     /* 409543 */ /*GILLT_nxv2s32*//*Label 8381*/ GIMT_Encode4(409974),
     /* 409547 */ /*GILLT_nxv2s64*//*Label 8382*/ GIMT_Encode4(410000),
     /* 409551 */ /*GILLT_nxv4s1*//*Label 8383*/ GIMT_Encode4(410047),
     /* 409555 */ /*GILLT_nxv4s16*//*Label 8384*/ GIMT_Encode4(410073),
     /* 409559 */ /*GILLT_nxv4s32*//*Label 8385*/ GIMT_Encode4(410099),
     /* 409563 */ /*GILLT_nxv8s1*//*Label 8386*/ GIMT_Encode4(410146),
     /* 409567 */ /*GILLT_nxv8s16*//*Label 8387*/ GIMT_Encode4(410172),
     /* 409571 */ /*GILLT_nxv16s1*//*Label 8388*/ GIMT_Encode4(410219),
     /* 409575 */ /*GILLT_nxv16s8*//*Label 8389*/ GIMT_Encode4(410245),
     /* 409579 */ // Label 8372: @409579
     /* 409579 */ GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(409633),
     /* 409584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 409587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 409590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409602 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(409617), // Rule ID 1881 //
     /* 409607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409610 */     // (AArch64trn2:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (TRN2v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 409610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i32),
     /* 409615 */     GIR_RootConstrainSelectedInstOperands,
     /* 409616 */     // GIR_Coverage, 1881,
     /* 409616 */     GIR_Done,
     /* 409617 */   // Label 8392: @409617
     /* 409617 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(409632), // Rule ID 5469 //
     /* 409622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409625 */     // (AArch64trn2:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (TRN2v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 409625 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i32),
     /* 409630 */     GIR_RootConstrainSelectedInstOperands,
     /* 409631 */     // GIR_Coverage, 5469,
     /* 409631 */     GIR_Done,
     /* 409632 */   // Label 8393: @409632
     /* 409632 */   GIM_Reject,
     /* 409633 */ // Label 8391: @409633
     /* 409633 */ GIM_Reject,
     /* 409634 */ // Label 8373: @409634
     /* 409634 */ GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(409688),
     /* 409639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 409642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 409645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409657 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(409672), // Rule ID 1883 //
     /* 409662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409665 */     // (AArch64trn2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (TRN2v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 409665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i64),
     /* 409670 */     GIR_RootConstrainSelectedInstOperands,
     /* 409671 */     // GIR_Coverage, 1883,
     /* 409671 */     GIR_Done,
     /* 409672 */   // Label 8395: @409672
     /* 409672 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(409687), // Rule ID 5471 //
     /* 409677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409680 */     // (AArch64trn2:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (TRN2v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 409680 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v2i64),
     /* 409685 */     GIR_RootConstrainSelectedInstOperands,
     /* 409686 */     // GIR_Coverage, 5471,
     /* 409686 */     GIR_Done,
     /* 409687 */   // Label 8396: @409687
     /* 409687 */   GIM_Reject,
     /* 409688 */ // Label 8394: @409688
     /* 409688 */ GIM_Reject,
     /* 409689 */ // Label 8374: @409689
     /* 409689 */ GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(409743),
     /* 409694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 409697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 409700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409712 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(409727), // Rule ID 1879 //
     /* 409717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409720 */     // (AArch64trn2:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (TRN2v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 409720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i16),
     /* 409725 */     GIR_RootConstrainSelectedInstOperands,
     /* 409726 */     // GIR_Coverage, 1879,
     /* 409726 */     GIR_Done,
     /* 409727 */   // Label 8398: @409727
     /* 409727 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(409742), // Rule ID 5467 //
     /* 409732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409735 */     // (AArch64trn2:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (TRN2v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 409735 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i16),
     /* 409740 */     GIR_RootConstrainSelectedInstOperands,
     /* 409741 */     // GIR_Coverage, 5467,
     /* 409741 */     GIR_Done,
     /* 409742 */   // Label 8399: @409742
     /* 409742 */   GIM_Reject,
     /* 409743 */ // Label 8397: @409743
     /* 409743 */ GIM_Reject,
     /* 409744 */ // Label 8375: @409744
     /* 409744 */ GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(409798),
     /* 409749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 409752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 409755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409767 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(409782), // Rule ID 1882 //
     /* 409772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409775 */     // (AArch64trn2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (TRN2v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 409775 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i32),
     /* 409780 */     GIR_RootConstrainSelectedInstOperands,
     /* 409781 */     // GIR_Coverage, 1882,
     /* 409781 */     GIR_Done,
     /* 409782 */   // Label 8401: @409782
     /* 409782 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(409797), // Rule ID 5470 //
     /* 409787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409790 */     // (AArch64trn2:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (TRN2v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 409790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v4i32),
     /* 409795 */     GIR_RootConstrainSelectedInstOperands,
     /* 409796 */     // GIR_Coverage, 5470,
     /* 409796 */     GIR_Done,
     /* 409797 */   // Label 8402: @409797
     /* 409797 */   GIM_Reject,
     /* 409798 */ // Label 8400: @409798
     /* 409798 */ GIM_Reject,
     /* 409799 */ // Label 8376: @409799
     /* 409799 */ GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(409832), // Rule ID 1877 //
     /* 409804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 409810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 409813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 409825 */   // (AArch64trn2:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (TRN2v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 409825 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v8i8),
     /* 409830 */   GIR_RootConstrainSelectedInstOperands,
     /* 409831 */   // GIR_Coverage, 1877,
     /* 409831 */   GIR_Done,
     /* 409832 */ // Label 8403: @409832
     /* 409832 */ GIM_Reject,
     /* 409833 */ // Label 8377: @409833
     /* 409833 */ GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(409887),
     /* 409838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 409841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 409844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409852 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409856 */   GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(409871), // Rule ID 1880 //
     /* 409861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409864 */     // (AArch64trn2:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (TRN2v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 409864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v8i16),
     /* 409869 */     GIR_RootConstrainSelectedInstOperands,
     /* 409870 */     // GIR_Coverage, 1880,
     /* 409870 */     GIR_Done,
     /* 409871 */   // Label 8405: @409871
     /* 409871 */   GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(409886), // Rule ID 5468 //
     /* 409876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409879 */     // (AArch64trn2:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (TRN2v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 409879 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v8i16),
     /* 409884 */     GIR_RootConstrainSelectedInstOperands,
     /* 409885 */     // GIR_Coverage, 5468,
     /* 409885 */     GIR_Done,
     /* 409886 */   // Label 8406: @409886
     /* 409886 */   GIM_Reject,
     /* 409887 */ // Label 8404: @409887
     /* 409887 */ GIM_Reject,
     /* 409888 */ // Label 8378: @409888
     /* 409888 */ GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(409921), // Rule ID 1878 //
     /* 409893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 409896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 409899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 409902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 409914 */   // (AArch64trn2:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (TRN2v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 409914 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2v16i8),
     /* 409919 */   GIR_RootConstrainSelectedInstOperands,
     /* 409920 */   // GIR_Coverage, 1878,
     /* 409920 */   GIR_Done,
     /* 409921 */ // Label 8407: @409921
     /* 409921 */ GIM_Reject,
     /* 409922 */ // Label 8379: @409922
     /* 409922 */ GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(409947), // Rule ID 8946 //
     /* 409927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 409933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 409936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 409940 */   // (AArch64trn2:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (TRN2_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 409940 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_D),
     /* 409945 */   GIR_RootConstrainSelectedInstOperands,
     /* 409946 */   // GIR_Coverage, 8946,
     /* 409946 */   GIR_Done,
     /* 409947 */ // Label 8408: @409947
     /* 409947 */ GIM_Reject,
     /* 409948 */ // Label 8380: @409948
     /* 409948 */ GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(409973), // Rule ID 8929 //
     /* 409953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 409959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 409962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409966 */   // (AArch64trn2:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 409966 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 409971 */   GIR_RootConstrainSelectedInstOperands,
     /* 409972 */   // GIR_Coverage, 8929,
     /* 409972 */   GIR_Done,
     /* 409973 */ // Label 8409: @409973
     /* 409973 */ GIM_Reject,
     /* 409974 */ // Label 8381: @409974
     /* 409974 */ GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(409999), // Rule ID 8930 //
     /* 409979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 409982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 409985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 409988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 409992 */   // (AArch64trn2:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 409992 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 409997 */   GIR_RootConstrainSelectedInstOperands,
     /* 409998 */   // GIR_Coverage, 8930,
     /* 409998 */   GIR_Done,
     /* 409999 */ // Label 8410: @409999
     /* 409999 */ GIM_Reject,
     /* 410000 */ // Label 8382: @410000
     /* 410000 */ GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(410046),
     /* 410005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 410008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 410011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410015 */   GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(410030), // Rule ID 8925 //
     /* 410020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410023 */     // (AArch64trn2:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 410023 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 410028 */     GIR_RootConstrainSelectedInstOperands,
     /* 410029 */     // GIR_Coverage, 8925,
     /* 410029 */     GIR_Done,
     /* 410030 */   // Label 8412: @410030
     /* 410030 */   GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(410045), // Rule ID 8931 //
     /* 410035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410038 */     // (AArch64trn2:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (TRN2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 410038 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_D),
     /* 410043 */     GIR_RootConstrainSelectedInstOperands,
     /* 410044 */     // GIR_Coverage, 8931,
     /* 410044 */     GIR_Done,
     /* 410045 */   // Label 8413: @410045
     /* 410045 */   GIM_Reject,
     /* 410046 */ // Label 8411: @410046
     /* 410046 */ GIM_Reject,
     /* 410047 */ // Label 8383: @410047
     /* 410047 */ GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(410072), // Rule ID 8945 //
     /* 410052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 410058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 410061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 410065 */   // (AArch64trn2:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (TRN2_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 410065 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_S),
     /* 410070 */   GIR_RootConstrainSelectedInstOperands,
     /* 410071 */   // GIR_Coverage, 8945,
     /* 410071 */   GIR_Done,
     /* 410072 */ // Label 8414: @410072
     /* 410072 */ GIM_Reject,
     /* 410073 */ // Label 8384: @410073
     /* 410073 */ GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(410098), // Rule ID 8927 //
     /* 410078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 410084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 410087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410091 */   // (AArch64trn2:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (TRN2_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 410091 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_S),
     /* 410096 */   GIR_RootConstrainSelectedInstOperands,
     /* 410097 */   // GIR_Coverage, 8927,
     /* 410097 */   GIR_Done,
     /* 410098 */ // Label 8415: @410098
     /* 410098 */ GIM_Reject,
     /* 410099 */ // Label 8385: @410099
     /* 410099 */ GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(410145),
     /* 410104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 410107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 410110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410114 */   GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(410129), // Rule ID 8924 //
     /* 410119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410122 */     // (AArch64trn2:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (TRN2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 410122 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_S),
     /* 410127 */     GIR_RootConstrainSelectedInstOperands,
     /* 410128 */     // GIR_Coverage, 8924,
     /* 410128 */     GIR_Done,
     /* 410129 */   // Label 8417: @410129
     /* 410129 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(410144), // Rule ID 8928 //
     /* 410134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410137 */     // (AArch64trn2:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (TRN2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 410137 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_S),
     /* 410142 */     GIR_RootConstrainSelectedInstOperands,
     /* 410143 */     // GIR_Coverage, 8928,
     /* 410143 */     GIR_Done,
     /* 410144 */   // Label 8418: @410144
     /* 410144 */   GIM_Reject,
     /* 410145 */ // Label 8416: @410145
     /* 410145 */ GIM_Reject,
     /* 410146 */ // Label 8386: @410146
     /* 410146 */ GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(410171), // Rule ID 8944 //
     /* 410151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 410157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 410160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 410164 */   // (AArch64trn2:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (TRN2_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 410164 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_H),
     /* 410169 */   GIR_RootConstrainSelectedInstOperands,
     /* 410170 */   // GIR_Coverage, 8944,
     /* 410170 */   GIR_Done,
     /* 410171 */ // Label 8419: @410171
     /* 410171 */ GIM_Reject,
     /* 410172 */ // Label 8387: @410172
     /* 410172 */ GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(410218),
     /* 410177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 410180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 410183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410187 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(410202), // Rule ID 8923 //
     /* 410192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410195 */     // (AArch64trn2:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (TRN2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 410195 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_H),
     /* 410200 */     GIR_RootConstrainSelectedInstOperands,
     /* 410201 */     // GIR_Coverage, 8923,
     /* 410201 */     GIR_Done,
     /* 410202 */   // Label 8421: @410202
     /* 410202 */   GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(410217), // Rule ID 8926 //
     /* 410207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410210 */     // (AArch64trn2:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (TRN2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 410210 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_H),
     /* 410215 */     GIR_RootConstrainSelectedInstOperands,
     /* 410216 */     // GIR_Coverage, 8926,
     /* 410216 */     GIR_Done,
     /* 410217 */   // Label 8422: @410217
     /* 410217 */   GIM_Reject,
     /* 410218 */ // Label 8420: @410218
     /* 410218 */ GIM_Reject,
     /* 410219 */ // Label 8388: @410219
     /* 410219 */ GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(410244), // Rule ID 2418 //
     /* 410224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 410230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 410233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 410237 */   // (AArch64trn2:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (TRN2_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 410237 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_PPP_B),
     /* 410242 */   GIR_RootConstrainSelectedInstOperands,
     /* 410243 */   // GIR_Coverage, 2418,
     /* 410243 */   GIR_Done,
     /* 410244 */ // Label 8423: @410244
     /* 410244 */ GIM_Reject,
     /* 410245 */ // Label 8389: @410245
     /* 410245 */ GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(410270), // Rule ID 8922 //
     /* 410250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 410253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 410256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 410259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 410263 */   // (AArch64trn2:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (TRN2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 410263 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::TRN2_ZZZ_B),
     /* 410268 */   GIR_RootConstrainSelectedInstOperands,
     /* 410269 */   // GIR_Coverage, 8922,
     /* 410269 */   GIR_Done,
     /* 410270 */ // Label 8424: @410270
     /* 410270 */ GIM_Reject,
     /* 410271 */ // Label 8390: @410271
     /* 410271 */ GIM_Reject,
     /* 410272 */ // Label 141: @410272
     /* 410272 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(11), /*)*//*default:*//*Label 8431*/ GIMT_Encode4(410477),
     /* 410283 */ /*GILLT_s64*//*Label 8425*/ GIMT_Encode4(410315), GIMT_Encode4(0),
     /* 410291 */ /*GILLT_v2s32*//*Label 8426*/ GIMT_Encode4(410342),
     /* 410295 */ /*GILLT_v2s64*//*Label 8427*/ GIMT_Encode4(410369),
     /* 410299 */ /*GILLT_v4s16*//*Label 8428*/ GIMT_Encode4(410396),
     /* 410303 */ /*GILLT_v4s32*//*Label 8429*/ GIMT_Encode4(410423), GIMT_Encode4(0),
     /* 410311 */ /*GILLT_v8s16*//*Label 8430*/ GIMT_Encode4(410450),
     /* 410315 */ // Label 8425: @410315
     /* 410315 */ GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(410341), // Rule ID 1069 //
     /* 410320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 410326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410334 */   // (AArch64uaddlp_n:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)  =>  (UADDLPv2i32_v1i64:{ *:[v1i64] } V64:{ *:[v2i32] }:$Rn)
     /* 410334 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv2i32_v1i64),
     /* 410339 */   GIR_RootConstrainSelectedInstOperands,
     /* 410340 */   // GIR_Coverage, 1069,
     /* 410340 */   GIR_Done,
     /* 410341 */ // Label 8432: @410341
     /* 410341 */ GIM_Reject,
     /* 410342 */ // Label 8426: @410342
     /* 410342 */ GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(410368), // Rule ID 1065 //
     /* 410347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 410353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410361 */   // (AArch64uaddlp_n:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)  =>  (UADDLPv4i16_v2i32:{ *:[v2i32] } V64:{ *:[v4i16] }:$Rn)
     /* 410361 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i16_v2i32),
     /* 410366 */   GIR_RootConstrainSelectedInstOperands,
     /* 410367 */   // GIR_Coverage, 1065,
     /* 410367 */   GIR_Done,
     /* 410368 */ // Label 8433: @410368
     /* 410368 */ GIM_Reject,
     /* 410369 */ // Label 8427: @410369
     /* 410369 */ GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(410395), // Rule ID 1071 //
     /* 410374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 410380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410388 */   // (AArch64uaddlp_n:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (UADDLPv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)
     /* 410388 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv4i32_v2i64),
     /* 410393 */   GIR_RootConstrainSelectedInstOperands,
     /* 410394 */   // GIR_Coverage, 1071,
     /* 410394 */   GIR_Done,
     /* 410395 */ // Label 8434: @410395
     /* 410395 */ GIM_Reject,
     /* 410396 */ // Label 8428: @410396
     /* 410396 */ GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(410422), // Rule ID 1061 //
     /* 410401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 410407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410415 */   // (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)  =>  (UADDLPv8i8_v4i16:{ *:[v4i16] } V64:{ *:[v8i8] }:$Rn)
     /* 410415 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i8_v4i16),
     /* 410420 */   GIR_RootConstrainSelectedInstOperands,
     /* 410421 */   // GIR_Coverage, 1061,
     /* 410421 */   GIR_Done,
     /* 410422 */ // Label 8435: @410422
     /* 410422 */ GIM_Reject,
     /* 410423 */ // Label 8429: @410423
     /* 410423 */ GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(410449), // Rule ID 1067 //
     /* 410428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 410434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410442 */   // (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (UADDLPv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)
     /* 410442 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv8i16_v4i32),
     /* 410447 */   GIR_RootConstrainSelectedInstOperands,
     /* 410448 */   // GIR_Coverage, 1067,
     /* 410448 */   GIR_Done,
     /* 410449 */ // Label 8436: @410449
     /* 410449 */ GIM_Reject,
     /* 410450 */ // Label 8430: @410450
     /* 410450 */ GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(410476), // Rule ID 1063 //
     /* 410455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 410458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 410461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410469 */   // (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)  =>  (UADDLPv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn)
     /* 410469 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv16i8_v8i16),
     /* 410474 */   GIR_RootConstrainSelectedInstOperands,
     /* 410475 */   // GIR_Coverage, 1063,
     /* 410475 */   GIR_Done,
     /* 410476 */ // Label 8437: @410476
     /* 410476 */ GIM_Reject,
     /* 410477 */ // Label 8431: @410477
     /* 410477 */ GIM_Reject,
     /* 410478 */ // Label 142: @410478
     /* 410478 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(9), /*)*//*default:*//*Label 8440*/ GIMT_Encode4(411344),
     /* 410489 */ /*GILLT_v2s64*//*Label 8438*/ GIMT_Encode4(410501), GIMT_Encode4(0),
     /* 410497 */ /*GILLT_v4s32*//*Label 8439*/ GIMT_Encode4(410795),
     /* 410501 */ // Label 8438: @410501
     /* 410501 */ GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(410583), // Rule ID 5856 //
     /* 410506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 410509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410513 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 410517 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 410521 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 410524 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 410529 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 410533 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410538 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 410540 */   // (AArch64uaddlv:{ *:[v2i64] } (intrinsic_wo_chain:{ *:[v4i32] } 725:{ *:[iPTR] }, V128:{ *:[v8i16] }:$op))  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$op), ssub:{ *:[i32] })
     /* 410540 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 410543 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 410547 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 410552 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // op
     /* 410556 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 410558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 410561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 410563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410566 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 410569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 410572 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410577 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 410582 */   // GIR_Coverage, 5856,
     /* 410582 */   GIR_EraseRootFromParent_Done,
     /* 410583 */ // Label 8441: @410583
     /* 410583 */ GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(410657), // Rule ID 5855 //
     /* 410588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 410591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410595 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 410599 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 410603 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 410607 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410612 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 410614 */   // (AArch64uaddlv:{ *:[v2i64] } (AArch64uaddlp_n:{ *:[v4i32] } V128:{ *:[v8i16] }:$op))  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$op), ssub:{ *:[i32] })
     /* 410614 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 410617 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 410621 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 410626 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // op
     /* 410630 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 410632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 410635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 410637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410640 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 410643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 410646 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410651 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 410656 */   // GIR_Coverage, 5855,
     /* 410656 */   GIR_EraseRootFromParent_Done,
     /* 410657 */ // Label 8442: @410657
     /* 410657 */ GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(410716), // Rule ID 5865 //
     /* 410662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 410665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410673 */   // (AArch64uaddlv:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v2i64] } 0:{ *:[i64] }, (UADDLVv4i32v:{ *:[i64] } V128:{ *:[v4i32] }:$Rn), dsub:{ *:[i32] })
     /* 410673 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 410676 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i32v),
     /* 410680 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 410685 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 410689 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 410691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 410694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 410696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410699 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 410702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 410705 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410710 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410715 */   // GIR_Coverage, 5865,
     /* 410715 */   GIR_EraseRootFromParent_Done,
     /* 410716 */ // Label 8443: @410716
     /* 410716 */ GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(410794), // Rule ID 5993 //
     /* 410721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 410724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410732 */   // (AArch64uaddlv:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn)  =>  (INSERT_SUBREG:{ *:[v2i64] } (IMPLICIT_DEF:{ *:[v2i64] }), (UADDLPv2i32_v1i64:{ *:[i64] } V64:{ *:[v2i32] }:$Rn), dsub:{ *:[i32] })
     /* 410732 */   GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 410735 */   GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(AArch64::UADDLPv2i32_v1i64),
     /* 410739 */   GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 410744 */   GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 410748 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 410750 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_v2s64,
     /* 410753 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 410757 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 410762 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 410764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /* 410767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 410769 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 410772 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /* 410775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 410778 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410783 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410788 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410793 */   // GIR_Coverage, 5993,
     /* 410793 */   GIR_EraseRootFromParent_Done,
     /* 410794 */ // Label 8444: @410794
     /* 410794 */ GIM_Reject,
     /* 410795 */ // Label 8439: @410795
     /* 410795 */ GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(410877), // Rule ID 5858 //
     /* 410800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 410803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410807 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 410811 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 410815 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 410818 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 410823 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 410827 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410832 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 410834 */   // (AArch64uaddlv:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v8i16] } 725:{ *:[iPTR] }, V128:{ *:[v16i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$op), hsub:{ *:[i32] })
     /* 410834 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 410837 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 410841 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 410846 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // op
     /* 410850 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 410852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 410855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 410857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410860 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 410863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 410866 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410871 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 410876 */   // GIR_Coverage, 5858,
     /* 410876 */   GIR_EraseRootFromParent_Done,
     /* 410877 */ // Label 8445: @410877
     /* 410877 */ GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(410959), // Rule ID 5860 //
     /* 410882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 410885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410889 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 410893 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_INTRINSIC),
     /* 410897 */   GIM_CheckNumOperands, /*MI*/1, /*Expected*/3,
     /* 410900 */   GIM_CheckIntrinsicID, /*MI*/1, /*Op*/1, GIMT_Encode2(Intrinsic::aarch64_neon_uaddlp),
     /* 410905 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 410909 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 410914 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 410916 */   // (AArch64uaddlv:{ *:[v4i32] } (intrinsic_wo_chain:{ *:[v4i16] } 725:{ *:[iPTR] }, V64:{ *:[v8i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$op), hsub:{ *:[i32] })
     /* 410916 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 410919 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 410923 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 410928 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/2, // op
     /* 410932 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 410934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 410937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 410939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 410942 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 410945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 410948 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410953 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 410958 */   // GIR_Coverage, 5860,
     /* 410958 */   GIR_EraseRootFromParent_Done,
     /* 410959 */ // Label 8446: @410959
     /* 410959 */ GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(411033), // Rule ID 5857 //
     /* 410964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 410967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410971 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 410975 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 410979 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 410983 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 410988 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 410990 */   // (AArch64uaddlv:{ *:[v4i32] } (AArch64uaddlp_n:{ *:[v8i16] } V128:{ *:[v16i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$op), hsub:{ *:[i32] })
     /* 410990 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 410993 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 410997 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 411002 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // op
     /* 411006 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 411008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 411011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411016 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 411019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 411022 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411027 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 411032 */   // GIR_Coverage, 5857,
     /* 411032 */   GIR_EraseRootFromParent_Done,
     /* 411033 */ // Label 8447: @411033
     /* 411033 */ GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(411107), // Rule ID 5859 //
     /* 411038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 411041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411045 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 411049 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_UADDLP),
     /* 411053 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 411057 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411062 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 411064 */   // (AArch64uaddlv:{ *:[v4i32] } (AArch64uaddlp_n:{ *:[v4i16] } V64:{ *:[v8i8] }:$op))  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$op), hsub:{ *:[i32] })
     /* 411064 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 411067 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 411071 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 411076 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // op
     /* 411080 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 411082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 411085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411090 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 411093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 411096 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411101 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 411106 */   // GIR_Coverage, 5859,
     /* 411106 */   GIR_EraseRootFromParent_Done,
     /* 411107 */ // Label 8448: @411107
     /* 411107 */ GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(411166), // Rule ID 5861 //
     /* 411112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 411115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411123 */   // (AArch64uaddlv:{ *:[v4i32] } V64:{ *:[v8i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i8v:{ *:[i16] } V64:{ *:[v8i8] }:$Rn), hsub:{ *:[i32] })
     /* 411123 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 411126 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i8v),
     /* 411130 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 411135 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 411139 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 411141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 411144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411149 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 411152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 411155 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411160 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 411165 */   // GIR_Coverage, 5861,
     /* 411165 */   GIR_EraseRootFromParent_Done,
     /* 411166 */ // Label 8449: @411166
     /* 411166 */ GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(411225), // Rule ID 5862 //
     /* 411171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 411174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411182 */   // (AArch64uaddlv:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv4i16v:{ *:[i32] } V64:{ *:[v4i16] }:$Rn), ssub:{ *:[i32] })
     /* 411182 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 411185 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv4i16v),
     /* 411189 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 411194 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 411198 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 411200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 411203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411208 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 411211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 411214 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411219 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 411224 */   // GIR_Coverage, 5862,
     /* 411224 */   GIR_EraseRootFromParent_Done,
     /* 411225 */ // Label 8450: @411225
     /* 411225 */ GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(411284), // Rule ID 5863 //
     /* 411230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 411233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411241 */   // (AArch64uaddlv:{ *:[v4i32] } V128:{ *:[v16i8] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv16i8v:{ *:[i16] } V128:{ *:[v16i8] }:$Rn), hsub:{ *:[i32] })
     /* 411241 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 411244 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv16i8v),
     /* 411248 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 411253 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 411257 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 411259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 411262 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411267 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 411270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /* 411273 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411278 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 411283 */   // GIR_Coverage, 5863,
     /* 411283 */   GIR_EraseRootFromParent_Done,
     /* 411284 */ // Label 8451: @411284
     /* 411284 */ GIM_Try, /*On fail goto*//*Label 8452*/ GIMT_Encode4(411343), // Rule ID 5864 //
     /* 411289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 411292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411300 */   // (AArch64uaddlv:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn)  =>  (SUBREG_TO_REG:{ *:[v4i32] } 0:{ *:[i64] }, (UADDLVv8i16v:{ *:[i32] } V128:{ *:[v8i16] }:$Rn), ssub:{ *:[i32] })
     /* 411300 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 411303 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(AArch64::UADDLVv8i16v),
     /* 411307 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 411312 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // Rn
     /* 411316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 411318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::SUBREG_TO_REG),
     /* 411321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 411326 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 411329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/18,
     /* 411332 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411337 */   GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 411342 */   // GIR_Coverage, 5864,
     /* 411342 */   GIR_EraseRootFromParent_Done,
     /* 411343 */ // Label 8452: @411343
     /* 411343 */ GIM_Reject,
     /* 411344 */ // Label 8440: @411344
     /* 411344 */ GIM_Reject,
     /* 411345 */ // Label 143: @411345
     /* 411345 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(20), /*)*//*default:*//*Label 8457*/ GIMT_Encode4(411714),
     /* 411356 */ /*GILLT_v2s32*//*Label 8453*/ GIMT_Encode4(411416), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 411368 */ /*GILLT_v4s32*//*Label 8454*/ GIMT_Encode4(411536), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 411400 */ /*GILLT_nxv2s64*//*Label 8455*/ GIMT_Encode4(411656), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 411412 */ /*GILLT_nxv4s32*//*Label 8456*/ GIMT_Encode4(411685),
     /* 411416 */ // Label 8453: @411416
     /* 411416 */ GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(411535),
     /* 411421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 411424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 411427 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v8s8,
     /* 411430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411442 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(411515), // Rule ID 28 //
     /* 411447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 411450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 411454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 411458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 411462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 411466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 411470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 411474 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 411478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411483 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 411487 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411491 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 411495 */     // MIs[3] Operand 1
     /* 411495 */     // No operand predicates
     /* 411495 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 411497 */     // (AArch64udot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, (bitconvert:{ *:[v8i8] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UDOTlanev8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 411497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOTlanev8i8),
     /* 411500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411502 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 411504 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 411506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 411510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 411513 */     GIR_RootConstrainSelectedInstOperands,
     /* 411514 */     // GIR_Coverage, 28,
     /* 411514 */     GIR_EraseRootFromParent_Done,
     /* 411515 */   // Label 8459: @411515
     /* 411515 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(411534), // Rule ID 24 //
     /* 411520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 411523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411527 */     // (AArch64udot:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UDOTv8i8:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rd, V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 411527 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOTv8i8),
     /* 411532 */     GIR_RootConstrainSelectedInstOperands,
     /* 411533 */     // GIR_Coverage, 24,
     /* 411533 */     GIR_Done,
     /* 411534 */   // Label 8460: @411534
     /* 411534 */   GIM_Reject,
     /* 411535 */ // Label 8458: @411535
     /* 411535 */ GIM_Reject,
     /* 411536 */ // Label 8454: @411536
     /* 411536 */ GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(411655),
     /* 411541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 411544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 411547 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_v16s8,
     /* 411550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411558 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411562 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(411635), // Rule ID 29 //
     /* 411567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 411570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 411574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BITCAST),
     /* 411578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 411582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 411586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 411590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 411594 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 411598 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411603 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 411607 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411611 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 411615 */     // MIs[3] Operand 1
     /* 411615 */     // No operand predicates
     /* 411615 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 411617 */     // (AArch64udot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, (bitconvert:{ *:[v16i8] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx)))  =>  (UDOTlanev16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 411617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UDOTlanev16i8),
     /* 411620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 411622 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rd
     /* 411624 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 411626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 411630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 411633 */     GIR_RootConstrainSelectedInstOperands,
     /* 411634 */     // GIR_Coverage, 29,
     /* 411634 */     GIR_EraseRootFromParent_Done,
     /* 411635 */   // Label 8462: @411635
     /* 411635 */   GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(411654), // Rule ID 25 //
     /* 411640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasDotProd),
     /* 411643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411647 */     // (AArch64udot:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UDOTv16i8:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rd, V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 411647 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOTv16i8),
     /* 411652 */     GIR_RootConstrainSelectedInstOperands,
     /* 411653 */     // GIR_Coverage, 25,
     /* 411653 */     GIR_Done,
     /* 411654 */   // Label 8463: @411654
     /* 411654 */   GIM_Reject,
     /* 411655 */ // Label 8461: @411655
     /* 411655 */ GIM_Reject,
     /* 411656 */ // Label 8455: @411656
     /* 411656 */ GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(411684), // Rule ID 7629 //
     /* 411661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 411664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 411667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 411670 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 411673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 411677 */   // (AArch64udot:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2, nxv8i16:{ *:[nxv8i16] }:$Op3)  =>  (UDOT_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv8i16] }:$Op2, ?:{ *:[nxv8i16] }:$Op3)
     /* 411677 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZ_D),
     /* 411682 */   GIR_RootConstrainSelectedInstOperands,
     /* 411683 */   // GIR_Coverage, 7629,
     /* 411683 */   GIR_Done,
     /* 411684 */ // Label 8464: @411684
     /* 411684 */ GIM_Reject,
     /* 411685 */ // Label 8456: @411685
     /* 411685 */ GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(411713), // Rule ID 7628 //
     /* 411690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 411693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 411696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 411699 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 411702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 411706 */   // (AArch64udot:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2, nxv16i8:{ *:[nxv16i8] }:$Op3)  =>  (UDOT_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv16i8] }:$Op2, ?:{ *:[nxv16i8] }:$Op3)
     /* 411706 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UDOT_ZZZ_S),
     /* 411711 */   GIR_RootConstrainSelectedInstOperands,
     /* 411712 */   // GIR_Coverage, 7628,
     /* 411712 */   GIR_Done,
     /* 411713 */ // Label 8465: @411713
     /* 411713 */ GIM_Reject,
     /* 411714 */ // Label 8457: @411714
     /* 411714 */ GIM_Reject,
     /* 411715 */ // Label 144: @411715
     /* 411715 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(1), GIMT_Encode2(4), /*)*//*default:*//*Label 8469*/ GIMT_Encode4(411831),
     /* 411726 */ /*GILLT_s16*//*Label 8466*/ GIMT_Encode4(411738),
     /* 411730 */ /*GILLT_s32*//*Label 8467*/ GIMT_Encode4(411769),
     /* 411734 */ /*GILLT_s64*//*Label 8468*/ GIMT_Encode4(411800),
     /* 411738 */ // Label 8466: @411738
     /* 411738 */ GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(411768), // Rule ID 1669 //
     /* 411743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasFullFP16_HasNEONandIsStreamingSafe),
     /* 411746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 411749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 411753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR16RegClassID),
     /* 411757 */   // (AArch64uitof:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)  =>  (UCVTFv1i16:{ *:[f16] } FPR16:{ *:[f16] }:$Rn)
     /* 411757 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i16),
     /* 411762 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 411766 */   GIR_RootConstrainSelectedInstOperands,
     /* 411767 */   // GIR_Coverage, 1669,
     /* 411767 */   GIR_Done,
     /* 411768 */ // Label 8470: @411768
     /* 411768 */ GIM_Reject,
     /* 411769 */ // Label 8467: @411769
     /* 411769 */ GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(411799), // Rule ID 1668 //
     /* 411774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 411777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 411780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 411784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR32RegClassID),
     /* 411788 */   // (AArch64uitof:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)  =>  (UCVTFv1i32:{ *:[f32] } FPR32:{ *:[f32] }:$Rn)
     /* 411788 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i32),
     /* 411793 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 411797 */   GIR_RootConstrainSelectedInstOperands,
     /* 411798 */   // GIR_Coverage, 1668,
     /* 411798 */   GIR_Done,
     /* 411799 */ // Label 8471: @411799
     /* 411799 */ GIM_Reject,
     /* 411800 */ // Label 8468: @411800
     /* 411800 */ GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(411830), // Rule ID 1667 //
     /* 411805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEONandIsStreamingSafe),
     /* 411808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 411811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 411819 */   // (AArch64uitof:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)  =>  (UCVTFv1i64:{ *:[f64] } FPR64:{ *:[f64] }:$Rn)
     /* 411819 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UCVTFv1i64),
     /* 411824 */   GIR_AddImplicitUse, /*InsnID*/0, GIMT_Encode2(AArch64::FPCR),
     /* 411828 */   GIR_RootConstrainSelectedInstOperands,
     /* 411829 */   // GIR_Coverage, 1667,
     /* 411829 */   GIR_Done,
     /* 411830 */ // Label 8472: @411830
     /* 411830 */ GIM_Reject,
     /* 411831 */ // Label 8469: @411831
     /* 411831 */ GIM_Reject,
     /* 411832 */ // Label 145: @411832
     /* 411832 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(11), /*)*//*default:*//*Label 8476*/ GIMT_Encode4(413064),
     /* 411843 */ /*GILLT_v2s64*//*Label 8473*/ GIMT_Encode4(411863), GIMT_Encode4(0),
     /* 411851 */ /*GILLT_v4s32*//*Label 8474*/ GIMT_Encode4(412424), GIMT_Encode4(0),
     /* 411859 */ /*GILLT_v8s16*//*Label 8475*/ GIMT_Encode4(412985),
     /* 411863 */ // Label 8473: @411863
     /* 411863 */ GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(412423),
     /* 411868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 411871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 411874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411878 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(411970), // Rule ID 2106 //
     /* 411883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 411886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 411890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 411894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 411898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 411902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 411906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 411910 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 411914 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 411919 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 411923 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 411927 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 411931 */     // MIs[3] Operand 1
     /* 411931 */     // No operand predicates
     /* 411931 */     // MIs[1] Operand 2
     /* 411931 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 411942 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 411944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 411951 */     // (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }))  =>  (UMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 411951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_indexed),
     /* 411954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 411956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 411961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 411965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 411968 */     GIR_RootConstrainSelectedInstOperands,
     /* 411969 */     // GIR_Coverage, 2106,
     /* 411969 */     GIR_EraseRootFromParent_Done,
     /* 411970 */   // Label 8478: @411970
     /* 411970 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(412062), // Rule ID 13510 //
     /* 411975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 411978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 411982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 411986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 411990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 411994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 411998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412002 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412011 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412015 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412019 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 412023 */     // MIs[3] Operand 1
     /* 412023 */     // No operand predicates
     /* 412023 */     // MIs[1] Operand 2
     /* 412023 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(2),
     /* 412034 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 412043 */     // (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 2:{ *:[i64] }), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn))  =>  (UMULLv4i32_indexed:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_indexed),
     /* 412046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 412053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412060 */     GIR_RootConstrainSelectedInstOperands,
     /* 412061 */     // GIR_Coverage, 13510,
     /* 412061 */     GIR_EraseRootFromParent_Done,
     /* 412062 */   // Label 8479: @412062
     /* 412062 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(412148), // Rule ID 13508 //
     /* 412067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 412078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 412090 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412094 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412103 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412107 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412111 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 412115 */     // MIs[3] Operand 1
     /* 412115 */     // No operand predicates
     /* 412115 */     // MIs[1] Operand 2
     /* 412115 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 412126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412130 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412132 */     // (AArch64umull:{ *:[v2i64] } (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }), V64:{ *:[v2i32] }:$Rn)  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 412135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412137 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 412139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412146 */     GIR_RootConstrainSelectedInstOperands,
     /* 412147 */     // GIR_Coverage, 13508,
     /* 412147 */     GIR_EraseRootFromParent_Done,
     /* 412148 */   // Label 8480: @412148
     /* 412148 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(412234), // Rule ID 2104 //
     /* 412153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 412168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 412180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412184 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412188 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412193 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412197 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412201 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 412205 */     // MIs[3] Operand 1
     /* 412205 */     // No operand predicates
     /* 412205 */     // MIs[1] Operand 2
     /* 412205 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 412216 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412218 */     // (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (extract_subvector:{ *:[v2i32] } (AArch64duplane32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), 0:{ *:[i64] }))  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 412221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412223 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 412225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412232 */     GIR_RootConstrainSelectedInstOperands,
     /* 412233 */     // GIR_Coverage, 2104,
     /* 412233 */     GIR_EraseRootFromParent_Done,
     /* 412234 */   // Label 8481: @412234
     /* 412234 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(412273), // Rule ID 1831 //
     /* 412239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 412249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v4i32),
     /* 412256 */     // (AArch64umull:{ *:[v2i64] } (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rn), (extract_high_v4i32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm))  =>  (UMULLv4i32_v2i64:{ *:[v2i64] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 412256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i32_v2i64),
     /* 412259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 412266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 412271 */     GIR_RootConstrainSelectedInstOperands,
     /* 412272 */     // GIR_Coverage, 1831,
     /* 412272 */     GIR_EraseRootFromParent_Done,
     /* 412273 */   // Label 8482: @412273
     /* 412273 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(412336), // Rule ID 13509 //
     /* 412278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 412289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412293 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 412297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 412306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412310 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 412314 */     // MIs[2] Operand 1
     /* 412314 */     // No operand predicates
     /* 412314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 412320 */     // (AArch64umull:{ *:[v2i64] } (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx), V64:{ *:[v2i32] }:$Rn)  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 412323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412325 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 412327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 412331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 412334 */     GIR_RootConstrainSelectedInstOperands,
     /* 412335 */     // GIR_Coverage, 13509,
     /* 412335 */     GIR_EraseRootFromParent_Done,
     /* 412336 */   // Label 8483: @412336
     /* 412336 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(412399), // Rule ID 2105 //
     /* 412341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE32),
     /* 412356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 412360 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 412364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 412373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412377 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexS),
     /* 412381 */     // MIs[2] Operand 1
     /* 412381 */     // No operand predicates
     /* 412381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 412383 */     // (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, (AArch64duplane32:{ *:[v2i32] } V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexS>>:$idx))  =>  (UMULLv2i32_indexed:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V128:{ *:[v4i32] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_indexed),
     /* 412386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412388 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 412390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 412394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 412397 */     GIR_RootConstrainSelectedInstOperands,
     /* 412398 */     // GIR_Coverage, 2105,
     /* 412398 */     GIR_EraseRootFromParent_Done,
     /* 412399 */   // Label 8484: @412399
     /* 412399 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(412422), // Rule ID 1830 //
     /* 412404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412415 */     // (AArch64umull:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UMULLv2i32_v2i64:{ *:[v2i64] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 412415 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULLv2i32_v2i64),
     /* 412420 */     GIR_RootConstrainSelectedInstOperands,
     /* 412421 */     // GIR_Coverage, 1830,
     /* 412421 */     GIR_Done,
     /* 412422 */   // Label 8485: @412422
     /* 412422 */   GIM_Reject,
     /* 412423 */ // Label 8477: @412423
     /* 412423 */ GIM_Reject,
     /* 412424 */ // Label 8474: @412424
     /* 412424 */ GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(412984),
     /* 412429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 412432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 412435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 412439 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(412531), // Rule ID 2103 //
     /* 412444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 412455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 412467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412471 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412475 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 412480 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412484 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412488 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 412492 */     // MIs[3] Operand 1
     /* 412492 */     // No operand predicates
     /* 412492 */     // MIs[1] Operand 2
     /* 412492 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 412503 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 412512 */     // (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }))  =>  (UMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_indexed),
     /* 412515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 412522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412529 */     GIR_RootConstrainSelectedInstOperands,
     /* 412530 */     // GIR_Coverage, 2103,
     /* 412530 */     GIR_EraseRootFromParent_Done,
     /* 412531 */   // Label 8487: @412531
     /* 412531 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(412623), // Rule ID 13507 //
     /* 412536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 412547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 412559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412563 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412567 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 412572 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412576 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412580 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 412584 */     // MIs[3] Operand 1
     /* 412584 */     // No operand predicates
     /* 412584 */     // MIs[1] Operand 2
     /* 412584 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4),
     /* 412595 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 412604 */     // (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 4:{ *:[i64] }), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn))  =>  (UMULLv8i16_indexed:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_indexed),
     /* 412607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 412614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412621 */     GIR_RootConstrainSelectedInstOperands,
     /* 412622 */     // GIR_Coverage, 13507,
     /* 412622 */     GIR_EraseRootFromParent_Done,
     /* 412623 */   // Label 8488: @412623
     /* 412623 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(412709), // Rule ID 13505 //
     /* 412628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 412639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 412651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412655 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412659 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 412664 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412668 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412672 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 412676 */     // MIs[3] Operand 1
     /* 412676 */     // No operand predicates
     /* 412676 */     // MIs[1] Operand 2
     /* 412676 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 412687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412691 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412693 */     // (AArch64umull:{ *:[v4i32] } (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }), V64:{ *:[v4i16] }:$Rn)  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 412696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412698 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 412700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412707 */     GIR_RootConstrainSelectedInstOperands,
     /* 412708 */     // GIR_Coverage, 13505,
     /* 412708 */     GIR_EraseRootFromParent_Done,
     /* 412709 */   // Label 8489: @412709
     /* 412709 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(412795), // Rule ID 2101 //
     /* 412714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_EXTRACT_SUBVECTOR),
     /* 412729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /* 412737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 412741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412745 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /* 412749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 412754 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /* 412758 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412762 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 412766 */     // MIs[3] Operand 1
     /* 412766 */     // No operand predicates
     /* 412766 */     // MIs[1] Operand 2
     /* 412766 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(0),
     /* 412777 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /* 412779 */     // (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (extract_subvector:{ *:[v4i16] } (AArch64duplane16:{ *:[v8i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), 0:{ *:[i64] }))  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 412782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412784 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 412786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // Rm
     /* 412790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // idx
     /* 412793 */     GIR_RootConstrainSelectedInstOperands,
     /* 412794 */     // GIR_Coverage, 2101,
     /* 412794 */     GIR_EraseRootFromParent_Done,
     /* 412795 */   // Label 8490: @412795
     /* 412795 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(412834), // Rule ID 1829 //
     /* 412800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 412810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v8i16),
     /* 412817 */     // (AArch64umull:{ *:[v4i32] } (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rn), (extract_high_v8i16:{ *:[v4i16] } V128:{ *:[v8i16] }:$Rm))  =>  (UMULLv8i16_v4i32:{ *:[v4i32] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 412817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i16_v4i32),
     /* 412820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 412827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 412832 */     GIR_RootConstrainSelectedInstOperands,
     /* 412833 */     // GIR_Coverage, 1829,
     /* 412833 */     GIR_EraseRootFromParent_Done,
     /* 412834 */   // Label 8491: @412834
     /* 412834 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(412897), // Rule ID 13506 //
     /* 412839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 412846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 412850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 412858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 412863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 412867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412871 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 412875 */     // MIs[2] Operand 1
     /* 412875 */     // No operand predicates
     /* 412875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 412881 */     // (AArch64umull:{ *:[v4i32] } (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx), V64:{ *:[v4i16] }:$Rn)  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 412884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412886 */     GIR_RootToRootCopy, /*OpIdx*/2, // Rn
     /* 412888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 412892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 412895 */     GIR_RootConstrainSelectedInstOperands,
     /* 412896 */     // GIR_Coverage, 13506,
     /* 412896 */     GIR_EraseRootFromParent_Done,
     /* 412897 */   // Label 8492: @412897
     /* 412897 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(412960), // Rule ID 2102 //
     /* 412902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 412913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(AArch64::G_DUPLANE16),
     /* 412917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 412921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 412925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128_loRegClassID),
     /* 412930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /* 412934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 412938 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_VectorIndexH),
     /* 412942 */     // MIs[2] Operand 1
     /* 412942 */     // No operand predicates
     /* 412942 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 412944 */     // (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, (AArch64duplane16:{ *:[v4i16] } V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] })<<P:Predicate_VectorIndexH>>:$idx))  =>  (UMULLv4i16_indexed:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V128_lo:{ *:[v8i16] }:$Rm, (imm:{ *:[i64] }):$idx)
     /* 412944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_indexed),
     /* 412947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 412949 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 412951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // Rm
     /* 412955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // idx
     /* 412958 */     GIR_RootConstrainSelectedInstOperands,
     /* 412959 */     // GIR_Coverage, 2102,
     /* 412959 */     GIR_EraseRootFromParent_Done,
     /* 412960 */   // Label 8493: @412960
     /* 412960 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(412983), // Rule ID 1828 //
     /* 412965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 412968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 412976 */     // (AArch64umull:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UMULLv4i16_v4i32:{ *:[v4i32] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 412976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULLv4i16_v4i32),
     /* 412981 */     GIR_RootConstrainSelectedInstOperands,
     /* 412982 */     // GIR_Coverage, 1828,
     /* 412982 */     GIR_Done,
     /* 412983 */   // Label 8494: @412983
     /* 412983 */   GIM_Reject,
     /* 412984 */ // Label 8486: @412984
     /* 412984 */ GIM_Reject,
     /* 412985 */ // Label 8475: @412985
     /* 412985 */ GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(413063),
     /* 412990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 412993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 412996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413000 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(413039), // Rule ID 1827 //
     /* 413005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 413015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_extract_high_v16i8),
     /* 413022 */     // (AArch64umull:{ *:[v8i16] } (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rn), (extract_high_v16i8:{ *:[v8i8] } V128:{ *:[v16i8] }:$Rm))  =>  (UMULLv16i8_v8i16:{ *:[v8i16] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 413022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::UMULLv16i8_v8i16),
     /* 413025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 413027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // Rn
     /* 413032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // Rm
     /* 413037 */     GIR_RootConstrainSelectedInstOperands,
     /* 413038 */     // GIR_Coverage, 1827,
     /* 413038 */     GIR_EraseRootFromParent_Done,
     /* 413039 */   // Label 8496: @413039
     /* 413039 */   GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(413062), // Rule ID 1826 //
     /* 413044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413055 */     // (AArch64umull:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UMULLv8i8_v8i16:{ *:[v8i16] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 413055 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UMULLv8i8_v8i16),
     /* 413060 */     GIR_RootConstrainSelectedInstOperands,
     /* 413061 */     // GIR_Coverage, 1826,
     /* 413061 */     GIR_Done,
     /* 413062 */   // Label 8497: @413062
     /* 413062 */   GIM_Reject,
     /* 413063 */ // Label 8495: @413063
     /* 413063 */ GIM_Reject,
     /* 413064 */ // Label 8476: @413064
     /* 413064 */ GIM_Reject,
     /* 413065 */ // Label 146: @413065
     /* 413065 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8516*/ GIMT_Encode4(413844),
     /* 413076 */ /*GILLT_v2s32*//*Label 8498*/ GIMT_Encode4(413152),
     /* 413080 */ /*GILLT_v2s64*//*Label 8499*/ GIMT_Encode4(413207),
     /* 413084 */ /*GILLT_v4s16*//*Label 8500*/ GIMT_Encode4(413262),
     /* 413088 */ /*GILLT_v4s32*//*Label 8501*/ GIMT_Encode4(413317),
     /* 413092 */ /*GILLT_v8s8*//*Label 8502*/ GIMT_Encode4(413372),
     /* 413096 */ /*GILLT_v8s16*//*Label 8503*/ GIMT_Encode4(413406),
     /* 413100 */ /*GILLT_v16s8*//*Label 8504*/ GIMT_Encode4(413461), GIMT_Encode4(0),
     /* 413108 */ /*GILLT_nxv2s1*//*Label 8505*/ GIMT_Encode4(413495),
     /* 413112 */ /*GILLT_nxv2s16*//*Label 8506*/ GIMT_Encode4(413521),
     /* 413116 */ /*GILLT_nxv2s32*//*Label 8507*/ GIMT_Encode4(413547),
     /* 413120 */ /*GILLT_nxv2s64*//*Label 8508*/ GIMT_Encode4(413573),
     /* 413124 */ /*GILLT_nxv4s1*//*Label 8509*/ GIMT_Encode4(413620),
     /* 413128 */ /*GILLT_nxv4s16*//*Label 8510*/ GIMT_Encode4(413646),
     /* 413132 */ /*GILLT_nxv4s32*//*Label 8511*/ GIMT_Encode4(413672),
     /* 413136 */ /*GILLT_nxv8s1*//*Label 8512*/ GIMT_Encode4(413719),
     /* 413140 */ /*GILLT_nxv8s16*//*Label 8513*/ GIMT_Encode4(413745),
     /* 413144 */ /*GILLT_nxv16s1*//*Label 8514*/ GIMT_Encode4(413792),
     /* 413148 */ /*GILLT_nxv16s8*//*Label 8515*/ GIMT_Encode4(413818),
     /* 413152 */ // Label 8498: @413152
     /* 413152 */ GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(413206),
     /* 413157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 413160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 413163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413175 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(413190), // Rule ID 1888 //
     /* 413180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413183 */     // (AArch64uzp1:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UZP1v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 413183 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i32),
     /* 413188 */     GIR_RootConstrainSelectedInstOperands,
     /* 413189 */     // GIR_Coverage, 1888,
     /* 413189 */     GIR_Done,
     /* 413190 */   // Label 8518: @413190
     /* 413190 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(413205), // Rule ID 5474 //
     /* 413195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413198 */     // (AArch64uzp1:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (UZP1v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 413198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i32),
     /* 413203 */     GIR_RootConstrainSelectedInstOperands,
     /* 413204 */     // GIR_Coverage, 5474,
     /* 413204 */     GIR_Done,
     /* 413205 */   // Label 8519: @413205
     /* 413205 */   GIM_Reject,
     /* 413206 */ // Label 8517: @413206
     /* 413206 */ GIM_Reject,
     /* 413207 */ // Label 8499: @413207
     /* 413207 */ GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(413261),
     /* 413212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 413215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 413218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413230 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(413245), // Rule ID 1890 //
     /* 413235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413238 */     // (AArch64uzp1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UZP1v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 413238 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i64),
     /* 413243 */     GIR_RootConstrainSelectedInstOperands,
     /* 413244 */     // GIR_Coverage, 1890,
     /* 413244 */     GIR_Done,
     /* 413245 */   // Label 8521: @413245
     /* 413245 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(413260), // Rule ID 5476 //
     /* 413250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413253 */     // (AArch64uzp1:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (UZP1v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 413253 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v2i64),
     /* 413258 */     GIR_RootConstrainSelectedInstOperands,
     /* 413259 */     // GIR_Coverage, 5476,
     /* 413259 */     GIR_Done,
     /* 413260 */   // Label 8522: @413260
     /* 413260 */   GIM_Reject,
     /* 413261 */ // Label 8520: @413261
     /* 413261 */ GIM_Reject,
     /* 413262 */ // Label 8500: @413262
     /* 413262 */ GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(413316),
     /* 413267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 413270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 413273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413281 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413285 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(413300), // Rule ID 1886 //
     /* 413290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413293 */     // (AArch64uzp1:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UZP1v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 413293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i16),
     /* 413298 */     GIR_RootConstrainSelectedInstOperands,
     /* 413299 */     // GIR_Coverage, 1886,
     /* 413299 */     GIR_Done,
     /* 413300 */   // Label 8524: @413300
     /* 413300 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(413315), // Rule ID 5472 //
     /* 413305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413308 */     // (AArch64uzp1:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (UZP1v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 413308 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i16),
     /* 413313 */     GIR_RootConstrainSelectedInstOperands,
     /* 413314 */     // GIR_Coverage, 5472,
     /* 413314 */     GIR_Done,
     /* 413315 */   // Label 8525: @413315
     /* 413315 */   GIM_Reject,
     /* 413316 */ // Label 8523: @413316
     /* 413316 */ GIM_Reject,
     /* 413317 */ // Label 8501: @413317
     /* 413317 */ GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(413371),
     /* 413322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 413325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 413328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413340 */   GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(413355), // Rule ID 1889 //
     /* 413345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413348 */     // (AArch64uzp1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP1v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 413348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /* 413353 */     GIR_RootConstrainSelectedInstOperands,
     /* 413354 */     // GIR_Coverage, 1889,
     /* 413354 */     GIR_Done,
     /* 413355 */   // Label 8527: @413355
     /* 413355 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(413370), // Rule ID 5475 //
     /* 413360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413363 */     // (AArch64uzp1:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (UZP1v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 413363 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v4i32),
     /* 413368 */     GIR_RootConstrainSelectedInstOperands,
     /* 413369 */     // GIR_Coverage, 5475,
     /* 413369 */     GIR_Done,
     /* 413370 */   // Label 8528: @413370
     /* 413370 */   GIM_Reject,
     /* 413371 */ // Label 8526: @413371
     /* 413371 */ GIM_Reject,
     /* 413372 */ // Label 8502: @413372
     /* 413372 */ GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(413405), // Rule ID 1884 //
     /* 413377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 413383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 413386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413398 */   // (AArch64uzp1:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UZP1v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 413398 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i8),
     /* 413403 */   GIR_RootConstrainSelectedInstOperands,
     /* 413404 */   // GIR_Coverage, 1884,
     /* 413404 */   GIR_Done,
     /* 413405 */ // Label 8529: @413405
     /* 413405 */ GIM_Reject,
     /* 413406 */ // Label 8503: @413406
     /* 413406 */ GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(413460),
     /* 413411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 413414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 413417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413429 */   GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(413444), // Rule ID 1887 //
     /* 413434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413437 */     // (AArch64uzp1:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP1v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 413437 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /* 413442 */     GIR_RootConstrainSelectedInstOperands,
     /* 413443 */     // GIR_Coverage, 1887,
     /* 413443 */     GIR_Done,
     /* 413444 */   // Label 8531: @413444
     /* 413444 */   GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(413459), // Rule ID 5473 //
     /* 413449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413452 */     // (AArch64uzp1:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (UZP1v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 413452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v8i16),
     /* 413457 */     GIR_RootConstrainSelectedInstOperands,
     /* 413458 */     // GIR_Coverage, 5473,
     /* 413458 */     GIR_Done,
     /* 413459 */   // Label 8532: @413459
     /* 413459 */   GIM_Reject,
     /* 413460 */ // Label 8530: @413460
     /* 413460 */ GIM_Reject,
     /* 413461 */ // Label 8504: @413461
     /* 413461 */ GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(413494), // Rule ID 1885 //
     /* 413466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 413472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 413475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 413487 */   // (AArch64uzp1:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP1v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 413487 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1v16i8),
     /* 413492 */   GIR_RootConstrainSelectedInstOperands,
     /* 413493 */   // GIR_Coverage, 1885,
     /* 413493 */   GIR_Done,
     /* 413494 */ // Label 8533: @413494
     /* 413494 */ GIM_Reject,
     /* 413495 */ // Label 8505: @413495
     /* 413495 */ GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(413520), // Rule ID 8937 //
     /* 413500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 413506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 413509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 413513 */   // (AArch64uzp1:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UZP1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 413513 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_D),
     /* 413518 */   GIR_RootConstrainSelectedInstOperands,
     /* 413519 */   // GIR_Coverage, 8937,
     /* 413519 */   GIR_Done,
     /* 413520 */ // Label 8534: @413520
     /* 413520 */ GIM_Reject,
     /* 413521 */ // Label 8506: @413521
     /* 413521 */ GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(413546), // Rule ID 8899 //
     /* 413526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 413532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 413535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413539 */   // (AArch64uzp1:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 413539 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 413544 */   GIR_RootConstrainSelectedInstOperands,
     /* 413545 */   // GIR_Coverage, 8899,
     /* 413545 */   GIR_Done,
     /* 413546 */ // Label 8535: @413546
     /* 413546 */ GIM_Reject,
     /* 413547 */ // Label 8507: @413547
     /* 413547 */ GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(413572), // Rule ID 8900 //
     /* 413552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 413558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 413561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413565 */   // (AArch64uzp1:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 413565 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 413570 */   GIR_RootConstrainSelectedInstOperands,
     /* 413571 */   // GIR_Coverage, 8900,
     /* 413571 */   GIR_Done,
     /* 413572 */ // Label 8536: @413572
     /* 413572 */ GIM_Reject,
     /* 413573 */ // Label 8508: @413573
     /* 413573 */ GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(413619),
     /* 413578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 413581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 413584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413588 */   GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(413603), // Rule ID 8895 //
     /* 413593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413596 */     // (AArch64uzp1:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 413596 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 413601 */     GIR_RootConstrainSelectedInstOperands,
     /* 413602 */     // GIR_Coverage, 8895,
     /* 413602 */     GIR_Done,
     /* 413603 */   // Label 8538: @413603
     /* 413603 */   GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(413618), // Rule ID 8901 //
     /* 413608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413611 */     // (AArch64uzp1:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 413611 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_D),
     /* 413616 */     GIR_RootConstrainSelectedInstOperands,
     /* 413617 */     // GIR_Coverage, 8901,
     /* 413617 */     GIR_Done,
     /* 413618 */   // Label 8539: @413618
     /* 413618 */   GIM_Reject,
     /* 413619 */ // Label 8537: @413619
     /* 413619 */ GIM_Reject,
     /* 413620 */ // Label 8509: @413620
     /* 413620 */ GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(413645), // Rule ID 8936 //
     /* 413625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 413631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 413634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 413638 */   // (AArch64uzp1:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UZP1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 413638 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_S),
     /* 413643 */   GIR_RootConstrainSelectedInstOperands,
     /* 413644 */   // GIR_Coverage, 8936,
     /* 413644 */   GIR_Done,
     /* 413645 */ // Label 8540: @413645
     /* 413645 */ GIM_Reject,
     /* 413646 */ // Label 8510: @413646
     /* 413646 */ GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(413671), // Rule ID 8897 //
     /* 413651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 413657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 413660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413664 */   // (AArch64uzp1:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 413664 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /* 413669 */   GIR_RootConstrainSelectedInstOperands,
     /* 413670 */   // GIR_Coverage, 8897,
     /* 413670 */   GIR_Done,
     /* 413671 */ // Label 8541: @413671
     /* 413671 */ GIM_Reject,
     /* 413672 */ // Label 8511: @413672
     /* 413672 */ GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(413718),
     /* 413677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 413680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 413683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413687 */   GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(413702), // Rule ID 8894 //
     /* 413692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413695 */     // (AArch64uzp1:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 413695 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /* 413700 */     GIR_RootConstrainSelectedInstOperands,
     /* 413701 */     // GIR_Coverage, 8894,
     /* 413701 */     GIR_Done,
     /* 413702 */   // Label 8543: @413702
     /* 413702 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(413717), // Rule ID 8898 //
     /* 413707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413710 */     // (AArch64uzp1:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 413710 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_S),
     /* 413715 */     GIR_RootConstrainSelectedInstOperands,
     /* 413716 */     // GIR_Coverage, 8898,
     /* 413716 */     GIR_Done,
     /* 413717 */   // Label 8544: @413717
     /* 413717 */   GIM_Reject,
     /* 413718 */ // Label 8542: @413718
     /* 413718 */ GIM_Reject,
     /* 413719 */ // Label 8512: @413719
     /* 413719 */ GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(413744), // Rule ID 8935 //
     /* 413724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 413730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 413733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 413737 */   // (AArch64uzp1:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UZP1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 413737 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_H),
     /* 413742 */   GIR_RootConstrainSelectedInstOperands,
     /* 413743 */   // GIR_Coverage, 8935,
     /* 413743 */   GIR_Done,
     /* 413744 */ // Label 8545: @413744
     /* 413744 */ GIM_Reject,
     /* 413745 */ // Label 8513: @413745
     /* 413745 */ GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(413791),
     /* 413750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 413753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 413756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413760 */   GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(413775), // Rule ID 8893 //
     /* 413765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413768 */     // (AArch64uzp1:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 413768 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_H),
     /* 413773 */     GIR_RootConstrainSelectedInstOperands,
     /* 413774 */     // GIR_Coverage, 8893,
     /* 413774 */     GIR_Done,
     /* 413775 */   // Label 8547: @413775
     /* 413775 */   GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(413790), // Rule ID 8896 //
     /* 413780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413783 */     // (AArch64uzp1:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 413783 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_H),
     /* 413788 */     GIR_RootConstrainSelectedInstOperands,
     /* 413789 */     // GIR_Coverage, 8896,
     /* 413789 */     GIR_Done,
     /* 413790 */   // Label 8548: @413790
     /* 413790 */   GIM_Reject,
     /* 413791 */ // Label 8546: @413791
     /* 413791 */ GIM_Reject,
     /* 413792 */ // Label 8514: @413792
     /* 413792 */ GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(413817), // Rule ID 2406 //
     /* 413797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 413803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 413806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 413810 */   // (AArch64uzp1:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP1_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 413810 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_PPP_B),
     /* 413815 */   GIR_RootConstrainSelectedInstOperands,
     /* 413816 */   // GIR_Coverage, 2406,
     /* 413816 */   GIR_Done,
     /* 413817 */ // Label 8549: @413817
     /* 413817 */ GIM_Reject,
     /* 413818 */ // Label 8515: @413818
     /* 413818 */ GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(413843), // Rule ID 8892 //
     /* 413823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 413826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 413829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 413832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 413836 */   // (AArch64uzp1:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 413836 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP1_ZZZ_B),
     /* 413841 */   GIR_RootConstrainSelectedInstOperands,
     /* 413842 */   // GIR_Coverage, 8892,
     /* 413842 */   GIR_Done,
     /* 413843 */ // Label 8550: @413843
     /* 413843 */ GIM_Reject,
     /* 413844 */ // Label 8516: @413844
     /* 413844 */ GIM_Reject,
     /* 413845 */ // Label 147: @413845
     /* 413845 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8569*/ GIMT_Encode4(414624),
     /* 413856 */ /*GILLT_v2s32*//*Label 8551*/ GIMT_Encode4(413932),
     /* 413860 */ /*GILLT_v2s64*//*Label 8552*/ GIMT_Encode4(413987),
     /* 413864 */ /*GILLT_v4s16*//*Label 8553*/ GIMT_Encode4(414042),
     /* 413868 */ /*GILLT_v4s32*//*Label 8554*/ GIMT_Encode4(414097),
     /* 413872 */ /*GILLT_v8s8*//*Label 8555*/ GIMT_Encode4(414152),
     /* 413876 */ /*GILLT_v8s16*//*Label 8556*/ GIMT_Encode4(414186),
     /* 413880 */ /*GILLT_v16s8*//*Label 8557*/ GIMT_Encode4(414241), GIMT_Encode4(0),
     /* 413888 */ /*GILLT_nxv2s1*//*Label 8558*/ GIMT_Encode4(414275),
     /* 413892 */ /*GILLT_nxv2s16*//*Label 8559*/ GIMT_Encode4(414301),
     /* 413896 */ /*GILLT_nxv2s32*//*Label 8560*/ GIMT_Encode4(414327),
     /* 413900 */ /*GILLT_nxv2s64*//*Label 8561*/ GIMT_Encode4(414353),
     /* 413904 */ /*GILLT_nxv4s1*//*Label 8562*/ GIMT_Encode4(414400),
     /* 413908 */ /*GILLT_nxv4s16*//*Label 8563*/ GIMT_Encode4(414426),
     /* 413912 */ /*GILLT_nxv4s32*//*Label 8564*/ GIMT_Encode4(414452),
     /* 413916 */ /*GILLT_nxv8s1*//*Label 8565*/ GIMT_Encode4(414499),
     /* 413920 */ /*GILLT_nxv8s16*//*Label 8566*/ GIMT_Encode4(414525),
     /* 413924 */ /*GILLT_nxv16s1*//*Label 8567*/ GIMT_Encode4(414572),
     /* 413928 */ /*GILLT_nxv16s8*//*Label 8568*/ GIMT_Encode4(414598),
     /* 413932 */ // Label 8551: @413932
     /* 413932 */ GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(413986),
     /* 413937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 413940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 413943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 413955 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(413970), // Rule ID 1895 //
     /* 413960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413963 */     // (AArch64uzp2:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (UZP2v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 413963 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i32),
     /* 413968 */     GIR_RootConstrainSelectedInstOperands,
     /* 413969 */     // GIR_Coverage, 1895,
     /* 413969 */     GIR_Done,
     /* 413970 */   // Label 8571: @413970
     /* 413970 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(413985), // Rule ID 5479 //
     /* 413975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 413978 */     // (AArch64uzp2:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (UZP2v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 413978 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i32),
     /* 413983 */     GIR_RootConstrainSelectedInstOperands,
     /* 413984 */     // GIR_Coverage, 5479,
     /* 413984 */     GIR_Done,
     /* 413985 */   // Label 8572: @413985
     /* 413985 */   GIM_Reject,
     /* 413986 */ // Label 8570: @413986
     /* 413986 */ GIM_Reject,
     /* 413987 */ // Label 8552: @413987
     /* 413987 */ GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(414041),
     /* 413992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 413995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 413998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414010 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(414025), // Rule ID 1897 //
     /* 414015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414018 */     // (AArch64uzp2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (UZP2v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 414018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i64),
     /* 414023 */     GIR_RootConstrainSelectedInstOperands,
     /* 414024 */     // GIR_Coverage, 1897,
     /* 414024 */     GIR_Done,
     /* 414025 */   // Label 8574: @414025
     /* 414025 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(414040), // Rule ID 5481 //
     /* 414030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414033 */     // (AArch64uzp2:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (UZP2v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 414033 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v2i64),
     /* 414038 */     GIR_RootConstrainSelectedInstOperands,
     /* 414039 */     // GIR_Coverage, 5481,
     /* 414039 */     GIR_Done,
     /* 414040 */   // Label 8575: @414040
     /* 414040 */   GIM_Reject,
     /* 414041 */ // Label 8573: @414041
     /* 414041 */ GIM_Reject,
     /* 414042 */ // Label 8553: @414042
     /* 414042 */ GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(414096),
     /* 414047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 414050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 414053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414061 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414065 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(414080), // Rule ID 1893 //
     /* 414070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414073 */     // (AArch64uzp2:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (UZP2v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 414073 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i16),
     /* 414078 */     GIR_RootConstrainSelectedInstOperands,
     /* 414079 */     // GIR_Coverage, 1893,
     /* 414079 */     GIR_Done,
     /* 414080 */   // Label 8577: @414080
     /* 414080 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(414095), // Rule ID 5477 //
     /* 414085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414088 */     // (AArch64uzp2:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (UZP2v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 414088 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i16),
     /* 414093 */     GIR_RootConstrainSelectedInstOperands,
     /* 414094 */     // GIR_Coverage, 5477,
     /* 414094 */     GIR_Done,
     /* 414095 */   // Label 8578: @414095
     /* 414095 */   GIM_Reject,
     /* 414096 */ // Label 8576: @414096
     /* 414096 */ GIM_Reject,
     /* 414097 */ // Label 8554: @414097
     /* 414097 */ GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(414151),
     /* 414102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 414105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 414108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414120 */   GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(414135), // Rule ID 1896 //
     /* 414125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414128 */     // (AArch64uzp2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 414128 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 414133 */     GIR_RootConstrainSelectedInstOperands,
     /* 414134 */     // GIR_Coverage, 1896,
     /* 414134 */     GIR_Done,
     /* 414135 */   // Label 8580: @414135
     /* 414135 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(414150), // Rule ID 5480 //
     /* 414140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414143 */     // (AArch64uzp2:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (UZP2v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 414143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v4i32),
     /* 414148 */     GIR_RootConstrainSelectedInstOperands,
     /* 414149 */     // GIR_Coverage, 5480,
     /* 414149 */     GIR_Done,
     /* 414150 */   // Label 8581: @414150
     /* 414150 */   GIM_Reject,
     /* 414151 */ // Label 8579: @414151
     /* 414151 */ GIM_Reject,
     /* 414152 */ // Label 8555: @414152
     /* 414152 */ GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(414185), // Rule ID 1891 //
     /* 414157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 414163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 414166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414174 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414178 */   // (AArch64uzp2:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (UZP2v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 414178 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i8),
     /* 414183 */   GIR_RootConstrainSelectedInstOperands,
     /* 414184 */   // GIR_Coverage, 1891,
     /* 414184 */   GIR_Done,
     /* 414185 */ // Label 8582: @414185
     /* 414185 */ GIM_Reject,
     /* 414186 */ // Label 8556: @414186
     /* 414186 */ GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(414240),
     /* 414191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 414194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 414197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414209 */   GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(414224), // Rule ID 1894 //
     /* 414214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414217 */     // (AArch64uzp2:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 414217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 414222 */     GIR_RootConstrainSelectedInstOperands,
     /* 414223 */     // GIR_Coverage, 1894,
     /* 414223 */     GIR_Done,
     /* 414224 */   // Label 8584: @414224
     /* 414224 */   GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(414239), // Rule ID 5478 //
     /* 414229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414232 */     // (AArch64uzp2:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (UZP2v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 414232 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v8i16),
     /* 414237 */     GIR_RootConstrainSelectedInstOperands,
     /* 414238 */     // GIR_Coverage, 5478,
     /* 414238 */     GIR_Done,
     /* 414239 */   // Label 8585: @414239
     /* 414239 */   GIM_Reject,
     /* 414240 */ // Label 8583: @414240
     /* 414240 */ GIM_Reject,
     /* 414241 */ // Label 8557: @414241
     /* 414241 */ GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(414274), // Rule ID 1892 //
     /* 414246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 414252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 414255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414267 */   // (AArch64uzp2:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (UZP2v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 414267 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2v16i8),
     /* 414272 */   GIR_RootConstrainSelectedInstOperands,
     /* 414273 */   // GIR_Coverage, 1892,
     /* 414273 */   GIR_Done,
     /* 414274 */ // Label 8586: @414274
     /* 414274 */ GIM_Reject,
     /* 414275 */ // Label 8558: @414275
     /* 414275 */ GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(414300), // Rule ID 8940 //
     /* 414280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 414286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 414289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 414293 */   // (AArch64uzp2:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (UZP2_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 414293 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_D),
     /* 414298 */   GIR_RootConstrainSelectedInstOperands,
     /* 414299 */   // GIR_Coverage, 8940,
     /* 414299 */   GIR_Done,
     /* 414300 */ // Label 8587: @414300
     /* 414300 */ GIM_Reject,
     /* 414301 */ // Label 8559: @414301
     /* 414301 */ GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(414326), // Rule ID 8909 //
     /* 414306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 414312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 414315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414319 */   // (AArch64uzp2:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 414319 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 414324 */   GIR_RootConstrainSelectedInstOperands,
     /* 414325 */   // GIR_Coverage, 8909,
     /* 414325 */   GIR_Done,
     /* 414326 */ // Label 8588: @414326
     /* 414326 */ GIM_Reject,
     /* 414327 */ // Label 8560: @414327
     /* 414327 */ GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(414352), // Rule ID 8910 //
     /* 414332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 414338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 414341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414345 */   // (AArch64uzp2:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 414345 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 414350 */   GIR_RootConstrainSelectedInstOperands,
     /* 414351 */   // GIR_Coverage, 8910,
     /* 414351 */   GIR_Done,
     /* 414352 */ // Label 8589: @414352
     /* 414352 */ GIM_Reject,
     /* 414353 */ // Label 8561: @414353
     /* 414353 */ GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(414399),
     /* 414358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 414361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 414364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414368 */   GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(414383), // Rule ID 8905 //
     /* 414373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414376 */     // (AArch64uzp2:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 414376 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 414381 */     GIR_RootConstrainSelectedInstOperands,
     /* 414382 */     // GIR_Coverage, 8905,
     /* 414382 */     GIR_Done,
     /* 414383 */   // Label 8591: @414383
     /* 414383 */   GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(414398), // Rule ID 8911 //
     /* 414388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414391 */     // (AArch64uzp2:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (UZP2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 414391 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_D),
     /* 414396 */     GIR_RootConstrainSelectedInstOperands,
     /* 414397 */     // GIR_Coverage, 8911,
     /* 414397 */     GIR_Done,
     /* 414398 */   // Label 8592: @414398
     /* 414398 */   GIM_Reject,
     /* 414399 */ // Label 8590: @414399
     /* 414399 */ GIM_Reject,
     /* 414400 */ // Label 8562: @414400
     /* 414400 */ GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(414425), // Rule ID 8939 //
     /* 414405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 414411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 414414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 414418 */   // (AArch64uzp2:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (UZP2_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 414418 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_S),
     /* 414423 */   GIR_RootConstrainSelectedInstOperands,
     /* 414424 */   // GIR_Coverage, 8939,
     /* 414424 */   GIR_Done,
     /* 414425 */ // Label 8593: @414425
     /* 414425 */ GIM_Reject,
     /* 414426 */ // Label 8563: @414426
     /* 414426 */ GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(414451), // Rule ID 8907 //
     /* 414431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 414437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 414440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414444 */   // (AArch64uzp2:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (UZP2_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 414444 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_S),
     /* 414449 */   GIR_RootConstrainSelectedInstOperands,
     /* 414450 */   // GIR_Coverage, 8907,
     /* 414450 */   GIR_Done,
     /* 414451 */ // Label 8594: @414451
     /* 414451 */ GIM_Reject,
     /* 414452 */ // Label 8564: @414452
     /* 414452 */ GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(414498),
     /* 414457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 414460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 414463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414467 */   GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(414482), // Rule ID 8904 //
     /* 414472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414475 */     // (AArch64uzp2:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (UZP2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 414475 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_S),
     /* 414480 */     GIR_RootConstrainSelectedInstOperands,
     /* 414481 */     // GIR_Coverage, 8904,
     /* 414481 */     GIR_Done,
     /* 414482 */   // Label 8596: @414482
     /* 414482 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(414497), // Rule ID 8908 //
     /* 414487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414490 */     // (AArch64uzp2:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (UZP2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 414490 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_S),
     /* 414495 */     GIR_RootConstrainSelectedInstOperands,
     /* 414496 */     // GIR_Coverage, 8908,
     /* 414496 */     GIR_Done,
     /* 414497 */   // Label 8597: @414497
     /* 414497 */   GIM_Reject,
     /* 414498 */ // Label 8595: @414498
     /* 414498 */ GIM_Reject,
     /* 414499 */ // Label 8565: @414499
     /* 414499 */ GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(414524), // Rule ID 8938 //
     /* 414504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 414510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 414513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 414517 */   // (AArch64uzp2:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (UZP2_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 414517 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_H),
     /* 414522 */   GIR_RootConstrainSelectedInstOperands,
     /* 414523 */   // GIR_Coverage, 8938,
     /* 414523 */   GIR_Done,
     /* 414524 */ // Label 8598: @414524
     /* 414524 */ GIM_Reject,
     /* 414525 */ // Label 8566: @414525
     /* 414525 */ GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(414571),
     /* 414530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 414533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 414536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414540 */   GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(414555), // Rule ID 8903 //
     /* 414545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414548 */     // (AArch64uzp2:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (UZP2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 414548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_H),
     /* 414553 */     GIR_RootConstrainSelectedInstOperands,
     /* 414554 */     // GIR_Coverage, 8903,
     /* 414554 */     GIR_Done,
     /* 414555 */   // Label 8600: @414555
     /* 414555 */   GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(414570), // Rule ID 8906 //
     /* 414560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414563 */     // (AArch64uzp2:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (UZP2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 414563 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_H),
     /* 414568 */     GIR_RootConstrainSelectedInstOperands,
     /* 414569 */     // GIR_Coverage, 8906,
     /* 414569 */     GIR_Done,
     /* 414570 */   // Label 8601: @414570
     /* 414570 */   GIM_Reject,
     /* 414571 */ // Label 8599: @414571
     /* 414571 */ GIM_Reject,
     /* 414572 */ // Label 8567: @414572
     /* 414572 */ GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(414597), // Rule ID 2410 //
     /* 414577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 414583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 414586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 414590 */   // (AArch64uzp2:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (UZP2_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 414590 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_PPP_B),
     /* 414595 */   GIR_RootConstrainSelectedInstOperands,
     /* 414596 */   // GIR_Coverage, 2410,
     /* 414596 */   GIR_Done,
     /* 414597 */ // Label 8602: @414597
     /* 414597 */ GIM_Reject,
     /* 414598 */ // Label 8568: @414598
     /* 414598 */ GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(414623), // Rule ID 8902 //
     /* 414603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 414606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 414609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 414612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 414616 */   // (AArch64uzp2:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (UZP2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 414616 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::UZP2_ZZZ_B),
     /* 414621 */   GIR_RootConstrainSelectedInstOperands,
     /* 414622 */   // GIR_Coverage, 8902,
     /* 414622 */   GIR_Done,
     /* 414623 */ // Label 8603: @414623
     /* 414623 */ GIM_Reject,
     /* 414624 */ // Label 8569: @414624
     /* 414624 */ GIM_Reject,
     /* 414625 */ // Label 148: @414625
     /* 414625 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 8612*/ GIMT_Encode4(415322),
     /* 414636 */ /*GILLT_s64*//*Label 8604*/ GIMT_Encode4(414672), GIMT_Encode4(0),
     /* 414644 */ /*GILLT_v2s32*//*Label 8605*/ GIMT_Encode4(414783),
     /* 414648 */ /*GILLT_v2s64*//*Label 8606*/ GIMT_Encode4(414860),
     /* 414652 */ /*GILLT_v4s16*//*Label 8607*/ GIMT_Encode4(414937),
     /* 414656 */ /*GILLT_v4s32*//*Label 8608*/ GIMT_Encode4(415014),
     /* 414660 */ /*GILLT_v8s8*//*Label 8609*/ GIMT_Encode4(415091),
     /* 414664 */ /*GILLT_v8s16*//*Label 8610*/ GIMT_Encode4(415168),
     /* 414668 */ /*GILLT_v16s8*//*Label 8611*/ GIMT_Encode4(415245),
     /* 414672 */ // Label 8604: @414672
     /* 414672 */ GIM_Try, /*On fail goto*//*Label 8613*/ GIMT_Encode4(414782),
     /* 414677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 414680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414688 */   GIM_Try, /*On fail goto*//*Label 8614*/ GIMT_Encode4(414713), // Rule ID 5251 //
     /* 414693 */     // MIs[0] Operand 2
     /* 414693 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(63),
     /* 414704 */     // (AArch64vashr:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn, 63:{ *:[i32] })  =>  (CMLTv1i64rz:{ *:[v1i64] } V64:{ *:[v1i64] }:$Rn)
     /* 414704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv1i64rz),
     /* 414707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 414709 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 414711 */     GIR_RootConstrainSelectedInstOperands,
     /* 414712 */     // GIR_Coverage, 5251,
     /* 414712 */     GIR_EraseRootFromParent_Done,
     /* 414713 */   // Label 8614: @414713
     /* 414713 */   GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(414747), // Rule ID 2120 //
     /* 414718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414721 */     // MIs[0] imm
     /* 414721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 414725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 414729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 414733 */     // MIs[1] Operand 1
     /* 414733 */     // No operand predicates
     /* 414733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 414735 */     // (AArch64vashr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SSHRd:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 414735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRd),
     /* 414738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 414740 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 414742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 414745 */     GIR_RootConstrainSelectedInstOperands,
     /* 414746 */     // GIR_Coverage, 2120,
     /* 414746 */     GIR_EraseRootFromParent_Done,
     /* 414747 */   // Label 8615: @414747
     /* 414747 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(414781), // Rule ID 6289 //
     /* 414752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414755 */     // MIs[0] imm
     /* 414755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 414759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 414763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 414767 */     // MIs[1] Operand 1
     /* 414767 */     // No operand predicates
     /* 414767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 414769 */     // (AArch64vashr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SSHRd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 414769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRd),
     /* 414772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 414774 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 414776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 414779 */     GIR_RootConstrainSelectedInstOperands,
     /* 414780 */     // GIR_Coverage, 6289,
     /* 414780 */     GIR_EraseRootFromParent_Done,
     /* 414781 */   // Label 8616: @414781
     /* 414781 */   GIM_Reject,
     /* 414782 */ // Label 8613: @414782
     /* 414782 */ GIM_Reject,
     /* 414783 */ // Label 8605: @414783
     /* 414783 */ GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(414859),
     /* 414788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 414791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414799 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(414824), // Rule ID 4892 //
     /* 414804 */     // MIs[0] Operand 2
     /* 414804 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(31),
     /* 414815 */     // (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, 31:{ *:[i32] })  =>  (CMLTv2i32rz:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn)
     /* 414815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i32rz),
     /* 414818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 414820 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 414822 */     GIR_RootConstrainSelectedInstOperands,
     /* 414823 */     // GIR_Coverage, 4892,
     /* 414823 */     GIR_EraseRootFromParent_Done,
     /* 414824 */   // Label 8618: @414824
     /* 414824 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(414858), // Rule ID 2227 //
     /* 414829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414832 */     // MIs[0] imm
     /* 414832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 414836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 414840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 414844 */     // MIs[1] Operand 1
     /* 414844 */     // No operand predicates
     /* 414844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 414846 */     // (AArch64vashr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SSHRv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 414846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv2i32_shift),
     /* 414849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 414851 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 414853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 414856 */     GIR_RootConstrainSelectedInstOperands,
     /* 414857 */     // GIR_Coverage, 2227,
     /* 414857 */     GIR_EraseRootFromParent_Done,
     /* 414858 */   // Label 8619: @414858
     /* 414858 */   GIM_Reject,
     /* 414859 */ // Label 8617: @414859
     /* 414859 */ GIM_Reject,
     /* 414860 */ // Label 8606: @414860
     /* 414860 */ GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(414936),
     /* 414865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 414868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 414876 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(414901), // Rule ID 4896 //
     /* 414881 */     // MIs[0] Operand 2
     /* 414881 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(63),
     /* 414892 */     // (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, 63:{ *:[i32] })  =>  (CMLTv2i64rz:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn)
     /* 414892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv2i64rz),
     /* 414895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 414897 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 414899 */     GIR_RootConstrainSelectedInstOperands,
     /* 414900 */     // GIR_Coverage, 4896,
     /* 414900 */     GIR_EraseRootFromParent_Done,
     /* 414901 */   // Label 8621: @414901
     /* 414901 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(414935), // Rule ID 2229 //
     /* 414906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414909 */     // MIs[0] imm
     /* 414909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 414913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 414917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 414921 */     // MIs[1] Operand 1
     /* 414921 */     // No operand predicates
     /* 414921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 414923 */     // (AArch64vashr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (SSHRv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 414923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv2i64_shift),
     /* 414926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 414928 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 414930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 414933 */     GIR_RootConstrainSelectedInstOperands,
     /* 414934 */     // GIR_Coverage, 2229,
     /* 414934 */     GIR_EraseRootFromParent_Done,
     /* 414935 */   // Label 8622: @414935
     /* 414935 */   GIM_Reject,
     /* 414936 */ // Label 8620: @414936
     /* 414936 */ GIM_Reject,
     /* 414937 */ // Label 8607: @414937
     /* 414937 */ GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(415013),
     /* 414942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 414945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 414953 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(414978), // Rule ID 4891 //
     /* 414958 */     // MIs[0] Operand 2
     /* 414958 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(15),
     /* 414969 */     // (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, 15:{ *:[i32] })  =>  (CMLTv4i16rz:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn)
     /* 414969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i16rz),
     /* 414972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 414974 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 414976 */     GIR_RootConstrainSelectedInstOperands,
     /* 414977 */     // GIR_Coverage, 4891,
     /* 414977 */     GIR_EraseRootFromParent_Done,
     /* 414978 */   // Label 8624: @414978
     /* 414978 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(415012), // Rule ID 2225 //
     /* 414983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 414986 */     // MIs[0] imm
     /* 414986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 414990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 414994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 414998 */     // MIs[1] Operand 1
     /* 414998 */     // No operand predicates
     /* 414998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415000 */     // (AArch64vashr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SSHRv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv4i16_shift),
     /* 415003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415005 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415010 */     GIR_RootConstrainSelectedInstOperands,
     /* 415011 */     // GIR_Coverage, 2225,
     /* 415011 */     GIR_EraseRootFromParent_Done,
     /* 415012 */   // Label 8625: @415012
     /* 415012 */   GIM_Reject,
     /* 415013 */ // Label 8623: @415013
     /* 415013 */ GIM_Reject,
     /* 415014 */ // Label 8608: @415014
     /* 415014 */ GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(415090),
     /* 415019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 415022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415030 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(415055), // Rule ID 4895 //
     /* 415035 */     // MIs[0] Operand 2
     /* 415035 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(31),
     /* 415046 */     // (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, 31:{ *:[i32] })  =>  (CMLTv4i32rz:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn)
     /* 415046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv4i32rz),
     /* 415049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415051 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415053 */     GIR_RootConstrainSelectedInstOperands,
     /* 415054 */     // GIR_Coverage, 4895,
     /* 415054 */     GIR_EraseRootFromParent_Done,
     /* 415055 */   // Label 8627: @415055
     /* 415055 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(415089), // Rule ID 2228 //
     /* 415060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415063 */     // MIs[0] imm
     /* 415063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 415075 */     // MIs[1] Operand 1
     /* 415075 */     // No operand predicates
     /* 415075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415077 */     // (AArch64vashr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (SSHRv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv4i32_shift),
     /* 415080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415082 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415087 */     GIR_RootConstrainSelectedInstOperands,
     /* 415088 */     // GIR_Coverage, 2228,
     /* 415088 */     GIR_EraseRootFromParent_Done,
     /* 415089 */   // Label 8628: @415089
     /* 415089 */   GIM_Reject,
     /* 415090 */ // Label 8626: @415090
     /* 415090 */ GIM_Reject,
     /* 415091 */ // Label 8609: @415091
     /* 415091 */ GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(415167),
     /* 415096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 415099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415107 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(415132), // Rule ID 4890 //
     /* 415112 */     // MIs[0] Operand 2
     /* 415112 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 415123 */     // (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, 7:{ *:[i32] })  =>  (CMLTv8i8rz:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn)
     /* 415123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i8rz),
     /* 415126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415128 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415130 */     GIR_RootConstrainSelectedInstOperands,
     /* 415131 */     // GIR_Coverage, 4890,
     /* 415131 */     GIR_EraseRootFromParent_Done,
     /* 415132 */   // Label 8630: @415132
     /* 415132 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(415166), // Rule ID 2223 //
     /* 415137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415140 */     // MIs[0] imm
     /* 415140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 415152 */     // MIs[1] Operand 1
     /* 415152 */     // No operand predicates
     /* 415152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415154 */     // (AArch64vashr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (SSHRv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv8i8_shift),
     /* 415157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415159 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415164 */     GIR_RootConstrainSelectedInstOperands,
     /* 415165 */     // GIR_Coverage, 2223,
     /* 415165 */     GIR_EraseRootFromParent_Done,
     /* 415166 */   // Label 8631: @415166
     /* 415166 */   GIM_Reject,
     /* 415167 */ // Label 8629: @415167
     /* 415167 */ GIM_Reject,
     /* 415168 */ // Label 8610: @415168
     /* 415168 */ GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(415244),
     /* 415173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 415176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415184 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(415209), // Rule ID 4894 //
     /* 415189 */     // MIs[0] Operand 2
     /* 415189 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(15),
     /* 415200 */     // (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, 15:{ *:[i32] })  =>  (CMLTv8i16rz:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn)
     /* 415200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv8i16rz),
     /* 415203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415205 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415207 */     GIR_RootConstrainSelectedInstOperands,
     /* 415208 */     // GIR_Coverage, 4894,
     /* 415208 */     GIR_EraseRootFromParent_Done,
     /* 415209 */   // Label 8633: @415209
     /* 415209 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(415243), // Rule ID 2226 //
     /* 415214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415217 */     // MIs[0] imm
     /* 415217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 415229 */     // MIs[1] Operand 1
     /* 415229 */     // No operand predicates
     /* 415229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415231 */     // (AArch64vashr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (SSHRv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv8i16_shift),
     /* 415234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415236 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415241 */     GIR_RootConstrainSelectedInstOperands,
     /* 415242 */     // GIR_Coverage, 2226,
     /* 415242 */     GIR_EraseRootFromParent_Done,
     /* 415243 */   // Label 8634: @415243
     /* 415243 */   GIM_Reject,
     /* 415244 */ // Label 8632: @415244
     /* 415244 */ GIM_Reject,
     /* 415245 */ // Label 8611: @415245
     /* 415245 */ GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(415321),
     /* 415250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 415253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415261 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(415286), // Rule ID 4893 //
     /* 415266 */     // MIs[0] Operand 2
     /* 415266 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(7),
     /* 415277 */     // (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, 7:{ *:[i32] })  =>  (CMLTv16i8rz:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn)
     /* 415277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::CMLTv16i8rz),
     /* 415280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415282 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415284 */     GIR_RootConstrainSelectedInstOperands,
     /* 415285 */     // GIR_Coverage, 4893,
     /* 415285 */     GIR_EraseRootFromParent_Done,
     /* 415286 */   // Label 8636: @415286
     /* 415286 */   GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(415320), // Rule ID 2224 //
     /* 415291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415294 */     // MIs[0] imm
     /* 415294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 415306 */     // MIs[1] Operand 1
     /* 415306 */     // No operand predicates
     /* 415306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415308 */     // (AArch64vashr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (SSHRv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::SSHRv16i8_shift),
     /* 415311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415313 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415318 */     GIR_RootConstrainSelectedInstOperands,
     /* 415319 */     // GIR_Coverage, 2224,
     /* 415319 */     GIR_EraseRootFromParent_Done,
     /* 415320 */   // Label 8637: @415320
     /* 415320 */   GIM_Reject,
     /* 415321 */ // Label 8635: @415321
     /* 415321 */ GIM_Reject,
     /* 415322 */ // Label 8612: @415322
     /* 415322 */ GIM_Reject,
     /* 415323 */ // Label 149: @415323
     /* 415323 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(12), /*)*//*default:*//*Label 8646*/ GIMT_Encode4(415778),
     /* 415334 */ /*GILLT_s64*//*Label 8638*/ GIMT_Encode4(415370), GIMT_Encode4(0),
     /* 415342 */ /*GILLT_v2s32*//*Label 8639*/ GIMT_Encode4(415456),
     /* 415346 */ /*GILLT_v2s64*//*Label 8640*/ GIMT_Encode4(415502),
     /* 415350 */ /*GILLT_v4s16*//*Label 8641*/ GIMT_Encode4(415548),
     /* 415354 */ /*GILLT_v4s32*//*Label 8642*/ GIMT_Encode4(415594),
     /* 415358 */ /*GILLT_v8s8*//*Label 8643*/ GIMT_Encode4(415640),
     /* 415362 */ /*GILLT_v8s16*//*Label 8644*/ GIMT_Encode4(415686),
     /* 415366 */ /*GILLT_v16s8*//*Label 8645*/ GIMT_Encode4(415732),
     /* 415370 */ // Label 8638: @415370
     /* 415370 */ GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(415455),
     /* 415375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 415378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415386 */   GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(415420), // Rule ID 2129 //
     /* 415391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415394 */     // MIs[0] imm
     /* 415394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 415406 */     // MIs[1] Operand 1
     /* 415406 */     // No operand predicates
     /* 415406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415408 */     // (AArch64vlshr:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (USHRd:{ *:[i64] } FPR64:{ *:[i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRd),
     /* 415411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415413 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415418 */     GIR_RootConstrainSelectedInstOperands,
     /* 415419 */     // GIR_Coverage, 2129,
     /* 415419 */     GIR_EraseRootFromParent_Done,
     /* 415420 */   // Label 8648: @415420
     /* 415420 */   GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(415454), // Rule ID 6292 //
     /* 415425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415428 */     // MIs[0] imm
     /* 415428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 415440 */     // MIs[1] Operand 1
     /* 415440 */     // No operand predicates
     /* 415440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415442 */     // (AArch64vlshr:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (USHRd:{ *:[v1i64] } FPR64:{ *:[v1i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)
     /* 415442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRd),
     /* 415445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415447 */     GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415452 */     GIR_RootConstrainSelectedInstOperands,
     /* 415453 */     // GIR_Coverage, 6292,
     /* 415453 */     GIR_EraseRootFromParent_Done,
     /* 415454 */   // Label 8649: @415454
     /* 415454 */   GIM_Reject,
     /* 415455 */ // Label 8647: @415455
     /* 415455 */ GIM_Reject,
     /* 415456 */ // Label 8639: @415456
     /* 415456 */ GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(415501), // Rule ID 2286 //
     /* 415461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 415467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415475 */   // MIs[0] imm
     /* 415475 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415479 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415483 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 415487 */   // MIs[1] Operand 1
     /* 415487 */   // No operand predicates
     /* 415487 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415489 */   // (AArch64vlshr:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (USHRv2i32_shift:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv2i32_shift),
     /* 415492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415494 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415496 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415499 */   GIR_RootConstrainSelectedInstOperands,
     /* 415500 */   // GIR_Coverage, 2286,
     /* 415500 */   GIR_EraseRootFromParent_Done,
     /* 415501 */ // Label 8650: @415501
     /* 415501 */ GIM_Reject,
     /* 415502 */ // Label 8640: @415502
     /* 415502 */ GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(415547), // Rule ID 2288 //
     /* 415507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 415513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415521 */   // MIs[0] imm
     /* 415521 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415525 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415529 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR64),
     /* 415533 */   // MIs[1] Operand 1
     /* 415533 */   // No operand predicates
     /* 415533 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415535 */   // (AArch64vlshr:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR64>>:$imm)  =>  (USHRv2i64_shift:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv2i64_shift),
     /* 415538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415540 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415542 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415545 */   GIR_RootConstrainSelectedInstOperands,
     /* 415546 */   // GIR_Coverage, 2288,
     /* 415546 */   GIR_EraseRootFromParent_Done,
     /* 415547 */ // Label 8651: @415547
     /* 415547 */ GIM_Reject,
     /* 415548 */ // Label 8641: @415548
     /* 415548 */ GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(415593), // Rule ID 2284 //
     /* 415553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 415559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415567 */   // MIs[0] imm
     /* 415567 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415571 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415575 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 415579 */   // MIs[1] Operand 1
     /* 415579 */   // No operand predicates
     /* 415579 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415581 */   // (AArch64vlshr:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (USHRv4i16_shift:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv4i16_shift),
     /* 415584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415586 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415588 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415591 */   GIR_RootConstrainSelectedInstOperands,
     /* 415592 */   // GIR_Coverage, 2284,
     /* 415592 */   GIR_EraseRootFromParent_Done,
     /* 415593 */ // Label 8652: @415593
     /* 415593 */ GIM_Reject,
     /* 415594 */ // Label 8642: @415594
     /* 415594 */ GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(415639), // Rule ID 2287 //
     /* 415599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 415605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415613 */   // MIs[0] imm
     /* 415613 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415617 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415621 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR32),
     /* 415625 */   // MIs[1] Operand 1
     /* 415625 */   // No operand predicates
     /* 415625 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415627 */   // (AArch64vlshr:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR32>>:$imm)  =>  (USHRv4i32_shift:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv4i32_shift),
     /* 415630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415632 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415634 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415637 */   GIR_RootConstrainSelectedInstOperands,
     /* 415638 */   // GIR_Coverage, 2287,
     /* 415638 */   GIR_EraseRootFromParent_Done,
     /* 415639 */ // Label 8653: @415639
     /* 415639 */ GIM_Reject,
     /* 415640 */ // Label 8643: @415640
     /* 415640 */ GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(415685), // Rule ID 2282 //
     /* 415645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 415651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415659 */   // MIs[0] imm
     /* 415659 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415663 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415667 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 415671 */   // MIs[1] Operand 1
     /* 415671 */   // No operand predicates
     /* 415671 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415673 */   // (AArch64vlshr:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (USHRv8i8_shift:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv8i8_shift),
     /* 415676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415678 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415680 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415683 */   GIR_RootConstrainSelectedInstOperands,
     /* 415684 */   // GIR_Coverage, 2282,
     /* 415684 */   GIR_EraseRootFromParent_Done,
     /* 415685 */ // Label 8654: @415685
     /* 415685 */ GIM_Reject,
     /* 415686 */ // Label 8644: @415686
     /* 415686 */ GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(415731), // Rule ID 2285 //
     /* 415691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 415697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415705 */   // MIs[0] imm
     /* 415705 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415709 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415713 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR16),
     /* 415717 */   // MIs[1] Operand 1
     /* 415717 */   // No operand predicates
     /* 415717 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415719 */   // (AArch64vlshr:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR16>>:$imm)  =>  (USHRv8i16_shift:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv8i16_shift),
     /* 415722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415724 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415726 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415729 */   GIR_RootConstrainSelectedInstOperands,
     /* 415730 */   // GIR_Coverage, 2285,
     /* 415730 */   GIR_EraseRootFromParent_Done,
     /* 415731 */ // Label 8655: @415731
     /* 415731 */ GIM_Reject,
     /* 415732 */ // Label 8645: @415732
     /* 415732 */ GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(415777), // Rule ID 2283 //
     /* 415737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 415743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415751 */   // MIs[0] imm
     /* 415751 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 415755 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 415759 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_vecshiftR8),
     /* 415763 */   // MIs[1] Operand 1
     /* 415763 */   // No operand predicates
     /* 415763 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 415765 */   // (AArch64vlshr:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] })<<P:Predicate_vecshiftR8>>:$imm)  =>  (USHRv16i8_shift:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, (imm:{ *:[i32] }):$imm)
     /* 415765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(AArch64::USHRv16i8_shift),
     /* 415768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[Rd]
     /* 415770 */   GIR_RootToRootCopy, /*OpIdx*/1, // Rn
     /* 415772 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 415775 */   GIR_RootConstrainSelectedInstOperands,
     /* 415776 */   // GIR_Coverage, 2283,
     /* 415776 */   GIR_EraseRootFromParent_Done,
     /* 415777 */ // Label 8656: @415777
     /* 415777 */ GIM_Reject,
     /* 415778 */ // Label 8646: @415778
     /* 415778 */ GIM_Reject,
     /* 415779 */ // Label 150: @415779
     /* 415779 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8675*/ GIMT_Encode4(416558),
     /* 415790 */ /*GILLT_v2s32*//*Label 8657*/ GIMT_Encode4(415866),
     /* 415794 */ /*GILLT_v2s64*//*Label 8658*/ GIMT_Encode4(415921),
     /* 415798 */ /*GILLT_v4s16*//*Label 8659*/ GIMT_Encode4(415976),
     /* 415802 */ /*GILLT_v4s32*//*Label 8660*/ GIMT_Encode4(416031),
     /* 415806 */ /*GILLT_v8s8*//*Label 8661*/ GIMT_Encode4(416086),
     /* 415810 */ /*GILLT_v8s16*//*Label 8662*/ GIMT_Encode4(416120),
     /* 415814 */ /*GILLT_v16s8*//*Label 8663*/ GIMT_Encode4(416175), GIMT_Encode4(0),
     /* 415822 */ /*GILLT_nxv2s1*//*Label 8664*/ GIMT_Encode4(416209),
     /* 415826 */ /*GILLT_nxv2s16*//*Label 8665*/ GIMT_Encode4(416235),
     /* 415830 */ /*GILLT_nxv2s32*//*Label 8666*/ GIMT_Encode4(416261),
     /* 415834 */ /*GILLT_nxv2s64*//*Label 8667*/ GIMT_Encode4(416287),
     /* 415838 */ /*GILLT_nxv4s1*//*Label 8668*/ GIMT_Encode4(416334),
     /* 415842 */ /*GILLT_nxv4s16*//*Label 8669*/ GIMT_Encode4(416360),
     /* 415846 */ /*GILLT_nxv4s32*//*Label 8670*/ GIMT_Encode4(416386),
     /* 415850 */ /*GILLT_nxv8s1*//*Label 8671*/ GIMT_Encode4(416433),
     /* 415854 */ /*GILLT_nxv8s16*//*Label 8672*/ GIMT_Encode4(416459),
     /* 415858 */ /*GILLT_nxv16s1*//*Label 8673*/ GIMT_Encode4(416506),
     /* 415862 */ /*GILLT_nxv16s8*//*Label 8674*/ GIMT_Encode4(416532),
     /* 415866 */ // Label 8657: @415866
     /* 415866 */ GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(415920),
     /* 415871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 415874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 415877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415889 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(415904), // Rule ID 1902 //
     /* 415894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415897 */     // (AArch64zip1:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ZIP1v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 415897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i32),
     /* 415902 */     GIR_RootConstrainSelectedInstOperands,
     /* 415903 */     // GIR_Coverage, 1902,
     /* 415903 */     GIR_Done,
     /* 415904 */   // Label 8677: @415904
     /* 415904 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(415919), // Rule ID 5484 //
     /* 415909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415912 */     // (AArch64zip1:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (ZIP1v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 415912 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i32),
     /* 415917 */     GIR_RootConstrainSelectedInstOperands,
     /* 415918 */     // GIR_Coverage, 5484,
     /* 415918 */     GIR_Done,
     /* 415919 */   // Label 8678: @415919
     /* 415919 */   GIM_Reject,
     /* 415920 */ // Label 8676: @415920
     /* 415920 */ GIM_Reject,
     /* 415921 */ // Label 8658: @415921
     /* 415921 */ GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(415975),
     /* 415926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 415929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 415932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 415944 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(415959), // Rule ID 1904 //
     /* 415949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415952 */     // (AArch64zip1:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ZIP1v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 415952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i64),
     /* 415957 */     GIR_RootConstrainSelectedInstOperands,
     /* 415958 */     // GIR_Coverage, 1904,
     /* 415958 */     GIR_Done,
     /* 415959 */   // Label 8680: @415959
     /* 415959 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(415974), // Rule ID 5486 //
     /* 415964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 415967 */     // (AArch64zip1:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (ZIP1v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 415967 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v2i64),
     /* 415972 */     GIR_RootConstrainSelectedInstOperands,
     /* 415973 */     // GIR_Coverage, 5486,
     /* 415973 */     GIR_Done,
     /* 415974 */   // Label 8681: @415974
     /* 415974 */   GIM_Reject,
     /* 415975 */ // Label 8679: @415975
     /* 415975 */ GIM_Reject,
     /* 415976 */ // Label 8659: @415976
     /* 415976 */ GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(416030),
     /* 415981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 415984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 415987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 415999 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(416014), // Rule ID 1900 //
     /* 416004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416007 */     // (AArch64zip1:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ZIP1v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 416007 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i16),
     /* 416012 */     GIR_RootConstrainSelectedInstOperands,
     /* 416013 */     // GIR_Coverage, 1900,
     /* 416013 */     GIR_Done,
     /* 416014 */   // Label 8683: @416014
     /* 416014 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(416029), // Rule ID 5482 //
     /* 416019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416022 */     // (AArch64zip1:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (ZIP1v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 416022 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i16),
     /* 416027 */     GIR_RootConstrainSelectedInstOperands,
     /* 416028 */     // GIR_Coverage, 5482,
     /* 416028 */     GIR_Done,
     /* 416029 */   // Label 8684: @416029
     /* 416029 */   GIM_Reject,
     /* 416030 */ // Label 8682: @416030
     /* 416030 */ GIM_Reject,
     /* 416031 */ // Label 8660: @416031
     /* 416031 */ GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(416085),
     /* 416036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 416039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 416042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416050 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416054 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(416069), // Rule ID 1903 //
     /* 416059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416062 */     // (AArch64zip1:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ZIP1v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 416062 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i32),
     /* 416067 */     GIR_RootConstrainSelectedInstOperands,
     /* 416068 */     // GIR_Coverage, 1903,
     /* 416068 */     GIR_Done,
     /* 416069 */   // Label 8686: @416069
     /* 416069 */   GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(416084), // Rule ID 5485 //
     /* 416074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416077 */     // (AArch64zip1:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (ZIP1v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 416077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v4i32),
     /* 416082 */     GIR_RootConstrainSelectedInstOperands,
     /* 416083 */     // GIR_Coverage, 5485,
     /* 416083 */     GIR_Done,
     /* 416084 */   // Label 8687: @416084
     /* 416084 */   GIM_Reject,
     /* 416085 */ // Label 8685: @416085
     /* 416085 */ GIM_Reject,
     /* 416086 */ // Label 8661: @416086
     /* 416086 */ GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(416119), // Rule ID 1898 //
     /* 416091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 416097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 416100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416112 */   // (AArch64zip1:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ZIP1v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 416112 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i8),
     /* 416117 */   GIR_RootConstrainSelectedInstOperands,
     /* 416118 */   // GIR_Coverage, 1898,
     /* 416118 */   GIR_Done,
     /* 416119 */ // Label 8688: @416119
     /* 416119 */ GIM_Reject,
     /* 416120 */ // Label 8662: @416120
     /* 416120 */ GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(416174),
     /* 416125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 416128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 416131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416143 */   GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(416158), // Rule ID 1901 //
     /* 416148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416151 */     // (AArch64zip1:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ZIP1v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 416151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i16),
     /* 416156 */     GIR_RootConstrainSelectedInstOperands,
     /* 416157 */     // GIR_Coverage, 1901,
     /* 416157 */     GIR_Done,
     /* 416158 */   // Label 8690: @416158
     /* 416158 */   GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(416173), // Rule ID 5483 //
     /* 416163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416166 */     // (AArch64zip1:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (ZIP1v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 416166 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v8i16),
     /* 416171 */     GIR_RootConstrainSelectedInstOperands,
     /* 416172 */     // GIR_Coverage, 5483,
     /* 416172 */     GIR_Done,
     /* 416173 */   // Label 8691: @416173
     /* 416173 */   GIM_Reject,
     /* 416174 */ // Label 8689: @416174
     /* 416174 */ GIM_Reject,
     /* 416175 */ // Label 8663: @416175
     /* 416175 */ GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(416208), // Rule ID 1899 //
     /* 416180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 416186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 416189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416201 */   // (AArch64zip1:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ZIP1v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 416201 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1v16i8),
     /* 416206 */   GIR_RootConstrainSelectedInstOperands,
     /* 416207 */   // GIR_Coverage, 1899,
     /* 416207 */   GIR_Done,
     /* 416208 */ // Label 8692: @416208
     /* 416208 */ GIM_Reject,
     /* 416209 */ // Label 8664: @416209
     /* 416209 */ GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(416234), // Rule ID 3348 //
     /* 416214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 416220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 416223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 416227 */   // (AArch64zip1:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (ZIP1_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 416227 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_D),
     /* 416232 */   GIR_RootConstrainSelectedInstOperands,
     /* 416233 */   // GIR_Coverage, 3348,
     /* 416233 */   GIR_Done,
     /* 416234 */ // Label 8693: @416234
     /* 416234 */ GIM_Reject,
     /* 416235 */ // Label 8665: @416235
     /* 416235 */ GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(416260), // Rule ID 2879 //
     /* 416240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 416246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 416249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 416253 */   // (AArch64zip1:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 416253 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 416258 */   GIR_RootConstrainSelectedInstOperands,
     /* 416259 */   // GIR_Coverage, 2879,
     /* 416259 */   GIR_Done,
     /* 416260 */ // Label 8694: @416260
     /* 416260 */ GIM_Reject,
     /* 416261 */ // Label 8666: @416261
     /* 416261 */ GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(416286), // Rule ID 2880 //
     /* 416266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 416272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 416275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 416279 */   // (AArch64zip1:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 416279 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 416284 */   GIR_RootConstrainSelectedInstOperands,
     /* 416285 */   // GIR_Coverage, 2880,
     /* 416285 */   GIR_Done,
     /* 416286 */ // Label 8695: @416286
     /* 416286 */ GIM_Reject,
     /* 416287 */ // Label 8667: @416287
     /* 416287 */ GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(416333),
     /* 416292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 416295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 416298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 416302 */   GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(416317), // Rule ID 2875 //
     /* 416307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416310 */     // (AArch64zip1:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 416310 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 416315 */     GIR_RootConstrainSelectedInstOperands,
     /* 416316 */     // GIR_Coverage, 2875,
     /* 416316 */     GIR_Done,
     /* 416317 */   // Label 8697: @416317
     /* 416317 */   GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(416332), // Rule ID 2881 //
     /* 416322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416325 */     // (AArch64zip1:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP1_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 416325 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_D),
     /* 416330 */     GIR_RootConstrainSelectedInstOperands,
     /* 416331 */     // GIR_Coverage, 2881,
     /* 416331 */     GIR_Done,
     /* 416332 */   // Label 8698: @416332
     /* 416332 */   GIM_Reject,
     /* 416333 */ // Label 8696: @416333
     /* 416333 */ GIM_Reject,
     /* 416334 */ // Label 8668: @416334
     /* 416334 */ GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(416359), // Rule ID 3347 //
     /* 416339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 416345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 416348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 416352 */   // (AArch64zip1:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (ZIP1_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 416352 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_S),
     /* 416357 */   GIR_RootConstrainSelectedInstOperands,
     /* 416358 */   // GIR_Coverage, 3347,
     /* 416358 */   GIR_Done,
     /* 416359 */ // Label 8699: @416359
     /* 416359 */ GIM_Reject,
     /* 416360 */ // Label 8669: @416360
     /* 416360 */ GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(416385), // Rule ID 2877 //
     /* 416365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 416371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 416374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 416378 */   // (AArch64zip1:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (ZIP1_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 416378 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_S),
     /* 416383 */   GIR_RootConstrainSelectedInstOperands,
     /* 416384 */   // GIR_Coverage, 2877,
     /* 416384 */   GIR_Done,
     /* 416385 */ // Label 8700: @416385
     /* 416385 */ GIM_Reject,
     /* 416386 */ // Label 8670: @416386
     /* 416386 */ GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(416432),
     /* 416391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 416394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 416397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 416401 */   GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(416416), // Rule ID 2874 //
     /* 416406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416409 */     // (AArch64zip1:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP1_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 416409 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_S),
     /* 416414 */     GIR_RootConstrainSelectedInstOperands,
     /* 416415 */     // GIR_Coverage, 2874,
     /* 416415 */     GIR_Done,
     /* 416416 */   // Label 8702: @416416
     /* 416416 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(416431), // Rule ID 2878 //
     /* 416421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416424 */     // (AArch64zip1:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP1_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 416424 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_S),
     /* 416429 */     GIR_RootConstrainSelectedInstOperands,
     /* 416430 */     // GIR_Coverage, 2878,
     /* 416430 */     GIR_Done,
     /* 416431 */   // Label 8703: @416431
     /* 416431 */   GIM_Reject,
     /* 416432 */ // Label 8701: @416432
     /* 416432 */ GIM_Reject,
     /* 416433 */ // Label 8671: @416433
     /* 416433 */ GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(416458), // Rule ID 3346 //
     /* 416438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 416444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 416447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 416451 */   // (AArch64zip1:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (ZIP1_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 416451 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_H),
     /* 416456 */   GIR_RootConstrainSelectedInstOperands,
     /* 416457 */   // GIR_Coverage, 3346,
     /* 416457 */   GIR_Done,
     /* 416458 */ // Label 8704: @416458
     /* 416458 */ GIM_Reject,
     /* 416459 */ // Label 8672: @416459
     /* 416459 */ GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(416505),
     /* 416464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 416467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 416470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 416474 */   GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(416489), // Rule ID 2873 //
     /* 416479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416482 */     // (AArch64zip1:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP1_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 416482 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_H),
     /* 416487 */     GIR_RootConstrainSelectedInstOperands,
     /* 416488 */     // GIR_Coverage, 2873,
     /* 416488 */     GIR_Done,
     /* 416489 */   // Label 8706: @416489
     /* 416489 */   GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(416504), // Rule ID 2876 //
     /* 416494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416497 */     // (AArch64zip1:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP1_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 416497 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_H),
     /* 416502 */     GIR_RootConstrainSelectedInstOperands,
     /* 416503 */     // GIR_Coverage, 2876,
     /* 416503 */     GIR_Done,
     /* 416504 */   // Label 8707: @416504
     /* 416504 */   GIM_Reject,
     /* 416505 */ // Label 8705: @416505
     /* 416505 */ GIM_Reject,
     /* 416506 */ // Label 8673: @416506
     /* 416506 */ GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(416531), // Rule ID 2398 //
     /* 416511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 416517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 416520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 416524 */   // (AArch64zip1:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP1_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 416524 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_PPP_B),
     /* 416529 */   GIR_RootConstrainSelectedInstOperands,
     /* 416530 */   // GIR_Coverage, 2398,
     /* 416530 */   GIR_Done,
     /* 416531 */ // Label 8708: @416531
     /* 416531 */ GIM_Reject,
     /* 416532 */ // Label 8674: @416532
     /* 416532 */ GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(416557), // Rule ID 2872 //
     /* 416537 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 416543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 416546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 416550 */   // (AArch64zip1:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP1_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 416550 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP1_ZZZ_B),
     /* 416555 */   GIR_RootConstrainSelectedInstOperands,
     /* 416556 */   // GIR_Coverage, 2872,
     /* 416556 */   GIR_Done,
     /* 416557 */ // Label 8709: @416557
     /* 416557 */ GIM_Reject,
     /* 416558 */ // Label 8675: @416558
     /* 416558 */ GIM_Reject,
     /* 416559 */ // Label 151: @416559
     /* 416559 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(24), /*)*//*default:*//*Label 8728*/ GIMT_Encode4(417338),
     /* 416570 */ /*GILLT_v2s32*//*Label 8710*/ GIMT_Encode4(416646),
     /* 416574 */ /*GILLT_v2s64*//*Label 8711*/ GIMT_Encode4(416701),
     /* 416578 */ /*GILLT_v4s16*//*Label 8712*/ GIMT_Encode4(416756),
     /* 416582 */ /*GILLT_v4s32*//*Label 8713*/ GIMT_Encode4(416811),
     /* 416586 */ /*GILLT_v8s8*//*Label 8714*/ GIMT_Encode4(416866),
     /* 416590 */ /*GILLT_v8s16*//*Label 8715*/ GIMT_Encode4(416900),
     /* 416594 */ /*GILLT_v16s8*//*Label 8716*/ GIMT_Encode4(416955), GIMT_Encode4(0),
     /* 416602 */ /*GILLT_nxv2s1*//*Label 8717*/ GIMT_Encode4(416989),
     /* 416606 */ /*GILLT_nxv2s16*//*Label 8718*/ GIMT_Encode4(417015),
     /* 416610 */ /*GILLT_nxv2s32*//*Label 8719*/ GIMT_Encode4(417041),
     /* 416614 */ /*GILLT_nxv2s64*//*Label 8720*/ GIMT_Encode4(417067),
     /* 416618 */ /*GILLT_nxv4s1*//*Label 8721*/ GIMT_Encode4(417114),
     /* 416622 */ /*GILLT_nxv4s16*//*Label 8722*/ GIMT_Encode4(417140),
     /* 416626 */ /*GILLT_nxv4s32*//*Label 8723*/ GIMT_Encode4(417166),
     /* 416630 */ /*GILLT_nxv8s1*//*Label 8724*/ GIMT_Encode4(417213),
     /* 416634 */ /*GILLT_nxv8s16*//*Label 8725*/ GIMT_Encode4(417239),
     /* 416638 */ /*GILLT_nxv16s1*//*Label 8726*/ GIMT_Encode4(417286),
     /* 416642 */ /*GILLT_nxv16s8*//*Label 8727*/ GIMT_Encode4(417312),
     /* 416646 */ // Label 8710: @416646
     /* 416646 */ GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(416700),
     /* 416651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s32,
     /* 416654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s32,
     /* 416657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416669 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(416684), // Rule ID 1909 //
     /* 416674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416677 */     // (AArch64zip2:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)  =>  (ZIP2v2i32:{ *:[v2i32] } V64:{ *:[v2i32] }:$Rn, V64:{ *:[v2i32] }:$Rm)
     /* 416677 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i32),
     /* 416682 */     GIR_RootConstrainSelectedInstOperands,
     /* 416683 */     // GIR_Coverage, 1909,
     /* 416683 */     GIR_Done,
     /* 416684 */   // Label 8730: @416684
     /* 416684 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(416699), // Rule ID 5489 //
     /* 416689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416692 */     // (AArch64zip2:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)  =>  (ZIP2v2i32:{ *:[v2f32] } V64:{ *:[v2f32] }:$Rn, V64:{ *:[v2f32] }:$Rm)
     /* 416692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i32),
     /* 416697 */     GIR_RootConstrainSelectedInstOperands,
     /* 416698 */     // GIR_Coverage, 5489,
     /* 416698 */     GIR_Done,
     /* 416699 */   // Label 8731: @416699
     /* 416699 */   GIM_Reject,
     /* 416700 */ // Label 8729: @416700
     /* 416700 */ GIM_Reject,
     /* 416701 */ // Label 8711: @416701
     /* 416701 */ GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(416755),
     /* 416706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v2s64,
     /* 416709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v2s64,
     /* 416712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416724 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(416739), // Rule ID 1911 //
     /* 416729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416732 */     // (AArch64zip2:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)  =>  (ZIP2v2i64:{ *:[v2i64] } V128:{ *:[v2i64] }:$Rn, V128:{ *:[v2i64] }:$Rm)
     /* 416732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i64),
     /* 416737 */     GIR_RootConstrainSelectedInstOperands,
     /* 416738 */     // GIR_Coverage, 1911,
     /* 416738 */     GIR_Done,
     /* 416739 */   // Label 8733: @416739
     /* 416739 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(416754), // Rule ID 5491 //
     /* 416744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416747 */     // (AArch64zip2:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)  =>  (ZIP2v2i64:{ *:[v2f64] } V128:{ *:[v2f64] }:$Rn, V128:{ *:[v2f64] }:$Rm)
     /* 416747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v2i64),
     /* 416752 */     GIR_RootConstrainSelectedInstOperands,
     /* 416753 */     // GIR_Coverage, 5491,
     /* 416753 */     GIR_Done,
     /* 416754 */   // Label 8734: @416754
     /* 416754 */   GIM_Reject,
     /* 416755 */ // Label 8732: @416755
     /* 416755 */ GIM_Reject,
     /* 416756 */ // Label 8712: @416756
     /* 416756 */ GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(416810),
     /* 416761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s16,
     /* 416764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s16,
     /* 416767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416779 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(416794), // Rule ID 1907 //
     /* 416784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416787 */     // (AArch64zip2:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)  =>  (ZIP2v4i16:{ *:[v4i16] } V64:{ *:[v4i16] }:$Rn, V64:{ *:[v4i16] }:$Rm)
     /* 416787 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i16),
     /* 416792 */     GIR_RootConstrainSelectedInstOperands,
     /* 416793 */     // GIR_Coverage, 1907,
     /* 416793 */     GIR_Done,
     /* 416794 */   // Label 8736: @416794
     /* 416794 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(416809), // Rule ID 5487 //
     /* 416799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416802 */     // (AArch64zip2:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)  =>  (ZIP2v4i16:{ *:[v4f16] } V64:{ *:[v4f16] }:$Rn, V64:{ *:[v4f16] }:$Rm)
     /* 416802 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i16),
     /* 416807 */     GIR_RootConstrainSelectedInstOperands,
     /* 416808 */     // GIR_Coverage, 5487,
     /* 416808 */     GIR_Done,
     /* 416809 */   // Label 8737: @416809
     /* 416809 */   GIM_Reject,
     /* 416810 */ // Label 8735: @416810
     /* 416810 */ GIM_Reject,
     /* 416811 */ // Label 8713: @416811
     /* 416811 */ GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(416865),
     /* 416816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v4s32,
     /* 416819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v4s32,
     /* 416822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416834 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(416849), // Rule ID 1910 //
     /* 416839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416842 */     // (AArch64zip2:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)  =>  (ZIP2v4i32:{ *:[v4i32] } V128:{ *:[v4i32] }:$Rn, V128:{ *:[v4i32] }:$Rm)
     /* 416842 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i32),
     /* 416847 */     GIR_RootConstrainSelectedInstOperands,
     /* 416848 */     // GIR_Coverage, 1910,
     /* 416848 */     GIR_Done,
     /* 416849 */   // Label 8739: @416849
     /* 416849 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(416864), // Rule ID 5490 //
     /* 416854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416857 */     // (AArch64zip2:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)  =>  (ZIP2v4i32:{ *:[v4f32] } V128:{ *:[v4f32] }:$Rn, V128:{ *:[v4f32] }:$Rm)
     /* 416857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v4i32),
     /* 416862 */     GIR_RootConstrainSelectedInstOperands,
     /* 416863 */     // GIR_Coverage, 5490,
     /* 416863 */     GIR_Done,
     /* 416864 */   // Label 8740: @416864
     /* 416864 */   GIM_Reject,
     /* 416865 */ // Label 8738: @416865
     /* 416865 */ GIM_Reject,
     /* 416866 */ // Label 8714: @416866
     /* 416866 */ GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(416899), // Rule ID 1905 //
     /* 416871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s8,
     /* 416877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s8,
     /* 416880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR64RegClassID),
     /* 416892 */   // (AArch64zip2:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)  =>  (ZIP2v8i8:{ *:[v8i8] } V64:{ *:[v8i8] }:$Rn, V64:{ *:[v8i8] }:$Rm)
     /* 416892 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i8),
     /* 416897 */   GIR_RootConstrainSelectedInstOperands,
     /* 416898 */   // GIR_Coverage, 1905,
     /* 416898 */   GIR_Done,
     /* 416899 */ // Label 8741: @416899
     /* 416899 */ GIM_Reject,
     /* 416900 */ // Label 8715: @416900
     /* 416900 */ GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(416954),
     /* 416905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v8s16,
     /* 416908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v8s16,
     /* 416911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416923 */   GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(416938), // Rule ID 1908 //
     /* 416928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416931 */     // (AArch64zip2:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)  =>  (ZIP2v8i16:{ *:[v8i16] } V128:{ *:[v8i16] }:$Rn, V128:{ *:[v8i16] }:$Rm)
     /* 416931 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i16),
     /* 416936 */     GIR_RootConstrainSelectedInstOperands,
     /* 416937 */     // GIR_Coverage, 1908,
     /* 416937 */     GIR_Done,
     /* 416938 */   // Label 8743: @416938
     /* 416938 */   GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(416953), // Rule ID 5488 //
     /* 416943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416946 */     // (AArch64zip2:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)  =>  (ZIP2v8i16:{ *:[v8f16] } V128:{ *:[v8f16] }:$Rn, V128:{ *:[v8f16] }:$Rm)
     /* 416946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v8i16),
     /* 416951 */     GIR_RootConstrainSelectedInstOperands,
     /* 416952 */     // GIR_Coverage, 5488,
     /* 416952 */     GIR_Done,
     /* 416953 */   // Label 8744: @416953
     /* 416953 */   GIM_Reject,
     /* 416954 */ // Label 8742: @416954
     /* 416954 */ GIM_Reject,
     /* 416955 */ // Label 8716: @416955
     /* 416955 */ GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(416988), // Rule ID 1906 //
     /* 416960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasNEON),
     /* 416963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_v16s8,
     /* 416966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_v16s8,
     /* 416969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(AArch64::FPR128RegClassID),
     /* 416981 */   // (AArch64zip2:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)  =>  (ZIP2v16i8:{ *:[v16i8] } V128:{ *:[v16i8] }:$Rn, V128:{ *:[v16i8] }:$Rm)
     /* 416981 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2v16i8),
     /* 416986 */   GIR_RootConstrainSelectedInstOperands,
     /* 416987 */   // GIR_Coverage, 1906,
     /* 416987 */   GIR_Done,
     /* 416988 */ // Label 8745: @416988
     /* 416988 */ GIM_Reject,
     /* 416989 */ // Label 8717: @416989
     /* 416989 */ GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(417014), // Rule ID 8934 //
     /* 416994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 416997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 417000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 417003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 417007 */   // (AArch64zip2:{ *:[nxv2i1] } nxv2i1:{ *:[nxv2i1] }:$Op1, nxv2i1:{ *:[nxv2i1] }:$Op2)  =>  (ZIP2_PPP_D:{ *:[nxv2i1] } ?:{ *:[nxv2i1] }:$Op1, ?:{ *:[nxv2i1] }:$Op2)
     /* 417007 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_D),
     /* 417012 */   GIR_RootConstrainSelectedInstOperands,
     /* 417013 */   // GIR_Coverage, 8934,
     /* 417013 */   GIR_Done,
     /* 417014 */ // Label 8746: @417014
     /* 417014 */ GIM_Reject,
     /* 417015 */ // Label 8718: @417015
     /* 417015 */ GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(417040), // Rule ID 8889 //
     /* 417020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 417026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 417029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 417033 */   // (AArch64zip2:{ *:[nxv2f16] } nxv2f16:{ *:[nxv2f16] }:$Op1, nxv2f16:{ *:[nxv2f16] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$Op1, ?:{ *:[nxv2f16] }:$Op2)
     /* 417033 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 417038 */   GIR_RootConstrainSelectedInstOperands,
     /* 417039 */   // GIR_Coverage, 8889,
     /* 417039 */   GIR_Done,
     /* 417040 */ // Label 8747: @417040
     /* 417040 */ GIM_Reject,
     /* 417041 */ // Label 8719: @417041
     /* 417041 */ GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(417066), // Rule ID 8890 //
     /* 417046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 417052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 417055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 417059 */   // (AArch64zip2:{ *:[nxv2f32] } nxv2f32:{ *:[nxv2f32] }:$Op1, nxv2f32:{ *:[nxv2f32] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$Op1, ?:{ *:[nxv2f32] }:$Op2)
     /* 417059 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 417064 */   GIR_RootConstrainSelectedInstOperands,
     /* 417065 */   // GIR_Coverage, 8890,
     /* 417065 */   GIR_Done,
     /* 417066 */ // Label 8748: @417066
     /* 417066 */ GIM_Reject,
     /* 417067 */ // Label 8720: @417067
     /* 417067 */ GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(417113),
     /* 417072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 417075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 417078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 417082 */   GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(417097), // Rule ID 8885 //
     /* 417087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417090 */     // (AArch64zip2:{ *:[nxv2i64] } nxv2i64:{ *:[nxv2i64] }:$Op1, nxv2i64:{ *:[nxv2i64] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$Op1, ?:{ *:[nxv2i64] }:$Op2)
     /* 417090 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 417095 */     GIR_RootConstrainSelectedInstOperands,
     /* 417096 */     // GIR_Coverage, 8885,
     /* 417096 */     GIR_Done,
     /* 417097 */   // Label 8750: @417097
     /* 417097 */   GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(417112), // Rule ID 8891 //
     /* 417102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417105 */     // (AArch64zip2:{ *:[nxv2f64] } nxv2f64:{ *:[nxv2f64] }:$Op1, nxv2f64:{ *:[nxv2f64] }:$Op2)  =>  (ZIP2_ZZZ_D:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$Op1, ?:{ *:[nxv2f64] }:$Op2)
     /* 417105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_D),
     /* 417110 */     GIR_RootConstrainSelectedInstOperands,
     /* 417111 */     // GIR_Coverage, 8891,
     /* 417111 */     GIR_Done,
     /* 417112 */   // Label 8751: @417112
     /* 417112 */   GIM_Reject,
     /* 417113 */ // Label 8749: @417113
     /* 417113 */ GIM_Reject,
     /* 417114 */ // Label 8721: @417114
     /* 417114 */ GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(417139), // Rule ID 8933 //
     /* 417119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 417125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 417128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 417132 */   // (AArch64zip2:{ *:[nxv4i1] } nxv4i1:{ *:[nxv4i1] }:$Op1, nxv4i1:{ *:[nxv4i1] }:$Op2)  =>  (ZIP2_PPP_S:{ *:[nxv4i1] } ?:{ *:[nxv4i1] }:$Op1, ?:{ *:[nxv4i1] }:$Op2)
     /* 417132 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_S),
     /* 417137 */   GIR_RootConstrainSelectedInstOperands,
     /* 417138 */   // GIR_Coverage, 8933,
     /* 417138 */   GIR_Done,
     /* 417139 */ // Label 8752: @417139
     /* 417139 */ GIM_Reject,
     /* 417140 */ // Label 8722: @417140
     /* 417140 */ GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(417165), // Rule ID 8887 //
     /* 417145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 417151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 417154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 417158 */   // (AArch64zip2:{ *:[nxv4f16] } nxv4f16:{ *:[nxv4f16] }:$Op1, nxv4f16:{ *:[nxv4f16] }:$Op2)  =>  (ZIP2_ZZZ_S:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$Op1, ?:{ *:[nxv4f16] }:$Op2)
     /* 417158 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_S),
     /* 417163 */   GIR_RootConstrainSelectedInstOperands,
     /* 417164 */   // GIR_Coverage, 8887,
     /* 417164 */   GIR_Done,
     /* 417165 */ // Label 8753: @417165
     /* 417165 */ GIM_Reject,
     /* 417166 */ // Label 8723: @417166
     /* 417166 */ GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(417212),
     /* 417171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 417174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 417177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 417181 */   GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(417196), // Rule ID 8884 //
     /* 417186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417189 */     // (AArch64zip2:{ *:[nxv4i32] } nxv4i32:{ *:[nxv4i32] }:$Op1, nxv4i32:{ *:[nxv4i32] }:$Op2)  =>  (ZIP2_ZZZ_S:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$Op1, ?:{ *:[nxv4i32] }:$Op2)
     /* 417189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_S),
     /* 417194 */     GIR_RootConstrainSelectedInstOperands,
     /* 417195 */     // GIR_Coverage, 8884,
     /* 417195 */     GIR_Done,
     /* 417196 */   // Label 8755: @417196
     /* 417196 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(417211), // Rule ID 8888 //
     /* 417201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417204 */     // (AArch64zip2:{ *:[nxv4f32] } nxv4f32:{ *:[nxv4f32] }:$Op1, nxv4f32:{ *:[nxv4f32] }:$Op2)  =>  (ZIP2_ZZZ_S:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$Op1, ?:{ *:[nxv4f32] }:$Op2)
     /* 417204 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_S),
     /* 417209 */     GIR_RootConstrainSelectedInstOperands,
     /* 417210 */     // GIR_Coverage, 8888,
     /* 417210 */     GIR_Done,
     /* 417211 */   // Label 8756: @417211
     /* 417211 */   GIM_Reject,
     /* 417212 */ // Label 8754: @417212
     /* 417212 */ GIM_Reject,
     /* 417213 */ // Label 8724: @417213
     /* 417213 */ GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(417238), // Rule ID 8932 //
     /* 417218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 417224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 417227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 417231 */   // (AArch64zip2:{ *:[nxv8i1] } nxv8i1:{ *:[nxv8i1] }:$Op1, nxv8i1:{ *:[nxv8i1] }:$Op2)  =>  (ZIP2_PPP_H:{ *:[nxv8i1] } ?:{ *:[nxv8i1] }:$Op1, ?:{ *:[nxv8i1] }:$Op2)
     /* 417231 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_H),
     /* 417236 */   GIR_RootConstrainSelectedInstOperands,
     /* 417237 */   // GIR_Coverage, 8932,
     /* 417237 */   GIR_Done,
     /* 417238 */ // Label 8757: @417238
     /* 417238 */ GIM_Reject,
     /* 417239 */ // Label 8725: @417239
     /* 417239 */ GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(417285),
     /* 417244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 417247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 417250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 417254 */   GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(417269), // Rule ID 8883 //
     /* 417259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417262 */     // (AArch64zip2:{ *:[nxv8i16] } nxv8i16:{ *:[nxv8i16] }:$Op1, nxv8i16:{ *:[nxv8i16] }:$Op2)  =>  (ZIP2_ZZZ_H:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$Op1, ?:{ *:[nxv8i16] }:$Op2)
     /* 417262 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_H),
     /* 417267 */     GIR_RootConstrainSelectedInstOperands,
     /* 417268 */     // GIR_Coverage, 8883,
     /* 417268 */     GIR_Done,
     /* 417269 */   // Label 8759: @417269
     /* 417269 */   GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(417284), // Rule ID 8886 //
     /* 417274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417277 */     // (AArch64zip2:{ *:[nxv8f16] } nxv8f16:{ *:[nxv8f16] }:$Op1, nxv8f16:{ *:[nxv8f16] }:$Op2)  =>  (ZIP2_ZZZ_H:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$Op1, ?:{ *:[nxv8f16] }:$Op2)
     /* 417277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_H),
     /* 417282 */     GIR_RootConstrainSelectedInstOperands,
     /* 417283 */     // GIR_Coverage, 8886,
     /* 417283 */     GIR_Done,
     /* 417284 */   // Label 8760: @417284
     /* 417284 */   GIM_Reject,
     /* 417285 */ // Label 8758: @417285
     /* 417285 */ GIM_Reject,
     /* 417286 */ // Label 8726: @417286
     /* 417286 */ GIM_Try, /*On fail goto*//*Label 8761*/ GIMT_Encode4(417311), // Rule ID 2402 //
     /* 417291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 417297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 417300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::PPRRegClassID),
     /* 417304 */   // (AArch64zip2:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)  =>  (ZIP2_PPP_B:{ *:[nxv16i1] } nxv16i1:{ *:[nxv16i1] }:$Pn, nxv16i1:{ *:[nxv16i1] }:$Pm)
     /* 417304 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_PPP_B),
     /* 417309 */   GIR_RootConstrainSelectedInstOperands,
     /* 417310 */   // GIR_Coverage, 2402,
     /* 417310 */   GIR_Done,
     /* 417311 */ // Label 8761: @417311
     /* 417311 */ GIM_Reject,
     /* 417312 */ // Label 8727: @417312
     /* 417312 */ GIM_Try, /*On fail goto*//*Label 8762*/ GIMT_Encode4(417337), // Rule ID 8882 //
     /* 417317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasSVE_or_SME),
     /* 417320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 417323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 417326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(AArch64::ZPRRegClassID),
     /* 417330 */   // (AArch64zip2:{ *:[nxv16i8] } nxv16i8:{ *:[nxv16i8] }:$Op1, nxv16i8:{ *:[nxv16i8] }:$Op2)  =>  (ZIP2_ZZZ_B:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$Op1, ?:{ *:[nxv16i8] }:$Op2)
     /* 417330 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(AArch64::ZIP2_ZZZ_B),
     /* 417335 */   GIR_RootConstrainSelectedInstOperands,
     /* 417336 */   // GIR_Coverage, 8882,
     /* 417336 */   GIR_Done,
     /* 417337 */ // Label 8762: @417337
     /* 417337 */ GIM_Reject,
     /* 417338 */ // Label 8728: @417338
     /* 417338 */ GIM_Reject,
     /* 417339 */ // Label 152: @417339
     /* 417339 */ GIM_Reject,
     /* 417340 */ }; // Size: 417340 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const AArch64Subtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const AArch64Subtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
